﻿// Generated by Construct 2, the HTML5 game and app creator :: http://www.scirra.com
//////////////////////////////////////
// COCOONJS.JS                      //
//////////////////////////////////////

(function()
{
	// There should not be a CocoonJS object when this code is executed.
	// if (typeof window.CocoonJS !== 'undefined') throw("This is strange, a CocoonJS object already exists when trying to create it.");

    /**
    * The basic object for all the CocoonJS related specific APIs === extensions.
    * @namespace
    */
    CocoonJS = window.CocoonJS ? window.CocoonJS : {};

	CocoonJS.nativeExtensionObjectAvailable = typeof window.ext !== 'undefined';

	/**
	* This type represents a 2D size structure with horizontal and vertical values.
	* @namespace
	*/
	CocoonJS.Size = {
		/**
		* The horizontal size value.
		*/
		width : 0,

		/**
		* The vertical size value.
		*/
		height : 0
	};

	/**
	* This utility function allows to create an object oriented like hierarchy between two functions using their prototypes.
	* This function adds a "superclass" and a "__super" attributes to the subclass and it's functions to reference the super class.
	* @param {function} subc The subclass function.
	* @param {function} superc The superclass function.
	*/
	CocoonJS.extend = function(subc, superc) {
	    var subcp = subc.prototype;

	    // Class pattern.
	    var CocoonJSExtendHierarchyChainClass = function() {};
	    CocoonJSExtendHierarchyChainClass.prototype = superc.prototype;

	    subc.prototype = new CocoonJSExtendHierarchyChainClass();       // chain prototypes.
	    subc.superclass = superc.prototype;
	    subc.prototype.constructor = subc;

	    // Reset constructor. See Object Oriented Javascript for an in-depth explanation of this.
	    if (superc.prototype.constructor === Object.prototype.constructor) {
	        superc.prototype.constructor = superc;
	    }

	    // Check all the elements in the subclass prototype and add them to the chain object's prototype.
	    for (var method in subcp) {
	        if (subcp.hasOwnProperty(method)) {
	            subc.prototype[method] = subcp[method];

	            // // tenemos en super un metodo con igual nombre.
	            // if ( superc.prototype[method]) 
	            // {
	            //     subc.prototype[method]= (function(fn, fnsuper) 
	            //     {
	            //         return function() 
	            //         {
	            //             var prevMethod= this.__super;

	            //             this.__super= fnsuper;

	            //             var retValue= fn.apply(
	            //                     this,
	            //                     Array.prototype.slice.call(arguments) );

	            //             this.__super= prevMethod;

	            //             return retValue;
	            //         };
	            //     })(subc.prototype[method], superc.prototype[method]);
	            // }
	        }
	    }
	}

	/**
	* IMPORTANT: This function should only be used by Ludei.
	* This function allows a call to the native extension object function reusing the same arguments object.
	* Why is interesting to use this function instead of calling the native object's function directly?
	* As the CocoonJS object functions expicitly receive parameters, if they are not present and the native call is direcly mapped,
	* undefined arguments are passed to the native side. Some native functions do not check the parameters validation
	* correctly (just check the number of parameters passed).
	* Another solution instead of using this function call is to correctly check if the parameters are valid (not undefined) to make the
	* call, but it takes more work than using this approach.
	* @static
	* @param {string} nativeExtensionObjectName The name of the native extension object name. The object that is a member of the 'ext' object.
	* @param {string} nativeFunctionName The name of the function to be called inside the native extension object.
	* @param {object} arguments The arguments object of the CocoonJS extension object function. It contains all the arguments passed to the CocoonJS extension object function and these are the ones that will be passed to the native call too.
	* @param {boolean} [async] A flag to indicate if the makeCall (false or undefined) or the makeCallAsync function should be used to perform the native call.
	* @returns Whatever the native function call returns.
	*/
	CocoonJS.makeNativeExtensionObjectFunctionCall = function(nativeExtensionObjectName, nativeFunctionName, args, async) {
		if (CocoonJS.nativeExtensionObjectAvailable) {
			var argumentsArray = Array.prototype.slice.call(args);
			argumentsArray.unshift(nativeFunctionName);
			var nativeExtensionObject = ext[nativeExtensionObjectName];
			var makeCallFunction = async ? nativeExtensionObject.makeCallAsync : nativeExtensionObject.makeCall;
			var ret = makeCallFunction.apply(nativeExtensionObject, argumentsArray);
			var finalRet = ret;
			if (typeof ret === "string") {
				try	{
					finalRet = JSON.parse(ret);
				}
				catch(error) {
				}
			}
			return finalRet;
		}
	};

	/**
	* Returns an object retrieved from a path specified by a dot specified text path starting from a given base object.
	* It could be useful to find the reference of an object from a defined base object. For example the base object could be window and the
	* path could be "CocoonJS.App" or "document.body".
	* @param {Object} baseObject The object to start from to find the object using the given text path.
	* @param {string} objectPath The path in the form of a text using the dot notation. i.e. "document.body"
	* For example:
	* var body = getObjectFromPath(window, "document.body");
	*/
	CocoonJS.getObjectFromPath = function(baseObject, objectPath) {
    	var parts = objectPath.split('.');
    	var obj = baseObject;
        for (var i = 0, len = parts.length; i < len; ++i) 
        {
            obj[parts[i]] = obj[parts[i]] || undefined;
    		obj = obj[parts[i]];
    	}
    	return obj;
 	};

 	/**
 	* Returns the key for a value in a dictionary. It looks for an specific value inside a dictionary and returns the corresponding key.
 	* @param {Object} dictionary The dictionary to look for the value in and get the corresponding key.
 	* @param {Object} value The value to look for inside the dictionary and return it's corresponding key.
 	* @return The key that corresponds to the given value it is has been found or null.
 	*/
 	CocoonJS.getKeyForValueInDictionary = function(dictionary, value) {
        var finalKey = null;
        for (var key in dictionary) {
            if (dictionary[key] === value)            {
                finalKey = key;
                break;
            }
        }
        return finalKey;
 	}

 	/**
 	* Finds a string inside a given array of strings by looking for a given substring. It can also
 	* specify if the search must be performed taking care or not of the case sensitivity.
 	* @param {Array} stringArray The array of strings in which to to look for the string.
 	* @param {string} subString The substring to look for inside all the strings of the array.
 	* @param {boolean} caseSensitive A flag to indicate if the search must be performed taking case of the 
 	* case sensitiveness (true) or not (false).
 	* @return {string} The string that has been found or null if the substring is not inside any of the string of the array.
 	*/
 	CocoonJS.findStringInStringArrayThatIsIndexOf = function(stringArray, subString, caseSensitive) {
 		var foundString = null;
 		subString = caseSensitive ? subString : subString.toUpperCase();
 		for (var i = 0; foundString == null && i < stringArray.length; i++)	{
 			foundString = caseSensitive ? stringArray[i] : stringArray[i].toUpperCase();
 			foundString = foundString.indexOf(subString) >= 0 ? stringArray[i] : null; 
 		}
 		return foundString;
 	};

	/**
	* A class that represents objects to handle events. Event handlers have always the same structure:
	* Mainly they provide the addEventListener and removeEventListener functions.
	* Both functions receive a callback function that will be added or removed. All the added callback
	* functions will be called when the event takes place.
	* Additionally they also allow the addEventListenerOnce and notifyEventListeners functions.
	* @constructor
	* @param {string} nativeExtensionObjectName The name of the native extension object (inside the ext object) to be used.
	* @param {string} cocoonJSExtensionObjectName The name of the sugarized extension object.
	* @param {string} nativeEventName The name of the native event inside the ext object.
	* @param {number} [chainFunction] An optional function used to preprocess the listener callbacks. This function, if provided,
	* will be called before any of the other listeners.
	*/
	CocoonJS.EventHandler = function(nativeExtensionObjectName, cocoonJSExtensionObjectName, nativeEventName, chainFunction) {
		this.listeners = [];
		this.listenersOnce = [];
		this.chainFunction = chainFunction;

		/**
		* Adds a callback function so it can be called when the event takes place.
		* @param {function} listener The callback function to be added to the event handler object. See the referenced Listener function documentation for more detail in each event handler object's documentation.
		*/
		this.addEventListener = function(listener) {
			if (chainFunction) {
				var f = function() {
					chainFunction.call(this, arguments.callee.sourceListener, Array.prototype.slice.call(arguments)); 
				};
				listener.CocoonJSEventHandlerChainFunction = f;
				f.sourceListener = listener;
				listener = f;
			}

			var cocoonJSExtensionObject = CocoonJS.getObjectFromPath(CocoonJS, cocoonJSExtensionObjectName);
            if (cocoonJSExtensionObject && cocoonJSExtensionObject.nativeExtensionObjectAvailable) {
                ext[nativeExtensionObjectName].addEventListener(nativeEventName, listener);
            }
            else {
                var indexOfListener = this.listeners.indexOf(listener);
                if (indexOfListener < 0) {
                	this.listeners.push(listener);
                }
            }
		};

        this.addEventListenerOnce = function(listener)
		{
			if (chainFunction) {
				var f = function() { chainFunction(arguments.callee.sourceListener,Array.prototype.slice.call(arguments)); };
				f.sourceListener = listener;
				listener = f;
			}

			var cocoonJSExtensionObject = CocoonJS.getObjectFromPath(CocoonJS, cocoonJSExtensionObjectName);
            if (cocoonJSExtensionObject.nativeExtensionObjectAvailable) {
                ext[nativeExtensionObjectName].addEventListenerOnce(nativeEventName, listener);
            }
            else
            {
                var indexOfListener = this.listeners.indexOf(listener);
                if (indexOfListener < 0)
                {
                	this.listenersOnce.push(listener);
                }
            }
		};

        /**
         * Removes a callback function that was added to the event handler so it won't be called when the event takes place.
         * @param {function} listener The callback function to be removed from the event handler object. See the referenced Listener function documentation for more detail in each event handler object's documentation.
         */
        this.removeEventListener = function (listener) {

        	if (chainFunction) {
        		listener = listener.CocoonJSEventHandlerChainFunction;
        		delete listener.CocoonJSEventHandlerChainFunction;
        	}

			var cocoonJSExtensionObject = CocoonJS.getObjectFromPath(CocoonJS, cocoonJSExtensionObjectName);
            if (cocoonJSExtensionObject.nativeExtensionObjectAvailable) {
                ext[nativeExtensionObjectName].removeEventListener(nativeEventName, listener);
            }
            else {
                var indexOfListener = this.listeners.indexOf(listener);
                if (indexOfListener >= 0) {
                    this.listeners.splice(indexOfListener, 1);
                }
            }
        };

		this.notifyEventListeners = function() {
			var cocoonJSExtensionObject = CocoonJS.getObjectFromPath(CocoonJS, cocoonJSExtensionObjectName);
            if (cocoonJSExtensionObject && cocoonJSExtensionObject.nativeExtensionObjectAvailable) {
                ext[nativeExtensionObjectName].notifyEventListeners(nativeEventName);
            } else {

                var argumentsArray= Array.prototype.slice.call(arguments);
                var listeners =     Array.prototype.slice.call(this.listeners);
                var listenersOnce = Array.prototype.slice.call(this.listenersOnce);
                var _this = this;
                // Notify listeners after a while ;) === do not block this thread.
                setTimeout(function() {
                    for (var i = 0; i < listeners.length; i++) {
                        listeners[i].apply(_this, argumentsArray);
                    }
                    for (var i = 0; i < listenersOnce.length; i++) {
                        listenersOnce[i].apply(_this, argumentsArray);
                    }
                }, 0);

                _this.listenersOnce= [];
            }
		};
		return this;
	};

	/**
	* A simple timer class. Update it every loop iteration and get values from accumulated time to elapsed time in seconds or milliseconds.
	*/
	CocoonJS.Timer = function() {
		this.reset();
		return this;
	};

	CocoonJS.Timer.prototype = {
		currentTimeInMillis : 0,
		lastTimeInMillis : 0,
		elapsedTimeInMillis : 0,
		elapsedTimeInSeconds : 0,
		accumTimeInMillis : 0,

		/**
		Resets the timer to 0.
		*/
		reset : function() {
			this.currentTimeInMillis = this.lastTimeInMillis = new Date().getTime();
			this.accumTimeInMillis = this.elapsedTimeInMillis = this.elapsedTimeInSeconds = 0;
		},

		/**
		Updates the timer calculating the elapsed time between update calls.
		*/
		update : function() {
			this.currentTimeInMillis = new Date().getTime();
			this.elapsedTimeInMillis = this.currentTimeInMillis - this.lastTimeInMillis;
			this.elapsedTimeInSeconds = this.elapsedTimeInMillis / 1000.0;
			this.lastTimeInMillis = this.currentTimeInMillis;
			this.accumTimeInMillis += this.elapsedTimeInMillis;
		}
	};

	// CocoonJS.FindAllNativeBindingsInCocoonJSExtensionObject = function(cocoonJSExtensionObject, nativeFunctionBindingCallback, nativeEventBindingCallback)
	// {
	// 	for (var cocoonJSExtensionObjectAttributeName in cocoonJSExtensionObject)
	// 	{
	// 		var cocoonJSExtensionObjectAttribute = cocoonJSExtensionObject[cocoonJSExtensionObjectAttributeName];

	// 		// Function
	// 		if (typeof cocoonJSExtensionObjectAttribute === 'function' && typeof cocoonJSExtensionObjectAttribute.nativeFunctionName !== 'undefined')
	// 		{
	// 			var nativeFunctionName = cocoonJSExtensionObjectAttribute.nativeFunctionName;
	// 			nativeFunctionBindingCallback(cocoonJSExtensionObjectAttributeName, nativeFunctionName);
	// 		}
	// 		// Event object
	// 		else if (typeof cocoonJSExtensionObjectAttribute === 'object' && cocoonJSExtensionObjectAttribute !== null && typeof cocoonJSExtensionObjectAttribute.nativeEventName !== 'undefined')
	// 		{
	// 			var nativeEventName = cocoonJSExtensionObjectAttribute.nativeEventName;
	// 			nativeEventBindingCallback(cocoonJSExtensionObjectAttributeName, nativeEventName);
	// 		}
	// 	}
	// }

	/**
	This function looks for a CocoonJS extension object that is bound to the given native ext object name.
	@returns The CocoonJS extension object that corresponds to the give native extension object name or null if it cannot be found.
	*/
	// CocoonJS.GetCocoonJSExtensionObjectForNativeExtensionObjectName = function(nativeExtensionObjectName)
	// {
	// 	var cocoonJSExtensionObject = null;
	// 	// Look in the CocoonJS object and for every object that is a CocoonJS.Extension check if it's nativeExtensionObjectName matches to the one passed as argument. If so, create an object that will represent it's documentation for the native ext object.
	// 	for (var cocoonJSAttributeName in CocoonJS)
	// 	{
	// 		var cocoonJSAttribute = CocoonJS[cocoonJSAttributeName];
	// 		if (typeof cocoonJSAttribute === 'object' && cocoonJSAttribute instanceof CocoonJS.Extension && cocoonJSAttribute.nativeExtensionObjectName === nativeExtensionObjectName)
	// 		{
	// 			// We have found the CocoonJS object that represents the native ext extension object name. 
	// 			cocoonJSExtensionObject = cocoonJSAttribute;
	// 			break;
	// 		}
	// 	}
	// 	return cocoonJSExtensionObject;
	// };

	/**
	This function adds functions to a CocoonJS extension object in order to bind them to the native makeCall function calls of the ext object.

	@param extensionObject The reference to the CocoonJS extension object where to add the new functions bound to the ext object makeCall functions calls.

	@param nativeFunctionsConfiguration An array of objects with the following structure:

		{ nativeFunctionName : "" [, functionName : "", isAsync : true/false] }

		- nativeFunctionName: Specifies the name of the function inside the ext object makeCall function call that will be bound.
		- functionName: An optional attribute that allows to specify the name of the function to be added to the CocoonJS extension object. If is not present, the name of the function will be the same
		as the nativeFunctionName.
		- isAsync: An optional attribute that allows to specify if the call should be performed using makeCall (false or missing) or makeCallAsync (true).
		- alternativeFunction: An optional attribute that allows to specify an alternative function that will be called internally when this function is called. This attribute
		allows for adding new functionalities like for example adding methods 

	@returns The CocoonJS extension object.
	*/
	// CocoonJS.AddNativeFunctionBindingsToExtensionObject = function(extensionObject, nativeFunctionsConfiguration)
	// {
	// 	if (typeof extensionObject === 'undefined' || extensionObject === null) throw("The passed extension object be a valid object.");
	// 	if (typeof nativeFunctionsConfiguration === 'undefined' || nativeFunctionsConfiguration === null) throw("The passed native functions configuration array must be a valid object.");

	// 	for (var i = 0; i < nativeFunctionsConfiguration.length; i++)
	// 	{
	// 		if (typeof nativeFunctionsConfiguration[i].nativeFunctionName === 'undefined') throw("The 'nativeFunctionName' attribute in the native function configuration object at index '" + i + "' in the native function configuration array cannot be undefined.");
	// 		var nativeFunctionName = nativeFunctionsConfiguration[i].nativeFunctionName;
	// 		var functionName = typeof nativeFunctionsConfiguration[i].functionName !== 'undefined' ? nativeFunctionsConfiguration[i].functionName : nativeFunctionName;
	// 		var makeCallFunction = null;
	// 		makeCallFunction = typeof nativeFunctionsConfiguration[i].isAsync !== 'undefined' && nativeFunctionsConfiguration[i].isAsync ? extensionObject.nativeExtensionObject.makeCallAsync : extensionObject.nativeExtensionObject.makeCall;
	// 		// Add the new function to the CocoonJS extension object
	// 		extensionObject[functionName] = function()
	// 		{
	// 			// Convert the arguments object to an array
	// 			var arguments = Array.prototype.slice.call(arguments);
	// 			// Add the native function name as the first parameter
	// 			arguments.unshift(nativeFunctionName);
	// 			// Make the native ext object call
	// 			var result = makeCallFunction.apply(extensionObject.nativeExtensionObject, arguments);
	// 			return result;
	// 		}
	// 		// Add a property to the newly added function to store the name of the original function.
	// 		extensionObject[functionName].nativeFunctionName = nativeFunctionName;
	// 	}
	// 	return extensionObject;
	// };

	/**
	This function adds objects to a CocoonJS extension object to allow event listener handling (add and remove) bound to the native ext object event listener handling.

	@param extensionObject The reference to the CocoonJS extension object where to add the new objects bound to the ext object event listener handling.

	@param nativeEventsConfiguration An array of objects with the following structure:

		{ nativeEventName : "" [, eventObjectName : ""] }

		- nativeEventName: Specifies the event in the native ext object to be bound.
		- eventObjectName: An optional attribute that allows to specify the name of the object to be added to the CocoonJS extension object. If is not present, the name of the function will be the same
		as the nativeEventName.
		- alternativeAddEventListenerFunction:
		- alternativeRemoveEventListenerFunction:

	@returns The CocoonJS extension object.
	*/
	// CocoonJS.AddNativeEventBindingsToExtensionObject = function(extensionObject, nativeEventsConfiguration)
	// {
	// 	if (typeof extensionObject === 'undefined' || extensionObject === null) throw("The passed extension object be a valid object.");
	// 	if (typeof nativeEventsConfiguration === 'undefined' || nativeEventsConfiguration === null) throw("The passed native events configuration array must be a valid object.");

	// 	for (var i = 0; i < nativeEventsConfiguration.length; i++)
	// 	{
	// 		if (typeof nativeEventsConfiguration[i].nativeEventName === 'undefined') throw("The 'nativeEventName' attribute in the native event configuration object at index '" + i + "' in the native event configuration array cannot be undefined.");
	// 		var nativeEventName = nativeEventsConfiguration[i].nativeEventName;
	// 		var eventObjectName = typeof nativeEventsConfiguration[i].eventObjectName !== 'undefined' ? nativeEventsConfiguration[i].eventObjectName : nativeEventName;
	// 		// Anonymous function call so each variable in the loop is used in the event listener handling function bindings.
	// 		(function(nativeEventName, eventObjectName)
	// 		{
	//     		extensionObject[eventObjectName] =
	//     		{
	//     			// Store the native event name
	//     			nativeEventName : nativeEventName,
	//     			// Create the event listener management functions bound to the native counterparts
	//     			addEventListener : function(callback)
	// 	    		{
	// 	    			extensionObject.nativeExtensionObject.addEventListener(nativeEventName, callback);
	//     			},
	//     			removeEventListener : function(callback)
	//     			{
	// 	    			extensionObject.nativeExtensionObject.removeEventListener(nativeEventName, callback);
	//     			}
	//     			// ,
	//     			// removeAllEventListeners : function()
	//     			// {

	//     			// }
	//     		};
	// 		})(nativeEventName, eventObjectName);
	// 	}
	// 	return extensionObject;
	// };

	/**
	The function object constructor function all the CocoonJS extensions can use to instantiate the CocoonJS extension object and add all the functionality needed bound to the native ext object.

	@param nativeExtensionObject The reference to the ext object extension object.

	@param nativeFunctionsConfiguration See CocoonJS.AddNativeFunctionBindingsToExtensionObject function's documentation for more details.

	@param nativeEventsConfiguration See CocoonJS.AddNativeEventBindingsToExtensionObject function's documentation for more details.

	@returns The new CocoonJS extension object.
	*/
	// CocoonJS.Extension = function(nativeExtensionObjectName, nativeFunctionsConfiguration, nativeEventsConfiguration)
	// {
	// 	if (typeof nativeExtensionObjectName === 'undefined' || nativeExtensionObjectName === null) throw("The native extension object name cannot be null");

	// 	if (window.ext[nativeExtensionObjectName] === 'undefined') throw("The given native extension object name '" + nativeExtensionObjectName + "' is incorrect or the native extension object is undefined.");

	// 	var nativeExtensionObject = window.ext[nativeExtensionObjectName];

	// 	// Store a reference to the native extension object and to it's name
	// 	this.nativeExtensionObject = nativeExtensionObject;
	// 	this.nativeExtensionObjectName = nativeExtensionObjectName;

	// 	// If native function configuration is passed, use it to add some functions to the new extension object.
	// 	if (typeof nativeFunctionsConfiguration !== 'undefined')
	// 	{
	// 		CocoonJS.AddNativeFunctionBindingsToExtensionObject(this, nativeFunctionsConfiguration);
	// 	}

	// 	// If native event configuration is passed, use it to add some event objects to the new extension object.
	// 	if (typeof nativeEventsConfiguration !== 'undefined')
	// 	{
	// 		CocoonJS.AddNativeEventBindingsToExtensionObject(this, nativeEventsConfiguration);
	// 	}

	// 	return this;
	// };   

})();

//////////////////////////////////////
// COCOONJS_APP.JS                  //
//////////////////////////////////////

(function () {
    // The CocoonJS must exist before creating the extension.
    if (typeof window.CocoonJS === 'undefined' || window.CocoonJS === null) throw("The CocoonJS object must exist and be valid before creating any extension object.");

    /**
     * This namespace represents all the basic functionalities available in the CocoonJS extension API.
     * @namespace
     */
    CocoonJS.App = CocoonJS.App ? CocoonJS.App : {};

    CocoonJS.App.nativeExtensionObjectAvailable = CocoonJS.nativeExtensionObjectAvailable && typeof window.ext.IDTK_APP !== 'undefined';

    /**
     * The predefined possible layouts for the FPS overlay.
     * @namespace
     */
    CocoonJS.App.FPSLayout = {
        TOP_LEFT:'top-left',
        TOP_RIGHT:'top-right',
        BOTTOM_LEFT:'bottom-left',
        BOTTOM_RIGHT:'bottom-right'
    };

    /**
     * Contains all the possible values to specify the input keyboard type to be used when introducing text.
     * @namespace
     */
    CocoonJS.App.KeyboardType = {
        /**
         * Represents a generic text input keyboard.
         */
        TEXT:"text",

        /**
         * Represents a number like input keyboard.
         */
        NUMBER:"num",

        /**
         * Represents a phone like input keyboard.
         */
        PHONE:"phone",

        /**
         * Represents an email like input keyboard.
         */
        EMAIL:"email",

        /**
         * Represents an URL like input keyboard.
         */
        URL:"url"
    };

    /**
     * The storage types to be used with file system related operations.
     * @namespace
     */
    CocoonJS.App.StorageType = {
        /**
         * Represents the application storage. The application storage is the place where all the resources that come with the application are stored.
         */
        APP_STORAGE:"APP_STORAGE",

        /**
         * Represents the internal storage. The internal storage is a different storage space that the application storage and only the data that the application has stored
         * in it will be in this storage. It is internal to the platform/device.
         */
        INTERNAL_STORAGE:"INTERNAL_STORAGE",

        /**
         * Represents an external storage. The external storage is similar to the internal storage in the sense that it only contains information that the application has written
         * in it but it represents an external storage device like a SD-CARD. If there is no exrernal storage, it will represent the same as the internal storage.
         */
        EXTERNAL_STORAGE:"EXTERNAL_STORAGE",

        /**
         * Represents the temporal storage. Same as the internal and external storage spaces in the sense that it only contains information that the application has written
         * in it but the main difference is that the information in this storage may dissapear without notice.
         */
        TEMPORARY_STORAGE:"TEMPORARY_STORAGE"
    };

    /**
     * The capture types to capture screenshots using CocoonJS native capabilities.
     * @namespace
     */
    CocoonJS.App.CaptureType = {
        /**
         Captures everything, both the CocoonJS GL hardware accelerated surface and the system views (like the WebView).
         */
        EVERYTHING:0,

        /**
         * Captures just the CocoonJS GL hardware accelerated surface.
         */
        JUST_COCOONJS_GL_SURFACE:1,

        /**
         * Captures just the sustem views (like the webview)
         */
        JUST_SYSTEM_VIEWS:2
    };

    /**
     * Makes a forward call of some javascript code to be executed in a different environment (i.e. from CocoonJS to the WebView and viceversa).
     * It waits until the code is executed and the result of it is returned === synchronous.
     * @function
     * @param {string} javaScriptCode Some JavaScript code in a string to be forwarded and executed in a different JavaScript environment (i.e. from CocoonJS to the WebView and viceversa).
     * @return {string} The result of the execution of the passed JavaScript code in the different JavaScript environment.
     */
    CocoonJS.App.forward = function (javaScriptCode) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "forward", arguments);
        }
        else if (!navigator.isCocoonJS) {
            if (window.name == 'CocoonJS_App_ForCocoonJS_WebViewIFrame') {
                return window.parent.eval(javaScriptCode);
            }
            else {
                //return window.parent.frames['CocoonJS_App_ForCocoonJS_WebViewIFrame'].window.eval(javaScriptCode);
                return window.frames['CocoonJS_App_ForCocoonJS_WebViewIFrame'].window.eval(javaScriptCode);
            }
        }
    };

    /**
     * Makes a forward call of some javascript code to be executed in a different environment (i.e. from CocoonJS to the WebView and viceversa).
     * It is asyncrhonous so it does not wait until the code is executed and the result of it is returned. Instead, it calls a callback function when the execution has finished to pass the result.
     * @function
     * @param {string} javaScriptCode Some JavaScript code in a string to be forwarded and executed in a different JavaScript environment (i.e. from CocoonJS to the WebView and viceversa).
     * @param {function} [returnCallback] A function callback that will be called when the passed JavaScript code is executed in a different thread to pass the result of the execution in the different JavaScript environment.
     */
    CocoonJS.App.forwardAsync = function (javaScriptCode, returnCallback) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            if (typeof returnCallback !== 'undefined') {
                return ext.IDTK_APP.makeCallAsync("forward", javaScriptCode, returnCallback);
            }
            else {
                return ext.IDTK_APP.makeCallAsync("forward", javaScriptCode);
            }
        }
        else if (!navigator.isCocoonJS) {
            if (window.name == 'CocoonJS_App_ForCocoonJS_WebViewIFrame') {
                return window.parent.eval(javaScriptCode);
            }
            else {
                return window.parent.frames['CocoonJS_App_ForCocoonJS_WebViewIFrame'].window.eval(javaScriptCode);
                // window.frames['CocoonJS_App_ForCocoonJS_WebViewIFrame'].window.eval(javaScriptCode);
            }
        }
    };

    /**
     * Pops up a text dialog so the user can introduce some text and the application can get it back. It is the first approach CocoonJS has taken to be able to introduce
     * text input in a easy way. The dialog execution events are passed to the application through the {@link CocoonJS.App.onTextDialogFinished} and the {@link CocoonJS.App.onTextDialogCancelled} event objects.
     * @function
     * @param {string} [title] Default value is "". The title to be displayed in the dialog.
     * @param {string} [message] Default value is "". The message to be displayed in the dialog, next to the text input field.
     * @param {string} [text] Default value is "". The initial text to be introduced in the text input field.
     * @param {CocoonJS.App.KeyboardType} [keyboardType] Default value is {@link CocoonJS.App.KeyboardType.TEXT}. The keyboard type to be used when the text has to be introduced.
     * @param {string} [cancelButtonText] Default value is "". The text to be displayed in the cancel button of the dialog.
     * @param {string} [okButtonText] Default value is "". The text to be displayed in the ok button of the dialog.
     * @see CocoonJS.App.onTextDialogFinished
     * @see CocoonJS.App.onTextDialogCancelled
     */
    CocoonJS.App.showTextDialog = function (title, message, text, keyboardType, cancelButtonText, okButtonText) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "showTextDialog", arguments, true);
        }
        else if (!navigator.isCocoonJS) {
            if (!message) {
                message = "";
            }
            if (!text) {
                text = "";
            }
            var result = prompt(message, text);
            var eventObject = result ? CocoonJS.App.onTextDialogFinished : CocoonJS.App.onTextDialogCancelled;
            eventObject.notifyEventListeners(result);
        }
    };

    /**
     * Pops up a message dialog so the user can decide between a yes or no like confirmation. The message box execution events are passed to the application through the {@link CocoonJS.App.onMessageBoxConfirmed} and the {@link CocoonJS.App.onMessageBoxDenied} event objects.
     * @function
     * @param {string} [title] Default value is "". The title to be displayed in the dialog.
     * @param {string} [message] Default value is "". The message to be displayed in the dialog, next to the text input field.
     * @param {string} [confirmButtonText] Default value is "Yes". The text to be displayed for the confirm button.
     * @param {string} [denyButtonText] Default value is "No". The text to be displayed for the deny button.
     * @see CocoonJS.App.onMessageBoxConfirmed
     * @see CocoonJS.App.onMessageBoxDenied
     */
    CocoonJS.App.showMessageBox = function (title, message, confirmButtonText, denyButtonText) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "showMessageBox", arguments, true);
        }
        else if (!navigator.isCocoonJS) {
            if (!message) {
                message = "";
            }
            var result = confirm(message);
            var eventObject = result ? CocoonJS.App.onMessageBoxConfirmed : CocoonJS.App.onMessageBoxDenied;
            eventObject.notifyEventListeners();
        }
    };

    /**
     * It allows to load a new JavaScript/HTML5 resource that can be loaded either locally (inside the platform/device storage) or using a remote URL.
     * @function
     * @param {string} path A path to a resource stored in the platform or in a URL to a remote resource.
     * @param {CocoonJS.App.StorageType} [storageType] If the path argument represents a locally stored resource, the developer can specify the storage where it is stored. If no value is passes, the {@link CocoonJS.App.StorageType.APP_STORAGE} value is used by default.
     */
    CocoonJS.App.load = function (path, storageType) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "loadPath", arguments);
        }
        else if (!navigator.isCocoonJS) {
            var xhr = new XMLHttpRequest();

            xhr.onreadystatechange = function (event) {
                if (xhr.readyState === 4) {
                    if (xhr.status === 200) {
                        // TODO: As window load event is not being called (WHY???), I have decided to call the listeners directly
                        // var callback= function(event){
                        //     window.removeEventListener("load", callback);
                        var jsCode;
                        // If there is no webview, it means we are in the webview, so notify the CocoonJS environment
                        if (!CocoonJS.App.EmulatedWebViewIFrame) {
                            jsCode = "window.CocoonJS && window.CocoonJS.App.onLoadInTheWebViewSucceed.notifyEventListeners('" + path + "');";
                        }
                        // If there is a webview, it means we are in CocoonJS, so notify the webview environment
                        else {
                            jsCode = "window.CocoonJS && window.CocoonJS.App.onLoadInCocoonJSSucceed.notifyEventListeners('" + path + "');";
                        }
                        CocoonJS.App.forwardAsync(jsCode);
                        // };
                        // window.addEventListener("load", callback);
                        window.location.href = path;
                    }
                    else if (xhr.status === 404) {
                        this.onreadystatechange = null;
                        var jsCode;
                        // If there is no webview, it means we are in the webview, so notify the CocoonJS environment
                        if (!CocoonJS.App.EmulatedWebViewIFrame) {
                            jsCode = "CocoonJS && CocoonJS.App.onLoadInTheWebViewFailed.notifyEventListeners('" + path + "');";
                        }
                        // If there is a webview, it means we are in CocoonJS, so notify the webview environment
                        else {
                            jsCode = "CocoonJS && CocoonJS.App.onLoadInCocoonJSFailed.notifyEventListeners('" + path + "');";
                        }
                        CocoonJS.App.forwardAsync(jsCode);
                    }
                }
            };
            xhr.open("GET", path, true);
            xhr.send();
        }
    };

    /**
     * Reloads the last loaded path in the current context.
     * @function
     */
    CocoonJS.App.reload = function () {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "reload", arguments);
        }
        else if (!navigator.isCocoonJS) {
            if (window.name == 'CocoonJS_App_ForCocoonJS_WebViewIFrame') {
                return window.parent.location.reload();
            }
            else {
                return window.parent.frames['CocoonJS_App_ForCocoonJS_WebViewIFrame'].window.location.reload();
            }
        }
    };

    /**
     * Opens a given URL using a system service that is able to open it. For example, open a HTTP URL using the system WebBrowser.+
     * @function
     * @param {string} url The URL to be opened by a system service.
     */
    CocoonJS.App.openURL = function (url) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "openURL", arguments, true);
        }
        else if (!navigator.isCocoonJS) {
            window.open(url, '_blank');
        }
    }

    /**
     * Forces the app to be finished.
     * @function
     */
    CocoonJS.App.forceToFinish = function () {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "forceToFinish", arguments);
        }
        else if (!navigator.isCocoonJS) {
            window.close();
        }
    }

    /**
     * Enables or disables the auto lock to control if the screen keeps on after an inactivity period.
     * When the auto lock is enabled and the application has no user input for a short period, the system puts the device into a "sleepâ€ state where the screen dims or turns off.
     * When the auto lock is disabled the screen keeps on even when there is no user input for long times.
     * @param enabled A boolean value that controls whether to enable or disable the auto lock.
     */
    CocoonJS.App.setAutoLockEnabled = function (enabled) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "setAutoLockEnabled", arguments);
        }
    }

    /**
     * Creates a canvas element that is automatically resized to the screen size. When the app is being executed
     * inside CocoonJS. This canvas is optimized for rendering so it is higly recommended to use it if it fits
     * your app needs. If your app uses one canvas as the main canvas where all other canvases and images are displayed, Ludei recommends to
     * call this function in order to create this main canvas. A usual 2x performance gain is achieved by doing so
     * depending on the device and the graphics card driver.
     * @function
     * @return {object} The canvas object that should be used as the main canvas and that is resized to the screen resolution.
     */
    CocoonJS.App.createScreenCanvas = function () {
        var screenCanvas;
        if (navigator.isCocoonJS) {
            screenCanvas = document.createElement("screencanvas");
        }
        else if (!navigator.isCocoonJS) {
            screenCanvas = document.createElement("canvas");
            screenCanvas.width = window.innerWidth;
            screenCanvas.height = window.innerHeight;
        }
        return screenCanvas;
    };

    /**
     * Disables the touch events in the CocoonJS environment.
     * @function
     */
    CocoonJS.App.disableTouchInCocoonJS = function () {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            window.ext.IDTK_APP.makeCall("disableTouchLayer", "CocoonJSView");
        }
    };

    /**
     * Enables the touch events in the CocoonJS environment.
     * @function
     */
    CocoonJS.App.enableTouchInCocoonJS = function () {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            window.ext.IDTK_APP.makeCall("enableTouchLayer", "CocoonJSView");
        }
    };

    /**
     * Disables the touch events in the WebView environment.
     * @function
     */
    CocoonJS.App.disableTouchInTheWebView = function () {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            window.ext.IDTK_APP.makeCall("disableTouchLayer", "WebView");
        }
    };

    /**
     * Enables the touch events in the WebView environment.
     * @function
     */
    CocoonJS.App.enableTouchInTheWebView = function () {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            window.ext.IDTK_APP.makeCall("enableTouchLayer", "WebView");
        }
    };

    /**
     * Setups the update interval in seconds (1 second / X frames) to receive the accelerometer updates.
     * It defines the rate at which the devicemotion events are updated.
     * @function
     * @param {number} updateIntervalInSeconds The update interval in seconds to be set.
     */
    CocoonJS.App.setAccelerometerUpdateIntervalInSeconds = function (updateIntervalInSeconds) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return window.ext.IDTK_APP.makeCall("setAccelerometerUpdateIntervalInSeconds", updateIntervalInSeconds);
        }
    };

    /**
     * Returns the update interval in seconds that is currently set for accelerometer related events.
     * @function
     * @return {number} The update interval in seconds that is currently set for accelerometer related events.
     */
    CocoonJS.App.getAccelerometerUpdateIntervalInSeconds = function () {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return window.ext.IDTK_APP.makeCall("getAccelerometerUpdateIntervalInSeconds");
        }
    };

    /**
     * Setups the update interval in seconds (1 second / X frames) to receive the gyroscope updates.
     * It defines the rate at which the devicemotion and deviceorientation events are updated.
     * @function
     * @param {number} updateIntervalInSeconds The update interval in seconds to be set.
     */
    CocoonJS.App.setGyroscopeUpdateIntervalInSeconds = function (updateIntervalInSeconds) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return window.ext.IDTK_APP.makeCall("setGyroscopeUpdateIntervalInSeconds", updateIntervalInSeconds);
        }
    };

    /**
     * Returns the update interval in seconds that is currently set for gyroscope related events.
     * @function
     * @return {number} The update interval in seconds that is currently set for gyroscope related events.
     */
    CocoonJS.App.getGyroscopeUpdateIntervalInSeconds = function () {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            window.ext.IDTK_APP.makeCall("getGyroscopeUpdateIntervalInSeconds");
        }
    };


    /**
     * Setups a origin proxy for a given typeName. What this means is that after calling this function the environment that makes this call will suddenly
     * have a way of creating instances of the given typeName and those instances will act as a transparent proxy to counterpart instances in the destination environment.
     * Manipulating attributes, calling funcitions or handling events will all be performed in the destination environment but the developer will think they will be
     * happening in the origin environment.
     * IMPORTANT NOTE: These proxies only work with types that use attributes and function parameters and return types that are primitive like numbers, strings or arrays.
     * @param {string} typeName The name of the type to be proxified.
     * @param {array} [attributeNames] A list of the names of the attributes to be proxified.
     * @param {array} [functionNames] A list of the names of the functions to be proxified.
     * @param {array} [eventHandlerNames] A list of the names of the event handlers to be proxified (onXXXX like attributes that represent callbacks).
     * A valid typeName and at least one valid array for attribute, function or event handler names is mandatory.
     */
    CocoonJS.App.setupOriginProxyType = function (typeName, attributeNames, functionNames, eventHandlerNames) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            // Control the parameters.
            if (!typeName) throw "The given typeName must be valid.";
            if (!attributeNames && !functionNames && !eventHandlerNames) throw "There is no point on setting up a proxy for no attributes, functions nor eventHandlers.";
            attributeNames = attributeNames ? attributeNames : [];
            functionNames = functionNames ? functionNames : [];
            eventHandlerNames = eventHandlerNames ? eventHandlerNames : [];

            // The parent object will be the window. It could be another object but careful, the destination side should know about this.
            // TODO: Specify the parentObject as a parameter, obtain it's path from the window object and pass it to the destination environment so it knows about it.
            var parentObject = window;

            // Setup the destination side too.
            var jsCode = "CocoonJS.App.setupDestinationProxyType(" + JSON.stringify(typeName) + ", " + JSON.stringify(eventHandlerNames) + ");";
            CocoonJS.App.forward(jsCode);

            var originalType = parentObject[typeName];

            // Constructor. This will be the new proxified type in the origin environment. Instances of this type will be created by the developer without knowing that they are
            // internally calling to their counterparts in the destination environment.
            parentObject[typeName] = function () {
                var _this = this;

                // Each proxy object will have a origin object inside with all the necessary information to be a proxy to the destination.
                this._cocoonjs_proxy_object_data = {};
                // The id is obtained calling to the destination side to create an instance of the type.
                var jsCode = "CocoonJS.App.newDestinationProxyObject(" + JSON.stringify(typeName) + ");";
                this._cocoonjs_proxy_object_data.id = CocoonJS.App.forward(jsCode);
                // The eventHandlers dictionary contains objects of the type { eventHandlerName : string, eventHandler : function } to be able to make the callbacks when the 
                // webview makes the corresponding calls.
                this._cocoonjs_proxy_object_data.eventHandlers = {};
                // Also store the typename inside each instance.
                this._cocoonjs_proxy_object_data.typeName = typeName;
                // A dictionary to store the event handlers
                this._cocoonjs_proxy_object_data.eventListeners = {};

                // TODO: eventHandlers and eventListeners should be in the same list ;)

                // Store all the proxy instances in a list that belongs to the type itself.
                parentObject[typeName]._cocoonjs_proxy_type_data.proxyObjects[this._cocoonjs_proxy_object_data.id] = this;

                // Create a setter and a getter for all the attribute names that have been specified. When the attributes are accessed (set or get) a call to the destination counterpart will be performed.
                for (var i = 0; i < attributeNames.length; i++) {
                    (function (attributeName) {
                        _this.__defineSetter__(attributeName, function (value) {
                            var jsCode = "CocoonJS.App.setDestinationProxyObjectAttribute(" + JSON.stringify(typeName) + ", " + _this._cocoonjs_proxy_object_data.id + ", " + JSON.stringify(attributeName) + ", " + JSON.stringify(value) + ");";
                            return CocoonJS.App.forwardAsync(jsCode);
                        });
                        _this.__defineGetter__(attributeName, function () {
                            var jsCode = "CocoonJS.App.getDestinationProxyObjectAttribute(" + JSON.stringify(typeName) + ", " + _this._cocoonjs_proxy_object_data.id + ", " + JSON.stringify(attributeName) + ");";
                            return CocoonJS.App.forwardAsync(jsCode);
                        });
                    })(attributeNames[i]);
                }

                // Create a function that performs a call to the destination environment counterpart for all the function names that have been specified.
                for (var i = 0; i < functionNames.length; i++) {
                    (function (functionName) {
                        _this[functionName] = function () {
                            // Get the arguments as an array and add the typeName, the proxy id and the functionName before all the other arguments before making the call to the destination counterpart.
                            var argumentsArray = Array.prototype.slice.call(arguments);
                            argumentsArray.unshift(functionName);
                            argumentsArray.unshift(this._cocoonjs_proxy_object_data.id);
                            argumentsArray.unshift(typeName);
                            // Use the array to create the correct function call.
                            var jsCode = "CocoonJS.App.callDestinationProxyObjectFunction(";
                            for (var i = 0; i < argumentsArray.length; i++) {
                                // The second argument (the id) should not be stringified
                                jsCode += (i !== 1 ? JSON.stringify(argumentsArray[i]) : argumentsArray[i]) + (i < argumentsArray.length - 1 ? ", " : "");
                            }
                            jsCode += ");";
                            // TODO: This next call should be synchronous but it seems that some customers are experiencing some crash issues. Making it async solves these crashes.
                            // Another possible solution could be to be able to specify which calls could be async and which sync in the proxification array.
                            var ret = CocoonJS.App.forwardAsync(jsCode);
                            return ret;
                        };
                    })(functionNames[i]);
                }

                // Create a setter and getter for all the event handler names that have been specified. When the event handlers are accessed, store them inside the corresponding position on the eventHandlers
                // array so they can be called when the destination environment makes the corresponding callback call.
                for (var i = 0; i < eventHandlerNames.length; i++) {
                    (function (eventHandlerName) {
                        _this.__defineSetter__(eventHandlerName, function (value) {
                            _this._cocoonjs_proxy_object_data.eventHandlers[eventHandlerName] = value;
                        });
                        _this.__defineGetter__(eventHandlerName, function () {
                            return _this._cocoonjs_proxy_object_data.eventHandlers[eventHandlerName];
                        });
                    })(eventHandlerNames[i]);
                }

                // Setup the add and remove event listeners in the proxy object
                _this.addEventListener = function (eventTypeName, eventCallback) {
                    var addEventCallback = true;
                    // Check for the eventListeners
                    var eventListeners = _this._cocoonjs_proxy_object_data.eventListeners[eventTypeName];
                    if (eventListeners) {
                        // As the eventListeners were already added, check that the same callback has not been added.
                        addEventCallback = eventListeners.indexOf(eventCallback) < 0;
                    }
                    else {
                        // There are no event listeners, so add the one and add the listeners array for the specific event type name
                        eventListeners = [];
                        _this._cocoonjs_proxy_object_data.eventListeners[eventTypeName] = eventListeners;

                        // Forward the call so the other end registers a event listener (only one is needed).
                        var jsCode = "CocoonJS.App.addDestinationProxyObjectEventListener(" + JSON.stringify(_this._cocoonjs_proxy_object_data.typeName) + ", " + _this._cocoonjs_proxy_object_data.id + ", " + JSON.stringify(eventTypeName) + ");";
                        CocoonJS.App.forwardAsync(jsCode);
                    }
                    // Only if the alforithm above specify so, add the eventcallback and notify the destination environment to do the same
                    if (addEventCallback) {
                        eventListeners.push(eventCallback);
                    }
                };

                _this.removeEventListener = function (eventTypeName, eventCallback) {
                    // Check for the eventListeners
                    var eventListeners = _this._cocoonjs_proxy_object_data.eventListeners[eventTypeName];
                    if (eventListeners) {
                        var eventCallbackIndex = eventListeners.indexOf(eventCallback);
                        if (eventCallbackIndex >= 0) {
                            eventListeners.splice(eventCallbackIndex, 1);
                        }
                    }
                };

                // Return the proxy instance.
                return this;
            };

            // The type will contain a proxy data structure to store all the instances that are created so they are available when the destination environment calls back. 
            parentObject[typeName]._cocoonjs_proxy_type_data =
            {
                originalType:originalType,
                proxyObjects:[]
            };

            /**
             * Deletes a proxy instance from both the CocoonJS environment structures and also deleting it's webview environment counterpart.
             * This function should be manually called whenever a proxy instance won't be accessed anymore.
             * @param {object} object The proxy object to be deleted.
             */
            parentObject[typeName]._cocoonjs_proxy_type_data.deleteProxyObject = function (object) {
                var proxyObjectKey = CocoonJS.getKeyForValueInDictionary(this.proxyObjects, object);
                if (proxyObjectKey) {
                    var jsCode = "CocoonJS.App.deleteDestinationProxyObject(" + JSON.stringify(typeName) + ", " + object._cocoonjs_proxy_object_data.id + ");";
                    CocoonJS.App.forwardAsync(jsCode);
                    object._cocoonjs_proxy_object_data = null;
                    delete this.proxyObjects[proxyObjectKey];
                }
            };

            /**
             * Calls a event handler for the given proxy object id and eventHandlerName.
             * @param {number} id The id to be used to look for the proxy object for which to make the call to it's event handler.
             * @param {string} eventHandlerName The name of the handler to be called.
             * NOTE: Events are a complex thing in the HTML specification. This function just performs a call but at least provides a
             * structure to the event passing the target (the proxy object).
             * TODO: The destination should serialize the event object as far as it can so many parameters can be passed to the origin
             * side. Using JSON.stringify in the destination side and parse in origin side maybe? Still must add the target to the event structure though.
             */
            parentObject[typeName]._cocoonjs_proxy_type_data.callProxyObjectEventHandler = function (id, eventHandlerName) {
                var object = this.proxyObjects[id];
                var eventHandler = object._cocoonjs_proxy_object_data.eventHandlers[eventHandlerName];
                if (eventHandler) {
                    eventHandler({ target:object });
                }
            };

            parentObject[typeName]._cocoonjs_proxy_type_data.callProxyObjectEventListeners = function (id, eventTypeName) {
                var object = this.proxyObjects[id];
                var eventListeners = object._cocoonjs_proxy_object_data.eventListeners[eventTypeName].slice();
                for (var i = 0; i < eventListeners.length; i++) {
                    eventListeners[i]({ target:object });
                }
            };
        }
    };

    /**
     * Takes down the proxification of a type and restores it to it's original type. Do not worry if you pass a type name that is not proxified yet. The
     * function will handle it correctly for compativility reasons.
     * @param {string} typeName The name of the type to be deproxified (take down the proxification and restore the type to it's original state)
     */
    CocoonJS.App.takedownOriginProxyType = function (typeName) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;
            if (parentObject[typeName] && parentObject[typeName]._cocoonjs_proxy_type_data) {
                parentObject[typeName] = parentObject[typeName]._cocoonjs_proxy_type_data.originalType;
            }
        }
    };

    /**
     * Deletes everything related to a proxy object in both environments. Do not worry of you do not pass a proxified object to the
     * function. For compatibility reasons, you can still have calls to this function even when no poxification of a type has been done.
     * @param {object} object The proxified object to be deleted.
     */
    CocoonJS.App.deleteOriginProxyObject = function (object) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;
            if (object && object._cocoonjs_proxy_object_data) {
                parentObject[object._cocoonjs_proxy_object_data.typeName]._cocoonjs_proxy_type_data.deleteProxyObject(object);
            }
        }
    };

    /**
     * NOTE: This function should never be directly called. It will be called from the destination environment whenever it is needed to work with proxy objects.
     * It calls the origin proxy object when an event handler need to be updated/called from the destination environment.
     * @param {string} typeName The type name of the proxified type.
     * @param {number} id The id of the proxy object.
     * @param {string} eventHandlerName The name of the event handler to be called.
     */
    CocoonJS.App.callOriginProxyObjectEventHandler = function (typeName, id, eventHandlerName) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;
            parentObject[typeName]._cocoonjs_proxy_type_data.callProxyObjectEventHandler(id, eventHandlerName);
        }
    };

    /**
     * NOTE: This function should never be directly called. It will be called from the destination environment whenever it is needed to work with proxy objects.
     * It calls the origin proxy object when all the event listeners related to a specific event need to be updated/called from the destination environment.
     * @param {string} typeName The type name of the proxified type.
     * @param {number} id The id of the proxy object.
     * @param {string} eventTypeName The name of the event type to call the listeners related to it.
     */
    CocoonJS.App.callOriginProxyObjectEventListeners = function (typeName, id, eventTypeName) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;
            parentObject[typeName]._cocoonjs_proxy_type_data.callProxyObjectEventListeners(id, eventTypeName);
        }
    };

    /**
     * NOTE: This function should never be directly called. It will be called from the origin environment whenever it is needed to work with proxy objects.
     * Setups all the structures that are needed to proxify a destination type to an origin type.
     * @param {string} typeName The name of the type to be proxified.
     * @param {array} eventHandlerNames An array with al the event handlers to be proxified. Needed in order to be able to create callbacks for all the event handlers
     * and call to the CocoonJS counterparts accordingly.
     */
    CocoonJS.App.setupDestinationProxyType = function (typeName, eventHandlerNames) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;

            // Add a cocoonjs structure to the destination proxified type to store some useful information like all the proxy instances that are created, plus the id counter 
            // and the names of all the event handlers and some utility functions.
            parentObject[typeName]._cocoonjs_proxy_type_data =
            {
                nextId:0,
                proxyObjects:{},
                eventHandlerNames:eventHandlerNames
            }
        }
    };

    /**
     * NOTE: This function should never be directly called. It will be called from the origin environment whenever it is needed to work with proxy objects.
     * Takes down the proxy type at the destination environment. Just removes the data structure related to proxies that was added to the type when proxification tool place.
     * @param {string} typeName The name of the type to take the proxification down.
     */
    CocoonJS.App.takedownDestinationProxyType = function (typeName) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;
            if (parent[typeName] && parentObject[typeName]._cocoonjs_proxy_type_data) {
                delete parentObject[typeName]._cocoonjs_proxy_type_data;
            }
        }
    };

    /**
     * NOTE: This function should never be directly called. It will be called from the original environment whenever it is needed to work with proxy objects.
     * Creates a new destination object instance and generates a id to reference it from the original environment.
     * @param {string} typeName The name of the type to be proxified and to generate an instance.
     * @return The id to be used from the original environment to identify the corresponding destination object instance.
     */
    CocoonJS.App.newDestinationProxyObject = function (typeName) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;

            var proxyObject = new parentObject[typeName]();
            // Also store some additional information in the proxy object
            proxyObject._cocoonjs_proxy_object_data = {};
            // Like the type name, that could be useful late ;)
            proxyObject._cocoonjs_proxy_object_data.typeName = typeName;
            // Caculate the id for the object. It will be returned to the origin environment so this object can be referenced later
            var proxyObjectId = parentObject[typeName]._cocoonjs_proxy_type_data.nextId;
            // Store the created object in the structure defined in the setup of proxification with an id associated to it
            parentObject[typeName]._cocoonjs_proxy_type_data.proxyObjects[proxyObjectId] = proxyObject;
            // Also store the id inside the proxy object itself
            proxyObject._cocoonjs_proxy_object_data.id = proxyObjectId;
            // Calculate a new id for the next object.
            parentObject[typeName]._cocoonjs_proxy_type_data.nextId++;

            // Setup all the event handlers.
            for (var i = 0; i < parentObject[typeName]._cocoonjs_proxy_type_data.eventHandlerNames.length; i++) {
                (function (eventHandlerName) {
                    proxyObject[eventHandlerName] = function (event) {
                        var proxyObject = this; // event.target;
                        // var eventHandlerName = CocoonJS.getKeyForValueInDictionary(proxyObject, this); // Avoid closures ;)
                        var jsCode = "CocoonJS.App.callOriginProxyObjectEventHandler(" + JSON.stringify(proxyObject._cocoonjs_proxy_object_data.typeName) + ", " + proxyObject._cocoonjs_proxy_object_data.id + ", " + JSON.stringify(eventHandlerName) + ");";
                        CocoonJS.App.forwardAsync(jsCode);
                    };
                })(parentObject[typeName]._cocoonjs_proxy_type_data.eventHandlerNames[i]);
            }

            // Add the dictionary where the event listeners (callbacks) will be added.
            proxyObject._cocoonjs_proxy_object_data.eventListeners = {};

            return proxyObjectId;
        }
    };

    /**
     * NOTE: This function should never be directly called. It will be called from the origin environement whenever it is needed to work with proxy objects.
     * Calls a function of a destination object idetified by it's typeName and id.
     * @param {string} typeName The name of the type of the proxy.
     * @param {number} id The id of the proxy object.
     * @param {string} functionName The name of the function to be called.
     * @return Whatever the function call returns.
     */
    CocoonJS.App.callDestinationProxyObjectFunction = function (typeName, id, functionName) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;
            var argumentsArray = Array.prototype.slice.call(arguments);
            argumentsArray.splice(0, 3);
            var proxyObject = parentObject[typeName]._cocoonjs_proxy_type_data.proxyObjects[id];
            var result = proxyObject[functionName].apply(proxyObject, argumentsArray);
            return result;
        }
    };

    /**
     * NOTE: This function should never be directly called. It will be called from the original environment whenever it is needed to work with proxy objects.
     * Sets a value to the corresponding attributeName of a proxy object represented by it's typeName and id.
     * @param {string} typeName The name of the type of the proxy.
     * @param {number} id The id of the proxy object.
     * @param {string} attributeName The name of the attribute to be set.
     * @param {unknown} attributeValue The value to be set to the attribute.
     */
    CocoonJS.App.setDestinationProxyObjectAttribute = function (typeName, id, attributeName, attributeValue) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;
            var proxyObject = parentObject[typeName]._cocoonjs_proxy_type_data.proxyObjects[id];
            proxyObject[attributeName] = attributeValue;
        }
    };

    /**
     * NOTE: This function should never be directly called. It will be called from the original environment whenever it is needed to work with proxy objects.
     * Retrieves the value of the corresponding attributeName of a proxy object represented by it's typeName and id.
     * @param {string} typeName The name of the type of the proxy.
     * @param {number} id The id of the proxy object.
     * @param {string} attributeName The name of the attribute to be retrieved.
     */
    CocoonJS.App.getDestinationProxyObjectAttribute = function (typeName, id, attributeName) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;
            var proxyObject = parentObject[typeName]._cocoonjs_proxy_type_data.proxyObjects[id];
            return proxyObject[attributeName];
        }
    };

    /**
     * NOTE: This function should never be directly called. It will be called from the original environment whenever it is needed to work with proxy objects.
     * Deletes a proxy object identifying it using it's typeName and id. Deleting a proxy object mainly means to remove the instance from the global structure
     * that hold all the instances.
     * @param {string} typeName The name of the type of the proxy.
     * @param {number} id The id of the proxy object.
     */
    CocoonJS.App.deleteDestinationProxyObject = function (typeName, id) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;
            delete parentObject[typeName]._cocoonjs_proxy_type_data.proxyObjects[id];
        }
    };

    /**
     * NOTE: This function should never be directly called. It will be called from the original environment whenever it is needed to work with proxy objects.
     */
    CocoonJS.App.addDestinationProxyObjectEventListener = function (typeName, id, eventTypeName) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            var parentObject = window;
            // Look for the proxy object
            var proxyObject = parentObject[typeName]._cocoonjs_proxy_type_data.proxyObjects[id];

            var callback = function (event) {
                var proxyObject = this; // event.target;
                // var eventTypeName = CocoonJS.getKeyForValueInDictionary(proxyObject._cocoonjs_proxy_object_data.eventListeners, this); // Avoid closures ;)
                // TODO: Is there a way to retrieve the callbackId without a closure?
                var jsCode = "CocoonJS.App.callOriginProxyObjectEventListeners(" + JSON.stringify(proxyObject._cocoonjs_proxy_object_data.typeName) + ", " + proxyObject._cocoonjs_proxy_object_data.id + ", " + JSON.stringify(eventTypeName) + ");";
                CocoonJS.App.forwardAsync(jsCode);
            };

            proxyObject._cocoonjs_proxy_object_data.eventListeners[eventTypeName] = callback;

            // Finally add the event listener callback to the proxy object
            proxyObject.addEventListener(eventTypeName, callback);
        }
    };

    // TODO: We could add a removeDestinationProxyObjectEventListener although it seems that is not completely necessary.

    /**
     * Proxifies the XMLHttpRequest type for the environment where this call is made. After calling this function, all the new objects
     * of XMLHttpRequest that are instantiated, will be proxified objects that will make calls to the counterparts in the other environment (CocoonJS <-> WebView viceversa).
     * IMPORTANT NOTE: Remember to take down the proxification once you are done or to delete proxy objects whenever they are not needed anymore or memory leaks may occur.
     */
    CocoonJS.App.proxifyXHR = function () {
        var ATTRIBUTE_NAMES =
            [
                "timeout",
                "withCredentials",
                "upload",
                "status",
                "statusText",
                "responseType",
                "response",
                "responseText",
                "responseXML",
                "readyState"
            ];
        var FUNCTION_NAMES =
            [
                "open",
                "setRequestHeader",
                "send",
                "abort",
                "getResponseHeader",
                "getAllResponseHeaders",
                "overrideMimeType"
            ];
        var EVENT_HANDLER_NAMES =
            [
                "onloadstart",
                "onprogress",
                "onabort",
                "onerror",
                "onload",
                "ontimeout",
                "onloadend",
                "onreadystatechange"
            ];
        CocoonJS.App.setupOriginProxyType("XMLHttpRequest", ATTRIBUTE_NAMES, FUNCTION_NAMES, EVENT_HANDLER_NAMES);
    };

    /**
     * Proxifies the Audio type for the environment where this call is made. After calling this function, all the new objects
     * of Audio that are instantiated, will be proxified objects that will make calls to the counterparts in the other environment (CocoonJS <-> WebView viceversa).
     * IMPORTANT NOTE: Remember to take down the proxification once you are done or to delete proxy objects whenever they are not needed anymore or memory leaks may occur.
     */
    CocoonJS.App.proxifyAudio = function () {
        var ATTRIBUTE_NAMES =
            [
                "src",
                "loop",
                "volume",
                "preload"
            ];
        var FUNCTION_NAMES =
            [
                "play",
                "pause",
                "load",
                "canPlayType"
            ];
        var EVENT_HANDLER_NAMES =
            [
                "onended",
                "oncanplay",
                "oncanplaythrough",
                "onerror"
            ];
        CocoonJS.App.setupOriginProxyType("Audio", ATTRIBUTE_NAMES, FUNCTION_NAMES, EVENT_HANDLER_NAMES);
    };

    /**
     * Captures a image of the screen synchronously and saves it to a file. Sync mode allows to capture the screen in the middle of a frame rendering.
     * @param {string} fileName Desired file name and format (png or jpg). If no value is passed, "capture.png" value is used by default
     * @param {CocoonJS.App.StorageType} storageType The developer can specify the storage where it is stored. If no value is passed, the {@link CocoonJS.App.StorageType.TMP_STORAGE} value is used by default.
     * @param {CocoonJS.App.CaptureType} captureType. Optional value to choose capture type. [0: captures everything, 1: only captures cocoonjs surface 2: only captures system views]. @see CocoonJS.App.CaptureType
     * @return The URL of the saved file.
     * @throws exception if the image fails to be stored or there is another error.
     * @see CocoonJS.App.onCaptureScreenSucceeded
     * @see CocoonJS.App.onCaptureScreenFailed
     */
    CocoonJS.App.captureScreen = function (fileName, storageType, captureType) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return window.ext.IDTK_APP.makeCall("captureScreen", fileName, storageType, captureType);
        }
    };

    /**
     * Captures a image of the screen asynchronously and saves it to a file.
     * Async mode captures a final frame as soon as possible.
     * @param {string} Desired file name and format (png or jpg). If no value is passed, "capture.png" value is used by default
     * @param {CocoonJS.App.StorageType} [storageType] The developer can specify the storage where it is stored. If no value is passed, the {@link CocoonJS.App.StorageType.TMP_STORAGE} value is used by default.
     * @param {CocoonJS.App.CaptureType} captureType. Optional value to choose capture type. [0: captures everything, 1: only captures cocoonjs surface, 2: only captures system views]. @see CocoonJS.App.CaptureType
     * @param {function} callback. Response callback, check the error property to monitor errors. Check the 'url' property to get the URL of the saved Image
     */
    CocoonJS.App.captureScreenAsync = function (fileName, storageType, captureType, callback) {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            window.ext.IDTK_APP.makeCallAsync("captureScreen", fileName, storageType, captureType, callback);
        }
    };

    /**
     * Returns the device UUID
     * @return {string} The device UUID
     */
    CocoonJS.App.getDeviceId = function() {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return window.ext.IDTK_APP.makeCall("getDeviceId");
        }
    };

    /**
     * Structure that defines the getDeviceInfo returned information
     */
    CocoonJS.App.DeviceInfo = {

        /**
        * The operating system name (ios, android,...)
        * @type string
        */
        os: null,

        /**
        * The operating system version (4.2.2, 5.0,...)
        * @type string
        */
        version: null,

        /**
        * The operating system screen density in dpi
        * @type string
        */
        dpi: null,

        /**
        * The device manufacturer (apple, samsung, lg,...)
        * @type string
        */
        brand: null,

        /**
        * The device model (iPhone 4S, SAMSUNG-SGH-I997, SAMSUNG-SGH-I997R, etc)
        * @type string
        */
        model: null,

        /**
        * The phone IMEI
        * Android: The phone IMEI is returned or null if the device has not telepohny
        * iOS: null is returned as we cannot get the IMEI in iOS, no public API available for that yet.
        * @type string
        */
        imei: null,

        /**
        * The platform Id
        * Android: The ANDROID_ID is used.
        * iOS: The OpenUDID is used as there is no Android ANDROID_ID equivalent in iOS
        * @type string
        */
        platformId: null,

        /**
        * The Odin generated id https://code.google.com/p/odinmobile/
        * @type string
        */
        odin: null,

        /**
        * The OpenUDID generated Id https://github.com/ylechelle/OpenUDID
        * @type string
        */
        openudid: null
    };

    /**
     * Returns the device Info
     * @return {CocoonJS.App.DeviceInfo} The device Info
     */
    CocoonJS.App.getDeviceInfo = function() {
        if (CocoonJS.App.nativeExtensionObjectAvailable) {
            return window.ext.IDTK_APP.makeCall("getDeviceInfo");
        }
    };    

    /**
     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.App.onTextDialogFinished} event calls.
     * @name OnTextDialogFinishedListener
     * @function
     * @static
     * @memberOf CocoonJS.App
     * @param {string} text The text that was introduced in the text dialog when it was finished.
     */
    /**
     * This {@link CocoonJS.EventHandler} object allows listening to events called when the text dialog is finished by accepting it's content.
     * The callback function's documentation is represented by {@link CocoonJS.App.OnTextDialogFinishedListener}
     * @event
     * @static
     * @memberOf CocoonJS.App
     */
    CocoonJS.App.onTextDialogFinished = new CocoonJS.EventHandler("IDTK_APP", "App", "ontextdialogfinish");

    /**
     * This {@link CocoonJS.EventHandler} object allows listening to events called when the text dialog is finished by dismissing it's content.
     * The callback function does not receive any parameter.
     * @event
     * @static
     * @memberOf CocoonJS.App
     */
    CocoonJS.App.onTextDialogCancelled = new CocoonJS.EventHandler("IDTK_APP", "App", "ontextdialogcancel");

    /**
     * This {@link CocoonJS.EventHandler} object allows listening to events called when the text dialog is finished by accepting it's content.
     * The callback function does not receive any parameter.
     * @event
     * @static
     * @memberOf CocoonJS.App
     */
    CocoonJS.App.onMessageBoxConfirmed = new CocoonJS.EventHandler("IDTK_APP", "App", "onmessageboxconfirmed");

    /**
     * This {@link CocoonJS.EventHandler} object allows listening to events called when the text dialog is finished by dismissing it's content.
     * The callback function does not receive any parameter.
     * @event
     * @static
     * @memberOf CocoonJS.App
     */
    CocoonJS.App.onMessageBoxDenied = new CocoonJS.EventHandler("IDTK_APP", "App", "onmessageboxdenied");

    /**
     * This {@link CocoonJS.EventHandler} object allows listening to events called when the application is suspended.
     * The callback function does not receive any parameter.
     * @event
     * @static
     * @memberOf CocoonJS.App
     */
    CocoonJS.App.onSuspended = new CocoonJS.EventHandler("IDTK_APP", "App", "onsuspended");

    /**
     * This {@link CocoonJS.EventHandler} object allows listening to events called when the application is activated.
     * The callback function does not receive any parameter.
     * @event
     * @static
     * @memberOf CocoonJS.App
     */
    CocoonJS.App.onActivated = new CocoonJS.EventHandler("IDTK_APP", "App", "onactivated");

})();

//////////////////////////////////////
// COCOONJS_APP_FORCOCOONJS.JS		//
//////////////////////////////////////

(function()
{
    if (typeof window.CocoonJS === 'undefined' || window.CocoonJS === null) throw("The CocoonJS object must exist and be valid before adding more functionalities to an extension.");
    if (typeof window.CocoonJS.App === 'undefined' || window.CocoonJS.App === null) throw("The CocoonJS.App object must exist and be valid before adding more functionalities to it.");

    /**
    * This namespace represents all the basic functionalities available in the CocoonJS extension API.
    * @namespace
    */
    CocoonJS.App = CocoonJS.App ? CocoonJS.App : {};

    if (!CocoonJS.App.nativeExtensionObjectAvailable)
    {
        (function createWebView() { 
            CocoonJS.App.EmulatedWebView = document.createElement('div'); 
            CocoonJS.App.EmulatedWebView.setAttribute('id', 'CocoonJS_App_ForCocoonJS_WebViewDiv'); 
            CocoonJS.App.EmulatedWebView.style.width = 0; 
            CocoonJS.App.EmulatedWebView.style.height = 0; 
            CocoonJS.App.EmulatedWebView.style.position = "absolute"; 
            CocoonJS.App.EmulatedWebView.style.left = 0; 
            CocoonJS.App.EmulatedWebView.style.top = 0;
            CocoonJS.App.EmulatedWebView.style.backgroundColor = 'transparent';
            CocoonJS.App.EmulatedWebView.style.border = "0px solid #000"; 
            CocoonJS.App.EmulatedWebViewIFrame = document.createElement("IFRAME"); 
            CocoonJS.App.EmulatedWebViewIFrame.setAttribute('id', 'CocoonJS_App_ForCocoonJS_WebViewIFrame');
            CocoonJS.App.EmulatedWebViewIFrame.setAttribute('name', 'CocoonJS_App_ForCocoonJS_WebViewIFrame');
            CocoonJS.App.EmulatedWebViewIFrame.style.width = 0; 
            CocoonJS.App.EmulatedWebViewIFrame.style.height = 0; 
            CocoonJS.App.EmulatedWebViewIFrame.frameBorder = 0;
            CocoonJS.App.EmulatedWebViewIFrame.allowtransparency = true;
            CocoonJS.App.EmulatedWebView.appendChild(CocoonJS.App.EmulatedWebViewIFrame);
            if(!document.body)
            document.body = document.createElement("body");
            document.body.appendChild(CocoonJS.App.EmulatedWebView);
        })(); 
    }

    /**
    * Pauses the CocoonJS JavaScript execution loop.
    * @function
    * @augments CocoonJS.App
    */
    CocoonJS.App.pause = function()
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "pause", arguments);
        }
    };

    /**
    * Resumes the CocoonJS JavaScript execution loop.
    * @static
    * @function
    */
    CocoonJS.App.resume = function()
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "resume", arguments);
        }
    };

    /**
    * Loads a resource in the WebView environment from the CocoonJS environment.
    * @function
    * @param {string} path The path to the resource. It can be a remote URL or a path to a local file.
    * @param {CocoonJS.App.StorageType} [storageType] An optional parameter to specify at which storage in the device the file path is stored. By default, APP_STORAGE is used.
    * @see CocoonJS.App.load
    * @see CocoonJS.App.onLoadInTheWebViewSucceed
    * @see CocoonJS.App.onLoadInTheWebViewFailed
    */
    CocoonJS.App.loadInTheWebView = function(path, storageType)
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
            // TODO: All this code should be changed to a simple call makeNativeExtensionObjectFunctionCall when the native argument control is improved.
            var javaScriptCodeToForward = "ext.IDTK_APP.makeCall('loadPath'";
            if (typeof path !== 'undefined')
            {
                javaScriptCodeToForward += ", '" + path + "'";
                if (typeof storageType !== 'undefined')
                {
                    javaScriptCodeToForward += ", '" + storageType + "'";
                }
            }
            javaScriptCodeToForward += ");";

            return CocoonJS.App.forwardAsync(javaScriptCodeToForward);
        }
        else if (!navigator.isCocoonJS)
        {
            var xhr = new XMLHttpRequest();

            xhr.onreadystatechange = function(event) {
                if (xhr.readyState === 4)
                {
                    if (xhr.status === 200)
                    {
                        var callback= function(event){
                            CocoonJS.App.onLoadInTheWebViewSucceed.notifyEventListeners(path);
                            CocoonJS.App.EmulatedWebViewIFrame.removeEventListener("load", callback);
                        };

                        CocoonJS.App.EmulatedWebViewIFrame.addEventListener(
                            "load", 
                            callback
                        );
                        CocoonJS.App.EmulatedWebViewIFrame.contentWindow.location.href= path;
                    }
                    else if (xhr.status === 404)
                    {
                        this.onreadystatechange = null;
                        CocoonJS.App.onLoadInTheWebViewFailed.notifyEventListeners(path);
                    }
                }
            };
            xhr.open("GET", path, true);
            xhr.send();
        }
    };

    /**
     * Reloads the last loaded path in the WebView context.
     * @function
     */
    CocoonJS.App.reloadWebView = function()
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
            return CocoonJS.App.forwardAsync("ext.IDTK_APP.makeCall('reload');");
        }
        else if (!navigator.isCocoonJS)
        {
            CocoonJS.App.EmulatedWebViewIFrame.contentWindow.location.reload();
        }
    };

    /**
    * Shows the webview.
    * @function
    * @param {int} x The top lef x coordinate of the rectangle where the webview will be shown.
    * @param {int} y The top lef y coordinate of the rectangle where the webview will be shown.
    * @param {width} y The width of the rectangle where the webview will be shown.
    * @param {height} y The height of the rectangle where the webview will be shown.
    */
    CocoonJS.App.showTheWebView = function(x, y, width, height)
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
            var javaScriptCodeToForward = "ext.IDTK_APP.makeCall('show'";
            if (typeof x !== 'undefined' && typeof y !== 'undefined' && typeof width !== 'undefined' && typeof height !== 'undefined')
            {
                javaScriptCodeToForward += ", " + x + ", " + y + ", " + width + ", " + height;
            }
            javaScriptCodeToForward += ");";

            return CocoonJS.App.forwardAsync(javaScriptCodeToForward);
        }
        else if (!navigator.isCocoonJS)
        {
            CocoonJS.App.EmulatedWebViewIFrame.style.width = (width ? width : window.innerWidth)+'px';
            CocoonJS.App.EmulatedWebViewIFrame.style.height = (height ? height : window.innerHeight)+'px';
            CocoonJS.App.EmulatedWebView.style.left = (x ? x : 0)+'px';
            CocoonJS.App.EmulatedWebView.style.top = (y ? y : 0)+'px';
            CocoonJS.App.EmulatedWebView.style.width = (width ? width : window.innerWidth)+'px';
            CocoonJS.App.EmulatedWebView.style.height = (height ? height : window.innerHeight)+'px';
            CocoonJS.App.EmulatedWebView.style.display = "block";
        }
    };

    /**
    * Hides the webview.
    * @function
    */
    CocoonJS.App.hideTheWebView = function()
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
            var javaScriptCodeToForward = "ext.IDTK_APP.makeCall('hide');";
            return CocoonJS.App.forwardAsync(javaScriptCodeToForward);
        }
        else if (!navigator.isCocoonJS)
        {
            CocoonJS.App.EmulatedWebView.style.display = "none";
        }
    };

    /**
    * Marks a audio file to be used as music by the system. CocoonJS, internally, differentiates among music files and sound files.
    * Music files are usually bigger in size and longer in duration that sound files. There can only be just one music file 
    * playing at a specific given time. The developer can mark as many files as he/she wants to be treated as music. When the corresponding
    * HTML5 audio object is used, the system will automatically know how to treat the audio resource as music or as sound.
    * Note that it is not mandatory to use this function. The system automatically tries to identify if a file is suitable to be treated as music
    * or as sound by checking file size and duration thresholds. It is recommended, though, that the developer specifies him/herself what he/she considers
    * to be music.
    * @function
    * @param {string} audioFilePath The same audio file path that will be used to create HTML5 audio objects.
    */
    CocoonJS.App.markAsMusic = function(audioFilePath)
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
           return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "addForceMusic", arguments);
        }
    };

    /**
    * Activates or deactivates the antialas functionality from the CocoonJS rendering.
    * @function
    * @param {boolean} enable A flag that indicates if the antialas should be activated (true) or deactivated (false).
    */
    CocoonJS.App.setAntialias = function(enable)
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
           return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "setDefaultAntialias", arguments);
        }
    };

    /**
    * Sets a callback function that will be called whenever the system tries to finish the app.
    * The developer can specify how the system will react to the finish of the app by returning a
    * boolean value in the callback function: true means, close the app, false means that the developer
    * will handle the app close.
    * A common example of this is the back button in Android devices. When the back button is pressed, this
    * callback will be called and the system will react depending on the developers choice finishing, or not,
    * the application.
    * @function
    * @param {function} appShouldFinishCallback A function object that will be called when the system
    * determines that the app should be finished. This function must return a true or a false value
    * depending on what the developer wants: true === finish the app, false === do not close the app.
    */
    CocoonJS.App.setAppShouldFinishCallback = function(appShouldFinishCallback)
    {
        if (navigator.isCocoonJS)
        {
            window.onidtkappfinish = appShouldFinishCallback;
        }
    }

    /**
    * Sets the texture reduction options. The texture reduction is a process that allows big images to be reduced/scaled down when they are loaded.
    * Although the quality of the images may decrease, it can be very useful in low end devices or those with limited amount of memory.
    * The function sets the threshold on image size (width or height) that will be used in order to know if an image should be reduced or not.
    * It also allows to specify a list of strings to identify in which images file paths should be applied (when they meet the size threshold requirement) 
    * The developer will still think that the image is of the original size. CocoonJS handles all of the internals to be able to show the image correctly.
    * IMPORTANT NOTE: This function should be called when the application is initialized before any image is set to be loaded for obvious reasons ;).
    * and in which sould be forbid (even if they meet the threshold requirement).
    * @function
    * @param {number} sizeThreshold This parameter specifies the minimun size (either width or height) that an image should have in order to be reduced.
    * @param {string or array} [applyTo] This parameter can either be a string or an array of strings. It's purpose is to specify one (the string) or more (the array) substring(s) 
    * that will be compared against the file path of an image to be loaded in order to know if the reduction should be applied or not. If the image meets the
    * threshold size requirement and it's file path contains this string (or strings), it will be reduced. This parameter can also be null.
    * @param {string or array} [forbidFor] This parameter can either be a string or an array of strings. It's purpose is to specify one (the string) or more (the array) substring(s) 
    * that will be compared against the file path of an image to be loaded in order to know if the reduction should be applied or not. If the image meets the
    * threshold size requirement and it's file path contains this string (or strings), it won't be reduced. This parameter should be used in order to mantain the 
    * quality of some images even they meet the size threshold requirement.
    */
    CocoonJS.App.setTextureReduction = function(sizeThreshold, applyTo, forbidFor)
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
            CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "setDefaultTextureReducerThreshold", arguments);
        }
    };


    /**
    * Prints to the console the memory usage of the currently alive textures
    * @function
    */
    CocoonJS.App.logMemoryInfo = function()
    {
        if (CocoonJS.App.nativeExtensionObjectAvailable)
        {
            return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_APP", "logMemoryInfo", arguments);
        }
    };

    /**
    * Enable CocoonJS Webview FPS overlay.
    * @function
    */
    CocoonJS.App.enableFPSInTheWebView = function(fpsLayout, textColor)
    {
        if (!CocoonJS.App.fpsInTheWebViewEnabled)
        {
            fpsLayout = fpsLayout ? fpsLayout : CocoonJS.App.FPSLayout.TOP_RIGHT;
            textColor = textColor ? textColor : "white";
            var jsCode = "" +
                "(function()" +
                "{" +
                    "var COCOONJS_WEBVIEW_EXTENSION_SCRIPT_FILES = ['js/CocoonJSExtensions/CocoonJS.js', 'js/CocoonJSExtensions/CocoonJS_App.js', 'js/CocoonJSExtensions/CocoonJS_App_ForWebView.js'];" +
                    "var loadedScriptCounter = 0;" + 
                    "var loadedScriptFunction = function() " +
                    "{ " +
                        "loadedScriptCounter++;"+
                        "if (loadedScriptCounter >= COCOONJS_WEBVIEW_EXTENSION_SCRIPT_FILES.length)"+
                        "{"+
                            "CocoonJS.App.enableFPS(" + JSON.stringify(fpsLayout) + ", " + JSON.stringify(textColor) + ");"+
                        "}"+
                    "};"+
                    "for (var i = 0; i < COCOONJS_WEBVIEW_EXTENSION_SCRIPT_FILES.length; i++)"+
                    "{"+
                        "var s = document.createElement('script');"+
                        "s.onload = loadedScriptFunction;"+
                        "s.src = COCOONJS_WEBVIEW_EXTENSION_SCRIPT_FILES[i];"+
                        "document.body.appendChild(s);"+
                    "}" +
                "})();";
            setTimeout(function()
            {
                CocoonJS.App.forward(jsCode);
            }, 3000);
            CocoonJS.App.fpsInTheWebViewEnabled = true;
        }
    };

    /**
    * Disable CocoonJS Webview FPS overlay.
    * @function
    */
    CocoonJS.App.disableFPSInTheWebView = function()
    {
        // TODO: Implement this function.
    };

    /**
     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.App.onLoadInTheWebViewSucceed} event calls.
     * @name OnLoadInTheWebViewSucceedListener
     * @function
     * @static
     * @memberOf CocoonJS.App
     * @param {string} pageURL The URL of the page that had been loaded in the webview.
     */
    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the WebView load has completed successfully.
    * The callback function's documentation is represented by {@link CocoonJS.App.OnLoadInTheWebViewSucceedListener}
    * @event
    * @static
    * @memberOf CocoonJS.App
    * @param {string} pageURL A string that represents the page URL loaded.
    */
    CocoonJS.App.onLoadInTheWebViewSucceed = new CocoonJS.EventHandler("IDTK_APP", "App", "forwardpageload");

    /**
     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.App.onLoadInTheWebViewFailed} event calls.
     * @name OnLoadInTheWebViewFailedListener
     * @function
     * @static
     * @memberOf CocoonJS.App
     * @param {string} pageURL The URL of the page that had been loaded in the webview.
     */
    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the WebView load fails.
    * The callback function's documentation is represented by {@link CocoonJS.App.OnLoadInTheWebViewFailedListener}
    * @event
    * @static
    * @memberOf CocoonJS.App
    */
    CocoonJS.App.onLoadInTheWebViewFailed = new CocoonJS.EventHandler("IDTK_APP", "App", "forwardpagefail");
    
})();

//////////////////////////////////////
// COCOONJS_AD.JS                   //
//////////////////////////////////////

(function()
{
    // The CocoonJS must exist before creating the extension.
    if (typeof window.CocoonJS === 'undefined' || window.CocoonJS === null) throw("The CocoonJS object must exist and be valid before creating any extension object.");

    /**
    * This namespace represents the CocoonJS Advertisement extension API.
    * @namespace
    */
    CocoonJS.Ad = {};

    CocoonJS.Ad.nativeExtensionObjectAvailable = CocoonJS.nativeExtensionObjectAvailable && typeof window.ext.IDTK_SRV_AD !== 'undefined';

    /**
    * The predefined possible layouts for a banner ad.
    * @namespace 
    */
	CocoonJS.Ad.BannerLayout = 
	{
		/**
		* Specifies that the banner must be shown in the top of the screen and vertically centered.
		*/
	    TOP_CENTER      : "TOP_CENTER",

		/**
		* Specifies that the banner must be shown in the bottom of the screen and vertically centered.
		*/
	    BOTTOM_CENTER   : "BOTTOM_CENTER"
	};

	/**
    * A rectangle object that contains the banner dimensions
    * @namespace 
    * @constructor
    * @param {int} x The top lef x coordinate of the rectangle.
    * @param {int} y The top lef y coordinate of the rectangle.
    * @param {width} y The rectangle width.
    * @param {height} y The rectangle height.
    */
	CocoonJS.Ad.Rectangle = function(x, y, width, height) 
	{
		/**
		* The top lef x coordinate of the rectangle 
		* @field 
		* @type {int}
		*/
	    this.x = x;

		/**
		* The top lef y coordinate of the rectangle 
		* @field 
		* @type {int}
		*/
	    this.y = y;

	    /**
		* The rectangle width
		* @field 
		* @type {int}
		*/
	    this.width = width;

	    /**
		* The rectangle height
		* @field 
		* @type {int}
		*/
	    this.height = height;
	};

	CocoonJS.Ad.Banner = function(id)
	{
		if (typeof id !== 'number') throw "The given ad ID is not a number.";

		this.id = id;
		var me = this;

		/**
    	* This {@link CocoonJS.EventHandler} object allows listening to events called when a banner is shown.
    	* The callback function does not receive any parameter.
    	* @static
    	* @event
    	*/
		this.onBannerShown = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onbannershow", function(sourceListener, args)
    	{
    		if (me.id === args[0]) 
    		{
    			sourceListener();
    		}
    	});

    	/**
    	* This {@link CocoonJS.EventHandler} object allows listening to events called when a banner is hidden.
    	* The callback function does not receive any parameter.
    	* @static
    	* @event
    	*/
		this.onBannerHidden = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onbannerhide", function(sourceListener, args)
    	{
    		if (me.id === args[0]) 
    		{
    			sourceListener();
    		}
    	});

    	/**
    	* This {@link CocoonJS.EventHandler} object allows listening to events called when a banner is ready (cached).
    	* The callback function does not receive any parameter.
    	* @param {number} width The banner width
    	* @param {number} height The banner height
    	* @static
    	* @event
    	*/
		this.onBannerReady = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onbannerready", function(sourceListener, args)
    	{
    		if (me.id === args[0]) 
    		{
    			sourceListener(args[1], args[2]);
    		}
    	});
	};

	CocoonJS.Ad.Banner.prototype = {

		/**
		* Shows a banner ad if available.
		* @function
		*/
		showBanner : function()
		{
			if (CocoonJS.Ad.nativeExtensionObjectAvailable)
			{
				CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "showBanner", [this.id], true);
			}
		},

		/**
		* Hides the banner ad if it was being shown.
		* @function
		*/
		hideBanner : function()
		{
			if (CocoonJS.Ad.nativeExtensionObjectAvailable)
			{
				CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "hideBanner", [this.id], true);
			}
		},

		/**
		* Refreshes the banner.
		* @function
		*/
		refreshBanner : function()
		{
			if (CocoonJS.Ad.nativeExtensionObjectAvailable)
			{
				CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "refreshBanner", [this.id], true);
			}
		},

		/**
		* Gets the rectangle representing the banner screen position.
		* @function
		* @return {CocoonJS.Ad.Rectangle} rectangle The rectangle representing the banner position and domensions.
		*/
		getRectangle : function()
		{
			if (CocoonJS.Ad.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "getRectangle", [this.id]);
			}
		},

		/**
		* Sets the rectangle where the banner ad is going to be shown.
		* @function
		* @param {CocoonJS.Ad.Rectangle} rect The rectangle representing the banner position and domensions.
		*/
		setRectangle : function(rect)
		{
			if (CocoonJS.Ad.nativeExtensionObjectAvailable)
			{
				CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "setRectangle", [this.id, rect],true);
			}
		},

		/**
		* Sets the rectangle where the banner ad is going to be shown.
		* You can use this method if you want to have better control of the banner screen positioning.
		* @function
		* @param {CocoonJS.Ad.BannerLayout} bannerLayout The layout where the bannerwill be placed.
		*/
		setBannerLayout : function(bannerLayout)
		{
			if (CocoonJS.Ad.nativeExtensionObjectAvailable)
			{
				CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "setBannerLayout", [this.id, bannerLayout],true);
			}
		}
	};

	CocoonJS.Ad.Fullscreen = function(id)
	{
		if (typeof id !== 'number') throw "The given ad ID is not a number.";

		this.id = id;
		var me = this;

		/**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when a full screen ad is shown.
	    * The callback function does not receive any parameter.
	    * @static
	    * @event
	    */
		this.onFullScreenShown = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onfullscreenshow", function(sourceListener, args)
    	{
    		if (me.id === args[0]) {
    			sourceListener();
    		}
    	});

		/**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when a full screen ad is hidden.
	    * The callback function does not receive any parameter.
	    * @static
	    * @event
	    */
    	this.onFullScreenHidden = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onfullscreenhide", function(sourceListener, args)
    	{
    		if (me.id === args[0]) {
    			sourceListener();
    		}
    	});

    	/**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when a full screen ad is ready (cached).
	    * The callback function does not receive any parameter.
	    * @static
	    * @event
	    */
    	this.onFullScreenReady = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onfullscreenready", function(sourceListener, args)
    	{
    		if (me.id === args[0]) {
    			sourceListener();
    		}
    	});
	};

	CocoonJS.Ad.Fullscreen.prototype = {

		/**
		* Shows a full screen ad if available.
		* @function
		* @see CocoonJS.Ad.onFullScreenShown
		* @see CocoonJS.Ad.onFullScreenHidden
		*/
		showFullScreen : function()
		{
			if (CocoonJS.Ad.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "showFullScreen", [this.id], true);
			}
		},

		/**
		* Refreshes the fullscreen.
		* @function
		*/
		refreshFullScreen : function()
		{
			if (CocoonJS.Ad.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "refreshFullScreen", [this.id], true);
			}
		}
	};

	/**
	* Initialize the service with service level initialization parameters.
	* @function
	* @param {object} An object with the required initialization parameters for the service.
	*/
	CocoonJS.Ad.requestInitialization = function(parameters)
	{
        if (typeof parameters === "undefined") {
            parameters = {};
        }

		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "requestInitialization", arguments, true);
		}
	};

	/**
	* Creates a new banner ad.
	* @function
	* @param {object} An object containing the properties the ad will need for its initialization.
	*/
	CocoonJS.Ad.createBanner = function(parameters)
	{
		if (typeof parameters === "undefined") {
            parameters = {};
        }

		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			var adId = CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "createBanner", [parameters]);
			var banner = new CocoonJS.Ad.Banner(adId);

			return banner;
		}
	};

	/**
	* Releases a banner.
	* @function
	* @param {object} The banner ad object to be released.
	*/
	CocoonJS.Ad.releaseBanner = function(banner)
	{
		if (typeof banner === "undefined") {
            throw "The banner ad object to be released is undefined"
        }

		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "releaseBanner", [banner.id]);
		}
	};

	/**
	* Creates a new fullscreen ad.
	* @function
	* @param {object} An object containing the properties the ad will need for its initialization.
	*/
	CocoonJS.Ad.createFullscreen = function(parameters)
	{
		if (typeof parameters === "undefined") {
            parameters = {};
        }

		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			var adId = CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "createFullscreen", [parameters]);
			var fullscreen = new CocoonJS.Ad.Fullscreen(adId);

			return fullscreen;
		}
	};

	/**
	* Releases a fullscreen ad.
	* @function
	* @param {object} The fullscreen ad object to be released.
	*/
	CocoonJS.Ad.releaseFullscreen = function(fullscreen)
	{
		if (typeof fullscreen === "undefined") {
            throw "The fullscreen ad object to be released is undefined"
        }

		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "releaseFullscreen", [fullscreen.id]);
		}
	};

	/**
	* Shows a banner ad if available.
	* @function
	* @see CocoonJS.Ad.setBannerLayout
	* @see CocoonJS.Ad.onBannerShown
	*/
	CocoonJS.Ad.showBanner = function()
	{
		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "showBanner", arguments, true);
		}
	};

	/**
	* Hides the banner ad if it was being shown.
	* @function
	*/
	CocoonJS.Ad.hideBanner = function()
	{
		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "hideBanner", arguments, true);
		}
	};

	/**
	* Refreshes the banner.
	* @function
	*/
	CocoonJS.Ad.refreshBanner = function()
	{
		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "refreshBanner", arguments, true);
		}
	};

	/**
	* Shows a full screen ad if available.
	* @function
	* @see CocoonJS.Ad.onFullScreenShown
	* @see CocoonJS.Ad.onFullScreenHidden
	*/
	CocoonJS.Ad.showFullScreen = function()
	{
		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "showFullScreen", arguments, true);
		}
	};

	/**
	* Refreshes the fullscreen.
	* @function
	*/
	CocoonJS.Ad.refreshFullScreen = function()
	{
		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "refreshFullScreen", arguments, true);
		}
	};

	/**
	* Makes a request to preload a banner ad.
	* @function
	*/
	CocoonJS.Ad.preloadBanner = function()
	{
		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "preloadBanner", arguments, true);
		}
	};

	/**
	* Makes a request to preload a full screen ad.
	* @function
	*/
	CocoonJS.Ad.preloadFullScreen = function()
	{
		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "preloadFullScreen", arguments, true);
		}
	};

	/**
	* Sets the rectangle where the banner ad is going to be shown.
	* @function
	* @param {CocoonJS.Ad.Rectangle} rect The rectangle representing the banner position and domensions.
	*/
	CocoonJS.Ad.setRectangle = function()
	{
		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "setRectangle", arguments, true);
		}
	};

	/**
	* Gets the rectangle representing the banner screen position.
	* @function
	* @return {CocoonJS.Ad.Rectangle} rectangle The rectangle representing the banner position and domensions.
	*/
	CocoonJS.Ad.getRectangle = function()
	{
		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "getRectangle", arguments);
		}
	};

	/**
	* Sets the rectangle where the banner ad is going to be shown.
	* You can use this method if you want to have better control of the banner screen positioning.
	* @function
	* @param {CocoonJS.Ad.BannerLayout} bannerLayout The layout where the bannerwill be placed.
	*/
	CocoonJS.Ad.setBannerLayout = function(bannerLayout)
	{
		if (CocoonJS.Ad.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_AD", "setBannerLayout", arguments, true);
		}
	};

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when a banner is shown.
    * The callback function does not receive any parameter.
    * @static
    * @event
    */
	CocoonJS.Ad.onBannerShown = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onbannershow");

	/**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when a banner is hidden.
    * The callback function does not receive any parameter.
    * @static
    * @event
    */
	CocoonJS.Ad.onBannerHidden = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onbannerhide"); 

	/**
	* This {@link CocoonJS.EventHandler} object allows listening to events called when a banner is ready (cached).
	* The callback function does not receive any parameter.
	* @param {number} width The banner width
	* @param {number} height The banner height
	* @static
	* @event
	*/
	CocoonJS.Ad.onBannerReady = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onbannerready"); 

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when a full screen ad is shown.
    * The callback function does not receive any parameter.
    * @static
    * @event
    */
	CocoonJS.Ad.onFullScreenShown = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onfullscreenshow"); 

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when a full screen ad is hidden.
    * The callback function does not receive any parameter.
    * @static
    * @event
    */
	CocoonJS.Ad.onFullScreenHidden = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onfullscreenhide");

	/**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when a full screen ad is ready (cached).
    * The callback function does not receive any parameter.
    * @static
    * @event
    */
	CocoonJS.Ad.onFullScreenReady = new CocoonJS.EventHandler("IDTK_SRV_AD", "Ad", "onfullscreenready"); 

})();

//////////////////////////////////////
// COCOONJS_STORE.JS                //
//////////////////////////////////////

(function()
{
    // The CocoonJS must exist before creating the extension.
    if (typeof window.CocoonJS === 'undefined' || window.CocoonJS === null) throw("The CocoonJS object must exist and be valid before creating any extension object.");

    /**
    * This namespace represents the CocoonJS In-App Purchase extension.
    * @namespace
    */
    CocoonJS.Store = {};

    CocoonJS.Store.nativeExtensionObjectAvailable = CocoonJS.nativeExtensionObjectAvailable && typeof window.ext.IDTK_SRV_STORE !== 'undefined';

	/**
	* The data structure that represents the information of a product in the store.
	* @namespace
	* @constructor
	* @param {string} The id of the product.
	* @param {string} The alias of the product.
	* @param {CocoonJS.Store.ProductType} The product type @see CocoonJS.Store.ProductType.
	* @param {string} The title of the product.
	* @param {string} The description of the product.
	* @param {string} The localized price of the product.
	* @param {string} The URL of the asset to be downloaded for this purchase.
	*/
	CocoonJS.Store.ProductInfo = function(productAlias, productId, productType, title, description, price, localizedPrice, downloadURL)
	{
		/**
		* The id of the product.
		* @field
		* @type string
		*/
		this.productId = productId;

		/**
		* The alias of the product.
		* @field
		* @type string
		*/
		this.productAlias = productAlias;

		/**
		* The product type @see CocoonJS.Store.ProductType
		* @field
		* @type CocoonJS.Store.ProductType
		*/
		this.productType = productType;

		/**
		* The title of the product.
		* @field
		* @type string
		*/
		this.title = title;

		/**
		* The description of the product.
		* @field
		* @type string
		*/
		this.description = description;

		/**
		* The price of the product.
		* @field
		* @type string
		*/
		this.price = price;

		/**
		* The localized price of the product.
		* @field
		* @type string
		*/
		this.localizedPrice = localizedPrice;

		/**
		* The URL of the asset to be downloaded for this purchase.
		* @field
		* @type string
		*/
		this.downloadURL = downloadURL;

		return this;
	};

	/**
    * The predefined possible states of a purchase.
    * @namespace 
    */
	CocoonJS.Store.ProductType = 
	{
		/**
		* A consumable product. See platform documentation for further information.
		*/
	    CONSUMABLE : 0,

		/**
		* A non-cunsumable product. . See platform documentation for further information.
		*/
	    NON_CONSUMABLE : 1,

	    /**
		* An auto-renewable subscription. See platform documentation for further information.
		*/
	    AUTO_RENEWABLE_SUBSCRIPTION : 2,

	    /**
		* A free subscription. See platform documentation for further information.
		*/
	    FREE_SUBSCRIPTION : 3,

	    /**
		* A non-renewable subscription. See platform documentation for further information.
		*/
	    NON_RENEWABLE_SUBSCRIPTION : 4
	};

	/**
    * The predefined possible store types.
    * @namespace 
    */
	CocoonJS.Store.StoreType = 
	{
		/**
		* Apple AppStore
		*/
	    APP_STORE : 0,

	    /**
	    * Android Play Store
	    */
	    PLAY_STORE : 1,

		/**
		* Mock Store
		*/
		MOCK_STORE : 2,

		/**
	    * Amazon AppStore
	    */
	    CHROME_STORE : 3,

	    /**
	    * Amazon AppStore
	    */
	    AMAZON_STORE : 4,

	    /**
	    * Nook Store
	    */
	    NOOK_STORE : 5
	};

	/**
	* The data structure that represents the information of a purchase.
	* @namespace
	* @constructor
	* @param {string} The transaction id of a purchase.
	* @param {string} The time when the purchase was done in seconds since 1970.
	* @param {CocoonJS.Store.PurchaseState} The state of the purchase. @see CocoonJS.Store.PurchaseState
	* @param {string} The product id related to this purchase.
	* @param {number} The number of products of the productId kind purchased in this transaction.
	*/
	CocoonJS.Store.PurchaseInfo = function(transactionId, purchaseTime, purchaseState, productId, quantity)
	{
		/**
		* The transaction id of a purchase.
		* @field
		* @type string
		*/
		this.transactionId = transactionId;

		/**
		* The time when the purchase was done in seconds since 1970.
		* @field
		* @type string
		*/
		this.purchaseTime = purchaseTime;

		/**
		* The state of the purchase. @see CocoonJS.Store.PurchaseState
		* @field
		* @type CocoonJS.Store.PurchaseState
		*/
		this.purchaseState = purchaseState;

		/**
		* The product id related to this purchase.
		* @field
		* @type string
		*/
		this.productId = productId;

		/**
		* The number of products of the productId kind purchased in this transaction.
		* @field
		* @type number
		*/
		this.quantity = quantity;

		return this;
	};

	/**
    * The predefined possible states of a purchase.
    * @namespace 
    */
	CocoonJS.Store.PurchaseState = 
	{
		/**
		* The product has been successfully purchased. The transaction has ended successfully.
		*/
	    PURCHASED : 0,

		/**
		* The purchase has been canceled.
		*/
	    CANCELED : 1,

	    /**
		* The purchase has been refunded.
		*/
	    REFUNDED : 2,

	    /**
		* The purchase (subscriptions only) has expired and is no longer valid.
		*/
	    EXPIRED : 3
	};

	/**
	* Gets the name of the native store implementation. 
	* @return {CocoonJS.Store.StoreType} The store type
	* @function
	*/ 
	CocoonJS.Store.getStoreType = function()
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "getStoreType", arguments);
		}
	};

	/**
	* Initialize the service with service level initialization parameters.
	* @function
	* @param {object} An object with the required initialization parameters for the service.
	*/
	CocoonJS.Store.requestInitialization = function(parameters)
	{
        if (typeof parameters === "undefined") 
        {
            parameters = {};
        }
        else
        {
        	if (parameters['managed'] !== undefined) parameters['remote'] = parameters['managed'];
        	if (parameters['sandbox'] !== undefined) parameters['debug'] = parameters['sandbox'];
        }

		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "requestInitialization", arguments, true);
		}
	};

	/**
	* Starts the Store Service. 
	* This will make the system to initialize the Store Service and probably Store callbacks will start to be received after calling this method so you should have set your event handler before calling this method so don't lose any callback.
	* @function
	*/ 
	CocoonJS.Store.start = function()
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "start", arguments);
		}
	};

	/**
	* This method allows you to check is the  Store service is available in this platform. 
	* Not all iOS and Android devices will have the Store service available so you should check if it is before calling any other method.
	* @function
	* @return {boolean} True if the service is available and false otherwise.
	*/ 
	CocoonJS.Store.canPurchase = function()
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "canPurchase", arguments);
		}
	};

	/**
	* Fetches the products from the CocoonJS Cloud Compiling service store configuration. 
	* The request is monitored using the {@link CocoonJS.Store.onProductsFetchStarted}, {@link CocoonJS.Store.onProductsFetchCompleted} and {@link CocoonJS.Store.onProductsFetchFailed} event handlers.
	* @deprecated You should now use fetchProductsFromStore. We don't support cloud products now.
	* @function
	* @see CocoonJS.Store.onProductsFetchStarted
	* @see CocoonJS.Store.onProductsFetchCompleted
	* @see CocoonJS.Store.onProductsFetchFailed
	*/ 
	CocoonJS.Store.fetchProductsFromServer = function()
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "fetchProductsFromServer", arguments, true);
		}
	};

	/**
	* Fetches the products information from the Store. 
	* The request is monitored using the {@link CocoonJS.Store.onProductsFetchStarted}, {@link CocoonJS.Store.onProductsFetchCompleted} and {@link CocoonJS.Store.onProductsFetchFailed} event handlers.
	* @function
	* @param {array} productIds An array with the ids of the products to retrieve information from.
	* @see CocoonJS.Store.onProductsFetchStarted
	* @see CocoonJS.Store.onProductsFetchCompleted
	* @see CocoonJS.Store.onProductsFetchFailed
	*/ 
	CocoonJS.Store.fetchProductsFromStore = function(productIds)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "fetchProductsFromStore", arguments, true);
		}
	};

	/**
	* Finish a purchase transaction and removes the transaction from the transaction queue. 
	* This method must be called after a purchase finishes successfully and the  {@link CocoonJS.Store.onProductPurchaseCompleted} callback has been received. 
	* If the purchase includes some asset to download from an external server this method must be called after the asset has been successfully downloaded. 
	* If you do not finish the transaction because the asset has not been correctly downloaded the {@link CocoonJS.Store.onProductPurchaseStarted} method will be called again later on.
	* @function
	* @param {string} transactionId The transactionId of the purchase to finish.
	*/ 
	CocoonJS.Store.finishPurchase = function(transactionId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "finishPurchase", arguments, true);
		}
	};

	/**
	* Consumes a purchase. This makes that product to be purchasable again. 
	* @function
	* @param {string} transactionId The transaction Id of the purchase to consume.
	* @param {string} productId The product Id of the product to be consumed.
	*/ 
	CocoonJS.Store.consumePurchase = function(transactionId, productId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "consumePurchase", arguments, true);
		}
	};

	/**
	* Request a product purchase given it's product id. 
	* The request is monitored using the {@link CocoonJS.Store.onPurchaseProductStarted}, {@link CocoonJS.Store.onProductPurchaseStarted} and {@link CocoonJS.Store.onProductPurchaseFailed} event handlers.
	* @function
	* @param {string} productId The id or alias of the product to be purchased.
	* @see CocoonJS.Store.onProductPurchaseStarted
	* @see CocoonJS.Store.onProductPurchaseCompleted
	* @see CocoonJS.Store.onProductPurchaseFailed
	*/ 
	CocoonJS.Store.purchaseProduct = function(productId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "purchaseFeature", arguments, true);
		}
	};

	/**
	* Request a product purchase given it's product id showing a modal progress dialog. 
	* The request is monitored using the {@link CocoonJS.Store.onProductPurchaseStarted}, {@link CocoonJS.Store.onProductPurchaseCompleted} and {@link CocoonJS.Store.onProductPurchaseFailed} event handlers.
	* @function
	* @param {string} productId The id or alias of the product to be purchased.
	* @see CocoonJS.Store.onProductPurchaseStarted
	* @see CocoonJS.Store.onProductPurchaseCompleted
	* @see CocoonJS.Store.onProductPurchaseFailed
	*/ 
	CocoonJS.Store.puchaseProductModal = function(productId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "purchaseFeatureModal", arguments, true);
		}
	};

	/**
	* Request the purchase of a product given it's product id showing a dialog with a preview of the product (title and description). 
	* The request is monitored using the {@link CocoonJS.Store.onProductPurchaseStarted}, {@link CocoonJS.Store.onProductPurchaseCompleted} and {@link CocoonJS.Store.onProductPurchaseFailed} event handlers.
	* @function
	* @param {string} productId The id or alias of the product to be purchased.
	* @see CocoonJS.Store.onProductPurchaseStarted
	* @see CocoonJS.Store.onProductPurchaseCompleted
	* @see CocoonJS.Store.onProductPurchaseFailed
	*/ 
	CocoonJS.Store.purchaseProductModalWithPreview = function(productId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "purchaseFeatureModalWithPreview", arguments, true);
		}
	};

	/**
	* Returns if a product has been already purchased or not. 
	* @function
	* @param {string} productId The product id or alias of the product to be checked.
	* @returns {boolean} A flag that indicates whether the product has been already purchased (true) or not (false).
	*/
	CocoonJS.Store.isProductPurchased = function(productId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "isFeaturePurchased", arguments);
		}
	};

	/**
	* Restores all the purchases from the platform's market. 
	* For each already purchased product {@link CocoonJS.Store.onPurchaseProductStarted}, {@link CocoonJS.Store.onPurchaseProductCompleted} and {@link CocoonJS.Store.onPurchaseProductFailed} event handlers are called again
	* @function
	* @see CocoonJS.Store.onRestorePurchasesStarted
	* @see CocoonJS.Store.onRestorePurchasesCompleted
	* @see CocoonJS.Store.onRestorePurchasesFailed
	*/
	CocoonJS.Store.restorePurchases = function()
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "restorePurchases", arguments, true);
		}
	};

	/**
	* Restores all the purchases from the platform's market showing a modal progress dialog. 
	* For each already purchased product {@link CocoonJS.Store.onPurchaseProductStarted}, {@link CocoonJS.Store.onPurchaseProductCompleted} and {@link CocoonJS.Store.onPurchaseProductFailed} event handlers are called again
	* @function
	* @see CocoonJS.Store.onRestorePurchasesStarted
	* @see CocoonJS.Store.onRestorePurchasesCompleted
	* @see CocoonJS.Store.onRestorePurchasesFailed
	*/
	CocoonJS.Store.restorePurchasesModal = function()
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "restorePurchasesModal", arguments, true);
		}
	};

	/**
	* Returns all the products available to be purchased.
	* @function
	* @returns {array} An array with  all the {@link CocoonJS.Store.ProductInfo} objects available for purchase.
	*/
	CocoonJS.Store.getProducts = function()
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "getProducts", arguments);
		}
	};

	/**
	* Adds a product to the products local DB. 
	* @function
	* @param {CocoonJS.Store.ProductInfo} product The product to be added to the local products DB.
	*/
	CocoonJS.Store.addProduct = function(product)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "addProduct", arguments);
		}
	};

	/**
	* Removes a product from the products local DB given its productId. 
	* @function
	* @param {string} productId The product or alias of the product to be removed from the local products DB.
	*/
	CocoonJS.Store.removeProduct = function(productId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "removeProduct", arguments);
		}
	};

	/**
	* Returns all the locally stored purchases.
	* @function
	* @returns {array} An array with all the {@link CocoonJS.Store.PurchaseInfo} completed purchases.
	*/
	CocoonJS.Store.getPurchases = function()
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "getPurchases", arguments);
		}
	};

	/**
	* Adds a purchase to the local purchases DB. 
	* @function
	* @param {CocoonJS.Store.StorePurchase} purchase The purchase to be added.
	*/ 
	CocoonJS.Store.addPurchase = function(purchase)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "addPurchase", arguments);
		}
	};

	/**
	* Removes a purchase from the local purchases DB given it's transaction id. 
	* @function
	* @param {string} transactionId The id of the transaction to be removed.
	*/ 
	CocoonJS.Store.removePurchase = function(transactionId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "removePurchase", arguments);
		}
	};

	/**
	* (TESTING ONLY) Simulate a purchase cancel. 
	* This method is not allowed in production services and will only work in Mocks. 
	* The request is monitored using the {@link CocoonJS.Store.onPurchaseProductStarted}, {@link CocoonJS.Store.onProductPurchaseStarted} and {@link CocoonJS.Store.onProductPurchaseFailed} event handlers.
	* @function
	* @param {string} transactionId The transactionId of the purchase to be canceled.
	*/
	CocoonJS.Store.cancelPurchase = function(transactionId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "cancelPurchase", arguments);
		}
	};

	/**
	* (TESTING ONLY) Simulate a purchase refundment. 
	* This method is not allowed in production services and will only work in Mocks. 
	* The request is monitored using the {@link CocoonJS.Store.onPurchaseProductStarted}, {@link CocoonJS.Store.onProductPurchaseStarted} and {@link CocoonJS.Store.onProductPurchaseFailed} event handlers.
	* @function
	* @param {string} transactionId The transactionId of the purchase to be refunded.
	*/
	CocoonJS.Store.refundPurchase = function(transactionId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "refundPurchase", arguments);
		}
	};

	/**
	* (TESTING ONLY) Simulate a purchase expiration. 
	* This method is not allowed in production services and will only work in Mocks. 
	* The request is monitored using the {@link CocoonJS.Store.onPurchaseProductStarted}, {@link CocoonJS.Store.onProductPurchaseStarted} and {@link CocoonJS.Store.onProductPurchaseFailed} event handlers.
	* @function
	* @param {string} transactionId The transactionId of the purchase to be expired.
	*/
	CocoonJS.Store.expirePurchase = function(transactionId)
	{
		if (CocoonJS.Store.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_STORE", "expirePurchase", arguments);
		}
	};

	/**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the products fetch has started.
    * The callback function receives no parameters.
    * @static
    * @event
    */
	CocoonJS.Store.onProductsFetchStarted = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onProductsFetchStarted");

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the products fetch has completed.
    * The callback function receives a parameter with an the valid products array.
    * @static
    * @event
    * @param {array} validProducts An array of {@link CocoonJS.Store.ProductInfo} objects representing all the valid fetched products.
    */
	CocoonJS.Store.onProductsFetchCompleted = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onProductsFetchCompleted"); 

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the products fetch has failed.
    * The callback function receives an error message as a parameter.
    * @static
    * @event
    * @param {string} errorMessage The error message.
    */
	CocoonJS.Store.onProductsFetchFailed = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onProductsFetchFailed"); 

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the purchase of a product starts.
    * The callback function receives a parameters with the information of the purchased product @see CocoonJS.Store.ProductInfo.
    * @static
	* @event
    * @param {string} productId The product id of the product being purchased.
    */
	CocoonJS.Store.onProductPurchaseStarted = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onProductPurchaseStarted"); 

	/**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when a request for purchase verification has been received from the Store.
    * The callback function receives two parameters, one with the productId of the purchased product and another one with a JSON object containing the data to be verified.
    * In Andorid this JSON object will containt two keys: signedData and signature. You will need that information to verify the purchase against the backend server.
    * @static
    * @event
    * @param {string} productId The product id of the product to be verified.
    * @param {string} data The string with the data to be verified.
    */
	CocoonJS.Store.onProductPurchaseVerificationRequestReceived = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onProductPurchaseVerificationRequestReceived");

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the purchase of a product succeeds.
    * The callback function receives as parameter the information of the purchase {@see CocoonJS.Store.PurchaseInfo}.
    * @static
    * @event
    * @param {CocoonJS.Store.PurchaseInfo} purchaseInfo The purchase info.
    */
	CocoonJS.Store.onProductPurchaseCompleted = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onProductPurchaseCompleted"); 

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the purchase of a product fails.
    * The callback function receives a parameters with the product id and an error message.
    * @static
    * @event
    * @param {string} productId The product id.
    * @param {string} msg The error message.
    */
	CocoonJS.Store.onProductPurchaseFailed = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onProductPurchaseFailed"); 

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the restore purchases operation has started.
    * The callback function receives no parameters.
    * @static
    * @event
    */
	CocoonJS.Store.onRestorePurchasesStarted = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onRestorePurchasesStarted"); 

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the restore purchases operation has completed.
    * The callback function receives no parameters.
    * @static
    * @event
    */
	CocoonJS.Store.onRestorePurchasesCompleted = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onRestorePurchasesCompleted"); 

	/**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the restore purchases operation has failed.
    * The callback function receives an error message as a parameter.
    * @static
    * @event
    * @param {string} errorMessage The error message.
    */
	CocoonJS.Store.onRestorePurchasesFailed = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onRestorePurchasesFailed");

	/**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the consume purchase operation has started.
    * @static
    * @event
    * @param {string} transactionId The transaction id of the purchase being consumed.
    */
	CocoonJS.Store.onConsumePurchaseStarted = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onConsumePurchaseStarted"); 

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the consume purchase operation has completed.
    * @static
    * @event
    * @param {string} transactionId The transaction id of the consumed purchase.
    */
	CocoonJS.Store.onConsumePurchaseCompleted = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onConsumePurchaseCompleted"); 

	/**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the consume purchase operation has failed.
    * @static
    * @event
    * @param {string} transactionId The transaction id of the purchase that couldn't be consumed.
    * @param {string} errorMessage The error message.
    */
	CocoonJS.Store.onConsumePurchaseFailed = new CocoonJS.EventHandler("IDTK_SRV_STORE", "Store", "onConsumePurchaseFailed");

})();

//////////////////////////////////////
// COCOONJS_SOCIAL.JS               //
//////////////////////////////////////

(function()
{
    // The CocoonJS must exist before creating the extension.
    if (typeof window.CocoonJS === 'undefined' || window.CocoonJS === null) throw("The CocoonJS object must exist and be valid before creating any extension object.");

	/**
	* This type represents the access to a native Social extension API. As there can be more than
	* one service of this type, more than one instance can be created.
	* @namespace
	* @constructor
	* @param {string} nativeExtensionName The name of the native ext object extension property name.
	* @param {string} extensionName The name of the CocoonJS object extension property name.
	*/
	CocoonJS.Social = function(nativeExtensionName, extensionName)
	{
		if (typeof nativeExtensionName !== 'string') throw "The given native extension name '" + nativeExtensionName + "' is not a string.";
		if (typeof extensionName !== 'string') throw "The given extension name '" + extensionName + "' is not a string.";

		this.nativeExtensionName = nativeExtensionName;
		this.extensionName = extensionName;
	    this.nativeExtensionObjectAvailable = CocoonJS.nativeExtensionObjectAvailable && typeof window.ext[nativeExtensionName] !== 'undefined';

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestInitializationSucceed} event calls.
	     * @name OnRequestInitializationSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
	     * @param {object} initializationData The data structure passed when requestInitialization was called.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user information request suceeds.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnRequestInitializationSucceedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
	    this.onRequestInitializationSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestInitializationSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestInitializationFailed} event calls.
	     * @name OnRequestInitializationFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
	     * @param {object} initializationData The data structure passed when the requestInitialization function was called.
	     * @param {string} errorMessage The message that describes why the request did fail.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user information request fails.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnRequestInitializationFailedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
	    this.onRequestInitializationFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestInitializationFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestLoginSucceed} event calls.
	     * @name OnRequestLoginSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
	     * @param {CocoonJS.Social.UserInfo} userInfo The structure that describes the information of the user that logged in.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user login request succeeds.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnRequestLoginSucceedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
		this.onRequestLoginSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestLoginSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestLoginFailed} event calls.
	     * @name OnRequestLoginFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
	     * @param {string} errorMessage The message that describes why the request did fail.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user login request fails.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnRequestLoginFailedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
		this.onRequestLoginFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestLoginFailed");

	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user logs out.
	    * The callback function does not receive any parameter.
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
		this.onLogout = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onLogout");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestUserInfoSucceed} event calls.
	     * @name OnRequestUserInfoSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
	     * @param {CocoonJS.Social.UserInfo} userInfo The structure that describes the information of the request user id.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user information request suceeds.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnUserInfoRequestSucceedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
		this.onRequestUserInfoSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserInfoSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestUserInfoFailed} event calls.
	     * @name OnRequestUserInfoFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
	     * @param {string} userID The id used in the request.
	     * @param {string} errorMessage The message that describes why the request did fail.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user information request fails.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnUserInfoRequestFailedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
		this.onRequestUserInfoFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserInfoFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestUserImageURLSucceed} event calls.
	     * @name OnRequestUserImageURLSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
	     * @param {string} userID The id used in the request.
	     * @param {string} imageURL The URL of the image of the requested user. 
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user image URL request succeeds.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnRequestUserImageURLSucceedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
		this.onRequestUserImageURLSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserImageURLSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestUserImageURLFailed} event calls.
	     * @name OnRequestUserImageURLFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
	     * @param {string} userID The id of the user the request was placed for.
	     * @param {string} errorMessage The message that describes why the request did fail.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user image URL request fails.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnRequestUserImageURLFailedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
		this.onRequestUserImageURLFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserImageURLFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestUserFriendsUserInfosSucceed} event calls.
	     * @name OnRequestUserFriendsUserInfosSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
	     * @param {string} userID The id of the user for whom the friend user infos where requested.
	     * @param {array} friendsInfo An array of {@link CocoonJS.Social.UserInfo} objects representing the information of the friends of the user.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user's friends info is successfully retrieved.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnRequestUserFriendsUserInfosSucceedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
		this.onRequestUserFriendsUserInfosSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserFriendsUserInfosSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestUserFriendsUserInfosFailed} event calls.
	     * @name OnRequestUserFriendsUserInfosFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
	     * @param 
	     * @param {string} userID The id of the user fro whom the friends infos were requested.
	     * @param {string} errorMessage The error message.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user's friends info fails to be retrieved.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnRequestUserFriendsUserInfosFailedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
		this.onRequestUserFriendsUserInfosFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserFriendsUserInfosFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestMessagePublicationSucceed} event calls.
	     * @name OnRequestMessagePublicationSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
 	     * @param {CocoonJS.Social.Message} message The message that has been published.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user message publication request succeeds.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnRequestMessagePublicationSucceedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    * @param {CocoonJS.Social.Message} message The message that has been published.
	    */
		this.onRequestMessagePublicationSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestMessagePublicationSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.Social.onRequestMessagePublicationFailed} event calls.
	     * @name OnRequestMessagePublicationFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.Social
	     * @param {CocoonJS.Social.Message} message The message that was supposed to be published.
	     * @param {string} errorMessage The error message.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user message publication request fails.
	    * The callback function's documentation is represented by {@link CocoonJS.Social.OnRequestMessagePublicationFailedListener}
	    * @static
	    * @event
	    * @memberOf CocoonJS.Social
	    */
		this.onRequestMessagePublicationFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestMessagePublicationFailed");

		/**
        * @ignore
        */
        this.on= function(event, callback) {
            event= "on"+event[0].toUpperCase()+event.substr(1);
            var signal= this[event];
            if (signal) {
                signal.addEventListener(callback);
            } else {
                console.error("SocialGaming service: '"+this.extensionName+"' does not understand '"+event+' signal.');
            }

            return this;
        };

	    return this;
	};

	CocoonJS.Social.prototype = {
        userInfo : null,
        userInfoCocoonJS : null,

        /**
        * @ignore
        */
        getUserInfo : function() {
            return this.userInfo;
        },

        /**
        * Returns the information of the currently logged in user.
        * @return {@link CocoonJS.Social.UserInfo}
        */
        getLoggedInUserInfo : function() {
            if (this.nativeExtensionObjectAvailable) {
                return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "getLoggedInUserInfo", arguments);
            }
            else {
                return this.userInfoCocoonJS;
            }
        },

        /**
        * @ignore
        */
        setUserInfo : function( userInfo) {
            this.userInfo= userInfo;
        },

        /**
        * @ignore
        */
        setUserInfoCocoonJS : function( userInfoCocoonJS ) {
            this.userInfoCocoonJS = userInfoCocoonJS;
        },

		/**
        * Request initialization of the underlying social service.
        * @param {object} paramsObject A data structure to initialize the service. It will be dependable of the underlying service.
        * @see CocoonJS.Social.onRequestInitializationSucceed
        * @see CocoonJS.Social.onRequestInitializationFailed
        */
		requestInitialization : function(paramsObject) 
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestInitialization", arguments, true);
			}
		},

		/**
        * Returns a flag to indicate if the underlying service has been initialized or not.
        * @return {boolean} If the underlying service had been initialized using the requestInitialization function call.
        */
		isInitialized : function()
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "isInitialized", arguments);
			}
			else
			{
				return false;
			}
		},

		/**
		* Request to log in the social gaming application.
		* @see CocoonJS.Social.onRequestLoginSucceed
		* @see CocoonJS.Socual.onRequestLoginFailed
		*/
		requestLogin : function()
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestLogin", arguments, true);
			}
		},

		/**
		* Request to log out of the social gaming application.
		* @see CocoonJS.Social.onRequestLoginSucceed
		* @see CocoonJS.Social.onRequestLoginFailed
		* @see CocoonJS.Social.onLogout
		*/
		requestLogout : function()
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestLogout", arguments, true);
			}
		},

		/**
		* Check if the user is logged in.
		* @return {boolean} true if the user is still logged in, false otherwise.
		*/
		isLoggedIn : function()
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "isLoggedIn", arguments);
			}
			else
			{
				return false;
			}
		},

		/**
		* Returns all the granted permissions for the current session.
		* @return {Array} An array containin the user granted permissions.
		*/
		getPermissions : function() 
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "getPermissions", arguments);
			}
			else
			{
				return new Array();
			}
		},

		/**
		* Check if the user has granted the publish permission for the current session.
		* @return {boolean} true if the user has granted the publish permission for the current session, false otherwise.
		*/
		hasPublishPermission : function() 
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "hasPublishPermission", arguments);
			}
			else
			{
				return false;
			}
		},

		/**
		* Request to retrieve the current or a specific user's id. The request can be monitored using the {@link CocoonJS.Social.onUserInfoRequestSucceed} and {@link CocoonJS.Social.onUserInfoRequestFailed} event handlers.
		* @param {string} [userId] The id of the user to retireve the information from. If no userID is specified, the currently logged in user is assumed.
		* @see CocoonJS.Social.onRequestUserInfoSucceed
		* @see CocoonJS.Social.onRequestUserInfoFailed
		*/
		requestUserInfo : function(userID)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestUserInfo", arguments, true);
			}
		},

		/**
		* Request to retrieve the Image of a user
		* @param {string} [userID] The id of the user to get the image for. If no userID is specified, the currently logged user is used.
		* @param {CocoonJS.Social.ImageSizeType} [imageSizeType] The size of the image. One of the possible values among the ones in the {@link CocoonJS.Social.ImageSizeType}. If no value is specified, SMALL is used.
		* @see CocoonJS.Social.onRequestUserImageURLSucceed;
		* @see CocoonJS.Social.onRequestUserImageURLFailed;
		*/
		requestUserImageURL : function( imageSizeType, userID)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestUserImageURL", arguments, true);
			}
		},

		/**
		* Request for the information of all the friends of the currently logged user.
		* @param {string} [userID] The id of the user to get the friends infos for. If no userID is specified, the currently logged user is used.
		* @see CocoonJS.Social.onRequestUserFriendsUserInfosSucceed;
		* @see CocoonJS.Social.onRequestUserFriendsUserInfosFailed;
		*/
		requestUserFriendsUserInfos : function(userID)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestUserFriendsUserInfos", arguments, true);
			}
		},

		/**
		* Request the publication of a message using a dialog.
		* @param {CocoonJS.Social.Message} message A object representing the information to be published.
		* @see CocoonJS.Social.onRequestMessagePublicationSucceed
		* @see CocoonJS.Social.onRequestMessagePublicationFailed
		*/
		requestMessagePublicationWithDialog : function(message)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestMessagePublicationWithDialog", arguments, true);
			}
		}
	};

	/**
	* This structure represents the possible images to be obtained for a user in the social gaming extension.
	* @namespace
	*/
	CocoonJS.Social.ImageSizeType = 
	{
		/**
		* Represent a thumbnail like image size.
		*/
	    THUMB : "thumb",

		/**
		* Represents the small image size.
		*/
	    SMALL : "small",

		/**
		* Represents the medium image size.
		*/
	    MEDIUM : "medium",

		/**
		* Represents the large image size.
		*/
	    LARGE : "large"
	};

	/**
	* The data structure that represents the information of a user inside the social gaming extension.
	* @namespace
	* @constructor
	* @param {string} userID The id of the user.
	* @param {string} userName The user name of the user.
	*/
	CocoonJS.Social.UserInfo = function(userID, userName)
	{
		/**
		* The id of the user.
		* @field
		* @type string
		*/
		this.userID = userID;

		/**
		* The user name of the user.
		* @field
		* @type string
		*/
		this.userName = userName;
	};

	/**
	* This type represents a message to be published.
	* @namespace
	* @constructor
	* @param {string} message The message to be published.
	* @param {string} mediaURL An URL to a media (image, video, ...)
	* @param {string} linkURL An URL to add to the message so the user can click on that link to get more information.
	* @param {string} linkText The text that will appear in the message link.
	* @param {string} linkCaption The text caption that will appear in the message link.
	*/
	CocoonJS.Social.Message = function(message, mediaURL, linkURL, linkText, linkCaption)
	{
		/**
		* The message to be published.
		* @field
		* @type string
		*/
		this.message = message;

		/**
		* An URL to a media (image, video, ...)
		* @field
		* @type string
		*/
		this.mediaURL = mediaURL;

		/**
		* An URL to add to the message so the user can click on that link to get more information.
		* @field
		* @type string
		*/
		this.linkURL = linkURL;

		/**
		* The text that will appear in the message link.
		* @field
		* @type string
		*/
		this.linkText = linkText;

		/**
		* The text caption that will appear in the message link.
		* @field
		* @type string
		*/
		this.linkCaption = linkCaption;

		return this;
	};

})();

//////////////////////////////////////
// COCOONJS_SOCIALGAMING.JS         //
//////////////////////////////////////

(function()
{
    // The CocoonJS must exist before creating the extension.
    if (typeof window.CocoonJS === 'undefined' || window.CocoonJS === null) throw("The CocoonJS object must exist and be valid before creating any extension object.");

    if (!CocoonJS.Social)
		throw("The CocoonJS.Social object must exist and be valid before creating any extension object.");

	/**
	* This type represents the access to a native Social Gamming extension API. As there can be more than
	* one service of this type, more than one instance can be created.
	* @namespace
	* @constructor
	* @param {string} nativeExtensionName The name of the native ext object extension property name.
	* @param {string} extensionName The name of the CocoonJS object extension property name.
	*/
	CocoonJS.SocialGaming = function(nativeExtensionName, extensionName)
	{
		CocoonJS.SocialGaming.superclass.constructor.call(this, nativeExtensionName, extensionName);

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onRequestUserAndFriendsScoresSucceed} event calls.
	     * @name OnRequestUserAndFriendsScoresSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {array} userAndFriendsScoreInfos An array of {@link CocoonJS.SocialGaming.UserScoreInfo} objects representing the information of the user's and friends' scores.
	     */
		/**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user and friends scores request succeeds.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnRequestUserAndFriendsScoresSucceedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onRequestUserAndFriendsScoresSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserAndFriendsScoresSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onRequestUserAndFriendsScoresFailed} event calls.
	     * @name OnRequestUserAndFriendsScoresFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} userID The id of the user for whom the score and friends scores were requested.
	     * @param {string} leadeboardID The id of the leaderboard for whom the score and friends scores were requested.
	     * @param {string} errorMessage The error message.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user and his/her friends scores request fails.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnRequestUserAndFriendsScoresFailedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onRequestUserAndFriendsScoresFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserAndFriendsScoresFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onRequestUserScoreSucceed} event calls.
	     * @name OnRequestUserScoreSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {CocoonJS.SocialGaming.UserScoreInfo} userScoreInfo The info of the user's score.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user's score information request suceeds.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnRequestUserScoreSucceedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onRequestUserScoreSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserScoreSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onRequestUserScoreFailed} event calls.
	     * @name OnRequestUserScoreFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} userID The id of the user for whom the score was requested.
	     * @param {string} leaderboardID The id of the leaderboard for whom the score was requested.
	     * @param {string} errorMessage The error message.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user's score information request fails.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnRequestUserScoreFailedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onRequestUserScoreFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserScoreFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onSubmitUserScoreSucceed} event calls.
	     * @name OnSubmitUserScoreSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} userID The id of the user for whom the score has been submitted.
	     * @param {string} leaderboardID The id of the leaderboard for which the score has been submitted.
	     * @param {number} score The score that has been submitted.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user's score submit suceeds.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnSubmitUserScoreSucceedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onSubmitUserScoreSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onSubmitUserScoreSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onSubmitUserScoreFailed} event calls.
	     * @name OnSubmitUserScoreFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} userID The id of the user for whom the score submition was requested.
	     * @param {string} leaderboadID The id of the leaderboard for which the score submition was requested.
	     * @param {number} score The score that was submitted and failed.
	     * @param {string} errorMessage The error message.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user's score submit fails.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnSubmitUserScoreFailedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onSubmitUserScoreFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onSubmitUserScoreFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onRequestUserAchievementsSucceed} event calls.
	     * @name OnRequestUserAchievementsSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} userID The id of the user for whom the achievements where requested.
	     * @param {array} achievementsInfos An array of {@link CocoonJS.SocialGaming.AchievementInfo} objects representing the information of the user's achievements.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user's achievements info are successfully retrieved.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnRequestUserAchievementsSucceedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onRequestUserAchievementsSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserAchievementsSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onRequestUserAchievementsFailed} event calls.
	     * @name OnRequestUserAchievementsFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} userID The id of the user for whom the achievements were requested.
	   	 * @param {string} msg The error message.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user's achievmeents info fails to be retrieved.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnRequestUserAchievementsFailedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onRequestUserAchievementsFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestUserAchievementsFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onRequestAllAchievementsSucceed} event calls.
	     * @name OnRequestAllAchievementsSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {array} achievementsInfos An array of {@link CocoonJS.SocialGaming.AchievementInfo} objects representing the information of all the achievements.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user's achievements info are successfully retrieved.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnRequestAllAchievementsSucceedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onRequestAllAchievementsSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestAllAchievementsSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onRequestAllAchievementsFailed} event calls.
	     * @name OnRequestAllAchievementsFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	   	 * @param {string} msg The error message.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the user's achievmeents info fails to be retrieved.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnRequestAllAchievementsFailedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onRequestAllAchievementsFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestAllAchievementsFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onRequestAchievementInfoSucceed} event calls.
	     * @name OnRequestAchievementInfoSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {CocoonJS.SocialGaming.AchievementInfo} achievementInfo A {@link CocoonJS.SocialGaming.AchievementInfo} object representing the information of the achievement.
	     */
		/**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the request to retrieve the information of an achievement succeeds.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnRequestAchievementInfoSucceedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onRequestAchievementInfoSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestAchievementInfoSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onRequestAchievementInfoFailed} event calls.
	     * @name OnRequestAchievementInfoFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} achievementID The id of the achievement for which the information retrieval was requested.
	     * @param {string} errorMessage The error message.
	     */
		/**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the request to retrieve the information of an achievement fails.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnRequestAchievementInfoFailedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onRequestAchievementInfoFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onRequestAchievementInfoFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onSubmitUserAchievementSucceed} event calls.
	     * @name OnSubmitUserAchievementSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} userID The id of the user for whom the achievement has been submitted.
	     * @param {string} achievementID The id of the achievement that has been submitted.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when a user's achievement submition succeeds.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnSubmitUserAchievementSucceedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onSubmitUserAchievementSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onSubmitUserAchievementSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onSubmitUserAchievementFailed} event calls.
	     * @name OnSubmitUserAchievementFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} userID The id of the user for whom the achievment was submitted.
	     * @param {string} achievementID The id of the achievement that was submitted.
	     * @param {string} msg The error message.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when a user's achievement submition fails.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnSubmitUserAchievementFailedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onSubmitUserAchievementFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onSubmitUserAchievementFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onResetUserAchievementsSucceed} event calls.
	     * @name OnResetUserAchievementsSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} userID The id of the user for whom the achievements were reset.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when a user's achievement reset succeeds.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnResetUserAchievementsSucceedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onResetUserAchievementsSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onResetUserAchievementsSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onResetUserAchievementsFailed} event calls.
	     * @name OnResetUserAchievementsFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} userID The id of the user for whom the achievements where tried to be reset.
	     * @param {string} msg The error message.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when a user's achievement reset fails.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnResetUserAchievementsFailedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onResetUserAchievementsFailed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onResetUserAchievementsFailed");

	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the users closes the achievements view.
	    * The callback function does not receive any parameter.
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onAchievementsViewClosed  = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onAchievementsViewClosed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onAchievementsViewFailed} event calls.
	     * @name OnAchievementsViewFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} errorMessage The message that describes why the call failed.
	     */
		/**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when the achievements view failed to show.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnAchievementsViewFailedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onAchievementsViewFailed  = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onAchievementsViewFailed");

		/**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when achievements view shows successfully.
	    * The callback function does not receive any parameter.
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
		this.onAchievementsViewSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onAchievementsViewSucceed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onLeaderboardViewClosed} event calls.
	     * @name OnLeaderboardViewClosedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} leaderboardID The id of the leaderboard for which it's vew was requested to be shown.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when a user's achievement reset fails.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnLeaderboardViewClosedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
   		this.onLeaderboardViewClosed  = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onLeaderboardViewClosed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onLeaderboardViewFailed} event calls.
	     * @name OnLeaderboardViewFailedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} leaderboardID The id of the leaderboard for which it's vew was requested to be shown.
	     * @param {string} errorMessage The error message.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when a user's achievement reset fails.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnLeaderboardViewFailedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
   		this.onLeaderboardViewFailed  = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onLeaderboardViewFailed");

	    /**
	     * FOR DOCUMENTATION PURPOSE ONLY! The documentation of the function callback for the {@link CocoonJS.SocialGaming.onLeaderboardViewSucceed} event calls.
	     * @name OnLeaderboardViewSucceedListener
	     * @function
	     * @static
	     * @memberOf CocoonJS.SocialGaming
	     * @param {string} leaderboardID The id of the leaderboard for which it's vew was requested to be shown.
	     */
	    /**
	    * This {@link CocoonJS.EventHandler} object allows listening to events called when a user's achievement reset fails.
	    * The callback function's documentation is represented by {@link CocoonJS.SocialGaming.OnLeaderboardViewSucceedListener}
	    * @event
	    * @static
	    * @memberOf CocoonJS.SocialGaming
	    */
   		this.onLeaderboardViewSucceed = new CocoonJS.EventHandler(this.nativeExtensionName, this.extensionName, "onLeaderboardViewSucceed");

		return this;
	};

	CocoonJS.SocialGaming.prototype = 
	{
        abstractToSocialGamingAchievementMap : null,
        abstractToSocialGamingAchievementMapInverse : null,

        /**
        * @ignore
        */
        setAbstractToSocialGamingAchievementMap : function( map ) {
            this.abstractToSocialGamingAchievementMap= map;

            // build a reciprocal map.
            this.abstractToSocialGamingAchievementMapInverse= {};
            for( var id in map ) {
                if ( map.hasOwnProperty(id) ) {
                    this.abstractToSocialGamingAchievementMapInverse[ map[id] ]= id;
                }
            }
            return this;
        },

        /**
        * @ignore
        */
        getAbstractToSocialGamingAchievementTranslation : function( achievementID ) {
            /**
             * If a translation map for abstract in-game achievements has been set, translate achievementID from
             * abstract to SocialGamingService.
             */
            if (this.abstractToSocialGamingAchievementMap) {
                var socialGamingAchievementID = this.abstractToSocialGamingAchievementMap[achievementID];
                if (socialGamingAchievementID) {
                    console.log("Abstract achieventID='" + achievementID + "' turned to '" + socialGamingAchievementID + "'");
                    achievementID = socialGamingAchievementID;
                } else {
                    console.log("Something may be wrong: abstract achievementID: '" + achievementID + "' w/o translation.")
                }
            }

            return achievementID;
        },

		/**
		* Request to retrieve the scores of all friends of a given user.
		* @param {string} [leaderboardID] The id of the leaderboard to request the scores for.
		* @param {string} [userID] The id of the user. If null or undefined is passed, the currently logged in user id is used.
		* @see CocoonJS.SocialGaming.onRequestUserAndFriendsScoresSucceed
		* @see CocoonJS.SocialGaming.onRequestUserAndFriendsScoresFailed
		*/
		requestUserAndFriendsScores : function(leaderboardID, userID)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestUserAndFriendsScores", arguments, true);
			}
		},

		/**
		* Request to retrieve the score of a user.
		* @param {string} [leaderboardID] The id of the scores leaderboard to retireve the score from. If null or underfined is passed, the "leadeboard" id will be used.
		* @param {string} [userID] The id of the user to retireve the score from. If null or undefined is passed, the currently logged in user id is used.
		* @see CocoonJS.SocialGaming.onRequestUserScoreSucceed
		* @see CocoonJS.SocualGaming.onRequestUserScoreFailed
		*/
		requestUserScore : function(leaderboardID, userID)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestUserScore", arguments, true);
			}
		},

		/**
		* Request to the server the score of a user.
		* @param {number} [score] the score to submit
		* @param {string} [leaderboardID] The id of the scores leaderboard to submit the score to. If null or underfined is passed, the "leadeboard" id will be used.
		* @param {string} [userID] The id of the user to submit the score for. If null or undefined is passed, the currently logged in user id is used.
		* @see CocoonJS.SocialGaming.onSubmitUserScoreSucceed
		* @see CocoonJS.SocualGaming.onSubmitUserScoreFailed
		*/
		submitUserScore : function(score, leaderboardID, userID)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "submitUserScore", arguments, true);
			}
		},
		/**
		* Shows the leaderboard using a platform dependant view.
		* @param {string} [leaderboardID] The id of the scores leaderboard to show the view for. If null or underfined is passed, the "leadeboard" id will be used.
		* @see CocoonJS.SocialGaming.onLeaderboardViewClosed
		*/
		showLeaderboardView : function(leaderboardID)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "showLeaderboardView", arguments, true);
			}
		},

		/**
		* Request to retrieve the user achievements. The request can be monitored using the {@link CocoonJS.SocialGaming.onRequestUserAchievementsSucceed} and {@link CocoonJS.Social.onRequestUserAchievementsFailed} event handlers.
		* @param {string} [userID] The id of the user to retireve the achievements from. if null/undefined/"" is specified, the currently logged in user is assumed.
		* @see CocoonJS.SocialGaming.onRequestUserAchievementsSucceed
		* @see CocoonJS.SocialGaming.onRequestUserAchievementsFailed
		*/
		requestUserAchievements : function(userID)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestUserAchievements", arguments, true);
			}
		},

		/**
		* Request to retrieve all the achievements. The request can be monitored using the {@link CocoonJS.SocialGaming.onRequestAllAchievementsSucceed} and {@link CocoonJS.Social.onRequestAllAchievementsFailed} event handlers.
		* @see CocoonJS.SocialGaming.onRequestAllAchievementsSucceed
		* @see CocoonJS.SocialGaming.onRequestAllAchievementsFailed
		*/
		requestAllAchievements : function()
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestAllAchievements", arguments, true);
			}
		},

		/**
		* Request to retrieve the information about an achievement. 
		* @param {string} achievementID The id of the achievement to get the information for.
		* @param {CocoonJS.Social.ImageSizeType} [imageSizeType] The size of the image. One of the possible values among the ones in the {@link CocoonJS.Social.ImageSizeType}
		*/
		requestAchievementInfo : function(achievementID)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "requestAchievementInfo", arguments, true);
			}
		},

		/**
		* Submits an achievement to the server. If the process fails, the achievement is stored to submit it later.
		* @param {string} [achievementID] the achievement identifier
		* @param {number} [percentComplete] an optional number between 0 and 100 that indicates a completion percentage.
		* @see CocoonJS.SocialGaming.onSubmitAchievementSucceed
		* @see CocoonJS.SocualGaming.onSubmitAchievementFailed
		*/
        submitUserAchievement:function (achievementID, userID) {
            achievementID = this.getAbstractToSocialGamingAchievementTranslation(achievementID);

            if (this.nativeExtensionObjectAvailable) {
                return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "submitUserAchievement", arguments, true);
            }
        },

		/**
		* Shows the achievements using a platform dependant view.
		* @see CocoonJS.SocialGaming.onAchievementsViewClosed
		*/
		showUserAchievementsView : function(userID)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "showUserAchievementsView", arguments, true);
			}
		},

		/**
		* Resets all the achievements of the current user
		* @param {string} [userID] The id of the user to reset the achievements for. If null/undefined/"", the logged in user is assumed.
		* @see CocoonJS.SocialGaming.onResetAchievementsSucceed
		* @see CocoonJS.SocualGaming.onResetAchievementsFailed
		*/
		resetUserAchievements : function(userID)
		{
			if (this.nativeExtensionObjectAvailable)
			{
				return CocoonJS.makeNativeExtensionObjectFunctionCall(this.nativeExtensionName, "resetUserAchievements", arguments, true);
			}
		}
	};

	/**
    * @ignore
    */
	CocoonJS.extend(CocoonJS.SocialGaming, CocoonJS.Social);

	/**
	* The data structure that represents the information of the user score in the application.
	* @namespace
	* @constructor
	* @param {string} userID The user id.
	* @param {number} score The score of the user.
	* @param {string} userName The name of the user.
	* @param {string} imageURL The url of the user image.
	* @param {number} leaderboardID The id of the leaderboard the score belongs to.
	*/
	CocoonJS.SocialGaming.UserScoreInfo = function(userID, score, userName, imageURL, leaderboardID)
	{
		/**
		* The user id. 
		* @type string
		*/
		this.userID = userID;

		/**
		* The score of the user.
		* @type number
		*/
		this.score = score ? score : 0;

		/**
		* The name of the user.
		* @type string
		*/
        this.userName = userName;

		/**
		* The url of the user image.
		* @type string
		*/
        this.imageURL = imageURL;

        /**
		* The id of the leaderboard the score belongs to.
		* @type number
		*/
        this.leaderboardID = leaderboardID;
	};

	/**
	* The data structure that represents the information of an achievement in the application.
	* @namespace
	* @constructor
	* @param {string} achievementID The id of the achievement info.
	* @param {string} title The title of the achievement.
	* @param {string} description The description of the achievement.
	* @param {string} imageURL The url to the image representing the achievement.
	* @param {number} points The points value of the achievement
	*/
	CocoonJS.SocialGaming.AchievementInfo = function(achievementID, title, description, imageURL, points)
	{
		/**
		* The id of the achievement info.
		* @type string
		*/
		this.achievementID = achievementID;

		/**
		* The title of the achievement.
		* @type string
		*/
		this.title = title;

		/**
		* The description of the achievement.
		* @type string
		*/
		this.description = description;

		/**
		* The url to the image representing the achievement.
		* @type string
		*/
		this.imageURL = imageURL;

		/**
		* The points value of the achievement
		* @type number
		*/
		this.points = points ? points : 0;
	};

})();

/////////////////////////////////////////
// COCOONJS_SOCIALGAMING_GAMECENTER.JS //
/////////////////////////////////////////

(function()
{
    // The CocoonJS must exist before creating the extension.
    if (typeof window.CocoonJS === 'undefined' || window.CocoonJS === null) throw("The CocoonJS object must exist and be valid before creating any extension object.");
    if (typeof window.CocoonJS.SocialGaming === 'undefined' || window.CocoonJS === null) throw("The CocoonJS.SocialGaming object must exist and be valid before creating a Game Center extension object.");

	/**
	* This instance represents the extension object to access GameCenter related native functionalities.
	* The data structure for initialization: None.
	* @see CocoonJS.Social
	*/
	CocoonJS.SocialGaming.GameCenter = new CocoonJS.SocialGaming("IDTK_SRV_SOCIAL_GAMECENTER", "SocialGaming.GameCenter");
})();

//////////////////////////////
// COCOONJS_GAMEPAD.JS 		//
//////////////////////////////

(function () {
    // The CocoonJS must exist before creating the extension.
    if (typeof window.CocoonJS === 'undefined' || window.CocoonJS === null) throw("The CocoonJS object must exist and be valid before creating any extension object.");

    /**
     * This namespace represents the functionalities related to OUYA android gaming control.
     * @namespace
     */
    CocoonJS.Gamepad = {};

    CocoonJS.Gamepad.nativeExtensionObjectAvailable = CocoonJS.nativeExtensionObjectAvailable && typeof window.ext.Gamepad !== 'undefined';

    CocoonJS.Gamepad.Indices = {
        BUTTON_0                : 0, 
        BUTTON_1                : 1,
        BUTTON_2                : 2,
        BUTTON_3                : 3,
        BUTTON_LEFT_BUMPER      : 4,
        BUTTON_RIGHT_BUMPER     : 5,
        
        BUTTON_LEFT_TRIGGER     : 6,
        BUTTON_RIGHT_TRIGGER    : 7,
        
        BUTTON_LEFT_JOYSTICK    : 10,
        BUTTON_RIGHT_JOYSTICK   : 11,
        BUTTON_DPAD_UP          : 12,
        BUTTON_DPAD_DOWN        : 13,
        BUTTON_DPAD_LEFT        : 14,
        BUTTON_DPAD_RIGHT       : 15,
        BUTTON_MENU             : 16,
        
        AXE_LEFT_JOYSTICK_X     : 0,
        AXE_LEFT_JOYSTICK_Y     : 1,
        AXE_RIGHT_JOYSTICK_X    : 2,
        AXE_RIGHT_JOYSTICK_Y    : 3
    };

    // If the extension is present and the navigator does not provide the gamepad API:
    // 1.- Add the getGamepads function to the navigator object.
    // 2.- Replace the window add and remove event listener functions to call to the extension for the gamepad related events.
    var systemSupportsGamepads = navigator["getGamepads"] || navigator["webkitGetGamepads"];
    if (CocoonJS.Gamepad.nativeExtensionObjectAvailable && !systemSupportsGamepads)
    {
        navigator.getGamepads = function()
        {
            return window.ext.Gamepad.makeCall("getGamepads");
        };

        CocoonJS.Gamepad.originalWindowAddEventListener = window.addEventListener;
        CocoonJS.Gamepad.originalWindowRemoveEventListener = window.removeEventListener;

        window.addEventListener = function(eventName, callback)
        {
            console.log("The new window.addEventListener has been called.");
            if (eventName === "gamepadconnected" || eventName === "gamepaddisconnected")
            {
                window.ext.Gamepad.addEventListener(eventName, callback);
            }
            else
            {
                var argumentsArray = Array.prototype.slice.call(arguments);
                CocoonJS.Gamepad.originalWindowAddEventListener.apply(window, argumentsArray);
            }
        };
        window.removeEventListener = function(eventName, callback)
        {
            console.log("The new window.removeEventListener has been called.");
            if (eventName === "gamepadconnected" || eventName === "gamepaddisconnected")
            {
                window.ext.Gamepad.removeEventListener(eventName, callback);
            }
            else
            {
                var argumentsArray = Array.prototype.slice.call(arguments);
                CocoonJS.Gamepad.originalWindowRemoveEventListener.apply(window, argumentsArray);
            }
        };
    } 
    else if (systemSupportsGamepads) 
    {
        if (!navigator.getGamepads)
        {
            console.log("navigator.getGamepads does not exist.");
            if (navigator.webkitGetGamepads)
            {
                console.log("navigator.webkitGamepads exists, adding navigator.getGamepads to point to it.");
                navigator.getGamepads = navigator.webkitGetGamepads;
            }
            else
            {
                console.log("navigator.webkitGetGamepads does not exist either.");
            }
        }
    }
})();

//////////////////////////////
// COCOONJS_NOTIFICATION.JS //
//////////////////////////////

(function()
{
    // The CocoonJS must exist before creating the extension.
    if (typeof window.CocoonJS === 'undefined' || window.CocoonJS === null) throw("The CocoonJS object must exist and be valid before creating any extension object.");

    /**
    * This namespace represents the CocoonJS Notification extension.
    * @namespace
    */
    CocoonJS.Notification = {};

    CocoonJS.Notification.nativeExtensionObjectAvailable = CocoonJS.nativeExtensionObjectAvailable && typeof window.ext.IDTK_SRV_NOTIFICATION !== 'undefined';

	/**
	* The data structure that represents the information of a local notification.
	* @namespace
	* @constructor
	* @param {string} message The notification message.
	* @param {boolean} soundEnabled A flag that indicates if the sound should be enabled for the notification.
	* @param {number} badgeNumber The number that will appear in the badge of the application icon in the home screen.
	* @param {object} userData The JSON data to attached to the notification.
	* @param {string} contentBody The body content to be showed in the expanded notification information.
	* @param {string} contentTitle The title to be showed in the expanded notification information.
	* @param {number} date Time in millisecs from 1970 when the notification will be fired.
	*/
	CocoonJS.Notification.LocalNotification = function(message, soundEnabled, badgeNumber, userData, contentBody, contentTitle, scheduleTime)
	{
		/**
		* The notification message.
		* @field
		* @type string
		*/
		this.message = message;

		/**
		* A flag that indicates if the sound should be enabled for the notification.
		* @field
		* @type boolean
		*/
		this.soundEnabled = soundEnabled;

		/**
		* (iOS only) The number that will appear in the badge of the application icon in the home screen.
		* @field
		* @type number
		*/
		this.badgeNumber = badgeNumber;

		/**
		* The JSON data to attached to the notification.
		* @field
		* @type object
		*/
		this.userData = userData;

		/**
		* (Android only) The body content to be showed in the expanded notification information.
		* @field
		* @type string
		*/
		if (contentBody !== undefined)
			this.contentBody = contentBody;
		else
			this.contentBody = "";

		/**
		* (Android only) The title to be showed in the expanded notification information.
		* @field
		* @type string
		*/
		if (contentTitle !== undefined)
			this.contentTitle = contentTitle;
		else
			this.contentTitle = "";

		/**
		* Time in millisecs from 1970 when the local notification will be fired
		* @field
		* @type number
		*/
		var currentTime = new Date().getTime();
		if (scheduleTime !== undefined){
			this.scheduleTime = scheduleTime;
		}else{
			this.scheduleTime = currentTime;
		}
	};

	/**
	* The data structure that represents the information of a push notification.
	* @namespace
	* @constructor
	* @param {string} message The notification message.
	* @param {boolean} soundEnabled A flag that indicates if the sound should be enabled for the notification.
	* @param {number} badgeNumber The number that will appear in the badge of the application icon in the home screen.
	* @param {object} userData The JSON data to attached to the notification.
	* @param {array} channels An array containing the channels names this notification will be delivered to.
	* @param {number} expirationTime A time in seconds from 1970 when the notification is no longer valid and will not be delivered in case it has not already been delivered.
	* @param {number} expirationTimeInterval An incremental ammount of time in from now when the notification is no longer valid and will not be delivered in case it has not already been delivered.
	*/
	CocoonJS.Notification.PushNotification = function(message, soundEnabled, badgeNumber, userData, channels, expirationTime, expirationTimeInterval)
	{
		/**
		* The notification message.
		* @field
		* @type string
		*/
		this.message = message;

		/**
		* A flag that indicates if the sound should be enabled for the notification.
		* @field
		* @type boolean
		*/
		this.soundEnabled = soundEnabled;

		/**
		* The number that will appear in the badge of the application icon in the home screen.
		* @field
		* @type number
		*/
		this.badgeNumber = badgeNumber;

		/**
		* The JSON data to attached to the notification.
		* @field
		* @type object
		*/
		this.userData = userData

		/**
		* An array containing the channels names this notification will be delivered to.
		* @field
		* @type array
		*/
		this.channels = channels;

		/**
		* A time in seconds from 1970 when the notification is no longer valid and will not be delivered in case it has not already been delivered.
		* @field
		* @type number
		*/
		if (expirationTime !== undefined)
			this.expirationTime = expirationTime;
		else
			this.expirationTime = 0;

		/**
		* An incremental ammount of time in from now when the notification is no longer valid and will not be delivered in case it has not already been delivered.
		* @field
		* @type number
		*/
		if (expirationTimeInterval !== undefined)
			this.expirationTimeInterval = expirationTimeInterval;
		else
			this.expirationTimeInterval = 0;
	};

	/**
	* Start processing received notifications. The user must call this method when the game is ready to process notifications. Notifications received before being prepared are stored and processed later.
	*/
	CocoonJS.Notification.start = function()
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "start", arguments, true);
		}
	};


	/**
	* Register to be able to receive push notifications.
	* The registration process is controlled using the {@link CocoonJS.Notification.onRegisterForPushNotificationsSucceed} and {@link CocoonJS.Notification.onRegisterForPushNotificationsFailed} event handlers.
	* @function
	* @see {CocoonJS.Notification.onRegisterForPushNotificationsSucceed}
	* @see {CocoonJS.Notification.onRegisterForPushNotificationsFailed}
	*/
	CocoonJS.Notification.registerForPushNotifications = function()
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "registerForPushNotifications", arguments, true);
		}
	};

	/**
	* Unregister from receiving push notifications.
	* The unregistration process is controlled using the {@link CocoonJS.Notification.onUnregisterForPushNotificationsSucceed} event handler.
	* @function
	* @see CocoonJS.Notification.onUnregisterForPushNotificationsSucceed
	*/
	CocoonJS.Notification.unregisterForPushNotifications = function()
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "unregisterForPushNotifications", arguments, true);
		}
	};

	/**
	* Cancel the last sent local notification.
	* The last sent local notification will be remove from the notifications bar.
	* @function
	*/
	CocoonJS.Notification.cancelLastSentLocalNotificiation = function()
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "cancelLocalNotification", arguments, true);
		}
	};

	/**
	* Cancel all sent local notifications.
	* All the notifications will ve removed from the notifications bar.
	* @function
	*/
	CocoonJS.Notification.cancelAllLocalNotifications = function()
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "cancelAllLocalNotifications", arguments, true);
		}
	};

	/**
	* Send a local notification.
	* @function
	* @param {CocoonJS.Notification.LocalNotification} localNotification The local notification to be sent.
	*/
	CocoonJS.Notification.sendLocalNotification = function(localNotification)
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "sendLocalNotification", arguments, true);
		}
	};

	/**
	* Subscribe to a channel in order to receive notifications targeted to that channel.
	* @function
	* @param {string} channel The channel id to subscribe to.
	*/
	CocoonJS.Notification.subscribeToChannel = function(channel)
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "subscribe", arguments, true);
		}
	};

	/**
	* Unsubscribe from a channel in order to stop receiving notifications targeted to it.
	* @function
	* @param {string} channel The channel id to unsubscribe from.
	*/
	CocoonJS.Notification.unsubscribeFromChannel = function(channel)
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "unsubscribe", arguments, true);
		}
	};

	/**
	* Send a push notification.
	* @function
	* @param {CocoonJS.Notification.PushNotification} pushNotification The push notification object to be sent.
	* @see CocoonJS.Notification.onPushNotificationDeliverySucceed
	* @see CocoonJS.Notification.onPushNotificationDeliveryFailed
	*/
	CocoonJS.Notification.sendPushNotification = function(pushNotification)
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "sendPushNotification", arguments, true);
		}
	};

	/**
	* (iOS only) Set the badge number for this application.
	* This is useful if you want to modify the badge number set by a notification.
	* @function
	* @param {number} badgeNumber The number of the badge.
	*/
	CocoonJS.Notification.setBadgeNumber = function(badgeNumber)
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "setBadgeNumber", arguments);
		}
	};

	/**
	* (iOS only) Returns the current badge number.
	* @function
	* @returns {number} The badge number.
	*/
	CocoonJS.Notification.getBadgeNumber = function()
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "getBadgeNumber", arguments);
		}
	};

	/**
	* Returns the last received user data from a Local notification.
	* @function
	* @returns {object} The last received user data from a Local notification.
	*/
	CocoonJS.Notification.getLastReceivedLocalNotificationData = function()
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "getLastReceivedLocalNotificationData", arguments);
		}
	};

	/**
	* Returns the last received user data from a Push notification.
	* @function
	* @returns {object} The last received user data from a Push notification.
	*/
	CocoonJS.Notification.getLastReceivedPushNotificationData = function()
	{
		if (CocoonJS.Notification.nativeExtensionObjectAvailable)
		{
			return CocoonJS.makeNativeExtensionObjectFunctionCall("IDTK_SRV_NOTIFICATION", "getLastReceivedPushNotificationData", arguments);
		}
	};

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the registration for push notification succeeds.
    * The callback function does not receive any parameter.
    * @static
    * @event
    * @param {string} token The token (apid or device token) received at registration time.
    * @memberOf CocoonJS.Notification
    */
	CocoonJS.Notification.onRegisterForPushNotificationsSucceed = new CocoonJS.EventHandler("IDTK_SRV_NOTIFICATION", "Notification", "pushNotificationServiceRegistered");

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the unregistration for push notifications succeeds.
    * The callback function does not receive any parameter.
    * @static
    * @event
    * @memberOf CocoonJS.Notification
    */
	CocoonJS.Notification.onUnregisterForPushNotificationsSucceed = new CocoonJS.EventHandler("IDTK_SRV_NOTIFICATION", "Notification", "pushNotificationServiceUnregistered");

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the registration for push notifications fails.
    * The callback function receives a parameter with error information.
    * @static
    * @event
    * @param {string} msg The error message.
    */
	CocoonJS.Notification.onRegisterForPushNotificationsFailed = new CocoonJS.EventHandler("IDTK_SRV_NOTIFICATION", "Notification", "pushNotificationServiceFailedToRegister");

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when a push notification is received.
    * The callback function receives a parameter with the userData of the received notification.
    * @static
    * @event
    * @param {object} userData An object with the notification userData information.
    */
	CocoonJS.Notification.onPushNotificationReceived = new CocoonJS.EventHandler("IDTK_SRV_NOTIFICATION", "Notification", "pushNotificationReceived");

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when a local notification is received.
    * The callback function receives a parameter with the userData of the received notification.
    * @static
    * @event
    * @param {object} userData An object with the notification userData information.
    */
	CocoonJS.Notification.onLocalNotificationReceived = new CocoonJS.EventHandler("IDTK_SRV_NOTIFICATION", "Notification", "localNotificationReceived");

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when a notification is successfully delivered.
    * The callback function receives a parameter with the notificationId of the delivered notification.
    * @static
    * @event
    * @param {string} userData A string with the notification userData information.
    */
	CocoonJS.Notification.onPushNotificationDeliverySucceed = new CocoonJS.EventHandler("IDTK_SRV_NOTIFICATION", "Notification", "pushNotificationSuccessfullyDelivered");

    /**
    * This {@link CocoonJS.EventHandler} object allows listening to events called when the delivery of push a notification fails.
    * The callback function receives a parameter with error information.
    * @static
    * @event
    * @param {string} msg The error message.
    */
	CocoonJS.Notification.onPushNotificationDeliveryFailed = new CocoonJS.EventHandler("IDTK_SRV_NOTIFICATION", "Notification", "pushNotificationDeliveryError");

})();

/////////////////
// PATHFIND.JS //
/////////////////

// Pathfind.js
// Written by Ashley Gullen
// Copyright (c) 2013 Scirra Ltd.

// A* pathfinding javascript implementation

(function() {
	
	var PF_CLEAR = 0;
	var PF_OBSTACLE = 32767;
	
	function node()
	{
		this.parent = null;
		
		this.x = 0;
		this.y = 0;

		this.f = 0;
		this.g = 0;
		this.h = 0;
	};
	
	var nodeCache = [];			// for recycling nodes
	
	function allocNode()
	{
		var ret;
		
		if (nodeCache.length)
			ret = nodeCache.pop();
		else
			ret = new node();
			
		ret.parent = null;
		ret.x = 0;
		ret.y = 0;
		ret.f = 0;
		ret.g = 0;
		ret.h = 0;
		return ret;
	};
	
	function freeNode(n)
	{
		if (nodeCache.length < 64000)
			nodeCache.push(n);
	};
	
	function resultNode(x_, y_)
	{
		this.x = x_ || 0;
		this.y = y_ || 0;
	};
	
	var resultNodeCache = [];			// for recycling resultNodes
	
	function allocResultNode()
	{
		if (resultNodeCache.length)
			return resultNodeCache.pop();
		else
			return new resultNode(0, 0);
	};
	
	function freeResultNode(n)
	{
		if (resultNodeCache.length < 10000)
			resultNodeCache.push(n);
	};
	
	var workersSupported = (typeof Worker !== "undefined");
	var isInWebWorker = (typeof document === "undefined");		// no DOM in a worker
	var myInstance = null;										// single pathfinder instance for worker
	
	if (isInWebWorker)
	{
		self.addEventListener("message", function (e)
		{
			var d = e.data;
			
			if (!d)
				return;		// could be empty postMessage() to start worker
			
			if (d.cmd === "init")
			{
				if (!myInstance)
					myInstance = new pathfinder();
					
				myInstance.init(d.hcells, d.vcells, d.data, d.diagonals);
			}
			else if (d.cmd === "find")
			{
				// receive a pathfind job, process it them dispatch result
				myInstance.pathEnd.parent = null;
				myInstance.targetX = d.endX;
				myInstance.targetY = d.endY;
				
				if (myInstance.doLongFindPath(d.startX, d.startY))
				{
					self.postMessage({ cmd: "result", pathList: myInstance.pathList });
				}
				else
				{
					self.postMessage({ cmd: "result", pathList: null });
				}
			}
			else if (d.cmd === "setdiag")
			{
				// update diagonalsEnabled flag
				myInstance.diagonalsEnabled = d.diagonals;
			}
			
		}, false);
	}
	
	function pathfinder()
	{
		this.hcells = 0;
		this.vcells = 0;
		
		this.pathEnd = allocNode();
		
		this.cells = null;
		this.openList = [];
		this.closedList = [];
		this.closedCache = {};
		this.pathList = [];
		
		this.currentNode = null;
		this.targetX = 0;
		this.targetY = 0;
		this.diagonalsEnabled = true;
		
		this.worker = null;
		this.workerQueue = [];		// jobs awaiting completion from worker in order of requests made
		this.workerRecycle = [];
		
		var self = this;
		var i, len;
		
		if (workersSupported && !isInWebWorker)
		{
			// Create worker and receive results of pathfind jobs from it
			this.worker = new Worker("pathfind.js");
			
			this.worker.addEventListener("message", function (e) {
			
				if (!e || !e.data)
					return;
				
				if (e.data.cmd === "result")
				{
					if (e.data.pathList)
					{
						for (i = 0, len = self.pathList.length; i < len; i++)
							freeResultNode(self.pathList[i]);
						
						self.pathList = e.data.pathList;
						self.workerQueue[0].success();
					}
					else
						self.workerQueue[0].fail();
						
					self.workerRecycle.push(self.workerQueue.shift());
				}
			}, false);
			
			this.worker.addEventListener("error", function (e) {
				console.error(e);
			}, false);
			
			this.worker.postMessage(null);
		}
	};
	
	pathfinder.prototype.init = function (hcells_, vcells_, data_, diagonals_)
	{
		this.hcells = hcells_;
		this.vcells = vcells_;
		this.cells = data_;
		this.diagonalsEnabled = diagonals_;
		
		if (workersSupported && !isInWebWorker)
		{
			this.worker.postMessage({
				cmd: "init",
				hcells: hcells_,
				vcells: vcells_,
				diagonals: diagonals_,
				data: data_
			});
		}
	};
	
	pathfinder.prototype.isReady = function ()
	{
		return !!this.cells;
	};
	
	pathfinder.prototype.setDiagonals = function (d)
	{
		if (this.diagonalsEnabled === d)
			return;
		
		this.diagonalsEnabled = d;
		
		if (workersSupported && !isInWebWorker)
		{
			this.worker.postMessage({
				cmd: "setdiag",
				diagonals: d,
			});
		}
	};
	
	pathfinder.prototype.at = function (x_, y_)
	{
		if (x_ < 0 || y_ < 0 || x_ >= this.hcells || y_ >= this.vcells)
			return PF_OBSTACLE;
			
		return this.cells[x_][y_];
	};
	
	pathfinder.prototype.findPath = function (startX, startY, endX, endY, successCallback, failCallback)
	{
		if (!this.cells)
		{
			// not yet initialised
			failCallback();
			return;
		}
		
		startX = Math.floor(startX);
		startY = Math.floor(startY);
		endX = Math.floor(endX);
		endY = Math.floor(endY);
		
		this.targetX = endX;
		this.targetY = endY;
		this.pathEnd.parent = null;
		
		// Check the box made by the start and dest cells.
		// If the complete box is empty, allow a direct move to target.
		var minX = Math.min(startX, endX);
		var maxX = Math.max(startX, endX);
		var minY = Math.min(startY, endY);
		var maxY = Math.max(startY, endY);
		
		// Path goes out of bounds: no calculable path
		if (minX < 0 || minY < 0 || maxX >= this.hcells || maxY >= this.vcells)
		{
			failCallback();
			return;
		}
		
		var x, y, i, len, c, h, n;

		if (this.diagonalsEnabled)
		{
			var canMoveDirect = true;
			
			for (x = minX; x <= maxX; x++)
			{
				for (y = minY; y <= maxY; y++)
				{
					if (this.cells[x][y] !== 0)
					{
						canMoveDirect = false;
						
						// Break both loops
						x = maxX + 1;
						break;
					}
				}
			}

			// A "direct" path is available (box is empty)
			if (canMoveDirect)
			{
				for (i = 0, len = this.pathList.length; i < len; i++)
					freeResultNode(this.pathList[i]);
				this.pathList.length = 0;
			
				this.pathEnd.x = endX;
				this.pathEnd.y = endY;
				this.pathEnd.parent = null;
				n = allocResultNode();
				n.x = endX;
				n.y = endY;
				this.pathList.push(n);
				successCallback();
				return;
			}
		}
		
		if (workersSupported)
		{
			// recycle objects in the worker queue
			if (this.workerRecycle.length)
				h = this.workerRecycle.pop();
			else
				h = {};
			
			h.success = successCallback;
			h.fail = failCallback;
			
			// dispatch the heavy lifting to the worker thread
			this.workerQueue.push(h);

			this.worker.postMessage({
				cmd: "find",
				startX: startX,
				startY: startY,
				endX: endX,
				endY: endY
			});
		}
		else
		{
			// no web worker support, just run on main thread
			if (this.doLongFindPath(startX, startY))
				successCallback();
			else
				failCallback();
		}
	};
		
	pathfinder.prototype.doLongFindPath = function (startX, startY)
	{
		var i, len, c, n, p, lastDir = 8, curDir = -1, addNode;
		for (i = 0, len = this.openList.length; i < len; i++)
			freeNode(this.openList[i]);
		for (i = 0, len = this.closedList.length; i < len; i++)
			freeNode(this.closedList[i]);
		for (i = 0, len = this.pathList.length; i < len; i++)
			freeResultNode(this.pathList[i]);
		this.openList.length = 0;
		this.closedList.length = 0;
		this.closedCache = {};
		this.pathList.length = 0;

		// Add the start node to the open list
		var startNode = allocNode();
		startNode.x = startX;
		startNode.y = startY;

		this.openList.push(startNode);
		var obsLeft = false, obsTop = false, obsRight = false, obsBottom = false;
		var diagonals = this.diagonalsEnabled;
		
		// While there are nodes on the open list
		while (this.openList.length)
		{
			// Move the best F value to closed list
			c = this.openList.shift();
			this.closedList.unshift(c);
			this.closedCache[((c.x << 16) + c.y).toString()] = true;

			// Are we there yet?
			if (c.x === this.targetX && c.y === this.targetY)
			{
				this.pathEnd.parent = c.parent;
				this.pathEnd.x = c.x;
				this.pathEnd.y = c.y;
				
				// Link up the whole path to an indexable array
				p = this.pathEnd;
				
				while (p)
				{
					// filter redundant nodes in straight lines
					if (this.pathList.length === 0)
					{
						addNode = true;
						
						if (p.parent)
						{
							lastDir = this.nodeDirection(p, p.parent);
							curDir = lastDir;
						}
					}
					else if (!p.parent)
						addNode = false;
					else 
					{
						curDir = this.nodeDirection(p, p.parent);
						addNode = (curDir !== lastDir);
					}
					
					if (addNode)
					{
						n = allocResultNode();
						n.x = p.x;
						n.y = p.y;
						this.pathList.unshift(n);
						lastDir = curDir;
					}
					
					p = p.parent;
				}
				
				return true;
			}

			// Get current node
			this.currentNode = c;
			var x = c.x;
			var y = c.y;
			
			var obsLeft = (this.at(x - 1, y) === PF_OBSTACLE);
			var obsTop = (this.at(x, y - 1) === PF_OBSTACLE);
			var obsRight = (this.at(x + 1, y) === PF_OBSTACLE);
			var obsBottom = (this.at(x, y + 1) === PF_OBSTACLE);

			// Check adjacent 8 nodes.  No diagonals allowed if either cell being crossed is obstacle.
			if (!obsLeft)
				this.addCellToOpenList(x - 1, y, 10);

			if (diagonals && !obsLeft && !obsTop)
				this.addCellToOpenList(x - 1, y - 1, 14);

			if (!obsTop)
				this.addCellToOpenList(x, y - 1, 10);

			if (diagonals && !obsTop && !obsRight)
				this.addCellToOpenList(x + 1, y - 1, 14);

			if (!obsRight)
				this.addCellToOpenList(x + 1, y, 10);

			if (diagonals && !obsRight && !obsBottom)
				this.addCellToOpenList(x + 1, y + 1, 14);

			if (!obsBottom)
				this.addCellToOpenList(x, y + 1, 10);

			if (diagonals && !obsBottom && !obsLeft)
				this.addCellToOpenList(x - 1, y + 1, 14);
		}
		
		return false;
	};
	
	pathfinder.prototype.insertToOpenList = function (c)
	{
		var i, len;
		
		// Needs to go at end
		if (c.f >= this.openList[this.openList.length - 1].f)
		{
			this.openList.push(c);
		}
		else
		{
			for (i = 0, len = this.openList.length; i < len; i++)
			{
				if (c.f < this.openList[i].f)
				{
					this.openList.splice(i, 0, c);
					break;
				}
			}
		}
	};
	
	pathfinder.prototype.addCellToOpenList = function (x_, y_, g_)
	{
		// Ignore if cell on closed list
		if (this.closedCache.hasOwnProperty(((x_ << 16) + y_).toString()))
			return;
		
		var i, len, c;
		
		// Cell costs can be increased by changing the number in the map
		var curCellCost = this.at(x_, y_);

		// Is this cell already on the open list?
		for (i = 0, len = this.openList.length; i < len; i++)
		{
			c = this.openList[i];
			
			if (x_ === c.x && y_ === c.y)
			{
				// Is this a better path?
				if (this.currentNode.g + g_ + curCellCost < c.g)
				{
					// Update F, G and H and update parent
					c.parent = this.currentNode;
					c.g = this.currentNode.g + g_ + curCellCost;
					c.h = this.estimateH(c.x, c.y);
					c.f = c.g + c.h;

					// This node's F has changed:  Delete it then re-insert it in the right place

					if (this.openList.length === 1)
					{
						// no need to remove then re-insert same node, just leave it there
						return;
					}
					
					this.openList.splice(i, 1);
					this.insertToOpenList(c);
				}

				return;
			}
		}

		// Not on the open list; add it in the right place
		c = allocNode();
		c.x = x_;
		c.y = y_;
		c.h = this.estimateH(x_, y_);
		c.g = this.currentNode.g + g_ + curCellCost;
		c.f = c.h + c.g;
		c.parent = this.currentNode;

		// Insert this node sorted in the open list
		// The loop below won't add new largest F values
		if (!this.openList.length)
		{
			this.openList.push(c);
			return;
		}
		
		this.insertToOpenList(c);
	};
	
	function quickAbs(x)
	{
		return x < 0 ? -x : x;
	};
	
	pathfinder.prototype.estimateH = function (x_, y_)
	{
		var dx = quickAbs(x_ - this.targetX);
		var dy = quickAbs(y_ - this.targetY);

		return dx * 10 + dy * 10;
	};
	
	pathfinder.prototype.nodeDirection = function (a, b)
	{
		var ax = a.x;
		var ay = a.y;
		var bx = b.x;
		var by = b.y;

		if (ax === bx)
		{
			if (by > ay) return 6;
			if (by < ay) return 2;
			if (ay == by) return 8;
		}
		else if (ay === by)
		{
			if (bx > ax) return 4;
			if (by < ax) return 0;
		}
		else
		{
			if (bx < ax && by < ay) return 1;
			if (bx > ax && by < ay) return 3;
			if (bx < ax && by > ay) return 7;
			if (bx > ax && by > ay) return 5;
		}
		return 8;
	};
	
	if (!isInWebWorker)
	{
		window.PF_CLEAR = PF_CLEAR;
		window.PF_OBSTACLE = PF_OBSTACLE;
		window.Pathfinder = pathfinder;
		
		window.ResultNode = resultNode;
		window.allocResultNode = allocResultNode;
		window.freeResultNode = freeResultNode;
	}

})();
(function() {
'use strict';var cr={plugins_:{},behaviors:{}};"function"!==typeof Object.getPrototypeOf&&(Object.getPrototypeOf="object"===typeof"test".__proto__?function(a){return a.__proto__}:function(a){return a.constructor.prototype});
(function(){function a(a,b){this.x=a;this.y=b;cr.seal(this)}function b(a,b,c,e){this.set(a,b,c,e);cr.seal(this)}function c(){this.bly=this.blx=this.bry=this.brx=this.try_=this.trx=this.tly=this.tlx=0;cr.seal(this)}function d(a,b,c,e){a<b?c<e?(n=a<c?a:c,r=b>e?b:e):(n=a<e?a:e,r=b>c?b:c):c<e?(n=b<c?b:c,r=a>e?a:e):(n=b<e?b:e,r=a>c?a:c)}function f(){this.items=this.s=null;this.item_count=0;u&&(this.s=new Set);this.values_cache=[];this.cache_valid=!0;cr.seal(this)}function e(a){y[C++]=a}function g(){this.sum=
this.t=this.y=this.c=0;cr.seal(this)}function l(a){this.pts_cache=[];this.bboxBottom=this.bboxRight=this.bboxTop=this.bboxLeft=0;this.convexpolys=null;this.set_pts(a);cr.seal(this)}function k(a,b){this.cellwidth=a;this.cellheight=b;this.cells={}}function h(a,b,c){var e;k.prototype.totalCellCount++;return v.length?(e=v.pop(),e.grid=a,e.x=b,e.y=c,e):new cr.GridCell(a,b,c)}function m(a,b,c){this.grid=a;this.x=b;this.y=c;this.objects=new cr.ObjectSet}cr.logexport=function(a){window.console&&window.console.log&&
window.console.log(a)};cr.seal=function(a){return a};cr.freeze=function(a){return a};cr.is_undefined=function(a){return"undefined"===typeof a};cr.is_number=function(a){return"number"===typeof a};cr.is_string=function(a){return"string"===typeof a};cr.isPOT=function(a){return 0<a&&0===(a-1&a)};cr.nextHighestPowerOfTwo=function(a){--a;for(var b=1;32>b;b<<=1)a|=a>>b;return a+1};cr.abs=function(a){return 0>a?-a:a};cr.max=function(a,b){return a>b?a:b};cr.min=function(a,b){return a<b?a:b};cr.PI=Math.PI;
cr.round=function(a){return a+0.5|0};cr.floor=function(a){return 0<=a?a|0:(a|0)-1};cr.ceil=function(a){var b=a|0;return b===a?b:b+1};a.prototype.offset=function(a,b){this.x+=a;this.y+=b;return this};a.prototype.mul=function(a,b){this.x*=a;this.y*=b;return this};cr.vector2=a;cr.segments_intersect=function(a,b,c,e,d,g,f,h){var k,l,v,m;a<c?(l=a,k=c):(l=c,k=a);d<f?(m=d,v=f):(m=f,v=d);if(k<m||l>v)return!1;b<e?(l=b,k=e):(l=e,k=b);g<h?(m=g,v=h):(m=h,v=g);if(k<m||l>v)return!1;k=d-a+f-c;l=g-b+h-e;a=c-a;b=
e-b;d=f-d;g=h-g;h=cr.abs(b*d-g*a);return cr.abs(d*l-g*k)>h?!1:cr.abs(a*l-b*k)<=h};b.prototype.set=function(a,b,c,e){this.left=a;this.top=b;this.right=c;this.bottom=e};b.prototype.copy=function(a){this.left=a.left;this.top=a.top;this.right=a.right;this.bottom=a.bottom};b.prototype.width=function(){return this.right-this.left};b.prototype.height=function(){return this.bottom-this.top};b.prototype.offset=function(a,b){this.left+=a;this.top+=b;this.right+=a;this.bottom+=b;return this};b.prototype.normalize=
function(){var a=0;this.left>this.right&&(a=this.left,this.left=this.right,this.right=a);this.top>this.bottom&&(a=this.top,this.top=this.bottom,this.bottom=a)};b.prototype.intersects_rect=function(a){return!(a.right<this.left||a.bottom<this.top||a.left>this.right||a.top>this.bottom)};b.prototype.intersects_rect_off=function(a,b,c){return!(a.right+b<this.left||a.bottom+c<this.top||a.left+b>this.right||a.top+c>this.bottom)};b.prototype.contains_pt=function(a,b){return a>=this.left&&a<=this.right&&b>=
this.top&&b<=this.bottom};b.prototype.equals=function(a){return this.left===a.left&&this.top===a.top&&this.right===a.right&&this.bottom===a.bottom};cr.rect=b;c.prototype.set_from_rect=function(a){this.tlx=a.left;this.tly=a.top;this.trx=a.right;this.try_=a.top;this.brx=a.right;this.bry=a.bottom;this.blx=a.left;this.bly=a.bottom};c.prototype.set_from_rotated_rect=function(a,b){if(0===b)this.set_from_rect(a);else{var c=Math.sin(b),e=Math.cos(b),d=a.left*c,g=a.top*c,f=a.right*c,c=a.bottom*c,h=a.left*
e,k=a.top*e,l=a.right*e,e=a.bottom*e;this.tlx=h-g;this.tly=k+d;this.trx=l-g;this.try_=k+f;this.brx=l-c;this.bry=e+f;this.blx=h-c;this.bly=e+d}};c.prototype.offset=function(a,b){this.tlx+=a;this.tly+=b;this.trx+=a;this.try_+=b;this.brx+=a;this.bry+=b;this.blx+=a;this.bly+=b;return this};var n=0,r=0;c.prototype.bounding_box=function(a){d(this.tlx,this.trx,this.brx,this.blx);a.left=n;a.right=r;d(this.tly,this.try_,this.bry,this.bly);a.top=n;a.bottom=r};c.prototype.contains_pt=function(a,b){var c=this.trx-
this.tlx,e=this.try_-this.tly,d=this.brx-this.tlx,g=this.bry-this.tly,f=a-this.tlx,h=b-this.tly,k=c*c+e*e,l=c*d+e*g,e=c*f+e*h,v=d*d+g*g,m=d*f+g*h,w=1/(k*v-l*l),c=(v*e-l*m)*w,k=(k*m-l*e)*w;if(0<=c&&0<k&&1>c+k)return!0;c=this.blx-this.tlx;e=this.bly-this.tly;k=c*c+e*e;l=c*d+e*g;e=c*f+e*h;w=1/(k*v-l*l);c=(v*e-l*m)*w;k=(k*m-l*e)*w;return 0<=c&&0<k&&1>c+k};c.prototype.at=function(a,b){if(b)switch(a){case 0:return this.tlx;case 1:return this.trx;case 2:return this.brx;case 3:return this.blx;case 4:return this.tlx;
default:return this.tlx}else switch(a){case 0:return this.tly;case 1:return this.try_;case 2:return this.bry;case 3:return this.bly;case 4:return this.tly;default:return this.tly}};c.prototype.midX=function(){return(this.tlx+this.trx+this.brx+this.blx)/4};c.prototype.midY=function(){return(this.tly+this.try_+this.bry+this.bly)/4};c.prototype.intersects_segment=function(a,b,c,e){if(this.contains_pt(a,b)||this.contains_pt(c,e))return!0;var d,g,f,h,k;for(k=0;4>k;k++)if(d=this.at(k,!0),g=this.at(k,!1),
f=this.at(k+1,!0),h=this.at(k+1,!1),cr.segments_intersect(a,b,c,e,d,g,f,h))return!0;return!1};c.prototype.intersects_quad=function(a){var b=a.midX(),c=a.midY();if(this.contains_pt(b,c))return!0;b=this.midX();c=this.midY();if(a.contains_pt(b,c))return!0;var e,d,g,f,h,k,l,v;for(l=0;4>l;l++)for(v=0;4>v;v++)if(b=this.at(l,!0),c=this.at(l,!1),e=this.at(l+1,!0),d=this.at(l+1,!1),g=a.at(v,!0),f=a.at(v,!1),h=a.at(v+1,!0),k=a.at(v+1,!1),cr.segments_intersect(b,c,e,d,g,f,h,k))return!0;return!1};cr.quad=c;cr.RGB=
function(a,b,c){return Math.max(Math.min(a,255),0)|Math.max(Math.min(b,255),0)<<8|Math.max(Math.min(c,255),0)<<16};cr.GetRValue=function(a){return a&255};cr.GetGValue=function(a){return(a&65280)>>8};cr.GetBValue=function(a){return(a&16711680)>>16};cr.shallowCopy=function(a,b,c){for(var e in b)b.hasOwnProperty(e)&&(a[e]=b[e]);return a};cr.arrayRemove=function(a,b){var c,e;b=cr.floor(b);if(!(0>b||b>=a.length)){c=b;for(e=a.length-1;c<e;c++)a[c]=a[c+1];a.length=e}};cr.shallowAssignArray=function(a,b){a.length=
b.length;var c,e;c=0;for(e=b.length;c<e;c++)a[c]=b[c]};cr.appendArray=function(a,b){a.push.apply(a,b)};cr.fastIndexOf=function(a,b){var c,e;c=0;for(e=a.length;c<e;++c)if(a[c]===b)return c;return-1};cr.arrayFindRemove=function(a,b){var c=cr.fastIndexOf(a,b);-1!==c&&cr.arrayRemove(a,c)};cr.clamp=function(a,b,c){return a<b?b:a>c?c:a};cr.to_radians=function(a){return a/(180/cr.PI)};cr.to_degrees=function(a){return a*(180/cr.PI)};cr.clamp_angle_degrees=function(a){a%=360;0>a&&(a+=360);return a};cr.clamp_angle=
function(a){a%=2*cr.PI;0>a&&(a+=2*cr.PI);return a};cr.to_clamped_degrees=function(a){return cr.clamp_angle_degrees(cr.to_degrees(a))};cr.to_clamped_radians=function(a){return cr.clamp_angle(cr.to_radians(a))};cr.angleTo=function(a,b,c,e){return Math.atan2(e-b,c-a)};cr.angleDiff=function(a,b){if(a===b)return 0;var c=Math.sin(a),e=Math.cos(a),d=Math.sin(b),g=Math.cos(b),c=c*d+e*g;return 1<=c?0:-1>=c?cr.PI:Math.acos(c)};cr.angleRotate=function(a,b,c){var e=Math.sin(a),d=Math.cos(a),g=Math.sin(b),f=Math.cos(b);
return Math.acos(e*g+d*f)>c?0<d*g-e*f?cr.clamp_angle(a+c):cr.clamp_angle(a-c):cr.clamp_angle(b)};cr.angleClockwise=function(a,b){var c=Math.sin(a),e=Math.cos(a),d=Math.sin(b),g=Math.cos(b);return 0>=e*d-c*g};cr.rotatePtAround=function(a,b,c,e,d,g){if(0===c)return g?a:b;var f=Math.sin(c);c=Math.cos(c);a-=e;b-=d;var h=a*f;a=a*c-b*f;b=b*c+h;return g?a+e:b+d};cr.distanceTo=function(a,b,c,e){a=c-a;b=e-b;return Math.sqrt(a*a+b*b)};cr.xor=function(a,b){return!a!==!b};cr.lerp=function(a,b,c){return a+(b-
a)*c};cr.unlerp=function(a,b,c){return a===b?0:(c-a)/(b-a)};cr.anglelerp=function(a,b,c){var e=cr.angleDiff(a,b);return cr.angleClockwise(b,a)?a+e*c:a-e*c};cr.qarp=function(a,b,c,e){return cr.lerp(cr.lerp(a,b,e),cr.lerp(b,c,e),e)};cr.cubic=function(a,b,c,e,d){return cr.lerp(cr.qarp(a,b,c,d),cr.qarp(b,c,e,d),d)};cr.cosp=function(a,b,c){return(a+b+(a-b)*Math.cos(c*Math.PI))/2};cr.hasAnyOwnProperty=function(a){for(var b in a)if(a.hasOwnProperty(b))return!0;return!1};cr.wipe=function(a){for(var b in a)a.hasOwnProperty(b)&&
delete a[b]};var p=+new Date;cr.performance_now=function(){if("undefined"!==typeof window.performance){var a=window.performance;if("undefined"!==typeof a.now)return a.now();if("undefined"!==typeof a.webkitNow)return a.webkitNow();if("undefined"!==typeof a.mozNow)return a.mozNow();if("undefined"!==typeof a.msNow)return a.msNow()}return Date.now()-p};var q=!1,t=q=!1,s=!1;"undefined"!==typeof window&&(q=/chrome/i.test(navigator.userAgent)||/chromium/i.test(navigator.userAgent),q=!q&&/safari/i.test(navigator.userAgent),
t=/(iphone|ipod|ipad)/i.test(navigator.userAgent),s=window.c2ejecta);var u=!q&&!s&&!t&&"undefined"!==typeof Set&&"undefined"!==typeof Set.prototype.forEach;f.prototype.contains=function(a){return this.isEmpty()?!1:u?this.s.has(a):this.items&&this.items.hasOwnProperty(a)};f.prototype.add=function(a){if(u)this.s.has(a)||(this.s.add(a),this.cache_valid=!1);else{var b=a.toString(),c=this.items;c?c.hasOwnProperty(b)||(c[b]=a,this.item_count++,this.cache_valid=!1):(this.items={},this.items[b]=a,this.item_count=
1,this.cache_valid=!1)}};f.prototype.remove=function(a){if(!this.isEmpty())if(u)this.s.has(a)&&(this.s["delete"](a),this.cache_valid=!1);else if(this.items){a=a.toString();var b=this.items;b.hasOwnProperty(a)&&(delete b[a],this.item_count--,this.cache_valid=!1)}};f.prototype.clear=function(){this.isEmpty()||(u?this.s.clear():(this.items=null,this.item_count=0),this.values_cache.length=0,this.cache_valid=!0)};f.prototype.isEmpty=function(){return 0===this.count()};f.prototype.count=function(){return u?
this.s.size:this.item_count};var y=null,C=0;f.prototype.update_cache=function(){if(!this.cache_valid){if(u)this.values_cache.length=this.s.size,y=this.values_cache,C=0,this.s.forEach(e),y=null,C=0;else{var a=this.values_cache;a.length=this.item_count;var b,c=0,d=this.items;if(d)for(b in d)d.hasOwnProperty(b)&&(a[c++]=d[b])}this.cache_valid=!0}};f.prototype.valuesRef=function(){this.update_cache();return this.values_cache};cr.ObjectSet=f;var F=new cr.ObjectSet;cr.removeArrayDuplicates=function(a){var b,
c;b=0;for(c=a.length;b<c;++b)F.add(a[b]);cr.shallowAssignArray(a,F.valuesRef());F.clear()};g.prototype.add=function(a){this.y=a-this.c;this.t=this.sum+this.y;this.c=this.t-this.sum-this.y;this.sum=this.t};g.prototype.reset=function(){this.sum=this.t=this.y=this.c=0};cr.KahanAdder=g;cr.regexp_escape=function(a){return a.replace(/[-[\]{}()*+?.,\\^$|#\s]/g,"\\$&")};l.prototype.set_pts=function(a){this.pts_array=a;this.pts_count=a.length/2;this.pts_cache.length=a.length;this.cache_height=this.cache_width=
-1;this.cache_angle=0};l.prototype.is_empty=function(){return!this.pts_array.length};l.prototype.update_bbox=function(){for(var a=this.pts_cache,b=a[0],c=b,e=a[1],d=e,g,f,h=1,k=this.pts_count;h<k;++h)f=2*h,g=a[f],f=a[f+1],g<b&&(b=g),g>c&&(c=g),f<e&&(e=f),f>d&&(d=f);this.bboxLeft=b;this.bboxRight=c;this.bboxTop=e;this.bboxBottom=d};l.prototype.set_from_rect=function(a,b,c){this.pts_cache.length=8;this.pts_count=4;var e=this.pts_cache;e[0]=a.left-b;e[1]=a.top-c;e[2]=a.right-b;e[3]=a.top-c;e[4]=a.right-
b;e[5]=a.bottom-c;e[6]=a.left-b;e[7]=a.bottom-c;this.cache_width=a.right-a.left;this.cache_height=a.bottom-a.top;this.update_bbox()};l.prototype.set_from_quad=function(a,b,c,e,d){this.pts_cache.length=8;this.pts_count=4;var g=this.pts_cache;g[0]=a.tlx-b;g[1]=a.tly-c;g[2]=a.trx-b;g[3]=a.try_-c;g[4]=a.brx-b;g[5]=a.bry-c;g[6]=a.blx-b;g[7]=a.bly-c;this.cache_width=e;this.cache_height=d;this.update_bbox()};l.prototype.set_from_poly=function(a){this.pts_count=a.pts_count;cr.shallowAssignArray(this.pts_cache,
a.pts_cache);this.bboxLeft=a.bboxLeft;this.bboxTop-a.bboxTop;this.bboxRight=a.bboxRight;this.bboxBottom=a.bboxBottom};l.prototype.cache_poly=function(a,b,c){if(this.cache_width!==a||this.cache_height!==b||this.cache_angle!==c){this.cache_width=a;this.cache_height=b;this.cache_angle=c;var e,d,g,f,h,k=0,l=1,v=this.pts_array,m=this.pts_cache;0!==c&&(k=Math.sin(c),l=Math.cos(c));c=0;for(g=this.pts_count;c<g;c++)e=2*c,d=e+1,f=v[e]*a,h=v[d]*b,m[e]=f*l-h*k,m[d]=h*l+f*k;this.update_bbox()}};l.prototype.contains_pt=
function(a,b){var c=this.pts_cache;if(a===c[0]&&b===c[1])return!0;var e,d,g,f=this.pts_count,h=this.bboxLeft-110,k=this.bboxTop-101,l=this.bboxRight+131,v=this.bboxBottom+120,m,w,n=0,y=0;for(e=0;e<f;e++)d=2*e,g=2*((e+1)%f),m=c[d],d=c[d+1],w=c[g],g=c[g+1],cr.segments_intersect(h,k,a,b,m,d,w,g)&&n++,cr.segments_intersect(l,v,a,b,m,d,w,g)&&y++;return 1===n%2||1===y%2};l.prototype.intersects_poly=function(a,b,c){var e=a.pts_cache,d=this.pts_cache;if(this.contains_pt(e[0]+b,e[1]+c)||a.contains_pt(d[0]-
b,d[1]-c))return!0;var g,f,h,k,l,v,m,w,n,y,F,q;g=0;for(k=this.pts_count;g<k;g++)for(f=2*g,h=2*((g+1)%k),w=d[f],f=d[f+1],n=d[h],y=d[h+1],h=0,m=a.pts_count;h<m;h++)if(l=2*h,v=2*((h+1)%m),F=e[l]+b,l=e[l+1]+c,q=e[v]+b,v=e[v+1]+c,cr.segments_intersect(w,f,n,y,F,l,q,v))return!0;return!1};l.prototype.intersects_segment=function(a,b,c,e,d,g){var f=this.pts_cache;if(this.contains_pt(c-a,e-b))return!0;var h,k,l,v,m,w;h=0;for(k=this.pts_count;h<k;h++)if(l=2*h,v=2*((h+1)%k),m=f[l]+a,l=f[l+1]+b,w=f[v]+a,v=f[v+
1]+b,cr.segments_intersect(c,e,d,g,m,l,w,v))return!0;return!1};l.prototype.mirror=function(a){var b,c,e;b=0;for(c=this.pts_count;b<c;++b)e=2*b,this.pts_cache[e]=2*a-this.pts_cache[e]};l.prototype.flip=function(a){var b,c,e;b=0;for(c=this.pts_count;b<c;++b)e=2*b+1,this.pts_cache[e]=2*a-this.pts_cache[e]};l.prototype.diag=function(){var a,b,c,e,d;a=0;for(b=this.pts_count;a<b;++a)c=2*a,e=c+1,d=this.pts_cache[c],this.pts_cache[c]=this.pts_cache[e],this.pts_cache[e]=d};cr.CollisionPoly=l;k.prototype.totalCellCount=
0;k.prototype.getCell=function(a,b,c){var e;e=this.cells[a];return e?(e=e[b])?e:c?(e=h(this,a,b),this.cells[a][b]=e):null:c?(e=h(this,a,b),this.cells[a]={},this.cells[a][b]=e):null};k.prototype.XToCell=function(a){return cr.floor(a/this.cellwidth)};k.prototype.YToCell=function(a){return cr.floor(a/this.cellheight)};k.prototype.update=function(a,b,c){var e,d,g,f,h;if(b)for(e=b.left,d=b.right;e<=d;++e)for(g=b.top,f=b.bottom;g<=f;++g)if(!c||!c.contains_pt(e,g))if(h=this.getCell(e,g,!1))h.remove(a),h.isEmpty()&&
(k.prototype.totalCellCount--,h.objects.clear(),1E3>v.length&&v.push(h),this.cells[e][g]=null);if(c)for(e=c.left,d=c.right;e<=d;++e)for(g=c.top,f=c.bottom;g<=f;++g)b&&b.contains_pt(e,g)||this.getCell(e,g,!0).insert(a)};k.prototype.queryRange=function(a,b){var c,e,d,g,f,h;c=this.XToCell(a.left);d=this.YToCell(a.top);e=this.XToCell(a.right);for(f=this.YToCell(a.bottom);c<=e;++c)for(g=d;g<=f;++g)(h=this.getCell(c,g,!1))&&h.dump(b)};cr.SparseGrid=k;var v=[];m.prototype.isEmpty=function(){return this.objects.isEmpty()};
m.prototype.insert=function(a){this.objects.add(a)};m.prototype.remove=function(a){this.objects.remove(a)};m.prototype.dump=function(a){cr.appendArray(a,this.objects.valuesRef())};cr.GridCell=m;var w="lighter xor copy destination-over source-in destination-in source-out destination-out source-atop destination-atop".split(" ");cr.effectToCompositeOp=function(a){return 0>=a||11<=a?"source-over":w[a-1]};cr.setGLBlend=function(a,b,c){if(c)switch(a.srcBlend=c.ONE,a.destBlend=c.ONE_MINUS_SRC_ALPHA,b){case 1:a.srcBlend=
c.ONE;a.destBlend=c.ONE;break;case 3:a.srcBlend=c.ONE;a.destBlend=c.ZERO;break;case 4:a.srcBlend=c.ONE_MINUS_DST_ALPHA;a.destBlend=c.ONE;break;case 5:a.srcBlend=c.DST_ALPHA;a.destBlend=c.ZERO;break;case 6:a.srcBlend=c.ZERO;a.destBlend=c.SRC_ALPHA;break;case 7:a.srcBlend=c.ONE_MINUS_DST_ALPHA;a.destBlend=c.ZERO;break;case 8:a.srcBlend=c.ZERO;a.destBlend=c.ONE_MINUS_SRC_ALPHA;break;case 9:a.srcBlend=c.DST_ALPHA;a.destBlend=c.ONE_MINUS_SRC_ALPHA;break;case 10:a.srcBlend=c.ONE_MINUS_DST_ALPHA,a.destBlend=
c.SRC_ALPHA}};cr.round6dp=function(a){return Math.round(1E6*a)/1E6};cr.equals_nocase=function(a,b){return"string"!==typeof a||"string"!==typeof b||a.length!==b.length?!1:a===b?!0:a.toLowerCase()===b.toLowerCase()};cr.isCanvasInputEvent=function(a){a=a.target;return!a||a===document||a===window||document&&document.body&&a===document.body||cr.equals_nocase(a.tagName,"canvas")?!0:!1}})();
var MatrixArray="undefined"!==typeof Float32Array?Float32Array:Array,glMatrixArrayType=MatrixArray,vec3={},mat3={},mat4={},quat4={};vec3.create=function(a){var b=new MatrixArray(3);a&&(b[0]=a[0],b[1]=a[1],b[2]=a[2]);return b};vec3.set=function(a,b){b[0]=a[0];b[1]=a[1];b[2]=a[2];return b};vec3.add=function(a,b,c){if(!c||a===c)return a[0]+=b[0],a[1]+=b[1],a[2]+=b[2],a;c[0]=a[0]+b[0];c[1]=a[1]+b[1];c[2]=a[2]+b[2];return c};
vec3.subtract=function(a,b,c){if(!c||a===c)return a[0]-=b[0],a[1]-=b[1],a[2]-=b[2],a;c[0]=a[0]-b[0];c[1]=a[1]-b[1];c[2]=a[2]-b[2];return c};vec3.negate=function(a,b){b||(b=a);b[0]=-a[0];b[1]=-a[1];b[2]=-a[2];return b};vec3.scale=function(a,b,c){if(!c||a===c)return a[0]*=b,a[1]*=b,a[2]*=b,a;c[0]=a[0]*b;c[1]=a[1]*b;c[2]=a[2]*b;return c};
vec3.normalize=function(a,b){b||(b=a);var c=a[0],d=a[1],f=a[2],e=Math.sqrt(c*c+d*d+f*f);if(e){if(1===e)return b[0]=c,b[1]=d,b[2]=f,b}else return b[0]=0,b[1]=0,b[2]=0,b;e=1/e;b[0]=c*e;b[1]=d*e;b[2]=f*e;return b};vec3.cross=function(a,b,c){c||(c=a);var d=a[0],f=a[1];a=a[2];var e=b[0],g=b[1];b=b[2];c[0]=f*b-a*g;c[1]=a*e-d*b;c[2]=d*g-f*e;return c};vec3.length=function(a){var b=a[0],c=a[1];a=a[2];return Math.sqrt(b*b+c*c+a*a)};vec3.dot=function(a,b){return a[0]*b[0]+a[1]*b[1]+a[2]*b[2]};
vec3.direction=function(a,b,c){c||(c=a);var d=a[0]-b[0],f=a[1]-b[1];a=a[2]-b[2];b=Math.sqrt(d*d+f*f+a*a);if(!b)return c[0]=0,c[1]=0,c[2]=0,c;b=1/b;c[0]=d*b;c[1]=f*b;c[2]=a*b;return c};vec3.lerp=function(a,b,c,d){d||(d=a);d[0]=a[0]+c*(b[0]-a[0]);d[1]=a[1]+c*(b[1]-a[1]);d[2]=a[2]+c*(b[2]-a[2]);return d};vec3.str=function(a){return"["+a[0]+", "+a[1]+", "+a[2]+"]"};
mat3.create=function(a){var b=new MatrixArray(9);a&&(b[0]=a[0],b[1]=a[1],b[2]=a[2],b[3]=a[3],b[4]=a[4],b[5]=a[5],b[6]=a[6],b[7]=a[7],b[8]=a[8]);return b};mat3.set=function(a,b){b[0]=a[0];b[1]=a[1];b[2]=a[2];b[3]=a[3];b[4]=a[4];b[5]=a[5];b[6]=a[6];b[7]=a[7];b[8]=a[8];return b};mat3.identity=function(a){a[0]=1;a[1]=0;a[2]=0;a[3]=0;a[4]=1;a[5]=0;a[6]=0;a[7]=0;a[8]=1;return a};
mat3.transpose=function(a,b){if(!b||a===b){var c=a[1],d=a[2],f=a[5];a[1]=a[3];a[2]=a[6];a[3]=c;a[5]=a[7];a[6]=d;a[7]=f;return a}b[0]=a[0];b[1]=a[3];b[2]=a[6];b[3]=a[1];b[4]=a[4];b[5]=a[7];b[6]=a[2];b[7]=a[5];b[8]=a[8];return b};mat3.toMat4=function(a,b){b||(b=mat4.create());b[15]=1;b[14]=0;b[13]=0;b[12]=0;b[11]=0;b[10]=a[8];b[9]=a[7];b[8]=a[6];b[7]=0;b[6]=a[5];b[5]=a[4];b[4]=a[3];b[3]=0;b[2]=a[2];b[1]=a[1];b[0]=a[0];return b};
mat3.str=function(a){return"["+a[0]+", "+a[1]+", "+a[2]+", "+a[3]+", "+a[4]+", "+a[5]+", "+a[6]+", "+a[7]+", "+a[8]+"]"};mat4.create=function(a){var b=new MatrixArray(16);a&&(b[0]=a[0],b[1]=a[1],b[2]=a[2],b[3]=a[3],b[4]=a[4],b[5]=a[5],b[6]=a[6],b[7]=a[7],b[8]=a[8],b[9]=a[9],b[10]=a[10],b[11]=a[11],b[12]=a[12],b[13]=a[13],b[14]=a[14],b[15]=a[15]);return b};
mat4.set=function(a,b){b[0]=a[0];b[1]=a[1];b[2]=a[2];b[3]=a[3];b[4]=a[4];b[5]=a[5];b[6]=a[6];b[7]=a[7];b[8]=a[8];b[9]=a[9];b[10]=a[10];b[11]=a[11];b[12]=a[12];b[13]=a[13];b[14]=a[14];b[15]=a[15];return b};mat4.identity=function(a){a[0]=1;a[1]=0;a[2]=0;a[3]=0;a[4]=0;a[5]=1;a[6]=0;a[7]=0;a[8]=0;a[9]=0;a[10]=1;a[11]=0;a[12]=0;a[13]=0;a[14]=0;a[15]=1;return a};
mat4.transpose=function(a,b){if(!b||a===b){var c=a[1],d=a[2],f=a[3],e=a[6],g=a[7],l=a[11];a[1]=a[4];a[2]=a[8];a[3]=a[12];a[4]=c;a[6]=a[9];a[7]=a[13];a[8]=d;a[9]=e;a[11]=a[14];a[12]=f;a[13]=g;a[14]=l;return a}b[0]=a[0];b[1]=a[4];b[2]=a[8];b[3]=a[12];b[4]=a[1];b[5]=a[5];b[6]=a[9];b[7]=a[13];b[8]=a[2];b[9]=a[6];b[10]=a[10];b[11]=a[14];b[12]=a[3];b[13]=a[7];b[14]=a[11];b[15]=a[15];return b};
mat4.determinant=function(a){var b=a[0],c=a[1],d=a[2],f=a[3],e=a[4],g=a[5],l=a[6],k=a[7],h=a[8],m=a[9],n=a[10],r=a[11],p=a[12],q=a[13],t=a[14];a=a[15];return p*m*l*f-h*q*l*f-p*g*n*f+e*q*n*f+h*g*t*f-e*m*t*f-p*m*d*k+h*q*d*k+p*c*n*k-b*q*n*k-h*c*t*k+b*m*t*k+p*g*d*r-e*q*d*r-p*c*l*r+b*q*l*r+e*c*t*r-b*g*t*r-h*g*d*a+e*m*d*a+h*c*l*a-b*m*l*a-e*c*n*a+b*g*n*a};
mat4.inverse=function(a,b){b||(b=a);var c=a[0],d=a[1],f=a[2],e=a[3],g=a[4],l=a[5],k=a[6],h=a[7],m=a[8],n=a[9],r=a[10],p=a[11],q=a[12],t=a[13],s=a[14],u=a[15],y=c*l-d*g,C=c*k-f*g,F=c*h-e*g,v=d*k-f*l,w=d*h-e*l,B=f*h-e*k,x=m*t-n*q,A=m*s-r*q,z=m*u-p*q,G=n*s-r*t,D=n*u-p*t,H=r*u-p*s,J=1/(y*H-C*D+F*G+v*z-w*A+B*x);b[0]=(l*H-k*D+h*G)*J;b[1]=(-d*H+f*D-e*G)*J;b[2]=(t*B-s*w+u*v)*J;b[3]=(-n*B+r*w-p*v)*J;b[4]=(-g*H+k*z-h*A)*J;b[5]=(c*H-f*z+e*A)*J;b[6]=(-q*B+s*F-u*C)*J;b[7]=(m*B-r*F+p*C)*J;b[8]=(g*D-l*z+h*x)*J;
b[9]=(-c*D+d*z-e*x)*J;b[10]=(q*w-t*F+u*y)*J;b[11]=(-m*w+n*F-p*y)*J;b[12]=(-g*G+l*A-k*x)*J;b[13]=(c*G-d*A+f*x)*J;b[14]=(-q*v+t*C-s*y)*J;b[15]=(m*v-n*C+r*y)*J;return b};mat4.toRotationMat=function(a,b){b||(b=mat4.create());b[0]=a[0];b[1]=a[1];b[2]=a[2];b[3]=a[3];b[4]=a[4];b[5]=a[5];b[6]=a[6];b[7]=a[7];b[8]=a[8];b[9]=a[9];b[10]=a[10];b[11]=a[11];b[12]=0;b[13]=0;b[14]=0;b[15]=1;return b};
mat4.toMat3=function(a,b){b||(b=mat3.create());b[0]=a[0];b[1]=a[1];b[2]=a[2];b[3]=a[4];b[4]=a[5];b[5]=a[6];b[6]=a[8];b[7]=a[9];b[8]=a[10];return b};mat4.toInverseMat3=function(a,b){var c=a[0],d=a[1],f=a[2],e=a[4],g=a[5],l=a[6],k=a[8],h=a[9],m=a[10],n=m*g-l*h,r=-m*e+l*k,p=h*e-g*k,q=c*n+d*r+f*p;if(!q)return null;q=1/q;b||(b=mat3.create());b[0]=n*q;b[1]=(-m*d+f*h)*q;b[2]=(l*d-f*g)*q;b[3]=r*q;b[4]=(m*c-f*k)*q;b[5]=(-l*c+f*e)*q;b[6]=p*q;b[7]=(-h*c+d*k)*q;b[8]=(g*c-d*e)*q;return b};
mat4.multiply=function(a,b,c){c||(c=a);var d=a[0],f=a[1],e=a[2],g=a[3],l=a[4],k=a[5],h=a[6],m=a[7],n=a[8],r=a[9],p=a[10],q=a[11],t=a[12],s=a[13],u=a[14];a=a[15];var y=b[0],C=b[1],F=b[2],v=b[3],w=b[4],B=b[5],x=b[6],A=b[7],z=b[8],G=b[9],D=b[10],H=b[11],J=b[12],O=b[13],K=b[14];b=b[15];c[0]=y*d+C*l+F*n+v*t;c[1]=y*f+C*k+F*r+v*s;c[2]=y*e+C*h+F*p+v*u;c[3]=y*g+C*m+F*q+v*a;c[4]=w*d+B*l+x*n+A*t;c[5]=w*f+B*k+x*r+A*s;c[6]=w*e+B*h+x*p+A*u;c[7]=w*g+B*m+x*q+A*a;c[8]=z*d+G*l+D*n+H*t;c[9]=z*f+G*k+D*r+H*s;c[10]=z*
e+G*h+D*p+H*u;c[11]=z*g+G*m+D*q+H*a;c[12]=J*d+O*l+K*n+b*t;c[13]=J*f+O*k+K*r+b*s;c[14]=J*e+O*h+K*p+b*u;c[15]=J*g+O*m+K*q+b*a;return c};mat4.multiplyVec3=function(a,b,c){c||(c=b);var d=b[0],f=b[1];b=b[2];c[0]=a[0]*d+a[4]*f+a[8]*b+a[12];c[1]=a[1]*d+a[5]*f+a[9]*b+a[13];c[2]=a[2]*d+a[6]*f+a[10]*b+a[14];return c};
mat4.multiplyVec4=function(a,b,c){c||(c=b);var d=b[0],f=b[1],e=b[2];b=b[3];c[0]=a[0]*d+a[4]*f+a[8]*e+a[12]*b;c[1]=a[1]*d+a[5]*f+a[9]*e+a[13]*b;c[2]=a[2]*d+a[6]*f+a[10]*e+a[14]*b;c[3]=a[3]*d+a[7]*f+a[11]*e+a[15]*b;return c};
mat4.translate=function(a,b,c){var d=b[0],f=b[1];b=b[2];var e,g,l,k,h,m,n,r,p,q,t,s;if(!c||a===c)return a[12]=a[0]*d+a[4]*f+a[8]*b+a[12],a[13]=a[1]*d+a[5]*f+a[9]*b+a[13],a[14]=a[2]*d+a[6]*f+a[10]*b+a[14],a[15]=a[3]*d+a[7]*f+a[11]*b+a[15],a;e=a[0];g=a[1];l=a[2];k=a[3];h=a[4];m=a[5];n=a[6];r=a[7];p=a[8];q=a[9];t=a[10];s=a[11];c[0]=e;c[1]=g;c[2]=l;c[3]=k;c[4]=h;c[5]=m;c[6]=n;c[7]=r;c[8]=p;c[9]=q;c[10]=t;c[11]=s;c[12]=e*d+h*f+p*b+a[12];c[13]=g*d+m*f+q*b+a[13];c[14]=l*d+n*f+t*b+a[14];c[15]=k*d+r*f+s*b+
a[15];return c};mat4.scale=function(a,b,c){var d=b[0],f=b[1];b=b[2];if(!c||a===c)return a[0]*=d,a[1]*=d,a[2]*=d,a[3]*=d,a[4]*=f,a[5]*=f,a[6]*=f,a[7]*=f,a[8]*=b,a[9]*=b,a[10]*=b,a[11]*=b,a;c[0]=a[0]*d;c[1]=a[1]*d;c[2]=a[2]*d;c[3]=a[3]*d;c[4]=a[4]*f;c[5]=a[5]*f;c[6]=a[6]*f;c[7]=a[7]*f;c[8]=a[8]*b;c[9]=a[9]*b;c[10]=a[10]*b;c[11]=a[11]*b;c[12]=a[12];c[13]=a[13];c[14]=a[14];c[15]=a[15];return c};
mat4.rotate=function(a,b,c,d){var f=c[0],e=c[1];c=c[2];var g=Math.sqrt(f*f+e*e+c*c),l,k,h,m,n,r,p,q,t,s,u,y,C,F,v,w,B,x,A,z;if(!g)return null;1!==g&&(g=1/g,f*=g,e*=g,c*=g);l=Math.sin(b);k=Math.cos(b);h=1-k;b=a[0];g=a[1];m=a[2];n=a[3];r=a[4];p=a[5];q=a[6];t=a[7];s=a[8];u=a[9];y=a[10];C=a[11];F=f*f*h+k;v=e*f*h+c*l;w=c*f*h-e*l;B=f*e*h-c*l;x=e*e*h+k;A=c*e*h+f*l;z=f*c*h+e*l;f=e*c*h-f*l;e=c*c*h+k;d?a!==d&&(d[12]=a[12],d[13]=a[13],d[14]=a[14],d[15]=a[15]):d=a;d[0]=b*F+r*v+s*w;d[1]=g*F+p*v+u*w;d[2]=m*F+q*
v+y*w;d[3]=n*F+t*v+C*w;d[4]=b*B+r*x+s*A;d[5]=g*B+p*x+u*A;d[6]=m*B+q*x+y*A;d[7]=n*B+t*x+C*A;d[8]=b*z+r*f+s*e;d[9]=g*z+p*f+u*e;d[10]=m*z+q*f+y*e;d[11]=n*z+t*f+C*e;return d};
mat4.rotateX=function(a,b,c){var d=Math.sin(b);b=Math.cos(b);var f=a[4],e=a[5],g=a[6],l=a[7],k=a[8],h=a[9],m=a[10],n=a[11];c?a!==c&&(c[0]=a[0],c[1]=a[1],c[2]=a[2],c[3]=a[3],c[12]=a[12],c[13]=a[13],c[14]=a[14],c[15]=a[15]):c=a;c[4]=f*b+k*d;c[5]=e*b+h*d;c[6]=g*b+m*d;c[7]=l*b+n*d;c[8]=f*-d+k*b;c[9]=e*-d+h*b;c[10]=g*-d+m*b;c[11]=l*-d+n*b;return c};
mat4.rotateY=function(a,b,c){var d=Math.sin(b);b=Math.cos(b);var f=a[0],e=a[1],g=a[2],l=a[3],k=a[8],h=a[9],m=a[10],n=a[11];c?a!==c&&(c[4]=a[4],c[5]=a[5],c[6]=a[6],c[7]=a[7],c[12]=a[12],c[13]=a[13],c[14]=a[14],c[15]=a[15]):c=a;c[0]=f*b+k*-d;c[1]=e*b+h*-d;c[2]=g*b+m*-d;c[3]=l*b+n*-d;c[8]=f*d+k*b;c[9]=e*d+h*b;c[10]=g*d+m*b;c[11]=l*d+n*b;return c};
mat4.rotateZ=function(a,b,c){var d=Math.sin(b);b=Math.cos(b);var f=a[0],e=a[1],g=a[2],l=a[3],k=a[4],h=a[5],m=a[6],n=a[7];c?a!==c&&(c[8]=a[8],c[9]=a[9],c[10]=a[10],c[11]=a[11],c[12]=a[12],c[13]=a[13],c[14]=a[14],c[15]=a[15]):c=a;c[0]=f*b+k*d;c[1]=e*b+h*d;c[2]=g*b+m*d;c[3]=l*b+n*d;c[4]=f*-d+k*b;c[5]=e*-d+h*b;c[6]=g*-d+m*b;c[7]=l*-d+n*b;return c};
mat4.frustum=function(a,b,c,d,f,e,g){g||(g=mat4.create());var l=b-a,k=d-c,h=e-f;g[0]=2*f/l;g[1]=0;g[2]=0;g[3]=0;g[4]=0;g[5]=2*f/k;g[6]=0;g[7]=0;g[8]=(b+a)/l;g[9]=(d+c)/k;g[10]=-(e+f)/h;g[11]=-1;g[12]=0;g[13]=0;g[14]=-(2*e*f)/h;g[15]=0;return g};mat4.perspective=function(a,b,c,d,f){a=c*Math.tan(a*Math.PI/360);b*=a;return mat4.frustum(-b,b,-a,a,c,d,f)};
mat4.ortho=function(a,b,c,d,f,e,g){g||(g=mat4.create());var l=b-a,k=d-c,h=e-f;g[0]=2/l;g[1]=0;g[2]=0;g[3]=0;g[4]=0;g[5]=2/k;g[6]=0;g[7]=0;g[8]=0;g[9]=0;g[10]=-2/h;g[11]=0;g[12]=-(a+b)/l;g[13]=-(d+c)/k;g[14]=-(e+f)/h;g[15]=1;return g};
mat4.lookAt=function(a,b,c,d){d||(d=mat4.create());var f,e,g,l,k,h,m,n,r=a[0],p=a[1];a=a[2];e=c[0];g=c[1];f=c[2];c=b[1];h=b[2];if(r===b[0]&&p===c&&a===h)return mat4.identity(d);c=r-b[0];h=p-b[1];m=a-b[2];n=1/Math.sqrt(c*c+h*h+m*m);c*=n;h*=n;m*=n;b=g*m-f*h;f=f*c-e*m;e=e*h-g*c;(n=Math.sqrt(b*b+f*f+e*e))?(n=1/n,b*=n,f*=n,e*=n):e=f=b=0;g=h*e-m*f;l=m*b-c*e;k=c*f-h*b;(n=Math.sqrt(g*g+l*l+k*k))?(n=1/n,g*=n,l*=n,k*=n):k=l=g=0;d[0]=b;d[1]=g;d[2]=c;d[3]=0;d[4]=f;d[5]=l;d[6]=h;d[7]=0;d[8]=e;d[9]=k;d[10]=m;d[11]=
0;d[12]=-(b*r+f*p+e*a);d[13]=-(g*r+l*p+k*a);d[14]=-(c*r+h*p+m*a);d[15]=1;return d};mat4.fromRotationTranslation=function(a,b,c){c||(c=mat4.create());var d=a[0],f=a[1],e=a[2],g=a[3],l=d+d,k=f+f,h=e+e;a=d*l;var m=d*k,d=d*h,n=f*k,f=f*h,e=e*h,l=l*g,k=k*g,g=g*h;c[0]=1-(n+e);c[1]=m+g;c[2]=d-k;c[3]=0;c[4]=m-g;c[5]=1-(a+e);c[6]=f+l;c[7]=0;c[8]=d+k;c[9]=f-l;c[10]=1-(a+n);c[11]=0;c[12]=b[0];c[13]=b[1];c[14]=b[2];c[15]=1;return c};
mat4.str=function(a){return"["+a[0]+", "+a[1]+", "+a[2]+", "+a[3]+", "+a[4]+", "+a[5]+", "+a[6]+", "+a[7]+", "+a[8]+", "+a[9]+", "+a[10]+", "+a[11]+", "+a[12]+", "+a[13]+", "+a[14]+", "+a[15]+"]"};quat4.create=function(a){var b=new MatrixArray(4);a&&(b[0]=a[0],b[1]=a[1],b[2]=a[2],b[3]=a[3]);return b};quat4.set=function(a,b){b[0]=a[0];b[1]=a[1];b[2]=a[2];b[3]=a[3];return b};
quat4.calculateW=function(a,b){var c=a[0],d=a[1],f=a[2];if(!b||a===b)return a[3]=-Math.sqrt(Math.abs(1-c*c-d*d-f*f)),a;b[0]=c;b[1]=d;b[2]=f;b[3]=-Math.sqrt(Math.abs(1-c*c-d*d-f*f));return b};quat4.inverse=function(a,b){if(!b||a===b)return a[0]*=-1,a[1]*=-1,a[2]*=-1,a;b[0]=-a[0];b[1]=-a[1];b[2]=-a[2];b[3]=a[3];return b};quat4.length=function(a){var b=a[0],c=a[1],d=a[2];a=a[3];return Math.sqrt(b*b+c*c+d*d+a*a)};
quat4.normalize=function(a,b){b||(b=a);var c=a[0],d=a[1],f=a[2],e=a[3],g=Math.sqrt(c*c+d*d+f*f+e*e);if(0===g)return b[0]=0,b[1]=0,b[2]=0,b[3]=0,b;g=1/g;b[0]=c*g;b[1]=d*g;b[2]=f*g;b[3]=e*g;return b};quat4.multiply=function(a,b,c){c||(c=a);var d=a[0],f=a[1],e=a[2];a=a[3];var g=b[0],l=b[1],k=b[2];b=b[3];c[0]=d*b+a*g+f*k-e*l;c[1]=f*b+a*l+e*g-d*k;c[2]=e*b+a*k+d*l-f*g;c[3]=a*b-d*g-f*l-e*k;return c};
quat4.multiplyVec3=function(a,b,c){c||(c=b);var d=b[0],f=b[1],e=b[2];b=a[0];var g=a[1],l=a[2];a=a[3];var k=a*d+g*e-l*f,h=a*f+l*d-b*e,m=a*e+b*f-g*d,d=-b*d-g*f-l*e;c[0]=k*a+d*-b+h*-l-m*-g;c[1]=h*a+d*-g+m*-b-k*-l;c[2]=m*a+d*-l+k*-g-h*-b;return c};quat4.toMat3=function(a,b){b||(b=mat3.create());var c=a[0],d=a[1],f=a[2],e=a[3],g=c+c,l=d+d,k=f+f,h=c*g,m=c*l,c=c*k,n=d*l,d=d*k,f=f*k,g=g*e,l=l*e,e=e*k;b[0]=1-(n+f);b[1]=m+e;b[2]=c-l;b[3]=m-e;b[4]=1-(h+f);b[5]=d+g;b[6]=c+l;b[7]=d-g;b[8]=1-(h+n);return b};
quat4.toMat4=function(a,b){b||(b=mat4.create());var c=a[0],d=a[1],f=a[2],e=a[3],g=c+c,l=d+d,k=f+f,h=c*g,m=c*l,c=c*k,n=d*l,d=d*k,f=f*k,g=g*e,l=l*e,e=e*k;b[0]=1-(n+f);b[1]=m+e;b[2]=c-l;b[3]=0;b[4]=m-e;b[5]=1-(h+f);b[6]=d+g;b[7]=0;b[8]=c+l;b[9]=d-g;b[10]=1-(h+n);b[11]=0;b[12]=0;b[13]=0;b[14]=0;b[15]=1;return b};
quat4.slerp=function(a,b,c,d){d||(d=a);var f=a[0]*b[0]+a[1]*b[1]+a[2]*b[2]+a[3]*b[3],e,g;if(1<=Math.abs(f))return d!==a&&(d[0]=a[0],d[1]=a[1],d[2]=a[2],d[3]=a[3]),d;e=Math.acos(f);g=Math.sqrt(1-f*f);if(0.0010>Math.abs(g))return d[0]=0.5*a[0]+0.5*b[0],d[1]=0.5*a[1]+0.5*b[1],d[2]=0.5*a[2]+0.5*b[2],d[3]=0.5*a[3]+0.5*b[3],d;f=Math.sin((1-c)*e)/g;c=Math.sin(c*e)/g;d[0]=a[0]*f+b[0]*c;d[1]=a[1]*f+b[1]*c;d[2]=a[2]*f+b[2]*c;d[3]=a[3]*f+b[3]*c;return d};
quat4.str=function(a){return"["+a[0]+", "+a[1]+", "+a[2]+", "+a[3]+"]"};
(function(){function a(a,b){this.isIE=/msie/i.test(navigator.userAgent)||/trident/i.test(navigator.userAgent);this.height=this.width=0;this.cam=vec3.create([0,0,100]);this.look=vec3.create([0,0,0]);this.up=vec3.create([0,1,0]);this.worldScale=vec3.create([1,1,1]);this.enable_mipmaps=!0;this.matP=mat4.create();this.matMV=mat4.create();this.lastMV=mat4.create();this.currentMV=mat4.create();this.gl=a;this.initState()}function b(a,b,c){this.gl=a;this.shaderProgram=b;this.name=c;this.locAPos=a.getAttribLocation(b,
"aPos");this.locATex=a.getAttribLocation(b,"aTex");this.locMatP=a.getUniformLocation(b,"matP");this.locMatMV=a.getUniformLocation(b,"matMV");this.locOpacity=a.getUniformLocation(b,"opacity");this.locSamplerFront=a.getUniformLocation(b,"samplerFront");this.locSamplerBack=a.getUniformLocation(b,"samplerBack");this.locDestStart=a.getUniformLocation(b,"destStart");this.locDestEnd=a.getUniformLocation(b,"destEnd");this.locSeconds=a.getUniformLocation(b,"seconds");this.locPixelWidth=a.getUniformLocation(b,
"pixelWidth");this.locPixelHeight=a.getUniformLocation(b,"pixelHeight");this.locLayerScale=a.getUniformLocation(b,"layerScale");this.locLayerAngle=a.getUniformLocation(b,"layerAngle");this.locViewOrigin=a.getUniformLocation(b,"viewOrigin");this.hasAnyOptionalUniforms=!!(this.locPixelWidth||this.locPixelHeight||this.locSeconds||this.locSamplerBack||this.locDestStart||this.locDestEnd||this.locLayerScale||this.locLayerAngle||this.locViewOrigin);this.locOpacity&&a.uniform1f(this.locOpacity,1);this.locSamplerFront&&
a.uniform1i(this.locSamplerFront,0);this.locSamplerBack&&a.uniform1i(this.locSamplerBack,1);this.locDestStart&&a.uniform2f(this.locDestStart,0,0);this.locDestEnd&&a.uniform2f(this.locDestEnd,1,1);this.locLayerScale&&a.uniform1f(this.locLayerScale,1);this.locLayerAngle&&a.uniform1f(this.locLayerAngle,0);this.locViewOrigin&&a.uniform2f(this.locViewOrigin,0,0);this.hasCurrentMatMV=!1}function c(a,b){this.type=a;this.glwrap=b;this.gl=b.gl;this.indexCount=this.startIndex=this.opacityParam=0;this.mat4param=
this.texParam=null;this.shaderParams=[];cr.seal(this)}a.prototype.initState=function(){var a=this.gl,b;this.lastOpacity=1;this.lastTexture1=this.lastTexture0=null;this.currentOpacity=1;a.clearColor(0,0,0,0);a.clear(a.COLOR_BUFFER_BIT);a.enable(a.BLEND);a.blendFunc(a.ONE,a.ONE_MINUS_SRC_ALPHA);a.disable(a.CULL_FACE);a.disable(a.DEPTH_TEST);this.maxTextureSize=a.getParameter(a.MAX_TEXTURE_SIZE);this.lastSrcBlend=a.ONE;this.lastDestBlend=a.ONE_MINUS_SRC_ALPHA;this.pointBuffer=a.createBuffer();a.bindBuffer(a.ARRAY_BUFFER,
this.pointBuffer);this.vertexBuffers=Array(4);this.texcoordBuffers=Array(4);for(b=0;4>b;b++)this.vertexBuffers[b]=a.createBuffer(),a.bindBuffer(a.ARRAY_BUFFER,this.vertexBuffers[b]),this.texcoordBuffers[b]=a.createBuffer(),a.bindBuffer(a.ARRAY_BUFFER,this.texcoordBuffers[b]);this.curBuffer=0;this.indexBuffer=a.createBuffer();a.bindBuffer(a.ELEMENT_ARRAY_BUFFER,this.indexBuffer);this.vertexData=new Float32Array(16E3);this.texcoordData=new Float32Array(16E3);this.pointData=new Float32Array(32E3);for(var c=
new Uint16Array(12E3),d=b=0;12E3>b;)c[b++]=d,c[b++]=d+1,c[b++]=d+2,c[b++]=d,c[b++]=d+2,c[b++]=d+3,d+=4;a.bufferData(a.ELEMENT_ARRAY_BUFFER,c,a.STATIC_DRAW);this.pointPtr=this.vertexPtr=0;this.shaderPrograms=[];b=this.createShaderProgram({src:"varying mediump vec2 vTex;\nuniform lowp float opacity;\nuniform lowp sampler2D samplerFront;\nvoid main(void) {\n\tgl_FragColor = texture2D(samplerFront, vTex);\n\tgl_FragColor *= opacity;\n}"},"attribute highp vec2 aPos;\nattribute mediump vec2 aTex;\nvarying mediump vec2 vTex;\nuniform highp mat4 matP;\nuniform highp mat4 matMV;\nvoid main(void) {\n\tgl_Position = matP * matMV * vec4(aPos.x, aPos.y, 0.0, 1.0);\n\tvTex = aTex;\n}",
"<default>");this.shaderPrograms.push(b);b=this.createShaderProgram({src:"uniform mediump sampler2D samplerFront;\nvarying lowp float opacity;\nvoid main(void) {\n\tgl_FragColor = texture2D(samplerFront, gl_PointCoord);\n\tgl_FragColor *= opacity;\n}"},"attribute vec4 aPos;\nvarying float opacity;\nuniform mat4 matP;\nuniform mat4 matMV;\nvoid main(void) {\n\tgl_Position = matP * matMV * vec4(aPos.x, aPos.y, 0.0, 1.0);\n\tgl_PointSize = aPos.z;\n\topacity = aPos.w;\n}","<point>");this.shaderPrograms.push(b);
for(var f in cr.shaders)cr.shaders.hasOwnProperty(f)&&this.shaderPrograms.push(this.createShaderProgram(cr.shaders[f],"attribute highp vec2 aPos;\nattribute mediump vec2 aTex;\nvarying mediump vec2 vTex;\nuniform highp mat4 matP;\nuniform highp mat4 matMV;\nvoid main(void) {\n\tgl_Position = matP * matMV * vec4(aPos.x, aPos.y, 0.0, 1.0);\n\tvTex = aTex;\n}",f));a.activeTexture(a.TEXTURE0);a.bindTexture(a.TEXTURE_2D,null);this.batch=[];this.batchPtr=0;this.hasPointBatchTop=this.hasQuadBatchTop=!1;
this.currentProgram=this.lastProgram=-1;this.currentShader=null;this.fbo=a.createFramebuffer();this.renderToTex=null;this.tmpVec3=vec3.create([0,0,0]);a=a.getParameter(a.ALIASED_POINT_SIZE_RANGE);this.minPointSize=a[0];this.maxPointSize=a[1];2048<this.maxPointSize&&(this.maxPointSize=2048);this.switchProgram(0);cr.seal(this)};a.prototype.createShaderProgram=function(a,c,d){var f=this.gl,h=f.createShader(f.FRAGMENT_SHADER);f.shaderSource(h,a.src);f.compileShader(h);if(!f.getShaderParameter(h,f.COMPILE_STATUS))return f.deleteShader(h),
null;var m=f.createShader(f.VERTEX_SHADER);f.shaderSource(m,c);f.compileShader(m);if(!f.getShaderParameter(m,f.COMPILE_STATUS))return f.deleteShader(h),f.deleteShader(m),null;c=f.createProgram();f.attachShader(c,h);f.attachShader(c,m);f.linkProgram(c);if(!f.getProgramParameter(c,f.LINK_STATUS))return f.deleteShader(h),f.deleteShader(m),f.deleteProgram(c),null;f.useProgram(c);f.deleteShader(h);f.deleteShader(m);d=new b(f,c,d);d.extendBoxHorizontal=a.extendBoxHorizontal||0;d.extendBoxVertical=a.extendBoxVertical||
0;d.crossSampling=!!a.crossSampling;d.animated=!!a.animated;d.parameters=a.parameters||[];a=0;for(h=d.parameters.length;a<h;a++)d.parameters[a][1]=f.getUniformLocation(c,d.parameters[a][0]),f.uniform1f(d.parameters[a][1],0);cr.seal(d);return d};a.prototype.getShaderIndex=function(a){var b,c;b=0;for(c=this.shaderPrograms.length;b<c;b++)if(this.shaderPrograms[b].name===a)return b;return-1};a.prototype.project=function(a,b,c){var d=this.matMV,f=this.matP,m=[0,0,0,0,0,0,0,0];m[0]=d[0]*a+d[4]*b+d[12];
m[1]=d[1]*a+d[5]*b+d[13];m[2]=d[2]*a+d[6]*b+d[14];m[3]=d[3]*a+d[7]*b+d[15];m[4]=f[0]*m[0]+f[4]*m[1]+f[8]*m[2]+f[12]*m[3];m[5]=f[1]*m[0]+f[5]*m[1]+f[9]*m[2]+f[13]*m[3];m[6]=f[2]*m[0]+f[6]*m[1]+f[10]*m[2]+f[14]*m[3];m[7]=-m[2];0!==m[7]&&(m[7]=1/m[7],m[4]*=m[7],m[5]*=m[7],m[6]*=m[7],c[0]=(0.5*m[4]+0.5)*this.width,c[1]=(0.5*m[5]+0.5)*this.height)};a.prototype.setSize=function(a,b,c){if(this.width!==a||this.height!==b||c){this.endBatch();this.width=a;this.height=b;this.gl.viewport(0,0,a,b);mat4.perspective(45,
a/b,1,1E3,this.matP);mat4.lookAt(this.cam,this.look,this.up,this.matMV);a=[0,0];b=[0,0];this.project(0,0,a);this.project(1,1,b);this.worldScale[0]=1/(b[0]-a[0]);this.worldScale[1]=-1/(b[1]-a[1]);a=0;for(b=this.shaderPrograms.length;a<b;a++)c=this.shaderPrograms[a],c.hasCurrentMatMV=!1,c.locMatP&&(this.gl.useProgram(c.shaderProgram),this.gl.uniformMatrix4fv(c.locMatP,!1,this.matP));this.gl.useProgram(this.shaderPrograms[this.lastProgram].shaderProgram);this.gl.bindTexture(this.gl.TEXTURE_2D,null);
this.gl.activeTexture(this.gl.TEXTURE1);this.gl.bindTexture(this.gl.TEXTURE_2D,null);this.gl.activeTexture(this.gl.TEXTURE0);this.lastTexture1=this.lastTexture0=null}};a.prototype.resetModelView=function(){mat4.lookAt(this.cam,this.look,this.up,this.matMV);mat4.scale(this.matMV,this.worldScale)};a.prototype.translate=function(a,b){if(0!==a||0!==b)this.tmpVec3[0]=a,this.tmpVec3[1]=b,this.tmpVec3[2]=0,mat4.translate(this.matMV,this.tmpVec3)};a.prototype.scale=function(a,b){if(1!==a||1!==b)this.tmpVec3[0]=
a,this.tmpVec3[1]=b,this.tmpVec3[2]=1,mat4.scale(this.matMV,this.tmpVec3)};a.prototype.rotateZ=function(a){0!==a&&mat4.rotateZ(this.matMV,a)};a.prototype.updateModelView=function(){for(var a=!1,b=0;16>b;b++)if(this.lastMV[b]!==this.matMV[b]){a=!0;break}a&&(a=this.pushBatch(),a.type=5,a.mat4param?mat4.set(this.matMV,a.mat4param):a.mat4param=mat4.create(this.matMV),mat4.set(this.matMV,this.lastMV),this.hasPointBatchTop=this.hasQuadBatchTop=!1)};c.prototype.doSetTexture=function(){this.gl.bindTexture(this.gl.TEXTURE_2D,
this.texParam)};c.prototype.doSetTexture1=function(){var a=this.gl;a.activeTexture(a.TEXTURE1);a.bindTexture(a.TEXTURE_2D,this.texParam);a.activeTexture(a.TEXTURE0)};c.prototype.doSetOpacity=function(){var a=this.opacityParam,b=this.glwrap;b.currentOpacity=a;b=b.currentShader;b.locOpacity&&this.gl.uniform1f(b.locOpacity,a)};c.prototype.doQuad=function(){this.gl.drawElements(this.gl.TRIANGLES,this.indexCount,this.gl.UNSIGNED_SHORT,2*this.startIndex)};c.prototype.doSetBlend=function(){this.gl.blendFunc(this.startIndex,
this.indexCount)};c.prototype.doUpdateModelView=function(){var a,b,c,d=this.glwrap.shaderPrograms,f=this.glwrap.currentProgram;a=0;for(b=d.length;a<b;a++)c=d[a],a===f&&c.locMatMV?(this.gl.uniformMatrix4fv(c.locMatMV,!1,this.mat4param),c.hasCurrentMatMV=!0):c.hasCurrentMatMV=!1;mat4.set(this.mat4param,this.glwrap.currentMV)};c.prototype.doRenderToTexture=function(){var a=this.gl,b=this.glwrap;this.texParam?(b.lastTexture1===this.texParam&&(a.activeTexture(a.TEXTURE1),a.bindTexture(a.TEXTURE_2D,null),
b.lastTexture1=null,a.activeTexture(a.TEXTURE0)),a.bindFramebuffer(a.FRAMEBUFFER,b.fbo),a.framebufferTexture2D(a.FRAMEBUFFER,a.COLOR_ATTACHMENT0,a.TEXTURE_2D,this.texParam,0)):(a.framebufferTexture2D(a.FRAMEBUFFER,a.COLOR_ATTACHMENT0,a.TEXTURE_2D,null,0),a.bindFramebuffer(a.FRAMEBUFFER,null))};c.prototype.doClear=function(){var a=this.gl;0===this.startIndex?(a.clearColor(this.mat4param[0],this.mat4param[1],this.mat4param[2],this.mat4param[3]),a.clear(a.COLOR_BUFFER_BIT)):(a.enable(a.SCISSOR_TEST),
a.scissor(this.mat4param[0],this.mat4param[1],this.mat4param[2],this.mat4param[3]),a.clearColor(0,0,0,0),a.clear(this.gl.COLOR_BUFFER_BIT),a.disable(a.SCISSOR_TEST))};c.prototype.doPoints=function(){var a=this.gl,b=this.glwrap,c=b.shaderPrograms[1];a.useProgram(c.shaderProgram);!c.hasCurrentMatMV&&c.locMatMV&&(a.uniformMatrix4fv(c.locMatMV,!1,b.currentMV),c.hasCurrentMatMV=!0);a.enableVertexAttribArray(c.locAPos);a.bindBuffer(a.ARRAY_BUFFER,b.pointBuffer);a.vertexAttribPointer(c.locAPos,4,a.FLOAT,
!1,0,0);a.drawArrays(a.POINTS,this.startIndex/4,this.indexCount);c=b.currentShader;a.useProgram(c.shaderProgram);0<=c.locAPos&&(a.enableVertexAttribArray(c.locAPos),a.bindBuffer(a.ARRAY_BUFFER,b.vertexBuffers[b.curBuffer]),a.vertexAttribPointer(c.locAPos,2,a.FLOAT,!1,0,0));0<=c.locATex&&(a.enableVertexAttribArray(c.locATex),a.bindBuffer(a.ARRAY_BUFFER,b.texcoordBuffers[b.curBuffer]),a.vertexAttribPointer(c.locATex,2,a.FLOAT,!1,0,0))};c.prototype.doSetProgram=function(){var a=this.gl,b=this.glwrap,
c=b.shaderPrograms[this.startIndex];b.currentProgram=this.startIndex;b.currentShader=c;a.useProgram(c.shaderProgram);!c.hasCurrentMatMV&&c.locMatMV&&(a.uniformMatrix4fv(c.locMatMV,!1,b.currentMV),c.hasCurrentMatMV=!0);c.locOpacity&&a.uniform1f(c.locOpacity,b.currentOpacity);0<=c.locAPos&&(a.enableVertexAttribArray(c.locAPos),a.bindBuffer(a.ARRAY_BUFFER,b.vertexBuffers[b.curBuffer]),a.vertexAttribPointer(c.locAPos,2,a.FLOAT,!1,0,0));0<=c.locATex&&(a.enableVertexAttribArray(c.locATex),a.bindBuffer(a.ARRAY_BUFFER,
b.texcoordBuffers[b.curBuffer]),a.vertexAttribPointer(c.locATex,2,a.FLOAT,!1,0,0))};c.prototype.doSetProgramParameters=function(){var a,b,c=this.glwrap.currentShader,d=this.gl;a=this.mat4param;c.locSamplerBack&&this.glwrap.lastTexture1!==this.texParam&&(d.activeTexture(d.TEXTURE1),d.bindTexture(d.TEXTURE_2D,this.texParam),this.glwrap.lastTexture1=this.texParam,d.activeTexture(d.TEXTURE0));c.locPixelWidth&&d.uniform1f(c.locPixelWidth,a[0]);c.locPixelHeight&&d.uniform1f(c.locPixelHeight,a[1]);c.locDestStart&&
d.uniform2f(c.locDestStart,a[2],a[3]);c.locDestEnd&&d.uniform2f(c.locDestEnd,a[4],a[5]);c.locLayerScale&&d.uniform1f(c.locLayerScale,a[6]);c.locLayerAngle&&d.uniform1f(c.locLayerAngle,a[7]);c.locViewOrigin&&d.uniform2f(c.locViewOrigin,a[8],a[9]);c.locSeconds&&d.uniform1f(c.locSeconds,cr.performance_now()/1E3);if(c.parameters.length)for(a=0,b=c.parameters.length;a<b;a++)d.uniform1f(c.parameters[a][1],this.shaderParams[a])};a.prototype.pushBatch=function(){this.batchPtr===this.batch.length&&this.batch.push(new c(0,
this));return this.batch[this.batchPtr++]};a.prototype.endBatch=function(){if(0!==this.batchPtr&&!this.gl.isContextLost()){var a=this.gl;0<this.pointPtr&&(a.bindBuffer(a.ARRAY_BUFFER,this.pointBuffer),a.bufferData(a.ARRAY_BUFFER,this.pointData.subarray(0,this.pointPtr),a.STREAM_DRAW),b&&0<=b.locAPos&&"<point>"===b.name&&a.vertexAttribPointer(b.locAPos,4,a.FLOAT,!1,0,0));if(0<this.vertexPtr){var b=this.currentShader;a.bindBuffer(a.ARRAY_BUFFER,this.vertexBuffers[this.curBuffer]);a.bufferData(a.ARRAY_BUFFER,
this.vertexData.subarray(0,this.vertexPtr),a.STREAM_DRAW);b&&0<=b.locAPos&&"<point>"!==b.name&&a.vertexAttribPointer(b.locAPos,2,a.FLOAT,!1,0,0);a.bindBuffer(a.ARRAY_BUFFER,this.texcoordBuffers[this.curBuffer]);a.bufferData(a.ARRAY_BUFFER,this.texcoordData.subarray(0,this.vertexPtr),a.STREAM_DRAW);b&&0<=b.locATex&&"<point>"!==b.name&&a.vertexAttribPointer(b.locATex,2,a.FLOAT,!1,0,0)}for(var c,a=0,b=this.batchPtr;a<b;a++)switch(c=this.batch[a],c.type){case 1:c.doQuad();break;case 2:c.doSetTexture();
break;case 3:c.doSetOpacity();break;case 4:c.doSetBlend();break;case 5:c.doUpdateModelView();break;case 6:c.doRenderToTexture();break;case 7:c.doClear();break;case 8:c.doPoints();break;case 9:c.doSetProgram();break;case 10:c.doSetProgramParameters();break;case 11:c.doSetTexture1()}this.pointPtr=this.vertexPtr=this.batchPtr=0;this.hasPointBatchTop=this.hasQuadBatchTop=!1;this.curBuffer++;4<=this.curBuffer&&(this.curBuffer=0)}};a.prototype.setOpacity=function(a){if(a!==this.lastOpacity){var b=this.pushBatch();
b.type=3;this.lastOpacity=b.opacityParam=a;this.hasPointBatchTop=this.hasQuadBatchTop=!1}};a.prototype.setTexture=function(a){if(a!==this.lastTexture0){var b=this.pushBatch();b.type=2;this.lastTexture0=b.texParam=a;this.hasPointBatchTop=this.hasQuadBatchTop=!1}};a.prototype.setBlend=function(a,b){if(a!==this.lastSrcBlend||b!==this.lastDestBlend){var c=this.pushBatch();c.type=4;c.startIndex=a;c.indexCount=b;this.lastSrcBlend=a;this.lastDestBlend=b;this.hasPointBatchTop=this.hasQuadBatchTop=!1}};a.prototype.isPremultipliedAlphaBlend=
function(){return this.lastSrcBlend===this.gl.ONE&&this.lastDestBlend===this.gl.ONE_MINUS_SRC_ALPHA};a.prototype.setAlphaBlend=function(){this.setBlend(this.gl.ONE,this.gl.ONE_MINUS_SRC_ALPHA)};a.prototype.setNoPremultiplyAlphaBlend=function(){this.setBlend(this.gl.SRC_ALPHA,this.gl.ONE_MINUS_SRC_ALPHA)};a.prototype.quad=function(a,b,c,d,f,m,n,r){15992<=this.vertexPtr&&this.endBatch();var p=this.vertexPtr,q=this.vertexData,t=this.texcoordData;if(this.hasQuadBatchTop)this.batch[this.batchPtr-1].indexCount+=
6;else{var s=this.pushBatch();s.type=1;s.startIndex=3*(p/4);s.indexCount=6;this.hasQuadBatchTop=!0;this.hasPointBatchTop=!1}q[p]=a;t[p++]=0;q[p]=b;t[p++]=0;q[p]=c;t[p++]=1;q[p]=d;t[p++]=0;q[p]=f;t[p++]=1;q[p]=m;t[p++]=1;q[p]=n;t[p++]=0;q[p]=r;t[p++]=1;this.vertexPtr=p};a.prototype.quadTex=function(a,b,c,d,f,m,n,r,p){15992<=this.vertexPtr&&this.endBatch();var q=this.vertexPtr,t=this.vertexData,s=this.texcoordData;if(this.hasQuadBatchTop)this.batch[this.batchPtr-1].indexCount+=6;else{var u=this.pushBatch();
u.type=1;u.startIndex=3*(q/4);u.indexCount=6;this.hasQuadBatchTop=!0;this.hasPointBatchTop=!1}var u=p.left,y=p.top,C=p.right;p=p.bottom;t[q]=a;s[q++]=u;t[q]=b;s[q++]=y;t[q]=c;s[q++]=C;t[q]=d;s[q++]=y;t[q]=f;s[q++]=C;t[q]=m;s[q++]=p;t[q]=n;s[q++]=u;t[q]=r;s[q++]=p;this.vertexPtr=q};a.prototype.quadTexUV=function(a,b,c,d,f,m,n,r,p,q,t,s,u,y,C,F){15992<=this.vertexPtr&&this.endBatch();var v=this.vertexPtr,w=this.vertexData,B=this.texcoordData;if(this.hasQuadBatchTop)this.batch[this.batchPtr-1].indexCount+=
6;else{var x=this.pushBatch();x.type=1;x.startIndex=3*(v/4);x.indexCount=6;this.hasQuadBatchTop=!0;this.hasPointBatchTop=!1}w[v]=a;B[v++]=p;w[v]=b;B[v++]=q;w[v]=c;B[v++]=t;w[v]=d;B[v++]=s;w[v]=f;B[v++]=u;w[v]=m;B[v++]=y;w[v]=n;B[v++]=C;w[v]=r;B[v++]=F;this.vertexPtr=v};a.prototype.convexPoly=function(a){var b=a.length/2-2,c=b-1,d=a[0],f=a[1],m,n,r,p,q,t,s;for(m=0;m<b;m+=2)n=2*m,r=a[n+2],p=a[n+3],q=a[n+4],t=a[n+5],m===c?this.quad(d,f,r,p,q,t,q,t):(s=a[n+6],n=a[n+7],this.quad(d,f,r,p,q,t,s,n))};a.prototype.point=
function(a,b,c,d){7996<=this.pointPtr&&this.endBatch();var f=this.pointPtr,m=this.pointData;if(this.hasPointBatchTop)this.batch[this.batchPtr-1].indexCount++;else{var n=this.pushBatch();n.type=8;n.startIndex=f;n.indexCount=1;this.hasPointBatchTop=!0;this.hasQuadBatchTop=!1}m[f++]=a;m[f++]=b;m[f++]=c;m[f++]=d;this.pointPtr=f};a.prototype.switchProgram=function(a){if(this.lastProgram!==a){if(!this.shaderPrograms[a]){if(0===this.lastProgram)return;a=0}var b=this.pushBatch();b.type=9;this.lastProgram=
b.startIndex=a;this.hasPointBatchTop=this.hasQuadBatchTop=!1}};a.prototype.programUsesDest=function(a){a=this.shaderPrograms[a];return!(!a.locDestStart&&!a.locDestEnd)};a.prototype.programUsesCrossSampling=function(a){a=this.shaderPrograms[a];return!!(a.locDestStart||a.locDestEnd||a.crossSampling)};a.prototype.programExtendsBox=function(a){a=this.shaderPrograms[a];return 0!==a.extendBoxHorizontal||0!==a.extendBoxVertical};a.prototype.getProgramBoxExtendHorizontal=function(a){return this.shaderPrograms[a].extendBoxHorizontal};
a.prototype.getProgramBoxExtendVertical=function(a){return this.shaderPrograms[a].extendBoxVertical};a.prototype.getProgramParameterType=function(a,b){return this.shaderPrograms[a].parameters[b][2]};a.prototype.programIsAnimated=function(a){return this.shaderPrograms[a].animated};a.prototype.setProgramParameters=function(a,b,c,d,f,m,n,r,p,q,t,s){var u=this.shaderPrograms[this.lastProgram],y,C;if(u.hasAnyOptionalUniforms||s.length){y=this.pushBatch();y.type=10;y.mat4param?mat4.set(this.matMV,y.mat4param):
y.mat4param=mat4.create();C=y.mat4param;C[0]=b;C[1]=c;C[2]=d;C[3]=f;C[4]=m;C[5]=n;C[6]=r;C[7]=p;C[8]=q;C[9]=t;y.texParam=u.locSamplerBack?a:null;if(s.length)for(c=y.shaderParams,c.length=s.length,a=0,b=s.length;a<b;a++)c[a]=s[a];this.hasPointBatchTop=this.hasQuadBatchTop=!1}};a.prototype.clear=function(a,b,c,d){var f=this.pushBatch();f.type=7;f.startIndex=0;f.mat4param||(f.mat4param=mat4.create());f.mat4param[0]=a;f.mat4param[1]=b;f.mat4param[2]=c;f.mat4param[3]=d;this.hasPointBatchTop=this.hasQuadBatchTop=
!1};a.prototype.clearRect=function(a,b,c,d){if(!(0>c||0>d)){var f=this.pushBatch();f.type=7;f.startIndex=1;f.mat4param||(f.mat4param=mat4.create());f.mat4param[0]=a;f.mat4param[1]=b;f.mat4param[2]=c;f.mat4param[3]=d;this.hasPointBatchTop=this.hasQuadBatchTop=!1}};a.prototype.present=function(){this.endBatch();this.gl.flush()};var d=[],f={};a.prototype.loadTexture=function(a,b,c,k,h,m){b=!!b;c=!!c;var n=a.src+","+b+","+c+(b?","+h:""),r=null;if("undefined"!==typeof a.src&&f.hasOwnProperty(n))return r=
f[n],r.c2refcount++,r;this.endBatch();var p=this.gl,q=cr.isPOT(a.width)&&cr.isPOT(a.height),r=p.createTexture();p.bindTexture(p.TEXTURE_2D,r);p.pixelStorei(p.UNPACK_PREMULTIPLY_ALPHA_WEBGL,!0);var t=p.RGBA,s=p.RGBA,u=p.UNSIGNED_BYTE;if(k&&!this.isIE)switch(k){case 1:s=t=p.RGB;break;case 2:u=p.UNSIGNED_SHORT_4_4_4_4;break;case 3:u=p.UNSIGNED_SHORT_5_5_5_1;break;case 4:s=t=p.RGB,u=p.UNSIGNED_SHORT_5_6_5}if(!q&&b){k=document.createElement("canvas");k.width=cr.nextHighestPowerOfTwo(a.width);k.height=
cr.nextHighestPowerOfTwo(a.height);var y=k.getContext("2d");y.webkitImageSmoothingEnabled=c;y.mozImageSmoothingEnabled=c;y.msImageSmoothingEnabled=c;y.imageSmoothingEnabled=c;y.drawImage(a,0,0,a.width,a.height,0,0,k.width,k.height);p.texImage2D(p.TEXTURE_2D,0,t,s,u,k)}else p.texImage2D(p.TEXTURE_2D,0,t,s,u,a);b?"repeat-x"===h?(p.texParameteri(p.TEXTURE_2D,p.TEXTURE_WRAP_S,p.REPEAT),p.texParameteri(p.TEXTURE_2D,p.TEXTURE_WRAP_T,p.CLAMP_TO_EDGE)):("repeat-y"===h?p.texParameteri(p.TEXTURE_2D,p.TEXTURE_WRAP_S,
p.CLAMP_TO_EDGE):p.texParameteri(p.TEXTURE_2D,p.TEXTURE_WRAP_S,p.REPEAT),p.texParameteri(p.TEXTURE_2D,p.TEXTURE_WRAP_T,p.REPEAT)):(p.texParameteri(p.TEXTURE_2D,p.TEXTURE_WRAP_S,p.CLAMP_TO_EDGE),p.texParameteri(p.TEXTURE_2D,p.TEXTURE_WRAP_T,p.CLAMP_TO_EDGE));c?(p.texParameteri(p.TEXTURE_2D,p.TEXTURE_MAG_FILTER,p.LINEAR),q&&this.enable_mipmaps&&!m?(p.texParameteri(p.TEXTURE_2D,p.TEXTURE_MIN_FILTER,p.LINEAR_MIPMAP_LINEAR),p.generateMipmap(p.TEXTURE_2D)):p.texParameteri(p.TEXTURE_2D,p.TEXTURE_MIN_FILTER,
p.LINEAR)):(p.texParameteri(p.TEXTURE_2D,p.TEXTURE_MAG_FILTER,p.NEAREST),p.texParameteri(p.TEXTURE_2D,p.TEXTURE_MIN_FILTER,p.NEAREST));p.bindTexture(p.TEXTURE_2D,null);this.lastTexture0=null;r.c2width=a.width;r.c2height=a.height;r.c2refcount=1;r.c2texkey=n;d.push(r);return f[n]=r};a.prototype.createEmptyTexture=function(a,b,c,f,h){this.endBatch();var m=this.gl;this.isIE&&(f=!1);var n=m.createTexture();m.bindTexture(m.TEXTURE_2D,n);m.texImage2D(m.TEXTURE_2D,0,m.RGBA,a,b,0,m.RGBA,f?m.UNSIGNED_SHORT_4_4_4_4:
m.UNSIGNED_BYTE,null);h?(m.texParameteri(m.TEXTURE_2D,m.TEXTURE_WRAP_S,m.REPEAT),m.texParameteri(m.TEXTURE_2D,m.TEXTURE_WRAP_T,m.REPEAT)):(m.texParameteri(m.TEXTURE_2D,m.TEXTURE_WRAP_S,m.CLAMP_TO_EDGE),m.texParameteri(m.TEXTURE_2D,m.TEXTURE_WRAP_T,m.CLAMP_TO_EDGE));m.texParameteri(m.TEXTURE_2D,m.TEXTURE_MAG_FILTER,c?m.LINEAR:m.NEAREST);m.texParameteri(m.TEXTURE_2D,m.TEXTURE_MIN_FILTER,c?m.LINEAR:m.NEAREST);m.bindTexture(m.TEXTURE_2D,null);this.lastTexture0=null;n.c2width=a;n.c2height=b;d.push(n);
return n};a.prototype.videoToTexture=function(a,b,c){this.endBatch();var d=this.gl;this.isIE&&(c=!1);d.bindTexture(d.TEXTURE_2D,b);d.pixelStorei(d.UNPACK_PREMULTIPLY_ALPHA_WEBGL,!0);d.texImage2D(d.TEXTURE_2D,0,d.RGBA,d.RGBA,c?d.UNSIGNED_SHORT_4_4_4_4:d.UNSIGNED_BYTE,a);d.bindTexture(d.TEXTURE_2D,null);this.lastTexture0=null};a.prototype.deleteTexture=function(a){a&&("undefined"!==typeof a.c2refcount&&1<a.c2refcount?a.c2refcount--:(this.endBatch(),a===this.lastTexture0&&(this.gl.bindTexture(this.gl.TEXTURE_2D,
null),this.lastTexture0=null),a===this.lastTexture1&&(this.gl.activeTexture(this.gl.TEXTURE1),this.gl.bindTexture(this.gl.TEXTURE_2D,null),this.gl.activeTexture(this.gl.TEXTURE0),this.lastTexture1=null),cr.arrayFindRemove(d,a),"undefined"!==typeof a.c2texkey&&delete f[a.c2texkey],this.gl.deleteTexture(a)))};a.prototype.estimateVRAM=function(){var a=8*this.width*this.height,b,c,f;b=0;for(c=d.length;b<c;b++)f=d[b],a+=4*f.c2width*f.c2height;return a};a.prototype.textureCount=function(){return d.length};
a.prototype.setRenderingToTexture=function(a){if(a!==this.renderToTex){var b=this.pushBatch();b.type=6;this.renderToTex=b.texParam=a;this.hasPointBatchTop=this.hasQuadBatchTop=!1}};cr.GLWrap=a})();
(function(){function a(a){if(a&&(a.getContext||a.dc)&&!a.c2runtime){a.c2runtime=this;var b=this;this.isCrosswalk=/crosswalk/i.test(navigator.userAgent)||/xwalk/i.test(navigator.userAgent)||!("undefined"===typeof window.c2isCrosswalk||!window.c2isCrosswalk);this.isPhoneGap=!this.isCrosswalk&&"undefined"!==typeof window.device&&("undefined"!==typeof window.device.cordova||"undefined"!==typeof window.device.phonegap)||"undefined"!==typeof window.c2isphonegap&&window.c2isphonegap;this.isDirectCanvas=
!!a.dc;this.isAppMobi="undefined"!==typeof window.AppMobi||this.isDirectCanvas;this.isCocoonJs=!!window.c2cocoonjs;this.isEjecta=!!window.c2ejecta;this.isCocoonJs&&(CocoonJS.App.onSuspended.addEventListener(function(){b.setSuspended(!0)}),CocoonJS.App.onActivated.addEventListener(function(){b.setSuspended(!1)}));this.isEjecta&&(document.addEventListener("pagehide",function(){b.setSuspended(!0)}),document.addEventListener("pageshow",function(){b.setSuspended(!1)}),document.addEventListener("resize",
function(){b.setSize(window.innerWidth,window.innerHeight)}));this.isDomFree=this.isDirectCanvas||this.isCocoonJs||this.isEjecta;this.isIE=/msie/i.test(navigator.userAgent)||/trident/i.test(navigator.userAgent)||/iemobile/i.test(navigator.userAgent);this.isTizen=/tizen/i.test(navigator.userAgent);this.isAndroid=/android/i.test(navigator.userAgent)&&!this.isTizen&&!this.isIE;this.isiPhone=(/iphone/i.test(navigator.userAgent)||/ipod/i.test(navigator.userAgent))&&!this.isIE;this.isiPad=/ipad/i.test(navigator.userAgent);
this.isiOS=this.isiPhone||this.isiPad||this.isEjecta;this.isiPhoneiOS6=this.isiPhone&&/os\s6/i.test(navigator.userAgent);this.isChrome=/chrome/i.test(navigator.userAgent)||/chromium/i.test(navigator.userAgent);this.isAmazonWebApp=/amazonwebappplatform/i.test(navigator.userAgent);this.isFirefox=/firefox/i.test(navigator.userAgent);this.isSafari=/safari/i.test(navigator.userAgent)&&!this.isChrome&&!this.isIE;this.isWindows=/windows/i.test(navigator.userAgent);this.isNodeWebkit="undefined"!==typeof window.c2nodewebkit||
/nodewebkit/i.test(navigator.userAgent);this.isArcade="undefined"!==typeof window.is_scirra_arcade;this.isWindows8App=!("undefined"===typeof window.c2isWindows8||!window.c2isWindows8);this.isWindows8Capable=!("undefined"===typeof window.c2isWindows8Capable||!window.c2isWindows8Capable);this.isWindowsPhone8=!("undefined"===typeof window.c2isWindowsPhone8||!window.c2isWindowsPhone8);this.isWindowsPhone81=!("undefined"===typeof window.c2isWindowsPhone81||!window.c2isWindowsPhone81);this.isWinJS=this.isWindows8App||
this.isWindows8Capable||this.isWindowsPhone81;this.isBlackberry10=!("undefined"===typeof window.c2isBlackberry10||!window.c2isBlackberry10);this.isAndroidStockBrowser=this.isAndroid&&!this.isChrome&&!this.isFirefox&&!this.isAmazonWebApp&&!this.isDomFree;this.devicePixelRatio=1;this.isMobile=this.isPhoneGap||this.isCrosswalk||this.isAppMobi||this.isCocoonJs||this.isAndroid||this.isiOS||this.isWindowsPhone8||this.isWindowsPhone81||this.isBlackberry10||this.isTizen||this.isEjecta;this.isMobile||(this.isMobile=
/(blackberry|bb10|playbook|palm|symbian|nokia|windows\s+ce|phone|mobile|tablet|kindle|silk)/i.test(navigator.userAgent));"undefined"===typeof cr_is_preview||this.isNodeWebkit||"?nw"!==window.location.search&&!/nodewebkit/i.test(navigator.userAgent)||(this.isNodeWebkit=!0);this.isDebug="undefined"!==typeof cr_is_preview&&-1<window.location.search.indexOf("debug");this.canvas=a;this.canvasdiv=document.getElementById("c2canvasdiv");this.ctx=this.glwrap=this.gl=null;this.fullscreenOldMarginCss="";this.firstInFullscreen=
!1;this.oldHeight=this.oldWidth=0;this.canvas.oncontextmenu=function(a){a.preventDefault&&a.preventDefault();return!1};this.canvas.onselectstart=function(a){a.preventDefault&&a.preventDefault();return!1};this.isDirectCanvas&&(window.c2runtime=this);this.isNodeWebkit&&(window.ondragover=function(a){a.preventDefault();return!1},window.ondrop=function(a){a.preventDefault();return!1},require("nw.gui").App.clearCache());this.width=a.width;this.height=a.height;this.draw_width=this.width;this.draw_height=
this.height;this.cssWidth=this.width;this.cssHeight=this.height;this.lastWindowWidth=window.innerWidth;this.lastWindowHeight=window.innerHeight;this.redraw=!0;this.isSuspended=!1;Date.now||(Date.now=function(){return+new Date});this.plugins=[];this.types={};this.types_by_index=[];this.behaviors=[];this.layouts={};this.layouts_by_index=[];this.eventsheets={};this.eventsheets_by_index=[];this.wait_for_textures=[];this.triggers_to_postinit=[];this.all_global_vars=[];this.all_local_vars=[];this.shadowcasterBehavior=
this.jumpthruBehavior=this.solidBehavior=null;this.deathRow=new cr.ObjectSet;this.isInClearDeathRow=!1;this.isInOnDestroy=0;this.isRunningEvents=!1;this.createRow=[];this.isLoadingState=!1;this.lastSaveJson=this.loadFromJson=this.loadFromSlot=this.saveToSlot="";this.suspendDrawing=this.signalledContinuousPreview=!1;this.zeroDtCount=this.cpuutilisation=this.logictime=this.dt1=this.dt=0;this.timescale=1;this.kahanTime=new cr.KahanAdder;this.last_tick_time=0;this.measuring_dt=!0;this.objectcount=this.framecount=
this.execcount=this.tickcount=this.last_fps_time=this.fps=0;this.changelayout=null;this.destroycallbacks=[];this.event_stack=[];this.event_stack_index=-1;this.localvar_stack=[[]];this.trigger_depth=this.localvar_stack_index=0;this.pushEventStack(null);this.loop_stack=[];this.loop_stack_index=-1;this.next_puid=this.next_uid=0;this.layout_first_tick=!0;this.family_count=0;this.suspend_events=[];this.timeout_id=this.raf_id=-1;this.isloading=!0;this.loadingprogress=0;this.isNodeFullscreen=!1;this.stackLocalCount=
0;this.audioInstance=null;this.halfFramerateMode=!1;this.lastRafTime=0;this.isInUserInputEvent=this.had_a_click=this.ranLastRaf=!1;this.objects_to_pretick=new cr.ObjectSet;this.objects_to_tick=new cr.ObjectSet;this.objects_to_tick2=new cr.ObjectSet;this.registered_collisions=[];this.temp_poly=new cr.CollisionPoly([]);this.temp_poly2=new cr.CollisionPoly([]);this.allGroups=[];this.groups_by_name={};this.cndsBySid={};this.actsBySid={};this.varsBySid={};this.blocksBySid={};this.layout_ctx=this.layout_canvas=
this.layout_tex=this.layer_tex=this.layer_ctx=this.layer_canvas=this.running_layout=null;this.uses_background_blending=this.is_WebGL_context_lost=!1;this.fx_tex=[null,null];this.fullscreen_scaling=0;this.files_subfolder="";this.objectsByUid={};this.snapshotCanvas=this.loaderlogo=null;this.snapshotData="";this.load();this.devicePixelRatio=(this.isRetina=(!this.isDomFree||this.isEjecta)&&this.useHighDpi&&!this.isAndroidStockBrowser)?window.devicePixelRatio||window.webkitDevicePixelRatio||window.mozDevicePixelRatio||
window.msDevicePixelRatio||1:1;this.ClearDeathRow();var c,d=this.alphaBackground&&!(this.isNodeWebkit||this.isWinJS||this.isWindowsPhone8||this.isCrosswalk);0<this.fullscreen_mode&&this.setSize(window.innerWidth,window.innerHeight,!0);try{this.enableWebGL&&(this.isCocoonJs||this.isEjecta||!this.isDomFree)&&(c={alpha:d,depth:!1,antialias:!1,failIfMajorPerformanceCaveat:!0},this.gl=a.getContext("webgl",c)||a.getContext("experimental-webgl",c))}catch(e){}if(this.gl){this.isDomFree||(this.overlay_canvas=
document.createElement("canvas"),jQuery(this.overlay_canvas).appendTo(this.canvas.parentNode),this.overlay_canvas.oncontextmenu=function(a){return!1},this.overlay_canvas.onselectstart=function(a){return!1},this.overlay_canvas.width=this.cssWidth,this.overlay_canvas.height=this.cssHeight,jQuery(this.overlay_canvas).css({width:this.cssWidth+"px",height:this.cssHeight+"px"}),this.positionOverlayCanvas(),this.overlay_ctx=this.overlay_canvas.getContext("2d"));this.glwrap=new cr.GLWrap(this.gl,this.isMobile);
this.glwrap.setSize(a.width,a.height);this.glwrap.enable_mipmaps=0!==this.downscalingQuality;this.ctx=null;this.canvas.addEventListener("webglcontextlost",function(a){a.preventDefault();b.onContextLost();console.log("[Construct 2] WebGL context lost");window.cr_setSuspended(!0)},!1);this.canvas.addEventListener("webglcontextrestored",function(a){b.glwrap.initState();b.glwrap.setSize(b.glwrap.width,b.glwrap.height,!0);b.layer_tex=null;b.layout_tex=null;b.fx_tex[0]=null;b.fx_tex[1]=null;b.onContextRestored();
b.redraw=!0;console.log("[Construct 2] WebGL context restored");window.cr_setSuspended(!1)},!1);var f,h,g,k,m,l;a=0;for(c=this.types_by_index.length;a<c;a++)for(h=this.types_by_index[a],d=0,f=h.effect_types.length;d<f;d++)k=h.effect_types[d],k.shaderindex=this.glwrap.getShaderIndex(k.id),this.uses_background_blending=this.uses_background_blending||this.glwrap.programUsesDest(k.shaderindex);a=0;for(c=this.layouts_by_index.length;a<c;a++){m=this.layouts_by_index[a];d=0;for(f=m.effect_types.length;d<
f;d++)k=m.effect_types[d],k.shaderindex=this.glwrap.getShaderIndex(k.id);d=0;for(f=m.layers.length;d<f;d++)for(l=m.layers[d],h=0,g=l.effect_types.length;h<g;h++)k=l.effect_types[h],k.shaderindex=this.glwrap.getShaderIndex(k.id),this.uses_background_blending=this.uses_background_blending||this.glwrap.programUsesDest(k.shaderindex)}}else{if(0<this.fullscreen_mode&&this.isDirectCanvas){this.canvas=null;document.oncontextmenu=function(a){return!1};document.onselectstart=function(a){return!1};this.ctx=
AppMobi.canvas.getContext("2d");try{this.ctx.samplingMode=this.linearSampling?"smooth":"sharp",this.ctx.globalScale=1,this.ctx.HTML5CompatibilityMode=!0,this.ctx.imageSmoothingEnabled=this.linearSampling}catch(n){}0!==this.width&&0!==this.height&&(this.ctx.width=this.width,this.ctx.height=this.height)}this.ctx||(c=this.isCocoonJs?{antialias:!!this.linearSampling,alpha:d}:{alpha:d},this.ctx=a.getContext("2d",c),this.ctx.webkitImageSmoothingEnabled=this.linearSampling,this.ctx.mozImageSmoothingEnabled=
this.linearSampling,this.ctx.msImageSmoothingEnabled=this.linearSampling,this.ctx.imageSmoothingEnabled=this.linearSampling);this.overlay_ctx=this.overlay_canvas=null}this.tickFunc=function(){b.tick(!1)};window==window.top||this.isDomFree||this.isWinJS||this.isWindowsPhone8||(document.addEventListener("mousedown",function(){window.focus()},!0),document.addEventListener("touchstart",function(){window.focus()},!0));"undefined"!==typeof cr_is_preview&&(this.isCocoonJs&&console.log("[Construct 2] In preview-over-wifi via CocoonJS mode"),
-1<window.location.search.indexOf("continuous")&&(cr.logexport("Reloading for continuous preview"),this.loadFromSlot="__c2_continuouspreview",this.suspendDrawing=!0),this.pauseOnBlur&&!this.isMobile&&(jQuery(window).focus(function(){b.setSuspended(!1)}),jQuery(window).blur(function(){b.setSuspended(!0)})));a=function(a){cr.isCanvasInputEvent(a)&&document.activeElement&&document.activeElement.blur&&document.activeElement.blur()};window.navigator.pointerEnabled?document.addEventListener("pointerdown",
a):window.navigator.msPointerEnabled?document.addEventListener("MSPointerDown",a):document.addEventListener("touchstart",a);0===this.fullscreen_mode&&this.isRetina&&1<this.devicePixelRatio&&this.setSize(this.original_width,this.original_height,!0);this.tryLockOrientation();this.getready();this.go();this.extra={};cr.seal(this)}}function b(a){a.target.result.createObjectStore("saves",{keyPath:"slot"})}function c(a,c,d,e){var f=indexedDB.open("_C2SaveStates");f.onupgradeneeded=b;f.onerror=e;f.onsuccess=
function(b){b=b.target.result;b.onerror=e;b.transaction(["saves"],"readwrite").objectStore("saves").put({slot:a,data:c}).onsuccess=d}}function d(a,c,d){var e=indexedDB.open("_C2SaveStates");e.onupgradeneeded=b;e.onerror=d;e.onsuccess=function(b){b=b.target.result;b.onerror=d;var e=b.transaction(["saves"]).objectStore("saves").get(a);e.onsuccess=function(a){e.result?c(e.result.data):c(null)}}}function f(){cr.logexport("Reloading for continuous preview");window.c2cocoonjs?CocoonJS.App.reload():-1<window.location.search.indexOf("continuous")?
window.location.reload(!0):window.location+="?continuous"}function e(a){var b,c={};for(b in a)!a.hasOwnProperty(b)||a[b]instanceof cr.ObjectSet||a[b]&&"undefined"!==typeof a[b].c2userdata||(c[b]=a[b]);return c}a.prototype.setSize=function(a,b,c){var d=0,e=0,f=0,h=0,h=0,g=this.isiPhoneiOS6&&this.isSafari&&!navigator.standalone&&!this.isDomFree&&!this.isPhoneGap;g&&(b+=60);if(this.lastWindowWidth!==a||this.lastWindowHeight!==b||c){this.lastWindowWidth=a;this.lastWindowHeight=b;var k=this.fullscreen_mode,
m=(document.mozFullScreen||document.webkitIsFullScreen||!!document.msFullscreenElement||document.fullScreen||this.isNodeFullscreen)&&!this.isPhoneGap;if(m||0!==this.fullscreen_mode||c)m&&0<this.fullscreen_scaling&&(k=this.fullscreen_scaling),c=this.devicePixelRatio,4<=k?(f=this.original_width/this.original_height,a/b>f?(f*=b,5===k?(h=f*c/this.original_width,1<h?h=Math.floor(h):1>h&&(h=1/Math.ceil(1/h)),f=this.original_width*h/c,h=this.original_height*h/c,d=(a-f)/2,e=(b-h)/2,a=f,b=h):(d=(a-f)/2,a=
f)):(h=a/f,5===k?(h=h*c/this.original_height,1<h?h=Math.floor(h):1>h&&(h=1/Math.ceil(1/h)),f=this.original_width*h/c,h=this.original_height*h/c,d=(a-f)/2,e=(b-h)/2,a=f):e=(b-h)/2,b=h),m&&!this.isNodeWebkit&&(e=d=0)):this.isNodeWebkit&&this.isNodeFullscreen&&0===this.fullscreen_mode_set&&(d=Math.floor((a-this.original_width)/2),e=Math.floor((b-this.original_height)/2),a=this.original_width,b=this.original_height),2>k&&(this.aspect_scale=c),this.isRetina&&this.isiPad&&1<c&&(1024<=a&&(a=1023),1024<=
b&&(b=1023)),this.cssWidth=Math.round(a),this.cssHeight=Math.round(b),this.width=Math.round(a*c),this.height=Math.round(b*c),this.redraw=!0,this.wantFullscreenScalingQuality?(this.draw_width=this.width,this.draw_height=this.height,this.fullscreenScalingQuality=!0):this.width<this.original_width&&this.height<this.original_height||1===k?(this.draw_width=this.width,this.draw_height=this.height,this.fullscreenScalingQuality=!0):(this.draw_width=this.original_width,this.draw_height=this.original_height,
this.fullscreenScalingQuality=!1,2===k?(f=this.original_width/this.original_height,k=this.lastWindowWidth/this.lastWindowHeight,k<f?this.draw_width=this.draw_height*k:k>f&&(this.draw_height=this.draw_width/k)):3===k&&(f=this.original_width/this.original_height,k=this.lastWindowWidth/this.lastWindowHeight,k>f?this.draw_width=this.draw_height*k:k<f&&(this.draw_height=this.draw_width/k))),this.canvasdiv&&!this.isDomFree&&(jQuery(this.canvasdiv).css({width:Math.round(a)+"px",height:Math.round(b)+"px",
"margin-left":Math.floor(d)+"px","margin-top":Math.floor(e)+"px"}),"undefined"!==typeof cr_is_preview&&jQuery("#borderwrap").css({width:Math.round(a)+"px",height:Math.round(b)+"px"})),this.canvas&&(this.canvas.width=Math.round(a*c),this.canvas.height=Math.round(b*c),this.isEjecta?(this.canvas.style.left=Math.floor(d)+"px",this.canvas.style.top=Math.floor(e)+"px",this.canvas.style.width=Math.round(a)+"px",this.canvas.style.height=Math.round(b)+"px"):this.isRetina&&!this.isDomFree&&jQuery(this.canvas).css({width:Math.round(a)+
"px",height:Math.round(b)+"px"})),this.overlay_canvas&&(this.overlay_canvas.width=Math.round(a),this.overlay_canvas.height=Math.round(b),jQuery(this.overlay_canvas).css({width:Math.round(a)+"px",height:Math.round(b)+"px"})),this.glwrap&&this.glwrap.setSize(Math.round(a*c),Math.round(b*c)),this.isDirectCanvas&&this.ctx&&(this.ctx.width=Math.round(a),this.ctx.height=Math.round(b)),this.ctx&&(this.ctx.webkitImageSmoothingEnabled=this.linearSampling,this.ctx.mozImageSmoothingEnabled=this.linearSampling,
this.ctx.msImageSmoothingEnabled=this.linearSampling,this.ctx.imageSmoothingEnabled=this.linearSampling),this.tryLockOrientation(),this.isDomFree||!g&&!this.isiPhone||window.setTimeout(function(){window.scrollTo(0,1)},100)}};a.prototype.tryLockOrientation=function(){if(this.autoLockOrientation&&0!==this.orientations){var a="portrait";2===this.orientations&&(a="landscape");screen.lockOrientation?screen.lockOrientation(a):screen.webkitLockOrientation?screen.webkitLockOrientation(a):screen.mozLockOrientation?
screen.mozLockOrientation(a):screen.msLockOrientation&&screen.msLockOrientation(a)}};a.prototype.onContextLost=function(){this.is_WebGL_context_lost=!0;var a,b,c;a=0;for(b=this.types_by_index.length;a<b;a++)if(c=this.types_by_index[a],c.onLostWebGLContext)c.onLostWebGLContext()};a.prototype.onContextRestored=function(){this.is_WebGL_context_lost=!1;var a,b,c;a=0;for(b=this.types_by_index.length;a<b;a++)if(c=this.types_by_index[a],c.onRestoreWebGLContext)c.onRestoreWebGLContext()};a.prototype.positionOverlayCanvas=
function(){if(!this.isDomFree){var a=(document.mozFullScreen||document.webkitIsFullScreen||document.fullScreen||document.msFullscreenElement||this.isNodeFullscreen)&&!this.isPhoneGap?jQuery(this.canvas).offset():jQuery(this.canvas).position();a.position="absolute";jQuery(this.overlay_canvas).css(a)}};var g=window.cancelAnimationFrame||window.mozCancelAnimationFrame||window.webkitCancelAnimationFrame||window.msCancelAnimationFrame||window.oCancelAnimationFrame;a.prototype.setSuspended=function(a){var b;
if(a&&!this.isSuspended)for(cr.logexport("[Construct 2] Suspending"),this.isSuspended=!0,-1!==this.raf_id&&g&&g(this.raf_id),-1!==this.timeout_id&&clearTimeout(this.timeout_id),a=0,b=this.suspend_events.length;a<b;a++)this.suspend_events[a](!0);else if(!a&&this.isSuspended){cr.logexport("[Construct 2] Resuming");this.isSuspended=!1;this.last_tick_time=cr.performance_now();this.last_fps_time=cr.performance_now();a=this.logictime=this.framecount=0;for(b=this.suspend_events.length;a<b;a++)this.suspend_events[a](!1);
this.tick(!1)}};a.prototype.addSuspendCallback=function(a){this.suspend_events.push(a)};a.prototype.load=function(){var a=cr.getProjectModel();this.name=a[0];this.first_layout=a[1];this.fullscreen_mode=a[12];this.fullscreen_mode_set=a[12];this.original_width=a[10];this.original_height=a[11];this.parallax_x_origin=this.original_width/2;this.parallax_y_origin=this.original_height/2;this.isDomFree&&!this.isEjecta&&(4<=a[12]||0===a[12])&&(cr.logexport("[Construct 2] Letterbox scale fullscreen modes are not supported on this platform - falling back to 'Scale outer'"),
this.fullscreen_mode_set=this.fullscreen_mode=3);this.uses_loader_layout=a[18];this.loaderstyle=a[19];0===this.loaderstyle&&(this.loaderlogo=new Image,this.loaderlogo.src="loading-logo.png");this.next_uid=a[21];this.system=new cr.system_object(this);var b,c,d,e,f,h,g,k,m;b=0;for(c=a[2].length;b<c;b++){g=a[2][b];cr.add_common_aces(g);m=new g[0](this);m.singleglobal=g[1];m.is_world=g[2];m.must_predraw=g[9];if(m.onCreate)m.onCreate();cr.seal(m);this.plugins.push(m)}a=cr.getProjectModel();b=0;for(c=a[3].length;b<
c;b++){g=a[3][b];f=g[1];m=null;d=0;for(e=this.plugins.length;d<e;d++)if(this.plugins[d]instanceof f){m=this.plugins[d];break}var l=new m.Type(m);l.name=g[0];l.is_family=g[2];l.instvar_sids=g[3].slice(0);l.vars_count=g[3].length;l.behs_count=g[4];l.fx_count=g[5];l.sid=g[11];l.is_family?(l.members=[],l.family_index=this.family_count++,l.families=null):(l.members=null,l.family_index=-1,l.families=[]);l.family_var_map=null;l.family_beh_map=null;l.family_fx_map=null;l.is_contained=!1;l.container=null;
g[6]?(l.texture_file=g[6][0],l.texture_filesize=g[6][1],l.texture_pixelformat=g[6][2]):(l.texture_file=null,l.texture_filesize=0,l.texture_pixelformat=0);l.animations=g[7]?g[7]:null;l.index=b;l.instances=[];l.deadCache=[];l.solstack=[new cr.selection(l)];l.cur_sol=0;l.default_instance=null;l.default_layerindex=0;l.stale_iids=!0;l.updateIIDs=cr.type_updateIIDs;l.getFirstPicked=cr.type_getFirstPicked;l.getPairedInstance=cr.type_getPairedInstance;l.getCurrentSol=cr.type_getCurrentSol;l.pushCleanSol=
cr.type_pushCleanSol;l.pushCopySol=cr.type_pushCopySol;l.popSol=cr.type_popSol;l.getBehaviorByName=cr.type_getBehaviorByName;l.getBehaviorIndexByName=cr.type_getBehaviorIndexByName;l.getEffectIndexByName=cr.type_getEffectIndexByName;l.applySolToContainer=cr.type_applySolToContainer;l.getInstanceByIID=cr.type_getInstanceByIID;l.collision_grid=new cr.SparseGrid(this.original_width,this.original_height);l.any_cell_changed=!0;l.any_instance_parallaxed=!1;l.extra={};l.toString=cr.type_toString;l.behaviors=
[];d=0;for(e=g[8].length;d<e;d++){k=g[8][d];var n=k[1],q=null;f=0;for(h=this.behaviors.length;f<h;f++)if(this.behaviors[f]instanceof n){q=this.behaviors[f];break}if(!q){q=new n(this);q.my_types=[];q.my_instances=new cr.ObjectSet;if(q.onCreate)q.onCreate();cr.seal(q);this.behaviors.push(q);cr.behaviors.solid&&q instanceof cr.behaviors.solid&&(this.solidBehavior=q);cr.behaviors.jumpthru&&q instanceof cr.behaviors.jumpthru&&(this.jumpthruBehavior=q);cr.behaviors.shadowcaster&&q instanceof cr.behaviors.shadowcaster&&
(this.shadowcasterBehavior=q)}-1===q.my_types.indexOf(l)&&q.my_types.push(l);f=new q.Type(q,l);f.name=k[0];f.sid=k[2];f.onCreate();cr.seal(f);l.behaviors.push(f)}l.global=g[9];l.isOnLoaderLayout=g[10];l.effect_types=[];d=0;for(e=g[12].length;d<e;d++)l.effect_types.push({id:g[12][d][0],name:g[12][d][1],shaderindex:-1,active:!0,index:d});l.tile_poly_data=g[13];if(!this.uses_loader_layout||l.is_family||l.isOnLoaderLayout||!m.is_world)l.onCreate(),cr.seal(l);l.name&&(this.types[l.name]=l);this.types_by_index.push(l);
m.singleglobal&&(d=new m.Instance(l),d.uid=this.next_uid++,d.puid=this.next_puid++,d.iid=0,d.get_iid=cr.inst_get_iid,d.toString=cr.inst_toString,d.properties=g[14],d.onCreate(),cr.seal(d),l.instances.push(d),this.objectsByUid[d.uid.toString()]=d)}b=0;for(c=a[4].length;b<c;b++)for(f=a[4][b],h=this.types_by_index[f[0]],d=1,e=f.length;d<e;d++)g=this.types_by_index[f[d]],g.families.push(h),h.members.push(g);b=0;for(c=a[26].length;b<c;b++){f=a[26][b];h=[];d=0;for(e=f.length;d<e;d++)h.push(this.types_by_index[f[d]]);
d=0;for(e=h.length;d<e;d++)h[d].is_contained=!0,h[d].container=h}if(0<this.family_count)for(b=0,c=this.types_by_index.length;b<c;b++)if(g=this.types_by_index[b],!g.is_family&&g.families.length){g.family_var_map=Array(this.family_count);g.family_beh_map=Array(this.family_count);g.family_fx_map=Array(this.family_count);l=[];d=q=n=k=0;for(e=g.families.length;d<e;d++)for(m=g.families[d],g.family_var_map[m.family_index]=k,k+=m.vars_count,g.family_beh_map[m.family_index]=n,n+=m.behs_count,g.family_fx_map[m.family_index]=
q,q+=m.fx_count,f=0,h=m.effect_types.length;f<h;f++)l.push(cr.shallowCopy({},m.effect_types[f]));g.effect_types=l.concat(g.effect_types);d=0;for(e=g.effect_types.length;d<e;d++)g.effect_types[d].index=d}b=0;for(c=a[5].length;b<c;b++)g=a[5][b],d=new cr.layout(this,g),cr.seal(d),this.layouts[d.name]=d,this.layouts_by_index.push(d);b=0;for(c=a[6].length;b<c;b++)g=a[6][b],d=new cr.eventsheet(this,g),cr.seal(d),this.eventsheets[d.name]=d,this.eventsheets_by_index.push(d);b=0;for(c=this.eventsheets_by_index.length;b<
c;b++)this.eventsheets_by_index[b].postInit();b=0;for(c=this.eventsheets_by_index.length;b<c;b++)this.eventsheets_by_index[b].updateDeepIncludes();b=0;for(c=this.triggers_to_postinit.length;b<c;b++)this.triggers_to_postinit[b].postInit();this.triggers_to_postinit.length=0;this.audio_to_preload=a[7];this.files_subfolder=a[8];this.pixel_rounding=a[9];this.aspect_scale=1;this.enableWebGL=a[13];this.linearSampling=a[14];this.alphaBackground=a[15];this.versionstr=a[16];this.useHighDpi=a[17];this.orientations=
a[20];this.autoLockOrientation=0<this.orientations;this.pauseOnBlur=a[22];this.fullscreenScalingQuality=this.wantFullscreenScalingQuality=a[23];this.downscalingQuality=a[24];this.preloadSounds=a[25];this.start_time=Date.now()};var l=!1;a.prototype.waitForImageLoad=function(a){a.onerror=function(b){l=a.c2error=!0;console&&console.error&&console.error("Error loading image '"+a.src+"': ",b)};this.wait_for_textures.push(a)};a.prototype.findWaitingTexture=function(a){var b,c;b=0;for(c=this.wait_for_textures.length;b<
c;b++)if(this.wait_for_textures[b].cr_src===a)return this.wait_for_textures[b];return null};var k=0,h=!1;a.prototype.getready=function(){this.audioInstance&&(k=this.audioInstance.setPreloadList(this.audio_to_preload))};a.prototype.areAllTexturesAndSoundsLoaded=function(){var a=k,b=0,c=0,d=!0,e,f,c=0;for(e=this.wait_for_textures.length;c<e;c++){f=this.wait_for_textures[c];var g=f.cr_filesize;if(!g||0>=g)g=5E4;a+=g;!f.complete&&!f.loaded||f.c2error?d=!1:b+=g}d&&this.preloadSounds&&this.audioInstance&&
(h||(this.audioInstance.startPreloads(),h=!0),c=this.audioInstance.getPreloadedSize(),b+=c,c<k&&(d=!1));this.progress=0==a?0:b/a;return d};a.prototype.go=function(){if(this.ctx||this.glwrap){var a=this.ctx||this.overlay_ctx;this.overlay_canvas&&this.positionOverlayCanvas();this.progress=0;this.last_progress=-1;if(this.areAllTexturesAndSoundsLoaded())this.go_loading_finished();else{var b=Date.now()-this.start_time;if(a){var c=this.width,d=this.height,e=this.devicePixelRatio;this.overlay_canvas&&(c=
this.cssWidth,d=this.cssHeight,e=1);if(3!==this.loaderstyle&&(this.isCocoonJs||500<=b&&this.last_progress!=this.progress)){a.clearRect(0,0,c,d);var b=c/2,d=d/2,c=0===this.loaderstyle&&this.loaderlogo.complete,f=40*e,h=0,g=80*e,k;c&&(g=this.loaderlogo.width*e,k=this.loaderlogo.height*e,f=g/2,h=k/2,a.drawImage(this.loaderlogo,cr.floor(b-f),cr.floor(d-h),g,k));1>=this.loaderstyle?(d+=h+(c?12*e:0),b=cr.floor(b-f)+0.5,d=cr.floor(d)+0.5,a.fillStyle=l?"red":"DodgerBlue",a.fillRect(b,d,Math.floor(g*this.progress),
6*e),a.strokeStyle="black",a.strokeRect(b,d,g,6*e),a.strokeStyle="white",a.strokeRect(b-1*e,d-1*e,g+2*e,8*e)):2===this.loaderstyle&&(a.font=this.isEjecta?"12pt ArialMT":"12pt Arial",a.fillStyle=l?"#f00":"#999",a.textBaseLine="middle",e=Math.round(100*this.progress)+"%",c=a.measureText?a.measureText(e):null,a.fillText(e,b-(c?c.width:0)/2,d))}this.last_progress=this.progress}setTimeout(function(a){return function(){a.go()}}(this),this.isCocoonJs?10:100)}}};a.prototype.go_loading_finished=function(){this.overlay_canvas&&
(this.canvas.parentNode.removeChild(this.overlay_canvas),this.overlay_canvas=this.overlay_ctx=null);this.start_time=Date.now();this.last_fps_time=cr.performance_now();var a,b,c;if(this.uses_loader_layout)for(a=0,b=this.types_by_index.length;a<b;a++)c=this.types_by_index[a],c.is_family||c.isOnLoaderLayout||!c.plugin.is_world||(c.onCreate(),cr.seal(c));else this.isloading=!1;a=0;for(b=this.layouts_by_index.length;a<b;a++)this.layouts_by_index[a].createGlobalNonWorlds();2<=this.fullscreen_mode&&(a=this.original_width/
this.original_height,b=this.width/this.height,this.aspect_scale=2!==this.fullscreen_mode&&b>a||2===this.fullscreen_mode&&b<a?this.height/this.original_height:this.width/this.original_width);this.first_layout?this.layouts[this.first_layout].startRunning():this.layouts_by_index[0].startRunning();this.uses_loader_layout||(this.loadingprogress=1,this.trigger(cr.system_object.prototype.cnds.OnLoadFinished,null));navigator.splashscreen&&navigator.splashscreen.hide&&navigator.splashscreen.hide();a=0;for(b=
this.types_by_index.length;a<b;a++)if(c=this.types_by_index[a],c.onAppBegin)c.onAppBegin();this.tick(!1);this.isDirectCanvas&&AppMobi.webview.execute("onGameReady();")};var m=window.requestAnimationFrame||window.mozRequestAnimationFrame||window.webkitRequestAnimationFrame||window.msRequestAnimationFrame||window.oRequestAnimationFrame;a.prototype.tick=function(a){if(this.running_layout){var b=cr.performance_now();if(this.halfFramerateMode&&this.ranLastRaf&&29>b-this.lastRafTime)this.ranLastRaf=!1,
this.lastRafTime=b,m?this.raf_id=m(this.tickFunc,this.canvas):this.timeout_id=setTimeout(this.tickFunc,this.isMobile?1:16);else{this.ranLastRaf=!0;this.lastRafTime=b;var c=this.fullscreen_mode,d=(document.mozFullScreen||document.webkitIsFullScreen||document.fullScreen||!!document.msFullscreenElement)&&!this.isPhoneGap;(d||this.isNodeFullscreen)&&0<this.fullscreen_scaling&&(c=this.fullscreen_scaling);if(0<c&&(!this.isiOS||window.self!==window.top)){var c=window.innerWidth,e=window.innerHeight;this.lastWindowWidth===
c&&this.lastWindowHeight===e||this.setSize(c,e)}this.isDomFree||(d?(this.firstInFullscreen||(this.fullscreenOldMarginCss=jQuery(this.canvas).css("margin")||"0",this.firstInFullscreen=!0),this.isChrome||this.isNodeWebkit||jQuery(this.canvas).css({"margin-left":""+Math.floor((screen.width-this.width/this.devicePixelRatio)/2)+"px","margin-top":""+Math.floor((screen.height-this.height/this.devicePixelRatio)/2)+"px"})):this.firstInFullscreen?(this.isChrome||this.isNodeWebkit||jQuery(this.canvas).css("margin",
this.fullscreenOldMarginCss),this.fullscreenOldMarginCss="",this.firstInFullscreen=!1,0===this.fullscreen_mode&&this.setSize(Math.round(this.oldWidth/this.devicePixelRatio),Math.round(this.oldHeight/this.devicePixelRatio),!0)):(this.oldWidth=this.width,this.oldHeight=this.height));this.isloading&&(d=this.areAllTexturesAndSoundsLoaded(),this.loadingprogress=this.progress,d&&(this.isloading=!1,this.progress=1,this.trigger(cr.system_object.prototype.cnds.OnLoadFinished,null)));this.logic();!this.redraw&&
!this.isCocoonJs||this.is_WebGL_context_lost||this.suspendDrawing||a||(this.redraw=!1,this.glwrap?this.drawGL():this.draw(),this.snapshotCanvas&&(this.canvas&&this.canvas.toDataURL&&(this.snapshotData=this.canvas.toDataURL(this.snapshotCanvas[0],this.snapshotCanvas[1]),this.trigger(cr.system_object.prototype.cnds.OnCanvasSnapshot,null)),this.snapshotCanvas=null));this.hit_breakpoint||(this.tickcount++,this.execcount++,this.framecount++);this.logictime+=cr.performance_now()-b;this.isSuspended||a||
(m?this.raf_id=m(this.tickFunc,this.canvas):this.timeout_id=setTimeout(this.tickFunc,this.isMobile?1:16))}}};a.prototype.logic=function(){var a,b,c,d,e,f,h,g,k;a=cr.performance_now();1E3<=a-this.last_fps_time&&(this.last_fps_time+=1E3,this.fps=this.framecount,this.framecount=0,this.cpuutilisation=this.logictime,this.logictime=0);this.measuring_dt&&(0!==this.last_tick_time&&(b=a-this.last_tick_time,0!==b||this.isDebug?(this.dt1=b/1E3,0.5<this.dt1?this.dt1=0:0.1<this.dt1&&(this.dt1=0.1)):(this.zeroDtCount++,
10<=this.zeroDtCout&&(this.measuring_dt=!1),this.dt1=1/60)),this.last_tick_time=a);this.dt=this.dt1*this.timescale;this.kahanTime.add(this.dt);a=(document.mozFullScreen||document.webkitIsFullScreen||document.fullScreen||!!document.msFullscreenElement||this.isNodeFullscreen)&&!this.isPhoneGap;2<=this.fullscreen_mode||a&&0<this.fullscreen_scaling?(b=this.original_width/this.original_height,c=this.width/this.height,d=this.fullscreen_mode,a&&0<this.fullscreen_scaling&&(d=this.fullscreen_scaling),this.aspect_scale=
2!==d&&c>b||2===d&&c<b?this.height/this.original_height:this.width/this.original_width,this.running_layout&&(this.running_layout.scrollToX(this.running_layout.scrollX),this.running_layout.scrollToY(this.running_layout.scrollY))):this.aspect_scale=this.isRetina?this.devicePixelRatio:1;this.ClearDeathRow();this.isInOnDestroy++;this.system.runWaits();this.isInOnDestroy--;this.ClearDeathRow();this.isInOnDestroy++;c=this.objects_to_pretick.valuesRef();a=0;for(b=c.length;a<b;a++)c[a].pretick();a=0;for(b=
this.types_by_index.length;a<b;a++)if(h=this.types_by_index[a],!h.is_family&&(h.behaviors.length||h.families.length))for(c=0,d=h.instances.length;c<d;c++)for(g=h.instances[c],e=0,f=g.behavior_insts.length;e<f;e++)g.behavior_insts[e].tick();a=0;for(b=this.types_by_index.length;a<b;a++)if(h=this.types_by_index[a],!h.is_family&&(h.behaviors.length||h.families.length))for(c=0,d=h.instances.length;c<d;c++)for(g=h.instances[c],e=0,f=g.behavior_insts.length;e<f;e++)k=g.behavior_insts[e],k.posttick&&k.posttick();
c=this.objects_to_tick.valuesRef();a=0;for(b=c.length;a<b;a++)c[a].tick();this.isInOnDestroy--;this.handleSaveLoad();for(a=0;this.changelayout&&10>a++;)this.doChangeLayout(this.changelayout);a=0;for(b=this.eventsheets_by_index.length;a<b;a++)this.eventsheets_by_index[a].hasRun=!1;this.running_layout.event_sheet&&this.running_layout.event_sheet.run();this.registered_collisions.length=0;this.layout_first_tick=!1;this.isInOnDestroy++;a=0;for(b=this.types_by_index.length;a<b;a++)if(h=this.types_by_index[a],
!h.is_family&&(h.behaviors.length||h.families.length))for(c=0,d=h.instances.length;c<d;c++)for(g=h.instances[c],e=0,f=g.behavior_insts.length;e<f;e++)k=g.behavior_insts[e],k.tick2&&k.tick2();c=this.objects_to_tick2.valuesRef();a=0;for(b=c.length;a<b;a++)c[a].tick2();this.isInOnDestroy--};a.prototype.doChangeLayout=function(a){var b=this.running_layout;this.running_layout.stopRunning();var c,d,e,f,h,g,k;if(this.glwrap)for(c=0,d=this.types_by_index.length;c<d;c++)h=this.types_by_index[c],h.is_family||
!h.unloadTextures||h.global&&0!==h.instances.length||-1!==a.initial_types.indexOf(h)||h.unloadTextures();b==a&&(this.system.waits.length=0);a.startRunning();c=0;for(d=this.types_by_index.length;c<d;c++)if(h=this.types_by_index[c],h.global||h.plugin.singleglobal)for(a=0,b=h.instances.length;a<b;a++){g=h.instances[a];if(g.onLayoutChange)g.onLayoutChange();if(g.behavior_insts)for(e=0,f=g.behavior_insts.length;e<f;e++)if(k=g.behavior_insts[e],k.onLayoutChange)k.onLayoutChange()}this.layout_first_tick=
this.redraw=!0;this.ClearDeathRow()};a.prototype.pretickMe=function(a){this.objects_to_pretick.add(a)};a.prototype.unpretickMe=function(a){this.objects_to_pretick.remove(a)};a.prototype.tickMe=function(a){this.objects_to_tick.add(a)};a.prototype.untickMe=function(a){this.objects_to_tick.remove(a)};a.prototype.tick2Me=function(a){this.objects_to_tick2.add(a)};a.prototype.untick2Me=function(a){this.objects_to_tick2.remove(a)};a.prototype.getDt=function(a){return a&&-1!==a.my_timescale?this.dt1*a.my_timescale:
this.dt};a.prototype.draw=function(){this.running_layout.draw(this.ctx);this.isDirectCanvas&&this.ctx.present()};a.prototype.drawGL=function(){this.running_layout.drawGL(this.glwrap);this.glwrap.present()};a.prototype.addDestroyCallback=function(a){a&&this.destroycallbacks.push(a)};a.prototype.removeDestroyCallback=function(a){cr.arrayFindRemove(this.destroycallbacks,a)};a.prototype.getObjectByUID=function(a){a=a.toString();return this.objectsByUid.hasOwnProperty(a)?this.objectsByUid[a]:null};a.prototype.DestroyInstance=
function(a){var b,c;if(!this.deathRow.contains(a)){this.deathRow.add(a);if(a.is_contained)for(b=0,c=a.siblings.length;b<c;b++)this.DestroyInstance(a.siblings[b]);this.isInClearDeathRow&&this.deathRow.values_cache.push(a);this.isInOnDestroy++;this.trigger(Object.getPrototypeOf(a.type.plugin).cnds.OnDestroyed,a);this.isInOnDestroy--}};a.prototype.ClearDeathRow=function(){var a,b,c,d,e,f,h,g,k,l;this.isInClearDeathRow=!0;d=0;for(f=this.createRow.length;d<f;d++)for(a=this.createRow[d],b=a.type,b.instances.push(a),
e=0,h=b.families.length;e<h;e++)b.families[e].instances.push(a),b.families[e].stale_iids=!0;this.createRow.length=0;f=this.deathRow.valuesRef();for(d=0;d<f.length;d++){a=f[d];b=a.type;c=b.instances;e=0;for(h=this.destroycallbacks.length;e<h;e++)this.destroycallbacks[e](a);cr.arrayFindRemove(c,a);0===c.length&&(b.any_instance_parallaxed=!1);a.collcells&&b.collision_grid.update(a,a.collcells,null);a.layer&&(cr.arrayRemove(a.layer.instances,a.get_zindex()),a.layer.zindices_stale=!0);e=0;for(h=b.families.length;e<
h;e++)cr.arrayFindRemove(b.families[e].instances,a),b.families[e].stale_iids=!0;if(a.behavior_insts)for(e=0,h=a.behavior_insts.length;e<h;e++){c=a.behavior_insts[e];if(c.onDestroy)c.onDestroy();c.behavior.my_instances.remove(a)}this.objects_to_pretick.remove(a);this.objects_to_tick.remove(a);this.objects_to_tick2.remove(a);e=0;for(h=this.system.waits.length;e<h;e++)if(k=this.system.waits[e],k.sols.hasOwnProperty(b.index)&&cr.arrayFindRemove(k.sols[b.index].insts,a),!b.is_family)for(c=0,g=b.families.length;c<
g;c++)l=b.families[c],k.sols.hasOwnProperty(l.index)&&cr.arrayFindRemove(k.sols[l.index].insts,a);if(a.onDestroy)a.onDestroy();this.objectsByUid.hasOwnProperty(a.uid.toString())&&delete this.objectsByUid[a.uid.toString()];this.objectcount--;64>b.deadCache.length&&b.deadCache.push(a);b.stale_iids=!0}this.deathRow.isEmpty()||(this.redraw=!0);this.deathRow.clear();this.isInClearDeathRow=!1};a.prototype.createInstance=function(a,b,c,d){if(a.is_family){var e=cr.floor(Math.random()*a.members.length);return this.createInstance(a.members[e],
b,c,d)}return a.default_instance?this.createInstanceFromInit(a.default_instance,b,!1,c,d,!1):null};var n=[];a.prototype.createInstanceFromInit=function(a,b,c,d,e,f){var h,g,k,l;if(!a)return null;var m=this.types_by_index[a[1]],q=m.plugin.is_world;if(this.isloading&&q&&!m.isOnLoaderLayout||q&&!this.glwrap&&11===a[0][11])return null;var r=b;q||(b=null);var s;m.deadCache.length?(s=m.deadCache.pop(),s.recycled=!0,m.plugin.Instance.call(s,m)):(s=new m.plugin.Instance(m),s.recycled=!1);s.uid=c&&!f?a[2]:
this.next_uid++;this.objectsByUid[s.uid.toString()]=s;s.puid=this.next_puid++;s.iid=m.instances.length;h=0;for(g=this.createRow.length;h<g;++h)this.createRow[h].type===m&&s.iid++;s.get_iid=cr.inst_get_iid;k=a[3];if(s.recycled)cr.wipe(s.extra);else{s.extra={};if("undefined"!==typeof cr_is_preview)for(s.instance_var_names=[],s.instance_var_names.length=k.length,h=0,g=k.length;h<g;h++)s.instance_var_names[h]=k[h][1];s.instance_vars=[];s.instance_vars.length=k.length}h=0;for(g=k.length;h<g;h++)s.instance_vars[h]=
k[h][0];if(q){var p=a[0];s.x=cr.is_undefined(d)?p[0]:d;s.y=cr.is_undefined(e)?p[1]:e;s.z=p[2];s.width=p[3];s.height=p[4];s.depth=p[5];s.angle=p[6];s.opacity=p[7];s.hotspotX=p[8];s.hotspotY=p[9];s.blend_mode=p[10];h=p[11];!this.glwrap&&m.effect_types.length&&(s.blend_mode=h);s.compositeOp=cr.effectToCompositeOp(s.blend_mode);this.gl&&cr.setGLBlend(s,s.blend_mode,this.gl);if(s.recycled){h=0;for(g=p[12].length;h<g;h++)for(k=0,l=p[12][h].length;k<l;k++)s.effect_params[h][k]=p[12][h][k];s.bbox.set(0,0,
0,0);s.collcells.set(0,0,-1,-1);s.bquad.set_from_rect(s.bbox);s.bbox_changed_callbacks.length=0}else{s.effect_params=p[12].slice(0);h=0;for(g=s.effect_params.length;h<g;h++)s.effect_params[h]=p[12][h].slice(0);s.active_effect_types=[];s.active_effect_flags=[];s.active_effect_flags.length=m.effect_types.length;s.bbox=new cr.rect(0,0,0,0);s.collcells=new cr.rect(0,0,-1,-1);s.bquad=new cr.quad;s.bbox_changed_callbacks=[];s.set_bbox_changed=cr.set_bbox_changed;s.add_bbox_changed_callback=cr.add_bbox_changed_callback;
s.contains_pt=cr.inst_contains_pt;s.update_bbox=cr.update_bbox;s.update_collision_cell=cr.update_collision_cell;s.get_zindex=cr.inst_get_zindex}s.tilemap_exists=!1;s.tilemap_width=0;s.tilemap_height=0;s.tilemap_data=null;14===p.length&&(s.tilemap_exists=!0,s.tilemap_width=p[13][0],s.tilemap_height=p[13][1],s.tilemap_data=p[13][2]);h=0;for(g=m.effect_types.length;h<g;h++)s.active_effect_flags[h]=!0;s.updateActiveEffects=cr.inst_updateActiveEffects;s.updateActiveEffects();s.uses_shaders=!!s.active_effect_types.length;
s.bbox_changed=!0;s.cell_changed=!0;m.any_cell_changed=!0;s.visible=!0;s.my_timescale=-1;s.layer=b;s.zindex=b.instances.length;"undefined"===typeof s.collision_poly&&(s.collision_poly=null);this.redraw=s.collisionsEnabled=!0}s.toString=cr.inst_toString;var u;h=n.length=0;for(g=m.families.length;h<g;h++)n.push.apply(n,m.families[h].behaviors);n.push.apply(n,m.behaviors);if(s.recycled)for(h=0,g=n.length;h<g;h++){var t=n[h];u=s.behavior_insts[h];u.recycled=!0;t.behavior.Instance.call(u,t,s);p=a[4][h];
k=0;for(l=p.length;k<l;k++)u.properties[k]=p[k];u.onCreate();t.behavior.my_instances.add(s)}else for(s.behavior_insts=[],h=0,g=n.length;h<g;h++)t=n[h],u=new t.behavior.Instance(t,s),u.recycled=!1,u.properties=a[4][h].slice(0),u.onCreate(),cr.seal(u),s.behavior_insts.push(u),t.behavior.my_instances.add(s);p=a[5];if(s.recycled)for(h=0,g=p.length;h<g;h++)s.properties[h]=p[h];else s.properties=p.slice(0);this.createRow.push(s);b&&(b.instances.push(s),1!==b.parallaxX||1!==b.parallaxY)&&(m.any_instance_parallaxed=
!0);this.objectcount++;if(m.is_contained){if(s.is_contained=!0,s.recycled?s.siblings.length=0:s.siblings=[],!c&&!f){h=0;for(g=m.container.length;h<g;h++)if(m.container[h]!==m){if(!m.container[h].default_instance)return null;s.siblings.push(this.createInstanceFromInit(m.container[h].default_instance,r,!1,q?s.x:d,q?s.y:e,!0))}h=0;for(g=s.siblings.length;h<g;h++)for(s.siblings[h].siblings.push(s),k=0;k<g;k++)h!==k&&s.siblings[h].siblings.push(s.siblings[k])}}else s.is_contained=!1,s.siblings=null;s.onCreate();
s.recycled||cr.seal(s);h=0;for(g=s.behavior_insts.length;h<g;h++)s.behavior_insts[h].postCreate&&s.behavior_insts[h].postCreate();return s};a.prototype.getLayerByName=function(a){var b,c;b=0;for(c=this.running_layout.layers.length;b<c;b++){var d=this.running_layout.layers[b];if(cr.equals_nocase(d.name,a))return d}return null};a.prototype.getLayerByNumber=function(a){a=cr.floor(a);0>a&&(a=0);a>=this.running_layout.layers.length&&(a=this.running_layout.layers.length-1);return this.running_layout.layers[a]};
a.prototype.getLayer=function(a){return cr.is_number(a)?this.getLayerByNumber(a):this.getLayerByName(a.toString())};a.prototype.clearSol=function(a){var b,c;b=0;for(c=a.length;b<c;b++)a[b].getCurrentSol().select_all=!0};a.prototype.pushCleanSol=function(a){var b,c;b=0;for(c=a.length;b<c;b++)a[b].pushCleanSol()};a.prototype.pushCopySol=function(a){var b,c;b=0;for(c=a.length;b<c;b++)a[b].pushCopySol()};a.prototype.popSol=function(a){var b,c;b=0;for(c=a.length;b<c;b++)a[b].popSol()};a.prototype.updateAllCells=
function(a){if(a.any_cell_changed){var b,c,d=a.instances;b=0;for(c=d.length;b<c;++b)d[b].update_collision_cell();d=this.createRow;b=0;for(c=d.length;b<c;++b)d[b].type===a&&d[b].update_collision_cell();a.any_cell_changed=!1}};a.prototype.getCollisionCandidates=function(a,b,c,d){var e,f,h=a?1!==a.parallaxX||1!==a.parallaxY:!1;if(b.is_family)for(a=0,e=b.members.length;a<e;++a)f=b.members[a],h||f.any_instance_parallaxed?cr.appendArray(d,f.instances):(this.updateAllCells(f),f.collision_grid.queryRange(c,
d));else h||b.any_instance_parallaxed?cr.appendArray(d,b.instances):(this.updateAllCells(b),b.collision_grid.queryRange(c,d))};a.prototype.getTypesCollisionCandidates=function(a,b,c,d){var e,f;e=0;for(f=b.length;e<f;++e)this.getCollisionCandidates(a,b[e],c,d)};a.prototype.getSolidCollisionCandidates=function(a,b,c){var d=this.getSolidBehavior();if(!d)return null;this.getTypesCollisionCandidates(a,d.my_types,b,c)};a.prototype.getJumpthruCollisionCandidates=function(a,b,c){var d=this.getJumpthruBehavior();
if(!d)return null;this.getTypesCollisionCandidates(a,d.my_types,b,c)};a.prototype.testAndSelectCanvasPointOverlap=function(a,b,c,d){var e=a.getCurrentSol(),f,h,g,k,l,m;if(e.select_all)for(d||(e.select_all=!1,e.instances.length=0),f=0,k=a.instances.length;f<k;f++){if(g=a.instances[f],g.update_bbox(),l=g.layer.canvasToLayer(b,c,!0),m=g.layer.canvasToLayer(b,c,!1),g.contains_pt(l,m)){if(d)return!1;e.instances.push(g)}}else{f=h=0;for(k=e.instances.length;f<k;f++)if(g=e.instances[f],g.update_bbox(),l=
g.layer.canvasToLayer(b,c,!0),m=g.layer.canvasToLayer(b,c,!1),g.contains_pt(l,m)){if(d)return!1;e.instances[h]=e.instances[f];h++}d||(e.instances.length=h)}a.applySolToContainer();return d?!0:e.hasObjects()};a.prototype.testOverlap=function(a,b){if(!(a&&b&&a!==b&&a.collisionsEnabled&&b.collisionsEnabled))return!1;a.update_bbox();b.update_bbox();var c=a.layer,d=b.layer,e,f,h,g,k,l,m,n;if(c===d||c.parallaxX===d.parallaxX&&d.parallaxY===d.parallaxY&&c.scale===d.scale&&c.angle===d.angle&&c.zoomRate===
d.zoomRate){if(!a.bbox.intersects_rect(b.bbox)||!a.bquad.intersects_quad(b.bquad)||a.tilemap_exists&&b.tilemap_exists)return!1;if(a.tilemap_exists)return this.testTilemapOverlap(a,b);if(b.tilemap_exists)return this.testTilemapOverlap(b,a);m=a.collision_poly&&!a.collision_poly.is_empty();e=b.collision_poly&&!b.collision_poly.is_empty();if(!m&&!e)return!0;m?(a.collision_poly.cache_poly(a.width,a.height,a.angle),m=a.collision_poly):(this.temp_poly.set_from_quad(a.bquad,a.x,a.y,a.width,a.height),m=this.temp_poly);
e?(b.collision_poly.cache_poly(b.width,b.height,b.angle),n=b.collision_poly):(this.temp_poly.set_from_quad(b.bquad,b.x,b.y,b.width,b.height),n=this.temp_poly);return m.intersects_poly(n,b.x-a.x,b.y-a.y)}m=a.collision_poly&&!a.collision_poly.is_empty();e=b.collision_poly&&!b.collision_poly.is_empty();m?(a.collision_poly.cache_poly(a.width,a.height,a.angle),this.temp_poly.set_from_poly(a.collision_poly)):this.temp_poly.set_from_quad(a.bquad,a.x,a.y,a.width,a.height);m=this.temp_poly;e?(b.collision_poly.cache_poly(b.width,
b.height,b.angle),this.temp_poly2.set_from_poly(b.collision_poly)):this.temp_poly2.set_from_quad(b.bquad,b.x,b.y,b.width,b.height);n=this.temp_poly2;e=0;for(f=m.pts_count;e<f;e++)h=2*e,g=h+1,k=m.pts_cache[h],l=m.pts_cache[g],m.pts_cache[h]=c.layerToCanvas(k+a.x,l+a.y,!0),m.pts_cache[g]=c.layerToCanvas(k+a.x,l+a.y,!1);m.update_bbox();e=0;for(f=n.pts_count;e<f;e++)h=2*e,g=h+1,k=n.pts_cache[h],l=n.pts_cache[g],n.pts_cache[h]=d.layerToCanvas(k+b.x,l+b.y,!0),n.pts_cache[g]=d.layerToCanvas(k+b.x,l+b.y,
!1);n.update_bbox();return m.intersects_poly(n,0,0)};var r=new cr.quad,p=new cr.rect(0,0,0,0),q=[];a.prototype.testTilemapOverlap=function(a,b){var c,d,e,f,h=b.bbox,g=a.x,k=a.y;a.getCollisionRectCandidates(h,q);var m=b.collision_poly&&!b.collision_poly.is_empty();c=0;for(d=q.length;c<d;++c)if(e=q[c],f=e.rc,h.intersects_rect_off(f,g,k)&&(r.set_from_rect(f),r.offset(g,k),r.intersects_quad(b.bquad)))if(m)if(b.collision_poly.cache_poly(b.width,b.height,b.angle),e.poly){if(e.poly.intersects_poly(b.collision_poly,
b.x-(g+f.left),b.y-(k+f.top)))return q.length=0,!0}else{if(this.temp_poly.set_from_quad(r,0,0,f.right-f.left,f.bottom-f.top),this.temp_poly.intersects_poly(b.collision_poly,b.x,b.y))return q.length=0,!0}else if(e.poly){if(this.temp_poly.set_from_quad(b.bquad,0,0,b.width,b.height),e.poly.intersects_poly(this.temp_poly,-(g+f.left),-(k+f.top)))return q.length=0,!0}else return q.length=0,!0;q.length=0;return!1};a.prototype.testRectOverlap=function(a,b){if(!b||!b.collisionsEnabled)return!1;b.update_bbox();
if(!b.bbox.intersects_rect(a))return!1;if(b.tilemap_exists){b.getCollisionRectCandidates(a,q);var c,d,e,f,h=b.x,g=b.y;c=0;for(d=q.length;c<d;++c)if(e=q[c],f=e.rc,a.intersects_rect_off(f,h,g))if(e.poly){if(this.temp_poly.set_from_rect(a,0,0),e.poly.intersects_poly(this.temp_poly,-(h+f.left),-(g+f.top)))return q.length=0,!0}else return q.length=0,!0;q.length=0;return!1}r.set_from_rect(a);if(!b.bquad.intersects_quad(r))return!1;if(!b.collision_poly||b.collision_poly.is_empty())return!0;b.collision_poly.cache_poly(b.width,
b.height,b.angle);r.offset(-a.left,-a.top);this.temp_poly.set_from_quad(r,0,0,1,1);return b.collision_poly.intersects_poly(this.temp_poly,a.left-b.x,a.top-b.y)};a.prototype.testSegmentOverlap=function(a,b,c,d,e){if(!e||!e.collisionsEnabled)return!1;e.update_bbox();p.set(cr.min(a,c),cr.min(b,d),cr.max(a,c),cr.max(b,d));if(!e.bbox.intersects_rect(p))return!1;if(e.tilemap_exists){e.getCollisionRectCandidates(p,q);var f,h,g,k=e.x,m=e.y;e=0;for(f=q.length;e<f;++e)if(h=q[e],g=h.rc,p.intersects_rect_off(g,
k,m)&&(r.set_from_rect(g),r.offset(k,m),r.intersects_segment(a,b,c,d)))if(h.poly){if(h.poly.intersects_segment(k+g.left,m+g.top,a,b,c,d))return q.length=0,!0}else return q.length=0,!0;q.length=0;return!1}if(!e.bquad.intersects_segment(a,b,c,d))return!1;if(!e.collision_poly||e.collision_poly.is_empty())return!0;e.collision_poly.cache_poly(e.width,e.height,e.angle);return e.collision_poly.intersects_segment(e.x,e.y,a,b,c,d)};a.prototype.typeHasBehavior=function(a,b){if(!b)return!1;var c,d,e,f,h;c=0;
for(d=a.behaviors.length;c<d;c++)if(a.behaviors[c].behavior instanceof b)return!0;if(!a.is_family)for(c=0,d=a.families.length;c<d;c++)for(h=a.families[c],e=0,f=h.behaviors.length;e<f;e++)if(h.behaviors[e].behavior instanceof b)return!0;return!1};a.prototype.typeHasNoSaveBehavior=function(a){return this.typeHasBehavior(a,cr.behaviors.NoSave)};a.prototype.typeHasPersistBehavior=function(a){return this.typeHasBehavior(a,cr.behaviors.Persist)};a.prototype.getSolidBehavior=function(){return this.solidBehavior};
a.prototype.getJumpthruBehavior=function(){return this.jumpthruBehavior};var t=[];a.prototype.testOverlapSolid=function(a){var b,c,d;a.update_bbox();this.getSolidCollisionCandidates(a.layer,a.bbox,t);b=0;for(c=t.length;b<c;++b)if(d=t[b],d.extra.solidEnabled&&this.testOverlap(a,d))return t.length=0,d;t.length=0;return null};a.prototype.testRectOverlapSolid=function(a){var b,c,d;this.getSolidCollisionCandidates(null,a,t);b=0;for(c=t.length;b<c;++b)if(d=t[b],d.extra.solidEnabled&&this.testRectOverlap(a,
d))return t.length=0,d;t.length=0;return null};var s=[];a.prototype.testOverlapJumpThru=function(a,b){var c=null;b&&(c=s,c.length=0);a.update_bbox();this.getJumpthruCollisionCandidates(a.layer,a.bbox,t);var d,e,f;d=0;for(e=t.length;d<e;++d)if(f=t[d],f.extra.jumpthruEnabled&&this.testOverlap(a,f))if(b)c.push(f);else return t.length=0,f;t.length=0;return c};a.prototype.pushOutSolid=function(a,b,c,d,e,f){d=d||50;var h=a.x,g=a.y,k,m=null,l=null;for(k=0;k<d;k++)if(a.x=h+b*k,a.y=g+c*k,a.set_bbox_changed(),
!this.testOverlap(a,m)&&((m=this.testOverlapSolid(a))&&(l=m),!m&&(e&&(m=f?this.testOverlap(a,f)?f:null:this.testOverlapJumpThru(a))&&(l=m),!m)))return l&&this.pushInFractional(a,b,c,l,16),!0;a.x=h;a.y=g;a.set_bbox_changed();return!1};a.prototype.pushOut=function(a,b,c,d,e){d=d||50;var f=a.x,h=a.y,g;for(g=0;g<d;g++)if(a.x=f+b*g,a.y=h+c*g,a.set_bbox_changed(),!this.testOverlap(a,e))return!0;a.x=f;a.y=h;a.set_bbox_changed();return!1};a.prototype.pushInFractional=function(a,b,c,d,e){var f=2,h,g=!1;h=
!1;for(var k=a.x,m=a.y;f<=e;)h=1/f,f*=2,a.x+=b*h*(g?1:-1),a.y+=c*h*(g?1:-1),a.set_bbox_changed(),this.testOverlap(a,d)?h=g=!0:(h=g=!1,k=a.x,m=a.y);h&&(a.x=k,a.y=m,a.set_bbox_changed())};a.prototype.pushOutSolidNearest=function(a,b){var c=cr.is_undefined(b)?100:b,d=0,e=a.x,f=a.y,h=0,g=0,k=0,m=this.testOverlapSolid(a);if(!m)return!0;for(;d<=c;){switch(h){case 0:g=0;k=-1;d++;break;case 1:g=1;k=-1;break;case 2:g=1;k=0;break;case 3:k=g=1;break;case 4:g=0;k=1;break;case 5:g=-1;k=1;break;case 6:g=-1;k=0;
break;case 7:k=g=-1}h=(h+1)%8;a.x=cr.floor(e+g*d);a.y=cr.floor(f+k*d);a.set_bbox_changed();if(!this.testOverlap(a,m)&&(m=this.testOverlapSolid(a),!m))return!0}a.x=e;a.y=f;a.set_bbox_changed();return!1};a.prototype.registerCollision=function(a,b){a.collisionsEnabled&&b.collisionsEnabled&&this.registered_collisions.push([a,b])};a.prototype.checkRegisteredCollision=function(a,b){var c,d,e;c=0;for(d=this.registered_collisions.length;c<d;c++)if(e=this.registered_collisions[c],e[0]==a&&e[1]==b||e[0]==b&&
e[1]==a)return!0;return!1};a.prototype.calculateSolidBounceAngle=function(a,b,c,d){var e=a.x,f=a.y,h=cr.max(10,cr.distanceTo(b,c,e,f)),g=cr.angleTo(b,c,e,f),k=d||this.testOverlapSolid(a);if(!k)return cr.clamp_angle(g+cr.PI);var m=k,l,n,q,s,r=cr.to_radians(5);for(l=1;36>l;l++)if(n=g-l*r,a.x=b+Math.cos(n)*h,a.y=c+Math.sin(n)*h,a.set_bbox_changed(),!this.testOverlap(a,m)&&(m=d?null:this.testOverlapSolid(a),!m)){q=n;break}36===l&&(q=cr.clamp_angle(g+cr.PI));m=k;for(l=1;36>l;l++)if(n=g+l*r,a.x=b+Math.cos(n)*
h,a.y=c+Math.sin(n)*h,a.set_bbox_changed(),!this.testOverlap(a,m)&&(m=d?null:this.testOverlapSolid(a),!m)){s=n;break}36===l&&(s=cr.clamp_angle(g+cr.PI));a.x=e;a.y=f;a.set_bbox_changed();if(s===q)return s;a=cr.angleDiff(s,q)/2;a=cr.angleClockwise(s,q)?cr.clamp_angle(q+a+cr.PI):cr.clamp_angle(s+a);q=Math.cos(g);g=Math.sin(g);s=Math.cos(a);a=Math.sin(a);b=q*s+g*a;return cr.angleTo(0,0,q-2*b*s,g-2*b*a)};var u=-1;a.prototype.trigger=function(a,b,c){if(!this.running_layout)return!1;var d=this.running_layout.event_sheet;
if(!d)return!1;var e=!1,f,h,g;u++;var k=d.deep_includes;h=0;for(g=k.length;h<g;++h)f=this.triggerOnSheet(a,b,k[h],c),e=e||f;f=this.triggerOnSheet(a,b,d,c);u--;return e||f};a.prototype.triggerOnSheet=function(a,b,c,d){var e=!1,f,h,g,k;if(b)for(g=this.triggerOnSheetForTypeName(a,b,b.type.name,c,d),e=e||g,k=b.type.families,f=0,h=k.length;f<h;++f)g=this.triggerOnSheetForTypeName(a,b,k[f].name,c,d),e=e||g;else g=this.triggerOnSheetForTypeName(a,b,"system",c,d),e=e||g;return e};a.prototype.triggerOnSheetForTypeName=
function(a,b,c,d,e){var f,h=!1,g=!1,g="undefined"!==typeof e,k=(g?d.fasttriggers:d.triggers)[c];if(!k)return h;var m=null;d=0;for(f=k.length;d<f;++d)if(k[d].method==a){m=k[d].evs;break}if(!m)return h;a=g?m[e]:m;if(!a)return null;d=0;for(f=a.length;d<f;d++)e=a[d][0],g=a[d][1],g=this.executeSingleTrigger(b,c,e,g),h=h||g;return h};a.prototype.executeSingleTrigger=function(a,b,c,d){var e,f,h=!1;this.trigger_depth++;var g=this.getCurrentEventStack().current_event;g&&this.pushCleanSol(g.solModifiersIncludingParents);
var k=1<this.trigger_depth;this.pushCleanSol(c.solModifiersIncludingParents);k&&this.pushLocalVarStack();var m=this.pushEventStack(c);m.current_event=c;a&&(e=this.types[b].getCurrentSol(),e.select_all=!1,e.instances.length=1,e.instances[0]=a,this.types[b].applySolToContainer());a=!0;if(c.parent){b=m.temp_parents_arr;for(e=c.parent;e;)b.push(e),e=e.parent;b.reverse();e=0;for(f=b.length;e<f;e++)if(!b[e].run_pretrigger()){a=!1;break}}a&&(this.execcount++,c.orblock?c.run_orblocktrigger(d):c.run(),h=h||
m.last_event_true);this.popEventStack();k&&this.popLocalVarStack();this.popSol(c.solModifiersIncludingParents);g&&this.popSol(g.solModifiersIncludingParents);0!==this.isInOnDestroy||0!==u||this.isRunningEvents||this.deathRow.isEmpty()&&!this.createRow.length||this.ClearDeathRow();this.trigger_depth--;return h};a.prototype.getCurrentCondition=function(){var a=this.getCurrentEventStack();return a.current_event.conditions[a.cndindex]};a.prototype.getCurrentAction=function(){var a=this.getCurrentEventStack();
return a.current_event.actions[a.actindex]};a.prototype.pushLocalVarStack=function(){this.localvar_stack_index++;this.localvar_stack_index>=this.localvar_stack.length&&this.localvar_stack.push([])};a.prototype.popLocalVarStack=function(){this.localvar_stack_index--};a.prototype.getCurrentLocalVarStack=function(){return this.localvar_stack[this.localvar_stack_index]};a.prototype.pushEventStack=function(a){this.event_stack_index++;this.event_stack_index>=this.event_stack.length&&this.event_stack.push(new cr.eventStackFrame);
var b=this.getCurrentEventStack();b.reset(a);return b};a.prototype.popEventStack=function(){this.event_stack_index--};a.prototype.getCurrentEventStack=function(){return this.event_stack[this.event_stack_index]};a.prototype.pushLoopStack=function(a){this.loop_stack_index++;this.loop_stack_index>=this.loop_stack.length&&this.loop_stack.push(cr.seal({name:a,index:0,stopped:!1}));var b=this.getCurrentLoop();b.name=a;b.index=0;b.stopped=!1;return b};a.prototype.popLoopStack=function(){this.loop_stack_index--};
a.prototype.getCurrentLoop=function(){return this.loop_stack[this.loop_stack_index]};a.prototype.getEventVariableByName=function(a,b){for(var c,d,e,f,h,g;b;){c=0;for(d=b.subevents.length;c<d;c++)if(g=b.subevents[c],g instanceof cr.eventvariable&&cr.equals_nocase(a,g.name))return g;b=b.parent}c=0;for(d=this.eventsheets_by_index.length;c<d;c++)for(h=this.eventsheets_by_index[c],e=0,f=h.events.length;e<f;e++)if(g=h.events[e],g instanceof cr.eventvariable&&cr.equals_nocase(a,g.name))return g;return null};
a.prototype.getLayoutBySid=function(a){var b,c;b=0;for(c=this.layouts_by_index.length;b<c;b++)if(this.layouts_by_index[b].sid===a)return this.layouts_by_index[b];return null};a.prototype.getObjectTypeBySid=function(a){var b,c;b=0;for(c=this.types_by_index.length;b<c;b++)if(this.types_by_index[b].sid===a)return this.types_by_index[b];return null};a.prototype.getGroupBySid=function(a){var b,c;b=0;for(c=this.allGroups.length;b<c;b++)if(this.allGroups[b].sid===a)return this.allGroups[b];return null};
a.prototype.signalContinuousPreview=function(){this.signalledContinuousPreview=!0};a.prototype.handleSaveLoad=function(){var a=this,b=this.saveToSlot,e=this.lastSaveJson,h=this.loadFromSlot,g=!1;this.signalledContinuousPreview&&(g=!0,b="__c2_continuouspreview",this.signalledContinuousPreview=!1);if(b.length){this.ClearDeathRow();e=this.saveToJSONString();if(window.indexedDB&&!this.isCocoonJs)c(b,e,function(){cr.logexport("Saved state to IndexedDB storage ("+e.length+" bytes)");a.lastSaveJson=e;a.trigger(cr.system_object.prototype.cnds.OnSaveComplete,
null);a.lastSaveJson="";g&&f()},function(c){try{localStorage.setItem("__c2save_"+b,e),cr.logexport("Saved state to WebStorage ("+e.length+" bytes)"),a.lastSaveJson=e,a.trigger(cr.system_object.prototype.cnds.OnSaveComplete,null),a.lastSaveJson="",g&&f()}catch(d){cr.logexport("Failed to save game state: "+c+"; "+d)}});else try{localStorage.setItem("__c2save_"+b,e),cr.logexport("Saved state to WebStorage ("+e.length+" bytes)"),a.lastSaveJson=e,this.trigger(cr.system_object.prototype.cnds.OnSaveComplete,
null),a.lastSaveJson="",g&&f()}catch(k){cr.logexport("Error saving to WebStorage: "+k)}this.loadFromJson=this.loadFromSlot=this.saveToSlot=""}h.length&&(window.indexedDB&&!this.isCocoonJs?d(h,function(b){b?(a.loadFromJson=b,cr.logexport("Loaded state from IndexedDB storage ("+a.loadFromJson.length+" bytes)")):(a.loadFromJson=localStorage.getItem("__c2save_"+h)||"",cr.logexport("Loaded state from WebStorage ("+a.loadFromJson.length+" bytes)"));a.suspendDrawing=!1;a.loadFromJson.length||a.trigger(cr.system_object.prototype.cnds.OnLoadFailed,
null)},function(b){a.loadFromJson=localStorage.getItem("__c2save_"+h)||"";cr.logexport("Loaded state from WebStorage ("+a.loadFromJson.length+" bytes)");a.suspendDrawing=!1;a.loadFromJson.length||a.trigger(cr.system_object.prototype.cnds.OnLoadFailed,null)}):(this.loadFromJson=localStorage.getItem("__c2save_"+h)||"",cr.logexport("Loaded state from WebStorage ("+this.loadFromJson.length+" bytes)"),this.suspendDrawing=!1,a.loadFromJson.length||a.trigger(cr.system_object.prototype.cnds.OnLoadFailed,
null)),this.saveToSlot=this.loadFromSlot="");this.loadFromJson.length&&(this.ClearDeathRow(),this.loadFromJSONString(this.loadFromJson),this.lastSaveJson=this.loadFromJson,this.trigger(cr.system_object.prototype.cnds.OnLoadComplete,null),this.loadFromJson=this.lastSaveJson="")};a.prototype.saveToJSONString=function(){var a,b,c,d,f,h,g,k={c2save:!0,version:1,rt:{time:this.kahanTime.sum,timescale:this.timescale,tickcount:this.tickcount,execcount:this.execcount,next_uid:this.next_uid,running_layout:this.running_layout.sid,
start_time_offset:Date.now()-this.start_time},types:{},layouts:{},events:{groups:{},cnds:{},acts:{},vars:{}}};a=0;for(b=this.types_by_index.length;a<b;a++)if(f=this.types_by_index[a],!f.is_family&&!this.typeHasNoSaveBehavior(f)){h={instances:[]};cr.hasAnyOwnProperty(f.extra)&&(h.ex=e(f.extra));c=0;for(d=f.instances.length;c<d;c++)h.instances.push(this.saveInstanceToJSON(f.instances[c]));k.types[f.sid.toString()]=h}a=0;for(b=this.layouts_by_index.length;a<b;a++)c=this.layouts_by_index[a],k.layouts[c.sid.toString()]=
c.saveToJSON();d=k.events.groups;a=0;for(b=this.allGroups.length;a<b;a++)c=this.allGroups[a],d[c.sid.toString()]=this.groups_by_name[c.group_name].group_active;b=k.events.cnds;for(g in this.cndsBySid)this.cndsBySid.hasOwnProperty(g)&&(a=this.cndsBySid[g],cr.hasAnyOwnProperty(a.extra)&&(b[g]={ex:e(a.extra)}));b=k.events.acts;for(g in this.actsBySid)this.actsBySid.hasOwnProperty(g)&&(a=this.actsBySid[g],cr.hasAnyOwnProperty(a.extra)&&(b[g]={ex:a.extra}));b=k.events.vars;for(g in this.varsBySid)this.varsBySid.hasOwnProperty(g)&&
(a=this.varsBySid[g],a.is_constant||a.parent&&!a.is_static||(b[g]=a.data));k.system=this.system.saveToJSON();return JSON.stringify(k)};a.prototype.refreshUidMap=function(){var a,b,c,d,e,f;this.objectsByUid={};a=0;for(b=this.types_by_index.length;a<b;a++)if(c=this.types_by_index[a],!c.is_family)for(d=0,e=c.instances.length;d<e;d++)f=c.instances[d],this.objectsByUid[f.uid.toString()]=f};a.prototype.loadFromJSONString=function(a){a=JSON.parse(a);if(a.c2save&&!(1<a.version)){var b=a.rt;this.kahanTime.reset();
this.kahanTime.sum=b.time;this.timescale=b.timescale;this.tickcount=b.tickcount;this.start_time=Date.now()-b.start_time_offset;var c=b.running_layout;if(c!==this.running_layout.sid)if(c=this.getLayoutBySid(c))this.doChangeLayout(c);else return;this.isLoadingState=!0;var d,e,f,h,g,k,m;k=a.types;for(e in k)if(k.hasOwnProperty(e)&&(h=this.getObjectTypeBySid(parseInt(e,10)))&&!h.is_family&&!this.typeHasNoSaveBehavior(h)){k[e].ex?h.extra=k[e].ex:cr.wipe(h.extra);g=h.instances;f=k[e].instances;c=0;for(d=
cr.min(g.length,f.length);c<d;c++)this.loadInstanceFromJSON(g[c],f[c]);c=f.length;for(d=g.length;c<d;c++)this.DestroyInstance(g[c]);c=g.length;for(d=f.length;c<d;c++){g=null;if(h.plugin.is_world&&(g=this.running_layout.getLayerBySid(f[c].w.l),!g))continue;g=this.createInstanceFromInit(h.default_instance,g,!1,0,0,!0);this.loadInstanceFromJSON(g,f[c])}h.stale_iids=!0}this.ClearDeathRow();this.refreshUidMap();d=a.layouts;for(e in d)d.hasOwnProperty(e)&&(c=this.getLayoutBySid(parseInt(e,10)))&&c.loadFromJSON(d[e]);
d=a.events.groups;for(e in d)d.hasOwnProperty(e)&&(c=this.getGroupBySid(parseInt(e,10)))&&this.groups_by_name[c.group_name]&&(this.groups_by_name[c.group_name].group_active=d[e]);c=a.events.cnds;for(e in c)c.hasOwnProperty(e)&&this.cndsBySid.hasOwnProperty(e)&&(this.cndsBySid[e].extra=c[e].ex);c=a.events.acts;for(e in c)c.hasOwnProperty(e)&&this.actsBySid.hasOwnProperty(e)&&(this.actsBySid[e].extra=c[e].ex);c=a.events.vars;for(e in c)c.hasOwnProperty(e)&&this.varsBySid.hasOwnProperty(e)&&(this.varsBySid[e].data=
c[e]);this.next_uid=b.next_uid;this.isLoadingState=!1;this.system.loadFromJSON(a.system);c=0;for(d=this.types_by_index.length;c<d;c++)if(h=this.types_by_index[c],!h.is_family)for(e=0,a=h.instances.length;e<a;e++){g=h.instances[e];if(h.is_contained)for(k=g.get_iid(),b=g.siblings.length=0,f=h.container.length;b<f;b++)m=h.container[b],h!==m&&g.siblings.push(m.instances[k]);g.afterLoad&&g.afterLoad();if(g.behavior_insts)for(b=0,f=g.behavior_insts.length;b<f;b++)k=g.behavior_insts[b],k.afterLoad&&k.afterLoad()}this.redraw=
!0}};a.prototype.saveInstanceToJSON=function(a,b){var c,d,f,h,g;h=a.type;f=h.plugin;var k={};b?k.c2=!0:k.uid=a.uid;cr.hasAnyOwnProperty(a.extra)&&(k.ex=e(a.extra));if(a.instance_vars&&a.instance_vars.length)for(k.ivs={},c=0,d=a.instance_vars.length;c<d;c++)k.ivs[a.type.instvar_sids[c].toString()]=a.instance_vars[c];if(f.is_world){f={x:a.x,y:a.y,w:a.width,h:a.height,l:a.layer.sid,zi:a.get_zindex()};0!==a.angle&&(f.a=a.angle);1!==a.opacity&&(f.o=a.opacity);0.5!==a.hotspotX&&(f.hX=a.hotspotX);0.5!==
a.hotspotY&&(f.hY=a.hotspotY);0!==a.blend_mode&&(f.bm=a.blend_mode);a.visible||(f.v=a.visible);a.collisionsEnabled||(f.ce=a.collisionsEnabled);-1!==a.my_timescale&&(f.mts=a.my_timescale);if(h.effect_types.length)for(f.fx=[],c=0,d=h.effect_types.length;c<d;c++)g=h.effect_types[c],f.fx.push({name:g.name,active:a.active_effect_flags[g.index],params:a.effect_params[g.index]});k.w=f}if(a.behavior_insts&&a.behavior_insts.length)for(k.behs={},c=0,d=a.behavior_insts.length;c<d;c++)h=a.behavior_insts[c],h.saveToJSON&&
(k.behs[h.type.sid.toString()]=h.saveToJSON());a.saveToJSON&&(k.data=a.saveToJSON());return k};a.prototype.getInstanceVarIndexBySid=function(a,b){var c,d;c=0;for(d=a.instvar_sids.length;c<d;c++)if(a.instvar_sids[c]===b)return c;return-1};a.prototype.getBehaviorIndexBySid=function(a,b){var c,d;c=0;for(d=a.behavior_insts.length;c<d;c++)if(a.behavior_insts[c].type.sid===b)return c;return-1};a.prototype.loadInstanceFromJSON=function(a,b,c){var d,e,f,h,g;g=a.type;f=g.plugin;if(c){if(!b.c2)return}else a.uid=
b.uid;b.ex?a.extra=b.ex:cr.wipe(a.extra);if(e=b.ivs)for(d in e)e.hasOwnProperty(d)&&(c=this.getInstanceVarIndexBySid(g,parseInt(d,10)),0>c||c>=a.instance_vars.length||(a.instance_vars[c]=e[d]));if(f.is_world){f=b.w;a.layer.sid!==f.l&&(c=a.layer,a.layer=this.running_layout.getLayerBySid(f.l),a.layer?(a.layer.instances.push(a),a.layer.zindices_stale=!0,cr.arrayFindRemove(c.instances,a),c.zindices_stale=!0):(a.layer=c,this.DestroyInstance(a)));a.x=f.x;a.y=f.y;a.width=f.w;a.height=f.h;a.zindex=f.zi;a.angle=
f.hasOwnProperty("a")?f.a:0;a.opacity=f.hasOwnProperty("o")?f.o:1;a.hotspotX=f.hasOwnProperty("hX")?f.hX:0.5;a.hotspotY=f.hasOwnProperty("hY")?f.hY:0.5;a.visible=f.hasOwnProperty("v")?f.v:!0;a.collisionsEnabled=f.hasOwnProperty("ce")?f.ce:!0;a.my_timescale=f.hasOwnProperty("mts")?f.mts:-1;a.blend_mode=f.hasOwnProperty("bm")?f.bm:0;a.compositeOp=cr.effectToCompositeOp(a.blend_mode);this.gl&&cr.setGLBlend(a,a.blend_mode,this.gl);a.set_bbox_changed();if(f.hasOwnProperty("fx"))for(c=0,e=f.fx.length;c<
e;c++)h=g.getEffectIndexByName(f.fx[c].name),0>h||(a.active_effect_flags[h]=f.fx[c].active,a.effect_params[h]=f.fx[c].params);a.updateActiveEffects()}if(g=b.behs)for(d in g)g.hasOwnProperty(d)&&(f=this.getBehaviorIndexBySid(a,parseInt(d,10)),0>f||a.behavior_insts[f].loadFromJSON(g[d]));b.data&&a.loadFromJSON(b.data)};cr.runtime=a;cr.createRuntime=function(b){return new a(document.getElementById(b))};cr.createDCRuntime=function(b,c){return new a({dc:!0,width:b,height:c})};window.cr_createRuntime=cr.createRuntime;
window.cr_createDCRuntime=cr.createDCRuntime;window.createCocoonJSRuntime=function(){window.c2cocoonjs=!0;var b=document.createElement("screencanvas")||document.createElement("canvas");b.screencanvas=!0;document.body.appendChild(b);b=new a(b);window.c2runtime=b;window.addEventListener("orientationchange",function(){window.c2runtime.setSize(window.innerWidth,window.innerHeight)});window.c2runtime.setSize(window.innerWidth,window.innerHeight);return b};window.createEjectaRuntime=function(){var b=document.getElementById("canvas"),
b=new a(b);window.c2runtime=b;window.c2runtime.setSize(window.innerWidth,window.innerHeight);return b}})();window.cr_getC2Runtime=function(){var a=document.getElementById("c2canvas");return a?a.c2runtime:window.c2runtime?window.c2runtime:null};window.cr_sizeCanvas=function(a,b){if(0!==a&&0!==b){var c=window.cr_getC2Runtime();c&&c.setSize(a,b)}};window.cr_setSuspended=function(a){var b=window.cr_getC2Runtime();b&&b.setSuspended(a)};
(function(){function a(a,b){this.runtime=a;this.event_sheet=null;this.scrollX=this.runtime.original_width/2;this.scrollY=this.runtime.original_height/2;this.scale=1;this.angle=0;this.first_visit=!0;this.name=b[0];this.width=b[1];this.height=b[2];this.unbounded_scrolling=b[3];this.sheetname=b[4];this.sid=b[5];var c=b[6],d,k;this.layers=[];this.initial_types=[];d=0;for(k=c.length;d<k;d++){var h=new cr.layer(this,c[d]);h.number=d;cr.seal(h);this.layers.push(h)}c=b[7];this.initial_nonworld=[];d=0;for(k=
c.length;d<k;d++){var h=c[d],m=this.runtime.types_by_index[h[1]];m.default_instance||(m.default_instance=h);this.initial_nonworld.push(h);-1===this.initial_types.indexOf(m)&&this.initial_types.push(m)}this.effect_types=[];this.active_effect_types=[];this.effect_params=[];d=0;for(k=b[8].length;d<k;d++)this.effect_types.push({id:b[8][d][0],name:b[8][d][1],shaderindex:-1,active:!0,index:d}),this.effect_params.push(b[8][d][2].slice(0));this.updateActiveEffects();this.rcTex=new cr.rect(0,0,1,1);this.rcTex2=
new cr.rect(0,0,1,1);this.persist_data={}}function b(a,b){this.layout=a;this.runtime=a.runtime;this.instances=[];this.scale=1;this.angle=0;this.disableAngle=!1;this.tmprect=new cr.rect(0,0,0,0);this.tmpquad=new cr.quad;this.viewBottom=this.viewTop=this.viewRight=this.viewLeft=0;this.zindices_stale=!1;this.name=b[0];this.index=b[1];this.sid=b[2];this.visible=b[3];this.background_color=b[4];this.transparent=b[5];this.parallaxX=b[6];this.parallaxY=b[7];this.opacity=b[8];this.forceOwnTexture=b[9];this.zoomRate=
b[10];this.blend_mode=b[11];this.effect_fallback=b[12];this.compositeOp="source-over";this.destBlend=this.srcBlend=0;this.render_offscreen=!1;var c=b[13],d,k;this.initial_instances=[];d=0;for(k=c.length;d<k;d++){var h=c[d],m=this.runtime.types_by_index[h[1]];m.default_instance||(m.default_instance=h,m.default_layerindex=this.index);this.initial_instances.push(h);-1===this.layout.initial_types.indexOf(m)&&this.layout.initial_types.push(m)}this.effect_types=[];this.active_effect_types=[];this.effect_params=
[];d=0;for(k=b[14].length;d<k;d++)this.effect_types.push({id:b[14][d][0],name:b[14][d][1],shaderindex:-1,active:!0,index:d}),this.effect_params.push(b[14][d][2].slice(0));this.updateActiveEffects();this.rcTex=new cr.rect(0,0,1,1);this.rcTex2=new cr.rect(0,0,1,1)}function c(a,b){return a.zindex-b.zindex}a.prototype.saveObjectToPersist=function(a){var b=a.type.sid.toString();this.persist_data.hasOwnProperty(b)||(this.persist_data[b]=[]);this.persist_data[b].push(this.runtime.saveInstanceToJSON(a))};
a.prototype.hasOpaqueBottomLayer=function(){var a=this.layers[0];return!a.transparent&&1===a.opacity&&!a.forceOwnTexture&&a.visible};a.prototype.updateActiveEffects=function(){this.active_effect_types.length=0;var a,b,c;a=0;for(b=this.effect_types.length;a<b;a++)c=this.effect_types[a],c.active&&this.active_effect_types.push(c)};a.prototype.getEffectByName=function(a){var b,c,d;b=0;for(c=this.effect_types.length;b<c;b++)if(d=this.effect_types[b],d.name===a)return d;return null};var d=[];a.prototype.startRunning=
function(){this.sheetname&&(this.event_sheet=this.runtime.eventsheets[this.sheetname],this.event_sheet.updateDeepIncludes());this.runtime.running_layout=this;this.scrollX=this.runtime.original_width/2;this.scrollY=this.runtime.original_height/2;var a,b,g,l,k,h,m;a=0;for(g=this.runtime.types_by_index.length;a<g;a++)if(b=this.runtime.types_by_index[a],!b.is_family)for(k=b.instances,b=0,l=k.length;b<l;b++)if(h=k[b],h.layer){var n=h.layer.number;n>=this.layers.length&&(n=this.layers.length-1);h.layer=
this.layers[n];-1===h.layer.instances.indexOf(h)&&h.layer.instances.push(h);h.layer.zindices_stale=!0}d.length=0;this.boundScrolling();a=0;for(g=this.layers.length;a<g;a++)h=this.layers[a],h.createInitialInstances(),h.disableAngle=!0,b=h.canvasToLayer(0,0,!0,!0),l=h.canvasToLayer(0,0,!1,!0),h.disableAngle=!1,this.runtime.pixel_rounding&&(b=b+0.5|0,l=l+0.5|0),h.rotateViewport(b,l,null);k=!1;if(!this.first_visit){for(m in this.persist_data)if(this.persist_data.hasOwnProperty(m)&&(b=this.runtime.getObjectTypeBySid(parseInt(m,
10)))&&!b.is_family&&this.runtime.typeHasPersistBehavior(b)){l=this.persist_data[m];a=0;for(g=l.length;a<g;a++){h=null;if(b.plugin.is_world&&(h=this.getLayerBySid(l[a].w.l),!h))continue;h=this.runtime.createInstanceFromInit(b.default_instance,h,!1,0,0,!0);this.runtime.loadInstanceFromJSON(h,l[a]);k=!0;d.push(h)}l.length=0}a=0;for(g=this.layers.length;a<g;a++)this.layers[a].instances.sort(c),this.layers[a].zindices_stale=!0}k&&(this.runtime.ClearDeathRow(),this.runtime.refreshUidMap());for(a=0;a<d.length;a++)if(h=
d[a],h.type.is_contained)for(g=h.get_iid(),b=0,l=h.type.container.length;b<l;b++)m=h.type.container[b],h.type!==m&&(m.instances.length>g?h.siblings.push(m.instances[g]):m.default_instance&&(k=this.runtime.createInstanceFromInit(m.default_instance,h.layer,!0,h.x,h.y,!0),this.runtime.ClearDeathRow(),m.updateIIDs(),h.siblings.push(k),d.push(k)));a=0;for(g=this.initial_nonworld.length;a<g;a++)this.runtime.createInstanceFromInit(this.initial_nonworld[a],null,!0);this.runtime.changelayout=null;this.runtime.ClearDeathRow();
if(this.runtime.ctx&&!this.runtime.isDomFree)for(a=0,g=this.runtime.types_by_index.length;a<g;a++)m=this.runtime.types_by_index[a],!m.is_family&&m.instances.length&&m.preloadCanvas2D&&m.preloadCanvas2D(this.runtime.ctx);a=0;for(g=d.length;a<g;a++)h=d[a],this.runtime.trigger(Object.getPrototypeOf(h.type.plugin).cnds.OnCreated,h);d.length=0;this.runtime.trigger(cr.system_object.prototype.cnds.OnLayoutStart,null);this.first_visit=!1};a.prototype.createGlobalNonWorlds=function(){var a,b,c,d,k;b=a=0;for(c=
this.initial_nonworld.length;a<c;a++)d=this.initial_nonworld[a],k=this.runtime.types_by_index[d[1]],k.global?this.runtime.createInstanceFromInit(d,null,!0):(this.initial_nonworld[b]=d,b++);this.initial_nonworld.length=b};a.prototype.stopRunning=function(){this.runtime.trigger(cr.system_object.prototype.cnds.OnLayoutEnd,null);this.runtime.system.waits.length=0;var a,b,c,d,k,h;a=0;for(b=this.layers.length;a<b;a++){k=this.layers[a].instances;c=0;for(d=k.length;c<d;c++)h=k[c],h.type.global||(this.runtime.typeHasPersistBehavior(h.type)&&
this.saveObjectToPersist(h),this.runtime.DestroyInstance(h));this.runtime.ClearDeathRow();k.length=0;this.layers[a].zindices_stale=!0}a=0;for(b=this.runtime.types_by_index.length;a<b;a++)if(k=this.runtime.types_by_index[a],!(k.global||k.plugin.is_world||k.plugin.singleglobal||k.is_family)){c=0;for(d=k.instances.length;c<d;c++)this.runtime.DestroyInstance(k.instances[c]);this.runtime.ClearDeathRow()}};a.prototype.draw=function(a){var b,c=a,d=!1,k=!this.runtime.fullscreenScalingQuality;k&&(this.runtime.layout_canvas||
(this.runtime.layout_canvas=document.createElement("canvas"),b=this.runtime.layout_canvas,b.width=this.runtime.draw_width,b.height=this.runtime.draw_height,this.runtime.layout_ctx=b.getContext("2d"),d=!0),b=this.runtime.layout_canvas,c=this.runtime.layout_ctx,b.width!==this.runtime.draw_width&&(b.width=this.runtime.draw_width,d=!0),b.height!==this.runtime.draw_height&&(b.height=this.runtime.draw_height,d=!0),d&&(c.webkitImageSmoothingEnabled=this.runtime.linearSampling,c.mozImageSmoothingEnabled=
this.runtime.linearSampling,c.msImageSmoothingEnabled=this.runtime.linearSampling,c.imageSmoothingEnabled=this.runtime.linearSampling));c.globalAlpha=1;c.globalCompositeOperation="source-over";this.runtime.alphaBackground&&!this.hasOpaqueBottomLayer()&&c.clearRect(0,0,this.runtime.draw_width,this.runtime.draw_height);var h,m,d=0;for(h=this.layers.length;d<h;d++)m=this.layers[d],m.visible&&0<m.opacity&&11!==m.blend_mode&&m.draw(c);k&&a.drawImage(b,0,0,this.runtime.width,this.runtime.height)};a.prototype.drawGL=
function(a){var b=0<this.active_effect_types.length||this.runtime.uses_background_blending||!this.runtime.fullscreenScalingQuality;if(b){this.runtime.layout_tex||(this.runtime.layout_tex=a.createEmptyTexture(this.runtime.draw_width,this.runtime.draw_height,this.runtime.linearSampling));if(this.runtime.layout_tex.c2width!==this.runtime.draw_width||this.runtime.layout_tex.c2height!==this.runtime.draw_height)a.deleteTexture(this.runtime.layout_tex),this.runtime.layout_tex=a.createEmptyTexture(this.runtime.draw_width,
this.runtime.draw_height,this.runtime.linearSampling);a.setRenderingToTexture(this.runtime.layout_tex);this.runtime.fullscreenScalingQuality||a.setSize(this.runtime.draw_width,this.runtime.draw_height)}else this.runtime.layout_tex&&(a.setRenderingToTexture(null),a.deleteTexture(this.runtime.layout_tex),this.runtime.layout_tex=null);this.runtime.alphaBackground&&!this.hasOpaqueBottomLayer()&&a.clear(0,0,0,0);var c,d;c=0;for(d=this.layers.length;c<d;c++)this.layers[c].visible&&0<this.layers[c].opacity&&
this.layers[c].drawGL(a);b&&(0===this.active_effect_types.length||1===this.active_effect_types.length&&this.runtime.fullscreenScalingQuality?(1===this.active_effect_types.length?(b=this.active_effect_types[0].index,a.switchProgram(this.active_effect_types[0].shaderindex),a.setProgramParameters(null,1/this.runtime.draw_width,1/this.runtime.draw_height,0,0,1,1,this.scale,this.angle,0,0,this.effect_params[b]),a.programIsAnimated(this.active_effect_types[0].shaderindex)&&(this.runtime.redraw=!0)):a.switchProgram(0),
this.runtime.fullscreenScalingQuality||a.setSize(this.runtime.width,this.runtime.height),a.setRenderingToTexture(null),a.setOpacity(1),a.setTexture(this.runtime.layout_tex),a.setAlphaBlend(),a.resetModelView(),a.updateModelView(),b=this.runtime.width/2,c=this.runtime.height/2,a.quad(-b,c,b,c,b,-c,-b,-c),a.setTexture(null)):this.renderEffectChain(a,null,null,null))};a.prototype.getRenderTarget=function(){return 0<this.active_effect_types.length||this.runtime.uses_background_blending||!this.runtime.fullscreenScalingQuality?
this.runtime.layout_tex:null};a.prototype.getMinLayerScale=function(){var a=this.layers[0].getScale(),b,c,d;b=1;for(c=this.layers.length;b<c;b++)d=this.layers[b],(0!==d.parallaxX||0!==d.parallaxY)&&d.getScale()<a&&(a=d.getScale());return a};a.prototype.scrollToX=function(a){if(!this.unbounded_scrolling){var b=this.runtime.draw_width*(1/this.getMinLayerScale())/2;a>this.width-b&&(a=this.width-b);a<b&&(a=b)}this.scrollX!==a&&(this.scrollX=a,this.runtime.redraw=!0)};a.prototype.scrollToY=function(a){if(!this.unbounded_scrolling){var b=
this.runtime.draw_height*(1/this.getMinLayerScale())/2;a>this.height-b&&(a=this.height-b);a<b&&(a=b)}this.scrollY!==a&&(this.scrollY=a,this.runtime.redraw=!0)};a.prototype.boundScrolling=function(){this.scrollToX(this.scrollX);this.scrollToY(this.scrollY)};a.prototype.renderEffectChain=function(a,b,c,d){var k=c?c.active_effect_types:b?b.active_effect_types:this.active_effect_types,h=1,m=0,n=0,r=0;c?(h=c.layer.getScale(),m=c.layer.getAngle(),n=c.layer.viewLeft,r=c.layer.viewTop):b&&(h=b.getScale(),
m=b.getAngle(),n=b.viewLeft,r=b.viewTop);var p=this.runtime.fx_tex,q,t,s,u,y=0,C=1,F,v=this.runtime.draw_width,w=this.runtime.draw_height,B=v/2,x=w/2,A=b?b.rcTex:this.rcTex,z=b?b.rcTex2:this.rcTex2,G=0,D=0,H=0,J=0,O=v,K=v,L=w,T=w,U=s=0,M=c?c.layer.getAngle():0;if(c){q=0;for(t=k.length;q<t;q++)s+=a.getProgramBoxExtendHorizontal(k[q].shaderindex),U+=a.getProgramBoxExtendVertical(k[q].shaderindex);u=c.bbox;G=b.layerToCanvas(u.left,u.top,!0,!0);H=b.layerToCanvas(u.left,u.top,!1,!0);O=b.layerToCanvas(u.right,
u.bottom,!0,!0);L=b.layerToCanvas(u.right,u.bottom,!1,!0);0!==M&&(q=b.layerToCanvas(u.right,u.top,!0,!0),t=b.layerToCanvas(u.right,u.top,!1,!0),D=b.layerToCanvas(u.left,u.bottom,!0,!0),J=b.layerToCanvas(u.left,u.bottom,!1,!0),u=Math.min(G,O,q,D),O=Math.max(G,O,q,D),G=u,u=Math.min(H,L,t,J),L=Math.max(H,L,t,J),H=u);G-=s;H-=U;O+=s;L+=U;z.left=G/v;z.top=1-H/w;z.right=O/v;z.bottom=1-L/w;D=G=cr.floor(G);J=H=cr.floor(H);K=O=cr.ceil(O);T=L=cr.ceil(L);D-=s;J-=U;K+=s;T+=U;0>G&&(G=0);0>H&&(H=0);O>v&&(O=v);L>
w&&(L=w);0>D&&(D=0);0>J&&(J=0);K>v&&(K=v);T>w&&(T=w);A.left=G/v;A.top=1-H/w;A.right=O/v;A.bottom=1-L/w}else A.left=z.left=0,A.top=z.top=0,A.right=z.right=1,A.bottom=z.bottom=1;U=c&&((c.angle||M)&&a.programUsesDest(k[0].shaderindex)||0!==s||0!==U||1!==c.opacity||c.type.plugin.must_predraw)||b&&!c&&1!==b.opacity;a.setAlphaBlend();if(U){p[y]||(p[y]=a.createEmptyTexture(v,w,this.runtime.linearSampling));if(p[y].c2width!==v||p[y].c2height!==w)a.deleteTexture(p[y]),p[y]=a.createEmptyTexture(v,w,this.runtime.linearSampling);
a.switchProgram(0);a.setRenderingToTexture(p[y]);F=T-J;a.clearRect(D,w-J-F,K-D,F);c?c.drawGL(a):(a.setTexture(this.runtime.layer_tex),a.setOpacity(b.opacity),a.resetModelView(),a.translate(-B,-x),a.updateModelView(),a.quadTex(G,L,O,L,O,H,G,H,A));z.left=z.top=0;z.right=z.bottom=1;c&&(u=A.top,A.top=A.bottom,A.bottom=u);y=1;C=0}a.setOpacity(1);s=k.length-1;var M=a.programUsesCrossSampling(k[s].shaderindex)||!b&&!c&&!this.runtime.fullscreenScalingQuality,E=0;q=0;for(t=k.length;q<t;q++){p[y]||(p[y]=a.createEmptyTexture(v,
w,this.runtime.linearSampling));if(p[y].c2width!==v||p[y].c2height!==w)a.deleteTexture(p[y]),p[y]=a.createEmptyTexture(v,w,this.runtime.linearSampling);a.switchProgram(k[q].shaderindex);E=k[q].index;a.programIsAnimated(k[q].shaderindex)&&(this.runtime.redraw=!0);0!=q||U?(a.setProgramParameters(d,1/v,1/w,z.left,z.top,z.right,z.bottom,h,m,n,r,c?c.effect_params[E]:b?b.effect_params[E]:this.effect_params[E]),a.setTexture(null),q!==s||M?(a.setRenderingToTexture(p[y]),F=T-J,u=w-J-F,a.clearRect(D,u,K-D,
F)):(c?a.setBlend(c.srcBlend,c.destBlend):b&&a.setBlend(b.srcBlend,b.destBlend),a.setRenderingToTexture(d)),a.setTexture(p[C]),a.resetModelView(),a.translate(-B,-x),a.updateModelView(),a.quadTex(G,L,O,L,O,H,G,H,A),q!==s||M||a.setTexture(null)):(a.setRenderingToTexture(p[y]),F=T-J,u=w-J-F,a.clearRect(D,u,K-D,F),c?(a.setProgramParameters(d,1/c.width,1/c.height,z.left,z.top,z.right,z.bottom,h,m,n,r,c.effect_params[E]),c.drawGL(a)):(a.setProgramParameters(d,1/v,1/w,0,0,1,1,h,m,n,r,b?b.effect_params[E]:
this.effect_params[E]),a.setTexture(b?this.runtime.layer_tex:this.runtime.layout_tex),a.resetModelView(),a.translate(-B,-x),a.updateModelView(),a.quadTex(G,L,O,L,O,H,G,H,A)),z.left=z.top=0,z.right=z.bottom=1,c&&!M&&(u=L,L=H,H=u));y=0===y?1:0;C=0===y?1:0}M&&(a.switchProgram(0),c?a.setBlend(c.srcBlend,c.destBlend):b?a.setBlend(b.srcBlend,b.destBlend):this.runtime.fullscreenScalingQuality||(a.setSize(this.runtime.width,this.runtime.height),B=this.runtime.width/2,x=this.runtime.height/2,H=G=0,O=this.runtime.width,
L=this.runtime.height),a.setRenderingToTexture(d),a.setTexture(p[C]),a.resetModelView(),a.translate(-B,-x),a.updateModelView(),c&&1===k.length&&!U?a.quadTex(G,H,O,H,O,L,G,L,A):a.quadTex(G,L,O,L,O,H,G,H,A),a.setTexture(null))};a.prototype.getLayerBySid=function(a){var b,c;b=0;for(c=this.layers.length;b<c;b++)if(this.layers[b].sid===a)return this.layers[b];return null};a.prototype.saveToJSON=function(){var a,b,c,d={sx:this.scrollX,sy:this.scrollY,s:this.scale,a:this.angle,w:this.width,h:this.height,
fv:this.first_visit,persist:this.persist_data,fx:[],layers:{}};a=0;for(b=this.effect_types.length;a<b;a++)c=this.effect_types[a],d.fx.push({name:c.name,active:c.active,params:this.effect_params[c.index]});a=0;for(b=this.layers.length;a<b;a++)c=this.layers[a],d.layers[c.sid.toString()]=c.saveToJSON();return d};a.prototype.loadFromJSON=function(a){var b,c,d,k;this.scrollX=a.sx;this.scrollY=a.sy;this.scale=a.s;this.angle=a.a;this.width=a.w;this.height=a.h;this.persist_data=a.persist;"undefined"!==typeof a.fv&&
(this.first_visit=a.fv);var h=a.fx;b=0;for(c=h.length;b<c;b++)if(d=this.getEffectByName(h[b].name))d.active=h[b].active,this.effect_params[d.index]=h[b].params;this.updateActiveEffects();b=a.layers;for(k in b)b.hasOwnProperty(k)&&(a=this.getLayerBySid(parseInt(k,10)))&&a.loadFromJSON(b[k])};cr.layout=a;b.prototype.updateActiveEffects=function(){this.active_effect_types.length=0;var a,b,c;a=0;for(b=this.effect_types.length;a<b;a++)c=this.effect_types[a],c.active&&this.active_effect_types.push(c)};
b.prototype.getEffectByName=function(a){var b,c,d;b=0;for(c=this.effect_types.length;b<c;b++)if(d=this.effect_types[b],d.name===a)return d;return null};b.prototype.createInitialInstances=function(){var a,b,c,l,k,h;b=a=0;for(c=this.initial_instances.length;a<c;a++){l=this.initial_instances[a];k=this.runtime.types_by_index[l[1]];h=this.runtime.typeHasPersistBehavior(k);k=!0;if(!h||this.layout.first_visit)l=this.runtime.createInstanceFromInit(l,this,!0),d.push(l),l.type.global&&(k=!1);k&&(this.initial_instances[b]=
this.initial_instances[a],b++)}this.initial_instances.length=b;this.runtime.ClearDeathRow();!this.runtime.glwrap&&this.effect_types.length&&(this.blend_mode=this.effect_fallback);this.compositeOp=cr.effectToCompositeOp(this.blend_mode);this.runtime.gl&&cr.setGLBlend(this,this.blend_mode,this.runtime.gl)};b.prototype.updateZIndices=function(){if(this.zindices_stale){var a,b;a=0;for(b=this.instances.length;a<b;a++)this.instances[a].zindex=a;this.zindices_stale=!1}};b.prototype.getScale=function(a){return this.getNormalScale()*
(this.runtime.fullscreenScalingQuality||a?this.runtime.aspect_scale:1)};b.prototype.getNormalScale=function(){return(this.scale*this.layout.scale-1)*this.zoomRate+1};b.prototype.getAngle=function(){return this.disableAngle?0:cr.clamp_angle(this.layout.angle+this.angle)};b.prototype.draw=function(a){this.render_offscreen=this.forceOwnTexture||1!==this.opacity||0!==this.blend_mode;var b=this.runtime.canvas,c=a,d=!1;this.render_offscreen&&(this.runtime.layer_canvas||(this.runtime.layer_canvas=document.createElement("canvas"),
b=this.runtime.layer_canvas,b.width=this.runtime.draw_width,b.height=this.runtime.draw_height,this.runtime.layer_ctx=b.getContext("2d"),d=!0),b=this.runtime.layer_canvas,c=this.runtime.layer_ctx,b.width!==this.runtime.draw_width&&(b.width=this.runtime.draw_width,d=!0),b.height!==this.runtime.draw_height&&(b.height=this.runtime.draw_height,d=!0),d&&(c.webkitImageSmoothingEnabled=this.runtime.linearSampling,c.mozImageSmoothingEnabled=this.runtime.linearSampling,c.msImageSmoothingEnabled=this.runtime.linearSampling,
c.imageSmoothingEnabled=this.runtime.linearSampling),this.transparent&&c.clearRect(0,0,this.runtime.draw_width,this.runtime.draw_height));c.globalAlpha=1;c.globalCompositeOperation="source-over";this.transparent||(c.fillStyle="rgb("+this.background_color[0]+","+this.background_color[1]+","+this.background_color[2]+")",c.fillRect(0,0,this.runtime.draw_width,this.runtime.draw_height));c.save();this.disableAngle=!0;var d=this.canvasToLayer(0,0,!0,!0),k=this.canvasToLayer(0,0,!1,!0);this.disableAngle=
!1;this.runtime.pixel_rounding&&(d=d+0.5|0,k=k+0.5|0);this.rotateViewport(d,k,c);var h=this.getScale();c.scale(h,h);c.translate(-d,-k);for(var m,d=0,k=this.instances.length;d<k;d++)h=this.instances[d],h.visible&&0!==h.width&&0!==h.height&&(h.update_bbox(),m=h.bbox,m.right<this.viewLeft||m.bottom<this.viewTop||m.left>this.viewRight||m.top>this.viewBottom||(c.globalCompositeOperation=h.compositeOp,h.draw(c)));c.restore();this.render_offscreen&&(a.globalCompositeOperation=this.compositeOp,a.globalAlpha=
this.opacity,a.drawImage(b,0,0))};b.prototype.rotateViewport=function(a,b,c){var d=this.getScale();this.viewLeft=a;this.viewTop=b;this.viewRight=a+this.runtime.draw_width*(1/d);this.viewBottom=b+this.runtime.draw_height*(1/d);a=this.getAngle();0!==a&&(c&&(c.translate(this.runtime.draw_width/2,this.runtime.draw_height/2),c.rotate(-a),c.translate(this.runtime.draw_width/-2,this.runtime.draw_height/-2)),this.tmprect.set(this.viewLeft,this.viewTop,this.viewRight,this.viewBottom),this.tmprect.offset((this.viewLeft+
this.viewRight)/-2,(this.viewTop+this.viewBottom)/-2),this.tmpquad.set_from_rotated_rect(this.tmprect,a),this.tmpquad.bounding_box(this.tmprect),this.tmprect.offset((this.viewLeft+this.viewRight)/2,(this.viewTop+this.viewBottom)/2),this.viewLeft=this.tmprect.left,this.viewTop=this.tmprect.top,this.viewRight=this.tmprect.right,this.viewBottom=this.tmprect.bottom)};b.prototype.drawGL=function(a){var b=this.runtime.draw_width,c=this.runtime.draw_height,d=0,k=0;if(this.render_offscreen=this.forceOwnTexture||
1!==this.opacity||0<this.active_effect_types.length||0!==this.blend_mode){this.runtime.layer_tex||(this.runtime.layer_tex=a.createEmptyTexture(this.runtime.draw_width,this.runtime.draw_height,this.runtime.linearSampling));if(this.runtime.layer_tex.c2width!==this.runtime.draw_width||this.runtime.layer_tex.c2height!==this.runtime.draw_height)a.deleteTexture(this.runtime.layer_tex),this.runtime.layer_tex=a.createEmptyTexture(this.runtime.draw_width,this.runtime.draw_height,this.runtime.linearSampling);
a.setRenderingToTexture(this.runtime.layer_tex);this.transparent&&a.clear(0,0,0,0)}this.transparent||a.clear(this.background_color[0]/255,this.background_color[1]/255,this.background_color[2]/255,1);this.disableAngle=!0;var k=this.canvasToLayer(0,0,!0,!0),h=this.canvasToLayer(0,0,!1,!0);this.disableAngle=!1;this.runtime.pixel_rounding&&(k=k+0.5|0,h=h+0.5|0);this.rotateViewport(k,h,null);h=this.getScale();a.resetModelView();a.scale(h,h);a.rotateZ(-this.getAngle());a.translate((this.viewLeft+this.viewRight)/
-2,(this.viewTop+this.viewBottom)/-2);a.updateModelView();var m,n,r;m=0;for(n=this.instances.length;m<n;m++)if(r=this.instances[m],r.visible&&0!==r.width&&0!==r.height&&(r.update_bbox(),d=r.bbox,!(d.right<this.viewLeft||d.bottom<this.viewTop||d.left>this.viewRight||d.top>this.viewBottom)))if(r.uses_shaders)if(d=r.active_effect_types[0].shaderindex,k=r.active_effect_types[0].index,1!==r.active_effect_types.length||a.programUsesCrossSampling(d)||a.programExtendsBox(d)||(r.angle||r.layer.getAngle())&&
a.programUsesDest(d)||1!==r.opacity||r.type.plugin.must_predraw)this.layout.renderEffectChain(a,this,r,this.render_offscreen?this.runtime.layer_tex:this.layout.getRenderTarget()),a.resetModelView(),a.scale(h,h),a.rotateZ(-this.getAngle()),a.translate((this.viewLeft+this.viewRight)/-2,(this.viewTop+this.viewBottom)/-2),a.updateModelView();else{a.switchProgram(d);a.setBlend(r.srcBlend,r.destBlend);a.programIsAnimated(d)&&(this.runtime.redraw=!0);var p=0,q=0,t=0,s=0;a.programUsesDest(d)&&(d=r.bbox,p=
this.layerToCanvas(d.left,d.top,!0,!0),q=this.layerToCanvas(d.left,d.top,!1,!0),t=this.layerToCanvas(d.right,d.bottom,!0,!0),d=this.layerToCanvas(d.right,d.bottom,!1,!0),p/=b,q=1-q/c,t/=b,s=1-d/c);a.setProgramParameters(this.render_offscreen?this.runtime.layer_tex:this.layout.getRenderTarget(),1/r.width,1/r.height,p,q,t,s,this.getScale(),this.getAngle(),this.viewLeft,this.viewTop,r.effect_params[k]);r.drawGL(a)}else a.switchProgram(0),a.setBlend(r.srcBlend,r.destBlend),r.drawGL(a);this.render_offscreen&&
(d=this.active_effect_types.length?this.active_effect_types[0].shaderindex:0,k=this.active_effect_types.length?this.active_effect_types[0].index:0,0===this.active_effect_types.length||1===this.active_effect_types.length&&!a.programUsesCrossSampling(d)&&1===this.opacity?(1===this.active_effect_types.length?(a.switchProgram(d),a.setProgramParameters(this.layout.getRenderTarget(),1/this.runtime.draw_width,1/this.runtime.draw_height,0,0,1,1,this.getScale(),this.getAngle(),this.viewLeft,this.viewTop,this.effect_params[k]),
a.programIsAnimated(d)&&(this.runtime.redraw=!0)):a.switchProgram(0),a.setRenderingToTexture(this.layout.getRenderTarget()),a.setOpacity(this.opacity),a.setTexture(this.runtime.layer_tex),a.setBlend(this.srcBlend,this.destBlend),a.resetModelView(),a.updateModelView(),b=this.runtime.draw_width/2,c=this.runtime.draw_height/2,a.quad(-b,c,b,c,b,-c,-b,-c),a.setTexture(null)):this.layout.renderEffectChain(a,this,null,this.layout.getRenderTarget()))};b.prototype.canvasToLayer=function(a,b,c,d){var k=this.runtime.devicePixelRatio;
this.runtime.isRetina&&(a*=k,b*=k);var k=this.runtime.parallax_x_origin,h=this.runtime.parallax_y_origin,k=(this.layout.scrollX-k)*this.parallaxX+k,h=(this.layout.scrollY-h)*this.parallaxY+h,m=1/this.getScale(!d);d?(k-=this.runtime.draw_width*m/2,h-=this.runtime.draw_height*m/2):(k-=this.runtime.width*m/2,h-=this.runtime.height*m/2);k+=a*m;h+=b*m;b=this.getAngle();0!==b&&(k-=this.layout.scrollX,h-=this.layout.scrollY,a=Math.cos(b),b=Math.sin(b),d=k*a-h*b,h=h*a+k*b,k=d+this.layout.scrollX,h+=this.layout.scrollY);
return c?k:h};b.prototype.layerToCanvas=function(a,b,c,d){var k=this.getAngle();if(0!==k){a-=this.layout.scrollX;b-=this.layout.scrollY;var h=Math.cos(-k),k=Math.sin(-k),m=a*h-b*k;b=b*h+a*k;a=m+this.layout.scrollX;b+=this.layout.scrollY}h=this.runtime.parallax_x_origin;k=this.runtime.parallax_y_origin;h=(this.layout.scrollX-h)*this.parallaxX+h;k=(this.layout.scrollY-k)*this.parallaxY+k;m=1/this.getScale(!d);d?(h-=this.runtime.draw_width*m/2,k-=this.runtime.draw_height*m/2):(h-=this.runtime.width*
m/2,k-=this.runtime.height*m/2);h=(a-h)/m;k=(b-k)/m;a=this.runtime.devicePixelRatio;this.runtime.isRetina&&!d&&(h/=a,k/=a);return c?h:k};b.prototype.rotatePt=function(a,b,c){if(0===this.getAngle())return c?a:b;var d=this.layerToCanvas(a,b,!0);b=this.layerToCanvas(a,b,!1);this.disableAngle=!0;a=this.canvasToLayer(d,b,!0);d=this.canvasToLayer(d,b,!0);this.disableAngle=!1;return c?a:d};b.prototype.saveToJSON=function(){var a,b,c,d={s:this.scale,a:this.angle,vl:this.viewLeft,vt:this.viewTop,vr:this.viewRight,
vb:this.viewBottom,v:this.visible,bc:this.background_color,t:this.transparent,px:this.parallaxX,py:this.parallaxY,o:this.opacity,zr:this.zoomRate,fx:[],instances:[]};a=0;for(b=this.effect_types.length;a<b;a++)c=this.effect_types[a],d.fx.push({name:c.name,active:c.active,params:this.effect_params[c.index]});return d};b.prototype.loadFromJSON=function(a){var b,d;this.scale=a.s;this.angle=a.a;this.viewLeft=a.vl;this.viewTop=a.vt;this.viewRight=a.vr;this.viewBottom=a.vb;this.visible=a.v;this.background_color=
a.bc;this.transparent=a.t;this.parallaxX=a.px;this.parallaxY=a.py;this.opacity=a.o;this.zoomRate=a.zr;var l=a.fx;a=0;for(b=l.length;a<b;a++)if(d=this.getEffectByName(l[a].name))d.active=l[a].active,this.effect_params[d.index]=l[a].params;this.updateActiveEffects();this.instances.sort(c);this.zindices_stale=!0};cr.layer=b})();
(function(){function a(a,b){var c,d=a.length;switch(d){case 0:return!0;case 1:return a[0]===b[0];case 2:return a[0]===b[0]&&a[1]===b[1];default:for(c=0;c<d;c++)if(a[c]!==b[c])return!1;return!0}}function b(a,b){return a.index-b.index}function c(c){var d,e,h,f;2===c.length?c[0].index>c[1].index&&(d=c[0],c[0]=c[1],c[1]=d):2<c.length&&c.sort(b);c.length>=p.length&&(p.length=c.length+1);p[c.length]||(p[c.length]=[]);f=p[c.length];d=0;for(e=f.length;d<e;d++)if(h=f[d],a(c,h))return h;f.push(c);return c}
function d(a,b){this.runtime=a;this.triggers={};this.fasttriggers={};this.hasRun=!1;this.includes=new cr.ObjectSet;this.deep_includes=[];this.already_included_sheets=[];this.name=b[0];var c=b[1];this.events=[];var d,e;d=0;for(e=c.length;d<e;d++)this.init_event(c[d],null,this.events)}function f(a){this.type=a;this.instances=[];this.else_instances=[];this.select_all=!0}function e(a,b,c){this.sheet=a;this.parent=b;this.runtime=a.runtime;this.solModifiers=[];this.solModifiersIncludingParents=[];this.has_else_block=
this.toplevelgroup=this.toplevelevent=this.initially_activated=this.group=this.solWriterAfterCnds=!1;this.conditions=[];this.actions=[];this.subevents=[];this.group_name="";this.group_active=this.initially_activated=this.group=!1;this.contained_includes=null;c[1]&&(this.group_name=c[1][1].toLowerCase(),this.group=!0,this.initially_activated=!!c[1][0],this.contained_includes=[],this.group_active=this.initially_activated,this.runtime.allGroups.push(this),this.runtime.groups_by_name[this.group_name]=
this);this.orblock=c[2];this.sid=c[4];this.group||(this.runtime.blocksBySid[this.sid.toString()]=this);var d=c[5];a=0;for(b=d.length;a<b;a++){var e=new cr.condition(this,d[a]);e.index=a;cr.seal(e);this.conditions.push(e);this.addSolModifier(e.type)}d=c[6];a=0;for(b=d.length;a<b;a++)e=new cr.action(this,d[a]),e.index=a,cr.seal(e),this.actions.push(e);if(8===c.length)for(c=c[7],a=0,b=c.length;a<b;a++)this.sheet.init_event(c[a],this,this.subevents);this.is_else_block=!1;this.conditions.length&&(this.is_else_block=
null==this.conditions[0].type&&this.conditions[0].func==cr.system_object.prototype.cnds.Else)}function g(a,b){var c,d,e;if(a&&(-1===b.indexOf(a)&&b.push(a),a.is_contained))for(c=0,d=a.container.length;c<d;c++)e=a.container[c],a!==e&&-1===b.indexOf(e)&&b.push(e)}function l(a,b){this.block=a;this.sheet=a.sheet;this.runtime=a.runtime;this.parameters=[];this.results=[];this.extra={};this.index=-1;this.anyParamVariesPerInstance=!1;this.func=b[1];this.trigger=0<b[3];this.fasttrigger=2===b[3];this.looping=
b[4];this.inverted=b[5];this.isstatic=b[6];this.sid=b[7];this.runtime.cndsBySid[this.sid.toString()]=this;-1===b[0]?(this.type=null,this.run=this.run_system,this.behaviortype=null,this.beh_index=-1):(this.type=this.runtime.types_by_index[b[0]],this.run=this.isstatic?this.run_static:this.run_object,b[2]?(this.behaviortype=this.type.getBehaviorByName(b[2]),this.beh_index=this.type.getBehaviorIndexByName(b[2])):(this.behaviortype=null,this.beh_index=-1),this.block.parent&&this.block.parent.setSolWriterAfterCnds());
this.fasttrigger&&(this.run=this.run_true);if(10===b.length){var c,d,e=b[9];c=0;for(d=e.length;c<d;c++){var h=new cr.parameter(this,e[c]);cr.seal(h);this.parameters.push(h)}this.results.length=e.length}}function k(a,b){this.block=a;this.sheet=a.sheet;this.runtime=a.runtime;this.parameters=[];this.results=[];this.extra={};this.index=-1;this.anyParamVariesPerInstance=!1;this.func=b[1];-1===b[0]?(this.type=null,this.run=this.run_system,this.behaviortype=null,this.beh_index=-1):(this.type=this.runtime.types_by_index[b[0]],
this.run=this.run_object,b[2]?(this.behaviortype=this.type.getBehaviorByName(b[2]),this.beh_index=this.type.getBehaviorIndexByName(b[2])):(this.behaviortype=null,this.beh_index=-1));this.sid=b[3];this.runtime.actsBySid[this.sid.toString()]=this;if(6===b.length){var c,d,e=b[5];c=0;for(d=e.length;c<d;c++){var h=new cr.parameter(this,e[c]);cr.seal(h);this.parameters.push(h)}this.results.length=e.length}}function h(a,b){this.owner=a;this.block=a.block;this.sheet=a.sheet;this.runtime=a.runtime;this.type=
b[0];this.expression=null;this.solindex=0;this.get=null;this.combosel=0;this.layout=null;this.key=0;this.object=null;this.index=0;this.variadicret=this.subparams=this.variadicret=this.subparams=this.fileinfo=this.eventvar=this.varname=null;this.variesPerInstance=!1;var c,d,e;switch(b[0]){case 0:case 7:this.expression=new cr.expNode(this,b[1]);this.solindex=0;this.get=this.get_exp;break;case 1:this.expression=new cr.expNode(this,b[1]);this.solindex=0;this.get=this.get_exp_str;break;case 5:this.expression=
new cr.expNode(this,b[1]);this.solindex=0;this.get=this.get_layer;break;case 3:case 8:this.combosel=b[1];this.get=this.get_combosel;break;case 6:this.layout=this.runtime.layouts[b[1]];this.get=this.get_layout;break;case 9:this.key=b[1];this.get=this.get_key;break;case 4:this.object=this.runtime.types_by_index[b[1]];this.get=this.get_object;this.block.addSolModifier(this.object);this.owner instanceof cr.action?this.block.setSolWriterAfterCnds():this.block.parent&&this.block.parent.setSolWriterAfterCnds();
break;case 10:this.index=b[1];a.type.is_family?(this.get=this.get_familyvar,this.variesPerInstance=!0):this.get=this.get_instvar;break;case 11:this.varname=b[1];this.eventvar=null;this.get=this.get_eventvar;break;case 2:case 12:this.fileinfo=b[1];this.get=this.get_audiofile;break;case 13:for(this.get=this.get_variadic,this.subparams=[],this.variadicret=[],c=1,d=b.length;c<d;c++)e=new cr.parameter(this.owner,b[c]),cr.seal(e),this.subparams.push(e),this.variadicret.push(0)}}function m(a,b,c){this.sheet=
a;this.parent=b;this.runtime=a.runtime;this.solModifiers=[];this.name=c[1];this.vartype=c[2];this.initial=c[3];this.is_static=!!c[4];this.is_constant=!!c[5];this.sid=c[6];this.runtime.varsBySid[this.sid.toString()]=this;this.data=this.initial;this.parent?(this.localIndex=this.is_static||this.is_constant?-1:this.runtime.stackLocalCount++,this.runtime.all_local_vars.push(this)):(this.localIndex=-1,this.runtime.all_global_vars.push(this))}function n(a,b,c){this.sheet=a;this.parent=b;this.runtime=a.runtime;
this.solModifiers=[];this.include_sheet=null;this.include_sheet_name=c[1];this.active=!0}function r(){this.temp_parents_arr=[];this.reset(null);cr.seal(this)}var p=[];d.prototype.toString=function(){return this.name};d.prototype.init_event=function(a,b,c){switch(a[0]){case 0:a=new cr.eventblock(this,b,a);cr.seal(a);if(a.orblock)for(c.push(a),c=0,b=a.conditions.length;c<b;c++)a.conditions[c].trigger&&this.init_trigger(a,c);else a.is_trigger()?this.init_trigger(a,0):c.push(a);break;case 1:a=new cr.eventvariable(this,
b,a);cr.seal(a);c.push(a);break;case 2:a=new cr.eventinclude(this,b,a),cr.seal(a),c.push(a)}};d.prototype.postInit=function(){var a,b;a=0;for(b=this.events.length;a<b;a++)this.events[a].postInit(a<b-1&&this.events[a+1].is_else_block)};d.prototype.updateDeepIncludes=function(){this.deep_includes.length=0;this.already_included_sheets.length=0;this.addDeepIncludes(this);this.already_included_sheets.length=0};d.prototype.addDeepIncludes=function(a){var b,c,d,e,h=a.deep_includes,f=a.already_included_sheets,
g=this.includes.valuesRef();b=0;for(c=g.length;b<c;++b)d=g[b],e=d.include_sheet,!d.isActive()||a===e||-1<f.indexOf(e)||(f.push(e),e.addDeepIncludes(a),h.push(e))};d.prototype.run=function(a){this.runtime.resuming_breakpoint||(this.hasRun=!0,a||(this.runtime.isRunningEvents=!0));var b,c;b=0;for(c=this.events.length;b<c;b++){var d=this.events[b];d.run();this.runtime.clearSol(d.solModifiers);this.runtime.deathRow.isEmpty()&&!this.runtime.createRow.length||this.runtime.ClearDeathRow()}a||(this.runtime.isRunningEvents=
!1)};d.prototype.init_trigger=function(a,b){a.orblock||this.runtime.triggers_to_postinit.push(a);var c,d,e=a.conditions[b],h;h=e.type?e.type.name:"system";var f=(c=e.fasttrigger)?this.fasttriggers:this.triggers;f[h]||(f[h]=[]);h=f[h];f=e.func;if(c){if(e.parameters.length&&(e=e.parameters[0],1===e.type&&2===e.expression.type)){e=e.expression.value.toLowerCase();c=0;for(d=h.length;c<d;c++)if(h[c].method==f){c=h[c].evs;c[e]?c[e].push([a,b]):c[e]=[[a,b]];return}c={};c[e]=[[a,b]];h.push({method:f,evs:c})}}else{c=
0;for(d=h.length;c<d;c++)if(h[c].method==f){h[c].evs.push([a,b]);return}e=cr.plugins_.Sprite&&f===cr.plugins_.Sprite.prototype.cnds.OnFrameChanged?!0:!1;e?h.unshift({method:f,evs:[[a,b]]}):h.push({method:f,evs:[[a,b]]})}};cr.eventsheet=d;f.prototype.hasObjects=function(){return this.select_all?this.type.instances.length:this.instances.length};f.prototype.getObjects=function(){return this.select_all?this.type.instances:this.instances};f.prototype.pick_one=function(a){a&&(a.runtime.getCurrentEventStack().current_event.orblock?
(this.select_all&&(this.instances.length=0,cr.shallowAssignArray(this.else_instances,a.type.instances),this.select_all=!1),a=this.else_instances.indexOf(a),-1!==a&&(this.instances.push(this.else_instances[a]),this.else_instances.splice(a,1))):(this.select_all=!1,this.instances.length=1,this.instances[0]=a))};cr.selection=f;window._c2hh_="2CB0FC228CED31A04553643400D1CBEDB0718555";e.prototype.postInit=function(a){var b,d=this.parent;if(this.group)for(this.toplevelgroup=!0;d;){if(!d.group){this.toplevelgroup=
!1;break}d=d.parent}this.toplevelevent=!this.is_trigger()&&(!this.parent||this.parent.group&&this.parent.toplevelgroup);this.has_else_block=!!a;this.solModifiersIncludingParents=this.solModifiers.slice(0);for(d=this.parent;d;){a=0;for(b=d.solModifiers.length;a<b;a++)this.addParentSolModifier(d.solModifiers[a]);d=d.parent}this.solModifiers=c(this.solModifiers);this.solModifiersIncludingParents=c(this.solModifiersIncludingParents);a=0;for(b=this.conditions.length;a<b;a++)this.conditions[a].postInit();
a=0;for(b=this.actions.length;a<b;a++)this.actions[a].postInit();a=0;for(b=this.subevents.length;a<b;a++)this.subevents[a].postInit(a<b-1&&this.subevents[a+1].is_else_block)};e.prototype.setGroupActive=function(a){if(this.group_active!==!!a){this.group_active=!!a;var b;a=0;for(b=this.contained_includes.length;a<b;++a)this.contained_includes[a].updateActive();0<b&&this.runtime.running_layout.event_sheet&&this.runtime.running_layout.event_sheet.updateDeepIncludes()}};e.prototype.addSolModifier=function(a){g(a,
this.solModifiers)};e.prototype.addParentSolModifier=function(a){g(a,this.solModifiersIncludingParents)};e.prototype.setSolWriterAfterCnds=function(){this.solWriterAfterCnds=!0;this.parent&&this.parent.setSolWriterAfterCnds()};e.prototype.is_trigger=function(){return this.conditions.length?this.conditions[0].trigger:!1};e.prototype.run=function(){var a,b=!1,c,d=this.runtime,e=this.runtime.getCurrentEventStack();e.current_event=this;var h=this.conditions;this.is_else_block||(e.else_branch_ran=!1);
if(this.orblock){0===h.length&&(b=!0);e.cndindex=0;for(a=h.length;e.cndindex<a;e.cndindex++)h[e.cndindex].trigger||(c=h[e.cndindex].run())&&(b=!0);(e.last_event_true=b)&&this.run_actions_and_subevents()}else{e.cndindex=0;for(a=h.length;e.cndindex<a;e.cndindex++)if(c=h[e.cndindex].run(),!c){e.last_event_true=!1;!this.toplevelevent||d.deathRow.isEmpty()&&!d.createRow.length||d.ClearDeathRow();return}e.last_event_true=!0;this.run_actions_and_subevents()}this.end_run(e)};e.prototype.end_run=function(a){a.last_event_true&&
this.has_else_block&&(a.else_branch_ran=!0);!this.toplevelevent||this.runtime.deathRow.isEmpty()&&!this.runtime.createRow.length||this.runtime.ClearDeathRow()};e.prototype.run_orblocktrigger=function(a){this.runtime.getCurrentEventStack().current_event=this;this.conditions[a].run()&&(this.run_actions_and_subevents(),this.runtime.getCurrentEventStack().last_event_true=!0)};e.prototype.run_actions_and_subevents=function(){var a=this.runtime.getCurrentEventStack(),b;a.actindex=0;for(b=this.actions.length;a.actindex<
b;a.actindex++)if(this.actions[a.actindex].run())return;this.run_subevents()};e.prototype.resume_actions_and_subevents=function(){var a=this.runtime.getCurrentEventStack(),b;for(b=this.actions.length;a.actindex<b;a.actindex++)if(this.actions[a.actindex].run())return;this.run_subevents()};e.prototype.run_subevents=function(){if(this.subevents.length){var a,b,c,d,e=this.subevents.length-1;this.runtime.pushEventStack(this);if(this.solWriterAfterCnds)for(a=0,b=this.subevents.length;a<b;a++)c=this.subevents[a],
(d=!this.toplevelgroup||!this.group&&a<e)&&this.runtime.pushCopySol(c.solModifiers),c.run(),d?this.runtime.popSol(c.solModifiers):this.runtime.clearSol(c.solModifiers);else for(a=0,b=this.subevents.length;a<b;a++)this.subevents[a].run();this.runtime.popEventStack()}};e.prototype.run_pretrigger=function(){var a=this.runtime.getCurrentEventStack();a.current_event=this;var b=!1,c;a.cndindex=0;for(c=this.conditions.length;a.cndindex<c;a.cndindex++)if(this.conditions[a.cndindex].run())b=!0;else if(!this.orblock)return!1;
return this.orblock?b:!0};e.prototype.retrigger=function(){this.runtime.execcount++;var a=this.runtime.getCurrentEventStack().cndindex,b=this.runtime.pushEventStack(this);if(!this.orblock)for(b.cndindex=a+1,a=this.conditions.length;b.cndindex<a;b.cndindex++)if(!this.conditions[b.cndindex].run())return this.runtime.popEventStack(),!1;this.run_actions_and_subevents();this.runtime.popEventStack();return!0};e.prototype.isFirstConditionOfType=function(a){var b=a.index;if(0===b)return!0;for(--b;0<=b;--b)if(this.conditions[b].type===
a.type)return!1;return!0};cr.eventblock=e;l.prototype.postInit=function(){var a,b,c;a=0;for(b=this.parameters.length;a<b;a++)c=this.parameters[a],c.postInit(),c.variesPerInstance&&(this.anyParamVariesPerInstance=!0)};l.prototype.run_true=function(){return!0};l.prototype.run_system=function(){var a,b;a=0;for(b=this.parameters.length;a<b;a++)this.results[a]=this.parameters[a].get();return cr.xor(this.func.apply(this.runtime.system,this.results),this.inverted)};l.prototype.run_static=function(){var a,
b;a=0;for(b=this.parameters.length;a<b;a++)this.results[a]=this.parameters[a].get();a=this.func.apply(this.behaviortype?this.behaviortype:this.type,this.results);this.type.applySolToContainer();return a};l.prototype.run_object=function(){var a,b,c,d,e,h,f,g,k=this.type,m=k.getCurrentSol(),l=this.block.orblock&&!this.trigger;b=0;var n=k.is_contained,q=k.is_family,r=k.family_index,p=this.beh_index,t=-1<p,K=this.anyParamVariesPerInstance,L=this.parameters,T=this.results,U=this.inverted,M=this.func,E;
if(K)for(b=0,e=L.length;b<e;++b)h=L[b],h.variesPerInstance||(T[b]=h.get(0));else for(b=0,e=L.length;b<e;++b)T[b]=L[b].get(0);if(m.select_all){m.instances.length=0;m.else_instances.length=0;E=k.instances;a=0;for(d=E.length;a<d;++a){g=E[a];if(K)for(b=0,e=L.length;b<e;++b)h=L[b],h.variesPerInstance&&(T[b]=h.get(a));t?(b=0,q&&(b=g.type.family_beh_map[r]),b=M.apply(g.behavior_insts[p+b],T)):b=M.apply(g,T);(f=cr.xor(b,U))?m.instances.push(g):l&&m.else_instances.push(g)}k.finish&&k.finish(!0);m.select_all=
!1;k.applySolToContainer();return m.hasObjects()}c=0;E=(f=l&&!this.block.isFirstConditionOfType(this))?m.else_instances:m.instances;var W=!1;a=0;for(d=E.length;a<d;++a){g=E[a];if(K)for(b=0,e=L.length;b<e;++b)h=L[b],h.variesPerInstance&&(T[b]=h.get(a));t?(b=0,q&&(b=g.type.family_beh_map[r]),b=M.apply(g.behavior_insts[p+b],T)):b=M.apply(g,T);if(cr.xor(b,U))if(W=!0,f){if(m.instances.push(g),n)for(b=0,e=g.siblings.length;b<e;b++)h=g.siblings[b],h.type.getCurrentSol().instances.push(h)}else{E[c]=g;if(n)for(b=
0,e=g.siblings.length;b<e;b++)h=g.siblings[b],h.type.getCurrentSol().instances[c]=h;c++}else if(f){E[c]=g;if(n)for(b=0,e=g.siblings.length;b<e;b++)h=g.siblings[b],h.type.getCurrentSol().else_instances[c]=h;c++}else if(l&&(m.else_instances.push(g),n))for(b=0,e=g.siblings.length;b<e;b++)h=g.siblings[b],h.type.getCurrentSol().else_instances.push(h)}E.length=c;if(n)for(q=k.container,a=0,d=q.length;a<d;a++)g=q[a].getCurrentSol(),f?g.else_instances.length=c:g.instances.length=c;c=W;if(f&&!W)for(a=0,d=m.instances.length;a<
d;a++){g=m.instances[a];if(K)for(b=0,e=L.length;b<e;b++)h=L[b],h.variesPerInstance&&(T[b]=h.get(a));b=t?M.apply(g.behavior_insts[p],T):M.apply(g,T);if(cr.xor(b,U)){W=!0;break}}k.finish&&k.finish(c||l);return l?W:m.hasObjects()};cr.condition=l;k.prototype.postInit=function(){var a,b,c;a=0;for(b=this.parameters.length;a<b;a++)c=this.parameters[a],c.postInit(),c.variesPerInstance&&(this.anyParamVariesPerInstance=!0)};k.prototype.run_system=function(){var a,b;a=0;for(b=this.parameters.length;a<b;a++)this.results[a]=
this.parameters[a].get();return this.func.apply(this.runtime.system,this.results)};k.prototype.run_object=function(){var a=this.type.getCurrentSol().getObjects(),b=this.type.is_family,c=this.type.family_index,d=this.beh_index,e=-1<d,h=this.anyParamVariesPerInstance,f=this.parameters,g=this.results,k=this.func,m,l,n,q,r,p;if(h)for(l=0,q=f.length;l<q;++l)r=f[l],r.variesPerInstance||(g[l]=r.get(0));else for(l=0,q=f.length;l<q;++l)g[l]=f[l].get(0);m=0;for(n=a.length;m<n;++m){p=a[m];if(h)for(l=0,q=f.length;l<
q;++l)r=f[l],r.variesPerInstance&&(g[l]=r.get(m));e?(l=0,b&&(l=p.type.family_beh_map[c]),k.apply(p.behavior_insts[d+l],g)):k.apply(p,g)}return!1};cr.action=k;var q=[],t=-1;h.prototype.postInit=function(){var a,b;if(11===this.type)this.eventvar=this.runtime.getEventVariableByName(this.varname,this.block.parent);else if(13===this.type)for(a=0,b=this.subparams.length;a<b;a++)this.subparams[a].postInit();this.expression&&this.expression.postInit()};h.prototype.maybeVaryForType=function(a){this.variesPerInstance||
!a||a.plugin.singleglobal||(this.variesPerInstance=!0)};h.prototype.setVaries=function(){this.variesPerInstance=!0};h.prototype.pushTempValue=function(){t++;q.length===t&&q.push(new cr.expvalue);return q[t]};h.prototype.popTempValue=function(){t--};h.prototype.get_exp=function(a){this.solindex=a||0;a=this.pushTempValue();this.expression.get(a);this.popTempValue();return a.data};h.prototype.get_exp_str=function(a){this.solindex=a||0;a=this.pushTempValue();this.expression.get(a);this.popTempValue();
return cr.is_string(a.data)?a.data:""};h.prototype.get_object=function(){return this.object};h.prototype.get_combosel=function(){return this.combosel};h.prototype.get_layer=function(a){this.solindex=a||0;a=this.pushTempValue();this.expression.get(a);this.popTempValue();return a.is_number()?this.runtime.getLayerByNumber(a.data):this.runtime.getLayerByName(a.data)};h.prototype.get_layout=function(){return this.layout};h.prototype.get_key=function(){return this.key};h.prototype.get_instvar=function(){return this.index};
h.prototype.get_familyvar=function(a){a=a||0;var b=this.owner.type,c=null,c=b.getCurrentSol(),d=c.getObjects();if(d.length)c=d[a%d.length].type;else if(c.else_instances.length)c=c.else_instances[a%c.else_instances.length].type;else if(b.instances.length)c=b.instances[a%b.instances.length].type;else return 0;return this.index+c.family_var_map[b.family_index]};h.prototype.get_eventvar=function(){return this.eventvar};h.prototype.get_audiofile=function(){return this.fileinfo};h.prototype.get_variadic=
function(){var a,b;a=0;for(b=this.subparams.length;a<b;a++)this.variadicret[a]=this.subparams[a].get();return this.variadicret};cr.parameter=h;m.prototype.postInit=function(){this.solModifiers=c(this.solModifiers)};m.prototype.setValue=function(a){var b=this.runtime.getCurrentLocalVarStack();this.parent&&!this.is_static&&b?(this.localIndex>=b.length&&(b.length=this.localIndex+1),b[this.localIndex]=a):this.data=a};m.prototype.getValue=function(){var a=this.runtime.getCurrentLocalVarStack();return!this.parent||
this.is_static||!a||this.is_constant?this.data:this.localIndex>=a.length||"undefined"===typeof a[this.localIndex]?this.initial:a[this.localIndex]};m.prototype.run=function(){!this.parent||this.is_static||this.is_constant||this.setValue(this.initial)};cr.eventvariable=m;n.prototype.toString=function(){return"include:"+this.include_sheet.toString()};n.prototype.postInit=function(){this.include_sheet=this.runtime.eventsheets[this.include_sheet_name];this.sheet.includes.add(this);this.solModifiers=c(this.solModifiers);
for(var a=this.parent;a;)a.group&&a.contained_includes.push(this),a=a.parent;this.updateActive()};n.prototype.run=function(){this.parent&&this.runtime.pushCleanSol(this.runtime.types_by_index);this.include_sheet.hasRun||this.include_sheet.run(!0);this.parent&&this.runtime.popSol(this.runtime.types_by_index)};n.prototype.updateActive=function(){for(var a=this.parent;a;){if(a.group&&!a.group_active){this.active=!1;return}a=a.parent}this.active=!0};n.prototype.isActive=function(){return this.active};
cr.eventinclude=n;r.prototype.reset=function(a){this.current_event=a;this.actindex=this.cndindex=0;this.temp_parents_arr.length=0;this.any_true_state=this.else_branch_ran=this.last_event_true=!1};r.prototype.isModifierAfterCnds=function(){return this.current_event.solWriterAfterCnds?!0:this.cndindex<this.current_event.conditions.length-1?!!this.current_event.solModifiers.length:!1};cr.eventStackFrame=r})();
(function(){function a(a,b){this.owner=a;this.runtime=a.runtime;this.type=b[0];this.get=[this.eval_int,this.eval_float,this.eval_string,this.eval_unaryminus,this.eval_add,this.eval_subtract,this.eval_multiply,this.eval_divide,this.eval_mod,this.eval_power,this.eval_and,this.eval_or,this.eval_equal,this.eval_notequal,this.eval_less,this.eval_lessequal,this.eval_greater,this.eval_greaterequal,this.eval_conditional,this.eval_system_exp,this.eval_object_behavior_exp,this.eval_instvar_exp,this.eval_object_behavior_exp,
this.eval_eventvar_exp][this.type];var f=null;this.object_type=this.parameters=this.results=this.func=this.third=this.second=this.first=this.value=null;this.beh_index=-1;this.instance_expr=null;this.varindex=-1;this.eventvar=this.varname=this.behavior_type=null;this.return_string=!1;switch(this.type){case 0:case 1:case 2:this.value=b[1];break;case 3:this.first=new cr.expNode(a,b[1]);break;case 18:this.first=new cr.expNode(a,b[1]);this.second=new cr.expNode(a,b[2]);this.third=new cr.expNode(a,b[3]);
break;case 19:this.func=b[1];this.func!==cr.system_object.prototype.exps.random&&this.func!==cr.system_object.prototype.exps.choose||this.owner.setVaries();this.results=[];this.parameters=[];3===b.length?(f=b[2],this.results.length=f.length+1):this.results.length=1;break;case 20:this.object_type=this.runtime.types_by_index[b[1]];this.beh_index=-1;this.func=b[2];this.return_string=b[3];cr.plugins_.Function&&this.func===cr.plugins_.Function.prototype.exps.Call&&this.owner.setVaries();this.instance_expr=
b[4]?new cr.expNode(a,b[4]):null;this.results=[];this.parameters=[];6===b.length?(f=b[5],this.results.length=f.length+1):this.results.length=1;break;case 21:this.object_type=this.runtime.types_by_index[b[1]];this.return_string=b[2];this.instance_expr=b[3]?new cr.expNode(a,b[3]):null;this.varindex=b[4];break;case 22:this.object_type=this.runtime.types_by_index[b[1]];this.behavior_type=this.object_type.getBehaviorByName(b[2]);this.beh_index=this.object_type.getBehaviorIndexByName(b[2]);this.func=b[3];
this.return_string=b[4];this.instance_expr=b[5]?new cr.expNode(a,b[5]):null;this.results=[];this.parameters=[];7===b.length?(f=b[6],this.results.length=f.length+1):this.results.length=1;break;case 23:this.varname=b[1],this.eventvar=null}this.owner.maybeVaryForType(this.object_type);4<=this.type&&17>=this.type&&(this.first=new cr.expNode(a,b[1]),this.second=new cr.expNode(a,b[2]));if(f){var e,g;e=0;for(g=f.length;e<g;e++)this.parameters.push(new cr.expNode(a,f[e]))}cr.seal(this)}function b(a,b){this.type=
a||cr.exptype.Integer;this.data=b||0;this.object_class=null;this.type==cr.exptype.Integer&&(this.data=Math.floor(this.data));cr.seal(this)}a.prototype.postInit=function(){23===this.type&&(this.eventvar=this.owner.runtime.getEventVariableByName(this.varname,this.owner.block.parent));this.first&&this.first.postInit();this.second&&this.second.postInit();this.third&&this.third.postInit();this.instance_expr&&this.instance_expr.postInit();if(this.parameters){var a,b;a=0;for(b=this.parameters.length;a<b;a++)this.parameters[a].postInit()}};
a.prototype.eval_system_exp=function(a){this.results[0]=a;a=this.owner.pushTempValue();var b,f;b=0;for(f=this.parameters.length;b<f;b++)this.parameters[b].get(a),this.results[b+1]=a.data;this.owner.popTempValue();this.func.apply(this.runtime.system,this.results)};a.prototype.eval_object_behavior_exp=function(a){var b=this.object_type.getCurrentSol(),f=b.getObjects();if(!f.length)if(b.else_instances.length)f=b.else_instances;else{this.return_string?a.set_string(""):a.set_int(0);return}this.results[0]=
a;a.object_class=this.object_type;a=this.owner.pushTempValue();var e,b=0;for(e=this.parameters.length;b<e;b++)this.parameters[b].get(a),this.results[b+1]=a.data;b=this.owner.solindex;this.instance_expr&&(this.instance_expr.get(a),a.is_number()&&(b=a.data,f=this.object_type.instances));this.owner.popTempValue();b%=f.length;0>b&&(b+=f.length);f=f[b];-1<this.beh_index?(a=0,this.object_type.is_family&&(a=f.type.family_beh_map[this.object_type.family_index]),this.func.apply(f.behavior_insts[this.beh_index+
a],this.results)):this.func.apply(f,this.results)};a.prototype.eval_instvar_exp=function(a){var b=this.object_type.getCurrentSol(),f=b.getObjects();if(!f.length)if(b.else_instances.length)f=b.else_instances;else{this.return_string?a.set_string(""):a.set_int(0);return}b=this.owner.solindex;if(this.instance_expr){var e=this.owner.pushTempValue();this.instance_expr.get(e);if(e.is_number()){b=e.data;f=this.object_type.instances;b%=f.length;0>b&&(b+=f.length);f=f[b].instance_vars[this.varindex];cr.is_string(f)?
a.set_string(f):a.set_float(f);this.owner.popTempValue();return}this.owner.popTempValue()}b%=f.length;0>b&&(b+=f.length);f=f[b];b=0;this.object_type.is_family&&(b=f.type.family_var_map[this.object_type.family_index]);f=f.instance_vars[this.varindex+b];cr.is_string(f)?a.set_string(f):a.set_float(f)};a.prototype.eval_int=function(a){a.type=cr.exptype.Integer;a.data=this.value};a.prototype.eval_float=function(a){a.type=cr.exptype.Float;a.data=this.value};a.prototype.eval_string=function(a){a.type=cr.exptype.String;
a.data=this.value};a.prototype.eval_unaryminus=function(a){this.first.get(a);a.is_number()&&(a.data=-a.data)};a.prototype.eval_add=function(a){this.first.get(a);var b=this.owner.pushTempValue();this.second.get(b);a.is_number()&&b.is_number()&&(a.data+=b.data,b.is_float()&&a.make_float());this.owner.popTempValue()};a.prototype.eval_subtract=function(a){this.first.get(a);var b=this.owner.pushTempValue();this.second.get(b);a.is_number()&&b.is_number()&&(a.data-=b.data,b.is_float()&&a.make_float());this.owner.popTempValue()};
a.prototype.eval_multiply=function(a){this.first.get(a);var b=this.owner.pushTempValue();this.second.get(b);a.is_number()&&b.is_number()&&(a.data*=b.data,b.is_float()&&a.make_float());this.owner.popTempValue()};a.prototype.eval_divide=function(a){this.first.get(a);var b=this.owner.pushTempValue();this.second.get(b);a.is_number()&&b.is_number()&&(a.data/=b.data,a.make_float());this.owner.popTempValue()};a.prototype.eval_mod=function(a){this.first.get(a);var b=this.owner.pushTempValue();this.second.get(b);
a.is_number()&&b.is_number()&&(a.data%=b.data,b.is_float()&&a.make_float());this.owner.popTempValue()};a.prototype.eval_power=function(a){this.first.get(a);var b=this.owner.pushTempValue();this.second.get(b);a.is_number()&&b.is_number()&&(a.data=Math.pow(a.data,b.data),b.is_float()&&a.make_float());this.owner.popTempValue()};a.prototype.eval_and=function(a){this.first.get(a);var b=this.owner.pushTempValue();this.second.get(b);a.is_number()?b.is_string()?a.set_string(a.data.toString()+b.data):a.data&&
b.data?a.set_int(1):a.set_int(0):a.is_string()&&(b.is_string()?a.data+=b.data:a.data+=(Math.round(1E10*b.data)/1E10).toString());this.owner.popTempValue()};a.prototype.eval_or=function(a){this.first.get(a);var b=this.owner.pushTempValue();this.second.get(b);a.is_number()&&b.is_number()&&(a.data||b.data?a.set_int(1):a.set_int(0));this.owner.popTempValue()};a.prototype.eval_conditional=function(a){this.first.get(a);a.data?this.second.get(a):this.third.get(a)};a.prototype.eval_equal=function(a){this.first.get(a);
var b=this.owner.pushTempValue();this.second.get(b);a.set_int(a.data===b.data?1:0);this.owner.popTempValue()};a.prototype.eval_notequal=function(a){this.first.get(a);var b=this.owner.pushTempValue();this.second.get(b);a.set_int(a.data!==b.data?1:0);this.owner.popTempValue()};a.prototype.eval_less=function(a){this.first.get(a);var b=this.owner.pushTempValue();this.second.get(b);a.set_int(a.data<b.data?1:0);this.owner.popTempValue()};a.prototype.eval_lessequal=function(a){this.first.get(a);var b=this.owner.pushTempValue();
this.second.get(b);a.set_int(a.data<=b.data?1:0);this.owner.popTempValue()};a.prototype.eval_greater=function(a){this.first.get(a);var b=this.owner.pushTempValue();this.second.get(b);a.set_int(a.data>b.data?1:0);this.owner.popTempValue()};a.prototype.eval_greaterequal=function(a){this.first.get(a);var b=this.owner.pushTempValue();this.second.get(b);a.set_int(a.data>=b.data?1:0);this.owner.popTempValue()};a.prototype.eval_eventvar_exp=function(a){var b=this.eventvar.getValue();cr.is_number(b)?a.set_float(b):
a.set_string(b)};cr.expNode=a;b.prototype.is_int=function(){return this.type===cr.exptype.Integer};b.prototype.is_float=function(){return this.type===cr.exptype.Float};b.prototype.is_number=function(){return this.type===cr.exptype.Integer||this.type===cr.exptype.Float};b.prototype.is_string=function(){return this.type===cr.exptype.String};b.prototype.make_int=function(){this.is_int()||(this.is_float()?this.data=Math.floor(this.data):this.is_string()&&(this.data=parseInt(this.data,10)),this.type=cr.exptype.Integer)};
b.prototype.make_float=function(){this.is_float()||(this.is_string()&&(this.data=parseFloat(this.data)),this.type=cr.exptype.Float)};b.prototype.make_string=function(){this.is_string()||(this.data=this.data.toString(),this.type=cr.exptype.String)};b.prototype.set_int=function(a){this.type=cr.exptype.Integer;this.data=Math.floor(a)};b.prototype.set_float=function(a){this.type=cr.exptype.Float;this.data=a};b.prototype.set_string=function(a){this.type=cr.exptype.String;this.data=a};b.prototype.set_any=
function(a){cr.is_number(a)?(this.type=cr.exptype.Float,this.data=a):cr.is_string(a)?(this.type=cr.exptype.String,this.data=a.toString()):(this.type=cr.exptype.Integer,this.data=0)};cr.expvalue=b;cr.exptype={Integer:0,Float:1,String:2}})();cr.system_object=function(a){this.runtime=a;this.waits=[]};
cr.system_object.prototype.saveToJSON=function(){var a={},b,c,d,f,e,g,l,k;a.waits=[];var h=a.waits,m;b=0;for(c=this.waits.length;b<c;b++){g=this.waits[b];m={t:g.time,st:g.signaltag,s:g.signalled,ev:g.ev.sid,sm:[],sols:{}};g.ev.actions[g.actindex]&&(m.act=g.ev.actions[g.actindex].sid);d=0;for(f=g.solModifiers.length;d<f;d++)m.sm.push(g.solModifiers[d].sid);for(e in g.sols)if(g.sols.hasOwnProperty(e)){l=this.runtime.types_by_index[parseInt(e,10)];k={sa:g.sols[e].sa,insts:[]};d=0;for(f=g.sols[e].insts.length;d<
f;d++)k.insts.push(g.sols[e].insts[d].uid);m.sols[l.sid.toString()]=k}h.push(m)}return a};
cr.system_object.prototype.loadFromJSON=function(a){a=a.waits;var b,c,d,f,e,g,l,k,h,m,n;b=this.waits.length=0;for(c=a.length;b<c;b++)if(g=a[b],k=this.runtime.blocksBySid[g.ev.toString()]){h=-1;d=0;for(f=k.actions.length;d<f;d++)if(k.actions[d].sid===g.act){h=d;break}if(-1!==h){l={sols:{},solModifiers:[],deleteme:!1};l.time=g.t;l.signaltag=g.st||"";l.signalled=!!g.s;l.ev=k;l.actindex=h;d=0;for(f=g.sm.length;d<f;d++)(k=this.runtime.getObjectTypeBySid(g.sm[d]))&&l.solModifiers.push(k);for(e in g.sols)if(g.sols.hasOwnProperty(e)&&
(k=this.runtime.getObjectTypeBySid(parseInt(e,10)))){h=g.sols[e];m={sa:h.sa,insts:[]};d=0;for(f=h.insts.length;d<f;d++)(n=this.runtime.getObjectByUID(h.insts[d]))&&m.insts.push(n);l.sols[k.index.toString()]=m}this.waits.push(l)}}};
(function(){function a(){}function b(a,b){var c=a.extra.c2_foreachordered_val,d=b.extra.c2_foreachordered_val;if(cr.is_number(c)&&cr.is_number(d))return c-d;c=""+c;d=""+d;return c<d?-1:c>d?1:0}function c(a,b){n&&a===r&&b===p||(n=RegExp(a,b),r=a,p=b);n.lastIndex=0;return n}function d(){}function f(){var a;a=t.length?t.pop():{sols:{},solModifiers:[]};a.deleteme=!1;return a}function e(){var a;a=s.length?s.pop():{insts:[]};a.sa=!1;return a}function g(){}function l(a,b,d){if(a!==y||b!==C||d!==F){var e=
c(b,d);u=a.match(e);y=a;C=b;F=d}}var k=cr.system_object.prototype;a.prototype.EveryTick=function(){return!0};a.prototype.OnLayoutStart=function(){return!0};a.prototype.OnLayoutEnd=function(){return!0};a.prototype.Compare=function(a,b,c){return cr.do_cmp(a,b,c)};a.prototype.CompareTime=function(a,b){var c=this.runtime.kahanTime.sum;if(0===a){var d=this.runtime.getCurrentCondition();return!d.extra.CompareTime_executed&&c>=b?d.extra.CompareTime_executed=!0:!1}return cr.do_cmp(c,a,b)};a.prototype.LayerVisible=
function(a){return a?a.visible:!1};a.prototype.LayerCmpOpacity=function(a,b,c){return a?cr.do_cmp(100*a.opacity,b,c):!1};a.prototype.Repeat=function(a){var b=this.runtime.getCurrentEventStack(),c=b.current_event,d=b.isModifierAfterCnds(),b=this.runtime.pushLoopStack();if(d)for(d=0;d<a&&!b.stopped;d++)this.runtime.pushCopySol(c.solModifiers),b.index=d,c.retrigger(),this.runtime.popSol(c.solModifiers);else for(d=0;d<a&&!b.stopped;d++)b.index=d,c.retrigger();this.runtime.popLoopStack();return!1};a.prototype.While=
function(a){var b=this.runtime.getCurrentEventStack();a=b.current_event;var c=b.isModifierAfterCnds(),b=this.runtime.pushLoopStack();if(c)for(c=0;!b.stopped;c++)this.runtime.pushCopySol(a.solModifiers),b.index=c,a.retrigger()||(b.stopped=!0),this.runtime.popSol(a.solModifiers);else for(c=0;!b.stopped;c++)b.index=c,a.retrigger()||(b.stopped=!0);this.runtime.popLoopStack();return!1};a.prototype.For=function(a,b,c){var d=this.runtime.getCurrentEventStack(),e=d.current_event,d=d.isModifierAfterCnds();
a=this.runtime.pushLoopStack(a);if(c<b)if(d)for(;b>=c&&!a.stopped;--b)this.runtime.pushCopySol(e.solModifiers),a.index=b,e.retrigger(),this.runtime.popSol(e.solModifiers);else for(;b>=c&&!a.stopped;--b)a.index=b,e.retrigger();else if(d)for(;b<=c&&!a.stopped;++b)this.runtime.pushCopySol(e.solModifiers),a.index=b,e.retrigger(),this.runtime.popSol(e.solModifiers);else for(;b<=c&&!a.stopped;++b)a.index=b,e.retrigger();this.runtime.popLoopStack();return!1};var h=[],m=-1;a.prototype.ForEach=function(a){var b=
a.getCurrentSol();m++;h.length===m&&h.push([]);var c=h[m];cr.shallowAssignArray(c,b.getObjects());var d=this.runtime.getCurrentEventStack(),e=d.current_event,f=d.isModifierAfterCnds(),d=this.runtime.pushLoopStack(),g,k,l,n,q,r,p=a.is_contained;if(f)for(f=0,g=c.length;f<g&&!d.stopped;f++){this.runtime.pushCopySol(e.solModifiers);n=c[f];b=a.getCurrentSol();b.select_all=!1;b.instances.length=1;b.instances[0]=n;if(p)for(k=0,l=n.siblings.length;k<l;k++)q=n.siblings[k],r=q.type.getCurrentSol(),r.select_all=
!1,r.instances.length=1,r.instances[0]=q;d.index=f;e.retrigger();this.runtime.popSol(e.solModifiers)}else for(b.select_all=!1,b.instances.length=1,f=0,g=c.length;f<g&&!d.stopped;f++){n=c[f];b.instances[0]=n;if(p)for(k=0,l=n.siblings.length;k<l;k++)q=n.siblings[k],r=q.type.getCurrentSol(),r.select_all=!1,r.instances.length=1,r.instances[0]=q;d.index=f;e.retrigger()}c.length=0;this.runtime.popLoopStack();m--;return!1};a.prototype.ForEachOrdered=function(a,c,d){c=a.getCurrentSol();m++;h.length===m&&
h.push([]);var e=h[m];cr.shallowAssignArray(e,c.getObjects());var f=this.runtime.getCurrentEventStack(),g=f.current_event,k=this.runtime.getCurrentCondition(),l=f.isModifierAfterCnds(),f=this.runtime.pushLoopStack(),n,q,r,p,t;n=0;for(q=e.length;n<q;n++)e[n].extra.c2_foreachordered_val=k.parameters[1].get(n);e.sort(b);1===d&&e.reverse();d=a.is_contained;if(l)for(n=0,q=e.length;n<q&&!f.stopped;n++){this.runtime.pushCopySol(g.solModifiers);r=e[n];c=a.getCurrentSol();c.select_all=!1;c.instances.length=
1;c.instances[0]=r;if(d)for(k=0,l=r.siblings.length;k<l;k++)p=r.siblings[k],t=p.type.getCurrentSol(),t.select_all=!1,t.instances.length=1,t.instances[0]=p;f.index=n;g.retrigger();this.runtime.popSol(g.solModifiers)}else for(c.select_all=!1,c.instances.length=1,n=0,q=e.length;n<q&&!f.stopped;n++){r=e[n];c.instances[0]=r;if(d)for(k=0,l=r.siblings.length;k<l;k++)p=r.siblings[k],t=p.type.getCurrentSol(),t.select_all=!1,t.instances.length=1,t.instances[0]=p;f.index=n;g.retrigger()}e.length=0;this.runtime.popLoopStack();
m--;return!1};a.prototype.PickByComparison=function(a,b,c,d){var e,f,g,k;if(a){m++;h.length===m&&h.push([]);var l=h[m],n=a.getCurrentSol();cr.shallowAssignArray(l,n.getObjects());n.select_all&&(n.else_instances.length=0);var q=this.runtime.getCurrentCondition();g=e=0;for(f=l.length;e<f;e++)k=l[e],l[g]=k,b=q.parameters[1].get(e),d=q.parameters[3].get(e),cr.do_cmp(b,c,d)?g++:n.else_instances.push(k);l.length=g;n.select_all=!1;cr.shallowAssignArray(n.instances,l);l.length=0;m--;a.applySolToContainer();
return!!n.instances.length}};a.prototype.PickByEvaluate=function(a,b){var c,d,e,f;if(a){m++;h.length===m&&h.push([]);var g=h[m],k=a.getCurrentSol();cr.shallowAssignArray(g,k.getObjects());k.select_all&&(k.else_instances.length=0);var l=this.runtime.getCurrentCondition();e=c=0;for(d=g.length;c<d;c++)f=g[c],g[e]=f,(b=l.parameters[1].get(c))?e++:k.else_instances.push(f);g.length=e;k.select_all=!1;cr.shallowAssignArray(k.instances,g);g.length=0;m--;a.applySolToContainer();return!!k.instances.length}};
a.prototype.TriggerOnce=function(){var a=this.runtime.getCurrentCondition().extra;"undefined"===typeof a.TriggerOnce_lastTick&&(a.TriggerOnce_lastTick=-1);var b=a.TriggerOnce_lastTick,c=this.runtime.tickcount;a.TriggerOnce_lastTick=c;return this.runtime.layout_first_tick||b!==c-1};a.prototype.Every=function(a){var b=this.runtime.getCurrentCondition(),c=b.extra.Every_lastTime||0,d=this.runtime.kahanTime.sum;"undefined"===typeof b.extra.Every_seconds&&(b.extra.Every_seconds=a);var e=b.extra.Every_seconds;
if(d>=c+e)return b.extra.Every_lastTime=c+e,d>=b.extra.Every_lastTime+0.04&&(b.extra.Every_lastTime=d),b.extra.Every_seconds=a,!0;d<c-0.1&&(b.extra.Every_lastTime=d);return!1};a.prototype.PickNth=function(a,b){if(!a)return!1;var c=a.getCurrentSol(),d=c.getObjects();b=cr.floor(b);if(0>b||b>=d.length)return!1;c.pick_one(d[b]);a.applySolToContainer();return!0};a.prototype.PickRandom=function(a){if(!a)return!1;var b=a.getCurrentSol(),c=b.getObjects(),d=cr.floor(Math.random()*c.length);if(d>=c.length)return!1;
b.pick_one(c[d]);a.applySolToContainer();return!0};a.prototype.CompareVar=function(a,b,c){return cr.do_cmp(a.getValue(),b,c)};a.prototype.IsGroupActive=function(a){return(a=this.runtime.groups_by_name[a.toLowerCase()])&&a.group_active};a.prototype.IsPreview=function(){return"undefined"!==typeof cr_is_preview};a.prototype.PickAll=function(a){if(!a||!a.instances.length)return!1;a.getCurrentSol().select_all=!0;a.applySolToContainer();return!0};a.prototype.IsMobile=function(){return this.runtime.isMobile};
a.prototype.CompareBetween=function(a,b,c){return a>=b&&a<=c};a.prototype.Else=function(){var a=this.runtime.getCurrentEventStack();return a.else_branch_ran?!1:!a.last_event_true};a.prototype.OnLoadFinished=function(){return!0};a.prototype.OnCanvasSnapshot=function(){return!0};a.prototype.EffectsSupported=function(){return!!this.runtime.glwrap};a.prototype.OnSaveComplete=function(){return!0};a.prototype.OnLoadComplete=function(){return!0};a.prototype.OnLoadFailed=function(){return!0};a.prototype.ObjectUIDExists=
function(a){return!!this.runtime.getObjectByUID(a)};a.prototype.IsOnPlatform=function(a){var b=this.runtime;switch(a){case 0:return!b.isDomFree&&!b.isNodeWebkit&&!b.isPhoneGap&&!b.isCrosswalk&&!b.isWinJS&&!b.isWindowsPhone8&&!b.isBlackberry10&&!b.isAmazonWebApp;case 1:return b.isiOS;case 2:return b.isAndroid;case 3:return b.isWindows8App;case 4:return b.isWindowsPhone8;case 5:return b.isBlackberry10;case 6:return b.isTizen;case 7:return b.isCocoonJs;case 8:return b.isPhoneGap;case 9:return b.isArcade;
case 10:return b.isNodeWebkit;case 11:return b.isCrosswalk;case 12:return b.isAmazonWebApp;default:return!1}};var n=null,r="",p="";a.prototype.RegexTest=function(a,b,d){return c(b,d).test(a)};var q=[];a.prototype.PickOverlappingPoint=function(a,b,c){if(!a)return!1;var d=a.getCurrentSol(),e=d.getObjects(),h=this.runtime.getCurrentEventStack().current_event.orblock,f=this.runtime.getCurrentCondition(),g,k;d.select_all?(cr.shallowAssignArray(q,e),d.else_instances.length=0,d.select_all=!1,d.instances.length=
0):h?(cr.shallowAssignArray(q,d.else_instances),d.else_instances.length=0):(cr.shallowAssignArray(q,e),d.instances.length=0);e=0;for(h=q.length;e<h;++e)g=q[e],g.update_bbox(),(k=cr.xor(g.contains_pt(b,c),f.inverted))?d.instances.push(g):d.else_instances.push(g);a.applySolToContainer();return cr.xor(!!d.instances.length,f.inverted)};k.cnds=new a;d.prototype.GoToLayout=function(a){this.runtime.isloading||this.runtime.changelayout||(this.runtime.changelayout=a)};d.prototype.NextPrevLayout=function(a){if(!this.runtime.isloading&&
!this.runtime.changelayout){var b=this.runtime.layouts_by_index.indexOf(this.runtime.running_layout);if(!a||0!==b)if(a||b!==this.runtime.layouts_by_index.length-1)this.runtime.changelayout=this.runtime.layouts_by_index[b+(a?-1:1)]}};d.prototype.CreateObject=function(a,b,c,d){if(b&&a&&(b=this.runtime.createInstance(a,b,c,d))){this.runtime.isInOnDestroy++;var e;this.runtime.trigger(Object.getPrototypeOf(a.plugin).cnds.OnCreated,b);if(b.is_contained)for(c=0,d=b.siblings.length;c<d;c++)e=b.siblings[c],
this.runtime.trigger(Object.getPrototypeOf(e.type.plugin).cnds.OnCreated,e);this.runtime.isInOnDestroy--;a=a.getCurrentSol();a.select_all=!1;a.instances.length=1;a.instances[0]=b;if(b.is_contained)for(c=0,d=b.siblings.length;c<d;c++)e=b.siblings[c],a=e.type.getCurrentSol(),a.select_all=!1,a.instances.length=1,a.instances[0]=e}};d.prototype.SetLayerVisible=function(a,b){a&&a.visible!==b&&(a.visible=b,this.runtime.redraw=!0)};d.prototype.SetLayerOpacity=function(a,b){a&&(b=cr.clamp(b/100,0,1),a.opacity!==
b&&(a.opacity=b,this.runtime.redraw=!0))};d.prototype.SetLayerScaleRate=function(a,b){a&&a.zoomRate!==b&&(a.zoomRate=b,this.runtime.redraw=!0)};d.prototype.SetLayoutScale=function(a){this.runtime.running_layout&&this.runtime.running_layout.scale!==a&&(this.runtime.running_layout.scale=a,this.runtime.running_layout.boundScrolling(),this.runtime.redraw=!0)};d.prototype.ScrollX=function(a){this.runtime.running_layout.scrollToX(a)};d.prototype.ScrollY=function(a){this.runtime.running_layout.scrollToY(a)};
d.prototype.Scroll=function(a,b){this.runtime.running_layout.scrollToX(a);this.runtime.running_layout.scrollToY(b)};d.prototype.ScrollToObject=function(a){if(a=a.getFirstPicked())this.runtime.running_layout.scrollToX(a.x),this.runtime.running_layout.scrollToY(a.y)};d.prototype.SetVar=function(a,b){0===a.vartype?cr.is_number(b)?a.setValue(b):a.setValue(parseFloat(b)):1===a.vartype&&a.setValue(b.toString())};d.prototype.AddVar=function(a,b){0===a.vartype?cr.is_number(b)?a.setValue(a.getValue()+b):a.setValue(a.getValue()+
parseFloat(b)):1===a.vartype&&a.setValue(a.getValue()+b.toString())};d.prototype.SubVar=function(a,b){0===a.vartype&&(cr.is_number(b)?a.setValue(a.getValue()-b):a.setValue(a.getValue()-parseFloat(b)))};d.prototype.SetGroupActive=function(a,b){var c=this.runtime.groups_by_name[a.toLowerCase()];if(c)switch(b){case 0:c.setGroupActive(!1);break;case 1:c.setGroupActive(!0);break;case 2:c.setGroupActive(!c.group_active)}};d.prototype.SetTimescale=function(a){0>a&&(a=0);this.runtime.timescale=a};d.prototype.SetObjectTimescale=
function(a,b){var c=b;0>c&&(c=0);if(a){var d=a.getCurrentSol().getObjects(),e,h;e=0;for(h=d.length;e<h;e++)d[e].my_timescale=c}};d.prototype.RestoreObjectTimescale=function(a){if(!a)return!1;a=a.getCurrentSol().getObjects();var b,c;b=0;for(c=a.length;b<c;b++)a[b].my_timescale=-1};var t=[],s=[];d.prototype.Wait=function(a){if(!(0>a)){var b,c,d,h=this.runtime.getCurrentEventStack(),g=f();g.time=this.runtime.kahanTime.sum+a;g.signaltag="";g.signalled=!1;g.ev=h.current_event;g.actindex=h.actindex+1;a=
0;for(b=this.runtime.types_by_index.length;a<b;a++)d=this.runtime.types_by_index[a],c=d.getCurrentSol(),c.select_all&&-1===h.current_event.solModifiers.indexOf(d)||(g.solModifiers.push(d),d=e(),d.sa=c.select_all,cr.shallowAssignArray(d.insts,c.instances),g.sols[a.toString()]=d);this.waits.push(g);return!0}};d.prototype.WaitForSignal=function(a){var b,c,d,h=this.runtime.getCurrentEventStack(),g=f();g.time=-1;g.signaltag=a.toLowerCase();g.signalled=!1;g.ev=h.current_event;g.actindex=h.actindex+1;a=
0;for(b=this.runtime.types_by_index.length;a<b;a++)d=this.runtime.types_by_index[a],c=d.getCurrentSol(),c.select_all&&-1===h.current_event.solModifiers.indexOf(d)||(g.solModifiers.push(d),d=e(),d.sa=c.select_all,cr.shallowAssignArray(d.insts,c.instances),g.sols[a.toString()]=d);this.waits.push(g);return!0};d.prototype.Signal=function(a){a=a.toLowerCase();var b,c,d;b=0;for(c=this.waits.length;b<c;++b)d=this.waits[b],-1===d.time&&d.signaltag===a&&(d.signalled=!0)};d.prototype.SetLayerScale=function(a,
b){a&&a.scale!==b&&(a.scale=b,this.runtime.redraw=!0)};d.prototype.ResetGlobals=function(){var a,b,c;a=0;for(b=this.runtime.all_global_vars.length;a<b;a++)c=this.runtime.all_global_vars[a],c.data=c.initial};d.prototype.SetLayoutAngle=function(a){a=cr.to_radians(a);a=cr.clamp_angle(a);this.runtime.running_layout&&this.runtime.running_layout.angle!==a&&(this.runtime.running_layout.angle=a,this.runtime.redraw=!0)};d.prototype.SetLayerAngle=function(a,b){a&&(b=cr.to_radians(b),b=cr.clamp_angle(b),a.angle!==
b&&(a.angle=b,this.runtime.redraw=!0))};d.prototype.SetLayerParallax=function(a,b,c){if(a&&(a.parallaxX!==b/100||a.parallaxY!==c/100)){a.parallaxX=b/100;a.parallaxY=c/100;if(1!==a.parallaxX||1!==a.parallaxY)for(c=a.instances,a=0,b=c.length;a<b;++a)c[a].type.any_instance_parallaxed=!0;this.runtime.redraw=!0}};d.prototype.SetLayerBackground=function(a,b){if(a){var c=cr.GetRValue(b),d=cr.GetGValue(b),e=cr.GetBValue(b);if(a.background_color[0]!==c||a.background_color[1]!==d||a.background_color[2]!==e)a.background_color[0]=
c,a.background_color[1]=d,a.background_color[2]=e,this.runtime.redraw=!0}};d.prototype.SetLayerTransparent=function(a,b){a&&!!b!==!!a.transparent&&(a.transparent=!!b,this.runtime.redraw=!0)};d.prototype.StopLoop=function(){0>this.runtime.loop_stack_index||(this.runtime.getCurrentLoop().stopped=!0)};d.prototype.GoToLayoutByName=function(a){if(!this.runtime.isloading&&!this.runtime.changelayout)for(var b in this.runtime.layouts)if(this.runtime.layouts.hasOwnProperty(b)&&cr.equals_nocase(b,a)){this.runtime.changelayout=
this.runtime.layouts[b];break}};d.prototype.RestartLayout=function(a){if(!this.runtime.isloading&&!this.runtime.changelayout&&this.runtime.running_layout){this.runtime.changelayout=this.runtime.running_layout;var b,c;a=0;for(b=this.runtime.allGroups.length;a<b;a++)c=this.runtime.allGroups[a],c.setGroupActive(c.initially_activated)}};d.prototype.SnapshotCanvas=function(a,b){this.runtime.snapshotCanvas=[0===a?"image/png":"image/jpeg",b/100];this.runtime.redraw=!0};d.prototype.SetCanvasSize=function(a,
b){if(!(0>=a||0>=b)){var c=this.runtime.fullscreen_mode;(document.mozFullScreen||document.webkitIsFullScreen||document.msFullscreenElement||document.fullScreen||this.runtime.isNodeFullscreen)&&0<this.runtime.fullscreen_scaling&&(c=this.runtime.fullscreen_scaling);0===c?this.runtime.setSize(a,b,!0):(this.runtime.original_width=a,this.runtime.original_height=b,this.runtime.setSize(this.runtime.lastWindowWidth,this.runtime.lastWindowHeight,!0))}};d.prototype.SetLayoutEffectEnabled=function(a,b){if(this.runtime.running_layout&&
this.runtime.glwrap){var c=this.runtime.running_layout.getEffectByName(b);if(c){var d=1===a;c.active!=d&&(c.active=d,this.runtime.running_layout.updateActiveEffects(),this.runtime.redraw=!0)}}};d.prototype.SetLayerEffectEnabled=function(a,b,c){a&&this.runtime.glwrap&&(c=a.getEffectByName(c))&&(b=1===b,c.active!=b&&(c.active=b,a.updateActiveEffects(),this.runtime.redraw=!0))};d.prototype.SetLayoutEffectParam=function(a,b,c){if(this.runtime.running_layout&&this.runtime.glwrap&&(a=this.runtime.running_layout.getEffectByName(a))){var d=
this.runtime.running_layout.effect_params[a.index];b=Math.floor(b);0>b||b>=d.length||(1===this.runtime.glwrap.getProgramParameterType(a.shaderindex,b)&&(c/=100),d[b]!==c&&(d[b]=c,a.active&&(this.runtime.redraw=!0)))}};d.prototype.SetLayerEffectParam=function(a,b,c,d){a&&this.runtime.glwrap&&(b=a.getEffectByName(b))&&(a=a.effect_params[b.index],c=Math.floor(c),0>c||c>=a.length||(1===this.runtime.glwrap.getProgramParameterType(b.shaderindex,c)&&(d/=100),a[c]!==d&&(a[c]=d,b.active&&(this.runtime.redraw=
!0))))};d.prototype.SaveState=function(a){this.runtime.saveToSlot=a};d.prototype.LoadState=function(a){this.runtime.loadFromSlot=a};d.prototype.LoadStateJSON=function(a){this.runtime.loadFromJson=a};d.prototype.SetHalfFramerateMode=function(a){this.runtime.halfFramerateMode=0!==a};d.prototype.SetFullscreenQuality=function(a){if(document.mozFullScreen||document.webkitIsFullScreen||document.msFullscreenElement||document.fullScreen||this.isNodeFullscreen||0!==this.runtime.fullscreen_mode)this.runtime.wantFullscreenScalingQuality=
0!==a,this.runtime.setSize(this.runtime.lastWindowWidth,this.runtime.lastWindowHeight,!0)};k.acts=new d;g.prototype["int"]=function(a,b){cr.is_string(b)?(a.set_int(parseInt(b,10)),isNaN(a.data)&&(a.data=0)):a.set_int(b)};g.prototype["float"]=function(a,b){cr.is_string(b)?(a.set_float(parseFloat(b)),isNaN(a.data)&&(a.data=0)):a.set_float(b)};g.prototype.str=function(a,b){cr.is_string(b)?a.set_string(b):a.set_string(b.toString())};g.prototype.len=function(a,b){a.set_int(b.length||0)};g.prototype.random=
function(a,b,c){void 0===c?a.set_float(Math.random()*b):a.set_float(Math.random()*(c-b)+b)};g.prototype.sqrt=function(a,b){a.set_float(Math.sqrt(b))};g.prototype.abs=function(a,b){a.set_float(Math.abs(b))};g.prototype.round=function(a,b){a.set_int(Math.round(b))};g.prototype.floor=function(a,b){a.set_int(Math.floor(b))};g.prototype.ceil=function(a,b){a.set_int(Math.ceil(b))};g.prototype.sin=function(a,b){a.set_float(Math.sin(cr.to_radians(b)))};g.prototype.cos=function(a,b){a.set_float(Math.cos(cr.to_radians(b)))};
g.prototype.tan=function(a,b){a.set_float(Math.tan(cr.to_radians(b)))};g.prototype.asin=function(a,b){a.set_float(cr.to_degrees(Math.asin(b)))};g.prototype.acos=function(a,b){a.set_float(cr.to_degrees(Math.acos(b)))};g.prototype.atan=function(a,b){a.set_float(cr.to_degrees(Math.atan(b)))};g.prototype.exp=function(a,b){a.set_float(Math.exp(b))};g.prototype.ln=function(a,b){a.set_float(Math.log(b))};g.prototype.log10=function(a,b){a.set_float(Math.log(b)/Math.LN10)};g.prototype.max=function(a){var b=
arguments[1];"number"!==typeof b&&(b=0);var c,d,e;c=2;for(d=arguments.length;c<d;c++)e=arguments[c],"number"===typeof e&&b<e&&(b=e);a.set_float(b)};g.prototype.min=function(a){var b=arguments[1];"number"!==typeof b&&(b=0);var c,d,e;c=2;for(d=arguments.length;c<d;c++)e=arguments[c],"number"===typeof e&&b>e&&(b=e);a.set_float(b)};g.prototype.dt=function(a){a.set_float(this.runtime.dt)};g.prototype.timescale=function(a){a.set_float(this.runtime.timescale)};g.prototype.wallclocktime=function(a){a.set_float((Date.now()-
this.runtime.start_time)/1E3)};g.prototype.time=function(a){a.set_float(this.runtime.kahanTime.sum)};g.prototype.tickcount=function(a){a.set_int(this.runtime.tickcount)};g.prototype.objectcount=function(a){a.set_int(this.runtime.objectcount)};g.prototype.fps=function(a){a.set_int(this.runtime.fps)};g.prototype.loopindex=function(a,b){var c,d,e;if(this.runtime.loop_stack.length)if(b){d=0;for(e=this.runtime.loop_stack.length;d<e;d++)if(c=this.runtime.loop_stack[d],c.name===b){a.set_int(c.index);return}a.set_int(0)}else c=
this.runtime.getCurrentLoop(),a.set_int(c?c.index:-1);else a.set_int(0)};g.prototype.distance=function(a,b,c,d,e){a.set_float(cr.distanceTo(b,c,d,e))};g.prototype.angle=function(a,b,c,d,e){a.set_float(cr.to_degrees(cr.angleTo(b,c,d,e)))};g.prototype.scrollx=function(a){a.set_float(this.runtime.running_layout.scrollX)};g.prototype.scrolly=function(a){a.set_float(this.runtime.running_layout.scrollY)};g.prototype.newline=function(a){a.set_string("\n")};g.prototype.lerp=function(a,b,c,d){a.set_float(cr.lerp(b,
c,d))};g.prototype.qarp=function(a,b,c,d,e){a.set_float(cr.qarp(b,c,d,e))};g.prototype.cubic=function(a,b,c,d,e,h){a.set_float(cr.cubic(b,c,d,e,h))};g.prototype.cosp=function(a,b,c,d){a.set_float(cr.cosp(b,c,d))};g.prototype.windowwidth=function(a){a.set_int(this.runtime.width)};g.prototype.windowheight=function(a){a.set_int(this.runtime.height)};g.prototype.uppercase=function(a,b){a.set_string(cr.is_string(b)?b.toUpperCase():"")};g.prototype.lowercase=function(a,b){a.set_string(cr.is_string(b)?b.toLowerCase():
"")};g.prototype.clamp=function(a,b,c,d){b<c?a.set_float(c):b>d?a.set_float(d):a.set_float(b)};g.prototype.layerscale=function(a,b){var c=this.runtime.getLayer(b);c?a.set_float(c.scale):a.set_float(0)};g.prototype.layeropacity=function(a,b){var c=this.runtime.getLayer(b);c?a.set_float(100*c.opacity):a.set_float(0)};g.prototype.layerscalerate=function(a,b){var c=this.runtime.getLayer(b);c?a.set_float(c.zoomRate):a.set_float(0)};g.prototype.layerparallaxx=function(a,b){var c=this.runtime.getLayer(b);
c?a.set_float(100*c.parallaxX):a.set_float(0)};g.prototype.layerparallaxy=function(a,b){var c=this.runtime.getLayer(b);c?a.set_float(100*c.parallaxY):a.set_float(0)};g.prototype.layoutscale=function(a){this.runtime.running_layout?a.set_float(this.runtime.running_layout.scale):a.set_float(0)};g.prototype.layoutangle=function(a){a.set_float(cr.to_degrees(this.runtime.running_layout.angle))};g.prototype.layerangle=function(a,b){var c=this.runtime.getLayer(b);c?a.set_float(cr.to_degrees(c.angle)):a.set_float(0)};
g.prototype.layoutwidth=function(a){a.set_int(this.runtime.running_layout.width)};g.prototype.layoutheight=function(a){a.set_int(this.runtime.running_layout.height)};g.prototype.find=function(a,b,c){cr.is_string(b)&&cr.is_string(c)?a.set_int(b.search(RegExp(cr.regexp_escape(c),"i"))):a.set_int(-1)};g.prototype.left=function(a,b,c){a.set_string(cr.is_string(b)?b.substr(0,c):"")};g.prototype.right=function(a,b,c){a.set_string(cr.is_string(b)?b.substr(b.length-c):"")};g.prototype.mid=function(a,b,c,
d){a.set_string(cr.is_string(b)?b.substr(c,d):"")};g.prototype.tokenat=function(a,b,c,d){cr.is_string(b)&&cr.is_string(d)?(b=b.split(d),c=cr.floor(c),0>c||c>=b.length?a.set_string(""):a.set_string(b[c])):a.set_string("")};g.prototype.tokencount=function(a,b,c){cr.is_string(b)&&b.length?a.set_int(b.split(c).length):a.set_int(0)};g.prototype.replace=function(a,b,c,d){cr.is_string(b)&&cr.is_string(c)&&cr.is_string(d)?a.set_string(b.replace(RegExp(cr.regexp_escape(c),"gi"),d)):a.set_string(cr.is_string(b)?
b:"")};g.prototype.trim=function(a,b){a.set_string(cr.is_string(b)?b.trim():"")};g.prototype.pi=function(a){a.set_float(cr.PI)};g.prototype.layoutname=function(a){this.runtime.running_layout?a.set_string(this.runtime.running_layout.name):a.set_string("")};g.prototype.renderer=function(a){a.set_string(this.runtime.gl?"webgl":"canvas2d")};g.prototype.anglediff=function(a,b,c){a.set_float(cr.to_degrees(cr.angleDiff(cr.to_radians(b),cr.to_radians(c))))};g.prototype.choose=function(a){var b=cr.floor(Math.random()*
(arguments.length-1));a.set_any(arguments[b+1])};g.prototype.rgb=function(a,b,c,d){a.set_int(cr.RGB(b,c,d))};g.prototype.projectversion=function(a){a.set_string(this.runtime.versionstr)};g.prototype.anglelerp=function(a,b,c,d){b=cr.to_radians(b);c=cr.to_radians(c);var e=cr.angleDiff(b,c);cr.angleClockwise(c,b)?a.set_float(cr.to_clamped_degrees(b+e*d)):a.set_float(cr.to_clamped_degrees(b-e*d))};g.prototype.anglerotate=function(a,b,c,d){b=cr.to_radians(b);c=cr.to_radians(c);d=cr.to_radians(d);a.set_float(cr.to_clamped_degrees(cr.angleRotate(b,
c,d)))};g.prototype.zeropad=function(a,b,c){var d=0>b?"-":"";0>b&&(b=-b);c-=b.toString().length;for(var e=0;e<c;e++)d+="0";a.set_string(d+b.toString())};g.prototype.cpuutilisation=function(a){a.set_float(this.runtime.cpuutilisation/1E3)};g.prototype.viewportleft=function(a,b){var c=this.runtime.getLayer(b);a.set_float(c?c.viewLeft:0)};g.prototype.viewporttop=function(a,b){var c=this.runtime.getLayer(b);a.set_float(c?c.viewTop:0)};g.prototype.viewportright=function(a,b){var c=this.runtime.getLayer(b);
a.set_float(c?c.viewRight:0)};g.prototype.viewportbottom=function(a,b){var c=this.runtime.getLayer(b);a.set_float(c?c.viewBottom:0)};g.prototype.loadingprogress=function(a){a.set_float(this.runtime.loadingprogress)};g.prototype.unlerp=function(a,b,c,d){a.set_float(cr.unlerp(b,c,d))};g.prototype.canvassnapshot=function(a){a.set_string(this.runtime.snapshotData)};g.prototype.urlencode=function(a,b){a.set_string(encodeURIComponent(b))};g.prototype.urldecode=function(a,b){a.set_string(decodeURIComponent(b))};
g.prototype.canvastolayerx=function(a,b,c,d){b=this.runtime.getLayer(b);a.set_float(b?b.canvasToLayer(c,d,!0):0)};g.prototype.canvastolayery=function(a,b,c,d){b=this.runtime.getLayer(b);a.set_float(b?b.canvasToLayer(c,d,!1):0)};g.prototype.layertocanvasx=function(a,b,c,d){b=this.runtime.getLayer(b);a.set_float(b?b.layerToCanvas(c,d,!0):0)};g.prototype.layertocanvasy=function(a,b,c,d){b=this.runtime.getLayer(b);a.set_float(b?b.layerToCanvas(c,d,!1):0)};g.prototype.savestatejson=function(a){a.set_string(this.runtime.lastSaveJson)};
g.prototype.imagememoryusage=function(a){this.runtime.glwrap?a.set_float(Math.round(100*this.runtime.glwrap.estimateVRAM()/1048576)/100):a.set_float(0)};g.prototype.regexsearch=function(a,b,d,e){d=c(d,e);a.set_int(b?b.search(d):-1)};g.prototype.regexreplace=function(a,b,d,e,h){d=c(d,e);a.set_string(b?b.replace(d,h):"")};var u=[],y="",C="",F="";g.prototype.regexmatchcount=function(a,b,d,e){c(d,e);l(b,d,e);a.set_int(u?u.length:0)};g.prototype.regexmatchat=function(a,b,d,e,h){h=Math.floor(h);c(d,e);
l(b,d,e);!u||0>h||h>=u.length?a.set_string(""):a.set_string(u[h])};g.prototype.infinity=function(a){a.set_float(Infinity)};g.prototype.setbit=function(a,b,c,d){c|=0;a.set_int((b|0)&~(1<<c)|(0!==d?1:0)<<c)};g.prototype.togglebit=function(a,b,c){a.set_int((b|0)^1<<(c|0))};g.prototype.getbit=function(a,b,c){a.set_int((b|0)&1<<(c|0)?1:0)};k.exps=new g;k.runWaits=function(){var a,b,c,d,e,h,f=this.runtime.getCurrentEventStack();a=0;for(c=this.waits.length;a<c;a++){d=this.waits[a];if(-1===d.time){if(!d.signalled)continue}else if(d.time>
this.runtime.kahanTime.sum)continue;f.current_event=d.ev;f.actindex=d.actindex;f.cndindex=0;for(b in d.sols)d.sols.hasOwnProperty(b)&&(e=this.runtime.types_by_index[parseInt(b,10)].getCurrentSol(),h=d.sols[b],e.select_all=h.sa,cr.shallowAssignArray(e.instances,h.insts),e=h,e.insts.length=0,s.push(e));d.ev.resume_actions_and_subevents();this.runtime.clearSol(d.solModifiers);d.deleteme=!0}b=a=0;for(c=this.waits.length;a<c;a++)d=this.waits[a],this.waits[b]=d,d.deleteme?(cr.wipe(d.sols),d.solModifiers.length=
0,t.push(d)):b++;this.waits.length=b}})();
(function(){cr.add_common_aces=function(a){var c=a[0].prototype,d=a[1],f=a[3],e=a[4],g=a[5],l=a[6],k=a[7];a=a[8];c.cnds||(c.cnds={});c.acts||(c.acts={});c.exps||(c.exps={});var h=c.cnds,m=c.acts,c=c.exps;f&&(h.CompareX=function(a,b){return cr.do_cmp(this.x,a,b)},h.CompareY=function(a,b){return cr.do_cmp(this.y,a,b)},h.IsOnScreen=function(){var a=this.layer;this.update_bbox();var b=this.bbox;return!(b.right<a.viewLeft||b.bottom<a.viewTop||b.left>a.viewRight||b.top>a.viewBottom)},h.IsOutsideLayout=
function(){this.update_bbox();var a=this.bbox,b=this.runtime.running_layout;return 0>a.right||0>a.bottom||a.left>b.width||a.top>b.height},h.PickDistance=function(a,b,c){var d=this.getCurrentSol(),e=d.getObjects();if(!e.length)return!1;var h=e[0],f=h,g=cr.distanceTo(h.x,h.y,b,c),k,m,l;k=1;for(m=e.length;k<m;k++)if(h=e[k],l=cr.distanceTo(h.x,h.y,b,c),0===a&&l<g||1===a&&l>g)g=l,f=h;d.pick_one(f);return!0},m.SetX=function(a){this.x!==a&&(this.x=a,this.set_bbox_changed())},m.SetY=function(a){this.y!==
a&&(this.y=a,this.set_bbox_changed())},m.SetPos=function(a,b){if(this.x!==a||this.y!==b)this.x=a,this.y=b,this.set_bbox_changed()},m.SetPosToObject=function(a,b){var c=a.getPairedInstance(this);if(c){var d;c.getImagePoint?(d=c.getImagePoint(b,!0),c=c.getImagePoint(b,!1)):(d=c.x,c=c.y);if(this.x!==d||this.y!==c)this.x=d,this.y=c,this.set_bbox_changed()}},m.MoveForward=function(a){0!==a&&(this.x+=Math.cos(this.angle)*a,this.y+=Math.sin(this.angle)*a,this.set_bbox_changed())},m.MoveAtAngle=function(a,
b){0!==b&&(this.x+=Math.cos(cr.to_radians(a))*b,this.y+=Math.sin(cr.to_radians(a))*b,this.set_bbox_changed())},c.X=function(a){a.set_float(this.x)},c.Y=function(a){a.set_float(this.y)},c.dt=function(a){a.set_float(this.runtime.getDt(this))});e&&(h.CompareWidth=function(a,b){return cr.do_cmp(this.width,a,b)},h.CompareHeight=function(a,b){return cr.do_cmp(this.height,a,b)},m.SetWidth=function(a){this.width!==a&&(this.width=a,this.set_bbox_changed())},m.SetHeight=function(a){this.height!==a&&(this.height=
a,this.set_bbox_changed())},m.SetSize=function(a,b){if(this.width!==a||this.height!==b)this.width=a,this.height=b,this.set_bbox_changed()},c.Width=function(a){a.set_float(this.width)},c.Height=function(a){a.set_float(this.height)},c.BBoxLeft=function(a){this.update_bbox();a.set_float(this.bbox.left)},c.BBoxTop=function(a){this.update_bbox();a.set_float(this.bbox.top)},c.BBoxRight=function(a){this.update_bbox();a.set_float(this.bbox.right)},c.BBoxBottom=function(a){this.update_bbox();a.set_float(this.bbox.bottom)});
g&&(h.AngleWithin=function(a,b){return cr.angleDiff(this.angle,cr.to_radians(b))<=cr.to_radians(a)},h.IsClockwiseFrom=function(a){return cr.angleClockwise(this.angle,cr.to_radians(a))},h.IsBetweenAngles=function(a,b){var c=cr.to_clamped_radians(a),d=cr.to_clamped_radians(b),e=cr.clamp_angle(this.angle);return cr.angleClockwise(d,c)?cr.angleClockwise(e,c)&&!cr.angleClockwise(e,d):!(!cr.angleClockwise(e,c)&&cr.angleClockwise(e,d))},m.SetAngle=function(a){a=cr.to_radians(cr.clamp_angle_degrees(a));isNaN(a)||
this.angle===a||(this.angle=a,this.set_bbox_changed())},m.RotateClockwise=function(a){0===a||isNaN(a)||(this.angle+=cr.to_radians(a),this.angle=cr.clamp_angle(this.angle),this.set_bbox_changed())},m.RotateCounterclockwise=function(a){0===a||isNaN(a)||(this.angle-=cr.to_radians(a),this.angle=cr.clamp_angle(this.angle),this.set_bbox_changed())},m.RotateTowardAngle=function(a,b){var c=cr.angleRotate(this.angle,cr.to_radians(b),cr.to_radians(a));isNaN(c)||this.angle===c||(this.angle=c,this.set_bbox_changed())},
m.RotateTowardPosition=function(a,b,c){b=Math.atan2(c-this.y,b-this.x);a=cr.angleRotate(this.angle,b,cr.to_radians(a));isNaN(a)||this.angle===a||(this.angle=a,this.set_bbox_changed())},m.SetTowardPosition=function(a,b){var c=Math.atan2(b-this.y,a-this.x);isNaN(c)||this.angle===c||(this.angle=c,this.set_bbox_changed())},c.Angle=function(a){a.set_float(cr.to_clamped_degrees(this.angle))});d||(h.CompareInstanceVar=function(a,b,c){return cr.do_cmp(this.instance_vars[a],b,c)},h.IsBoolInstanceVarSet=function(a){return this.instance_vars[a]},
h.PickInstVarHiLow=function(a,b){var c=this.getCurrentSol(),d=c.getObjects();if(!d.length)return!1;var e=d[0],h=e,f=e.instance_vars[b],g,k,m;g=1;for(k=d.length;g<k;g++)if(e=d[g],m=e.instance_vars[b],0===a&&m<f||1===a&&m>f)f=m,h=e;c.pick_one(h);return!0},h.PickByUID=function(a){var b,c,d,e,h;if(this.runtime.getCurrentCondition().inverted){h=this.getCurrentSol();if(h.select_all)for(h.select_all=!1,h.instances.length=0,h.else_instances.length=0,d=this.instances,b=0,c=d.length;b<c;b++)e=d[b],e.uid===
a?h.else_instances.push(e):h.instances.push(e);else{d=b=0;for(c=h.instances.length;b<c;b++)e=h.instances[b],h.instances[d]=e,e.uid===a?h.else_instances.push(e):d++;h.instances.length=d}this.applySolToContainer();return!!h.instances.length}e=this.runtime.getObjectByUID(a);if(!e)return!1;h=this.getCurrentSol();if(!h.select_all&&-1===h.instances.indexOf(e))return!1;if(this.is_family)for(a=e.type.families,b=0,c=a.length;b<c;b++){if(a[b]===this)return h.pick_one(e),this.applySolToContainer(),!0}else if(e.type===
this)return h.pick_one(e),this.applySolToContainer(),!0;return!1},h.OnCreated=function(){return!0},h.OnDestroyed=function(){return!0},m.SetInstanceVar=function(a,b){var c=this.instance_vars;cr.is_number(c[a])?cr.is_number(b)?c[a]=b:c[a]=parseFloat(b):cr.is_string(c[a])&&(cr.is_string(b)?c[a]=b:c[a]=b.toString())},m.AddInstanceVar=function(a,b){var c=this.instance_vars;cr.is_number(c[a])?cr.is_number(b)?c[a]+=b:c[a]+=parseFloat(b):cr.is_string(c[a])&&(cr.is_string(b)?c[a]+=b:c[a]+=b.toString())},m.SubInstanceVar=
function(a,b){var c=this.instance_vars;cr.is_number(c[a])&&(cr.is_number(b)?c[a]-=b:c[a]-=parseFloat(b))},m.SetBoolInstanceVar=function(a,b){this.instance_vars[a]=b?1:0},m.ToggleBoolInstanceVar=function(a){this.instance_vars[a]=1-this.instance_vars[a]},m.Destroy=function(){this.runtime.DestroyInstance(this)},m.LoadFromJsonString||(m.LoadFromJsonString=function(a){var b,c;try{b=JSON.parse(a)}catch(d){return}this.runtime.loadInstanceFromJSON(this,b,!0);this.afterLoad&&this.afterLoad();if(this.behavior_insts)for(a=
0,b=this.behavior_insts.length;a<b;++a)c=this.behavior_insts[a],c.afterLoad&&c.afterLoad()}),c.Count=function(a){var b=a.object_class.instances.length,c,d,e;c=0;for(d=this.runtime.createRow.length;c<d;c++)e=this.runtime.createRow[c],a.object_class.is_family?0<=e.type.families.indexOf(a.object_class)&&b++:e.type===a.object_class&&b++;a.set_int(b)},c.PickedCount=function(a){a.set_int(a.object_class.getCurrentSol().getObjects().length)},c.UID=function(a){a.set_int(this.uid)},c.IID=function(a){a.set_int(this.get_iid())},
c.AsJSON||(c.AsJSON=function(a){a.set_string(JSON.stringify(this.runtime.saveInstanceToJSON(this,!0)))}));l&&(h.IsVisible=function(){return this.visible},m.SetVisible=function(a){!a!==!this.visible&&(this.visible=a,this.runtime.redraw=!0)},h.CompareOpacity=function(a,b){return cr.do_cmp(cr.round6dp(100*this.opacity),a,b)},m.SetOpacity=function(a){a/=100;0>a?a=0:1<a&&(a=1);a!==this.opacity&&(this.opacity=a,this.runtime.redraw=!0)},c.Opacity=function(a){a.set_float(cr.round6dp(100*this.opacity))});
k&&(h.IsOnLayer=function(a){return a?this.layer===a:!1},h.PickTopBottom=function(a){var b=this.getCurrentSol(),c=b.getObjects();if(!c.length)return!1;var d=c[0],e=d,h,f;h=1;for(f=c.length;h<f;h++)if(d=c[h],0===a){if(d.layer.index>e.layer.index||d.layer.index===e.layer.index&&d.get_zindex()>e.get_zindex())e=d}else if(d.layer.index<e.layer.index||d.layer.index===e.layer.index&&d.get_zindex()<e.get_zindex())e=d;b.pick_one(e);return!0},m.MoveToTop=function(){var a=this.get_zindex();a!==this.layer.instances.length-
1&&(cr.arrayRemove(this.layer.instances,a),this.layer.instances.push(this),this.runtime.redraw=!0,this.layer.zindices_stale=!0)},m.MoveToBottom=function(){var a=this.get_zindex();0!==a&&(cr.arrayRemove(this.layer.instances,a),this.layer.instances.unshift(this),this.runtime.redraw=!0,this.layer.zindices_stale=!0)},m.MoveToLayer=function(a){a&&a!=this.layer&&(cr.arrayRemove(this.layer.instances,this.get_zindex()),this.layer.zindices_stale=!0,this.layer=a,this.zindex=a.instances.length,a.instances.push(this),
this.runtime.redraw=!0)},m.ZMoveToObject=function(a,b){var c=0===a;if(b){var d=b.getFirstPicked(this);if(d&&d.uid!==this.uid){this.layer.index!==d.layer.index&&(cr.arrayRemove(this.layer.instances,this.get_zindex()),this.layer.zindices_stale=!0,this.layer=d.layer,this.zindex=d.layer.instances.length,d.layer.instances.push(this));var e=this.get_zindex(),d=d.get_zindex();cr.arrayRemove(this.layer.instances,e);e<d&&d--;c&&d++;d===this.layer.instances.length?this.layer.instances.push(this):this.layer.instances.splice(d,
0,this);this.layer.zindices_stale=!0;this.runtime.redraw=!0}}},c.LayerNumber=function(a){a.set_int(this.layer.number)},c.LayerName=function(a){a.set_string(this.layer.name)},c.ZIndex=function(a){a.set_int(this.get_zindex())});a&&(m.SetEffectEnabled=function(a,b){if(this.runtime.glwrap){var c=this.type.getEffectIndexByName(b);if(!(0>c)){var d=1===a;this.active_effect_flags[c]!==d&&(this.active_effect_flags[c]=d,this.updateActiveEffects(),this.runtime.redraw=!0)}}},m.SetEffectParam=function(a,b,c){if(this.runtime.glwrap){var d=
this.type.getEffectIndexByName(a);0>d||(a=this.type.effect_types[d],d=this.effect_params[d],b=Math.floor(b),0>b||b>=d.length||(1===this.runtime.glwrap.getProgramParameterType(a.shaderindex,b)&&(c/=100),d[b]!==c&&(d[b]=c,a.active&&(this.runtime.redraw=!0))))}})};cr.set_bbox_changed=function(){this.cell_changed=this.bbox_changed=!0;this.type.any_cell_changed=!0;this.runtime.redraw=!0;var a,c,d=this.bbox_changed_callbacks;a=0;for(c=d.length;a<c;++a)d[a](this)};cr.add_bbox_changed_callback=function(a){a&&
this.bbox_changed_callbacks.push(a)};cr.update_bbox=function(){if(this.bbox_changed){var a=this.bbox,c=this.bquad;a.set(this.x,this.y,this.x+this.width,this.y+this.height);a.offset(-this.hotspotX*this.width,-this.hotspotY*this.height);this.angle?(a.offset(-this.x,-this.y),c.set_from_rotated_rect(a,this.angle),c.offset(this.x,this.y),c.bounding_box(a)):c.set_from_rect(a);a.normalize();this.bbox_changed=!1}};var a=new cr.rect(0,0,0,0);cr.update_collision_cell=function(){if(this.cell_changed&&this.collisionsEnabled){this.update_bbox();
var b=this.type.collision_grid,c=this.collcells,d=this.bbox;a.set(b.XToCell(d.left),b.YToCell(d.top),b.XToCell(d.right),b.YToCell(d.bottom));c.equals(a)||(c.right<c.left?b.update(this,null,a):b.update(this,c,a),c.copy(a),this.cell_changed=!1)}};cr.inst_contains_pt=function(a,c){return this.bbox.contains_pt(a,c)&&this.bquad.contains_pt(a,c)?this.collision_poly&&!this.collision_poly.is_empty()?(this.collision_poly.cache_poly(this.width,this.height,this.angle),this.collision_poly.contains_pt(a-this.x,
c-this.y)):!0:!1};cr.inst_get_iid=function(){this.type.updateIIDs();return this.iid};cr.inst_get_zindex=function(){this.layer.updateZIndices();return this.zindex};cr.inst_updateActiveEffects=function(){this.active_effect_types.length=0;var a,c;a=0;for(c=this.active_effect_flags.length;a<c;a++)this.active_effect_flags[a]&&this.active_effect_types.push(this.type.effect_types[a]);this.uses_shaders=!!this.active_effect_types.length};cr.inst_toString=function(){return"Inst"+this.puid};cr.type_getFirstPicked=
function(a){if(a&&a.is_contained&&a.type!=this){var c,d,f;c=0;for(d=a.siblings.length;c<d;c++)if(f=a.siblings[c],f.type==this)return f}a=this.getCurrentSol().getObjects();return a.length?a[0]:null};cr.type_getPairedInstance=function(a){var c=this.getCurrentSol().getObjects();return c.length?c[a.get_iid()%c.length]:null};cr.type_updateIIDs=function(){if(this.stale_iids&&!this.is_family){var a,c;a=0;for(c=this.instances.length;a<c;a++)this.instances[a].iid=a;var d=a,f=this.runtime.createRow;a=0;for(c=
f.length;a<c;++a)f[a].type===this&&(f[a].iid=d++);this.stale_iids=!1}};cr.type_getInstanceByIID=function(a){if(a<this.instances.length)return this.instances[a];a-=this.instances.length;var c=this.runtime.createRow,d,f;d=0;for(f=c.length;d<f;++d)if(c[d].type===this){if(0===a)return c[d];--a}return null};cr.type_getCurrentSol=function(){return this.solstack[this.cur_sol]};cr.type_pushCleanSol=function(){this.cur_sol++;this.cur_sol===this.solstack.length?this.solstack.push(new cr.selection(this)):this.solstack[this.cur_sol].select_all=
!0};cr.type_pushCopySol=function(){this.cur_sol++;this.cur_sol===this.solstack.length&&this.solstack.push(new cr.selection(this));var a=this.solstack[this.cur_sol],c=this.solstack[this.cur_sol-1];c.select_all?a.select_all=!0:(a.select_all=!1,cr.shallowAssignArray(a.instances,c.instances),cr.shallowAssignArray(a.else_instances,c.else_instances))};cr.type_popSol=function(){this.cur_sol--};cr.type_getBehaviorByName=function(a){var c,d,f,e,g,l=0;if(!this.is_family)for(c=0,d=this.families.length;c<d;c++)for(g=
this.families[c],f=0,e=g.behaviors.length;f<e;f++){if(a===g.behaviors[f].name)return this.extra.lastBehIndex=l,g.behaviors[f];l++}c=0;for(d=this.behaviors.length;c<d;c++){if(a===this.behaviors[c].name)return this.extra.lastBehIndex=l,this.behaviors[c];l++}return null};cr.type_getBehaviorIndexByName=function(a){return this.getBehaviorByName(a)?this.extra.lastBehIndex:-1};cr.type_getEffectIndexByName=function(a){var c,d;c=0;for(d=this.effect_types.length;c<d;c++)if(this.effect_types[c].name===a)return c;
return-1};cr.type_applySolToContainer=function(){if(this.is_contained&&!this.is_family){var a,c,d,f,e,g,l;this.updateIIDs();g=this.getCurrentSol();var k=g.select_all,h=(a=this.runtime.getCurrentEventStack())&&a.current_event&&a.current_event.orblock;a=0;for(c=this.container.length;a<c;a++)if(e=this.container[a],e!==this&&(e.updateIIDs(),l=e.getCurrentSol(),l.select_all=k,!k)){l.instances.length=g.instances.length;d=0;for(f=g.instances.length;d<f;d++)l.instances[d]=e.getInstanceByIID(g.instances[d].iid);
if(h)for(l.else_instances.length=g.else_instances.length,d=0,f=g.else_instances.length;d<f;d++)l.else_instances[d]=e.getInstanceByIID(g.else_instances[d].iid)}}};cr.type_toString=function(){return"Type"+this.sid};cr.do_cmp=function(a,c,d){if("undefined"===typeof a||"undefined"===typeof d)return!1;switch(c){case 0:return a===d;case 1:return a!==d;case 2:return a<d;case 3:return a<=d;case 4:return a>d;case 5:return a>=d;default:return!1}}})();cr.shaders={};
cr.shaders.screen={src:"varying mediump vec2 vTex;\nuniform lowp sampler2D samplerFront;\nuniform lowp sampler2D samplerBack;\nuniform mediump vec2 destStart;\nuniform mediump vec2 destEnd;\nvoid main(void)\n{\nlowp vec4 front = texture2D(samplerFront, vTex);\nlowp vec4 back = texture2D(samplerBack, mix(destStart, destEnd, vTex));\nfront.rgb = 1.0 - ((1.0 - front.rgb) * (1.0 - back.rgb * front.a));\ngl_FragColor = front;\n}",extendBoxHorizontal:0,extendBoxVertical:0,crossSampling:!0,animated:!1,parameters:[]};
cr.plugins_.Arr=function(a){this.runtime=a};
(function(){function a(){return k.length?k.pop():[]}function b(a){var c,d;c=0;for(d=a.length;c<d;c++)Array.isArray(a[c])&&b(a[c]);a.length=0;k.push(a)}function c(){}function d(){}function f(a,b){if(cr.is_number(a)&&cr.is_number(b))return a-b;var c=""+a,d=""+b;return c<d?-1:c>d?1:0}function e(){}var g=cr.plugins_.Arr.prototype;g.Type=function(a){this.plugin=a;this.runtime=a.runtime};g.Type.prototype.onCreate=function(){};g.Instance=function(a){this.type=a;this.runtime=a.runtime};var l=g.Instance.prototype,
k=[];Array.isArray||(Array.isArray=function(a){return"[object Array]"===Object.prototype.toString.call(a)});l.onCreate=function(){this.cx=this.properties[0];this.cy=this.properties[1];this.cz=this.properties[2];this.recycled||(this.arr=a());var b=this.arr;b.length=this.cx;var c,d,e;for(c=0;c<this.cx;c++)for(b[c]||(b[c]=a()),b[c].length=this.cy,d=0;d<this.cy;d++)for(b[c][d]||(b[c][d]=a()),b[c][d].length=this.cz,e=0;e<this.cz;e++)b[c][d][e]=0;this.forZ=this.forY=this.forX=0};l.onDestroy=function(){var a;
for(a=0;a<this.cx;a++)b(this.arr[a]);this.arr.length=0};l.at=function(a,b,c){a=Math.floor(a);b=Math.floor(b);c=Math.floor(c);return isNaN(a)||0>a||a>this.cx-1||isNaN(b)||0>b||b>this.cy-1||isNaN(c)||0>c||c>this.cz-1?0:this.arr[a][b][c]};l.set=function(a,b,c,d){a=Math.floor(a);b=Math.floor(b);c=Math.floor(c);isNaN(a)||0>a||a>this.cx-1||isNaN(b)||0>b||b>this.cy-1||isNaN(c)||0>c||c>this.cz-1||(this.arr[a][b][c]=d)};l.getAsJSON=function(){return JSON.stringify({c2array:!0,size:[this.cx,this.cy,this.cz],
data:this.arr})};l.saveToJSON=function(){return{size:[this.cx,this.cy,this.cz],data:this.arr}};l.loadFromJSON=function(a){var b=a.size;this.cx=b[0];this.cy=b[1];this.cz=b[2];this.arr=a.data};l.setSize=function(b,c,d){0>b&&(b=0);0>c&&(c=0);0>d&&(d=0);if(this.cx!==b||this.cy!==c||this.cz!==d){this.cx=b;this.cy=c;this.cz=d;var e,f,g=this.arr;g.length=b;for(b=0;b<this.cx;b++)for(cr.is_undefined(g[b])&&(g[b]=a()),g[b].length=c,e=0;e<this.cy;e++)for(cr.is_undefined(g[b][e])&&(g[b][e]=a()),g[b][e].length=
d,f=0;f<this.cz;f++)cr.is_undefined(g[b][e][f])&&(g[b][e][f]=0)}};c.prototype.CompareX=function(a,b,c){return cr.do_cmp(this.at(a,0,0),b,c)};c.prototype.CompareXY=function(a,b,c,d){return cr.do_cmp(this.at(a,b,0),c,d)};c.prototype.CompareXYZ=function(a,b,c,d,e){return cr.do_cmp(this.at(a,b,c),d,e)};l.doForEachTrigger=function(a){this.runtime.pushCopySol(a.solModifiers);a.retrigger();this.runtime.popSol(a.solModifiers)};c.prototype.ArrForEach=function(a){var b=this.runtime.getCurrentEventStack().current_event;
this.forZ=this.forY=this.forX=0;switch(a){case 0:for(this.forX=0;this.forX<this.cx;this.forX++)for(this.forY=0;this.forY<this.cy;this.forY++)for(this.forZ=0;this.forZ<this.cz;this.forZ++)this.doForEachTrigger(b);break;case 1:for(this.forX=0;this.forX<this.cx;this.forX++)for(this.forY=0;this.forY<this.cy;this.forY++)this.doForEachTrigger(b);break;case 2:for(this.forX=0;this.forX<this.cx;this.forX++)this.doForEachTrigger(b)}this.forZ=this.forY=this.forX=0;return!1};c.prototype.CompareCurrent=function(a,
b){return cr.do_cmp(this.at(this.forX,this.forY,this.forZ),a,b)};c.prototype.Contains=function(a){var b,c,d;for(b=0;b<this.cx;b++)for(c=0;c<this.cy;c++)for(d=0;d<this.cz;d++)if(this.arr[b][c][d]===a)return!0;return!1};c.prototype.IsEmpty=function(){return 0===this.cx||0===this.cy||0===this.cz};c.prototype.CompareSize=function(a,b,c){var d=0;switch(a){case 0:d=this.cx;break;case 1:d=this.cy;break;case 2:d=this.cz}return cr.do_cmp(d,b,c)};g.cnds=new c;d.prototype.Clear=function(){var a,b,c;for(a=0;a<
this.cx;a++)for(b=0;b<this.cy;b++)for(c=0;c<this.cz;c++)this.arr[a][b][c]=0};d.prototype.SetSize=function(a,b,c){this.setSize(a,b,c)};d.prototype.SetX=function(a,b){this.set(a,0,0,b)};d.prototype.SetXY=function(a,b,c){this.set(a,b,0,c)};d.prototype.SetXYZ=function(a,b,c,d){this.set(a,b,c,d)};d.prototype.Push=function(b,c,d){var e=0,f=0,g=0,k=this.arr;switch(d){case 0:0===b?(e=k.length,k.push(a())):(e=0,k.unshift(a()));for(k[e].length=this.cy;f<this.cy;f++)for(k[e][f]=a(),k[e][f].length=this.cz,g=
0;g<this.cz;g++)k[e][f][g]=c;this.cx++;break;case 1:for(;e<this.cx;e++)for(0===b?(f=k[e].length,k[e].push(a())):(f=0,k[e].unshift(a())),k[e][f].length=this.cz,g=0;g<this.cz;g++)k[e][f][g]=c;this.cy++;break;case 2:for(;e<this.cx;e++)for(f=0;f<this.cy;f++)0===b?k[e][f].push(c):k[e][f].unshift(c);this.cz++}};d.prototype.Pop=function(a,c){var d=0,e=0,f=this.arr;switch(c){case 0:if(0===this.cx)break;0===a?b(f.pop()):b(f.shift());this.cx--;break;case 1:if(0===this.cy)break;for(;d<this.cx;d++)0===a?b(f[d].pop()):
b(f[d].shift());this.cy--;break;case 2:if(0===this.cz)break;for(;d<this.cx;d++)for(e=0;e<this.cy;e++)0===a?f[d][e].pop():f[d][e].shift();this.cz--}};d.prototype.Reverse=function(a){var b=0,c=0,d=this.arr;if(0!==this.cx&&0!==this.cy&&0!==this.cz)switch(a){case 0:d.reverse();break;case 1:for(;b<this.cx;b++)d[b].reverse();break;case 2:for(;b<this.cx;b++)for(c=0;c<this.cy;c++)d[b][c].reverse();this.cz--}};d.prototype.Sort=function(a){var b=0,c=0,d=this.arr;if(0!==this.cx&&0!==this.cy&&0!==this.cz)switch(a){case 0:d.sort(function(a,
b){return f(a[0][0],b[0][0])});break;case 1:for(;b<this.cx;b++)d[b].sort(function(a,b){return f(a[0],b[0])});break;case 2:for(;b<this.cx;b++)for(c=0;c<this.cy;c++)d[b][c].sort(f)}};d.prototype.Delete=function(a,c){var d=0,e=0;a=Math.floor(a);var f=this.arr;if(!(0>a))switch(c){case 0:if(a>=this.cx)break;b(f[a]);f.splice(a,1);this.cx--;break;case 1:if(a>=this.cy)break;for(;d<this.cx;d++)b(f[d][a]),f[d].splice(a,1);this.cy--;break;case 2:if(a>=this.cz)break;for(;d<this.cx;d++)for(e=0;e<this.cy;e++)f[d][e].splice(a,
1);this.cz--}};d.prototype.Insert=function(b,c,d){var e=0,f=0,g=0;c=Math.floor(c);var k=this.arr;if(!(0>c))switch(d){case 0:if(c>this.cx)break;e=c;k.splice(e,0,a());for(k[e].length=this.cy;f<this.cy;f++)for(k[e][f]=a(),k[e][f].length=this.cz,g=0;g<this.cz;g++)k[e][f][g]=b;this.cx++;break;case 1:if(c>this.cy)break;for(;e<this.cx;e++)for(f=c,k[e].splice(f,0,a()),k[e][f].length=this.cz,g=0;g<this.cz;g++)k[e][f][g]=b;this.cy++;break;case 2:if(c>this.cz)break;for(;e<this.cx;e++)for(f=0;f<this.cy;f++)k[e][f].splice(c,
0,b);this.cz++}};d.prototype.JSONLoad=function(a){var b;try{b=JSON.parse(a)}catch(c){return}b.c2array&&(a=b.size,this.cx=a[0],this.cy=a[1],this.cz=a[2],this.arr=b.data)};d.prototype.JSONDownload=function(a){var b=document.createElement("a");if("undefined"===typeof b.download)b="data:text/html,"+encodeURIComponent("<p><a download='"+a+"' href=\"data:application/json,"+encodeURIComponent(this.getAsJSON())+'">Download link</a></p>'),window.open(b);else{var c=document.getElementsByTagName("body")[0];
b.textContent=a;b.href="data:application/json,"+encodeURIComponent(this.getAsJSON());b.download=a;c.appendChild(b);a=document.createEvent("MouseEvent");a.initMouseEvent("click",!0,!0,window,0,0,0,0,0,!1,!1,!1,!1,0,null);b.dispatchEvent(a);c.removeChild(b)}};g.acts=new d;e.prototype.At=function(a,b,c,d){a.set_any(this.at(b,c||0,d||0))};e.prototype.Width=function(a){a.set_int(this.cx)};e.prototype.Height=function(a){a.set_int(this.cy)};e.prototype.Depth=function(a){a.set_int(this.cz)};e.prototype.CurX=
function(a){a.set_int(this.forX)};e.prototype.CurY=function(a){a.set_int(this.forY)};e.prototype.CurZ=function(a){a.set_int(this.forZ)};e.prototype.CurValue=function(a){a.set_any(this.at(this.forX,this.forY,this.forZ))};e.prototype.Front=function(a){a.set_any(this.at(0,0,0))};e.prototype.Back=function(a){a.set_any(this.at(this.cx-1,0,0))};e.prototype.IndexOf=function(a,b){for(var c=0;c<this.cx;c++)if(this.arr[c][0][0]===b){a.set_int(c);return}a.set_int(-1)};e.prototype.LastIndexOf=function(a,b){for(var c=
this.cx-1;0<=c;c--)if(this.arr[c][0][0]===b){a.set_int(c);return}a.set_int(-1)};e.prototype.AsJSON=function(a){a.set_string(this.getAsJSON())};g.exps=new e})();cr.plugins_.Audio=function(a){this.runtime=a};
(function(){function a(a){a=Math.pow(10,a/20);0>a&&(a=0);1<a&&(a=1);return a}function b(a){0>a&&(a=0);1<a&&(a=1);return 20*(Math.log(a)/Math.log(10))}function c(a){a=a.toLowerCase();return R.hasOwnProperty(a)&&R[a].length?R[a][0].getInputNode():I.destination}function d(){return I.createGain?I.createGain():I.createGainNode()}function f(a){return I.createDelay?I.createDelay(a):I.createDelayNode(a)}function e(a){a.start?a.start(0):a.noteOn(0)}function g(a,b,c){a.start?a.start(0,b):a.noteGrainOn(0,b,
c-b)}function l(a){try{a.stop?a.stop(0):a.noteOff(0)}catch(b){}}function k(a,b,c,d){if(a)if(a.cancelScheduledValues(0),0===d)a.value=b;else{var e=I.currentTime;d+=e;switch(c){case 0:a.setValueAtTime(b,d);break;case 1:a.setValueAtTime(a.value,e);a.linearRampToValueAtTime(b,d);break;case 2:a.setValueAtTime(a.value,e),a.exponentialRampToValueAtTime(b,d)}}}function h(a,b,c,e,f,h){this.type="filter";this.params=[a,b,c,e,f,h];this.inputNode=d();this.wetNode=d();this.wetNode.gain.value=h;this.dryNode=d();
this.dryNode.gain.value=1-h;this.filterNode=I.createBiquadFilter();this.filterNode.type="number"===typeof this.filterNode.type?a:na[a];this.filterNode.frequency.value=b;this.filterNode.detune&&(this.filterNode.detune.value=c);this.filterNode.Q.value=e;this.filterNode.gain.value=f;this.inputNode.connect(this.filterNode);this.inputNode.connect(this.dryNode);this.filterNode.connect(this.wetNode)}function m(a,b,c){this.type="delay";this.params=[a,b,c];this.inputNode=d();this.wetNode=d();this.wetNode.gain.value=
c;this.dryNode=d();this.dryNode.gain.value=1-c;this.mainNode=d();this.delayNode=f(a);this.delayNode.delayTime.value=a;this.delayGainNode=d();this.delayGainNode.gain.value=b;this.inputNode.connect(this.mainNode);this.inputNode.connect(this.dryNode);this.mainNode.connect(this.wetNode);this.mainNode.connect(this.delayNode);this.delayNode.connect(this.delayGainNode);this.delayGainNode.connect(this.mainNode)}function n(a,b,c,e){this.type="convolve";this.params=[b,c,e];this.inputNode=d();this.wetNode=d();
this.wetNode.gain.value=c;this.dryNode=d();this.dryNode.gain.value=1-c;this.convolveNode=I.createConvolver();a&&(this.convolveNode.normalize=b,this.convolveNode.buffer=a);this.inputNode.connect(this.convolveNode);this.inputNode.connect(this.dryNode);this.convolveNode.connect(this.wetNode)}function r(a,b,c,h,g){this.type="flanger";this.params=[a,b,c,h,g];this.inputNode=d();this.dryNode=d();this.dryNode.gain.value=1-g/2;this.wetNode=d();this.wetNode.gain.value=g/2;this.feedbackNode=d();this.feedbackNode.gain.value=
h;this.delayNode=f(a+b);this.delayNode.delayTime.value=a;this.oscNode=I.createOscillator();this.oscNode.frequency.value=c;this.oscGainNode=d();this.oscGainNode.gain.value=b;this.inputNode.connect(this.delayNode);this.inputNode.connect(this.dryNode);this.delayNode.connect(this.wetNode);this.delayNode.connect(this.feedbackNode);this.feedbackNode.connect(this.delayNode);this.oscNode.connect(this.oscGainNode);this.oscGainNode.connect(this.delayNode.delayTime);e(this.oscNode)}function p(a,b,c,f,h,g){this.type=
"phaser";this.params=[a,b,c,f,h,g];this.inputNode=d();this.dryNode=d();this.dryNode.gain.value=1-g/2;this.wetNode=d();this.wetNode.gain.value=g/2;this.filterNode=I.createBiquadFilter();this.filterNode.type="number"===typeof this.filterNode.type?7:"allpass";this.filterNode.frequency.value=a;this.filterNode.detune&&(this.filterNode.detune.value=b);this.filterNode.Q.value=c;this.oscNode=I.createOscillator();this.oscNode.frequency.value=h;this.oscGainNode=d();this.oscGainNode.gain.value=f;this.inputNode.connect(this.filterNode);
this.inputNode.connect(this.dryNode);this.filterNode.connect(this.wetNode);this.oscNode.connect(this.oscGainNode);this.oscGainNode.connect(this.filterNode.frequency);e(this.oscNode)}function q(a){this.type="gain";this.params=[a];this.node=d();this.node.gain.value=a}function t(a,b){this.type="tremolo";this.params=[a,b];this.node=d();this.node.gain.value=1-b/2;this.oscNode=I.createOscillator();this.oscNode.frequency.value=a;this.oscGainNode=d();this.oscGainNode.gain.value=b/2;this.oscNode.connect(this.oscGainNode);
this.oscGainNode.connect(this.node.gain);e(this.oscNode)}function s(a,b){this.type="ringmod";this.params=[a,b];this.inputNode=d();this.wetNode=d();this.wetNode.gain.value=b;this.dryNode=d();this.dryNode.gain.value=1-b;this.ringNode=d();this.ringNode.gain.value=0;this.oscNode=I.createOscillator();this.oscNode.frequency.value=a;this.oscNode.connect(this.ringNode.gain);e(this.oscNode);this.inputNode.connect(this.ringNode);this.inputNode.connect(this.dryNode);this.ringNode.connect(this.wetNode)}function u(a,
b,c,e,f){this.type="distortion";this.params=[a,b,c,e,f];this.inputNode=d();this.preGain=d();this.postGain=d();this.setDrive(c,Math.pow(10,e/20));this.wetNode=d();this.wetNode.gain.value=f;this.dryNode=d();this.dryNode.gain.value=1-f;this.waveShaper=I.createWaveShaper();this.curve=new Float32Array(65536);this.generateColortouchCurve(a,b);this.waveShaper.curve=this.curve;this.inputNode.connect(this.preGain);this.inputNode.connect(this.dryNode);this.preGain.connect(this.waveShaper);this.waveShaper.connect(this.postGain);
this.postGain.connect(this.wetNode)}function y(a,b,c,d,e){this.type="compressor";this.params=[a,b,c,d,e];this.node=I.createDynamicsCompressor();try{this.node.threshold.value=a,this.node.knee.value=b,this.node.ratio.value=c,this.node.attack.value=d,this.node.release.value=e}catch(f){}}function C(a,b){this.type="analyser";this.params=[a,b];this.node=I.createAnalyser();this.node.fftSize=a;this.node.smoothingTimeConstant=b;this.freqBins=new Float32Array(this.node.frequencyBinCount);this.signal=new Uint8Array(a);
this.rms=this.peak=0}function F(){this.obj=null;this.loadUid=0;this.speeds=[];this.moveAngle=this.lastY=this.lastX=0}function v(a,b){this.src=a;this.myapi=N;this.is_music=b;this.added_end_listener=!1;var c=this;this.mediaSourceNode=this.outNode=null;this.panWhenReady=[];this.seekWhenReady=0;this.failedToLoad=this.supportWebAudioAPI=this.pauseWhenReady=!1;N===E&&b&&(this.myapi=M,this.outNode=d());this.audioData=this.bufferObject=null;var e;switch(this.myapi){case M:this.bufferObject=new Audio;N!==
E||!I.createMediaElementSource||K.isFirefox||/wiiu/i.test(navigator.userAgent)||(this.supportWebAudioAPI=!0,this.bufferObject.addEventListener("canplay",function(){c.mediaSourceNode||(c.mediaSourceNode=I.createMediaElementSource(c.bufferObject),c.mediaSourceNode.connect(c.outNode))}));this.bufferObject.autoplay=!1;this.bufferObject.preload="auto";this.bufferObject.src=a;break;case E:e=new XMLHttpRequest;e.open("GET",a,!0);e.responseType="arraybuffer";e.onload=function(){c.audioData=e.response;c.decodeAudioBuffer()};
e.onerror=function(){c.failedToLoad=!0};e.send();break;case W:this.bufferObject=!0;break;case X:this.bufferObject=!0}}function w(a,b){var e=this;this.tag=b;this.stopped=this.fresh=!0;this.src=a.src;this.buffer=a;this.myapi=N;this.is_music=a.is_music;this.playbackRate=1;this.pgended=!0;this.is_paused=this.resume_me=!1;this.resume_position=0;this.is_silent=this.is_muted=this.looping=!1;this.mutevol=this.volume=1;this.startTime=K.kahanTime.sum;this.pannerNode=this.gainNode=null;this.pannerEnabled=!1;
this.objectTracker=null;this.panConeOuterGain=this.panConeOuter=this.panConeInner=this.panAngle=this.panY=this.panX=0;this.instanceObject=null;var f=!1;this.myapi!==E||this.buffer.myapi!==M||this.buffer.supportWebAudioAPI||(this.myapi=M);switch(this.myapi){case M:this.is_music?(this.instanceObject=a.bufferObject,f=!a.added_end_listener,a.added_end_listener=!0):(this.instanceObject=new Audio,this.instanceObject.autoplay=!1,this.instanceObject.src=a.bufferObject.src,f=!0);f&&this.instanceObject.addEventListener("ended",
function(){T=e.tag;e.stopped=!0;K.trigger(cr.plugins_.Audio.prototype.cnds.OnEnded,L)});break;case E:this.gainNode=d();this.gainNode.connect(c(b));this.buffer.myapi===E?a.bufferObject&&(this.instanceObject=I.createBufferSource(),this.instanceObject.buffer=a.bufferObject,this.instanceObject.connect(this.gainNode)):(this.instanceObject=this.buffer.bufferObject,this.buffer.outNode.connect(this.gainNode));break;case W:this.instanceObject=new window.Media(U+this.src,null,null,function(a){a===window.Media.MEDIA_STOPPED&&
(e.pgended=!0,e.stopped=!0,T=e.tag,K.trigger(cr.plugins_.Audio.prototype.cnds.OnEnded,L))});break;case X:this.instanceObject=!0}}function B(a,b){var c=a.isPlaying()?1:0,d=b.isPlaying()?1:0;return c===d?0:c<d?1:-1}function x(a,b){Q.length=0;if(a.length){var c,d,e;c=0;for(d=P.length;c<d;c++)e=P[c],cr.equals_nocase(a,e.tag)&&Q.push(e);b&&Q.sort(B)}else S&&!S.hasEnded()&&(Q.length=1,Q[0]=S)}function A(a){var b,c,d,e,f=I.destination;if(R.hasOwnProperty(a)&&(d=R[a],d.length))for(f=d[0].getInputNode(),b=
0,c=d.length;b<c;b++)e=d[b],b+1===c?e.connectTo(I.destination):e.connectTo(d[b+1].getInputNode());x(a);b=0;for(c=Q.length;b<c;b++)Q[b].reconnect(f);da&&ka===a&&(da.disconnect(),da.connect(f))}function z(a,b){R.hasOwnProperty(a)?R[a].push(b):R[a]=[b];A(a)}function G(){}function D(){}function H(){}function J(a,b){var c=null;R.hasOwnProperty(a)&&(c=R[a]);return c&&0<=b&&b<c.length&&c[b].freqBins?c[b]:null}var O=cr.plugins_.Audio.prototype;O.Type=function(a){this.plugin=a;this.runtime=a.runtime};O.Type.prototype.onCreate=
function(){};var K=null,L=null,T="",U="",M=0,E=1,W=2,X=3,N=M,I=null,ea=[],P=[],S=null,Y=!1,ja=0,V=!1,Z=1,ba=0,ca=0,la=1,ma=1,oa=10,pa=1E4,qa=1,da=null,ka="",fa=!1,ga=[],R={},na="lowpass highpass bandpass lowshelf highshelf peaking notch allpass".split(" ");h.prototype.connectTo=function(a){this.wetNode.disconnect();this.wetNode.connect(a);this.dryNode.disconnect();this.dryNode.connect(a)};h.prototype.remove=function(){this.inputNode.disconnect();this.filterNode.disconnect();this.wetNode.disconnect();
this.dryNode.disconnect()};h.prototype.getInputNode=function(){return this.inputNode};h.prototype.setParam=function(a,b,c,d){switch(a){case 0:b/=100;0>b&&(b=0);1<b&&(b=1);this.params[5]=b;k(this.wetNode.gain,b,c,d);k(this.dryNode.gain,1-b,c,d);break;case 1:this.params[1]=b;k(this.filterNode.frequency,b,c,d);break;case 2:this.params[2]=b;k(this.filterNode.detune,b,c,d);break;case 3:this.params[3]=b;k(this.filterNode.Q,b,c,d);break;case 4:this.params[4]=b,k(this.filterNode.gain,b,c,d)}};m.prototype.connectTo=
function(a){this.wetNode.disconnect();this.wetNode.connect(a);this.dryNode.disconnect();this.dryNode.connect(a)};m.prototype.remove=function(){this.inputNode.disconnect();this.mainNode.disconnect();this.delayNode.disconnect();this.delayGainNode.disconnect();this.wetNode.disconnect();this.dryNode.disconnect()};m.prototype.getInputNode=function(){return this.inputNode};m.prototype.setParam=function(b,c,d,e){switch(b){case 0:c/=100;0>c&&(c=0);1<c&&(c=1);this.params[2]=c;k(this.wetNode.gain,c,d,e);k(this.dryNode.gain,
1-c,d,e);break;case 4:this.params[1]=a(c);k(this.delayGainNode.gain,a(c),d,e);break;case 5:this.params[0]=c,k(this.delayNode.delayTime,c,d,e)}};n.prototype.connectTo=function(a){this.wetNode.disconnect();this.wetNode.connect(a);this.dryNode.disconnect();this.dryNode.connect(a)};n.prototype.remove=function(){this.inputNode.disconnect();this.convolveNode.disconnect();this.wetNode.disconnect();this.dryNode.disconnect()};n.prototype.getInputNode=function(){return this.inputNode};n.prototype.setParam=
function(a,b,c,d){switch(a){case 0:b/=100,0>b&&(b=0),1<b&&(b=1),this.params[1]=b,k(this.wetNode.gain,b,c,d),k(this.dryNode.gain,1-b,c,d)}};r.prototype.connectTo=function(a){this.dryNode.disconnect();this.dryNode.connect(a);this.wetNode.disconnect();this.wetNode.connect(a)};r.prototype.remove=function(){this.inputNode.disconnect();this.delayNode.disconnect();this.oscNode.disconnect();this.oscGainNode.disconnect();this.dryNode.disconnect();this.wetNode.disconnect();this.feedbackNode.disconnect()};r.prototype.getInputNode=
function(){return this.inputNode};r.prototype.setParam=function(a,b,c,d){switch(a){case 0:b/=100;0>b&&(b=0);1<b&&(b=1);this.params[4]=b;k(this.wetNode.gain,b/2,c,d);k(this.dryNode.gain,1-b/2,c,d);break;case 6:this.params[1]=b/1E3;k(this.oscGainNode.gain,b/1E3,c,d);break;case 7:this.params[2]=b;k(this.oscNode.frequency,b,c,d);break;case 8:this.params[3]=b/100,k(this.feedbackNode.gain,b/100,c,d)}};p.prototype.connectTo=function(a){this.dryNode.disconnect();this.dryNode.connect(a);this.wetNode.disconnect();
this.wetNode.connect(a)};p.prototype.remove=function(){this.inputNode.disconnect();this.filterNode.disconnect();this.oscNode.disconnect();this.oscGainNode.disconnect();this.dryNode.disconnect();this.wetNode.disconnect()};p.prototype.getInputNode=function(){return this.inputNode};p.prototype.setParam=function(a,b,c,d){switch(a){case 0:b/=100;0>b&&(b=0);1<b&&(b=1);this.params[5]=b;k(this.wetNode.gain,b/2,c,d);k(this.dryNode.gain,1-b/2,c,d);break;case 1:this.params[0]=b;k(this.filterNode.frequency,b,
c,d);break;case 2:this.params[1]=b;k(this.filterNode.detune,b,c,d);break;case 3:this.params[2]=b;k(this.filterNode.Q,b,c,d);break;case 6:this.params[3]=b;k(this.oscGainNode.gain,b,c,d);break;case 7:this.params[4]=b,k(this.oscNode.frequency,b,c,d)}};q.prototype.connectTo=function(a){this.node.disconnect();this.node.connect(a)};q.prototype.remove=function(){this.node.disconnect()};q.prototype.getInputNode=function(){return this.node};q.prototype.setParam=function(b,c,d,e){switch(b){case 4:this.params[0]=
a(c),k(this.node.gain,a(c),d,e)}};t.prototype.connectTo=function(a){this.node.disconnect();this.node.connect(a)};t.prototype.remove=function(){this.oscNode.disconnect();this.oscGainNode.disconnect();this.node.disconnect()};t.prototype.getInputNode=function(){return this.node};t.prototype.setParam=function(a,b,c,d){switch(a){case 0:b/=100;0>b&&(b=0);1<b&&(b=1);this.params[1]=b;k(this.node.gain.value,1-b/2,c,d);k(this.oscGainNode.gain.value,b/2,c,d);break;case 7:this.params[0]=b,k(this.oscNode.frequency,
b,c,d)}};s.prototype.connectTo=function(a){this.wetNode.disconnect();this.wetNode.connect(a);this.dryNode.disconnect();this.dryNode.connect(a)};s.prototype.remove=function(){this.oscNode.disconnect();this.ringNode.disconnect();this.inputNode.disconnect();this.wetNode.disconnect();this.dryNode.disconnect()};s.prototype.getInputNode=function(){return this.inputNode};s.prototype.setParam=function(a,b,c,d){switch(a){case 0:b/=100;0>b&&(b=0);1<b&&(b=1);this.params[1]=b;k(this.wetNode.gain,b,c,d);k(this.dryNode.gain,
1-b,c,d);break;case 7:this.params[0]=b,k(this.oscNode.frequency,b,c,d)}};u.prototype.setDrive=function(a,b){0.01>a&&(a=0.01);this.preGain.gain.value=a;this.postGain.gain.value=Math.pow(1/a,0.6)*b};u.prototype.shape=function(a,b,c){var d=1.05*c*b-b;c=0>a?-1:1;a=0>a?-a:a;b=a<b?a:b+d*(1-Math.exp(-(1/d)*(a-b)));return b*c};u.prototype.generateColortouchCurve=function(a,b){for(var c=Math.pow(10,a/20),d=Math.pow(10,b/20),e=0,f=0;32768>f;++f)e=f/32768,e=this.shape(e,c,d),this.curve[32768+f]=e,this.curve[32768-
f-1]=-e};u.prototype.connectTo=function(a){this.wetNode.disconnect();this.wetNode.connect(a);this.dryNode.disconnect();this.dryNode.connect(a)};u.prototype.remove=function(){this.inputNode.disconnect();this.preGain.disconnect();this.waveShaper.disconnect();this.postGain.disconnect();this.wetNode.disconnect();this.dryNode.disconnect()};u.prototype.getInputNode=function(){return this.inputNode};u.prototype.setParam=function(a,b,c,d){switch(a){case 0:b/=100,0>b&&(b=0),1<b&&(b=1),this.params[4]=b,k(this.wetNode.gain,
b,c,d),k(this.dryNode.gain,1-b,c,d)}};y.prototype.connectTo=function(a){this.node.disconnect();this.node.connect(a)};y.prototype.remove=function(){this.node.disconnect()};y.prototype.getInputNode=function(){return this.node};y.prototype.setParam=function(a,b,c,d){};C.prototype.tick=function(){this.node.getFloatFrequencyData(this.freqBins);this.node.getByteTimeDomainData(this.signal);for(var a=this.node.fftSize,c=0,d=this.peak=0,e=0;c<a;c++)e=(this.signal[c]-128)/128,0>e&&(e=-e),this.peak<e&&(this.peak=
e),d+=e*e;this.peak=b(this.peak);this.rms=b(Math.sqrt(d/a))};C.prototype.connectTo=function(a){this.node.disconnect();this.node.connect(a)};C.prototype.remove=function(){this.node.disconnect()};C.prototype.getInputNode=function(){return this.node};C.prototype.setParam=function(a,b,c,d){};F.prototype.setObject=function(a){if(this.obj=a)this.lastX=this.obj.x,this.lastY=this.obj.y;this.speeds.length=0};F.prototype.hasObject=function(){return!!this.obj};F.prototype.tick=function(a){this.obj&&0!==a&&(this.moveAngle=
cr.angleTo(this.lastX,this.lastY,this.obj.x,this.obj.y),a=cr.distanceTo(this.lastX,this.lastY,this.obj.x,this.obj.y)/a,4>this.speeds.length||this.speeds.shift(),this.speeds.push(a),this.lastX=this.obj.x,this.lastY=this.obj.y)};F.prototype.getSpeed=function(){if(!this.speeds.length)return 0;var a,b,c=0;a=0;for(b=this.speeds.length;a<b;a++)c+=this.speeds[a];return c/this.speeds.length};F.prototype.getVelocityX=function(){return Math.cos(this.moveAngle)*this.getSpeed()};F.prototype.getVelocityY=function(){return Math.sin(this.moveAngle)*
this.getSpeed()};var ra=!1;v.prototype.decodeAudioBuffer=function(){if(!this.bufferObject&&this.audioData){var a=this;if(I.decodeAudioData)I.decodeAudioData(this.audioData,function(b){a.bufferObject=b;var c,d,e;if(cr.is_undefined(a.playTagWhenReady)||V)cr.is_undefined(a.convolveWhenReady)||(c=a.convolveWhenReady.convolveNode,c.normalize=a.normalizeWhenReady,c.buffer=b);else if(a.panWhenReady.length){c=0;for(d=a.panWhenReady.length;c<d;c++){b=a.panWhenReady[c];e=new w(a,b.thistag);e.setPannerEnabled(!0);
if("undefined"!==typeof b.objUid&&(b.obj=K.getObjectByUID(b.objUid),!b.obj))continue;if(b.obj){var f=cr.rotatePtAround(b.obj.x,b.obj.y,-b.obj.layer.getAngle(),ba,ca,!0),h=cr.rotatePtAround(b.obj.x,b.obj.y,-b.obj.layer.getAngle(),ba,ca,!1);e.setPan(f,h,cr.to_degrees(b.obj.angle-b.obj.layer.getAngle()),b.ia,b.oa,b.og);e.setObject(b.obj)}else e.setPan(b.x,b.y,b.a,b.ia,b.oa,b.og);e.play(a.loopWhenReady,a.volumeWhenReady,a.seekWhenReady);a.pauseWhenReady&&e.pause();P.push(e)}a.panWhenReady.length=0}else e=
new w(a,a.playTagWhenReady),e.play(a.loopWhenReady,a.volumeWhenReady,a.seekWhenReady),a.pauseWhenReady&&e.pause(),P.push(e)},function(b){a.failedToLoad=!0});else if(this.bufferObject=I.createBuffer(this.audioData,!1),cr.is_undefined(this.playTagWhenReady)||V)cr.is_undefined(this.convolveWhenReady)||(b=this.convolveWhenReady.convolveNode,b.normalize=this.normalizeWhenReady,b.buffer=this.bufferObject);else{var b=new w(this,this.playTagWhenReady);b.play(this.loopWhenReady,this.volumeWhenReady,this.seekWhenReady);
this.pauseWhenReady&&b.pause();P.push(b)}}};v.prototype.isLoaded=function(){switch(this.myapi){case M:return 4<=this.bufferObject.readyState;case E:return!!this.audioData;case W:return!0;case X:return!0}return!1};v.prototype.isLoadedAndDecoded=function(){switch(this.myapi){case M:return 4<=this.bufferObject.readyState;case E:return!!this.audioData&&!!this.bufferObject;case W:return!0;case X:return!0}return!1};v.prototype.hasFailedToLoad=function(){switch(this.myapi){case M:return!!this.bufferObject.error;
case E:return this.failedToLoad}return!1};w.prototype.hasEnded=function(){switch(this.myapi){case M:return this.instanceObject.ended;case E:return this.buffer.myapi===E?!this.fresh&&!this.stopped&&this.instanceObject.loop||this.is_paused?!1:K.kahanTime.sum-this.startTime>this.buffer.bufferObject.duration:this.instanceObject.ended;case W:return this.pgended;case X:!0}return!0};w.prototype.canBeRecycled=function(){return this.fresh||this.stopped?!0:this.hasEnded()};w.prototype.setPannerEnabled=function(a){N===
E&&(!this.pannerEnabled&&a?this.gainNode&&(this.pannerNode||(this.pannerNode=I.createPanner(),this.pannerNode.panningModel="number"===typeof this.pannerNode.panningModel?la:["equalpower","HRTF","soundfield"][la],this.pannerNode.distanceModel="number"===typeof this.pannerNode.distanceModel?ma:["linear","inverse","exponential"][ma],this.pannerNode.refDistance=oa,this.pannerNode.maxDistance=pa,this.pannerNode.rolloffFactor=qa),this.gainNode.disconnect(),this.gainNode.connect(this.pannerNode),this.pannerNode.connect(c(this.tag)),
this.pannerEnabled=!0):this.pannerEnabled&&!a&&this.gainNode&&(this.pannerNode.disconnect(),this.gainNode.disconnect(),this.gainNode.connect(c(this.tag)),this.pannerEnabled=!1))};w.prototype.setPan=function(a,b,c,d,e,f){this.pannerEnabled&&N===E&&(this.pannerNode.setPosition(a,b,0),this.pannerNode.setOrientation(Math.cos(cr.to_radians(c)),Math.sin(cr.to_radians(c)),0),this.pannerNode.coneInnerAngle=d,this.pannerNode.coneOuterAngle=e,this.pannerNode.coneOuterGain=f,this.panX=a,this.panY=b,this.panAngle=
c,this.panConeInner=d,this.panConeOuter=e,this.panConeOuterGain=f)};w.prototype.setObject=function(a){this.pannerEnabled&&N===E&&(this.objectTracker||(this.objectTracker=new F),this.objectTracker.setObject(a))};w.prototype.tick=function(a){if(this.pannerEnabled&&N===E&&this.objectTracker&&this.objectTracker.hasObject()&&this.isPlaying()){this.objectTracker.tick(a);a=this.objectTracker.obj;var b=cr.rotatePtAround(a.x,a.y,-a.layer.getAngle(),ba,ca,!0),c=cr.rotatePtAround(a.x,a.y,-a.layer.getAngle(),
ba,ca,!1);this.pannerNode.setPosition(b,c,0);b=0;"undefined"!==typeof this.objectTracker.obj.angle&&(b=a.angle-a.layer.getAngle(),this.pannerNode.setOrientation(Math.cos(b),Math.sin(b),0));b=cr.rotatePtAround(this.objectTracker.getVelocityX(),this.objectTracker.getVelocityY(),-a.layer.getAngle(),0,0,!0);c=cr.rotatePtAround(this.objectTracker.getVelocityX(),this.objectTracker.getVelocityY(),-a.layer.getAngle(),0,0,!1);this.pannerNode.setVelocity(b,c,0)}};w.prototype.play=function(a,b,c){var d=this.instanceObject;
this.looping=a;this.volume=b;c=c||0;switch(this.myapi){case M:1!==d.playbackRate&&(d.playbackRate=1);d.volume!==b*Z&&(d.volume=b*Z);d.loop!==a&&(d.loop=a);d.muted&&(d.muted=!1);if(d.currentTime!==c)try{d.currentTime=c}catch(f){}if(this.is_music&&fa&&!K.isInUserInputEvent)ga.push(this);else try{this.instanceObject.play()}catch(h){}break;case E:this.muted=!1;this.mutevol=1;if(this.buffer.myapi===E)this.fresh||(this.instanceObject=I.createBufferSource(),this.instanceObject.buffer=this.buffer.bufferObject,
this.instanceObject.connect(this.gainNode)),this.instanceObject.loop=a,this.gainNode.gain.value=b*Z,0===c?e(this.instanceObject):g(this.instanceObject,c,this.getDuration());else{1!==d.playbackRate&&(d.playbackRate=1);d.loop!==a&&(d.loop=a);this.gainNode.gain.value=b*Z;if(d.currentTime!==c)try{d.currentTime=c}catch(k){}this.is_music&&fa&&!K.isInUserInputEvent?ga.push(this):d.play()}break;case W:(!this.fresh&&this.stopped||0!==c)&&d.seekTo(c);d.play();this.pgended=!1;break;case X:K.isDirectCanvas?AppMobi.context.playSound(this.src,
a):AppMobi.player.playSound(this.src,a)}this.playbackRate=1;this.startTime=K.kahanTime.sum-c;this.is_paused=this.stopped=this.fresh=!1};w.prototype.stop=function(){switch(this.myapi){case M:this.instanceObject.paused||this.instanceObject.pause();break;case E:this.buffer.myapi===E?l(this.instanceObject):this.instanceObject.paused||this.instanceObject.pause();break;case W:this.instanceObject.stop();break;case X:K.isDirectCanvas&&AppMobi.context.stopSound(this.src)}this.stopped=!0;this.is_paused=!1};
w.prototype.pause=function(){if(!(this.fresh||this.stopped||this.hasEnded()||this.is_paused)){switch(this.myapi){case M:this.instanceObject.paused||this.instanceObject.pause();break;case E:this.buffer.myapi===E?(this.resume_position=this.getPlaybackTime(),this.looping&&(this.resume_position%=this.getDuration()),l(this.instanceObject)):this.instanceObject.paused||this.instanceObject.pause();break;case W:this.instanceObject.pause();break;case X:K.isDirectCanvas&&AppMobi.context.stopSound(this.src)}this.is_paused=
!0}};w.prototype.resume=function(){if(!this.fresh&&!this.stopped&&!this.hasEnded()&&this.is_paused){switch(this.myapi){case M:this.instanceObject.play();break;case E:this.buffer.myapi===E?(this.instanceObject=I.createBufferSource(),this.instanceObject.buffer=this.buffer.bufferObject,this.instanceObject.connect(this.gainNode),this.instanceObject.loop=this.looping,this.gainNode.gain.value=Z*this.volume*this.mutevol,this.startTime=K.kahanTime.sum-this.resume_position,g(this.instanceObject,this.resume_position,
this.getDuration())):this.instanceObject.play();break;case W:this.instanceObject.play();break;case X:K.isDirectCanvas&&AppMobi.context.resumeSound(this.src)}this.is_paused=!1}};w.prototype.seek=function(a){if(!(this.fresh||this.stopped||this.hasEnded()))switch(this.myapi){case M:try{this.instanceObject.currentTime=a}catch(b){}break;case E:if(this.buffer.myapi===E)this.is_paused?this.resume_position=a:(this.pause(),this.resume_position=a,this.resume());else try{this.instanceObject.currentTime=a}catch(c){}break;
case X:K.isDirectCanvas&&AppMobi.context.seekSound(this.src,a)}};w.prototype.reconnect=function(a){this.myapi===E&&(this.pannerEnabled?(this.pannerNode.disconnect(),this.pannerNode.connect(a)):(this.gainNode.disconnect(),this.gainNode.connect(a)))};w.prototype.getDuration=function(){switch(this.myapi){case M:if("undefined"!==typeof this.instanceObject.duration)return this.instanceObject.duration;break;case E:return this.buffer.bufferObject.duration;case W:return this.instanceObject.getDuration();
case X:if(K.isDirectCanvas)return AppMobi.context.getDurationSound(this.src)}return 0};w.prototype.getPlaybackTime=function(){var a=this.getDuration(),b=0;switch(this.myapi){case M:"undefined"!==typeof this.instanceObject.currentTime&&(b=this.instanceObject.currentTime);break;case E:if(this.buffer.myapi===E){if(this.is_paused)return this.resume_position;b=K.kahanTime.sum-this.startTime}else"undefined"!==typeof this.instanceObject.currentTime&&(b=this.instanceObject.currentTime);break;case X:K.isDirectCanvas&&
(b=AppMobi.context.getPlaybackTimeSound(this.src))}!this.looping&&b>a&&(b=a);return b};w.prototype.isPlaying=function(){return!this.is_paused&&!this.fresh&&!this.stopped&&!this.hasEnded()};w.prototype.setVolume=function(a){this.volume=a;this.updateVolume()};w.prototype.updateVolume=function(){var a=this.volume*Z;switch(this.myapi){case M:this.instanceObject.volume&&this.instanceObject.volume!==a&&(this.instanceObject.volume=a);break;case E:this.gainNode.gain.value=a*this.mutevol}};w.prototype.getVolume=
function(){return this.volume};w.prototype.doSetMuted=function(a){switch(this.myapi){case M:this.instanceObject.muted!==!!a&&(this.instanceObject.muted=!!a);break;case E:this.mutevol=a?0:1,this.gainNode.gain.value=Z*this.volume*this.mutevol}};w.prototype.setMuted=function(a){this.is_muted=!!a;this.doSetMuted(this.is_muted||this.is_silent)};w.prototype.setSilent=function(a){this.is_silent=!!a;this.doSetMuted(this.is_muted||this.is_silent)};w.prototype.setLooping=function(a){this.looping=a;switch(this.myapi){case M:this.instanceObject.loop!==
!!a&&(this.instanceObject.loop=!!a);break;case E:this.instanceObject.loop!==!!a&&(this.instanceObject.loop=!!a);break;case X:K.isDirectCanvas&&AppMobi.context.setLoopingSound(this.src,a)}};w.prototype.setPlaybackRate=function(a){this.playbackRate=a;this.updatePlaybackRate()};w.prototype.updatePlaybackRate=function(){var a=this.playbackRate;if(1===ja&&!this.is_music||2===ja)a*=K.timescale;switch(this.myapi){case M:this.instanceObject.playbackRate!==a&&(this.instanceObject.playbackRate=a);break;case E:this.buffer.myapi===
E?this.instanceObject.playbackRate.value!==a&&(this.instanceObject.playbackRate.value=a):this.instanceObject.playbackRate!==a&&(this.instanceObject.playbackRate=a)}};w.prototype.setSuspended=function(a){switch(this.myapi){case M:a?this.isPlaying()?(this.instanceObject.pause(),this.resume_me=!0):this.resume_me=!1:this.resume_me&&this.instanceObject.play();break;case E:a?this.isPlaying()?(this.buffer.myapi===E?(this.resume_position=this.getPlaybackTime(),this.looping&&(this.resume_position%=this.getDuration()),
l(this.instanceObject)):this.instanceObject.pause(),this.resume_me=!0):this.resume_me=!1:this.resume_me&&(this.buffer.myapi===E?(this.instanceObject=I.createBufferSource(),this.instanceObject.buffer=this.buffer.bufferObject,this.instanceObject.connect(this.gainNode),this.instanceObject.loop=this.looping,this.gainNode.gain.value=Z*this.volume*this.mutevol,this.startTime=K.kahanTime.sum-this.resume_position,g(this.instanceObject,this.resume_position,this.getDuration())):this.instanceObject.play());
break;case W:a?this.isPlaying()?(this.instanceObject.pause(),this.resume_me=!0):this.resume_me=!1:this.resume_me&&this.instanceObject.play()}};O.Instance=function(a){this.type=a;K=this.runtime=a.runtime;L=this;this.listenerTracker=null;this.listenerZ=-600;!(this.runtime.isiOS||this.runtime.isAndroid&&(this.runtime.isChrome||this.runtime.isAndroidStockBrowser))||this.runtime.isCrosswalk||this.runtime.isDomFree||(fa=!0);I=null;"undefined"!==typeof AudioContext?(N=E,I=new AudioContext):"undefined"!==
typeof webkitAudioContext&&(N=E,I=new webkitAudioContext);(this.runtime.isiOS&&N===E||fa)&&document.addEventListener("touchstart",function(){var a,b,c;!ra&&I&&(a=I.createBuffer(1,1,22050),b=I.createBufferSource(),b.buffer=a,b.connect(I.destination),e(b),ra=!0);if(fa){if(!V)for(a=0,b=ga.length;a<b;++a)c=ga[a],c.stopped||c.is_paused||c.instanceObject.play();ga.length=0}},!0);N!==E&&(this.runtime.isPhoneGap&&"undefined"!==typeof window.Media?N=W:this.runtime.isAppMobi&&(N=X));N===W&&(U=location.href,
a=U.lastIndexOf("/"),-1<a&&(U=U.substr(0,a+1)),U=U.replace("file://",""));if(this.runtime.isSafari&&this.runtime.isWindows&&"undefined"===typeof Audio)alert("It looks like you're using Safari for Windows without Quicktime.  Audio cannot be played until Quicktime is installed."),this.runtime.DestroyInstance(this);else{if(this.runtime.isDirectCanvas)Y=this.runtime.isAndroid;else try{Y=!!(new Audio).canPlayType('audio/ogg; codecs="vorbis"')}catch(b){Y=!1}this.runtime.tickMe(this)}};var aa=O.Instance.prototype;
aa.onCreate=function(){this.runtime.audioInstance=this;ja=this.properties[0];this.saveload=this.properties[1];la=this.properties[2];ma=this.properties[3];this.listenerZ=-this.properties[4];oa=this.properties[5];pa=this.properties[6];qa=this.properties[7];this.listenerTracker=new F;N===E&&(I.listener.speedOfSound=this.properties[8],I.listener.dopplerFactor=this.properties[9],I.listener.setPosition(this.runtime.draw_width/2,this.runtime.draw_height/2,this.listenerZ),I.listener.setOrientation(0,0,1,
0,-1,0),window.c2OnAudioMicStream=function(a,b){da&&da.disconnect();ka=b.toLowerCase();da=I.createMediaStreamSource(a);da.connect(c(ka))});this.runtime.addSuspendCallback(function(a){L.onSuspend(a)});var a=this;this.runtime.addDestroyCallback(function(b){a.onInstanceDestroyed(b)})};aa.onInstanceDestroyed=function(a){var b,c,d;b=0;for(c=P.length;b<c;b++)d=P[b],d.objectTracker&&d.objectTracker.obj===a&&(d.objectTracker.obj=null,d.pannerEnabled&&d.isPlaying()&&d.looping&&d.stop());this.listenerTracker.obj===
a&&(this.listenerTracker.obj=null)};aa.saveToJSON=function(){var a={silent:V,masterVolume:Z,listenerZ:this.listenerZ,listenerUid:this.listenerTracker.hasObject()?this.listenerTracker.obj.uid:-1,playing:[],effects:{}},b=a.playing,c,d,e,f,h,g;c=0;for(d=P.length;c<d;c++)e=P[c],!e.isPlaying()||3===this.saveload||e.is_music&&1===this.saveload||!e.is_music&&2===this.saveload||(f=e.getPlaybackTime(),e.looping&&(f%=e.getDuration()),f={tag:e.tag,buffersrc:e.buffer.src,is_music:e.is_music,playbackTime:f,volume:e.volume,
looping:e.looping,muted:e.is_muted,playbackRate:e.playbackRate,paused:e.is_paused,resume_position:e.resume_position},e.pannerEnabled&&(f.pan={},g=f.pan,e.objectTracker&&e.objectTracker.hasObject()?g.objUid=e.objectTracker.obj.uid:(g.x=e.panX,g.y=e.panY,g.a=e.panAngle),g.ia=e.panConeInner,g.oa=e.panConeOuter,g.og=e.panConeOuterGain),b.push(f));b=a.effects;for(h in R)if(R.hasOwnProperty(h)){e=[];c=0;for(d=R[h].length;c<d;c++)e.push({type:R[h][c].type,params:R[h][c].params});b[h]=e}return a};var ha=
[];aa.loadFromJSON=function(a){var b=a.silent;Z=a.masterVolume;this.listenerZ=a.listenerZ;this.listenerTracker.setObject(null);var c=a.listenerUid;-1!==c&&(this.listenerTracker.loadUid=c,ha.push(this.listenerTracker));var c=a.playing,d,e,f,g,k,l,v,w,B,x,A;if(3!==this.saveload)for(d=0,e=P.length;d<e;d++)B=P[d],B.is_music&&1===this.saveload||(B.is_music||2!==this.saveload)&&B.stop();for(k in R)if(R.hasOwnProperty(k))for(d=0,e=R[k].length;d<e;d++)R[k][d].remove();cr.wipe(R);for(k in a.effects)if(a.effects.hasOwnProperty(k))for(l=
a.effects[k],d=0,e=l.length;d<e;d++)switch(f=l[d].type,x=l[d].params,f){case "filter":z(k,new h(x[0],x[1],x[2],x[3],x[4],x[5]));break;case "delay":z(k,new m(x[0],x[1],x[2]));break;case "convolve":f=x[2];B=this.getAudioBuffer(f,!1);B.bufferObject?f=new n(B.bufferObject,x[0],x[1],f):(f=new n(null,x[0],x[1],f),B.normalizeWhenReady=x[0],B.convolveWhenReady=f);z(k,f);break;case "flanger":z(k,new r(x[0],x[1],x[2],x[3],x[4]));break;case "phaser":z(k,new p(x[0],x[1],x[2],x[3],x[4],x[5]));break;case "gain":z(k,
new q(x[0]));break;case "tremolo":z(k,new t(x[0],x[1]));break;case "ringmod":z(k,new s(x[0],x[1]));break;case "distortion":z(k,new u(x[0],x[1],x[2],x[3],x[4]));break;case "compressor":z(k,new y(x[0],x[1],x[2],x[3],x[4]));break;case "analyser":z(k,new C(x[0],x[1]))}d=0;for(e=c.length;d<e;d++)3===this.saveload||(a=c[d],f=a.buffersrc,g=a.is_music,k=a.tag,l=a.playbackTime,v=a.looping,w=a.volume,A=(x=a.pan)&&x.hasOwnProperty("objUid")?x.objUid:-1,g&&1===this.saveload)||!g&&2===this.saveload||((B=this.getAudioInstance(f,
k,g,v,w))?(B.resume_position=a.resume_position,B.setPannerEnabled(!!x),B.play(v,w,l),B.updatePlaybackRate(),B.updateVolume(),B.doSetMuted(B.is_muted||B.is_silent),a.paused&&B.pause(),a.muted&&B.setMuted(!0),B.doSetMuted(B.is_muted||B.is_silent),x&&(-1!==A?(B.objectTracker=B.objectTracker||new F,B.objectTracker.loadUid=A,ha.push(B.objectTracker)):B.setPan(x.x,x.y,x.a,x.ia,x.oa,x.og))):(B=this.getAudioBuffer(f,g),B.seekWhenReady=l,B.pauseWhenReady=a.paused,x&&(-1!==A?B.panWhenReady.push({objUid:A,ia:x.ia,
oa:x.oa,og:x.og,thistag:k}):B.panWhenReady.push({x:x.x,y:x.y,a:x.a,ia:x.ia,oa:x.oa,og:x.og,thistag:k}))));if(b&&!V){d=0;for(e=P.length;d<e;d++)P[d].setSilent(!0);V=!0}else if(!b&&V){d=0;for(e=P.length;d<e;d++)P[d].setSilent(!1);V=!1}};aa.afterLoad=function(){var a,b,c,d;a=0;for(b=ha.length;a<b;a++)c=ha[a],d=this.runtime.getObjectByUID(c.loadUid),c.setObject(d),c.loadUid=-1,d&&(ba=d.x,ca=d.y);ha.length=0};aa.onSuspend=function(a){var b,c;b=0;for(c=P.length;b<c;b++)P[b].setSuspended(a)};aa.tick=function(){var a=
this.runtime.dt,b,c,d;b=0;for(c=P.length;b<c;b++)d=P[b],d.tick(a),d.myapi===M||d.myapi===X||d.fresh||d.stopped||!d.hasEnded()||(d.stopped=!0,T=d.tag,K.trigger(cr.plugins_.Audio.prototype.cnds.OnEnded,L)),0!==ja&&d.updatePlaybackRate();var e,f;for(e in R)if(R.hasOwnProperty(e))for(d=R[e],b=0,c=d.length;b<c;b++)f=d[b],f.tick&&f.tick();N===E&&this.listenerTracker.hasObject()&&(this.listenerTracker.tick(a),ba=this.listenerTracker.obj.x,ca=this.listenerTracker.obj.y,I.listener.setPosition(this.listenerTracker.obj.x,
this.listenerTracker.obj.y,this.listenerZ),I.listener.setVelocity(this.listenerTracker.getVelocityX(),this.listenerTracker.getVelocityY(),0))};var ia=[];aa.setPreloadList=function(a){var b,c,d,e,f,h=0;b=0;for(c=a.length;b<c;++b)if(d=a[b],e=d[0],d=2*d[1],(f=4<e.length&&".ogg"===e.substr(e.length-4))&&Y||!f&&!Y)ia.push({filename:e,size:d,obj:null}),h+=d;return h};aa.startPreloads=function(){var a,b,c,d;a=0;for(b=ia.length;a<b;++a)c=ia[a],d=this.runtime.files_subfolder+c.filename,c.obj=this.getAudioBuffer(d,
!1)};aa.getPreloadedSize=function(){var a=0,b,c,d;b=0;for(c=ia.length;b<c;++b)d=ia[b],d.obj.isLoadedAndDecoded()||d.obj.hasFailedToLoad()||this.runtime.isDomFree?a+=d.size:d.obj.isLoaded()&&(a+=Math.floor(d.size/2));return a};aa.getAudioBuffer=function(a,b){var c,d,e,f=null;c=0;for(d=ea.length;c<d;c++)if(e=ea[c],e.src===a){f=e;break}f||(f=new v(a,b),ea.push(f));return f};aa.getAudioInstance=function(a,b,c,d,e){var f,h,g;f=0;for(h=P.length;f<h;f++)if(g=P[f],g.src===a&&(g.canBeRecycled()||c))return g.tag=
b,g;a=this.getAudioBuffer(a,c);if(!a.bufferObject)return"<preload>"!==b&&(a.playTagWhenReady=b,a.loopWhenReady=d,a.volumeWhenReady=e),null;g=new w(a,b);P.push(g);return g};var Q=[];G.prototype.OnEnded=function(a){return cr.equals_nocase(T,a)};G.prototype.PreloadsComplete=function(){var a,b;a=0;for(b=ea.length;a<b;a++)if(!ea[a].isLoaded()&&!ea[a].hasFailedToLoad())return!1;return!0};G.prototype.AdvancedAudioSupported=function(){return N===E};G.prototype.IsSilent=function(){return V};G.prototype.IsAnyPlaying=
function(){var a,b;a=0;for(b=P.length;a<b;a++)if(P[a].isPlaying())return!0;return!1};G.prototype.IsTagPlaying=function(a){x(a);var b;a=0;for(b=Q.length;a<b;a++)if(Q[a].isPlaying())return!0;return!1};O.cnds=new G;D.prototype.Play=function(b,c,d,e){!V&&(d=a(d),S=this.getAudioInstance(this.runtime.files_subfolder+b[0]+(Y?".ogg":".m4a"),e,b[1],0!==c,d))&&(S.setPannerEnabled(!1),S.play(0!==c,d))};D.prototype.PlayAtPosition=function(b,c,d,e,f,h,g,k,m,l){if(!V){d=a(d);var n=b[1];b=this.runtime.files_subfolder+
b[0]+(Y?".ogg":".m4a");(S=this.getAudioInstance(b,l,n,0!==c,d))?(S.setPannerEnabled(!0),S.setPan(e,f,h,g,k,a(m)),S.play(0!==c,d)):this.getAudioBuffer(b,n).panWhenReady.push({x:e,y:f,a:h,ia:g,oa:k,og:a(m),thistag:l})}};D.prototype.PlayAtObject=function(b,c,d,e,f,h,g,k){if(!V&&e&&(e=e.getFirstPicked())){d=a(d);var m=b[1];b=this.runtime.files_subfolder+b[0]+(Y?".ogg":".m4a");(S=this.getAudioInstance(b,k,m,0!==c,d))?(S.setPannerEnabled(!0),k=cr.rotatePtAround(e.x,e.y,-e.layer.getAngle(),ba,ca,!0),b=cr.rotatePtAround(e.x,
e.y,-e.layer.getAngle(),ba,ca,!1),S.setPan(k,b,cr.to_degrees(e.angle-e.layer.getAngle()),f,h,a(g)),S.setObject(e),S.play(0!==c,d)):this.getAudioBuffer(b,m).panWhenReady.push({obj:e,ia:f,oa:h,og:a(g),thistag:k})}};D.prototype.PlayByName=function(b,c,d,e,f){!V&&(e=a(e),b=1===b,c=this.runtime.files_subfolder+c.toLowerCase()+(Y?".ogg":".m4a"),S=this.getAudioInstance(c,f,b,0!==d,e))&&(S.setPannerEnabled(!1),S.play(0!==d,e))};D.prototype.PlayAtPositionByName=function(b,c,d,e,f,h,g,k,m,l,n){V||(e=a(e),b=
1===b,c=this.runtime.files_subfolder+c.toLowerCase()+(Y?".ogg":".m4a"),(S=this.getAudioInstance(c,n,b,0!==d,e))?(S.setPannerEnabled(!0),S.setPan(f,h,g,k,m,a(l)),S.play(0!==d,e)):this.getAudioBuffer(c,b).panWhenReady.push({x:f,y:h,a:g,ia:k,oa:m,og:a(l),thistag:n}))};D.prototype.PlayAtObjectByName=function(b,c,d,e,f,h,g,k,m){!V&&f&&(f=f.getFirstPicked())&&(e=a(e),b=1===b,c=this.runtime.files_subfolder+c.toLowerCase()+(Y?".ogg":".m4a"),(S=this.getAudioInstance(c,m,b,0!==d,e))?(S.setPannerEnabled(!0),
m=cr.rotatePtAround(f.x,f.y,-f.layer.getAngle(),ba,ca,!0),c=cr.rotatePtAround(f.x,f.y,-f.layer.getAngle(),ba,ca,!1),S.setPan(m,c,cr.to_degrees(f.angle-f.layer.getAngle()),h,g,a(k)),S.setObject(f),S.play(0!==d,e)):this.getAudioBuffer(c,b).panWhenReady.push({obj:f,ia:h,oa:g,og:a(k),thistag:m}))};D.prototype.SetLooping=function(a,b){x(a);var c,d;c=0;for(d=Q.length;c<d;c++)Q[c].setLooping(0===b)};D.prototype.SetMuted=function(a,b){x(a);var c,d;c=0;for(d=Q.length;c<d;c++)Q[c].setMuted(0===b)};D.prototype.SetVolume=
function(b,c){x(b);var d=a(c),e,f;e=0;for(f=Q.length;e<f;e++)Q[e].setVolume(d)};D.prototype.Preload=function(a){if(!V){var b=a[1];a=this.runtime.files_subfolder+a[0]+(Y?".ogg":".m4a");N===X?this.runtime.isDirectCanvas?AppMobi.context.loadSound(a):AppMobi.player.loadSound(a):N!==W&&this.getAudioInstance(a,"<preload>",b,!1)}};D.prototype.PreloadByName=function(a,b){if(!V){var c=1===a,d=this.runtime.files_subfolder+b.toLowerCase()+(Y?".ogg":".m4a");N===X?this.runtime.isDirectCanvas?AppMobi.context.loadSound(d):
AppMobi.player.loadSound(d):N!==W&&this.getAudioInstance(d,"<preload>",c,!1)}};D.prototype.SetPlaybackRate=function(a,b){x(a);0>b&&(b=0);var c,d;c=0;for(d=Q.length;c<d;c++)Q[c].setPlaybackRate(b)};D.prototype.Stop=function(a){x(a);var b;a=0;for(b=Q.length;a<b;a++)Q[a].stop()};D.prototype.StopAll=function(){var a,b;a=0;for(b=P.length;a<b;a++)P[a].stop()};D.prototype.SetPaused=function(a,b){x(a);var c,d;c=0;for(d=Q.length;c<d;c++)0===b?Q[c].pause():Q[c].resume()};D.prototype.Seek=function(a,b){x(a);
var c,d;c=0;for(d=Q.length;c<d;c++)Q[c].seek(b)};D.prototype.SetSilent=function(a){var b;2===a&&(a=V?1:0);if(0===a&&!V){a=0;for(b=P.length;a<b;a++)P[a].setSilent(!0);V=!0}else if(1===a&&V){a=0;for(b=P.length;a<b;a++)P[a].setSilent(!1);V=!1}};D.prototype.SetMasterVolume=function(b){Z=a(b);var c;b=0;for(c=P.length;b<c;b++)P[b].updateVolume()};D.prototype.AddFilterEffect=function(a,b,c,d,e,f,g){N!==E||0>b||b>=na.length||!I.createBiquadFilter||(a=a.toLowerCase(),g/=100,0>g&&(g=0),1<g&&(g=1),z(a,new h(b,
c,d,e,f,g)))};D.prototype.AddDelayEffect=function(b,c,d,e){N===E&&(b=b.toLowerCase(),e/=100,0>e&&(e=0),1<e&&(e=1),z(b,new m(c,a(d),e)))};D.prototype.AddFlangerEffect=function(a,b,c,d,e,f){N===E&&I.createOscillator&&(a=a.toLowerCase(),f/=100,0>f&&(f=0),1<f&&(f=1),z(a,new r(b/1E3,c/1E3,d,e/100,f)))};D.prototype.AddPhaserEffect=function(a,b,c,d,e,f,h){N===E&&I.createOscillator&&(a=a.toLowerCase(),h/=100,0>h&&(h=0),1<h&&(h=1),z(a,new p(b,c,d,e,f,h)))};D.prototype.AddConvolutionEffect=function(a,b,c,d){if(N===
E&&I.createConvolver){c=0===c;var e=this.runtime.files_subfolder+b[0]+(Y?".ogg":".m4a");b=this.getAudioBuffer(e,!1);a=a.toLowerCase();d/=100;0>d&&(d=0);1<d&&(d=1);b.bufferObject?d=new n(b.bufferObject,c,d,e):(d=new n(null,c,d,e),b.normalizeWhenReady=c,b.convolveWhenReady=d);z(a,d)}};D.prototype.AddGainEffect=function(b,c){N===E&&(b=b.toLowerCase(),z(b,new q(a(c))))};D.prototype.AddMuteEffect=function(a){N===E&&(a=a.toLowerCase(),z(a,new q(0)))};D.prototype.AddTremoloEffect=function(a,b,c){N===E&&
I.createOscillator&&(a=a.toLowerCase(),c/=100,0>c&&(c=0),1<c&&(c=1),z(a,new t(b,c)))};D.prototype.AddRingModEffect=function(a,b,c){N===E&&I.createOscillator&&(a=a.toLowerCase(),c/=100,0>c&&(c=0),1<c&&(c=1),z(a,new s(b,c)))};D.prototype.AddDistortionEffect=function(a,b,c,d,e,f){N===E&&I.createWaveShaper&&(a=a.toLowerCase(),f/=100,0>f&&(f=0),1<f&&(f=1),z(a,new u(b,c,d,e,f)))};D.prototype.AddCompressorEffect=function(a,b,c,d,e,f){N===E&&I.createDynamicsCompressor&&(a=a.toLowerCase(),z(a,new y(b,c,d,
e/1E3,f/1E3)))};D.prototype.AddAnalyserEffect=function(a,b,c){N===E&&(a=a.toLowerCase(),z(a,new C(b,c)))};D.prototype.RemoveEffects=function(a){if(N===E){a=a.toLowerCase();var b,c,d;if(R.hasOwnProperty(a)&&(d=R[a],d.length)){b=0;for(c=d.length;b<c;b++)d[b].remove();d.length=0;A(a)}}};D.prototype.SetEffectParameter=function(a,b,c,d,e,f){N===E&&(a=a.toLowerCase(),b=Math.floor(b),R.hasOwnProperty(a)&&(a=R[a],0>b||b>=a.length||a[b].setParam(c,d,e,f)))};D.prototype.SetListenerObject=function(a){a&&N===
E&&(a=a.getFirstPicked())&&(this.listenerTracker.setObject(a),ba=a.x,ca=a.y)};D.prototype.SetListenerZ=function(a){this.listenerZ=a};O.acts=new D;H.prototype.Duration=function(a,b){x(b,!0);Q.length?a.set_float(Q[0].getDuration()):a.set_float(0)};H.prototype.PlaybackTime=function(a,b){x(b,!0);Q.length?a.set_float(Q[0].getPlaybackTime()):a.set_float(0)};H.prototype.Volume=function(a,c){x(c,!0);if(Q.length){var d=Q[0].getVolume();a.set_float(b(d))}else a.set_float(0)};H.prototype.MasterVolume=function(a){a.set_float(Z)};
H.prototype.EffectCount=function(a,b){b=b.toLowerCase();var c=null;R.hasOwnProperty(b)&&(c=R[b]);a.set_int(c?c.length:0)};H.prototype.AnalyserFreqBinCount=function(a,b,c){b=b.toLowerCase();c=Math.floor(c);b=J(b,c);a.set_int(b?b.node.frequencyBinCount:0)};H.prototype.AnalyserFreqBinAt=function(a,b,c,d){b=b.toLowerCase();c=Math.floor(c);d=Math.floor(d);(b=J(b,c))?0>d||d>=b.node.frequencyBinCount?a.set_float(0):a.set_float(b.freqBins[d]):a.set_float(0)};H.prototype.AnalyserPeakLevel=function(a,b,c){b=
b.toLowerCase();c=Math.floor(c);(b=J(b,c))?a.set_float(b.peak):a.set_float(0)};H.prototype.AnalyserRMSLevel=function(a,b,c){b=b.toLowerCase();c=Math.floor(c);(b=J(b,c))?a.set_float(b.rms):a.set_float(0)};O.exps=new H})();cr.plugins_.Browser=function(a){this.runtime=a};
(function(){function a(){}function b(){}function c(){"undefined"!==typeof jQuery&&g.setSize(jQuery(window).width(),jQuery(window).height())}function d(){}var f=cr.plugins_.Browser.prototype;f.Type=function(a){this.plugin=a;this.runtime=a.runtime};f.Type.prototype.onCreate=function(){};f.Instance=function(a){this.type=a;this.runtime=a.runtime};f.Instance.prototype.onCreate=function(){var a=this;window.addEventListener("resize",function(){a.runtime.trigger(cr.plugins_.Browser.prototype.cnds.OnResize,
a)});"undefined"!==typeof navigator.onLine&&(window.addEventListener("online",function(){a.runtime.trigger(cr.plugins_.Browser.prototype.cnds.OnOnline,a)}),window.addEventListener("offline",function(){a.runtime.trigger(cr.plugins_.Browser.prototype.cnds.OnOffline,a)}));"undefined"!==typeof window.applicationCache&&(window.applicationCache.addEventListener("updateready",function(){a.runtime.loadingprogress=1;a.runtime.trigger(cr.plugins_.Browser.prototype.cnds.OnUpdateReady,a)}),window.applicationCache.addEventListener("progress",
function(b){a.runtime.loadingprogress=b.loaded/b.total}));this.runtime.isDirectCanvas||(document.addEventListener("appMobi.device.update.available",function(){a.runtime.trigger(cr.plugins_.Browser.prototype.cnds.OnUpdateReady,a)}),document.addEventListener("backbutton",function(){a.runtime.trigger(cr.plugins_.Browser.prototype.cnds.OnBackButton,a)}),document.addEventListener("menubutton",function(){a.runtime.trigger(cr.plugins_.Browser.prototype.cnds.OnMenuButton,a)}),document.addEventListener("searchbutton",
function(){a.runtime.trigger(cr.plugins_.Browser.prototype.cnds.OnSearchButton,a)}),document.addEventListener("tizenhwkey",function(b){var c;switch(b.keyName){case "back":c=a.runtime.trigger(cr.plugins_.Browser.prototype.cnds.OnBackButton,a);!c&&window.tizen&&window.tizen.application.getCurrentApplication().exit();break;case "menu":(c=a.runtime.trigger(cr.plugins_.Browser.prototype.cnds.OnMenuButton,a))||b.preventDefault()}}));this.runtime.isWindowsPhone81&&(WinJS.Application.onbackclick=function(b){return!!a.runtime.trigger(cr.plugins_.Browser.prototype.cnds.OnBackButton,
a)});this.runtime.addSuspendCallback(function(b){b?a.runtime.trigger(cr.plugins_.Browser.prototype.cnds.OnPageHidden,a):a.runtime.trigger(cr.plugins_.Browser.prototype.cnds.OnPageVisible,a)});this.is_arcade="undefined"!==typeof window.is_scirra_arcade};a.prototype.CookiesEnabled=function(){return navigator?navigator.cookieEnabled:!1};a.prototype.IsOnline=function(){return navigator?navigator.onLine:!1};a.prototype.HasJava=function(){return navigator?navigator.javaEnabled():!1};a.prototype.OnOnline=
function(){return!0};a.prototype.OnOffline=function(){return!0};a.prototype.IsDownloadingUpdate=function(){return"undefined"===typeof window.applicationCache?!1:window.applicationCache.status===window.applicationCache.DOWNLOADING};a.prototype.OnUpdateReady=function(){return!0};a.prototype.PageVisible=function(){return!this.runtime.isSuspended};a.prototype.OnPageVisible=function(){return!0};a.prototype.OnPageHidden=function(){return!0};a.prototype.OnResize=function(){return!0};a.prototype.IsFullscreen=
function(){return!!(document.mozFullScreen||document.webkitIsFullScreen||document.fullScreen||this.runtime.isNodeFullscreen)};a.prototype.OnBackButton=function(){return!0};a.prototype.OnMenuButton=function(){return!0};a.prototype.OnSearchButton=function(){return!0};a.prototype.IsMetered=function(){var a=navigator.connection||navigator.mozConnection||navigator.webkitConnection;return a?a.metered:!1};a.prototype.IsCharging=function(){var a=navigator.battery||navigator.mozBattery||navigator.webkitBattery;
return a?a.charging:!0};a.prototype.IsPortraitLandscape=function(a){return(window.innerWidth<=window.innerHeight?0:1)===a};f.cnds=new a;b.prototype.Alert=function(a){this.runtime.isDomFree||alert(a.toString())};b.prototype.Close=function(){this.runtime.isCocoonJs?CocoonJS.App.forceToFinish():window.tizen?window.tizen.application.getCurrentApplication().exit():navigator.app&&navigator.app.exitApp?navigator.app.exitApp():navigator.device&&navigator.device.exitApp?navigator.device.exitApp():this.is_arcade||
this.runtime.isDomFree||window.close()};b.prototype.Focus=function(){this.runtime.isNodeWebkit?window.nwgui.Window.get().focus():this.is_arcade||this.runtime.isDomFree||window.focus()};b.prototype.Blur=function(){this.runtime.isNodeWebkit?window.nwgui.Window.get().blur():this.is_arcade||this.runtime.isDomFree||window.blur()};b.prototype.GoBack=function(){navigator.app&&navigator.app.backHistory?navigator.app.backHistory():this.is_arcade||this.runtime.isDomFree||!window.back||window.back()};b.prototype.GoForward=
function(){this.is_arcade||this.runtime.isDomFree||!window.forward||window.forward()};b.prototype.GoHome=function(){this.is_arcade||this.runtime.isDomFree||!window.home||window.home()};b.prototype.GoToURL=function(a,b){this.runtime.isCocoonJs?CocoonJS.App.openURL(a):this.runtime.isEjecta?ejecta.openURL(a):this.runtime.isWinJS?Windows.System.Launcher.launchUriAsync(new Windows.Foundation.Uri(a)):navigator.app&&navigator.app.loadUrl?navigator.app.loadUrl(a,{openExternal:!0}):this.is_arcade||this.runtime.isDomFree||
(2!==b||this.is_arcade?1!==b||this.is_arcade?window.location=a:window.parent.location=a:window.top.location=a)};b.prototype.GoToURLWindow=function(a,b){this.runtime.isCocoonJs?CocoonJS.App.openURL(a):this.runtime.isEjecta?ejecta.openURL(a):this.runtime.isWinJS?Windows.System.Launcher.launchUriAsync(new Windows.Foundation.Uri(a)):navigator.app&&navigator.app.loadUrl?navigator.app.loadUrl(a,{openExternal:!0}):this.is_arcade||this.runtime.isDomFree||window.open(a,b)};b.prototype.Reload=function(){this.is_arcade||
this.runtime.isDomFree||window.location.reload()};var e=!0,g=null;b.prototype.RequestFullScreen=function(a){this.runtime.isDomFree?cr.logexport("[Construct 2] Requesting fullscreen is not supported on this platform - the request has been ignored"):(2<=a&&(a+=1),6===a&&(a=2),this.runtime.isNodeWebkit?this.runtime.isNodeFullscreen||(window.nwgui.Window.get().enterFullscreen(),this.runtime.isNodeFullscreen=!0,this.runtime.fullscreen_scaling=2<=a?a:0):document.mozFullScreen||document.webkitIsFullScreen||
document.msFullscreenElement||document.fullScreen||(this.runtime.fullscreen_scaling=2<=a?a:0,a=this.runtime.canvasdiv||this.runtime.canvas,e&&(e=!1,g=this.runtime,a.addEventListener("mozfullscreenerror",c),a.addEventListener("webkitfullscreenerror",c),a.addEventListener("msfullscreenerror",c),a.addEventListener("fullscreenerror",c)),cr.is_undefined(a.requestFullscreen)?cr.is_undefined(a.webkitRequestFullScreen)?cr.is_undefined(a.mozRequestFullScreen)?cr.is_undefined(a.msRequestFullscreen)||a.msRequestFullscreen():
a.mozRequestFullScreen():"undefined"!==typeof Element&&"undefined"!==typeof Element.ALLOW_KEYBOARD_INPUT?a.webkitRequestFullScreen(Element.ALLOW_KEYBOARD_INPUT):a.webkitRequestFullScreen():a.requestFullscreen()))};b.prototype.CancelFullScreen=function(){this.runtime.isDomFree?cr.logexport("[Construct 2] Exiting fullscreen is not supported on this platform - the request has been ignored"):this.runtime.isNodeWebkit?this.runtime.isNodeFullscreen&&(window.nwgui.Window.get().leaveFullscreen(),this.runtime.isNodeFullscreen=
!1):cr.is_undefined(document.exitFullscreen)?cr.is_undefined(document.webkitCancelFullScreen)?cr.is_undefined(document.mozCancelFullScreen)?cr.is_undefined(document.msExitFullscreen)||document.msExitFullscreen():document.mozCancelFullScreen():document.webkitCancelFullScreen():document.exitFullscreen()};b.prototype.Vibrate=function(a){try{var b=a.split(","),c,d;c=0;for(d=b.length;c<d;c++)b[c]=parseInt(b[c],10);navigator.vibrate?navigator.vibrate(b):navigator.mozVibrate?navigator.mozVibrate(b):navigator.webkitVibrate?
navigator.webkitVibrate(b):navigator.msVibrate&&navigator.msVibrate(b)}catch(e){}};b.prototype.InvokeDownload=function(a,b){var c=document.createElement("a");if("undefined"===typeof c.download)window.open(a);else{var d=document.getElementsByTagName("body")[0];c.textContent=b;c.href=a;c.download=b;d.appendChild(c);var e=document.createEvent("MouseEvent");e.initMouseEvent("click",!0,!0,window,0,0,0,0,0,!1,!1,!1,!1,0,null);c.dispatchEvent(e);d.removeChild(c)}};b.prototype.InvokeDownloadString=function(a,
b,c){var d="data:"+b+","+encodeURIComponent(a);a=document.createElement("a");"undefined"===typeof a.download?window.open(d):(b=document.getElementsByTagName("body")[0],a.textContent=c,a.href=d,a.download=c,b.appendChild(a),c=document.createEvent("MouseEvent"),c.initMouseEvent("click",!0,!0,window,0,0,0,0,0,!1,!1,!1,!1,0,null),a.dispatchEvent(c),b.removeChild(a))};b.prototype.ConsoleLog=function(a,b){"undefined"!==typeof console&&(0===a&&console.log&&console.log(b.toString()),1===a&&console.warn&&
console.warn(b.toString()),2===a&&console.error&&console.error(b.toString()))};b.prototype.ConsoleGroup=function(a){console&&console.group&&console.group(a)};b.prototype.ConsoleGroupEnd=function(){console&&console.groupEnd&&console.groupEnd()};b.prototype.ExecJs=function(a){try{eval&&eval(a)}catch(b){console&&console.error&&console.error("Error executing Javascript: ",b)}};var l="portrait landscape portrait-primary portrait-secondary landscape-primary landscape-secondary".split(" ");b.prototype.LockOrientation=
function(a){a=Math.floor(a);0>a||a>=l.length||(this.runtime.autoLockOrientation=!1,a=l[a],screen.lockOrientation?screen.lockOrientation(a):screen.webkitLockOrientation?screen.webkitLockOrientation(a):screen.mozLockOrientation?screen.mozLockOrientation(a):screen.msLockOrientation&&screen.msLockOrientation(a))};b.prototype.UnlockOrientation=function(){this.runtime.autoLockOrientation=!1;screen.unlockOrientation?screen.unlockOrientation():screen.webkitUnlockOrientation?screen.webkitUnlockOrientation():
screen.mozUnlockOrientation?screen.mozUnlockOrientation():screen.msUnlockOrientation&&screen.msUnlockOrientation()};f.acts=new b;d.prototype.URL=function(a){a.set_string(this.runtime.isDomFree?"":window.location.toString())};d.prototype.Protocol=function(a){a.set_string(this.runtime.isDomFree?"":window.location.protocol)};d.prototype.Domain=function(a){a.set_string(this.runtime.isDomFree?"":window.location.hostname)};d.prototype.PathName=function(a){a.set_string(this.runtime.isDomFree?"":window.location.pathname)};
d.prototype.Hash=function(a){a.set_string(this.runtime.isDomFree?"":window.location.hash)};d.prototype.Referrer=function(a){a.set_string(this.runtime.isDomFree?"":document.referrer)};d.prototype.Title=function(a){a.set_string(this.runtime.isDomFree?"":document.title)};d.prototype.Name=function(a){a.set_string(this.runtime.isDomFree?"":navigator.appName)};d.prototype.Version=function(a){a.set_string(this.runtime.isDomFree?"":navigator.appVersion)};d.prototype.Language=function(a){navigator&&navigator.language?
a.set_string(navigator.language):a.set_string("")};d.prototype.Platform=function(a){a.set_string(this.runtime.isDomFree?"":navigator.platform)};d.prototype.Product=function(a){navigator&&navigator.product?a.set_string(navigator.product):a.set_string("")};d.prototype.Vendor=function(a){navigator&&navigator.vendor?a.set_string(navigator.vendor):a.set_string("")};d.prototype.UserAgent=function(a){a.set_string(this.runtime.isDomFree?"":navigator.userAgent)};d.prototype.QueryString=function(a){a.set_string(this.runtime.isDomFree?
"":window.location.search)};d.prototype.QueryParam=function(a,b){if(this.runtime.isDomFree)a.set_string("");else{var c=RegExp("[?&]"+b+"=([^&]*)").exec(window.location.search);c?a.set_string(decodeURIComponent(c[1].replace(/\+/g," "))):a.set_string("")}};d.prototype.Bandwidth=function(a){var b=navigator.connection||navigator.mozConnection||navigator.webkitConnection;b?a.set_float(b.bandwidth):a.set_float(Number.POSITIVE_INFINITY)};d.prototype.BatteryLevel=function(a){var b=navigator.battery||navigator.mozBattery||
navigator.webkitBattery;b?a.set_float(b.level):a.set_float(1)};d.prototype.BatteryTimeLeft=function(a){var b=navigator.battery||navigator.mozBattery||navigator.webkitBattery;b?a.set_float(b.dischargingTime):a.set_float(Number.POSITIVE_INFINITY)};d.prototype.ExecJS=function(a,b){if(eval){var c=0;try{c=eval(b)}catch(d){console&&console.error&&console.error("Error executing Javascript: ",d)}"number"===typeof c?a.set_any(c):"string"===typeof c?a.set_any(c):"boolean"===typeof c?a.set_any(c?1:0):a.set_any(0)}else a.set_any(0)};
d.prototype.ScreenWidth=function(a){a.set_int(screen.width)};d.prototype.ScreenHeight=function(a){a.set_int(screen.height)};d.prototype.DevicePixelRatio=function(a){a.set_float(this.runtime.devicePixelRatio)};f.exps=new d})();cr.plugins_.CJSAds=function(a){this.runtime=a};
(function(){function a(){}function b(){}function c(){}var d="",f=[],e=0,g=0,l=!1,k=!1,h=!1,m=cr.plugins_.CJSAds.prototype;m.Type=function(a){this.plugin=a;this.runtime=a.runtime};m.Type.prototype.onCreate=function(){};m.Instance=function(a){this.type=a;this.runtime=a.runtime};m.Instance.prototype.onCreate=function(){this.isShowingFullscreen=this.isShowingBanner=!1;this.triggerProduct="";this.socialService=null;this.socialServiceAvailable=!1;this.storeServiceAvailable=this.runtime.isCocoonJs&&"undefined"!==
typeof CocoonJS.Store.nativeExtensionObjectAvailable;this.storeManaged=1!==this.properties[0];this.storeSandboxed=0!==this.properties[1];this.onConsumePurchaseCompleted=this.onConsumePurchaseFailedTransactionId="";var a=this;this.runtime.isCocoonJs&&(CocoonJS.App.onTextDialogFinished.addEventListener(function(b){d=b;a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnKeyboardOK,a)}),CocoonJS.App.onTextDialogCancelled.addEventListener(function(){a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnKeyboardCancelled,
a)}),CocoonJS.Ad.onBannerShown.addEventListener(function(){a.isShowingBanner=!0;a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnBannerShown,a)}),CocoonJS.Ad.onBannerReady.addEventListener(function(){k=!0;l||(CocoonJS.Ad.setBannerLayout(g),CocoonJS.Ad.showBanner())}),CocoonJS.Ad.onFullScreenShown.addEventListener(function(){a.isShowingFullscreen=!0;a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnFullscreenShown,a)}),CocoonJS.Ad.onFullScreenHidden.addEventListener(function(){a.isShowingFullscreen=
!1;a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnFullscreenHidden,a)}),CocoonJS.Ad.onFullScreenReady.addEventListener(function(){h=!0;preloadFullScreen||CocoonJS.Ad.showFullScreen()}),this.storeServiceAvailable&&(CocoonJS.Store.onProductPurchaseCompleted.addEventListener(function(b){a.triggerProduct=b.productId;a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete,a);CocoonJS.Store.addPurchase(b);CocoonJS.Store.consumePurchase(b.transactionId,b.productId);CocoonJS.Store.finishPurchase(b.transactionId)}),
CocoonJS.Store.onConsumePurchaseFailed.addEventListener(function(b,c){this.onConsumePurchaseFailedTransactionId=b;a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.onConsumePurchaseFailed,a)}),CocoonJS.Store.onConsumePurchaseCompleted.addEventListener(function(b){this.onConsumePurchaseCompleted=b;a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.onConsumePurchaseCompleted,a)}),CocoonJS.Store.onProductPurchaseFailed.addEventListener(function(b,c){a.triggerProduct=b;a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnPurchaseFail,
a)}),CocoonJS.Store.onProductPurchaseStarted.addEventListener(function(b){a.triggerProduct=b.productId;a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnPurchaseStart,a)}),CocoonJS.Store.onProductsFetchStarted.addEventListener(function(){a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.onProductsFetchStarted,a)}),CocoonJS.Store.onProductsFetchFailed.addEventListener(function(){a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.onProductsFetchFailed,a)}),CocoonJS.Store.onProductsFetchCompleted.addEventListener(function(b){a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.onProductsFetchCompleted,
a)}),CocoonJS.Store.requestInitialization({managed:this.storeManaged,sandbox:this.storeSandboxed}),CocoonJS.Store.start()),this.socialService=CocoonJS.SocialGaming.GameCenter,this.socialServiceAvailable=!!this.socialService.nativeExtensionObjectAvailable,this.socialService.onRequestLoginSucceed.addEventListener(function(){a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnGCLoginSuccess,a)}),this.socialService.onRequestLoginFailed.addEventListener(function(){a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnGCLoginFail,
a)}),this.socialService.onLogout.addEventListener(function(){a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnGCLogout,a)}),this.socialService.onRequestUserScoreSucceed.addEventListener(function(b){e=b.score||0;a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnGCScoreReceived,a)}),this.socialService.onRequestUserScoreFailed.addEventListener(function(){a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnGCScoreUnavailable,a)}),this.socialService.onSubmitUserScoreSucceed.addEventListener(function(){a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnGCScoreSubmitSuccess,
a)}),this.socialService.onSubmitUserScoreFailed.addEventListener(function(){a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnGCScoreSubmitFail,a)}),this.socialService.onLeaderboardViewSucceed.addEventListener(function(){a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnGCLeaderboardOpen,a)}),this.socialService.onLeaderboardViewClosed.addEventListener(function(){a.runtime.trigger(cr.plugins_.CJSAds.prototype.cnds.OnGCLeaderboardClose,a)}))};a.prototype.IsShowingBanner=function(){return this.isShowingBanner};
a.prototype.IsCocoonJS=function(){return this.runtime.isCocoonJs};a.prototype.OnBannerShown=function(){return!0};a.prototype.OnFullscreenShown=function(){return!0};a.prototype.OnFullscreenHidden=function(){return!0};a.prototype.IsShowingFullscreen=function(){return this.isShowingFullscreen};a.prototype.IsStoreAvailable=function(){return this.runtime.isCocoonJs?this.storeServiceAvailable&&CocoonJS.Store.canPurchase():!1};a.prototype.OnPurchaseStart=function(a){return this.triggerProduct===a};a.prototype.OnPurchaseComplete=
function(a){return this.triggerProduct===a};a.prototype.OnPurchaseFail=function(a){return this.triggerProduct===a};a.prototype.onProductsFetchStarted=function(){return!0};a.prototype.onConsumePurchaseFailed=function(){return!0};a.prototype.onProductsFetchCompleted=function(){return!0};a.prototype.onProductsFetchFailed=function(){return!0};a.prototype.IsProductPurchased=function(a){return this.runtime.isCocoonJs?CocoonJS.Store.isProductPurchased(a):!1};a.prototype.OnKeyboardCancelled=function(){return!0};
a.prototype.OnKeyboardOK=function(){return!0};a.prototype.IsGCAvailable=function(){return this.socialServiceAvailable};a.prototype.IsGCLoggedIn=function(){return this.socialServiceAvailable?this.socialService.isLoggedIn():!1};a.prototype.OnGCLoginSuccess=function(){return!0};a.prototype.OnGCLoginFail=function(){return!0};a.prototype.OnGCLogout=function(){return!0};a.prototype.OnGCScoreReceived=function(){return!0};a.prototype.OnGCScoreUnavailable=function(){return!0};a.prototype.OnGCScoreSubmitSuccess=
function(){return!0};a.prototype.OnGCScoreSubmitFail=function(){return!0};a.prototype.OnGCLeaderboardOpen=function(){return!0};a.prototype.OnGCLeaderboardClose=function(){return!0};m.cnds=new a;b.prototype.ShowBanner=function(a){this.runtime.isCocoonJs&&(g=0===a?CocoonJS.Ad.BannerLayout.TOP_CENTER:CocoonJS.Ad.BannerLayout.BOTTOM_CENTER,l=!1,k?(CocoonJS.Ad.setBannerLayout(g),CocoonJS.Ad.showBanner()):CocoonJS.Ad.preloadBanner())};b.prototype.ShowFullscreen=function(){this.runtime.isCocoonJs&&(h?CocoonJS.Ad.showFullScreen():
CocoonJS.Ad.preloadFullScreen())};b.prototype.HideBanner=function(){this.runtime.isCocoonJs&&(CocoonJS.Ad.hideBanner(),this.isShowingBanner=!1)};b.prototype.PreloadBanner=function(){this.runtime.isCocoonJs&&(l=!0,CocoonJS.Ad.preloadBanner())};b.prototype.PreloadFullscreen=function(){this.runtime.isCocoonJs&&CocoonJS.Ad.preloadFullScreen()};b.prototype.RefreshBanner=function(){this.runtime.isCocoonJs&&CocoonJS.Ad.refreshBanner()};b.prototype.RefreshFullscreen=function(){this.runtime.isCocoonJs&&CocoonJS.Ad.refreshFullScreen()};
b.prototype.Purchase=function(a){this.runtime.isCocoonJs&&CocoonJS.Store.purchaseProduct(a)};b.prototype.fetchProductsFromStore=function(a){this.runtime.isCocoonJs&&CocoonJS.Store.fetchProductsFromStore(a.split(","))};b.prototype.restorePurchases=function(){if(this.runtime.isCocoonJs)return CocoonJS.Store.restorePurchases()};b.prototype.PurchasePreview=function(a){this.runtime.isCocoonJs&&CocoonJS.Store.purchaseProductModalWithPreview(a)};b.prototype.RestorePurchases=function(){this.runtime.isCocoonJs&&
CocoonJS.Store.restorePurchases()};b.prototype.PromptKeyboard=function(a,b,c,d,e,f){this.runtime.isCocoonJs&&CocoonJS.App.showTextDialog(a,b,c,["text","num","phone","email","url"][d],e,f)};b.prototype.UpdateProductsList=function(){this.runtime.isCocoonJs&&CocoonJS.Store.canPurchase()&&(f=CocoonJS.Store.getProducts())};b.prototype.GCLogin=function(){this.socialServiceAvailable&&!this.socialService.isLoggedIn()&&this.socialService.requestLogin()};b.prototype.GCLogout=function(){this.socialServiceAvailable&&
this.socialService.isLoggedIn()&&this.socialService.requestLogout()};b.prototype.GCSubmitScore=function(a,b){this.socialServiceAvailable&&this.socialService.isLoggedIn()&&this.socialService.submitUserScore(a,b)};b.prototype.GCRequestScore=function(a){this.socialServiceAvailable&&this.socialService.isLoggedIn()&&this.socialService.requestUserScore(a)};b.prototype.GCOpenLeaderboard=function(a){this.socialServiceAvailable&&this.socialService.isLoggedIn()&&this.socialService.showLeaderboardView(a)};m.acts=
new b;c.prototype.InputText=function(a){a.set_string(d)};c.prototype.ProductCount=function(a){a.set_int(f.length)};c.prototype.ProductDescription=function(a,b){b=Math.floor(b);0>b||b>=f.length?a.set_string(""):a.set_string(f[b].description)};c.prototype.ProductLocalizedPrice=function(a,b){b=Math.floor(b);0>b||b>=f.length?a.set_string(""):a.set_string(f[b].localizedPrice)};c.prototype.ProductPrice=function(a,b){b=Math.floor(b);0>b||b>=f.length?a.set_string(""):a.set_string(f[b].price)};c.prototype.ProductAlias=
function(a,b){b=Math.floor(b);0>b||b>=f.length?a.set_string(""):a.set_string(f[b].productAlias)};c.prototype.ProductID=function(a,b){b=Math.floor(b);0>b||b>=f.length?a.set_string(""):a.set_string(f[b].productId)};c.prototype.ProductTitle=function(a,b){b=Math.floor(b);0>b||b>=f.length?a.set_string(""):a.set_string(f[b].title)};c.prototype.GameCenterScore=function(a){a.set_float(e)};m.exps=new c})();cr.plugins_.Particles=function(a){this.runtime=a};
(function(){function a(a){this.owner=a;this.active=!1;this.angle=this.speed=this.y=this.x=0;this.opacity=1;this.age=this.gs=this.size=this.grow=0;cr.seal(this)}function b(){}function c(){}function d(){}var f=cr.plugins_.Particles.prototype;f.Type=function(a){this.plugin=a;this.runtime=a.runtime};var e=f.Type.prototype;e.onCreate=function(){this.is_family||(this.texture_img=new Image,this.texture_img.idtkLoadDisposed=!0,this.texture_img.src=this.texture_file,this.texture_img.cr_filesize=this.texture_filesize,
this.webGL_texture=null,this.runtime.waitForImageLoad(this.texture_img))};e.onLostWebGLContext=function(){this.is_family||(this.webGL_texture=null)};e.onRestoreWebGLContext=function(){this.is_family||!this.instances.length||this.webGL_texture||(this.webGL_texture=this.runtime.glwrap.loadTexture(this.texture_img,!0,this.runtime.linearSampling,this.texture_pixelformat))};e.loadTextures=function(){this.is_family||this.webGL_texture||!this.runtime.glwrap||(this.webGL_texture=this.runtime.glwrap.loadTexture(this.texture_img,
!0,this.runtime.linearSampling,this.texture_pixelformat))};e.unloadTextures=function(){this.is_family||this.instances.length||!this.webGL_texture||(this.runtime.glwrap.deleteTexture(this.webGL_texture),this.webGL_texture=null)};e.preloadCanvas2D=function(a){a.drawImage(this.texture_img,0,0)};a.prototype.init=function(){var a=this.owner;this.x=a.x-a.xrandom/2+Math.random()*a.xrandom;this.y=a.y-a.yrandom/2+Math.random()*a.yrandom;this.speed=a.initspeed-a.speedrandom/2+Math.random()*a.speedrandom;this.angle=
a.angle-a.spraycone/2+Math.random()*a.spraycone;this.opacity=a.initopacity;this.size=a.initsize-a.sizerandom/2+Math.random()*a.sizerandom;this.grow=a.growrate-a.growrandom/2+Math.random()*a.growrandom;this.age=this.gs=0};a.prototype.tick=function(a){var b=this.owner;this.x+=Math.cos(this.angle)*this.speed*a;this.y+=Math.sin(this.angle)*this.speed*a;this.y+=this.gs*a;this.speed+=b.acc*a;this.size+=this.grow*a;this.gs+=b.g*a;this.age+=a;1>this.size?this.active=!1:(0!==b.lifeanglerandom&&(this.angle+=
Math.random()*b.lifeanglerandom*a-b.lifeanglerandom*a/2),0!==b.lifespeedrandom&&(this.speed+=Math.random()*b.lifespeedrandom*a-b.lifespeedrandom*a/2),0!==b.lifeopacityrandom&&(this.opacity+=Math.random()*b.lifeopacityrandom*a-b.lifeopacityrandom*a/2,0>this.opacity?this.opacity=0:1<this.opacity&&(this.opacity=1)),1>=b.destroymode&&this.age>=b.timeout&&(this.active=!1),2===b.destroymode&&0>=this.speed&&(this.active=!1))};a.prototype.draw=function(a){var b=this.owner.opacity*this.opacity;if(0!==b){0===
this.owner.destroymode&&(b*=1-this.age/this.owner.timeout);a.globalAlpha=b;var b=this.x-this.size/2,c=this.y-this.size/2;this.owner.runtime.pixel_rounding&&(b=b+0.5|0,c=c+0.5|0);a.drawImage(this.owner.type.texture_img,b,c,this.size,this.size)}};a.prototype.drawGL=function(a){var b=this.owner.opacity*this.opacity;0===this.owner.destroymode&&(b*=1-this.age/this.owner.timeout);var c=this.size,d=c*this.owner.particlescale,e=this.x-c/2,f=this.y-c/2;this.owner.runtime.pixel_rounding&&(e=e+0.5|0,f=f+0.5|
0);1>d||0===b||(d<a.minPointSize||d>a.maxPointSize?(a.setOpacity(b),a.quad(e,f,e+c,f,e+c,f+c,e,f+c)):a.point(this.x,this.y,d,b))};a.prototype.left=function(){return this.x-this.size/2};a.prototype.right=function(){return this.x+this.size/2};a.prototype.top=function(){return this.y-this.size/2};a.prototype.bottom=function(){return this.y+this.size/2};f.Instance=function(a){this.type=a;this.runtime=a.runtime};var e=f.Instance.prototype,g=[];e.onCreate=function(){var a=this.properties;this.rate=a[0];
this.spraycone=cr.to_radians(a[1]);this.spraytype=a[2];this.spraying=!0;this.initspeed=a[3];this.initsize=a[4];this.initopacity=a[5]/100;this.growrate=a[6];this.xrandom=a[7];this.yrandom=a[8];this.speedrandom=a[9];this.sizerandom=a[10];this.growrandom=a[11];this.acc=a[12];this.g=a[13];this.lifeanglerandom=a[14];this.lifespeedrandom=a[15];this.lifeopacityrandom=a[16];this.destroymode=a[17];this.timeout=a[18];this.particleCreateCounter=0;this.particlescale=1;this.particleBoxLeft=this.x;this.particleBoxTop=
this.y;this.particleBoxRight=this.x;this.particleBoxBottom=this.y;this.add_bbox_changed_callback(function(a){a.bbox.set(a.particleBoxLeft,a.particleBoxTop,a.particleBoxRight,a.particleBoxBottom);a.bquad.set_from_rect(a.bbox);a.bbox_changed=!1;a.update_collision_cell()});this.recycled||(this.particles=[]);this.runtime.tickMe(this);this.type.loadTextures();if(1===this.spraytype)for(a=0;a<this.rate;a++)this.allocateParticle().opacity=0;this.first_tick=!0};e.saveToJSON=function(){var a={r:this.rate,sc:this.spraycone,
st:this.spraytype,s:this.spraying,isp:this.initspeed,isz:this.initsize,io:this.initopacity,gr:this.growrate,xr:this.xrandom,yr:this.yrandom,spr:this.speedrandom,szr:this.sizerandom,grnd:this.growrandom,acc:this.acc,g:this.g,lar:this.lifeanglerandom,lsr:this.lifespeedrandom,lor:this.lifeopacityrandom,dm:this.destroymode,to:this.timeout,pcc:this.particleCreateCounter,ft:this.first_tick,p:[]},b,c,d,e=a.p;b=0;for(c=this.particles.length;b<c;b++)d=this.particles[b],e.push([d.x,d.y,d.speed,d.angle,d.opacity,
d.grow,d.size,d.gs,d.age]);return a};e.loadFromJSON=function(a){this.rate=a.r;this.spraycone=a.sc;this.spraytype=a.st;this.spraying=a.s;this.initspeed=a.isp;this.initsize=a.isz;this.initopacity=a.io;this.growrate=a.gr;this.xrandom=a.xr;this.yrandom=a.yr;this.speedrandom=a.spr;this.sizerandom=a.szr;this.growrandom=a.grnd;this.acc=a.acc;this.g=a.g;this.lifeanglerandom=a.lar;this.lifespeedrandom=a.lsr;this.lifeopacityrandom=a.lor;this.destroymode=a.dm;this.timeout=a.to;this.particleCreateCounter=a.pcc;
this.first_tick=a.ft;g.push.apply(g,this.particles);this.particles.length=0;var b,c,d,e=a.p;a=0;for(b=e.length;a<b;a++)c=this.allocateParticle(),d=e[a],c.x=d[0],c.y=d[1],c.speed=d[2],c.angle=d[3],c.opacity=d[4],c.grow=d[5],c.size=d[6],c.gs=d[7],c.age=d[8]};e.onDestroy=function(){g.push.apply(g,this.particles);this.particles.length=0};e.allocateParticle=function(){var b;g.length?(b=g.pop(),b.owner=this):b=new a(this);this.particles.push(b);b.active=!0;return b};e.tick=function(){var a=this.runtime.getDt(this),
b,c,d,e;if(0===this.spraytype&&this.spraying)for(this.particleCreateCounter+=a*this.rate,c=cr.floor(this.particleCreateCounter),this.particleCreateCounter-=c,b=0;b<c;b++)d=this.allocateParticle(),d.init();this.particleBoxLeft=this.x;this.particleBoxTop=this.y;this.particleBoxRight=this.x;this.particleBoxBottom=this.y;e=b=0;for(c=this.particles.length;b<c;b++)d=this.particles[b],this.particles[e]=d,this.runtime.redraw=!0,1===this.spraytype&&this.first_tick&&d.init(),d.tick(a),d.active?(d.left()<this.particleBoxLeft&&
(this.particleBoxLeft=d.left()),d.right()>this.particleBoxRight&&(this.particleBoxRight=d.right()),d.top()<this.particleBoxTop&&(this.particleBoxTop=d.top()),d.bottom()>this.particleBoxBottom&&(this.particleBoxBottom=d.bottom()),e++):g.push(d);this.particles.length=e;this.set_bbox_changed();this.first_tick=!1;1===this.spraytype&&0===this.particles.length&&this.runtime.DestroyInstance(this)};e.draw=function(a){var b,c,d,e=this.layer;b=0;for(c=this.particles.length;b<c;b++)d=this.particles[b],d.right()>=
e.viewLeft&&d.bottom()>=e.viewTop&&d.left()<=e.viewRight&&d.top()<=e.viewBottom&&d.draw(a)};e.drawGL=function(a){this.particlescale=this.layer.getScale();a.setTexture(this.type.webGL_texture);var b,c,d,e=this.layer;b=0;for(c=this.particles.length;b<c;b++)d=this.particles[b],d.right()>=e.viewLeft&&d.bottom()>=e.viewTop&&d.left()<=e.viewRight&&d.top()<=e.viewBottom&&d.drawGL(a)};b.prototype.IsSpraying=function(){return this.spraying};f.cnds=new b;c.prototype.SetSpraying=function(a){this.spraying=0!==
a};c.prototype.SetEffect=function(a){this.compositeOp=cr.effectToCompositeOp(a);cr.setGLBlend(this,a,this.runtime.gl);this.runtime.redraw=!0};c.prototype.SetRate=function(a){this.rate=a;var b;if(1===this.spraytype&&this.first_tick)if(a<this.particles.length)for(a=this.particles.length-a,b=0;b<a;b++)g.push(this.particles.pop());else if(a>this.particles.length)for(a-=this.particles.length,b=0;b<a;b++)this.allocateParticle().opacity=0};c.prototype.SetSprayCone=function(a){this.spraycone=cr.to_radians(a)};
c.prototype.SetInitSpeed=function(a){this.initspeed=a};c.prototype.SetInitSize=function(a){this.initsize=a};c.prototype.SetInitOpacity=function(a){this.initopacity=a/100};c.prototype.SetGrowRate=function(a){this.growrate=a};c.prototype.SetXRandomiser=function(a){this.xrandom=a};c.prototype.SetYRandomiser=function(a){this.yrandom=a};c.prototype.SetSpeedRandomiser=function(a){this.speedrandom=a};c.prototype.SetSizeRandomiser=function(a){this.sizerandom=a};c.prototype.SetGrowRateRandomiser=function(a){this.growrandom=
a};c.prototype.SetParticleAcc=function(a){this.acc=a};c.prototype.SetGravity=function(a){this.g=a};c.prototype.SetAngleRandomiser=function(a){this.lifeanglerandom=a};c.prototype.SetSpeedRandomiser=function(a){this.lifespeedrandom=a};c.prototype.SetOpacityRandomiser=function(a){this.lifeopacityrandom=a};c.prototype.SetTimeout=function(a){this.timeout=a};f.acts=new c;d.prototype.ParticleCount=function(a){a.set_int(this.particles.length)};d.prototype.Rate=function(a){a.set_float(this.rate)};d.prototype.SprayCone=
function(a){a.set_float(cr.to_degrees(this.spraycone))};d.prototype.InitSpeed=function(a){a.set_float(this.initspeed)};d.prototype.InitSize=function(a){a.set_float(this.initsize)};d.prototype.InitOpacity=function(a){a.set_float(100*this.initopacity)};d.prototype.InitGrowRate=function(a){a.set_float(this.growrate)};d.prototype.XRandom=function(a){a.set_float(this.xrandom)};d.prototype.YRandom=function(a){a.set_float(this.yrandom)};d.prototype.InitSpeedRandom=function(a){a.set_float(this.speedrandom)};
d.prototype.InitSizeRandom=function(a){a.set_float(this.sizerandom)};d.prototype.InitGrowRandom=function(a){a.set_float(this.growrandom)};d.prototype.ParticleAcceleration=function(a){a.set_float(this.acc)};d.prototype.Gravity=function(a){a.set_float(this.g)};d.prototype.ParticleAngleRandom=function(a){a.set_float(this.lifeanglerandom)};d.prototype.ParticleSpeedRandom=function(a){a.set_float(this.lifespeedrandom)};d.prototype.ParticleOpacityRandom=function(a){a.set_float(this.lifeopacityrandom)};d.prototype.Timeout=
function(a){a.set_float(this.timeout)};f.exps=new d})();cr.plugins_.Sprite=function(a){this.runtime=a};
(function(){function a(){if(0===this.datauri.length){var a=document.createElement("canvas");a.width=this.width;a.height=this.height;var b=a.getContext("2d");this.spritesheeted?b.drawImage(this.texture_img,this.offx,this.offy,this.width,this.height,0,0,this.width,this.height):b.drawImage(this.texture_img,0,0,this.width,this.height);this.datauri=a.toDataURL("image/png")}return this.datauri}function b(){}function c(a){a[0]=0;a[1]=0;a[2]=0;q.push(a)}function d(a,b){return a<b?""+a+","+b:""+b+","+a}function f(a,
b,c,e){b=b.uid;c=c.uid;var f=d(b,c);if(a.hasOwnProperty(f))a[f][2]=e;else{var g;g=q.length?q.pop():[0,0,0];g[0]=b;g[1]=c;g[2]=e;a[f]=g}}function e(a,b,e){b=d(b.uid,e.uid);a.hasOwnProperty(b)&&(c(a[b]),delete a[b])}function g(a,b,c){b=d(b.uid,c.uid);if(a.hasOwnProperty(b))return t=a[b][2],!0;t=-2;return!1}function l(a,b,c){if(!a)return!1;var d=0!==b||0!==c,e,f,g=!1,h,k=this.runtime.getCurrentCondition(),m=k.type,k=k.inverted,l=a.getCurrentSol();h=this.runtime.getCurrentEventStack().current_event.orblock;
l.select_all?(this.update_bbox(),this.runtime.getCollisionCandidates(this.layer,a,this.bbox,F),l=F):l=h?l.else_instances:l.instances;u=a;C=m!==a&&!k;d&&(e=this.x,f=this.y,this.x+=b,this.y+=c,this.set_bbox_changed());b=0;for(c=l.length;b<c;b++)if(h=l[b],this.runtime.testOverlap(this,h)){g=!0;if(k)break;m!==a&&y.add(h)}d&&(this.x=e,this.y=f,this.set_bbox_changed());F.length=0;return g}function k(){}function h(){}var m=cr.plugins_.Sprite.prototype;m.Type=function(a){this.plugin=a;this.runtime=a.runtime};
var n=m.Type.prototype;n.onCreate=function(){if(!this.is_family){var b,c,d,e,f,g,h,k,m;this.all_frames=[];this.has_loaded_textures=!1;b=0;for(c=this.animations.length;b<c;b++){f=this.animations[b];h={};h.name=f[0];h.speed=f[1];h.loop=f[2];h.repeatcount=f[3];h.repeatto=f[4];h.pingpong=f[5];h.sid=f[6];h.frames=[];d=0;for(e=f[7].length;d<e;d++)g=f[7][d],k={},k.texture_file=g[0],k.texture_filesize=g[1],k.offx=g[2],k.offy=g[3],k.width=g[4],k.height=g[5],k.duration=g[6],k.hotspotX=g[7],k.hotspotY=g[8],
k.image_points=g[9],k.poly_pts=g[10],k.pixelformat=g[11],k.spritesheeted=0!==k.width,k.datauri="",k.getDataUri=a,m={left:0,top:0,right:1,bottom:1},k.sheetTex=m,k.webGL_texture=null,(m=this.runtime.findWaitingTexture(g[0]))?k.texture_img=m:(k.texture_img=new Image,k.texture_img.idtkLoadDisposed=!0,k.texture_img.src=g[0],k.texture_img.cr_src=g[0],k.texture_img.cr_filesize=g[1],k.texture_img.c2webGL_texture=null,this.runtime.waitForImageLoad(k.texture_img)),cr.seal(k),h.frames.push(k),this.all_frames.push(k);
cr.seal(h);this.animations[b]=h}}};n.updateAllCurrentTexture=function(){var a,b,c;a=0;for(b=this.instances.length;a<b;a++)c=this.instances[a],c.curWebGLTexture=c.curFrame.webGL_texture};n.onLostWebGLContext=function(){if(!this.is_family){var a,b,c;a=0;for(b=this.all_frames.length;a<b;++a)c=this.all_frames[a],c.texture_img.c2webGL_texture=null,c.webGL_texture=null}};n.onRestoreWebGLContext=function(){if(!this.is_family&&this.instances.length){var a,b,c;a=0;for(b=this.all_frames.length;a<b;++a)c=this.all_frames[a],
c.webGL_texture=this.runtime.glwrap.loadTexture(c.texture_img,!1,this.runtime.linearSampling,c.pixelformat);this.updateAllCurrentTexture()}};n.loadTextures=function(){if(!this.is_family&&!this.has_loaded_textures&&this.runtime.glwrap){var a,b,c;a=0;for(b=this.all_frames.length;a<b;++a)c=this.all_frames[a],c.webGL_texture=this.runtime.glwrap.loadTexture(c.texture_img,!1,this.runtime.linearSampling,c.pixelformat);this.has_loaded_textures=!0}};n.unloadTextures=function(){if(!this.is_family&&!this.instances.length&&
this.has_loaded_textures){var a,b,c;a=0;for(b=this.all_frames.length;a<b;++a)c=this.all_frames[a],this.runtime.glwrap.deleteTexture(c.webGL_texture),c.webGL_texture=null;this.has_loaded_textures=!1}};var r=[];n.preloadCanvas2D=function(a){var b,c,d;b=r.length=0;for(c=this.all_frames.length;b<c;++b)d=this.all_frames[b].texture_img,-1===r.indexOf(d)&&(a.drawImage(d,0,0),r.push(d))};m.Instance=function(a){this.type=a;this.runtime=a.runtime;a=this.type.animations[0].frames[0].poly_pts;this.recycled?this.collision_poly.set_pts(a):
this.collision_poly=new cr.CollisionPoly(a)};var p=m.Instance.prototype;p.onCreate=function(){this.visible=0===this.properties[0];this.inAnimTrigger=this.isTicking=!1;this.collisionsEnabled=0!==this.properties[3];1===this.type.animations.length&&1===this.type.animations[0].frames.length||0===this.type.animations[0].speed||(this.runtime.tickMe(this),this.isTicking=!0);this.cur_animation=this.getAnimationByName(this.properties[1])||this.type.animations[0];this.cur_frame=this.properties[2];0>this.cur_frame&&
(this.cur_frame=0);this.cur_frame>=this.cur_animation.frames.length&&(this.cur_frame=this.cur_animation.frames.length-1);var a=this.cur_animation.frames[this.cur_frame];this.collision_poly.set_pts(a.poly_pts);this.hotspotX=a.hotspotX;this.hotspotY=a.hotspotY;this.cur_anim_speed=this.cur_animation.speed;this.recycled?this.animTimer.reset():this.animTimer=new cr.KahanAdder;this.frameStart=this.getNowTime();this.animPlaying=!0;this.animRepeats=0;this.animForwards=!0;this.changeAnimName=this.animTriggerName=
"";this.changeAnimFrom=0;this.changeAnimFrame=-1;this.type.loadTextures();var b,c,d,e,f,g,h,a=0;for(b=this.type.animations.length;a<b;a++)for(e=this.type.animations[a],c=0,d=e.frames.length;c<d;c++)f=e.frames[c],0===f.width&&(f.width=f.texture_img.width,f.height=f.texture_img.height),f.spritesheeted&&(h=f.texture_img,g=f.sheetTex,g.left=f.offx/h.width,g.top=f.offy/h.height,g.right=(f.offx+f.width)/h.width,g.bottom=(f.offy+f.height)/h.height,0===f.offx&&0===f.offy&&f.width===h.width&&f.height===h.height&&
(f.spritesheeted=!1));this.curFrame=this.cur_animation.frames[this.cur_frame];this.curWebGLTexture=this.curFrame.webGL_texture};p.saveToJSON=function(){var a={a:this.cur_animation.sid,f:this.cur_frame,cas:this.cur_anim_speed,fs:this.frameStart,ar:this.animRepeats,at:this.animTimer.sum};this.animPlaying||(a.ap=this.animPlaying);this.animForwards||(a.af=this.animForwards);return a};p.loadFromJSON=function(a){var b=this.getAnimationBySid(a.a);b&&(this.cur_animation=b);this.cur_frame=a.f;0>this.cur_frame&&
(this.cur_frame=0);this.cur_frame>=this.cur_animation.frames.length&&(this.cur_frame=this.cur_animation.frames.length-1);this.cur_anim_speed=a.cas;this.frameStart=a.fs;this.animRepeats=a.ar;this.animTimer.reset();this.animTimer.sum=a.at;this.animPlaying=a.hasOwnProperty("ap")?a.ap:!0;this.animForwards=a.hasOwnProperty("af")?a.af:!0;this.curFrame=this.cur_animation.frames[this.cur_frame];this.curWebGLTexture=this.curFrame.webGL_texture;this.collision_poly.set_pts(this.curFrame.poly_pts);this.hotspotX=
this.curFrame.hotspotX;this.hotspotY=this.curFrame.hotspotY};p.animationFinish=function(a){this.cur_frame=a?0:this.cur_animation.frames.length-1;this.animPlaying=!1;this.animTriggerName=this.cur_animation.name;this.inAnimTrigger=!0;this.runtime.trigger(cr.plugins_.Sprite.prototype.cnds.OnAnyAnimFinished,this);this.runtime.trigger(cr.plugins_.Sprite.prototype.cnds.OnAnimFinished,this);this.inAnimTrigger=!1;this.animRepeats=0};p.getNowTime=function(){return this.animTimer.sum};p.tick=function(){this.animTimer.add(this.runtime.getDt(this));
this.changeAnimName.length&&this.doChangeAnim();0<=this.changeAnimFrame&&this.doChangeAnimFrame();var a=this.getNowTime(),b=this.cur_animation,c=b.frames[this.cur_frame],d=c.duration/this.cur_anim_speed;this.animPlaying&&a>=this.frameStart+d&&(this.animForwards?this.cur_frame++:this.cur_frame--,this.frameStart+=d,this.cur_frame>=b.frames.length&&(b.pingpong?(this.animForwards=!1,this.cur_frame=b.frames.length-2):b.loop?this.cur_frame=b.repeatto:(this.animRepeats++,this.animRepeats>=b.repeatcount?
this.animationFinish(!1):this.cur_frame=b.repeatto)),0>this.cur_frame&&(b.pingpong?(this.cur_frame=1,this.animForwards=!0,b.loop||(this.animRepeats++,this.animRepeats>=b.repeatcount&&this.animationFinish(!0))):b.loop?this.cur_frame=b.repeatto:(this.animRepeats++,this.animRepeats>=b.repeatcount?this.animationFinish(!0):this.cur_frame=b.repeatto)),0>this.cur_frame?this.cur_frame=0:this.cur_frame>=b.frames.length&&(this.cur_frame=b.frames.length-1),a>this.frameStart+b.frames[this.cur_frame].duration/
this.cur_anim_speed&&(this.frameStart=a),a=b.frames[this.cur_frame],this.OnFrameChanged(c,a),this.runtime.redraw=!0)};p.getAnimationByName=function(a){var b,c,d;b=0;for(c=this.type.animations.length;b<c;b++)if(d=this.type.animations[b],cr.equals_nocase(d.name,a))return d;return null};p.getAnimationBySid=function(a){var b,c,d;b=0;for(c=this.type.animations.length;b<c;b++)if(d=this.type.animations[b],d.sid===a)return d;return null};p.doChangeAnim=function(){var a=this.cur_animation.frames[this.cur_frame],
b=this.getAnimationByName(this.changeAnimName);this.changeAnimName="";!b||cr.equals_nocase(b.name,this.cur_animation.name)&&this.animPlaying||(this.cur_animation=b,this.cur_anim_speed=b.speed,0>this.cur_frame&&(this.cur_frame=0),this.cur_frame>=this.cur_animation.frames.length&&(this.cur_frame=this.cur_animation.frames.length-1),1===this.changeAnimFrom&&(this.cur_frame=0),this.animPlaying=!0,this.frameStart=this.getNowTime(),this.animForwards=!0,this.OnFrameChanged(a,this.cur_animation.frames[this.cur_frame]),
this.runtime.redraw=!0)};p.doChangeAnimFrame=function(){var a=this.cur_animation.frames[this.cur_frame],b=this.cur_frame;this.cur_frame=cr.floor(this.changeAnimFrame);0>this.cur_frame&&(this.cur_frame=0);this.cur_frame>=this.cur_animation.frames.length&&(this.cur_frame=this.cur_animation.frames.length-1);b!==this.cur_frame&&(this.OnFrameChanged(a,this.cur_animation.frames[this.cur_frame]),this.frameStart=this.getNowTime(),this.runtime.redraw=!0);this.changeAnimFrame=-1};p.OnFrameChanged=function(a,
b){var c=a.width,d=a.height,e=b.width,f=b.height;c!=e&&(this.width*=e/c);d!=f&&(this.height*=f/d);this.hotspotX=b.hotspotX;this.hotspotY=b.hotspotY;this.collision_poly.set_pts(b.poly_pts);this.set_bbox_changed();this.curFrame=b;this.curWebGLTexture=b.webGL_texture;c=0;for(d=this.behavior_insts.length;c<d;c++)if(e=this.behavior_insts[c],e.onSpriteFrameChanged)e.onSpriteFrameChanged(a,b);this.runtime.trigger(cr.plugins_.Sprite.prototype.cnds.OnFrameChanged,this)};p.draw=function(a){a.globalAlpha=this.opacity;
var b=this.curFrame,c=b.spritesheeted,d=b.texture_img,e=this.x,f=this.y,g=this.width,h=this.height;if(0===this.angle&&0<=g&&0<=h)e-=this.hotspotX*g,f-=this.hotspotY*h,this.runtime.pixel_rounding&&(e=e+0.5|0,f=f+0.5|0),c?a.drawImage(d,b.offx,b.offy,b.width,b.height,e,f,g,h):a.drawImage(d,e,f,g,h);else{this.runtime.pixel_rounding&&(e=e+0.5|0,f=f+0.5|0);a.save();var k=0<g?1:-1,m=0<h?1:-1;a.translate(e,f);1===k&&1===m||a.scale(k,m);a.rotate(this.angle*k*m);e=0-this.hotspotX*cr.abs(g);f=0-this.hotspotY*
cr.abs(h);c?a.drawImage(d,b.offx,b.offy,b.width,b.height,e,f,cr.abs(g),cr.abs(h)):a.drawImage(d,e,f,cr.abs(g),cr.abs(h));a.restore()}};p.drawGL=function(a){a.setTexture(this.curWebGLTexture);a.setOpacity(this.opacity);var b=this.curFrame,c=this.bquad;if(this.runtime.pixel_rounding){var d=(this.x+0.5|0)-this.x,e=(this.y+0.5|0)-this.y;b.spritesheeted?a.quadTex(c.tlx+d,c.tly+e,c.trx+d,c.try_+e,c.brx+d,c.bry+e,c.blx+d,c.bly+e,b.sheetTex):a.quad(c.tlx+d,c.tly+e,c.trx+d,c.try_+e,c.brx+d,c.bry+e,c.blx+d,
c.bly+e)}else b.spritesheeted?a.quadTex(c.tlx,c.tly,c.trx,c.try_,c.brx,c.bry,c.blx,c.bly,b.sheetTex):a.quad(c.tlx,c.tly,c.trx,c.try_,c.brx,c.bry,c.blx,c.bly)};p.getImagePointIndexByName=function(a){var b=this.curFrame,c,d;c=0;for(d=b.image_points.length;c<d;c++)if(cr.equals_nocase(a,b.image_points[c][0]))return c;return-1};p.getImagePoint=function(a,b){var c=this.curFrame,d=c.image_points,e;e=cr.is_string(a)?this.getImagePointIndexByName(a):a-1;e=cr.floor(e);if(0>e||e>=d.length)return b?this.x:this.y;
var f=(d[e][1]-c.hotspotX)*this.width,d=d[e][2],d=(d-c.hotspotY)*this.height,c=Math.cos(this.angle);e=Math.sin(this.angle);var g=f*c-d*e,d=d*c+f*e,f=g+this.x,d=d+this.y;return b?f:d};var q=[],t=-2,s=[];b.prototype.OnCollision=function(a){if(!a)return!1;var b=this.runtime,d=b.getCurrentCondition(),h=d.type;d.extra.collmemory||(d.extra.collmemory={},b.addDestroyCallback(function(a){return function(b){b=b.uid;var d,e;for(d in a)a.hasOwnProperty(d)&&(e=a[d],e[0]===b||e[1]===b)&&(c(a[d]),delete a[d])}}(d.extra.collmemory)));
var d=d.extra.collmemory,k=h.getCurrentSol(),m=a.getCurrentSol(),k=k.getObjects(),l,n,q,p,r,F,u,y=this.runtime.tickcount,C=y-1,M=b.getCurrentEventStack().current_event;for(n=0;n<k.length;n++){q=k[n];m.select_all?(q.update_bbox(),this.runtime.getCollisionCandidates(q.layer,a,q.bbox,s),l=s):l=m.getObjects();for(p=0;p<l.length;p++)r=l[p],b.testOverlap(q,r)||b.checkRegisteredCollision(q,r)?(F=g(d,q,r),F=!F||t<C,f(d,q,r,y),F&&(b.pushCopySol(M.solModifiers),F=h.getCurrentSol(),u=a.getCurrentSol(),F.select_all=
!1,u.select_all=!1,h===a?(F.instances.length=2,F.instances[0]=q,F.instances[1]=r,h.applySolToContainer()):(F.instances.length=1,u.instances.length=1,F.instances[0]=q,u.instances[0]=r,h.applySolToContainer(),a.applySolToContainer()),M.retrigger(),b.popSol(M.solModifiers))):e(d,q,r);s.length=0}return!1};var u=null,y=new cr.ObjectSet,C=!1,F=[];n.finish=function(a){if(C){if(a){var b=this.runtime.getCurrentEventStack().current_event.orblock;a=u.getCurrentSol();var c=y.valuesRef(),d,e;if(a.select_all){a.select_all=
!1;a.instances.length=c.length;d=0;for(e=c.length;d<e;d++)a.instances[d]=c[d];if(b)for(d=a.else_instances.length=0,e=u.instances.length;d<e;d++)c=u.instances[d],y.contains(c)||a.else_instances.push(c)}else if(b)for(b=a.instances.length,a.instances.length=b+c.length,d=0,e=c.length;d<e;d++)a.instances[b+d]=c[d],cr.arrayFindRemove(a.else_instances,c[d]);else cr.shallowAssignArray(a.instances,c);u.applySolToContainer()}y.clear();C=!1}};b.prototype.IsOverlapping=function(a){return l.call(this,a,0,0)};
b.prototype.IsOverlappingOffset=function(a,b,c){return l.call(this,a,b,c)};b.prototype.IsAnimPlaying=function(a){return this.changeAnimName.length?cr.equals_nocase(this.changeAnimName,a):cr.equals_nocase(this.cur_animation.name,a)};b.prototype.CompareFrame=function(a,b){return cr.do_cmp(this.cur_frame,a,b)};b.prototype.CompareAnimSpeed=function(a,b){return cr.do_cmp(this.animForwards?this.cur_anim_speed:-this.cur_anim_speed,a,b)};b.prototype.OnAnimFinished=function(a){return cr.equals_nocase(this.animTriggerName,
a)};b.prototype.OnAnyAnimFinished=function(){return!0};b.prototype.OnFrameChanged=function(){return!0};b.prototype.IsMirrored=function(){return 0>this.width};b.prototype.IsFlipped=function(){return 0>this.height};b.prototype.OnURLLoaded=function(){return!0};b.prototype.IsCollisionEnabled=function(){return this.collisionsEnabled};m.cnds=new b;k.prototype.Spawn=function(a,b,c){if(a&&b&&(b=this.runtime.createInstance(a,b,this.getImagePoint(c,!0),this.getImagePoint(c,!1)))){"undefined"!==typeof b.angle&&
(b.angle=this.angle,b.set_bbox_changed());this.runtime.isInOnDestroy++;var d,e,f;this.runtime.trigger(Object.getPrototypeOf(a.plugin).cnds.OnCreated,b);if(b.is_contained)for(d=0,e=b.siblings.length;d<e;d++)f=b.siblings[d],this.runtime.trigger(Object.getPrototypeOf(f.type.plugin).cnds.OnCreated,f);this.runtime.isInOnDestroy--;d=this.runtime.getCurrentAction();c=!1;if(cr.is_undefined(d.extra.Spawn_LastExec)||d.extra.Spawn_LastExec<this.runtime.execcount)c=!0,d.extra.Spawn_LastExec=this.runtime.execcount;
if(a!=this.type&&(a=a.getCurrentSol(),a.select_all=!1,c?(a.instances.length=1,a.instances[0]=b):a.instances.push(b),b.is_contained))for(d=0,e=b.siblings.length;d<e;d++)f=b.siblings[d],a=f.type.getCurrentSol(),a.select_all=!1,c?(a.instances.length=1,a.instances[0]=f):a.instances.push(f)}};k.prototype.SetEffect=function(a){this.compositeOp=cr.effectToCompositeOp(a);cr.setGLBlend(this,a,this.runtime.gl);this.runtime.redraw=!0};k.prototype.StopAnim=function(){this.animPlaying=!1};k.prototype.StartAnim=
function(a){this.animPlaying=!0;this.frameStart=this.getNowTime();1===a&&0!==this.cur_frame&&(this.changeAnimFrame=0,this.inAnimTrigger||this.doChangeAnimFrame());this.isTicking||(this.runtime.tickMe(this),this.isTicking=!0)};k.prototype.SetAnim=function(a,b){this.changeAnimName=a;this.changeAnimFrom=b;this.isTicking||(this.runtime.tickMe(this),this.isTicking=!0);this.inAnimTrigger||this.doChangeAnim()};k.prototype.SetAnimFrame=function(a){this.changeAnimFrame=a;this.isTicking||(this.runtime.tickMe(this),
this.isTicking=!0);this.inAnimTrigger||this.doChangeAnimFrame()};k.prototype.SetAnimSpeed=function(a){this.cur_anim_speed=cr.abs(a);this.animForwards=0<=a;this.isTicking||(this.runtime.tickMe(this),this.isTicking=!0)};k.prototype.SetMirrored=function(a){a=cr.abs(this.width)*(0===a?-1:1);this.width!==a&&(this.width=a,this.set_bbox_changed())};k.prototype.SetFlipped=function(a){a=cr.abs(this.height)*(0===a?-1:1);this.height!==a&&(this.height=a,this.set_bbox_changed())};k.prototype.SetScale=function(a){var b=
this.curFrame,c=b.width*a*(0>this.width?-1:1);a=b.height*a*(0>this.height?-1:1);if(this.width!==c||this.height!==a)this.width=c,this.height=a,this.set_bbox_changed()};k.prototype.LoadURL=function(a,b){var c=new Image,d=this,e=this.curFrame;c.onload=function(){e.texture_img.src===c.src?d.runtime.glwrap&&d.curFrame===e&&(d.curWebGLTexture=e.webGL_texture):(e.texture_img=c,e.offx=0,e.offy=0,e.width=c.width,e.height=c.height,e.spritesheeted=!1,e.datauri="",d.runtime.glwrap&&(e.webGL_texture&&d.runtime.glwrap.deleteTexture(e.webGL_texture),
e.webGL_texture=d.runtime.glwrap.loadTexture(c,!1,d.runtime.linearSampling),d.curFrame===e&&(d.curWebGLTexture=e.webGL_texture),d.type.updateAllCurrentTexture()),0===b&&(d.width=c.width,d.height=c.height,d.set_bbox_changed()));d.runtime.redraw=!0;d.runtime.trigger(cr.plugins_.Sprite.prototype.cnds.OnURLLoaded,d)};"data:"!==a.substr(0,5)&&(c.crossOrigin="anonymous");c.src=a};k.prototype.SetCollisions=function(a){this.collisionsEnabled!==(0!==a)&&((this.collisionsEnabled=0!==a)?this.set_bbox_changed():
(this.collcells.right>=this.collcells.left&&this.type.collision_grid.update(this,this.collcells,null),this.collcells.set(0,0,-1,-1)))};m.acts=new k;h.prototype.AnimationFrame=function(a){a.set_int(this.cur_frame)};h.prototype.AnimationFrameCount=function(a){a.set_int(this.cur_animation.frames.length)};h.prototype.AnimationName=function(a){a.set_string(this.cur_animation.name)};h.prototype.AnimationSpeed=function(a){a.set_float(this.animForwards?this.cur_anim_speed:-this.cur_anim_speed)};h.prototype.ImagePointX=
function(a,b){a.set_float(this.getImagePoint(b,!0))};h.prototype.ImagePointY=function(a,b){a.set_float(this.getImagePoint(b,!1))};h.prototype.ImagePointCount=function(a){a.set_int(this.curFrame.image_points.length)};h.prototype.ImageWidth=function(a){a.set_float(this.curFrame.width)};h.prototype.ImageHeight=function(a){a.set_float(this.curFrame.height)};m.exps=new h})();cr.plugins_.Text=function(a){this.runtime=a};
(function(){function a(){return h.length?h.pop():{}}function b(a){var b,c;b=0;for(c=a.length;b<c;b++)h.push(a[b]);a.length=0}function c(){}function d(){}function f(){}var e=cr.plugins_.Text.prototype;e.onCreate=function(){e.acts.SetWidth=function(a){this.width!==a&&(this.width=a,this.text_changed=!0,this.set_bbox_changed())}};e.Type=function(a){this.plugin=a;this.runtime=a.runtime};var g=e.Type.prototype;g.onCreate=function(){};g.onLostWebGLContext=function(){if(!this.is_family){var a,b,c;a=0;for(b=
this.instances.length;a<b;a++)c=this.instances[a],c.mycanvas=null,c.myctx=null,c.mytex=null}};e.Instance=function(a){this.type=a;this.runtime=a.runtime;this.recycled?this.lines.length=0:this.lines=[];this.text_changed=!0};var g=e.Instance.prototype,l={};g.onCreate=function(){this.text=this.properties[0];this.visible=0===this.properties[1];this.font=this.properties[2];this.color=this.properties[3];this.halign=this.properties[4];this.valign=this.properties[5];this.wrapbyword=0===this.properties[7];
this.lastwrapwidth=this.lastwidth=this.width;this.lastheight=this.height;this.line_height_offset=this.properties[8];this.fontstyle=this.facename="";this.textHeight=this.textWidth=this.ptSize=0;this.parseFont();this.mytex=this.myctx=this.mycanvas=null;this.need_text_redraw=!1;this.last_render_tick=this.runtime.tickcount;this.recycled?this.rcTex.set(0,0,1,1):this.rcTex=new cr.rect(0,0,1,1);this.runtime.glwrap&&this.runtime.tickMe(this)};g.parseFont=function(){var a=this.font.split(" "),b;for(b=0;b<
a.length;b++)if("pt"===a[b].substr(a[b].length-2,2)){this.ptSize=parseInt(a[b].substr(0,a[b].length-2));this.pxHeight=Math.ceil(96*(this.ptSize/72))+4;0<b&&(this.fontstyle=a[b-1]);this.facename=a[b+1];for(b+=2;b<a.length;b++)this.facename+=" "+a[b];break}};g.saveToJSON=function(){return{t:this.text,f:this.font,c:this.color,ha:this.halign,va:this.valign,wr:this.wrapbyword,lho:this.line_height_offset,fn:this.facename,fs:this.fontstyle,ps:this.ptSize,pxh:this.pxHeight,tw:this.textWidth,th:this.textHeight,
lrt:this.last_render_tick}};g.loadFromJSON=function(a){this.text=a.t;this.font=a.f;this.color=a.c;this.halign=a.ha;this.valign=a.va;this.wrapbyword=a.wr;this.line_height_offset=a.lho;this.facename=a.fn;this.fontstyle=a.fs;this.ptSize=a.ps;this.pxHeight=a.pxh;this.textWidth=a.tw;this.textHeight=a.th;this.last_render_tick=a.lrt;this.text_changed=!0;this.lastwrapwidth=this.lastwidth=this.width;this.lastheight=this.height};g.tick=function(){if(this.runtime.glwrap&&this.mytex&&300<=this.runtime.tickcount-
this.last_render_tick){var a=this.layer;this.update_bbox();var b=this.bbox;if(b.right<a.viewLeft||b.bottom<a.viewTop||b.left>a.viewRight||b.top>a.viewBottom)this.runtime.glwrap.deleteTexture(this.mytex),this.mycanvas=this.myctx=this.mytex=null}};g.onDestroy=function(){this.mycanvas=this.myctx=null;this.runtime.glwrap&&this.mytex&&this.runtime.glwrap.deleteTexture(this.mytex);this.mytex=null};g.updateFont=function(){this.font=this.fontstyle+" "+this.ptSize.toString()+"pt "+this.facename;this.text_changed=
!0;this.runtime.redraw=!0};g.draw=function(a,b){a.font=this.font;a.textBaseline="top";a.fillStyle=this.color;a.globalAlpha=b?1:this.opacity;var c=1;b&&(c=this.layer.getScale(),a.save(),a.scale(c,c));if(this.text_changed||this.width!==this.lastwrapwidth)this.type.plugin.WordWrap(this.text,this.lines,a,this.width,this.wrapbyword),this.text_changed=!1,this.lastwrapwidth=this.width;this.update_bbox();var c=b?0:this.bquad.tlx,d=b?0:this.bquad.tly;this.runtime.pixel_rounding&&(c=c+0.5|0,d=d+0.5|0);0===
this.angle||b||(a.save(),a.translate(c,d),a.rotate(this.angle),d=c=0);var e=d+this.height,f=this.pxHeight,f=f+this.line_height_offset,g,h;1===this.valign?d+=Math.max(this.height/2-this.lines.length*f/2,0):2===this.valign&&(d+=Math.max(this.height-this.lines.length*f-2,0));for(h=0;h<this.lines.length&&!(g=c,1===this.halign?g=c+(this.width-this.lines[h].width)/2:2===this.halign&&(g=c+(this.width-this.lines[h].width)),a.fillText(this.lines[h].text,g,d),d+=f,d>=e-f);h++);(0!==this.angle||b)&&a.restore();
this.last_render_tick=this.runtime.tickcount};g.drawGL=function(a){if(!(1>this.width||1>this.height)){var b=this.text_changed||this.need_text_redraw;this.need_text_redraw=!1;var c=this.layer.getScale(),d=this.layer.getAngle(),e=this.rcTex,f=c*this.width,g=c*this.height,h=Math.ceil(f),k=Math.ceil(g),l=this.runtime.draw_width/2,F=this.runtime.draw_height/2;this.myctx||(this.mycanvas=document.createElement("canvas"),this.mycanvas.width=h,this.mycanvas.height=k,this.lastwidth=h,this.lastheight=k,b=!0,
this.myctx=this.mycanvas.getContext("2d"));if(h!==this.lastwidth||k!==this.lastheight)this.mycanvas.width=h,this.mycanvas.height=k,this.mytex&&(a.deleteTexture(this.mytex),this.mytex=null),b=!0;b&&(this.myctx.clearRect(0,0,h,k),this.draw(this.myctx,!0),this.mytex||(this.mytex=a.createEmptyTexture(h,k,this.runtime.linearSampling,this.runtime.isMobile)),a.videoToTexture(this.mycanvas,this.mytex,this.runtime.isMobile));this.lastwidth=h;this.lastheight=k;a.setTexture(this.mytex);a.setOpacity(this.opacity);
a.resetModelView();a.translate(-l,-F);a.updateModelView();var v=this.bquad,b=this.layer.layerToCanvas(v.tlx,v.tly,!0,!0),l=this.layer.layerToCanvas(v.tlx,v.tly,!1,!0),F=this.layer.layerToCanvas(v.trx,v.try_,!0,!0),w=this.layer.layerToCanvas(v.trx,v.try_,!1,!0),B=this.layer.layerToCanvas(v.brx,v.bry,!0,!0),x=this.layer.layerToCanvas(v.brx,v.bry,!1,!0),A=this.layer.layerToCanvas(v.blx,v.bly,!0,!0),v=this.layer.layerToCanvas(v.blx,v.bly,!1,!0);if(this.runtime.pixel_rounding||0===this.angle&&0===d)var z=
(b+0.5|0)-b,G=(l+0.5|0)-l,b=b+z,l=l+G,F=F+z,w=w+G,B=B+z,x=x+G,A=A+z,v=v+G;0===this.angle&&0===d?(F=b+h,w=l,B=F,x=l+k,A=b,v=x,e.right=1,e.bottom=1):(e.right=f/h,e.bottom=g/k);a.quadTex(b,l,F,w,B,x,A,v,e);a.resetModelView();a.scale(c,c);a.rotateZ(-this.layer.getAngle());a.translate((this.layer.viewLeft+this.layer.viewRight)/-2,(this.layer.viewTop+this.layer.viewBottom)/-2);a.updateModelView();this.last_render_tick=this.runtime.tickcount}};var k=[];e.TokeniseWords=function(a){k.length=0;for(var b="",
c,d=0;d<a.length;)if(c=a.charAt(d),"\n"===c)b.length&&(k.push(b),b=""),k.push("\n"),++d;else if(" "===c||"\t"===c||"-"===c){do b+=a.charAt(d),d++;while(d<a.length&&(" "===a.charAt(d)||"\t"===a.charAt(d)));k.push(b);b=""}else d<a.length&&(b+=c,d++);b.length&&k.push(b)};var h=[];e.WordWrap=function(c,d,e,f,g){if(c&&c.length)if(2>=f)b(d);else{if(100>=c.length&&-1===c.indexOf("\n")){var h=e.measureText(c).width;if(h<=f){b(d);d.push(a());d[0].text=c;d[0].width=h;return}}this.WrapText(c,d,e,f,g)}else b(d)};
e.WrapText=function(b,c,d,e,f){f&&(this.TokeniseWords(b),b=k);var g="",l,u,y,C=0;for(y=0;y<b.length;y++)"\n"===b[y]?(C>=c.length&&c.push(a()),u=c[C],u.text=g,u.width=d.measureText(g).width,C++,g=""):(l=g,g+=b[y],u=d.measureText(g).width,u>=e&&(C>=c.length&&c.push(a()),u=c[C],u.text=l,u.width=d.measureText(l).width,C++,g=b[y],f||" "!==g||(g="")));g.length&&(C>=c.length&&c.push(a()),u=c[C],u.text=g,u.width=d.measureText(g).width,C++);for(y=C;y<c.length;y++)h.push(c[y]);c.length=C};c.prototype.CompareText=
function(a,b){return b?this.text==a:cr.equals_nocase(this.text,a)};e.cnds=new c;d.prototype.SetText=function(a){cr.is_number(a)&&1E9>a&&(a=Math.round(1E10*a)/1E10);a=a.toString();this.text!==a&&(this.text=a,this.text_changed=!0,this.runtime.redraw=!0)};d.prototype.AppendText=function(a){cr.is_number(a)&&(a=Math.round(1E10*a)/1E10);if(a=a.toString())this.text+=a,this.text_changed=!0,this.runtime.redraw=!0};d.prototype.SetFontFace=function(a,b){var c="";switch(b){case 1:c="bold";break;case 2:c="italic";
break;case 3:c="bold italic"}if(a!==this.facename||c!==this.fontstyle)this.facename=a,this.fontstyle=c,this.updateFont()};d.prototype.SetFontSize=function(a){this.ptSize!==a&&(this.ptSize=a,this.pxHeight=Math.ceil(96*(this.ptSize/72))+4,this.updateFont())};d.prototype.SetFontColor=function(a){a="rgb("+cr.GetRValue(a).toString()+","+cr.GetGValue(a).toString()+","+cr.GetBValue(a).toString()+")";a!==this.color&&(this.color=a,this.need_text_redraw=!0,this.runtime.redraw=!0)};d.prototype.SetWebFont=function(a,
b){if(this.runtime.isDomFree)cr.logexport("[Construct 2] Text plugin: 'Set web font' not supported on this platform - the action has been ignored");else{var c=this,d=function(){c.runtime.redraw=!0;c.text_changed=!0};if(l.hasOwnProperty(b)){var e="'"+a+"'";if(this.facename!==e)for(this.facename=e,this.updateFont(),e=1;10>e;e++)setTimeout(d,100*e),setTimeout(d,1E3*e)}else for(e=document.createElement("link"),e.href=b,e.rel="stylesheet",e.type="text/css",e.onload=d,document.getElementsByTagName("head")[0].appendChild(e),
l[b]=!0,this.facename="'"+a+"'",this.updateFont(),e=1;10>e;e++)setTimeout(d,100*e),setTimeout(d,1E3*e)}};d.prototype.SetEffect=function(a){this.compositeOp=cr.effectToCompositeOp(a);cr.setGLBlend(this,a,this.runtime.gl);this.runtime.redraw=!0};e.acts=new d;f.prototype.Text=function(a){a.set_string(this.text)};f.prototype.FaceName=function(a){a.set_string(this.facename)};f.prototype.FaceSize=function(a){a.set_int(this.ptSize)};f.prototype.TextWidth=function(a){var b=0,c,d,e;c=0;for(d=this.lines.length;c<
d;c++)e=this.lines[c].width,b<e&&(b=e);a.set_int(b)};f.prototype.TextHeight=function(a){a.set_int(this.lines.length*(this.pxHeight+this.line_height_offset)-this.line_height_offset)};e.exps=new f})();cr.plugins_.TiledBg=function(a){this.runtime=a};
(function(){function a(){}function b(){}function c(){}var d=cr.plugins_.TiledBg.prototype;d.Type=function(a){this.plugin=a;this.runtime=a.runtime};var f=d.Type.prototype;f.onCreate=function(){this.is_family||(this.texture_img=new Image,this.texture_img.idtkLoadDisposed=!0,this.texture_img.src=this.texture_file,this.texture_img.cr_filesize=this.texture_filesize,this.runtime.waitForImageLoad(this.texture_img),this.webGL_texture=this.pattern=null)};f.onLostWebGLContext=function(){this.is_family||(this.webGL_texture=
null)};f.onRestoreWebGLContext=function(){if(!this.is_family&&this.instances.length){this.webGL_texture||(this.webGL_texture=this.runtime.glwrap.loadTexture(this.texture_img,!0,this.runtime.linearSampling,this.texture_pixelformat));var a,b;a=0;for(b=this.instances.length;a<b;a++)this.instances[a].webGL_texture=this.webGL_texture}};f.loadTextures=function(){this.is_family||this.webGL_texture||!this.runtime.glwrap||(this.webGL_texture=this.runtime.glwrap.loadTexture(this.texture_img,!0,this.runtime.linearSampling,
this.texture_pixelformat))};f.unloadTextures=function(){this.is_family||this.instances.length||!this.webGL_texture||(this.runtime.glwrap.deleteTexture(this.webGL_texture),this.webGL_texture=null)};f.preloadCanvas2D=function(a){a.drawImage(this.texture_img,0,0)};d.Instance=function(a){this.type=a;this.runtime=a.runtime};f=d.Instance.prototype;f.onCreate=function(){this.visible=0===this.properties[0];this.rcTex=new cr.rect(0,0,0,0);this.has_own_texture=!1;this.texture_img=this.type.texture_img;this.runtime.glwrap?
(this.type.loadTextures(),this.webGL_texture=this.type.webGL_texture):(this.type.pattern||(this.type.pattern=this.runtime.ctx.createPattern(this.type.texture_img,"repeat")),this.pattern=this.type.pattern)};f.afterLoad=function(){this.has_own_texture=!1;this.texture_img=this.type.texture_img};f.onDestroy=function(){this.runtime.glwrap&&this.has_own_texture&&this.webGL_texture&&(this.runtime.glwrap.deleteTexture(this.webGL_texture),this.webGL_texture=null)};f.draw=function(a){a.globalAlpha=this.opacity;
a.save();a.fillStyle=this.pattern;var b=this.x,c=this.y;this.runtime.pixel_rounding&&(b=b+0.5|0,c=c+0.5|0);var d=-(this.hotspotX*this.width),f=-(this.hotspotY*this.height),m=d%this.texture_img.width,n=f%this.texture_img.height;0>m&&(m+=this.texture_img.width);0>n&&(n+=this.texture_img.height);a.translate(b,c);a.rotate(this.angle);a.translate(m,n);a.fillRect(d-m,f-n,this.width,this.height);a.restore()};f.drawGL=function(a){a.setTexture(this.webGL_texture);a.setOpacity(this.opacity);var b=this.rcTex;
b.right=this.width/this.texture_img.width;b.bottom=this.height/this.texture_img.height;var c=this.bquad;if(this.runtime.pixel_rounding){var d=(this.x+0.5|0)-this.x,f=(this.y+0.5|0)-this.y;a.quadTex(c.tlx+d,c.tly+f,c.trx+d,c.try_+f,c.brx+d,c.bry+f,c.blx+d,c.bly+f,b)}else a.quadTex(c.tlx,c.tly,c.trx,c.try_,c.brx,c.bry,c.blx,c.bly,b)};a.prototype.OnURLLoaded=function(){return!0};d.cnds=new a;b.prototype.SetEffect=function(a){this.compositeOp=cr.effectToCompositeOp(a);cr.setGLBlend(this,a,this.runtime.gl);
this.runtime.redraw=!0};b.prototype.LoadURL=function(a){var b=new Image,c=this;b.onload=function(){c.texture_img=b;c.runtime.glwrap?(c.has_own_texture&&c.webGL_texture&&c.runtime.glwrap.deleteTexture(c.webGL_texture),c.webGL_texture=c.runtime.glwrap.loadTexture(b,!0,c.runtime.linearSampling)):c.pattern=c.runtime.ctx.createPattern(b,"repeat");c.has_own_texture=!0;c.runtime.redraw=!0;c.runtime.trigger(cr.plugins_.TiledBg.prototype.cnds.OnURLLoaded,c)};"data:"!==a.substr(0,5)&&(b.crossOrigin="anonymous");
b.src=a};d.acts=new b;c.prototype.ImageWidth=function(a){a.set_float(this.texture_img.width)};c.prototype.ImageHeight=function(a){a.set_float(this.texture_img.height)};d.exps=new c})();cr.plugins_.Touch=function(a){this.runtime=a};
(function(){function a(a){h=a.x;m=a.y;n=a.z}function b(a){r=a.x;p=a.y;q=a.z}function c(a,b,c,e){var f;f=t.length?t.pop():new d;f.init(a,b,c,e);return f}function d(){this.startindex=this.id=this.lasty=this.lastx=this.y=this.x=this.starty=this.startx=this.lasttime=this.time=this.starttime=0;this.tooFarForHold=this.triggeredHold=!1}function f(){}function e(){}var g=cr.plugins_.Touch.prototype;g.Type=function(a){this.plugin=a;this.runtime=a.runtime};g.Type.prototype.onCreate=function(){};g.Instance=function(a){this.type=
a;this.runtime=a.runtime;this.touches=[];this.mouseDown=!1};var l=g.Instance.prototype,k={left:0,top:0};l.findTouch=function(a){var b,c;b=0;for(c=this.touches.length;b<c;b++)if(this.touches[b].id===a)return b;return-1};var h=0,m=0,n=0,r=0,p=0,q=0,t=[];d.prototype.init=function(a,b,c,d){var e=cr.performance_now();this.starttime=this.lasttime=this.time=e;this.startx=a;this.starty=b;this.x=a;this.y=b;this.lastx=a;this.lasty=b;this.id=c;this.startindex=d;this.tooFarForHold=this.triggeredHold=!1};d.prototype.update=
function(a,b,c){this.lasttime=this.time;this.time=a;this.lastx=this.x;this.lasty=this.y;this.x=b;this.y=c;!this.tooFarForHold&&15<=cr.distanceTo(this.startx,this.starty,this.x,this.y)&&(this.tooFarForHold=!0)};d.prototype.maybeTriggerHold=function(a,b){!this.triggeredHold&&500<=cr.performance_now()-this.starttime&&!this.tooFarForHold&&15>cr.distanceTo(this.startx,this.starty,this.x,this.y)&&(this.triggeredHold=!0,a.trigger_index=this.startindex,a.trigger_id=this.id,a.getTouchIndex=b,a.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnHoldGesture,
a),a.curTouchX=this.x,a.curTouchY=this.y,a.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnHoldGestureObject,a),a.getTouchIndex=0)};var s=-1E3,u=-1E3,y=-1E4;d.prototype.maybeTriggerTap=function(a,b){if(!this.triggeredHold){var c=cr.performance_now();333>=c-this.starttime&&!this.tooFarForHold&&15>cr.distanceTo(this.startx,this.starty,this.x,this.y)&&(a.trigger_index=this.startindex,a.trigger_id=this.id,a.getTouchIndex=b,666>=c-y&&25>cr.distanceTo(s,u,this.x,this.y)?(a.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnDoubleTapGesture,
a),a.curTouchX=this.x,a.curTouchY=this.y,a.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnDoubleTapGestureObject,a),u=s=-1E3,y=-1E4):(a.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnTapGesture,a),a.curTouchX=this.x,a.curTouchY=this.y,a.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnTapGestureObject,a),s=this.x,u=this.y,y=c),a.getTouchIndex=0)}};l.onCreate=function(){this.isWindows8=!("undefined"===typeof window.c2isWindows8||!window.c2isWindows8);this.getTouchIndex=this.trigger_id=this.trigger_index=
this.curTouchY=this.curTouchX=this.acc_z=this.acc_y=this.acc_x=this.acc_g_z=this.acc_g_y=this.acc_g_x=this.orient_gamma=this.orient_beta=this.orient_alpha=0;this.useMouseInput=0!==this.properties[0];var c=0<this.runtime.fullscreen_mode?document:this.runtime.canvas,d=document;this.runtime.isDirectCanvas?d=c=window.Canvas:this.runtime.isCocoonJs&&(d=c=window);var e=this;window.navigator.pointerEnabled?(c.addEventListener("pointerdown",function(a){e.onPointerStart(a)},!1),c.addEventListener("pointermove",
function(a){e.onPointerMove(a)},!1),d.addEventListener("pointerup",function(a){e.onPointerEnd(a,!1)},!1),d.addEventListener("pointercancel",function(a){e.onPointerEnd(a,!0)},!1),this.runtime.canvas&&(this.runtime.canvas.addEventListener("MSGestureHold",function(a){a.preventDefault()},!1),document.addEventListener("MSGestureHold",function(a){a.preventDefault()},!1),this.runtime.canvas.addEventListener("gesturehold",function(a){a.preventDefault()},!1),document.addEventListener("gesturehold",function(a){a.preventDefault()},
!1))):window.navigator.msPointerEnabled?(c.addEventListener("MSPointerDown",function(a){e.onPointerStart(a)},!1),c.addEventListener("MSPointerMove",function(a){e.onPointerMove(a)},!1),d.addEventListener("MSPointerUp",function(a){e.onPointerEnd(a,!1)},!1),d.addEventListener("MSPointerCancel",function(a){e.onPointerEnd(a,!0)},!1),this.runtime.canvas&&(this.runtime.canvas.addEventListener("MSGestureHold",function(a){a.preventDefault()},!1),document.addEventListener("MSGestureHold",function(a){a.preventDefault()},
!1))):(c.addEventListener("touchstart",function(a){e.onTouchStart(a)},!1),c.addEventListener("touchmove",function(a){e.onTouchMove(a)},!1),d.addEventListener("touchend",function(a){e.onTouchEnd(a,!1)},!1),d.addEventListener("touchcancel",function(a){e.onTouchEnd(a,!0)},!1));if(this.isWindows8){var f=function(a){a=a.reading;e.acc_x=a.accelerationX;e.acc_y=a.accelerationY;e.acc_z=a.accelerationZ},g=function(a){a=a.reading;e.orient_alpha=a.yawDegrees;e.orient_beta=a.pitchDegrees;e.orient_gamma=a.rollDegrees},
h=Windows.Devices.Sensors.Accelerometer.getDefault();h&&(h.reportInterval=Math.max(h.minimumReportInterval,16),h.addEventListener("readingchanged",f));var k=Windows.Devices.Sensors.Inclinometer.getDefault();k&&(k.reportInterval=Math.max(k.minimumReportInterval,16),k.addEventListener("readingchanged",g));document.addEventListener("visibilitychange",function(a){document.hidden||document.msHidden?(h&&h.removeEventListener("readingchanged",f),k&&k.removeEventListener("readingchanged",g)):(h&&h.addEventListener("readingchanged",
f),k&&k.addEventListener("readingchanged",g))},!1)}else window.addEventListener("deviceorientation",function(a){e.orient_alpha=a.alpha||0;e.orient_beta=a.beta||0;e.orient_gamma=a.gamma||0},!1),window.addEventListener("devicemotion",function(a){a.accelerationIncludingGravity&&(e.acc_g_x=a.accelerationIncludingGravity.x||0,e.acc_g_y=a.accelerationIncludingGravity.y||0,e.acc_g_z=a.accelerationIncludingGravity.z||0);a.acceleration&&(e.acc_x=a.acceleration.x||0,e.acc_y=a.acceleration.y||0,e.acc_z=a.acceleration.z||
0)},!1);this.useMouseInput&&!this.runtime.isDomFree&&(jQuery(document).mousemove(function(a){e.onMouseMove(a)}),jQuery(document).mousedown(function(a){e.onMouseDown(a)}),jQuery(document).mouseup(function(a){e.onMouseUp(a)}));this.runtime.isAppMobi&&!this.runtime.isDirectCanvas&&AppMobi.accelerometer.watchAcceleration(a,{frequency:40,adjustForRotation:!0});this.runtime.isPhoneGap&&navigator.accelerometer&&navigator.accelerometer.watchAcceleration&&navigator.accelerometer.watchAcceleration(b,null,{frequency:40});
this.runtime.tick2Me(this)};l.onPointerMove=function(a){if(a.pointerType!==a.MSPOINTER_TYPE_MOUSE&&"mouse"!==a.pointerType){a.preventDefault&&a.preventDefault();var b=this.findTouch(a.pointerId),c=cr.performance_now();if(0<=b){var d=this.runtime.isDomFree?k:jQuery(this.runtime.canvas).offset(),b=this.touches[b];2>c-b.time||b.update(c,a.pageX-d.left,a.pageY-d.top)}}};l.onPointerStart=function(a){if(a.pointerType!==a.MSPOINTER_TYPE_MOUSE&&"mouse"!==a.pointerType){a.preventDefault&&cr.isCanvasInputEvent(a)&&
a.preventDefault();var b=this.runtime.isDomFree?k:jQuery(this.runtime.canvas).offset(),d=a.pageX-b.left,b=a.pageY-b.top;cr.performance_now();this.trigger_index=this.touches.length;this.trigger_id=a.pointerId;this.touches.push(c(d,b,a.pointerId,this.trigger_index));this.runtime.isInUserInputEvent=!0;this.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnNthTouchStart,this);this.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnTouchStart,this);this.curTouchX=d;this.curTouchY=b;this.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnTouchObject,
this);this.runtime.isInUserInputEvent=!1}};l.onPointerEnd=function(a,b){if(a.pointerType!==a.MSPOINTER_TYPE_MOUSE&&"mouse"!==a.pointerType){a.preventDefault&&cr.isCanvasInputEvent(a)&&a.preventDefault();var c=this.findTouch(a.pointerId);this.trigger_index=0<=c?this.touches[c].startindex:-1;this.trigger_id=0<=c?this.touches[c].id:-1;this.runtime.isInUserInputEvent=!0;this.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnNthTouchEnd,this);this.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnTouchEnd,
this);0<=c&&(b||this.touches[c].maybeTriggerTap(this,c),100>t.length&&t.push(this.touches[c]),this.touches.splice(c,1));this.runtime.isInUserInputEvent=!1}};l.onTouchMove=function(a){a.preventDefault&&a.preventDefault();var b=cr.performance_now(),c,d,e,f;c=0;for(d=a.changedTouches.length;c<d;c++)if(e=a.changedTouches[c],f=this.findTouch(e.identifier),0<=f){var g=this.runtime.isDomFree?k:jQuery(this.runtime.canvas).offset();f=this.touches[f];2>b-f.time||f.update(b,e.pageX-g.left,e.pageY-g.top)}};l.onTouchStart=
function(a){a.preventDefault&&cr.isCanvasInputEvent(a)&&a.preventDefault();var b=this.runtime.isDomFree?k:jQuery(this.runtime.canvas).offset();cr.performance_now();this.runtime.isInUserInputEvent=!0;var d,e,f,g;d=0;for(e=a.changedTouches.length;d<e;d++)if(f=a.changedTouches[d],g=this.findTouch(f.identifier),-1===g){g=f.pageX-b.left;var h=f.pageY-b.top;this.trigger_index=this.touches.length;this.trigger_id=f.identifier;this.touches.push(c(g,h,f.identifier,this.trigger_index));this.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnNthTouchStart,
this);this.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnTouchStart,this);this.curTouchX=g;this.curTouchY=h;this.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnTouchObject,this)}this.runtime.isInUserInputEvent=!1};l.onTouchEnd=function(a,b){a.preventDefault&&cr.isCanvasInputEvent(a)&&a.preventDefault();this.runtime.isInUserInputEvent=!0;var c,d,e;c=0;for(d=a.changedTouches.length;c<d;c++)e=a.changedTouches[c],e=this.findTouch(e.identifier),0<=e&&(this.trigger_index=this.touches[e].startindex,
this.trigger_id=this.touches[e].id,this.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnNthTouchEnd,this),this.runtime.trigger(cr.plugins_.Touch.prototype.cnds.OnTouchEnd,this),b||this.touches[e].maybeTriggerTap(this,e),100>t.length&&t.push(this.touches[e]),this.touches.splice(e,1));this.runtime.isInUserInputEvent=!1};l.getAlpha=function(){return this.runtime.isAppMobi&&0===this.orient_alpha&&0!==n?90*n:this.runtime.isPhoneGap&&0===this.orient_alpha&&0!==q?90*q:this.orient_alpha};l.getBeta=function(){return this.runtime.isAppMobi&&
0===this.orient_beta&&0!==m?-90*m:this.runtime.isPhoneGap&&0===this.orient_beta&&0!==p?-90*p:this.orient_beta};l.getGamma=function(){return this.runtime.isAppMobi&&0===this.orient_gamma&&0!==h?90*h:this.runtime.isPhoneGap&&0===this.orient_gamma&&0!==r?90*r:this.orient_gamma};l.onMouseDown=function(a){a.preventDefault&&this.runtime.had_a_click&&!this.runtime.isMobile&&a.preventDefault();this.onTouchStart({changedTouches:[{pageX:a.pageX,pageY:a.pageY,identifier:0}]});this.mouseDown=!0};l.onMouseMove=
function(a){if(this.mouseDown)this.onTouchMove({changedTouches:[{pageX:a.pageX,pageY:a.pageY,identifier:0}]})};l.onMouseUp=function(a){a.preventDefault&&this.runtime.had_a_click&&!this.runtime.isMobile&&a.preventDefault();this.runtime.had_a_click=!0;this.onTouchEnd({changedTouches:[{pageX:a.pageX,pageY:a.pageY,identifier:0}]});this.mouseDown=!1};l.tick2=function(){var a,b,c,d=cr.performance_now();a=0;for(b=this.touches.length;a<b;++a)c=this.touches[a],c.time<=d-50&&(c.lasttime=d),c.maybeTriggerHold(this,
a)};f.prototype.OnTouchStart=function(){return!0};f.prototype.OnTouchEnd=function(){return!0};f.prototype.IsInTouch=function(){return this.touches.length};f.prototype.OnTouchObject=function(a){return a?this.runtime.testAndSelectCanvasPointOverlap(a,this.curTouchX,this.curTouchY,!1):!1};var C=[];f.prototype.IsTouchingObject=function(a){if(!a)return!1;var b=a.getCurrentSol(),c=b.getObjects(),d,e,f,g,h,k;f=0;for(g=c.length;f<g;f++){var m=c[f];m.update_bbox();h=0;for(k=this.touches.length;h<k;h++)if(e=
this.touches[h],d=m.layer.canvasToLayer(e.x,e.y,!0),e=m.layer.canvasToLayer(e.x,e.y,!1),m.contains_pt(d,e)){C.push(m);break}}return C.length?(b.select_all=!1,cr.shallowAssignArray(b.instances,C),a.applySolToContainer(),C.length=0,!0):!1};f.prototype.CompareTouchSpeed=function(a,b,c){a=Math.floor(a);if(0>a||a>=this.touches.length)return!1;var d=this.touches[a];a=cr.distanceTo(d.x,d.y,d.lastx,d.lasty);var d=(d.time-d.lasttime)/1E3,e=0;0<d&&(e=a/d);return cr.do_cmp(e,b,c)};f.prototype.OrientationSupported=
function(){return"undefined"!==typeof window.DeviceOrientationEvent};f.prototype.MotionSupported=function(){return"undefined"!==typeof window.DeviceMotionEvent};f.prototype.CompareOrientation=function(a,b,c){var d=0,d=0===a?this.getAlpha():1===a?this.getBeta():this.getGamma();return cr.do_cmp(d,b,c)};f.prototype.CompareAcceleration=function(a,b,c){var d=0;0===a?d=this.acc_g_x:1===a?d=this.acc_g_y:2===a?d=this.acc_g_z:3===a?d=this.acc_x:4===a?d=this.acc_y:5===a&&(d=this.acc_z);return cr.do_cmp(d,b,
c)};f.prototype.OnNthTouchStart=function(a){a=Math.floor(a);return a===this.trigger_index};f.prototype.OnNthTouchEnd=function(a){a=Math.floor(a);return a===this.trigger_index};f.prototype.HasNthTouch=function(a){a=Math.floor(a);return this.touches.length>=a+1};f.prototype.OnHoldGesture=function(){return!0};f.prototype.OnTapGesture=function(){return!0};f.prototype.OnDoubleTapGesture=function(){return!0};f.prototype.OnHoldGestureObject=function(a){return a?this.runtime.testAndSelectCanvasPointOverlap(a,
this.curTouchX,this.curTouchY,!1):!1};f.prototype.OnTapGestureObject=function(a){return a?this.runtime.testAndSelectCanvasPointOverlap(a,this.curTouchX,this.curTouchY,!1):!1};f.prototype.OnDoubleTapGestureObject=function(a){return a?this.runtime.testAndSelectCanvasPointOverlap(a,this.curTouchX,this.curTouchY,!1):!1};g.cnds=new f;e.prototype.TouchCount=function(a){a.set_int(this.touches.length)};e.prototype.X=function(a,b){var c=this.getTouchIndex;if(0>c||c>=this.touches.length)a.set_float(0);else{var d,
e,f,g,h;cr.is_undefined(b)?(d=this.runtime.getLayerByNumber(0),e=d.scale,f=d.zoomRate,g=d.parallaxX,h=d.angle,d.scale=this.runtime.running_layout.scale,d.zoomRate=1,d.parallaxX=1,d.angle=this.runtime.running_layout.angle,a.set_float(d.canvasToLayer(this.touches[c].x,this.touches[c].y,!0)),d.scale=e,d.zoomRate=f,d.parallaxX=g,d.angle=h):(d=cr.is_number(b)?this.runtime.getLayerByNumber(b):this.runtime.getLayerByName(b))?a.set_float(d.canvasToLayer(this.touches[c].x,this.touches[c].y,!0)):a.set_float(0)}};
e.prototype.XAt=function(a,b,c){b=Math.floor(b);if(0>b||b>=this.touches.length)a.set_float(0);else{var d,e,f,g;cr.is_undefined(c)?(c=this.runtime.getLayerByNumber(0),d=c.scale,e=c.zoomRate,f=c.parallaxX,g=c.angle,c.scale=this.runtime.running_layout.scale,c.zoomRate=1,c.parallaxX=1,c.angle=this.runtime.running_layout.angle,a.set_float(c.canvasToLayer(this.touches[b].x,this.touches[b].y,!0)),c.scale=d,c.zoomRate=e,c.parallaxX=f,c.angle=g):(c=cr.is_number(c)?this.runtime.getLayerByNumber(c):this.runtime.getLayerByName(c))?
a.set_float(c.canvasToLayer(this.touches[b].x,this.touches[b].y,!0)):a.set_float(0)}};e.prototype.XForID=function(a,b,c){b=this.findTouch(b);if(0>b)a.set_float(0);else{b=this.touches[b];var d,e,f,g;cr.is_undefined(c)?(c=this.runtime.getLayerByNumber(0),d=c.scale,e=c.zoomRate,f=c.parallaxX,g=c.angle,c.scale=this.runtime.running_layout.scale,c.zoomRate=1,c.parallaxX=1,c.angle=this.runtime.running_layout.angle,a.set_float(c.canvasToLayer(b.x,b.y,!0)),c.scale=d,c.zoomRate=e,c.parallaxX=f,c.angle=g):(c=
cr.is_number(c)?this.runtime.getLayerByNumber(c):this.runtime.getLayerByName(c))?a.set_float(c.canvasToLayer(b.x,b.y,!0)):a.set_float(0)}};e.prototype.Y=function(a,b){var c=this.getTouchIndex;if(0>c||c>=this.touches.length)a.set_float(0);else{var d,e,f,g,h;cr.is_undefined(b)?(d=this.runtime.getLayerByNumber(0),e=d.scale,f=d.zoomRate,g=d.parallaxY,h=d.angle,d.scale=this.runtime.running_layout.scale,d.zoomRate=1,d.parallaxY=1,d.angle=this.runtime.running_layout.angle,a.set_float(d.canvasToLayer(this.touches[c].x,
this.touches[c].y,!1)),d.scale=e,d.zoomRate=f,d.parallaxY=g,d.angle=h):(d=cr.is_number(b)?this.runtime.getLayerByNumber(b):this.runtime.getLayerByName(b))?a.set_float(d.canvasToLayer(this.touches[c].x,this.touches[c].y,!1)):a.set_float(0)}};e.prototype.YAt=function(a,b,c){b=Math.floor(b);if(0>b||b>=this.touches.length)a.set_float(0);else{var d,e,f,g;cr.is_undefined(c)?(c=this.runtime.getLayerByNumber(0),d=c.scale,e=c.zoomRate,f=c.parallaxY,g=c.angle,c.scale=this.runtime.running_layout.scale,c.zoomRate=
1,c.parallaxY=1,c.angle=this.runtime.running_layout.angle,a.set_float(c.canvasToLayer(this.touches[b].x,this.touches[b].y,!1)),c.scale=d,c.zoomRate=e,c.parallaxY=f,c.angle=g):(c=cr.is_number(c)?this.runtime.getLayerByNumber(c):this.runtime.getLayerByName(c))?a.set_float(c.canvasToLayer(this.touches[b].x,this.touches[b].y,!1)):a.set_float(0)}};e.prototype.YForID=function(a,b,c){b=this.findTouch(b);if(0>b)a.set_float(0);else{b=this.touches[b];var d,e,f,g;cr.is_undefined(c)?(c=this.runtime.getLayerByNumber(0),
d=c.scale,e=c.zoomRate,f=c.parallaxY,g=c.angle,c.scale=this.runtime.running_layout.scale,c.zoomRate=1,c.parallaxY=1,c.angle=this.runtime.running_layout.angle,a.set_float(c.canvasToLayer(b.x,b.y,!1)),c.scale=d,c.zoomRate=e,c.parallaxY=f,c.angle=g):(c=cr.is_number(c)?this.runtime.getLayerByNumber(c):this.runtime.getLayerByName(c))?a.set_float(c.canvasToLayer(b.x,b.y,!1)):a.set_float(0)}};e.prototype.AbsoluteX=function(a){this.touches.length?a.set_float(this.touches[0].x):a.set_float(0)};e.prototype.AbsoluteXAt=
function(a,b){b=Math.floor(b);0>b||b>=this.touches.length?a.set_float(0):a.set_float(this.touches[b].x)};e.prototype.AbsoluteXForID=function(a,b){var c=this.findTouch(b);0>c?a.set_float(0):a.set_float(this.touches[c].x)};e.prototype.AbsoluteY=function(a){this.touches.length?a.set_float(this.touches[0].y):a.set_float(0)};e.prototype.AbsoluteYAt=function(a,b){b=Math.floor(b);0>b||b>=this.touches.length?a.set_float(0):a.set_float(this.touches[b].y)};e.prototype.AbsoluteYForID=function(a,b){var c=this.findTouch(b);
0>c?a.set_float(0):a.set_float(this.touches[c].y)};e.prototype.SpeedAt=function(a,b){b=Math.floor(b);if(0>b||b>=this.touches.length)a.set_float(0);else{var c=this.touches[b],d=cr.distanceTo(c.x,c.y,c.lastx,c.lasty),c=(c.time-c.lasttime)/1E3;0===c?a.set_float(0):a.set_float(d/c)}};e.prototype.SpeedForID=function(a,b){var c=this.findTouch(b);if(0>c)a.set_float(0);else{var d=this.touches[c],c=cr.distanceTo(d.x,d.y,d.lastx,d.lasty),d=(d.time-d.lasttime)/1E3;0===d?a.set_float(0):a.set_float(c/d)}};e.prototype.AngleAt=
function(a,b){b=Math.floor(b);if(0>b||b>=this.touches.length)a.set_float(0);else{var c=this.touches[b];a.set_float(cr.to_degrees(cr.angleTo(c.lastx,c.lasty,c.x,c.y)))}};e.prototype.AngleForID=function(a,b){var c=this.findTouch(b);0>c?a.set_float(0):(c=this.touches[c],a.set_float(cr.to_degrees(cr.angleTo(c.lastx,c.lasty,c.x,c.y))))};e.prototype.Alpha=function(a){a.set_float(this.getAlpha())};e.prototype.Beta=function(a){a.set_float(this.getBeta())};e.prototype.Gamma=function(a){a.set_float(this.getGamma())};
e.prototype.AccelerationXWithG=function(a){a.set_float(this.acc_g_x)};e.prototype.AccelerationYWithG=function(a){a.set_float(this.acc_g_y)};e.prototype.AccelerationZWithG=function(a){a.set_float(this.acc_g_z)};e.prototype.AccelerationX=function(a){a.set_float(this.acc_x)};e.prototype.AccelerationY=function(a){a.set_float(this.acc_y)};e.prototype.AccelerationZ=function(a){a.set_float(this.acc_z)};e.prototype.TouchIndex=function(a){a.set_int(this.trigger_index)};e.prototype.TouchID=function(a){a.set_float(this.trigger_id)};
g.exps=new e})();cr.plugins_.WebStorage=function(a){this.runtime=a};
(function(){function a(){k||(cr.logexport("[Construct 2] Webstorage plugin: session storage is not supported on this platform. Try using local storage or global variables instead."),k=!0)}function b(){}function c(){}function d(){}var f=cr.plugins_.WebStorage.prototype;f.Type=function(a){this.plugin=a;this.runtime=a.runtime};f.Type.prototype.onCreate=function(){};f.Instance=function(a){this.type=a;this.runtime=a.runtime};var e=f.Instance.prototype,g="",l="undefined"!==typeof window.is_scirra_arcade;
l&&(g="arcade"+window.scirra_arcade_id);var k=!1;e.onCreate=function(){};b.prototype.LocalStorageEnabled=function(){return!0};b.prototype.SessionStorageEnabled=function(){return!0};b.prototype.LocalStorageExists=function(a){return null!=localStorage.getItem(g+a)};b.prototype.SessionStorageExists=function(b){return this.runtime.isCocoonJs||!sessionStorage?(a(),!1):null!=sessionStorage.getItem(g+b)};b.prototype.OnQuotaExceeded=function(){return!0};b.prototype.CompareKeyText=function(a,b,c){a=localStorage.getItem(g+
a)||"";return c?a==b:cr.equals_nocase(a,b)};b.prototype.CompareKeyNumber=function(a,b,c){a=localStorage.getItem(g+a)||"";return cr.do_cmp(parseFloat(a),b,c)};f.cnds=new b;c.prototype.StoreLocal=function(a,b){try{localStorage.setItem(g+a,b)}catch(c){this.runtime.trigger(cr.plugins_.WebStorage.prototype.cnds.OnQuotaExceeded,this)}};c.prototype.StoreSession=function(b,c){if(this.runtime.isCocoonJs||!sessionStorage)a();else try{sessionStorage.setItem(g+b,c)}catch(d){this.runtime.trigger(cr.plugins_.WebStorage.prototype.cnds.OnQuotaExceeded,
this)}};c.prototype.RemoveLocal=function(a){localStorage.removeItem(g+a)};c.prototype.RemoveSession=function(b){this.runtime.isCocoonJs||!sessionStorage?a():sessionStorage.removeItem(g+b)};c.prototype.ClearLocal=function(){l||localStorage.clear()};c.prototype.ClearSession=function(){this.runtime.isCocoonJs||!sessionStorage?a():l||sessionStorage.clear()};c.prototype.JSONLoad=function(a,b){var c;try{c=JSON.parse(a)}catch(d){return}if(c.c2dictionary){c=c.data;0!==b||l||localStorage.clear();for(var e in c)if(c.hasOwnProperty(e))try{localStorage.setItem(g+
e,c[e])}catch(f){this.runtime.trigger(cr.plugins_.WebStorage.prototype.cnds.OnQuotaExceeded,this);break}}};f.acts=new c;d.prototype.LocalValue=function(a,b){a.set_string(localStorage.getItem(g+b)||"")};d.prototype.SessionValue=function(b,c){this.runtime.isCocoonJs||!sessionStorage?(a(),b.set_string("")):b.set_string(sessionStorage.getItem(g+c)||"")};d.prototype.LocalCount=function(a){a.set_int(l?0:localStorage.length)};d.prototype.SessionCount=function(b){this.runtime.isCocoonJs||!sessionStorage?
(a(),b.set_int(0)):b.set_int(l?0:sessionStorage.length)};d.prototype.LocalAt=function(a,b){l?a.set_string(""):a.set_string(localStorage.getItem(localStorage.key(b))||"")};d.prototype.SessionAt=function(b,c){this.runtime.isCocoonJs||!sessionStorage?(a(),b.set_string("")):l?b.set_string(""):b.set_string(sessionStorage.getItem(sessionStorage.key(c))||"")};d.prototype.LocalKeyAt=function(a,b){l?a.set_string(""):a.set_string(localStorage.key(b)||"")};d.prototype.SessionKeyAt=function(b,c){this.runtime.isCocoonJs||
!sessionStorage?(a(),b.set_string("")):l?b.set_string(""):b.set_string(sessionStorage.key(c)||"")};d.prototype.AsJSON=function(a){var b={},c,d,e;c=0;for(d=localStorage.length;c<d;c++)e=localStorage.key(c),l?e.substr(0,g.length)===g&&(b[e.substr(g.length)]=localStorage.getItem(e)):b[e]=localStorage.getItem(e);a.set_string(JSON.stringify({c2dictionary:!0,data:b}))};f.exps=new d})();cr.behaviors.Anchor=function(a){this.runtime=a};
(function(){function a(){}var b=cr.behaviors.Anchor.prototype;b.Type=function(a,b){this.behavior=a;this.objtype=b;this.runtime=a.runtime};b.Type.prototype.onCreate=function(){};b.Instance=function(a,b){this.type=a;this.behavior=a.behavior;this.inst=b;this.runtime=a.runtime};var c=b.Instance.prototype;c.onCreate=function(){this.anch_left=this.properties[0];this.anch_top=this.properties[1];this.anch_right=this.properties[2];this.anch_bottom=this.properties[3];this.inst.update_bbox();this.xleft=this.inst.bbox.left;
this.ytop=this.inst.bbox.top;this.xright=this.runtime.original_width-this.inst.bbox.left;this.ybottom=this.runtime.original_height-this.inst.bbox.top;this.rdiff=this.runtime.original_width-this.inst.bbox.right;this.bdiff=this.runtime.original_height-this.inst.bbox.bottom;this.enabled=0!==this.properties[4]};c.saveToJSON=function(){return{xleft:this.xleft,ytop:this.ytop,xright:this.xright,ybottom:this.ybottom,rdiff:this.rdiff,bdiff:this.bdiff,enabled:this.enabled}};c.loadFromJSON=function(a){this.xleft=
a.xleft;this.ytop=a.ytop;this.xright=a.xright;this.ybottom=a.ybottom;this.rdiff=a.rdiff;this.bdiff=a.bdiff;this.enabled=a.enabled};c.tick=function(){if(this.enabled){var a,b=this.inst.layer,c=this.inst,g=this.inst.bbox;0===this.anch_left?(c.update_bbox(),a=b.viewLeft+this.xleft-g.left,0!==a&&(c.x+=a,c.set_bbox_changed())):1===this.anch_left&&(c.update_bbox(),a=b.viewRight-this.xright-g.left,0!==a&&(c.x+=a,c.set_bbox_changed()));0===this.anch_top?(c.update_bbox(),a=b.viewTop+this.ytop-g.top,0!==a&&
(c.y+=a,c.set_bbox_changed())):1===this.anch_top&&(c.update_bbox(),a=b.viewBottom-this.ybottom-g.top,0!==a&&(c.y+=a,c.set_bbox_changed()));1===this.anch_right&&(c.update_bbox(),a=b.viewRight-this.rdiff-g.right,0!==a&&(c.width+=a,0>c.width&&(c.width=0),c.set_bbox_changed()));1===this.anch_bottom&&(c.update_bbox(),a=b.viewBottom-this.bdiff-g.bottom,0!==a&&(c.height+=a,0>c.height&&(c.height=0),c.set_bbox_changed()))}};b.cnds=new function(){};a.prototype.SetEnabled=function(a){this.enabled&&0===a?this.enabled=
!1:this.enabled||0===a||(this.inst.update_bbox(),this.xleft=this.inst.bbox.left,this.ytop=this.inst.bbox.top,this.xright=this.runtime.original_width-this.inst.bbox.left,this.ybottom=this.runtime.original_height-this.inst.bbox.top,this.rdiff=this.runtime.original_width-this.inst.bbox.right,this.bdiff=this.runtime.original_height-this.inst.bbox.bottom,this.enabled=!0)};b.acts=new a;b.exps=new function(){}})();cr.behaviors.Bullet=function(a){this.runtime=a};
(function(){function a(){}function b(){}function c(){}var d=cr.behaviors.Bullet.prototype;d.Type=function(a,b){this.behavior=a;this.objtype=b;this.runtime=a.runtime};d.Type.prototype.onCreate=function(){};d.Instance=function(a,b){this.type=a;this.behavior=a.behavior;this.inst=b;this.runtime=a.runtime};var f=d.Instance.prototype;f.onCreate=function(){var a=this.properties[0];this.acc=this.properties[1];this.g=this.properties[2];this.bounceOffSolid=0!==this.properties[3];this.setAngle=0!==this.properties[4];
this.dx=Math.cos(this.inst.angle)*a;this.dy=Math.sin(this.inst.angle)*a;this.lastx=this.inst.x;this.lasty=this.inst.y;this.lastKnownAngle=this.inst.angle;this.travelled=0;this.enabled=0!==this.properties[5]};f.saveToJSON=function(){return{acc:this.acc,g:this.g,dx:this.dx,dy:this.dy,lx:this.lastx,ly:this.lasty,lka:this.lastKnownAngle,t:this.travelled,e:this.enabled}};f.loadFromJSON=function(a){this.acc=a.acc;this.g=a.g;this.dx=a.dx;this.dy=a.dy;this.lastx=a.lx;this.lasty=a.ly;this.lastKnownAngle=a.lka;
this.travelled=a.t;this.enabled=a.e};f.tick=function(){if(this.enabled){var a=this.runtime.getDt(this.inst),b,c;this.inst.angle!==this.lastKnownAngle&&(this.setAngle&&(b=cr.distanceTo(0,0,this.dx,this.dy),this.dx=Math.cos(this.inst.angle)*b,this.dy=Math.sin(this.inst.angle)*b),this.lastKnownAngle=this.inst.angle);0!==this.acc&&(b=cr.distanceTo(0,0,this.dx,this.dy),c=0===this.dx&&0===this.dy?this.inst.angle:cr.angleTo(0,0,this.dx,this.dy),b+=this.acc*a,0>b&&(b=0),this.dx=Math.cos(c)*b,this.dy=Math.sin(c)*
b);0!==this.g&&(this.dy+=this.g*a);this.lastx=this.inst.x;this.lasty=this.inst.y;if(0!==this.dx||0!==this.dy)if(this.inst.x+=this.dx*a,this.inst.y+=this.dy*a,this.travelled+=cr.distanceTo(0,0,this.dx*a,this.dy*a),this.setAngle&&(this.inst.angle=cr.angleTo(0,0,this.dx,this.dy),this.inst.set_bbox_changed(),this.lastKnownAngle=this.inst.angle),this.inst.set_bbox_changed(),this.bounceOffSolid&&(b=this.runtime.testOverlapSolid(this.inst)))this.runtime.registerCollision(this.inst,b),b=cr.distanceTo(0,0,
this.dx,this.dy),c=this.runtime.calculateSolidBounceAngle(this.inst,this.lastx,this.lasty),this.dx=Math.cos(c)*b,this.dy=Math.sin(c)*b,this.inst.x+=this.dx*a,this.inst.y+=this.dy*a,this.inst.set_bbox_changed(),this.setAngle&&(this.lastKnownAngle=this.inst.angle=c,this.inst.set_bbox_changed()),this.runtime.pushOutSolid(this.inst,this.dx/b,this.dy/b,Math.max(2.5*b*a,30))||this.runtime.pushOutSolidNearest(this.inst,100)}};a.prototype.CompareSpeed=function(a,b){return cr.do_cmp(cr.distanceTo(0,0,this.dx,
this.dy),a,b)};a.prototype.CompareTravelled=function(a,b){return cr.do_cmp(this.travelled,a,b)};d.cnds=new a;b.prototype.SetSpeed=function(a){var b=cr.angleTo(0,0,this.dx,this.dy);this.dx=Math.cos(b)*a;this.dy=Math.sin(b)*a};b.prototype.SetAcceleration=function(a){this.acc=a};b.prototype.SetGravity=function(a){this.g=a};b.prototype.SetAngleOfMotion=function(a){a=cr.to_radians(a);var b=cr.distanceTo(0,0,this.dx,this.dy);this.dx=Math.cos(a)*b;this.dy=Math.sin(a)*b};b.prototype.Bounce=function(a){if(a&&
(a=a.getFirstPicked(this.inst))){var b=this.runtime.getDt(this.inst),c=cr.distanceTo(0,0,this.dx,this.dy),d=this.runtime.calculateSolidBounceAngle(this.inst,this.lastx,this.lasty,a);this.dx=Math.cos(d)*c;this.dy=Math.sin(d)*c;this.inst.x+=this.dx*b;this.inst.y+=this.dy*b;this.inst.set_bbox_changed();this.setAngle&&(this.lastKnownAngle=this.inst.angle=d,this.inst.set_bbox_changed());this.bounceOffSolid?this.runtime.pushOutSolid(this.inst,this.dx/c,this.dy/c,Math.max(2.5*c*b,30))||this.runtime.pushOutSolidNearest(this.inst,
100):this.runtime.pushOut(this.inst,this.dx/c,this.dy/c,Math.max(2.5*c*b,30),a)}};b.prototype.SetEnabled=function(a){this.enabled=1===a};d.acts=new b;c.prototype.Speed=function(a){var b=cr.distanceTo(0,0,this.dx,this.dy),b=cr.round6dp(b);a.set_float(b)};c.prototype.Acceleration=function(a){a.set_float(this.acc)};c.prototype.AngleOfMotion=function(a){a.set_float(cr.to_degrees(cr.angleTo(0,0,this.dx,this.dy)))};c.prototype.DistanceTravelled=function(a){a.set_float(this.travelled)};d.exps=new c})();
cr.behaviors.Car=function(a){this.runtime=a};
(function(){function a(){}function b(){}function c(){}var d=cr.behaviors.Car.prototype;d.Type=function(a,b){this.behavior=a;this.objtype=b;this.runtime=a.runtime};d.Type.prototype.onCreate=function(){};d.Instance=function(a,b){this.type=a;this.behavior=a.behavior;this.inst=b;this.runtime=a.runtime;this.simright=this.simleft=this.simdown=this.simup=this.ignoreInput=this.rightkey=this.leftkey=this.downkey=this.upkey=!1;this.s=0;this.m=this.a=this.inst.angle};var f=d.Instance.prototype;f.onCreate=function(){this.maxspeed=
this.properties[0];this.acc=this.properties[1];this.dec=this.properties[2];this.steerSpeed=cr.to_radians(this.properties[3]);this.driftRecover=cr.to_radians(this.properties[4]);this.friction=this.properties[5];this.setAngle=1===this.properties[6];this.defaultControls=1===this.properties[7];this.enabled=0!==this.properties[8];this.lastx=this.inst.x;this.lasty=this.inst.y;this.lastAngle=this.inst.angle;this.defaultControls&&!this.runtime.isDomFree&&(jQuery(document).keydown(function(a){return function(b){a.onKeyDown(b)}}(this)),
jQuery(document).keyup(function(a){return function(b){a.onKeyUp(b)}}(this)))};f.saveToJSON=function(){return{ignoreInput:this.ignoreInput,enabled:this.enabled,s:this.s,a:this.a,m:this.m,maxspeed:this.maxspeed,acc:this.acc,dec:this.dec,steerSpeed:this.steerSpeed,driftRecover:this.driftRecover,friction:this.friction,lastx:this.lastx,lasty:this.lasty,lastAngle:this.lastAngle}};f.loadFromJSON=function(a){this.ignoreInput=a.ignoreInput;this.enabled=a.enabled;this.s=a.s;this.a=a.a;this.m=a.m;this.maxspeed=
a.maxspeed;this.acc=a.acc;this.dec=a.dec;this.steerSpeed=a.steerSpeed;this.driftRecover=a.driftRecover;this.friction=a.friction;this.lastx=a.lastx;this.lasty=a.lasty;this.lastAngle=a.lastAngle;this.simright=this.simleft=this.simdown=this.simup=this.rightkey=this.leftkey=this.downkey=this.upkey=!1};f.onKeyDown=function(a){switch(a.which){case 37:a.preventDefault();this.leftkey=!0;break;case 38:a.preventDefault();this.upkey=!0;break;case 39:a.preventDefault();this.rightkey=!0;break;case 40:a.preventDefault(),
this.downkey=!0}};f.onKeyUp=function(a){switch(a.which){case 37:a.preventDefault();this.leftkey=!1;break;case 38:a.preventDefault();this.upkey=!1;break;case 39:a.preventDefault();this.rightkey=!1;break;case 40:a.preventDefault(),this.downkey=!1}};f.tick=function(){var a=this.runtime.getDt(this.inst),b=this.leftkey||this.simleft,c=this.rightkey||this.simright,d=this.upkey||this.simup,f=this.downkey||this.simdown;this.simdown=this.simup=this.simright=this.simleft=!1;if(this.enabled){this.setAngle&&
this.inst.angle!==this.lastAngle&&(this.lastAngle=this.m=this.a=this.inst.angle);var m=this.runtime.testOverlapSolid(this.inst);if(m&&(this.runtime.registerCollision(this.inst,m),!this.runtime.pushOutSolidNearest(this.inst)))return;this.ignoreInput&&(f=d=c=b=!1);d&&!f&&(this.s+=this.acc*a,this.s>this.maxspeed&&(this.s=this.maxspeed));f&&!d&&(this.s-=this.dec*a,this.s<-this.maxspeed&&(this.s=-this.maxspeed));f===d&&(0<this.s?(this.s-=0.1*this.dec*a,0>this.s&&(this.s=0)):0>this.s&&(this.s+=0.1*this.dec*
a,0<this.s&&(this.s=0)));0>this.s&&(d=b,b=c,c=d);b&&!c&&(this.a=cr.clamp_angle(this.a-this.steerSpeed*a*(Math.abs(this.s)/this.maxspeed)));c&&!b&&(this.a=cr.clamp_angle(this.a+this.steerSpeed*a*(Math.abs(this.s)/this.maxspeed)));b=this.driftRecover*a;c=cr.angleDiff(this.a,this.m);c>cr.to_radians(90)&&(b+=c-cr.to_radians(90));c<=b?this.m=cr.clamp_angle(this.a):cr.angleClockwise(this.a,this.m)?this.m=cr.clamp_angle(this.m+b):this.m=cr.clamp_angle(this.m-b);this.lastx=this.inst.x;this.lasty=this.inst.y;
if(0!==this.s&&0!==a){if(this.inst.x+=Math.cos(this.m)*this.s*a,this.inst.y+=Math.sin(this.m)*this.s*a,this.setAngle&&(this.lastAngle=this.inst.angle=this.a),this.inst.set_bbox_changed(),b=this.runtime.testOverlapSolid(this.inst))this.runtime.registerCollision(this.inst,b),this.s=Math.abs(this.s),this.m=this.runtime.calculateSolidBounceAngle(this.inst,this.lastx,this.lasty),this.inst.x+=Math.cos(this.m)*this.s*a,this.inst.y+=Math.sin(this.m)*this.s*a,this.inst.set_bbox_changed(),this.s*=1-this.friction,
this.runtime.pushOutSolid(this.inst,Math.cos(this.m),Math.sin(this.m),Math.max(2.5*this.s*a,30))||this.runtime.pushOutSolidNearest(this.inst,100)}else this.setAngle&&this.inst.angle!==this.a&&(this.lastAngle=this.inst.angle=this.a,this.inst.set_bbox_changed(),this.runtime.testOverlapSolid(this.inst)&&this.runtime.pushOutSolidNearest(this.inst,100))}};a.prototype.IsMoving=function(){return 0!==this.s};a.prototype.CompareSpeed=function(a,b){return cr.do_cmp(this.s,a,b)};d.cnds=new a;b.prototype.Stop=
function(){this.s=0};b.prototype.SetIgnoreInput=function(a){this.ignoreInput=a};b.prototype.SetSpeed=function(a){a<-this.maxspeed&&(a=-this.maxspeed);a>this.maxspeed&&(a=this.maxspeed);this.s=a};b.prototype.SetMaxSpeed=function(a){this.maxspeed=a;0>this.maxspeed&&(this.maxspeed=0)};b.prototype.SetAcceleration=function(a){this.acc=a;0>this.acc&&(this.acc=0)};b.prototype.SetDeceleration=function(a){this.dec=a;0>this.dec&&(this.dec=0)};b.prototype.SimulateControl=function(a){switch(a){case 0:this.simleft=
!0;break;case 1:this.simright=!0;break;case 2:this.simup=!0;break;case 3:this.simdown=!0}};b.prototype.SetEnabled=function(a){this.enabled=1===a};b.prototype.SetSteerSpeed=function(a){this.steerSpeed=cr.to_radians(a)};b.prototype.SetDriftRecover=function(a){this.driftRecover=cr.to_radians(a)};b.prototype.SetFriction=function(a){this.friction=a};d.acts=new b;c.prototype.Speed=function(a){a.set_float(this.s)};c.prototype.MaxSpeed=function(a){a.set_float(this.maxspeed)};c.prototype.Acceleration=function(a){a.set_float(this.acc)};
c.prototype.Deceleration=function(a){a.set_float(this.dec)};c.prototype.MovingAngle=function(a){a.set_float(cr.to_degrees(this.m))};c.prototype.VectorX=function(a){a.set_float(Math.cos(this.m)*this.s)};c.prototype.VectorY=function(a){a.set_float(Math.sin(this.m)*this.s)};c.prototype.SteerSpeed=function(a){a.set_float(cr.to_degrees(this.steerSpeed))};c.prototype.DriftRecover=function(a){a.set_float(cr.to_degrees(this.driftRecover))};c.prototype.Friction=function(a){a.set_float(this.friction)};d.exps=
new c})();
cr.behaviors.DragnDrop=function(a){this.runtime=a;var b=this;this.runtime.isDomFree||(jQuery(document).mousemove(function(a){b.onMouseMove(a)}),jQuery(document).mousedown(function(a){b.onMouseDown(a)}),jQuery(document).mouseup(function(a){b.onMouseUp(a)}));a=0<this.runtime.fullscreen_mode?document:this.runtime.canvas;this.runtime.isDirectCanvas?a=window.Canvas:this.runtime.isCocoonJs&&(a=window);window.navigator.pointerEnabled?(a.addEventListener("pointerdown",function(a){b.onPointerStart(a)},!1),
a.addEventListener("pointermove",function(a){b.onPointerMove(a)},!1),a.addEventListener("pointerup",function(a){b.onPointerEnd(a)},!1),a.addEventListener("pointercancel",function(a){b.onPointerEnd(a)},!1)):window.navigator.msPointerEnabled?(a.addEventListener("MSPointerDown",function(a){b.onPointerStart(a)},!1),a.addEventListener("MSPointerMove",function(a){b.onPointerMove(a)},!1),a.addEventListener("MSPointerUp",function(a){b.onPointerEnd(a)},!1),a.addEventListener("MSPointerCancel",function(a){b.onPointerEnd(a)},
!1)):(a.addEventListener("touchstart",function(a){b.onTouchStart(a)},!1),a.addEventListener("touchmove",function(a){b.onTouchMove(a)},!1),a.addEventListener("touchend",function(a){b.onTouchEnd(a)},!1),a.addEventListener("touchcancel",function(a){b.onTouchEnd(a)},!1))};
(function(){function a(a){var b,c;b=0;for(c=a.behavior_insts.length;b<c;b++)if(a.behavior_insts[b]instanceof d.Instance)return a.behavior_insts[b];return null}function b(){}function c(){}var d=cr.behaviors.DragnDrop.prototype,f={left:0,top:0};d.onMouseDown=function(a){if(1===a.which)this.onInputDown("leftmouse",a.pageX,a.pageY)};d.onMouseMove=function(a){if(1===a.which)this.onInputMove("leftmouse",a.pageX,a.pageY)};d.onMouseUp=function(a){if(1===a.which)this.onInputUp("leftmouse")};d.onTouchStart=
function(a){a.preventDefault&&cr.isCanvasInputEvent(a)&&a.preventDefault();var b,c,d,e;b=0;for(c=a.changedTouches.length;b<c;b++)d=a.changedTouches[b],e=d.identifier,this.onInputDown(e?e.toString():"<none>",d.pageX,d.pageY)};d.onTouchMove=function(a){a.preventDefault&&a.preventDefault();var b,c,d,e;b=0;for(c=a.changedTouches.length;b<c;b++)d=a.changedTouches[b],e=d.identifier,this.onInputMove(e?e.toString():"<none>",d.pageX,d.pageY)};d.onTouchEnd=function(a){a.preventDefault&&cr.isCanvasInputEvent(a)&&
a.preventDefault();var b,c,d;b=0;for(c=a.changedTouches.length;b<c;b++)d=a.changedTouches[b],d=d.identifier,this.onInputUp(d?d.toString():"<none>")};d.onPointerStart=function(a){a.pointerType!==a.MSPOINTER_TYPE_MOUSE&&"mouse"!==a.pointerType&&(a.preventDefault&&cr.isCanvasInputEvent(a)&&a.preventDefault(),this.onInputDown(a.pointerId.toString(),a.pageX,a.pageY))};d.onPointerMove=function(a){a.pointerType!==a.MSPOINTER_TYPE_MOUSE&&"mouse"!==a.pointerType&&(a.preventDefault&&a.preventDefault(),this.onInputMove(a.pointerId.toString(),
a.pageX,a.pageY))};d.onPointerEnd=function(a){a.pointerType!==a.MSPOINTER_TYPE_MOUSE&&"mouse"!==a.pointerType&&(a.preventDefault&&cr.isCanvasInputEvent(a)&&a.preventDefault(),this.onInputUp(a.pointerId.toString()))};d.onInputDown=function(b,c,d){var e=this.runtime.isDomFree?f:jQuery(this.runtime.canvas).offset();c-=e.left;d-=e.top;var m,n,r,p,e=this.my_instances.valuesRef(),q,t,s,u=null;q=0;for(t=e.length;q<t;q++)if(s=e[q],m=a(s),m.enabled&&!m.dragging&&(m=s.layer.canvasToLayer(c,d,!0),n=s.layer.canvasToLayer(c,
d,!1),s.update_bbox(),s.contains_pt(m,n)))u?s.layer.index>u.layer.index?(u=s,r=m,p=n):s.layer.index===u.layer.index&&s.get_zindex()>u.get_zindex()&&(u=s,r=m,p=n):(u=s,r=m,p=n);if(u)a(u).onDown(b,r,p)};d.onInputMove=function(b,c,d){var e=this.runtime.isDomFree?f:jQuery(this.runtime.canvas).offset();c-=e.left;d-=e.top;var m,n=this.my_instances.valuesRef(),r,p,q;r=0;for(p=n.length;r<p;r++)m=n[r],q=a(m),!q.enabled||!q.dragging||q.dragging&&q.dragsource!==b||(e=m.layer.canvasToLayer(c,d,!0),m=m.layer.canvasToLayer(c,
d,!1),q.onMove(e,m))};d.onInputUp=function(b){var c=this.my_instances.valuesRef(),d,e,f;d=0;for(e=c.length;d<e;d++)if(f=c[d],f=a(f),f.dragging&&f.dragsource===b)f.onUp()};d.Type=function(a,b){this.behavior=a;this.objtype=b;this.runtime=a.runtime};d.Type.prototype.onCreate=function(){};d.Instance=function(a,b){this.type=a;this.behavior=a.behavior;this.inst=b;this.runtime=a.runtime};var e=d.Instance.prototype;e.onCreate=function(){this.dragging=!1;this.dy=this.dx=0;this.dragsource="<none>";this.axes=
this.properties[0];this.enabled=0!==this.properties[1]};e.saveToJSON=function(){return{enabled:this.enabled}};e.loadFromJSON=function(a){this.enabled=a.enabled;this.dragging=!1};e.onDown=function(a,b,c){this.dx=b-this.inst.x;this.dy=c-this.inst.y;this.dragging=!0;this.dragsource=a;this.runtime.isInUserInputEvent=!0;this.runtime.trigger(cr.behaviors.DragnDrop.prototype.cnds.OnDragStart,this.inst);this.runtime.isInUserInputEvent=!1};e.onMove=function(a,b){var c=a-this.dx,d=b-this.dy;if(0===this.axes){if(this.inst.x!==
c||this.inst.y!==d)this.inst.x=c,this.inst.y=d,this.inst.set_bbox_changed()}else 1===this.axes?this.inst.x!==c&&(this.inst.x=c,this.inst.set_bbox_changed()):2===this.axes&&this.inst.y!==d&&(this.inst.y=d,this.inst.set_bbox_changed())};e.onUp=function(){this.dragging=!1;this.runtime.isInUserInputEvent=!0;this.runtime.trigger(cr.behaviors.DragnDrop.prototype.cnds.OnDrop,this.inst);this.runtime.isInUserInputEvent=!1};e.tick=function(){};b.prototype.IsDragging=function(){return this.dragging};b.prototype.OnDragStart=
function(){return!0};b.prototype.OnDrop=function(){return!0};b.prototype.IsEnabled=function(){return!!this.enabled};d.cnds=new b;c.prototype.SetEnabled=function(a){this.enabled=0!==a;this.enabled||(this.dragging=!1)};c.prototype.Drop=function(){if(this.dragging)this.onUp()};d.acts=new c;d.exps=new function(){}})();cr.behaviors.EightDir=function(a){this.runtime=a};
(function(){function a(){}function b(){}function c(){}var d=cr.behaviors.EightDir.prototype;d.Type=function(a,b){this.behavior=a;this.objtype=b;this.runtime=a.runtime};d.Type.prototype.onCreate=function(){};d.Instance=function(a,b){this.type=a;this.behavior=a.behavior;this.inst=b;this.runtime=a.runtime;this.simright=this.simleft=this.simdown=this.simup=this.ignoreInput=this.rightkey=this.leftkey=this.downkey=this.upkey=!1;this.lastrighttick=this.lastlefttick=this.lastdowntick=this.lastuptick=-1;this.dy=
this.dx=0};var f=d.Instance.prototype;f.onCreate=function(){this.maxspeed=this.properties[0];this.acc=this.properties[1];this.dec=this.properties[2];this.directions=this.properties[3];this.angleMode=this.properties[4];this.defaultControls=1===this.properties[5];this.enabled=0!==this.properties[6];this.defaultControls&&!this.runtime.isDomFree&&(jQuery(document).keydown(function(a){return function(b){a.onKeyDown(b)}}(this)),jQuery(document).keyup(function(a){return function(b){a.onKeyUp(b)}}(this)))};
f.saveToJSON=function(){return{dx:this.dx,dy:this.dy,enabled:this.enabled,maxspeed:this.maxspeed,acc:this.acc,dec:this.dec,ignoreInput:this.ignoreInput}};f.loadFromJSON=function(a){this.dx=a.dx;this.dy=a.dy;this.enabled=a.enabled;this.maxspeed=a.maxspeed;this.acc=a.acc;this.dec=a.dec;this.ignoreInput=a.ignoreInput;this.simright=this.simleft=this.simdown=this.simup=this.rightkey=this.leftkey=this.downkey=this.upkey=!1;this.lastrighttick=this.lastlefttick=this.lastdowntick=this.lastuptick=-1};f.onKeyDown=
function(a){var b=this.runtime.tickcount;switch(a.which){case 37:a.preventDefault();this.lastlefttick<b&&(this.leftkey=!0);break;case 38:a.preventDefault();this.lastuptick<b&&(this.upkey=!0);break;case 39:a.preventDefault();this.lastrighttick<b&&(this.rightkey=!0);break;case 40:a.preventDefault(),this.lastdowntick<b&&(this.downkey=!0)}};f.onKeyUp=function(a){var b=this.runtime.tickcount;switch(a.which){case 37:a.preventDefault();this.leftkey=!1;this.lastlefttick=b;break;case 38:a.preventDefault();
this.upkey=!1;this.lastuptick=b;break;case 39:a.preventDefault();this.rightkey=!1;this.lastrighttick=b;break;case 40:a.preventDefault(),this.downkey=!1,this.lastdowntick=b}};f.tick=function(){var a=this.runtime.getDt(this.inst),b=this.leftkey||this.simleft,c=this.rightkey||this.simright,d=this.upkey||this.simup,f=this.downkey||this.simdown;this.simdown=this.simup=this.simright=this.simleft=!1;if(this.enabled){var m=this.runtime.testOverlapSolid(this.inst);if(m&&(this.runtime.registerCollision(this.inst,
m),!this.runtime.pushOutSolidNearest(this.inst)))return;this.ignoreInput&&(f=d=c=b=!1);0===this.directions?c=b=!1:1===this.directions&&(f=d=!1);2===this.directions&&(d||f)&&(c=b=!1);b==c&&(0>this.dx?(this.dx+=this.dec*a,0<this.dx&&(this.dx=0)):0<this.dx&&(this.dx-=this.dec*a,0>this.dx&&(this.dx=0)));d==f&&(0>this.dy?(this.dy+=this.dec*a,0<this.dy&&(this.dy=0)):0<this.dy&&(this.dy-=this.dec*a,0>this.dy&&(this.dy=0)));b&&!c&&(this.dx=0<this.dx?this.dx-(this.acc+this.dec)*a:this.dx-this.acc*a);c&&!b&&
(this.dx=0>this.dx?this.dx+(this.acc+this.dec)*a:this.dx+this.acc*a);d&&!f&&(this.dy=0<this.dy?this.dy-(this.acc+this.dec)*a:this.dy-this.acc*a);f&&!d&&(this.dy=0>this.dy?this.dy+(this.acc+this.dec)*a:this.dy+this.acc*a);if(0!==this.dx||0!==this.dy){Math.sqrt(this.dx*this.dx+this.dy*this.dy)>this.maxspeed&&(m=Math.atan2(this.dy,this.dx),this.dx=this.maxspeed*Math.cos(m),this.dy=this.maxspeed*Math.sin(m));c=this.inst.x;d=this.inst.y;b=this.inst.angle;this.inst.x+=this.dx*a;this.inst.set_bbox_changed();
if(m=this.runtime.testOverlapSolid(this.inst))this.inst.x=c,this.dx=0,this.inst.set_bbox_changed(),this.runtime.registerCollision(this.inst,m);this.inst.y+=this.dy*a;this.inst.set_bbox_changed();if(m=this.runtime.testOverlapSolid(this.inst))this.inst.y=d,this.dy=0,this.inst.set_bbox_changed(),this.runtime.registerCollision(this.inst,m);a=cr.round6dp(this.dx);m=cr.round6dp(this.dy);if(0!==a||0!==m)1===this.angleMode?this.inst.angle=cr.to_clamped_radians(90*Math.round(cr.to_degrees(Math.atan2(m,a))/
90)):2===this.angleMode?this.inst.angle=cr.to_clamped_radians(45*Math.round(cr.to_degrees(Math.atan2(m,a))/45)):3===this.angleMode&&(this.inst.angle=Math.atan2(m,a));this.inst.set_bbox_changed();this.inst.angle!=b&&(m=this.runtime.testOverlapSolid(this.inst))&&(this.inst.angle=b,this.inst.set_bbox_changed(),this.runtime.registerCollision(this.inst,m))}}};a.prototype.IsMoving=function(){return 0!==this.dx||0!==this.dy};a.prototype.CompareSpeed=function(a,b){var c=Math.sqrt(this.dx*this.dx+this.dy*
this.dy);return cr.do_cmp(c,a,b)};d.cnds=new a;b.prototype.Stop=function(){this.dy=this.dx=0};b.prototype.Reverse=function(){this.dx*=-1;this.dy*=-1};b.prototype.SetIgnoreInput=function(a){this.ignoreInput=a};b.prototype.SetSpeed=function(a){0>a&&(a=0);a>this.maxspeed&&(a=this.maxspeed);var b=Math.atan2(this.dy,this.dx);this.dx=a*Math.cos(b);this.dy=a*Math.sin(b)};b.prototype.SetMaxSpeed=function(a){this.maxspeed=a;0>this.maxspeed&&(this.maxspeed=0)};b.prototype.SetAcceleration=function(a){this.acc=
a;0>this.acc&&(this.acc=0)};b.prototype.SetDeceleration=function(a){this.dec=a;0>this.dec&&(this.dec=0)};b.prototype.SimulateControl=function(a){switch(a){case 0:this.simleft=!0;break;case 1:this.simright=!0;break;case 2:this.simup=!0;break;case 3:this.simdown=!0}};b.prototype.SetEnabled=function(a){this.enabled=1===a};b.prototype.SetVectorX=function(a){this.dx=a};b.prototype.SetVectorY=function(a){this.dy=a};d.acts=new b;c.prototype.Speed=function(a){a.set_float(Math.sqrt(this.dx*this.dx+this.dy*
this.dy))};c.prototype.MaxSpeed=function(a){a.set_float(this.maxspeed)};c.prototype.Acceleration=function(a){a.set_float(this.acc)};c.prototype.Deceleration=function(a){a.set_float(this.dec)};c.prototype.MovingAngle=function(a){a.set_float(cr.to_degrees(Math.atan2(this.dy,this.dx)))};c.prototype.VectorX=function(a){a.set_float(this.dx)};c.prototype.VectorY=function(a){a.set_float(this.dy)};d.exps=new c})();cr.behaviors.Fade=function(a){this.runtime=a};
(function(){function a(){}function b(){}var c=cr.behaviors.Fade.prototype;c.Type=function(a,b){this.behavior=a;this.objtype=b;this.runtime=a.runtime};c.Type.prototype.onCreate=function(){};c.Instance=function(a,b){this.type=a;this.behavior=a.behavior;this.inst=b;this.runtime=a.runtime};var d=c.Instance.prototype;d.onCreate=function(){var a=1===this.properties[0];this.fadeInTime=this.properties[1];this.waitTime=this.properties[2];this.fadeOutTime=this.properties[3];this.destroy=this.properties[4];
this.stage=a?0:3;this.recycled?this.stageTime.reset():this.stageTime=new cr.KahanAdder;this.maxOpacity=this.inst.opacity?this.inst.opacity:1;a&&(0===this.fadeInTime?(this.stage=1,0===this.waitTime&&(this.stage=2)):(this.inst.opacity=0,this.runtime.redraw=!0))};d.saveToJSON=function(){return{fit:this.fadeInTime,wt:this.waitTime,fot:this.fadeOutTime,s:this.stage,st:this.stageTime.sum,mo:this.maxOpacity}};d.loadFromJSON=function(a){this.fadeInTime=a.fit;this.waitTime=a.wt;this.fadeOutTime=a.fot;this.stage=
a.s;this.stageTime.reset();this.stageTime.sum=a.st;this.maxOpacity=a.mo};d.tick=function(){this.stageTime.add(this.runtime.getDt(this.inst));0===this.stage&&(this.inst.opacity=this.stageTime.sum/this.fadeInTime*this.maxOpacity,this.runtime.redraw=!0,this.inst.opacity>=this.maxOpacity&&(this.inst.opacity=this.maxOpacity,this.stage=1,this.stageTime.reset()));1===this.stage&&this.stageTime.sum>=this.waitTime&&(this.stage=2,this.stageTime.reset());2===this.stage&&0!==this.fadeOutTime&&(this.inst.opacity=
this.maxOpacity-this.stageTime.sum/this.fadeOutTime*this.maxOpacity,this.runtime.redraw=!0,0>this.inst.opacity&&(this.inst.opacity=0,this.stage=3,this.stageTime.reset(),this.runtime.trigger(cr.behaviors.Fade.prototype.cnds.OnFadeOutEnd,this.inst),1===this.destroy&&this.runtime.DestroyInstance(this.inst)))};d.doStart=function(){this.stage=0;this.stageTime.reset();0===this.fadeInTime?(this.stage=1,0===this.waitTime&&(this.stage=2)):(this.inst.opacity=0,this.runtime.redraw=!0)};a.prototype.OnFadeOutEnd=
function(){return!0};c.cnds=new a;b.prototype.StartFade=function(){3===this.stage&&this.doStart()};b.prototype.RestartFade=function(){this.doStart()};c.acts=new b})();cr.behaviors.Flash=function(a){this.runtime=a};
(function(){function a(){}function b(){}var c=cr.behaviors.Flash.prototype;c.Type=function(a,b){this.behavior=a;this.objtype=b;this.runtime=a.runtime};c.Type.prototype.onCreate=function(){};c.Instance=function(a,b){this.type=a;this.behavior=a.behavior;this.inst=b;this.runtime=a.runtime};var d=c.Instance.prototype;d.onCreate=function(){this.timeleft=this.stagetimeleft=this.stage=this.offtime=this.ontime=0};d.saveToJSON=function(){return{ontime:this.ontime,offtime:this.offtime,stage:this.stage,stagetimeleft:this.stagetimeleft,
timeleft:this.timeleft}};d.loadFromJSON=function(a){this.ontime=a.ontime;this.offtime=a.offtime;this.stage=a.stage;this.stagetimeleft=a.stagetimeleft;this.timeleft=a.timeleft};d.tick=function(){if(!(0>=this.timeleft)){var a=this.runtime.getDt(this.inst);this.timeleft-=a;0>=this.timeleft?(this.timeleft=0,this.inst.visible=!0,this.runtime.redraw=!0,this.runtime.trigger(cr.behaviors.Flash.prototype.cnds.OnFlashEnded,this.inst)):(this.stagetimeleft-=a,0>=this.stagetimeleft&&(0===this.stage?(this.inst.visible=
!1,this.stage=1,this.stagetimeleft+=this.offtime):(this.inst.visible=!0,this.stage=0,this.stagetimeleft+=this.ontime),this.runtime.redraw=!0))}};a.prototype.IsFlashing=function(){return 0<this.timeleft};a.prototype.OnFlashEnded=function(){return!0};c.cnds=new a;b.prototype.Flash=function(a,b,c){this.ontime=a;this.offtime=b;this.stage=1;this.stagetimeleft=b;this.timeleft=c;this.inst.visible=!1;this.runtime.redraw=!0};b.prototype.StopFlashing=function(){this.timeleft=0;this.inst.visible=!0;this.runtime.redraw=
!0};c.acts=new b;c.exps=new function(){}})();cr.behaviors.Pathfinding=function(a){this.runtime=a};
(function(){function a(){}function b(){}function c(){}var d=cr.behaviors.Pathfinding.prototype;d.Type=function(a,b){this.behavior=a;this.objtype=b;this.runtime=a.runtime};d.Type.prototype.onCreate=function(){this.obstacleTypes=[];this.costTypes=[]};var f={};d.Instance=function(a,b){this.type=a;this.behavior=a.behavior;this.inst=b;this.runtime=a.runtime};var e=d.Instance.prototype;e.onCreate=function(){this.cellSize=this.properties[0];3>this.cellSize&&(this.cellSize=3);this.cellBorder=this.properties[1];
this.obstacles=this.properties[2];this.maxSpeed=this.properties[3];this.acc=this.properties[4];this.dec=this.properties[5];this.av=cr.to_radians(this.properties[6]);this.rotateEnabled=0!==this.properties[7];this.diagonalsEnabled=0!==this.properties[8];this.enabled=0!==this.properties[9];this.hasPath=this.firstTickMovingWhileMoving=this.movingFromStopped=this.isMoving=!1;this.moveNode=0;this.lastKnownAngle=this.a=this.inst.angle;this.rabbitA=this.rabbitY=this.rabbitX=this.s=0;this.myHcells=Math.ceil(this.runtime.running_layout.width/
this.cellSize);this.myVcells=Math.ceil(this.runtime.running_layout.height/this.cellSize);this.myPath=[];this.delayFindPath=!1;this.delayPathY=this.delayPathX=0;this.isCalculating=this.is_destroyed=!1;this.calcPathY=this.calcPathX=0;this.firstRun=!0;var a=this;this.recycled||(this.pathSuccessFn=function(){a.is_destroyed||(a.isCalculating=!1,a.copyResultPath(),a.hasPath=0<a.myPath.length,a.moveNode=0,a.runtime.trigger(cr.behaviors.Pathfinding.prototype.cnds.OnPathFound,a.inst),a.doDelayFindPath())},
this.pathFailFn=function(){a.is_destroyed||(a.isCalculating=!1,a.clearResultPath(),a.hasPath=!1,a.isMoving=!1,a.moveNode=0,a.runtime.trigger(cr.behaviors.Pathfinding.prototype.cnds.OnFailedToFindPath,a.inst),a.doDelayFindPath())})};e.onDestroy=function(){this.is_destroyed=!0;this.delayFindPath=!1};e.saveToJSON=function(){var a={cs:this.cellSize,cb:this.cellBorder,ms:this.maxSpeed,acc:this.acc,dec:this.dec,av:this.av,re:this.rotateEnabled,de:this.diagonalsEnabled,im:this.isMoving,mfs:this.movingFromStopped,
ftmwm:this.firstTickMovingWhileMoving,hp:this.hasPath,mn:this.moveNode,a:this.a,lka:this.lastKnownAngle,s:this.s,rx:this.rabbitX,ry:this.rabbitY,ra:this.rabbitA,myhc:this.myHcells,myvc:this.myVcells,path:this.myPath,en:this.enabled,fr:this.firstRun,obs:[],costs:[]};this.isCalculating?(a.dfp=!0,a.dpx=this.calcPathX,a.dpy=this.calcPathY):(a.dfp=this.delayFindPath,a.dpx=this.delayPathX,a.dpy=this.delayPathY);var b,c;b=0;for(c=this.type.obstacleTypes.length;b<c;b++)a.obs.push(this.type.obstacleTypes[b].sid);
b=0;for(c=this.type.costTypes.length;b<c;b++)a.costs.push({sid:this.type.costTypes[b].obj.sid,cost:this.type.costTypes[b].cost});return a};e.loadFromJSON=function(a){this.cellSize=a.cs;this.cellBorder=a.cb;this.maxSpeed=a.ms;this.acc=a.acc;this.dec=a.dec;this.av=a.av;this.rotateEnabled=a.re;this.diagonalsEnabled=a.de;this.isMoving=a.im;this.movingFromStopped=a.mfs;this.firstTickMovingWhileMoving=a.ftmwm;this.hasPath=a.hp;this.moveNode=a.mn;this.a=a.a;this.lastKnownAngle=a.lka;this.s=a.s;this.rabbitX=
a.rx;this.rabbitY=a.ry;this.rabbitA=a.ra;this.myHcells=a.myhc;this.myVcells=a.myvc;this.myPath=a.path;this.enabled=a.en;this.firstRun=a.fr;this.delayFindPath=a.dfp;this.delayPathX=a.dpx;this.delayPathY=a.dpy;this.type.obstacleTypes.length=0;var b=a.obs,c,d,e;c=0;for(d=b.length;c<d;c++)(e=this.runtime.getObjectTypeBySid(b[c]))&&this.type.obstacleTypes.push(e);this.type.costTypes.length=0;a=a.costs;c=0;for(d=a.length;c<d;c++)(e=this.runtime.getObjectTypeBySid(a[c].sid))&&this.type.costTypes.push({obj:e,
cost:a[c].cost});this.getMyInfo().pathfinder.setDiagonals(this.diagonalsEnabled)};e.afterLoad=function(){this.getMyInfo().regenerate=!0};e.tick=function(){if(this.enabled&&this.isMoving){this.rotateEnabled&&this.inst.angle!==this.lastKnownAngle&&(this.a=this.inst.angle);var a=this.runtime.getDt(this.inst),b,c,d,e,f,g=this.inst,l=Math.min(0.4*this.maxSpeed,2*Math.abs(this.inst.width)),s=Math.max(1.5*this.s,30);this.moveNode<this.myPath.length?(e=this.myPath[this.moveNode].x,f=this.myPath[this.moveNode].y,
d=cr.distanceTo(this.rabbitX,this.rabbitY,e,f),d<3*s*a&&(this.moveNode++,this.rabbitX=e,this.rabbitY=f,this.moveNode<this.myPath.length&&(e=this.myPath[this.moveNode].x,f=this.myPath[this.moveNode].y))):(e=this.myPath[this.myPath.length-1].x,f=this.myPath[this.myPath.length-1].y);this.rabbitA=cr.angleTo(this.rabbitX,this.rabbitY,e,f);d=cr.distanceTo(g.x,g.y,this.rabbitX,this.rabbitY);d<l&&this.moveNode<this.myPath.length&&(this.firstTickMovingWhileMoving?this.firstTickMovingWhileMoving=!1:l=s*a,this.rabbitX+=
Math.cos(this.rabbitA)*l,this.rabbitY+=Math.sin(this.rabbitA)*l);b=cr.angleTo(g.x,g.y,this.rabbitX,this.rabbitY);c=cr.angleDiff(this.a,b);l=cr.distanceTo(g.x,g.y,this.myPath[this.myPath.length-1].x,this.myPath[this.myPath.length-1].y);s=this.maxSpeed*this.maxSpeed/(2*this.dec);1<d&&(this.a=cr.angleRotate(this.a,b,this.av*a),0.5>=cr.to_degrees(c)?c=this.maxSpeed:120<=cr.to_degrees(c)||this.movingFromStopped&&0===this.moveNode?(c=0,this.movingFromStopped=!0):(b=c/this.av,d=cr.distanceTo(g.x,g.y,this.rabbitX,
this.rabbitY),d/=2*Math.sin(c),c=d*c/b,0>c&&(c=0),c>this.maxSpeed&&(c=this.maxSpeed)),l<s&&(c=Math.min(c,l/s*this.maxSpeed+this.maxSpeed/40)),this.s+=this.acc*a,this.s>c&&(this.s=c));g.x+=Math.cos(this.a)*this.s*a;g.y+=Math.sin(this.a)*this.s*a;this.rotateEnabled&&(this.lastKnownAngle=g.angle=this.a);g.set_bbox_changed();this.moveNode===this.myPath.length&&cr.distanceTo(g.x,g.y,e,f)<Math.max(3*this.s*a,10)&&(this.hasPath=this.isMoving=!1,this.s=this.moveNode=0,this.runtime.trigger(cr.behaviors.Pathfinding.prototype.cnds.OnArrived,
g))}};e.tick2=function(){this.enabled&&(this.generateMap(),this.doDelayFindPath())};e.doDelayFindPath=function(){this.delayFindPath&&!this.is_destroyed&&(this.delayFindPath=!1,this.doFindPath(this.inst.x,this.inst.y,this.delayPathX,this.delayPathY))};e.getMyInfo=function(){var a=""+this.cellSize+","+this.cellBorder;f.hasOwnProperty(a)||(f[a]={pathfinder:new window.Pathfinder,cells:null,regenerate:!1});return f[a]};e.generateMap=function(){var a=this.getMyInfo();if(!a.pathfinder.isReady()||a.regenerate){var b=
[];b.length=this.myHcells;var c,d,e=this.myHcells,f=this.myVcells;for(c=0;c<e;c++)for(b[c]=[],b[c].length=f,d=0;d<f;d++)b[c][d]=this.queryCellCollision(c,d);a.cells=b;a.pathfinder.init(this.myHcells,this.myVcells,b,this.diagonalsEnabled);a.regenerate=!1}};e.clearResultPath=function(){var a,b;a=0;for(b=this.myPath.length;a<b;a++)window.freeResultNode(this.myPath[a]);this.myPath.length=0};e.copyResultPath=function(){var a=this.getMyInfo().pathfinder.pathList;this.clearResultPath();var b,c,d,e;b=0;for(c=
a.length;b<c;b++)d=a[b],e=window.allocResultNode(),e.x=(d.x+0.5)*this.cellSize,e.y=(d.y+0.5)*this.cellSize,this.myPath.push(e)};var g=[],l=new cr.rect;e.queryCellCollision=function(a,b){var c,d,e,f,q,t=0;l.left=a*this.cellSize-this.cellBorder;l.top=b*this.cellSize-this.cellBorder;l.right=(a+1)*this.cellSize+this.cellBorder;l.bottom=(b+1)*this.cellSize+this.cellBorder;if(0===this.obstacles){if(this.runtime.testRectOverlapSolid(l))return window.PF_OBSTACLE}else{this.runtime.getTypesCollisionCandidates(this.inst.layer,
this.type.obstacleTypes,l,g);c=0;for(d=g.length;c<d;++c)if(this.runtime.testRectOverlap(l,g[c]))return g.length=0,window.PF_OBSTACLE;g.length=0}c=0;for(d=this.type.costTypes.length;c<d;c++){e=this.type.costTypes[c].obj;q=this.type.costTypes[c].cost;this.runtime.getCollisionCandidates(this.inst.layer,e,l,g);e=0;for(f=g.length;e<f;++e)this.runtime.testRectOverlap(l,g[e])&&(t+=q);g.length=0}return t};e.doFindPath=function(a,b,c,d){var e=this.getMyInfo().pathfinder;if(!e.isReady())return!1;this.isCalculating=
!0;this.calcPathX=c;this.calcPathY=d;a=Math.floor(a/this.cellSize);b=Math.floor(b/this.cellSize);c=Math.floor(c/this.cellSize);d=Math.floor(d/this.cellSize);var f,g,l,s,u,y,C;if(e.at(c,d)===window.PF_OBSTACLE){f=1E6;for(s=l=g=0;s<this.myHcells;s++)for(u=0;u<this.myVcells;u++)e.at(s,u)!==window.PF_OBSTACLE&&(y=c-s,C=d-u,y=y*y+C*C,y<f&&(f=y,g=s,l=u));c=g;d=l}e.findPath(a,b,c,d,this.pathSuccessFn,this.pathFailFn)};e.onLayoutChange=function(){this.getMyInfo().regenerate=!0};a.prototype.OnPathFound=function(){return!0};
a.prototype.OnFailedToFindPath=function(){return!0};a.prototype.IsCellObstacle=function(a,b){return this.getMyInfo().pathfinder.at(a,b)===window.PF_OBSTACLE};a.prototype.IsCalculatingPath=function(){return this.isCalculating};a.prototype.IsMoving=function(){return this.isMoving};a.prototype.OnArrived=function(){return!0};a.prototype.CompareSpeed=function(a,b){return cr.do_cmp(this.s,a,b)};a.prototype.DiagonalsEnabled=function(a,b){return this.diagonalsEnabled};d.cnds=new a;b.prototype.FindPath=function(a,
b){this.enabled&&(this.isCalculating||!this.getMyInfo().pathfinder.isReady()?(this.delayFindPath=!0,this.delayPathX=a,this.delayPathY=b):this.doFindPath(this.inst.x,this.inst.y,a,b))};b.prototype.StartMoving=function(){this.hasPath&&(this.isMoving&&(this.firstTickMovingWhileMoving=!0),this.movingFromStopped=!this.isMoving,this.isMoving=!0,this.rabbitX=this.inst.x,this.rabbitY=this.inst.y,this.rabbitA=this.inst.angle)};b.prototype.Stop=function(){this.isMoving=!1};b.prototype.SetEnabled=function(a){this.enabled=
0!==a};b.prototype.RegenerateMap=function(){this.getMyInfo().regenerate=!0};b.prototype.AddObstacle=function(a){var b=this.type.obstacleTypes;if(-1===b.indexOf(a)){var c,d,e;c=0;for(d=b.length;c<d;c++)if(e=b[c],e.is_family&&-1!==e.members.indexOf(a))return;b.push(a)}};b.prototype.ClearObstacles=function(){this.type.obstacleTypes.length=0};b.prototype.AddCost=function(a,b){var c=this.type.costTypes,d,e,f;d=0;for(e=c.length;d<e;d++)if(f=c[d].obj,f===a||f.is_family&&-1!==f.members.indexOf(a))return;
c.push({obj:a,cost:b})};b.prototype.ClearCost=function(){this.type.costTypes.length=0};b.prototype.SetMaxSpeed=function(a){this.maxSpeed=a};b.prototype.SetSpeed=function(a){0>a&&(a=0);a>this.maxSpeed&&(a=this.maxSpeed);this.s=a};b.prototype.SetAcc=function(a){this.acc=a};b.prototype.SetDec=function(a){this.dec=a};b.prototype.SetRotateSpeed=function(a){this.av=cr.to_radians(a)};b.prototype.SetDiagonalsEnabled=function(a){this.diagonalsEnabled=0!==a;this.getMyInfo().pathfinder.setDiagonals(this.diagonalsEnabled)};
d.acts=new b;c.prototype.NodeCount=function(a){a.set_int(this.myPath.length)};c.prototype.NodeXAt=function(a,b){b=Math.floor(b);0>b||b>=this.myPath.length?a.set_float(0):a.set_float(this.myPath[b].x)};c.prototype.NodeYAt=function(a,b){b=Math.floor(b);0>b||b>=this.myPath.length?a.set_float(0):a.set_float(this.myPath[b].y)};c.prototype.CellSize=function(a){a.set_int(this.cellSize)};c.prototype.RabbitX=function(a){a.set_float(this.rabbitX)};c.prototype.RabbitY=function(a){a.set_float(this.rabbitY)};
c.prototype.MaxSpeed=function(a){a.set_float(this.maxSpeed)};c.prototype.Acceleration=function(a){a.set_float(this.acc)};c.prototype.Deceleration=function(a){a.set_float(this.dec)};c.prototype.RotateSpeed=function(a){a.set_float(cr.to_degrees(this.av))};c.prototype.MovingAngle=function(a){a.set_float(cr.to_degrees(this.a))};c.prototype.CurrentNode=function(a){a.set_int(this.moveNode)};c.prototype.Speed=function(a){a.set_float(this.isMoving?this.s:0)};d.exps=new c})();var Box2D={Dynamics:{}};
Box2D.Dynamics.Joints={};Box2D.Common={};Box2D.Common.Math={};Box2D.Collision={};Box2D.Collision.Shapes={};function c2inherit(a,b){for(var c in b.prototype)b.prototype.hasOwnProperty(c)&&(a.prototype[c]=b.prototype[c])}
if(navigator.isCocoonJS&&"undefined"!==typeof window.cr_cjs_accelerated_physics)cr.logexport("Using CocoonJS native physics"),window.ext&&"undefined"!==typeof window.ext.IDTK_SRV_BOX2D?function(){var a=function(a,b){void 0===a&&(a=0);void 0===b&&(b=0);this.x=a;this.y=b};Box2D.Common.Math.b2Vec2=a;a._freeCache=[];a.Get=function(a,b){if(0<Box2D.Common.Math.b2Vec2._freeCache.length){var c=Box2D.Common.Math.b2Vec2._freeCache.pop();c.Set(a,b);return c}return new Box2D.Common.Math.b2Vec2(a,b)};a.Free=function(a){1E4>
Box2D.Common.Math.b2Vec2._freeCache.length&&Box2D.Common.Math.b2Vec2._freeCache.push(a)};a.prototype.SetZero=function(){this.y=this.x=0};a.prototype.Set=function(a,b){void 0===a&&(a=0);void 0===b&&(b=0);this.x=a;this.y=b};a.prototype.SetV=function(a){this.x=a.x;this.y=a.y};a.Make=function(b,c){void 0===b&&(b=0);void 0===c&&(c=0);return a.Get(b,c)};a.prototype.Copy=function(){return a.Get(this.x,this.y)};a.prototype.Add=function(a){this.x+=a.x;this.y+=a.y};a.prototype.Subtract=function(a){this.x-=
a.x;this.y-=a.y};a.prototype.Multiply=function(a){void 0===a&&(a=0);this.x*=a;this.y*=a};a.prototype.Length=function(){return Math.sqrt(this.x*this.x+this.y*this.y)};a.prototype.LengthSquared=function(){return this.x*this.x+this.y*this.y};a.prototype.Normalize=function(){var a=Math.sqrt(this.x*this.x+this.y*this.y);if(a<Number.MIN_VALUE)return 0;var b=1/a;this.x*=b;this.y*=b;return a};a.prototype.NegativeSelf=function(){this.x=-this.x;this.y=-this.y};var b=function(){this.col1=a.Get(0,0);this.col2=
a.Get(0,0);this.SetIdentity()};Box2D.Common.Math.b2Mat22=b;b.FromAngle=function(a){void 0===a&&(a=0);var c=new b;c.Set(a);return c};b.FromVV=function(a,c){var d=new b;d.SetVV(a,c);return d};b.prototype.Set=function(a){void 0===a&&(a=0);var b=Math.cos(a);a=Math.sin(a);this.col1.x=b;this.col2.x=-a;this.col1.y=a;this.col2.y=b};b.prototype.SetVV=function(a,b){this.col1.SetV(a);this.col2.SetV(b)};b.prototype.Copy=function(){var a=new b;a.SetM(this);return a};b.prototype.SetM=function(a){this.col1.SetV(a.col1);
this.col2.SetV(a.col2)};b.prototype.AddM=function(a){this.col1.x+=a.col1.x;this.col1.y+=a.col1.y;this.col2.x+=a.col2.x;this.col2.y+=a.col2.y};b.prototype.SetIdentity=function(){this.col1.x=1;this.col2.x=0;this.col1.y=0;this.col2.y=1};b.prototype.SetZero=function(){this.col1.x=0;this.col2.x=0;this.col1.y=0;this.col2.y=0};b.prototype.GetAngle=function(){return Math.atan2(this.col1.y,this.col1.x)};b.prototype.GetInverse=function(a){var b=this.col1.x,c=this.col2.x,d=this.col1.y,e=this.col2.y,f=b*e-c*
d;0!==f&&(f=1/f);a.col1.x=f*e;a.col2.x=-f*c;a.col1.y=-f*d;a.col2.y=f*b;return a};b.prototype.Solve=function(a,b,c){void 0===b&&(b=0);void 0===c&&(c=0);var d=this.col1.x,e=this.col2.x,f=this.col1.y,g=this.col2.y,k=d*g-e*f;0!==k&&(k=1/k);a.x=k*(g*b-e*c);a.y=k*(d*c-f*b);return a};b.prototype.Abs=function(){this.col1.Abs();this.col2.Abs()};var c=function(c,d){this.position=a.Get(0,0);this.R=new b;void 0===c&&(c=null);void 0===d&&(d=null);c&&(this.position.SetV(c),this.R.SetM(d))};Box2D.Common.Math.b2Transform=
c;c.prototype.Initialize=function(a,b){this.position.SetV(a);this.R.SetM(b)};c.prototype.SetIdentity=function(){this.position.SetZero();this.R.SetIdentity()};c.prototype.Set=function(a){this.position.SetV(a.position);this.R.SetM(a.R)};c.prototype.SetAngle=function(){return Math.atan2(this.R.col1.y,this.R.col1.x)};var d=function(){};Box2D.Common.Math.b2Math=d;d.IsValid=function(a){void 0===a&&(a=0);return isFinite(a)};d.Dot=function(a,b){return a.x*b.x+a.y*b.y};d.CrossVV=function(a,b){return a.x*b.y-
a.y*b.x};d.CrossVF=function(b,c){void 0===c&&(c=0);return a.Get(c*b.y,-c*b.x)};d.CrossFV=function(b,c){void 0===b&&(b=0);return a.Get(-b*c.y,b*c.x)};d.MulMV=function(b,c){return a.Get(b.col1.x*c.x+b.col2.x*c.y,b.col1.y*c.x+b.col2.y*c.y)};d.MulTMV=function(b,c){return a.Get(d.Dot(c,b.col1),d.Dot(c,b.col2))};d.MulX=function(a,b){var c=d.MulMV(a.R,b);c.x+=a.position.x;c.y+=a.position.y;return c};d.MulXT=function(a,b){var c=d.SubtractVV(b,a.position),e=c.x*a.R.col1.x+c.y*a.R.col1.y;c.y=c.x*a.R.col2.x+
c.y*a.R.col2.y;c.x=e;return c};d.AddVV=function(b,c){return a.Get(b.x+c.x,b.y+c.y)};d.SubtractVV=function(b,c){return a.Get(b.x-c.x,b.y-c.y)};d.Distance=function(a,b){var c=a.x-b.x,d=a.y-b.y;return Math.sqrt(c*c+d*d)};d.DistanceSquared=function(a,b){var c=a.x-b.x,d=a.y-b.y;return c*c+d*d};d.MulFV=function(b,c){void 0===b&&(b=0);return a.Get(b*c.x,b*c.y)};d.AddMM=function(a,c){return b.FromVV(d.AddVV(a.col1,c.col1),d.AddVV(a.col2,c.col2))};d.MulMM=function(a,c){return b.FromVV(d.MulMV(a,c.col1),d.MulMV(a,
c.col2))};d.MulTMM=function(c,e){var f=a.Get(d.Dot(c.col1,e.col1),d.Dot(c.col2,e.col1)),g=a.Get(d.Dot(c.col1,e.col2),d.Dot(c.col2,e.col2));return b.FromVV(f,g)};d.Abs=function(a){void 0===a&&(a=0);return 0<a?a:-a};d.AbsV=function(b){return a.Get(d.Abs(b.x),d.Abs(b.y))};d.AbsM=function(a){return b.FromVV(d.AbsV(a.col1),d.AbsV(a.col2))};d.Min=function(a,b){void 0===a&&(a=0);void 0===b&&(b=0);return a<b?a:b};d.MinV=function(b,c){return a.Get(d.Min(b.x,c.x),d.Min(b.y,c.y))};d.Max=function(a,b){void 0===
a&&(a=0);void 0===b&&(b=0);return a>b?a:b};d.MaxV=function(b,c){return a.Get(d.Max(b.x,c.x),d.Max(b.y,c.y))};d.Clamp=function(a,b,c){void 0===a&&(a=0);void 0===b&&(b=0);void 0===c&&(c=0);return a<b?b:a>c?c:a};d.ClampV=function(a,b,c){return d.MaxV(b,d.MinV(a,c))};d.Swap=function(a,b){var c=a[0];a[0]=b[0];b[0]=c};d.Random=function(){return 2*Math.random()-1};d.RandomRange=function(a,b){void 0===a&&(a=0);void 0===b&&(b=0);var c=Math.random();return(b-a)*c+a};d.NextPowerOfTwo=function(a){void 0===a&&
(a=0);a|=a>>1&2147483647;a|=a>>2&1073741823;a|=a>>4&268435455;a|=a>>8&16777215;return(a|a>>16&65535)+1};d.IsPowerOfTwo=function(a){void 0===a&&(a=0);return 0<a&&0===(a&a-1)};d.b2Vec2_zero=new a(0,0);d.b2Mat22_identity=b.FromVV(new a(1,0),new a(0,1));d.b2Transform_identity=new c(d.b2Vec2_zero,d.b2Mat22_identity);var f=function(){this.e_aabbBit=4;this.e_centerOfMassBit=16;this.e_controllerBit=32;this.e_jointBit=2;this.e_pairBit=8;this.e_shapeBit=0};Box2D.Dynamics.b2DebugDraw=f;f.prototype.AppendFlags=
function(){};f.prototype.ClearFlags=function(){};f.prototype.DrawCircle=function(){};f.prototype.DrawPolygon=function(){};f.prototype.DrawSegment=function(){};f.prototype.DrawSolidCircle=function(){};f.prototype.DrawSolidPolygon=function(){};f.prototype.DrawTransform=function(){};f.prototype.GetAlpha=function(){};f.prototype.GetDrawScale=function(){};f.prototype.GetFillAlpha=function(){};f.prototype.GetFlags=function(){};f.prototype.GetLineThickness=function(){};f.prototype.GetSprite=function(){};
f.prototype.GetXFormScale=function(){};f.prototype.SetAlpha=function(){};f.prototype.SetDrawScale=function(){};f.prototype.SetFillAlpha=function(){};f.prototype.SetFlags=function(){};f.prototype.SetLineThickness=function(){};f.prototype.SetSprite=function(){};f.prototype.SetXFormScale=function(){};Box2D.Dynamics.b2BodyDef=function(){this.position=a.Get(0,0);this.linearVelocity=a.Get(0,0);this.userData=null;this.angle=0;this.linearVelocity.Set(0,0);this.angularDamping=this.linearDamping=this.angularVelocity=
0;this.awake=this.allowSleep=!0;this.bullet=this.fixedRotation=!1;this.type=g.b2_staticBody;this.active=!0;this.inertiaScale=1};var e=function(b,c,d,e){this.m_body=b;this.m_userData=c;this.m_fixtureID=d;this.m_shape={};this.m_shape.m_centroid=a.Get(0,0);this.m_isSensor=!1;this.m_density=e.density;this.m_friction=e.friction;this.m_restitution=e.restitution;this.m_isSensor=e.isSensor};Box2D.Dynamics.b2Fixture=e;e.prototype.GetBody=function(){return this.m_body};e.prototype.GetShape=function(){console.log("fixture.GetShape not yet supported in CocoonJS Box2D binding");
return null};e.prototype.GetUserData=function(){return this.m_userData};e.prototype.SetSensor=function(a){this.m_isSensor=a;window.ext.IDTK_SRV_BOX2D.makeCall("setSensor",this.m_body.m_world.m_worldID,this.m_fixtureID,this.m_isSensor)};e.prototype.IsSensor=function(){return this.m_isSensor};e.prototype.SetDensity=function(a){window.ext.IDTK_SRV_BOX2D.makeCall("setDensity",this.m_body.m_world.m_worldID,this.m_fixtureID,a);this.m_density=a};e.prototype.SetFriction=function(a){window.ext.IDTK_SRV_BOX2D.makeCall("setFriction",
this.m_body.m_world.m_worldID,this.m_fixtureID,a);this.m_friction=a};e.prototype.SetRestitution=function(a){window.ext.IDTK_SRV_BOX2D.makeCall("setRestitution",this.m_body.m_world.m_worldID,this.m_fixtureID,a);this.m_restitution=a};e.prototype.GetDensity=function(){return this.m_density};e.prototype.GetFriction=function(){return this.m_friction};e.prototype.GetRestitution=function(){return this.m_restitution};var g=function(a,d){var e=a.userData;a.userData=null;this.m_world=d;this.m_xf=new c(a.position,
b.FromAngle(a.angle));this.m_fixtures=[];this.m_active=a.active;a.type===g.b2_staticBody&&(a.density=0);this.m_bodyID=window.ext.IDTK_SRV_BOX2D.makeCall("createBody",d.m_worldID,a);this.m_userData=e;a.userData=e};Box2D.Dynamics.b2Body=g;g.prototype.CreateFixture=function(a){var b=a.userData;a.userData=null;var c=window.ext.IDTK_SRV_BOX2D.makeCall("createFixture",this.m_world.m_worldID,this.m_bodyID,a);a.userData=b;a=new e(this,b,c,a);this.m_world.m_fixturesList[c]=a;this.m_fixtures.push(a);return a};
g.prototype.GetFixtureList=function(){return 0===this.m_fixtures.length?null:this.m_fixtures[0]};g.prototype.DestroyFixture=function(a){window.ext.IDTK_SRV_BOX2D.makeCall("deleteFixture",this.m_world.m_worldID,a.m_fixtureID);delete this.m_world.m_fixturesList[a.m_fixtureID]};g.prototype.SetPositionAndAngle=function(a,b){window.ext.IDTK_SRV_BOX2D.makeCall("setBodyTransform",this.m_world.m_worldID,this.m_bodyID,a.x,a.y,b);this.m_xf.R.Set(b);this.m_xf.position.SetV(a)};g.prototype.GetPosition=function(){return this.m_xf.position};
g.prototype.SetPosition=function(a){this.SetPositionAndAngle(a,this.GetAngle())};g.prototype.GetLinearVelocity=function(){var b=window.ext.IDTK_SRV_BOX2D.makeCall("getLinearVelocity",this.m_world.m_worldID,this.m_bodyID);return a.Get(b[0],b[1])};g.prototype.GetWorldCenter=function(){var b=window.ext.IDTK_SRV_BOX2D.makeCall("getWorldCenter",this.m_world.m_worldID,this.m_bodyID);return a.Get(b[0],b[1])};g.prototype.GetLocalCenter=function(){var b=window.ext.IDTK_SRV_BOX2D.makeCall("getLocalCenter",
this.m_world.m_worldID,this.m_bodyID);return a.Get(b[0],b[1])};g.prototype.GetLocalPoint=function(a){return d.MulXT(this.m_xf,a)};g.prototype.ApplyImpulse=function(a,b,c){window.ext.IDTK_SRV_BOX2D.makeCall("applyImpulse",this.m_world.m_worldID,this.m_bodyID,a.x,a.y,b.x,b.y,c)};g.prototype.GetMass=function(){return window.ext.IDTK_SRV_BOX2D.makeCall("getMass",this.m_world.m_worldID,this.m_bodyID)};g.prototype.IsAwake=function(){return window.ext.IDTK_SRV_BOX2D.makeCall("isAwake",this.m_world.m_worldID,
this.m_bodyID)};g.prototype.GetAngularVelocity=function(){return window.ext.IDTK_SRV_BOX2D.makeCall("getAngularVelocity",this.m_world.m_worldID,this.m_bodyID)};g.prototype.SetFixedRotation=function(a){window.ext.IDTK_SRV_BOX2D.makeCall("setFixedRotation",this.m_world.m_worldID,this.m_bodyID,a)};g.prototype.SetAwake=function(a){window.ext.IDTK_SRV_BOX2D.makeCall("setAwake",this.m_world.m_worldID,this.m_bodyID,a)};g.prototype.SetLinearVelocity=function(a){window.ext.IDTK_SRV_BOX2D.makeCall("setLinearVelocity",
this.m_world.m_worldID,this.m_bodyID,a.x,a.y)};g.prototype.ApplyForceToCenter=function(a,b){window.ext.IDTK_SRV_BOX2D.makeCall("applyForceToCenter",this.m_world.m_worldID,this.m_bodyID,a.x,a.y,b)};g.prototype.ApplyForce=function(a,b,c){window.ext.IDTK_SRV_BOX2D.makeCall("applyForce",this.m_world.m_worldID,this.m_bodyID,a.x,a.y,b.x,b.y,c)};g.prototype.ApplyTorque=function(a,b){window.ext.IDTK_SRV_BOX2D.makeCall("applyTorque",this.m_world.m_worldID,this.m_bodyID,a,b)};g.prototype.SetLinearDamping=function(a){window.ext.IDTK_SRV_BOX2D.makeCall("setLinearDamping",
this.m_world.m_worldID,this.m_bodyID,a)};g.prototype.SetAngularVelocity=function(a){window.ext.IDTK_SRV_BOX2D.makeCall("setAngularVelocity",this.m_world.m_worldID,this.m_bodyID,a)};g.prototype.SetType=function(a){window.ext.IDTK_SRV_BOX2D.makeCall("setType",this.m_world.m_worldID,this.m_bodyID,a)};g.prototype.SetActive=function(a){window.ext.IDTK_SRV_BOX2D.makeCall("setActive",this.m_world.m_worldID,this.m_bodyID,a);this.m_active=a};g.prototype.IsActive=function(){return this.m_active};g.prototype.GetAngle=
function(){return this.m_xf.R.GetAngle()};g.prototype.SetAngle=function(a){void 0===a&&(a=0);this.SetPositionAndAngle(this.GetPosition(),a)};g.prototype.GetContactList=function(){for(var a=window.ext.IDTK_SRV_BOX2D.makeCall("getObjectContacts",this.m_world.m_worldID,this.m_bodyID),b=[],c=0;c<a.length;c++)b.push(this.m_world.m_bodyList[a[c]]);return b};g.prototype.SetUserData=function(a){this.m_userData=a};g.prototype.GetUserData=function(){return this.m_userData};g.prototype.GetWorld=function(){return this.m_world};
Box2D.Dynamics.b2Body.b2_staticBody=0;Box2D.Dynamics.b2Body.b2_kinematicBody=1;Box2D.Dynamics.b2Body.b2_dynamicBody=2;var l=function(a,b,c){this.m_fixtureA=a;this.m_fixtureB=b;this.m_touching=c};Box2D.Dynamics.b2Contact=l;l.prototype.GetFixtureA=function(){return this.m_fixtureA};l.prototype.GetFixtureB=function(){return this.m_fixtureB};l.prototype.IsTouching=function(){return this.m_touching};f=function(){};Box2D.Dynamics.b2ContactListener=f;f.prototype.BeginContact=function(){};f.prototype.EndContact=
function(){};f.prototype.PreSolve=function(){};f.prototype.PostSolve=function(){};Box2D.Dynamics.b2ContactListener.b2_defaultListener=new f;Box2D.Dynamics.b2ContactFilter=function(){};f=function(a,b){this.m_bodyList=[];this.m_jointList=[];this.m_fixturesList=[];this.m_contactListener=null;this.m_jointsList=[];this.m_worldID=window.ext.IDTK_SRV_BOX2D.makeCall("createWorld",a.x,a.y,b)};Box2D.Dynamics.b2World=f;f.prototype.SetContactListener=function(a){this.m_contactListener=a};f.prototype.SetContactFilter=
function(a){var b=this;window.ext.IDTK_SRV_BOX2D.makeCall("setContactFilter",this.m_worldID,function(c,d){return a.ShouldCollide(b.m_fixturesList[c],b.m_fixturesList[d])})};f.prototype.CreateBody=function(a){a=new g(a,this);return this.m_bodyList[a.m_bodyID]=a};f.prototype.DestroyBody=function(a){window.ext.IDTK_SRV_BOX2D.makeCall("deleteBody",this.m_worldID,a.m_bodyID);delete this.m_bodyList[a.m_bodyID];for(var b=0;b<a.m_fixtures.length;++b)delete this.m_fixturesList[a.m_fixtures[b].m_fixtureID]};
f.prototype.CreateJoint=function(a){if(a.bodyA.m_bodyID!==a.bodyB.m_bodyID){var b=a.bodyA,c=a.bodyB;a.bodyA=b.m_bodyID;a.bodyB=c.m_bodyID;var d="createDistanceJoint";a.type===k.e_revoluteJoint&&(d="createRevoluteJoint");var e=new k(a);e.m_jointID=window.ext.IDTK_SRV_BOX2D.makeCall(d,this.m_worldID,a);a.bodyA=b;a.bodyB=c;this.m_jointsList.push(e);return e}};f.prototype.DestroyJoint=function(a){window.ext.IDTK_SRV_BOX2D.makeCall("destroyJoint",this.m_worldID,a.m_jointID)};f.prototype.GetJointList=function(){if(0===
this.m_jointsList.length)return null;for(var a=0;a<this.m_jointsList.length-1;++a)this.m_jointsList[a].next=this.m_jointsList[a+1];this.m_jointsList[this.m_jointsList.length-1].next=null;return this.m_jointsList[0]};f.prototype.SetContinuousPhysics=function(a){window.ext.IDTK_SRV_BOX2D.makeCall("setContinuous",this.m_worldID,a)};f.prototype.SetGravity=function(a){window.ext.IDTK_SRV_BOX2D.makeCall("setGravity",this.m_worldID,a.x,a.y)};f.prototype.Step=function(a,b,c){c=window.ext.IDTK_SRV_BOX2D.makeCall("step",
this.m_worldID,a,b,c);b=c[0];for(a=1;a<=4*b;a+=4){var d=this.m_bodyList[c[a+0]];if(null===d)break;d.m_xf.position.Set(c[a+1],c[a+2]);d.m_xf.R.Set(c[a+3])}if(null!==this.m_contactListener)for(c=window.ext.IDTK_SRV_BOX2D.makeCall("getLastContacts",this.m_worldID),b=c[0],a=1;a<=3*b;a+=3){var d=c[a+2],e=this.m_fixturesList[c[a+0]],f=this.m_fixturesList[c[a+1]];"undefined"===typeof e||"undefined"===typeof f?console.log("One of the fixtures in a contact DOESN'T EXIST!!"):this.m_contactListener.BeginContact(new l(e,
f,d))}};f.prototype.ClearForces=function(){window.ext.IDTK_SRV_BOX2D.makeCall("clearForces",this.m_worldID)};f.prototype.SetDebugDraw=function(){};f.prototype.DrawDebugData=function(){};Box2D.Collision.Shapes.b2CircleShape=function(a){this.radius=a;this.type="circle"};Box2D.Collision.Shapes.b2PolygonShape=function(){};Box2D.Collision.Shapes.b2PolygonShape.prototype.SetAsBox=function(a,b){this.type="box";this.width=a;this.height=b};Box2D.Collision.Shapes.b2PolygonShape.prototype.SetAsEdge=function(a,
b){this.type="edge";this.p1x=a.x;this.p1y=a.y;this.p2x=b.x;this.p2y=b.y};Box2D.Collision.Shapes.b2PolygonShape.prototype.SetAsArray=function(a,b){this.type="polygon";this.vertices=[];for(var c=0;c<b;c++)this.vertices.push(a[c].x),this.vertices.push(a[c].y)};Box2D.Dynamics.b2FixtureDef=function(){this.userData=this.shape=null;this.friction=0.2;this.density=this.restitution=0;this.isSensor=!1;this.filter={categoryBits:1,maskBits:65535,groupIndex:0}};var k=function(a){this.bodyA=a.bodyA;this.bodyB=a.bodyB;
this.userData=a.userData;this.type=a.type;this.next=null};Box2D.Dynamics.Joints.b2Joint=k;k.prototype.GetBodyA=function(){return this.bodyA};k.prototype.GetBodyB=function(){return this.bodyB};k.prototype.GetUserData=function(){return this.userData};k.prototype.GetType=function(){return this.type};k.prototype.GetNext=function(){return this.next};k.e_distanceJoint=0;k.e_revoluteJoint=1;Box2D.Dynamics.Joints.b2DistanceJointDef=function(b,c,d,e){this.type=k.e_distanceJoint;this.localAnchorA=a.Get(0,0);
this.localAnchorB=a.Get(0,0);this.userData=null;void 0!==b&&(this.bodyA=b);void 0!==c&&(this.bodyB=c);void 0!==d&&this.localAnchorA.SetV(d);void 0!==e&&this.localAnchorB.SetV(e);void 0!==d&&void 0!==e&&(b=e.x-d.x,d=e.y-d.y,this.length=Math.sqrt(b*b+d*d));this.dampingRatio=this.frequencyHz=0};f=function(b,c,d,e){this.type=k.e_revoluteJoint;this.localAnchorA=new a;this.localAnchorB=new a;this.userData=null;void 0!==b&&(this.bodyA=b);void 0!==c&&(this.bodyB=c);void 0!==d&&this.localAnchorA.SetV(d);void 0!==
e&&this.localAnchorB.SetV(e);this.motorSpeed=this.maxMotorTorque=this.upperAngle=this.lowerAngle=this.referenceAngle=0;this.enableMotor=this.enableLimit=!1};f.prototype.Initialize=function(a,b,c){this.bodyA=a;this.bodyB=b;this.localAnchorA=this.bodyA.GetLocalPoint(c);this.localAnchorB=this.bodyB.GetLocalPoint(c);this.referenceAngle=this.bodyB.GetAngle()-this.bodyA.GetAngle()};Box2D.Dynamics.Joints.b2RevoluteJointDef=f}():console.log("The CocoonJS binding for Box2D has been ignored because ext.IDTK_SRV_BOX2D is not available");
else{Box2D.Collision.b2Collision={};Box2D.Collision.b2Distance={};Box2D.Common.b2Settings={};Box2D.Common.Math.b2Math={};Box2D.Consts={};Box2D.Dynamics.Contacts={};Box2D.Dynamics.Controllers={};Box2D.generateCallback=function(a,b){return function(){b.apply(a,arguments)}};Box2D.Consts.MIN_VALUE_SQUARED=Number.MIN_VALUE*Number.MIN_VALUE;Box2D.Common.b2Settings.b2MixFriction=function(a,b){return Math.sqrt(a*b)};Box2D.Common.b2Settings.b2MixRestitution=function(a,b){return a>b?a:b};Box2D.Common.b2Settings.VERSION=
"2.1alpha-illandril";Box2D.Common.b2Settings.USHRT_MAX=65535;Box2D.Common.b2Settings.b2_maxManifoldPoints=2;Box2D.Common.b2Settings.b2_aabbExtension=0.1;Box2D.Common.b2Settings.b2_aabbMultiplier=2;Box2D.Common.b2Settings.b2_polygonRadius=2*Box2D.Common.b2Settings.b2_linearSlop;Box2D.Common.b2Settings.b2_linearSlop=0.0050;Box2D.Common.b2Settings.b2_angularSlop=2/180*Math.PI;Box2D.Common.b2Settings.b2_toiSlop=8*Box2D.Common.b2Settings.b2_linearSlop;Box2D.Common.b2Settings.b2_maxTOIContactsPerIsland=
32;Box2D.Common.b2Settings.b2_maxTOIJointsPerIsland=32;Box2D.Common.b2Settings.b2_velocityThreshold=1;Box2D.Common.b2Settings.b2_maxLinearCorrection=0.2;Box2D.Common.b2Settings.b2_maxAngularCorrection=8/180*Math.PI;Box2D.Common.b2Settings.b2_maxTranslation=2;Box2D.Common.b2Settings.b2_maxTranslationSquared=Box2D.Common.b2Settings.b2_maxTranslation*Box2D.Common.b2Settings.b2_maxTranslation;Box2D.Common.b2Settings.b2_maxRotation=0.5*Math.PI;Box2D.Common.b2Settings.b2_maxRotationSquared=Box2D.Common.b2Settings.b2_maxRotation*
Box2D.Common.b2Settings.b2_maxRotation;Box2D.Common.b2Settings.b2_contactBaumgarte=0.2;Box2D.Common.b2Settings.b2_timeToSleep=0.5;Box2D.Common.b2Settings.b2_linearSleepTolerance=0.01;Box2D.Common.b2Settings.b2_linearSleepToleranceSquared=Box2D.Common.b2Settings.b2_linearSleepTolerance*Box2D.Common.b2Settings.b2_linearSleepTolerance;Box2D.Common.b2Settings.b2_angularSleepTolerance=2/180*Math.PI;Box2D.Common.b2Settings.b2_angularSleepToleranceSquared=Box2D.Common.b2Settings.b2_angularSleepTolerance*
Box2D.Common.b2Settings.b2_angularSleepTolerance;Box2D.Common.b2Settings.MIN_VALUE_SQUARED=Number.MIN_VALUE*Number.MIN_VALUE;Box2D.Common.Math.b2Math.Dot=function(a,b){return a.x*b.x+a.y*b.y};Box2D.Common.Math.b2Math.CrossVV=function(a,b){return a.x*b.y-a.y*b.x};Box2D.Common.Math.b2Math.CrossVF=function(a,b){return Box2D.Common.Math.b2Vec2.Get(b*a.y,-b*a.x)};Box2D.Common.Math.b2Math.CrossFV=function(a,b){return Box2D.Common.Math.b2Vec2.Get(-a*b.y,a*b.x)};Box2D.Common.Math.b2Math.MulMV=function(a,
b){return Box2D.Common.Math.b2Vec2.Get(a.col1.x*b.x+a.col2.x*b.y,a.col1.y*b.x+a.col2.y*b.y)};Box2D.Common.Math.b2Math.MulTMV=function(a,b){return Box2D.Common.Math.b2Vec2.Get(Box2D.Common.Math.b2Math.Dot(b,a.col1),Box2D.Common.Math.b2Math.Dot(b,a.col2))};Box2D.Common.Math.b2Math.MulX=function(a,b){var c=Box2D.Common.Math.b2Math.MulMV(a.R,b);c.x+=a.position.x;c.y+=a.position.y;return c};Box2D.Common.Math.b2Math.MulXT=function(a,b){var c=Box2D.Common.Math.b2Math.SubtractVV(b,a.position),d=c.x*a.R.col1.x+
c.y*a.R.col1.y;c.y=c.x*a.R.col2.x+c.y*a.R.col2.y;c.x=d;return c};Box2D.Common.Math.b2Math.AddVV=function(a,b){return Box2D.Common.Math.b2Vec2.Get(a.x+b.x,a.y+b.y)};Box2D.Common.Math.b2Math.SubtractVV=function(a,b){return Box2D.Common.Math.b2Vec2.Get(a.x-b.x,a.y-b.y)};Box2D.Common.Math.b2Math.Distance=function(a,b){return Math.sqrt(Box2D.Common.Math.b2Math.DistanceSquared(a,b))};Box2D.Common.Math.b2Math.DistanceSquared=function(a,b){var c=a.x-b.x,d=a.y-b.y;return c*c+d*d};Box2D.Common.Math.b2Math.MulFV=
function(a,b){return Box2D.Common.Math.b2Vec2.Get(a*b.x,a*b.y)};Box2D.Common.Math.b2Math.AddMM=function(a,b){return Box2D.Common.Math.b2Mat22.FromVV(Box2D.Common.Math.b2Math.AddVV(a.col1,b.col1),Box2D.Common.Math.b2Math.AddVV(a.col2,b.col2))};Box2D.Common.Math.b2Math.MulMM=function(a,b){return Box2D.Common.Math.b2Mat22.FromVV(Box2D.Common.Math.b2Math.MulMV(a,b.col1),Box2D.Common.Math.b2Math.MulMV(a,b.col2))};Box2D.Common.Math.b2Math.MulTMM=function(a,b){var c=Box2D.Common.Math.b2Vec2.Get(Box2D.Common.Math.b2Math.Dot(a.col1,
b.col1),Box2D.Common.Math.b2Math.Dot(a.col2,b.col1)),d=Box2D.Common.Math.b2Vec2.Get(Box2D.Common.Math.b2Math.Dot(a.col1,b.col2),Box2D.Common.Math.b2Math.Dot(a.col2,b.col2));return Box2D.Common.Math.b2Mat22.FromVV(c,d)};Box2D.Common.Math.b2Math.AbsV=function(a){return Box2D.Common.Math.b2Vec2.Get(Math.abs(a.x),Math.abs(a.y))};Box2D.Common.Math.b2Math.AbsM=function(a){return Box2D.Common.Math.b2Mat22.FromVV(Box2D.Common.Math.b2Math.AbsV(a.col1),Box2D.Common.Math.b2Math.AbsV(a.col2))};Box2D.Common.Math.b2Math.Clamp=
function(a,b,c){return a<b?b:a>c?c:a};Box2D.Common.Math.b2Math.ClampV=function(a,b,c){var d=Box2D.Common.Math.b2Math.Clamp(a.x,b.x,c.x);a=Box2D.Common.Math.b2Math.Clamp(a.y,b.y,c.y);return Box2D.Common.Math.b2Vec2.Get(d,a)};Box2D.Common.Math.b2Mat22=function(){this.col1=Box2D.Common.Math.b2Vec2.Get(0,0);this.col2=Box2D.Common.Math.b2Vec2.Get(0,0);this.SetIdentity()};Box2D.Common.Math.b2Mat22.FromAngle=function(a){var b=new Box2D.Common.Math.b2Mat22;b.Set(a);return b};Box2D.Common.Math.b2Mat22.FromVV=
function(a,b){var c=new Box2D.Common.Math.b2Mat22;c.SetVV(a,b);return c};Box2D.Common.Math.b2Mat22.prototype.Set=function(a){var b=Math.cos(a);a=Math.sin(a);this.col1.Set(b,a);this.col2.Set(-a,b)};Box2D.Common.Math.b2Mat22.prototype.SetVV=function(a,b){this.col1.SetV(a);this.col2.SetV(b)};Box2D.Common.Math.b2Mat22.prototype.Copy=function(){var a=new Box2D.Common.Math.b2Mat22;a.SetM(this);return a};Box2D.Common.Math.b2Mat22.prototype.SetM=function(a){this.col1.SetV(a.col1);this.col2.SetV(a.col2)};
Box2D.Common.Math.b2Mat22.prototype.AddM=function(a){this.col1.Add(a.col1);this.col2.Add(a.col2)};Box2D.Common.Math.b2Mat22.prototype.SetIdentity=function(){this.col1.Set(1,0);this.col2.Set(0,1)};Box2D.Common.Math.b2Mat22.prototype.SetZero=function(){this.col1.Set(0,0);this.col2.Set(0,0)};Box2D.Common.Math.b2Mat22.prototype.GetAngle=function(){return Math.atan2(this.col1.y,this.col1.x)};Box2D.Common.Math.b2Mat22.prototype.GetInverse=function(a){var b=this.col1.x*this.col2.y-this.col2.x*this.col1.y;
0!==b&&(b=1/b);a.col1.x=b*this.col2.y;a.col2.x=-b*this.col2.x;a.col1.y=-b*this.col1.y;a.col2.y=b*this.col1.x;return a};Box2D.Common.Math.b2Mat22.prototype.Solve=function(a,b,c){var d=this.col1.x*this.col2.y-this.col2.x*this.col1.y;0!==d&&(d=1/d);a.x=d*(this.col2.y*b-this.col2.x*c);a.y=d*(this.col1.x*c-this.col1.y*b);return a};Box2D.Common.Math.b2Mat22.prototype.Abs=function(){this.col1.Abs();this.col2.Abs()};Box2D.Common.Math.b2Mat33=function(a,b,c){this.col1=new Box2D.Common.Math.b2Vec3(0,0,0);this.col2=
new Box2D.Common.Math.b2Vec3(0,0,0);this.col3=new Box2D.Common.Math.b2Vec3(0,0,0);a&&this.col1.SetV(a);b&&this.col2.SetV(b);c&&this.col3.SetV(c)};Box2D.Common.Math.b2Mat33.prototype.SetVVV=function(a,b,c){this.col1.SetV(a);this.col2.SetV(b);this.col3.SetV(c)};Box2D.Common.Math.b2Mat33.prototype.Copy=function(){return new Box2D.Common.Math.b2Mat33(this.col1,this.col2,this.col3)};Box2D.Common.Math.b2Mat33.prototype.SetM=function(a){this.col1.SetV(a.col1);this.col2.SetV(a.col2);this.col3.SetV(a.col3)};
Box2D.Common.Math.b2Mat33.prototype.AddM=function(a){this.col1.x+=a.col1.x;this.col1.y+=a.col1.y;this.col1.z+=a.col1.z;this.col2.x+=a.col2.x;this.col2.y+=a.col2.y;this.col2.z+=a.col2.z;this.col3.x+=a.col3.x;this.col3.y+=a.col3.y;this.col3.z+=a.col3.z};Box2D.Common.Math.b2Mat33.prototype.SetIdentity=function(){this.col1.Set(1,0,0);this.col2.Set(0,1,0);this.col3.Set(0,0,1)};Box2D.Common.Math.b2Mat33.prototype.SetZero=function(){this.col1.Set(0,0,0);this.col2.Set(0,0,0);this.col3.Set(0,0,0)};Box2D.Common.Math.b2Mat33.prototype.Solve22=
function(a,b,c){var d=this.col1.x,f=this.col2.x,e=this.col1.y,g=this.col2.y,l=d*g-f*e;0!=l&&(l=1/l);a.x=l*(g*b-f*c);a.y=l*(d*c-e*b);return a};Box2D.Common.Math.b2Mat33.prototype.Solve33=function(a,b,c,d){var f=this.col1.x,e=this.col1.y,g=this.col1.z,l=this.col2.x,k=this.col2.y,h=this.col2.z,m=this.col3.x,n=this.col3.y,r=this.col3.z,p=f*(k*r-h*n)+e*(h*m-l*r)+g*(l*n-k*m);0!=p&&(p=1/p);a.x=p*(b*(k*r-h*n)+c*(h*m-l*r)+d*(l*n-k*m));a.y=p*(f*(c*r-d*n)+e*(d*m-b*r)+g*(b*n-c*m));a.z=p*(f*(k*d-h*c)+e*(h*b-l*
d)+g*(l*c-k*b));return a};Box2D.Common.Math.b2Sweep=function(){this.localCenter=Box2D.Common.Math.b2Vec2.Get(0,0);this.c0=Box2D.Common.Math.b2Vec2.Get(0,0);this.c=Box2D.Common.Math.b2Vec2.Get(0,0)};Box2D.Common.Math.b2Sweep.prototype.Set=function(a){this.localCenter.SetV(a.localCenter);this.c0.SetV(a.c0);this.c.SetV(a.c);this.a0=a.a0;this.a=a.a;this.t0=a.t0};Box2D.Common.Math.b2Sweep.prototype.Copy=function(){var a=new Box2D.Common.Math.b2Sweep;a.localCenter.SetV(this.localCenter);a.c0.SetV(this.c0);
a.c.SetV(this.c);a.a0=this.a0;a.a=this.a;a.t0=this.t0;return a};Box2D.Common.Math.b2Sweep.prototype.GetTransform=function(a,b){void 0===b&&(b=0);a.position.x=(1-b)*this.c0.x+b*this.c.x;a.position.y=(1-b)*this.c0.y+b*this.c.y;a.R.Set((1-b)*this.a0+b*this.a);var c=a.R;a.position.x-=c.col1.x*this.localCenter.x+c.col2.x*this.localCenter.y;a.position.y-=c.col1.y*this.localCenter.x+c.col2.y*this.localCenter.y};Box2D.Common.Math.b2Sweep.prototype.Advance=function(a){void 0===a&&(a=0);if(this.t0<a&&1-this.t0>
Number.MIN_VALUE){var b=(a-this.t0)/(1-this.t0);this.c0.x=(1-b)*this.c0.x+b*this.c.x;this.c0.y=(1-b)*this.c0.y+b*this.c.y;this.a0=(1-b)*this.a0+b*this.a;this.t0=a}};Box2D.Common.Math.b2Transform=function(a,b){this.position=Box2D.Common.Math.b2Vec2.Get(0,0);this.R=new Box2D.Common.Math.b2Mat22;a&&this.position.SetV(a);b&&this.R.SetM(b)};Box2D.Common.Math.b2Transform.prototype.Initialize=function(a,b){this.position.SetV(a);this.R.SetM(b)};Box2D.Common.Math.b2Transform.prototype.SetIdentity=function(){this.position.SetZero();
this.R.SetIdentity()};Box2D.Common.Math.b2Transform.prototype.Set=function(a){this.position.SetV(a.position);this.R.SetM(a.R)};Box2D.Common.Math.b2Transform.prototype.GetAngle=function(){return Math.atan2(this.R.col1.y,this.R.col1.x)};Box2D.Common.Math.b2Vec2=function(a,b){this.x=a;this.y=b};Box2D.Common.Math.b2Vec2._freeCache=[];Box2D.Common.Math.b2Vec2.Get=function(a,b){if(0<Box2D.Common.Math.b2Vec2._freeCache.length){var c=Box2D.Common.Math.b2Vec2._freeCache.pop();c.Set(a,b);return c}return new Box2D.Common.Math.b2Vec2(a,
b)};Box2D.Common.Math.b2Vec2.Free=function(a){Box2D.Common.Math.b2Vec2._freeCache.push(a)};Box2D.Common.Math.b2Vec2.prototype.SetZero=function(){this.y=this.x=0};Box2D.Common.Math.b2Vec2.prototype.Set=function(a,b){this.x=a;this.y=b};Box2D.Common.Math.b2Vec2.prototype.SetV=function(a){this.x=a.x;this.y=a.y};Box2D.Common.Math.b2Vec2.prototype.GetNegative=function(){return Box2D.Common.Math.b2Vec2.Get(-this.x,-this.y)};Box2D.Common.Math.b2Vec2.prototype.NegativeSelf=function(){this.x=-this.x;this.y=
-this.y};Box2D.Common.Math.b2Vec2.prototype.Copy=function(){return Box2D.Common.Math.b2Vec2.Get(this.x,this.y)};Box2D.Common.Math.b2Vec2.prototype.Add=function(a){this.x+=a.x;this.y+=a.y};Box2D.Common.Math.b2Vec2.prototype.Subtract=function(a){this.x-=a.x;this.y-=a.y};Box2D.Common.Math.b2Vec2.prototype.Multiply=function(a){this.x*=a;this.y*=a};Box2D.Common.Math.b2Vec2.prototype.MulM=function(a){var b=this.x;this.x=a.col1.x*b+a.col2.x*this.y;this.y=a.col1.y*b+a.col2.y*this.y};Box2D.Common.Math.b2Vec2.prototype.MulTM=
function(a){var b=this.x*a.col1.x+this.y*a.col1.y;this.y=this.x*a.col2.x+this.y*a.col2.y;this.x=b};Box2D.Common.Math.b2Vec2.prototype.CrossVF=function(a){var b=this.x;this.x=a*this.y;this.y=-a*b};Box2D.Common.Math.b2Vec2.prototype.CrossFV=function(a){var b=this.x;this.x=-a*this.y;this.y=a*b};Box2D.Common.Math.b2Vec2.prototype.MinV=function(a){this.x=Math.min(this.x,a.x);this.y=Math.min(this.y,a.y)};Box2D.Common.Math.b2Vec2.prototype.MaxV=function(a){this.x=Math.max(this.x,a.x);this.y=Math.max(this.y,
a.y)};Box2D.Common.Math.b2Vec2.prototype.Abs=function(){this.x=Math.abs(this.x);this.y=Math.abs(this.y)};Box2D.Common.Math.b2Vec2.prototype.Length=function(){return Math.sqrt(this.LengthSquared())};Box2D.Common.Math.b2Vec2.prototype.LengthSquared=function(){return this.x*this.x+this.y*this.y};Box2D.Common.Math.b2Vec2.prototype.Normalize=function(){var a=this.Length();if(a<Number.MIN_VALUE)return 0;var b=1/a;this.x*=b;this.y*=b;return a};Box2D.Common.Math.b2Vec2.prototype.IsValid=function(){return isFinite(this.x)&&
isFinite(this.y)};Box2D.Common.Math.b2Vec3=function(a,b,c){this.x=a;this.y=b;this.z=c};Box2D.Common.Math.b2Vec3.prototype.SetZero=function(){this.z=this.y=this.x=0};Box2D.Common.Math.b2Vec3.prototype.Set=function(a,b,c){this.x=a;this.y=b;this.z=c};Box2D.Common.Math.b2Vec3.prototype.SetV=function(a){this.x=a.x;this.y=a.y;this.z=a.z};Box2D.Common.Math.b2Vec3.prototype.GetNegative=function(){return new Box2D.Common.Math.b2Vec3(-this.x,-this.y,-this.z)};Box2D.Common.Math.b2Vec3.prototype.NegativeSelf=
function(){this.x=-this.x;this.y=-this.y;this.z=-this.z};Box2D.Common.Math.b2Vec3.prototype.Copy=function(){return new Box2D.Common.Math.b2Vec3(this.x,this.y,this.z)};Box2D.Common.Math.b2Vec3.prototype.Add=function(a){this.x+=a.x;this.y+=a.y;this.z+=a.z};Box2D.Common.Math.b2Vec3.prototype.Subtract=function(a){this.x-=a.x;this.y-=a.y;this.z-=a.z};Box2D.Common.Math.b2Vec3.prototype.Multiply=function(a){this.x*=a;this.y*=a;this.z*=a};Box2D.Collision.Shapes.b2Shape=function(){this.m_radius=Box2D.Common.b2Settings.b2_linearSlop};
Box2D.Collision.Shapes.b2Shape.prototype.GetTypeName=function(){};Box2D.Collision.Shapes.b2Shape.prototype.Copy=function(){};Box2D.Collision.Shapes.b2Shape.prototype.Set=function(a){this.m_radius=a.m_radius};Box2D.Collision.Shapes.b2Shape.prototype.TestPoint=function(){};Box2D.Collision.Shapes.b2Shape.prototype.RayCast=function(){};Box2D.Collision.Shapes.b2Shape.prototype.ComputeAABB=function(){};Box2D.Collision.Shapes.b2Shape.prototype.ComputeMass=function(){};Box2D.Collision.Shapes.b2Shape.prototype.ComputeSubmergedArea=
function(){};Box2D.Collision.Shapes.b2Shape.prototype.SetDistanceProxy=function(){};Box2D.Collision.Shapes.b2Shape.TestOverlap=function(a,b,c,d){var f=new Box2D.Collision.b2DistanceInput;f.proxyA=new Box2D.Collision.b2DistanceProxy;f.proxyA.Set(a);f.proxyB=new Box2D.Collision.b2DistanceProxy;f.proxyB.Set(c);f.transformA=b;f.transformB=d;f.useRadii=!0;a=new Box2D.Collision.b2SimplexCache;a.count=0;b=new Box2D.Collision.b2DistanceOutput;Box2D.Collision.b2Distance.Distance(b,a,f);return b.distance<10*
Number.MIN_VALUE};Box2D.Collision.Shapes.b2Shape.e_startsInsideCollide=-1;Box2D.Collision.Shapes.b2Shape.e_missCollide=0;Box2D.Collision.Shapes.b2Shape.e_hitCollide=1;Box2D.Collision.Shapes.b2CircleShape=function(a){Box2D.Collision.Shapes.b2Shape.call(this);this.m_radius=a;this.m_radiusSquared=a*a;this.m_p=Box2D.Common.Math.b2Vec2.Get(0,0)};c2inherit(Box2D.Collision.Shapes.b2CircleShape,Box2D.Collision.Shapes.b2Shape);Box2D.Collision.Shapes.b2CircleShape.prototype.GetTypeName=function(){return Box2D.Collision.Shapes.b2CircleShape.NAME};
Box2D.Collision.Shapes.b2CircleShape.prototype.Copy=function(){var a=new Box2D.Collision.Shapes.b2CircleShape(this.m_radius);a.Set(this);return a};Box2D.Collision.Shapes.b2CircleShape.prototype.Set=function(a){Box2D.Collision.Shapes.b2Shape.prototype.Set.call(this,a);a instanceof Box2D.Collision.Shapes.b2CircleShape&&this.m_p.SetV(a.m_p)};Box2D.Collision.Shapes.b2CircleShape.prototype.TestPoint=function(a,b){var c=b.x-(a.position.x+(a.R.col1.x*this.m_p.x+a.R.col2.x*this.m_p.y)),d=b.y-(a.position.y+
(a.R.col1.y*this.m_p.x+a.R.col2.y*this.m_p.y));return c*c+d*d<=this.m_radiusSquared};Box2D.Collision.Shapes.b2CircleShape.prototype.RayCast=function(a,b,c){var d=c.R,f=b.p1.x-(c.position.x+(d.col1.x*this.m_p.x+d.col2.x*this.m_p.y));c=b.p1.y-(c.position.y+(d.col1.y*this.m_p.x+d.col2.y*this.m_p.y));var d=b.p2.x-b.p1.x,e=b.p2.y-b.p1.y,g=f*d+c*e,l=d*d+e*e,k=g*g-l*(f*f+c*c-this.m_radiusSquared);if(0>k||l<Number.MIN_VALUE)return!1;g=-(g+Math.sqrt(k));return 0<=g&&g<=b.maxFraction*l?(g/=l,a.fraction=g,a.normal.x=
f+g*d,a.normal.y=c+g*e,a.normal.Normalize(),!0):!1};Box2D.Collision.Shapes.b2CircleShape.prototype.ComputeAABB=function(a,b){var c=b.R,d=b.position.x+(c.col1.x*this.m_p.x+c.col2.x*this.m_p.y),c=b.position.y+(c.col1.y*this.m_p.x+c.col2.y*this.m_p.y);a.lowerBound_.Set(d-this.m_radius,c-this.m_radius);a.upperBound_.Set(d+this.m_radius,c+this.m_radius)};Box2D.Collision.Shapes.b2CircleShape.prototype.ComputeMass=function(a,b){a.mass=b*Math.PI*this.m_radiusSquared;a.center.SetV(this.m_p);a.I=a.mass*(0.5*
this.m_radiusSquared+(this.m_p.x*this.m_p.x+this.m_p.y*this.m_p.y))};Box2D.Collision.Shapes.b2CircleShape.prototype.ComputeSubmergedArea=function(a,b,c,d){c=Box2D.Common.Math.b2Math.MulX(c,this.m_p);var f=-(Box2D.Common.Math.b2Math.Dot(a,c)-b);if(f<-this.m_radius+Number.MIN_VALUE)return 0;if(f>this.m_radius)return d.SetV(c),Math.PI*this.m_radiusSquared;b=f*f;f=this.m_radiusSquared*(Math.asin(f/this.m_radius)+Math.PI/2)+f*Math.sqrt(this.m_radiusSquared-b);b=-2/3*Math.pow(this.m_radiusSquared-b,1.5)/
f;d.x=c.x+a.x*b;d.y=c.y+a.y*b;return f};Box2D.Collision.Shapes.b2CircleShape.prototype.SetDistanceProxy=function(a){a.m_vertices=[this.m_p];a.m_count=1;a.m_radius=this.m_radius};Box2D.Collision.Shapes.b2CircleShape.prototype.GetLocalPosition=function(){return this.m_p};Box2D.Collision.Shapes.b2CircleShape.prototype.SetLocalPosition=function(a){this.m_p.SetV(a)};Box2D.Collision.Shapes.b2CircleShape.prototype.GetRadius=function(){return this.m_radius};Box2D.Collision.Shapes.b2CircleShape.prototype.SetRadius=
function(a){this.m_radius=a;this.m_radiusSquared=a*a};Box2D.Collision.Shapes.b2CircleShape.NAME="b2CircleShape";Box2D.Collision.Shapes.b2EdgeChainDef=function(){this.vertexCount=0;this.isALoop=!0;this.vertices=[]};Box2D.Collision.Shapes.b2EdgeShape=function(a,b){Box2D.Collision.Shapes.b2Shape.call(this);this.m_nextEdge=this.m_prevEdge=null;this.m_v1=a;this.m_v2=b;this.m_direction=Box2D.Common.Math.b2Vec2.Get(this.m_v2.x-this.m_v1.x,this.m_v2.y-this.m_v1.y);this.m_length=this.m_direction.Normalize();
this.m_normal=Box2D.Common.Math.b2Vec2.Get(this.m_direction.y,-this.m_direction.x);this.m_coreV1=Box2D.Common.Math.b2Vec2.Get(-Box2D.Common.b2Settings.b2_toiSlop*(this.m_normal.x-this.m_direction.x)+this.m_v1.x,-Box2D.Common.b2Settings.b2_toiSlop*(this.m_normal.y-this.m_direction.y)+this.m_v1.y);this.m_coreV2=Box2D.Common.Math.b2Vec2.Get(-Box2D.Common.b2Settings.b2_toiSlop*(this.m_normal.x+this.m_direction.x)+this.m_v2.x,-Box2D.Common.b2Settings.b2_toiSlop*(this.m_normal.y+this.m_direction.y)+this.m_v2.y);
this.m_cornerDir1=this.m_normal;this.m_cornerDir2=Box2D.Common.Math.b2Vec2.Get(-this.m_normal.x,-this.m_normal.y);this.m_cornerConvex2=this.m_cornerConvex1=!1};c2inherit(Box2D.Collision.Shapes.b2EdgeShape,Box2D.Collision.Shapes.b2Shape);Box2D.Collision.Shapes.b2EdgeShape.prototype.GetTypeName=function(){return Box2D.Collision.Shapes.b2EdgeShape.NAME};Box2D.Collision.Shapes.b2EdgeShape.prototype.TestPoint=function(a,b){return!1};Box2D.Collision.Shapes.b2EdgeShape.prototype.RayCast=function(a,b,c){var d=
b.p2.x-b.p1.x,f=b.p2.y-b.p1.y,e=c.R,g=c.position.x+(e.col1.x*this.m_v1.x+e.col2.x*this.m_v1.y),l=c.position.y+(e.col1.y*this.m_v1.x+e.col2.y*this.m_v1.y),k=c.position.y+(e.col1.y*this.m_v2.x+e.col2.y*this.m_v2.y)-l;c=-(c.position.x+(e.col1.x*this.m_v2.x+e.col2.x*this.m_v2.y)-g);var e=100*Number.MIN_VALUE,h=-(d*k+f*c);if(h>e){var g=b.p1.x-g,m=b.p1.y-l,l=g*k+m*c;if(0<=l&&l<=b.maxFraction*h&&(b=-d*m+f*g,-e*h<=b&&b<=h*(1+e)))return a.fraction=l/h,b=Math.sqrt(k*k+c*c),a.normal.x=k/b,a.normal.y=c/b,!0}return!1};
Box2D.Collision.Shapes.b2EdgeShape.prototype.ComputeAABB=function(a,b){var c=b.R,d=b.position.x+(c.col1.x*this.m_v1.x+c.col2.x*this.m_v1.y),f=b.position.y+(c.col1.y*this.m_v1.x+c.col2.y*this.m_v1.y),e=b.position.x+(c.col1.x*this.m_v2.x+c.col2.x*this.m_v2.y),c=b.position.y+(c.col1.y*this.m_v2.x+c.col2.y*this.m_v2.y);d<e?(a.lowerBound_.x=d,a.upperBound_.x=e):(a.lowerBound_.x=e,a.upperBound_.x=d);f<c?(a.lowerBound_.y=f,a.upperBound_.y=c):(a.lowerBound_.y=c,a.upperBound_.y=f)};Box2D.Collision.Shapes.b2EdgeShape.prototype.ComputeMass=
function(a,b){a.mass=0;a.center.SetV(this.m_v1);a.I=0};Box2D.Collision.Shapes.b2EdgeShape.prototype.ComputeSubmergedArea=function(a,b,c,d){void 0===b&&(b=0);var f=Box2D.Common.Math.b2Vec2.Get(a.x*b,a.y*b),e=Box2D.Common.Math.b2Math.MulX(c,this.m_v1);c=Box2D.Common.Math.b2Math.MulX(c,this.m_v2);var g=Box2D.Common.Math.b2Math.Dot(a,e)-b;a=Box2D.Common.Math.b2Math.Dot(a,c)-b;if(0<g){if(0<a)return 0;e.x=-a/(g-a)*e.x+g/(g-a)*c.x;e.y=-a/(g-a)*e.y+g/(g-a)*c.y}else 0<a&&(c.x=-a/(g-a)*e.x+g/(g-a)*c.x,c.y=
-a/(g-a)*e.y+g/(g-a)*c.y);d.x=(f.x+e.x+c.x)/3;d.y=(f.y+e.y+c.y)/3;return 0.5*((e.x-f.x)*(c.y-f.y)-(e.y-f.y)*(c.x-f.x))};Box2D.Collision.Shapes.b2EdgeShape.prototype.GetLength=function(){return this.m_length};Box2D.Collision.Shapes.b2EdgeShape.prototype.GetVertex1=function(){return this.m_v1};Box2D.Collision.Shapes.b2EdgeShape.prototype.GetVertex2=function(){return this.m_v2};Box2D.Collision.Shapes.b2EdgeShape.prototype.GetCoreVertex1=function(){return this.m_coreV1};Box2D.Collision.Shapes.b2EdgeShape.prototype.GetCoreVertex2=
function(){return this.m_coreV2};Box2D.Collision.Shapes.b2EdgeShape.prototype.GetNormalVector=function(){return this.m_normal};Box2D.Collision.Shapes.b2EdgeShape.prototype.GetDirectionVector=function(){return this.m_direction};Box2D.Collision.Shapes.b2EdgeShape.prototype.GetCorner1Vector=function(){return this.m_cornerDir1};Box2D.Collision.Shapes.b2EdgeShape.prototype.GetCorner2Vector=function(){return this.m_cornerDir2};Box2D.Collision.Shapes.b2EdgeShape.prototype.Corner1IsConvex=function(){return this.m_cornerConvex1};
Box2D.Collision.Shapes.b2EdgeShape.prototype.Corner2IsConvex=function(){return this.m_cornerConvex2};Box2D.Collision.Shapes.b2EdgeShape.prototype.GetFirstVertex=function(a){var b=a.R;return Box2D.Common.Math.b2Vec2.Get(a.position.x+(b.col1.x*this.m_coreV1.x+b.col2.x*this.m_coreV1.y),a.position.y+(b.col1.y*this.m_coreV1.x+b.col2.y*this.m_coreV1.y))};Box2D.Collision.Shapes.b2EdgeShape.prototype.GetNextEdge=function(){return this.m_nextEdge};Box2D.Collision.Shapes.b2EdgeShape.prototype.GetPrevEdge=function(){return this.m_prevEdge};
Box2D.Collision.Shapes.b2EdgeShape.prototype.Support=function(a,b,c){var d=a.R,f=a.position.x+(d.col1.x*this.m_coreV1.x+d.col2.x*this.m_coreV1.y),e=a.position.y+(d.col1.y*this.m_coreV1.x+d.col2.y*this.m_coreV1.y),g=a.position.x+(d.col1.x*this.m_coreV2.x+d.col2.x*this.m_coreV2.y);a=a.position.y+(d.col1.y*this.m_coreV2.x+d.col2.y*this.m_coreV2.y);return f*b+e*c>g*b+a*c?Box2D.Common.Math.b2Vec2.Get(f,e):Box2D.Common.Math.b2Vec2.Get(g,a)};Box2D.Collision.Shapes.b2EdgeShape.prototype.SetPrevEdge=function(a,
b,c,d){this.m_prevEdge=a;this.m_coreV1=b;this.m_cornerDir1=c;this.m_cornerConvex1=d};Box2D.Collision.Shapes.b2EdgeShape.prototype.SetNextEdge=function(a,b,c,d){this.m_nextEdge=a;this.m_coreV2=b;this.m_cornerDir2=c;this.m_cornerConvex2=d};Box2D.Collision.Shapes.b2EdgeShape.NAME="b2EdgeShape";Box2D.Collision.Shapes.b2MassData=function(){this.mass=0;this.center=Box2D.Common.Math.b2Vec2.Get(0,0);this.I=0};Box2D.Collision.Shapes.b2PolygonShape=function(){Box2D.Collision.Shapes.b2Shape.call(this);this.m_centroid=
Box2D.Common.Math.b2Vec2.Get(0,0);this.m_vertices=[];this.m_normals=[]};c2inherit(Box2D.Collision.Shapes.b2PolygonShape,Box2D.Collision.Shapes.b2Shape);Box2D.Collision.Shapes.b2PolygonShape.prototype.GetTypeName=function(){return Box2D.Collision.Shapes.b2PolygonShape.NAME};Box2D.Collision.Shapes.b2PolygonShape.prototype.Copy=function(){var a=new Box2D.Collision.Shapes.b2PolygonShape;a.Set(this);return a};Box2D.Collision.Shapes.b2PolygonShape.prototype.Set=function(a){Box2D.Collision.Shapes.b2Shape.prototype.Set.call(this,
a);if(a instanceof Box2D.Collision.Shapes.b2PolygonShape){this.m_centroid.SetV(a.m_centroid);this.m_vertexCount=a.m_vertexCount;this.Reserve(this.m_vertexCount);for(var b=0;b<this.m_vertexCount;b++)this.m_vertices[b].SetV(a.m_vertices[b]),this.m_normals[b].SetV(a.m_normals[b])}};Box2D.Collision.Shapes.b2PolygonShape.prototype.SetAsArray=function(a){this.SetAsVector(a)};Box2D.Collision.Shapes.b2PolygonShape.AsArray=function(a){var b=new Box2D.Collision.Shapes.b2PolygonShape;b.SetAsArray(a);return b};
Box2D.Collision.Shapes.b2PolygonShape.prototype.SetAsVector=function(a){var b=a.length;this.m_vertexCount=b;this.Reserve(b);for(b=b=0;b<this.m_vertexCount;b++)this.m_vertices[b].SetV(a[b]);for(b=0;b<this.m_vertexCount;++b)a=Box2D.Common.Math.b2Math.SubtractVV(this.m_vertices[b+1<this.m_vertexCount?b+1:0],this.m_vertices[b]),this.m_normals[b].SetV(Box2D.Common.Math.b2Math.CrossVF(a,1)),this.m_normals[b].Normalize();this.m_centroid=Box2D.Collision.Shapes.b2PolygonShape.ComputeCentroid(this.m_vertices,
this.m_vertexCount)};Box2D.Collision.Shapes.b2PolygonShape.AsVector=function(a){var b=new Box2D.Collision.Shapes.b2PolygonShape;b.SetAsVector(a);return b};Box2D.Collision.Shapes.b2PolygonShape.prototype.SetAsBox=function(a,b){this.m_vertexCount=4;this.Reserve(4);this.m_vertices[0].Set(-a,-b);this.m_vertices[1].Set(a,-b);this.m_vertices[2].Set(a,b);this.m_vertices[3].Set(-a,b);this.m_normals[0].Set(0,-1);this.m_normals[1].Set(1,0);this.m_normals[2].Set(0,1);this.m_normals[3].Set(-1,0);this.m_centroid.SetZero()};
Box2D.Collision.Shapes.b2PolygonShape.AsBox=function(a,b){var c=new Box2D.Collision.Shapes.b2PolygonShape;c.SetAsBox(a,b);return c};Box2D.Collision.Shapes.b2PolygonShape.prototype.SetAsOrientedBox=function(a,b,c,d){this.m_vertexCount=4;this.Reserve(4);this.m_vertices[0].Set(-a,-b);this.m_vertices[1].Set(a,-b);this.m_vertices[2].Set(a,b);this.m_vertices[3].Set(-a,b);this.m_normals[0].Set(0,-1);this.m_normals[1].Set(1,0);this.m_normals[2].Set(0,1);this.m_normals[3].Set(-1,0);this.m_centroid=c;a=new Box2D.Common.Math.b2Mat22;
a.Set(d);c=new Box2D.Common.Math.b2Transform(c,a);for(d=0;d<this.m_vertexCount;++d)this.m_vertices[d]=Box2D.Common.Math.b2Math.MulX(c,this.m_vertices[d]),this.m_normals[d]=Box2D.Common.Math.b2Math.MulMV(c.R,this.m_normals[d])};Box2D.Collision.Shapes.b2PolygonShape.AsOrientedBox=function(a,b,c,d){var f=new Box2D.Collision.Shapes.b2PolygonShape;f.SetAsOrientedBox(a,b,c,d);return f};Box2D.Collision.Shapes.b2PolygonShape.prototype.SetAsEdge=function(a,b){this.m_vertexCount=2;this.Reserve(2);this.m_vertices[0].SetV(a);
this.m_vertices[1].SetV(b);this.m_centroid.x=0.5*(a.x+b.x);this.m_centroid.y=0.5*(a.y+b.y);this.m_normals[0]=Box2D.Common.Math.b2Math.CrossVF(Box2D.Common.Math.b2Math.SubtractVV(b,a),1);this.m_normals[0].Normalize();this.m_normals[1].x=-this.m_normals[0].x;this.m_normals[1].y=-this.m_normals[0].y};Box2D.Collision.Shapes.b2PolygonShape.AsEdge=function(a,b){var c=new Box2D.Collision.Shapes.b2PolygonShape;c.SetAsEdge(a,b);return c};Box2D.Collision.Shapes.b2PolygonShape.prototype.TestPoint=function(a,
b){var c;c=a.R;for(var d=b.x-a.position.x,f=b.y-a.position.y,e=d*c.col1.x+f*c.col1.y,g=d*c.col2.x+f*c.col2.y,l=0;l<this.m_vertexCount;++l)if(c=this.m_vertices[l],d=e-c.x,f=g-c.y,c=this.m_normals[l],0<c.x*d+c.y*f)return!1;return!0};Box2D.Collision.Shapes.b2PolygonShape.prototype.RayCast=function(a,b,c){var d=0,f=b.maxFraction,e=0,g=0,l,k,e=b.p1.x-c.position.x,g=b.p1.y-c.position.y;l=c.R;var h=e*l.col1.x+g*l.col1.y,m=e*l.col2.x+g*l.col2.y,e=b.p2.x-c.position.x,g=b.p2.y-c.position.y;l=c.R;b=e*l.col1.x+
g*l.col1.y-h;l=e*l.col2.x+g*l.col2.y-m;for(var n=-1,r=0;r<this.m_vertexCount;++r){k=this.m_vertices[r];e=k.x-h;g=k.y-m;k=this.m_normals[r];e=k.x*e+k.y*g;g=k.x*b+k.y*l;if(0==g){if(0>e)return!1}else 0>g&&e<d*g?(d=e/g,n=r):0<g&&e<f*g&&(f=e/g);if(f<d-Number.MIN_VALUE)return!1}return 0<=n?(a.fraction=d,l=c.R,k=this.m_normals[n],a.normal.x=l.col1.x*k.x+l.col2.x*k.y,a.normal.y=l.col1.y*k.x+l.col2.y*k.y,!0):!1};Box2D.Collision.Shapes.b2PolygonShape.prototype.ComputeAABB=function(a,b){for(var c=b.R,d=this.m_vertices[0],
f=b.position.x+(c.col1.x*d.x+c.col2.x*d.y),e=b.position.y+(c.col1.y*d.x+c.col2.y*d.y),g=f,l=e,k=1;k<this.m_vertexCount;++k)var d=this.m_vertices[k],h=b.position.x+(c.col1.x*d.x+c.col2.x*d.y),d=b.position.y+(c.col1.y*d.x+c.col2.y*d.y),f=f<h?f:h,e=e<d?e:d,g=g>h?g:h,l=l>d?l:d;a.lowerBound_.x=f-this.m_radius;a.lowerBound_.y=e-this.m_radius;a.upperBound_.x=g+this.m_radius;a.upperBound_.y=l+this.m_radius};Box2D.Collision.Shapes.b2PolygonShape.prototype.ComputeMass=function(a,b){if(2==this.m_vertexCount)a.center.x=
0.5*(this.m_vertices[0].x+this.m_vertices[1].x),a.center.y=0.5*(this.m_vertices[0].y+this.m_vertices[1].y),a.mass=0,a.I=0;else{for(var c=0,d=0,f=0,e=0,g=1/3,l=0;l<this.m_vertexCount;++l)var k=this.m_vertices[l],h=l+1<this.m_vertexCount?this.m_vertices[l+1]:this.m_vertices[0],m=k.x-0,n=k.y-0,r=h.x-0,p=h.y-0,q=m*p-n*r,t=0.5*q,f=f+t,c=c+t*g*(0+k.x+h.x),d=d+t*g*(0+k.y+h.y),k=m,e=e+q*(g*(0.25*(k*k+r*k+r*r)+(0*k+0*r))+0+(g*(0.25*(n*n+p*n+p*p)+(0*n+0*p))+0));a.mass=b*f;a.center.Set(c*(1/f),d*(1/f));a.I=
b*e}};Box2D.Collision.Shapes.b2PolygonShape.prototype.ComputeSubmergedArea=function(a,b,c,d){var f=Box2D.Common.Math.b2Math.MulTMV(c.R,a),e=b-Box2D.Common.Math.b2Math.Dot(a,c.position),g=[],l=0,k=-1;b=-1;var h=!1;for(a=a=0;a<this.m_vertexCount;++a){g[a]=Box2D.Common.Math.b2Math.Dot(f,this.m_vertices[a])-e;var m=g[a]<-Number.MIN_VALUE;0<a&&(m?h||(k=a-1,l++):h&&(b=a-1,l++));h=m}switch(l){case 0:return h?(a=new Box2D.Collision.Shapes.b2MassData,this.ComputeMass(a,1),d.SetV(Box2D.Common.Math.b2Math.MulX(c,
a.center)),a.mass):0;case 1:-1==k?k=this.m_vertexCount-1:b=this.m_vertexCount-1}a=(k+1)%this.m_vertexCount;f=(b+1)%this.m_vertexCount;e=(0-g[k])/(g[a]-g[k]);g=(0-g[b])/(g[f]-g[b]);k=Box2D.Common.Math.b2Vec2.Get(this.m_vertices[k].x*(1-e)+this.m_vertices[a].x*e,this.m_vertices[k].y*(1-e)+this.m_vertices[a].y*e);b=Box2D.Common.Math.b2Vec2.Get(this.m_vertices[b].x*(1-g)+this.m_vertices[f].x*g,this.m_vertices[b].y*(1-g)+this.m_vertices[f].y*g);g=0;e=Box2D.Common.Math.b2Vec2.Get(0,0);for(l=this.m_vertices[a];a!=
f;)a=(a+1)%this.m_vertexCount,h=a==f?b:this.m_vertices[a],m=0.5*((l.x-k.x)*(h.y-k.y)-(l.y-k.y)*(h.x-k.x)),g+=m,e.x+=m*(k.x+l.x+h.x)/3,e.y+=m*(k.y+l.y+h.y)/3,l=h;e.Multiply(1/g);d.SetV(Box2D.Common.Math.b2Math.MulX(c,e));return g};Box2D.Collision.Shapes.b2PolygonShape.prototype.SetDistanceProxy=function(a){a.m_vertices=this.m_vertices;a.m_count=this.m_vertexCount;a.m_radius=this.m_radius};Box2D.Collision.Shapes.b2PolygonShape.prototype.GetVertexCount=function(){return this.m_vertexCount};Box2D.Collision.Shapes.b2PolygonShape.prototype.GetVertices=
function(){return this.m_vertices};Box2D.Collision.Shapes.b2PolygonShape.prototype.GetNormals=function(){return this.m_normals};Box2D.Collision.Shapes.b2PolygonShape.prototype.GetSupport=function(a){for(var b=0,c=this.m_vertices[0].x*a.x+this.m_vertices[0].y*a.y,d=1;d<this.m_vertexCount;++d){var f=this.m_vertices[d].x*a.x+this.m_vertices[d].y*a.y;f>c&&(b=d,c=f)}return b};Box2D.Collision.Shapes.b2PolygonShape.prototype.GetSupportVertex=function(a){for(var b=0,c=this.m_vertices[0].x*a.x+this.m_vertices[0].y*
a.y,d=1;d<this.m_vertexCount;++d){var f=this.m_vertices[d].x*a.x+this.m_vertices[d].y*a.y;f>c&&(b=d,c=f)}return this.m_vertices[b]};Box2D.Collision.Shapes.b2PolygonShape.prototype.Reserve=function(a){this.m_vertices=[];this.m_normals=[];for(var b=this.m_vertices.length;b<a;b++)this.m_vertices[b]=Box2D.Common.Math.b2Vec2.Get(0,0),this.m_normals[b]=Box2D.Common.Math.b2Vec2.Get(0,0)};Box2D.Collision.Shapes.b2PolygonShape.ComputeCentroid=function(a,b){for(var c=Box2D.Common.Math.b2Vec2.Get(0,0),d=0,f=
1/3,e=0;e<b;++e){var g=a[e],l=e+1<b?a[e+1]:a[0],k=0.5*((g.x-0)*(l.y-0)-(g.y-0)*(l.x-0)),d=d+k;c.x+=k*f*(0+g.x+l.x);c.y+=k*f*(0+g.y+l.y)}c.x*=1/d;c.y*=1/d;return c};Box2D.Collision.Shapes.b2PolygonShape.s_mat=new Box2D.Common.Math.b2Mat22;Box2D.Collision.Shapes.b2PolygonShape.NAME="b2PolygonShape";Box2D.Collision.b2ContactID=function(){this._incidentVertex=this._incidentEdge=this._referenceEdge=this._key=0};Box2D.Collision.b2ContactID.prototype.GetKey=function(){return this._key};Box2D.Collision.b2ContactID.prototype.SetKey=
function(a){this._key=a;this._referenceEdge=this._key&255;this._incidentEdge=(this._key&65280)>>8&255;this._incidentVertex=(this._key&16711680)>>16&255;this._flip=(this._key&4278190080)>>24&255};Box2D.Collision.b2ContactID.prototype.Set=function(a){this.SetKey(a._key)};Box2D.Collision.b2ContactID.prototype.SetReferenceEdge=function(a){this._referenceEdge=a;this._key=this._key&4294967040|this._referenceEdge&255};Box2D.Collision.b2ContactID.prototype.SetIncidentEdge=function(a){this._incidentEdge=a;
this._key=this._key&4294902015|this._incidentEdge<<8&65280};Box2D.Collision.b2ContactID.prototype.SetIncidentVertex=function(a){this._incidentVertex=a;this._key=this._key&4278255615|this._incidentVertex<<16&16711680};Box2D.Collision.b2ContactID.prototype.SetFlip=function(a){this._flip=a;this._key=this._key&16777215|this._flip<<24&4278190080};Box2D.Collision.b2ContactID.prototype.Copy=function(){var a=new Box2D.Collision.b2ContactID;a.Set(this);return a};Box2D.Collision.ClipVertex=function(){this.v=
Box2D.Common.Math.b2Vec2.Get(0,0);this.id=new Box2D.Collision.b2ContactID};Box2D.Collision.ClipVertex.prototype.Set=function(a){this.v.SetV(a.v);this.id.Set(a.id)};Box2D.Collision.IBroadPhase="Box2D.Collision.IBroadPhase";Box2D.Collision.b2AABB=function(){this.lowerBound_=Box2D.Common.Math.b2Vec2.Get(0,0);this.upperBound_=Box2D.Common.Math.b2Vec2.Get(0,0)};Box2D.Collision.b2AABB._freeCache=[];Box2D.Collision.b2AABB.Get=function(){if(0<Box2D.Collision.b2AABB._freeCache.length){var a=Box2D.Collision.b2AABB._freeCache.pop();
a.SetZero();return a}return new Box2D.Collision.b2AABB};Box2D.Collision.b2AABB.Free=function(a){Box2D.Collision.b2AABB._freeCache.push(a)};Box2D.Collision.b2AABB.prototype.SetZero=function(){this.lowerBound_.Set(0,0);this.upperBound_.Set(0,0)};Box2D.Collision.b2AABB.prototype.IsValid=function(){return 0>this.upperBound_.x-this.lowerBound_.x||0>this.upperBound_.y-this.lowerBound_.y?!1:this.lowerBound_.IsValid()&&this.upperBound_.IsValid()};Box2D.Collision.b2AABB.prototype.GetCenter=function(){return Box2D.Common.Math.b2Vec2.Get((this.lowerBound_.x+
this.upperBound_.x)/2,(this.lowerBound_.y+this.upperBound_.y)/2)};Box2D.Collision.b2AABB.prototype.SetCenter=function(a){var b=this.GetCenter();this.lowerBound_.Subtract(b);this.upperBound_.Subtract(b);this.lowerBound_.Add(a);this.upperBound_.Add(a);Box2D.Common.Math.b2Vec2.Free(b)};Box2D.Collision.b2AABB.prototype.GetExtents=function(){return Box2D.Common.Math.b2Vec2.Get((this.upperBound_.x-this.lowerBound_.x)/2,(this.upperBound_.y-this.lowerBound_.y)/2)};Box2D.Collision.b2AABB.prototype.Contains=
function(a){var b;return b=(b=(b=(b=this.lowerBound_.x<=a.lowerBound_.x)&&this.lowerBound_.y<=a.lowerBound_.y)&&a.upperBound_.x<=this.upperBound_.x)&&a.upperBound_.y<=this.upperBound_.y};Box2D.Collision.b2AABB.prototype.RayCast=function(a,b){var c=-Number.MAX_VALUE,d=Number.MAX_VALUE,f=b.p2.x-b.p1.x;if(Math.abs(f)<Number.MIN_VALUE){if(b.p1.x<this.lowerBound_.x||this.upperBound_.x<b.p1.x)return!1}else{var e=1/f,f=(this.lowerBound_.x-b.p1.x)*e,e=(this.upperBound_.x-b.p1.x)*e,g=-1;f>e&&(g=f,f=e,e=g,
g=1);f>c&&(a.normal.x=g,a.normal.y=0,c=f);d=Math.min(d,e);if(c>d)return!1}f=b.p2.y-b.p1.y;if(Math.abs(f)<Number.MIN_VALUE){if(b.p1.y<this.lowerBound_.y||this.upperBound_.y<b.p1.y)return!1}else if(e=1/f,f=(this.lowerBound_.y-b.p1.y)*e,e*=this.upperBound_.y-b.p1.y,g=-1,f>e&&(g=f,f=e,e=g,g=1),f>c&&(a.normal.y=g,a.normal.x=0,c=f),d=Math.min(d,e),c>d)return!1;a.fraction=c;return!0};Box2D.Collision.b2AABB.prototype.TestOverlap=function(a){return 0<a.lowerBound_.x-this.upperBound_.x||0<a.lowerBound_.y-this.upperBound_.y||
0<this.lowerBound_.x-a.upperBound_.x||0<this.lowerBound_.y-a.upperBound_.y?!1:!0};Box2D.Collision.b2AABB.Combine=function(a,b){var c=Box2D.Collision.b2AABB.Get();c.Combine(a,b);return c};Box2D.Collision.b2AABB.prototype.Combine=function(a,b){this.lowerBound_.x=Math.min(a.lowerBound_.x,b.lowerBound_.x);this.lowerBound_.y=Math.min(a.lowerBound_.y,b.lowerBound_.y);this.upperBound_.x=Math.max(a.upperBound_.x,b.upperBound_.x);this.upperBound_.y=Math.max(a.upperBound_.y,b.upperBound_.y)};Box2D.Collision.b2Collision.ClipSegmentToLine=
function(a,b,c,d){var f=0,e=b[0].v,g=b[1].v,l=c.x*e.x+c.y*e.y-d;c=c.x*g.x+c.y*g.y-d;0>=l&&a[f++].Set(b[0]);0>=c&&a[f++].Set(b[1]);0>l*c&&(c=l/(l-c),d=a[f].v,d.x=e.x+c*(g.x-e.x),d.y=e.y+c*(g.y-e.y),a[f].id=0<l?b[0].id:b[1].id,f++);return f};Box2D.Collision.b2Collision.EdgeSeparation=function(a,b,c,d,f){for(var e=b.R.col1.x*a.m_normals[c].x+b.R.col2.x*a.m_normals[c].y,g=b.R.col1.y*a.m_normals[c].x+b.R.col2.y*a.m_normals[c].y,l=f.R.col1.x*e+f.R.col1.y*g,k=f.R.col2.x*e+f.R.col2.y*g,h=0,m=Number.MAX_VALUE,
n=0;n<d.m_vertexCount;n++){var r=d.m_vertices[n].x*l+d.m_vertices[n].y*k;r<m&&(m=r,h=n)}return(f.position.x+(f.R.col1.x*d.m_vertices[h].x+f.R.col2.x*d.m_vertices[h].y)-(b.position.x+(b.R.col1.x*a.m_vertices[c].x+b.R.col2.x*a.m_vertices[c].y)))*e+(f.position.y+(f.R.col1.y*d.m_vertices[h].x+f.R.col2.y*d.m_vertices[h].y)-(b.position.y+(b.R.col1.y*a.m_vertices[c].x+b.R.col2.y*a.m_vertices[c].y)))*g};Box2D.Collision.b2Collision.FindMaxSeparation=function(a,b,c,d){for(var f=d.position.x+(d.R.col1.x*c.m_centroid.x+
d.R.col2.x*c.m_centroid.y),e=d.position.y+(d.R.col1.y*c.m_centroid.x+d.R.col2.y*c.m_centroid.y),f=f-(b.position.x+(b.R.col1.x*a.m_centroid.x+b.R.col2.x*a.m_centroid.y)),e=e-(b.position.y+(b.R.col1.y*a.m_centroid.x+b.R.col2.y*a.m_centroid.y)),g=f*b.R.col1.x+e*b.R.col1.y,e=f*b.R.col2.x+e*b.R.col2.y,f=0,l=-Number.MAX_VALUE,k=0;k<a.m_vertexCount;++k){var h=a.m_normals[k].x*g+a.m_normals[k].y*e;h>l&&(l=h,f=k)}g=Box2D.Collision.b2Collision.EdgeSeparation(a,b,f,c,d);e=f-1;0>e&&(e=a.m_vertexCount-1);l=Box2D.Collision.b2Collision.EdgeSeparation(a,
b,e,c,d);k=f+1;k>=a.m_vertexCount&&(k=0);var h=Box2D.Collision.b2Collision.EdgeSeparation(a,b,k,c,d),m=0,n=0;if(l>g&&l>h)for(m=e,n=l;;)if(f=m-1,0>f&&(f=a.m_vertexCount-1),g=Box2D.Collision.b2Collision.EdgeSeparation(a,b,f,c,d),g>n)m=f,n=g;else break;else if(h>g)for(m=k,n=h;;)if(f=m+1,f>=a.m_vertexCount&&(f=0),g=Box2D.Collision.b2Collision.EdgeSeparation(a,b,f,c,d),g>n)m=f,n=g;else break;else m=f,n=g;return{bestEdge:m,separation:n}};Box2D.Collision.b2Collision.FindIncidentEdge=function(a,b,c,d,f,e){void 0===
d&&(d=0);var g=c.R.col1.x*b.m_normals[d].x+c.R.col2.x*b.m_normals[d].y;b=c.R.col1.y*b.m_normals[d].x+c.R.col2.y*b.m_normals[d].y;c=e.R.col1.x*g+e.R.col1.y*b;b=e.R.col2.x*g+e.R.col2.y*b;g=c;c=0;for(var l=Number.MAX_VALUE,k=0;k<f.m_vertexCount;k++){var h=g*f.m_normals[k].x+b*f.m_normals[k].y;h<l&&(l=h,c=k)}g=c+1;g>=f.m_vertexCount&&(g=0);a[0].v.x=e.position.x+(e.R.col1.x*f.m_vertices[c].x+e.R.col2.x*f.m_vertices[c].y);a[0].v.y=e.position.y+(e.R.col1.y*f.m_vertices[c].x+e.R.col2.y*f.m_vertices[c].y);
a[0].id.SetReferenceEdge(d);a[0].id.SetIncidentEdge(c);a[0].id.SetIncidentVertex(0);a[1].v.x=e.position.x+(e.R.col1.x*f.m_vertices[g].x+e.R.col2.x*f.m_vertices[g].y);a[1].v.y=e.position.y+(e.R.col1.y*f.m_vertices[g].x+e.R.col2.y*f.m_vertices[g].y);a[1].id.SetReferenceEdge(d);a[1].id.SetIncidentEdge(g);a[1].id.SetIncidentVertex(1)};Box2D.Collision.b2Collision.MakeClipPointVector=function(){return[new Box2D.Collision.ClipVertex,new Box2D.Collision.ClipVertex]};Box2D.Collision.b2Collision.CollidePolygons=
function(a,b,c,d,f){a.m_pointCount=0;var e=b.m_radius+d.m_radius,g=Box2D.Collision.b2Collision.FindMaxSeparation(b,c,d,f),l=g.bestEdge;if(!(g.separation>e)){var k=Box2D.Collision.b2Collision.FindMaxSeparation(d,f,b,c);if(!(k.separation>e)){var h=b,m=d,n=c,r=f,p=0;a.m_type=Box2D.Collision.b2Manifold.e_faceA;k.separation>0.98*g.separation+0.0010&&(h=d,m=b,n=f,r=c,l=k.bestEdge,a.m_type=Box2D.Collision.b2Manifold.e_faceB,p=1);b=Box2D.Collision.b2Collision.s_incidentEdge;Box2D.Collision.b2Collision.FindIncidentEdge(b,
h,n,l,m,r);m=h.m_vertices[l];l=l+1<h.m_vertexCount?h.m_vertices[l+1]:h.m_vertices[0];Box2D.Collision.b2Collision.s_localTangent.Set(l.x-m.x,l.y-m.y);Box2D.Collision.b2Collision.s_localTangent.Normalize();Box2D.Collision.b2Collision.s_localNormal.x=Box2D.Collision.b2Collision.s_localTangent.y;Box2D.Collision.b2Collision.s_localNormal.y=-Box2D.Collision.b2Collision.s_localTangent.x;Box2D.Collision.b2Collision.s_planePoint.Set(0.5*(m.x+l.x),0.5*(m.y+l.y));Box2D.Collision.b2Collision.s_tangent.x=n.R.col1.x*
Box2D.Collision.b2Collision.s_localTangent.x+n.R.col2.x*Box2D.Collision.b2Collision.s_localTangent.y;Box2D.Collision.b2Collision.s_tangent.y=n.R.col1.y*Box2D.Collision.b2Collision.s_localTangent.x+n.R.col2.y*Box2D.Collision.b2Collision.s_localTangent.y;Box2D.Collision.b2Collision.s_tangent2.x=-Box2D.Collision.b2Collision.s_tangent.x;Box2D.Collision.b2Collision.s_tangent2.y=-Box2D.Collision.b2Collision.s_tangent.y;Box2D.Collision.b2Collision.s_normal.x=Box2D.Collision.b2Collision.s_tangent.y;Box2D.Collision.b2Collision.s_normal.y=
-Box2D.Collision.b2Collision.s_tangent.x;Box2D.Collision.b2Collision.s_v11.x=n.position.x+(n.R.col1.x*m.x+n.R.col2.x*m.y);Box2D.Collision.b2Collision.s_v11.y=n.position.y+(n.R.col1.y*m.x+n.R.col2.y*m.y);Box2D.Collision.b2Collision.s_v12.x=n.position.x+(n.R.col1.x*l.x+n.R.col2.x*l.y);Box2D.Collision.b2Collision.s_v12.y=n.position.y+(n.R.col1.y*l.x+n.R.col2.y*l.y);if(!(2>Box2D.Collision.b2Collision.ClipSegmentToLine(Box2D.Collision.b2Collision.s_clipPoints1,b,Box2D.Collision.b2Collision.s_tangent2,
-Box2D.Collision.b2Collision.s_tangent.x*Box2D.Collision.b2Collision.s_v11.x-Box2D.Collision.b2Collision.s_tangent.y*Box2D.Collision.b2Collision.s_v11.y+e)||2>Box2D.Collision.b2Collision.ClipSegmentToLine(Box2D.Collision.b2Collision.s_clipPoints2,Box2D.Collision.b2Collision.s_clipPoints1,Box2D.Collision.b2Collision.s_tangent,Box2D.Collision.b2Collision.s_tangent.x*Box2D.Collision.b2Collision.s_v12.x+Box2D.Collision.b2Collision.s_tangent.y*Box2D.Collision.b2Collision.s_v12.y+e))){a.m_localPlaneNormal.SetV(Box2D.Collision.b2Collision.s_localNormal);
a.m_localPoint.SetV(Box2D.Collision.b2Collision.s_planePoint);n=Box2D.Collision.b2Collision.s_normal.x*Box2D.Collision.b2Collision.s_v11.x+Box2D.Collision.b2Collision.s_normal.y*Box2D.Collision.b2Collision.s_v11.y;for(h=l=0;h<Box2D.Common.b2Settings.b2_maxManifoldPoints;++h)Box2D.Collision.b2Collision.s_normal.x*Box2D.Collision.b2Collision.s_clipPoints2[h].v.x+Box2D.Collision.b2Collision.s_normal.y*Box2D.Collision.b2Collision.s_clipPoints2[h].v.y-n<=e&&(m=Box2D.Collision.b2Collision.s_clipPoints2[h].v.x-
r.position.x,b=Box2D.Collision.b2Collision.s_clipPoints2[h].v.y-r.position.y,a.m_points[l].m_localPoint.x=m*r.R.col1.x+b*r.R.col1.y,a.m_points[l].m_localPoint.y=m*r.R.col2.x+b*r.R.col2.y,a.m_points[l].m_id.Set(Box2D.Collision.b2Collision.s_clipPoints2[h].id),a.m_points[l].m_id.SetFlip(p),l++);a.m_pointCount=l}}}};Box2D.Collision.b2Collision.CollideCircles=function(a,b,c,d,f){a.m_pointCount=0;var e=f.position.x+(f.R.col1.x*d.m_p.x+f.R.col2.x*d.m_p.y)-(c.position.x+(c.R.col1.x*b.m_p.x+c.R.col2.x*b.m_p.y));
c=f.position.y+(f.R.col1.y*d.m_p.x+f.R.col2.y*d.m_p.y)-(c.position.y+(c.R.col1.y*b.m_p.x+c.R.col2.y*b.m_p.y));f=b.m_radius+d.m_radius;e*e+c*c>f*f||(a.m_type=Box2D.Collision.b2Manifold.e_circles,a.m_localPoint.SetV(b.m_p),a.m_localPlaneNormal.SetZero(),a.m_pointCount=1,a.m_points[0].m_localPoint.SetV(d.m_p),a.m_points[0].m_id.SetKey(0))};Box2D.Collision.b2Collision.CollidePolygonAndCircle=function(a,b,c,d,f){a.m_pointCount=0;var e=f.position.x+(f.R.col1.x*d.m_p.x+f.R.col2.x*d.m_p.y)-c.position.x,g=
f.position.y+(f.R.col1.y*d.m_p.x+f.R.col2.y*d.m_p.y)-c.position.y;f=e*c.R.col1.x+g*c.R.col1.y;c=e*c.R.col2.x+g*c.R.col2.y;for(var e=0,g=-Number.MAX_VALUE,l=b.m_radius+d.m_radius,k=0;k<b.m_vertexCount;++k){var h=b.m_normals[k].x*(f-b.m_vertices[k].x)+b.m_normals[k].y*(c-b.m_vertices[k].y);if(h>l)return;h>g&&(g=h,e=k)}h=e+1;h>=b.m_vertexCount&&(h=0);var k=b.m_vertices[e],m=b.m_vertices[h];g<Number.MIN_VALUE?(a.m_pointCount=1,a.m_type=Box2D.Collision.b2Manifold.e_faceA,a.m_localPlaneNormal.SetV(b.m_normals[e]),
a.m_localPoint.x=0.5*(k.x+m.x),a.m_localPoint.y=0.5*(k.y+m.y),a.m_points[0].m_localPoint.SetV(d.m_p),a.m_points[0].m_id.SetKey(0)):0>=(f-k.x)*(m.x-k.x)+(c-k.y)*(m.y-k.y)?(f-k.x)*(f-k.x)+(c-k.y)*(c-k.y)>l*l||(a.m_pointCount=1,a.m_type=Box2D.Collision.b2Manifold.e_faceA,a.m_localPlaneNormal.x=f-k.x,a.m_localPlaneNormal.y=c-k.y,a.m_localPlaneNormal.Normalize(),a.m_localPoint.SetV(k),a.m_points[0].m_localPoint.SetV(d.m_p),a.m_points[0].m_id.SetKey(0)):0>=(f-m.x)*(k.x-m.x)+(c-m.y)*(k.y-m.y)?(f-m.x)*(f-
m.x)+(c-m.y)*(c-m.y)>l*l||(a.m_pointCount=1,a.m_type=Box2D.Collision.b2Manifold.e_faceA,a.m_localPlaneNormal.x=f-m.x,a.m_localPlaneNormal.y=c-m.y,a.m_localPlaneNormal.Normalize(),a.m_localPoint.SetV(m),a.m_points[0].m_localPoint.SetV(d.m_p),a.m_points[0].m_id.SetKey(0)):(h=0.5*(k.x+m.x),k=0.5*(k.y+m.y),g=(f-h)*b.m_normals[e].x+(c-k)*b.m_normals[e].y,g>l||(a.m_pointCount=1,a.m_type=Box2D.Collision.b2Manifold.e_faceA,a.m_localPlaneNormal.x=b.m_normals[e].x,a.m_localPlaneNormal.y=b.m_normals[e].y,a.m_localPlaneNormal.Normalize(),
a.m_localPoint.Set(h,k),a.m_points[0].m_localPoint.SetV(d.m_p),a.m_points[0].m_id.SetKey(0)))};Box2D.Collision.b2Collision.TestOverlap=function(a,b){return 0<b.lowerBound_.x-a.upperBound_.x||0<b.lowerBound_.y-a.upperBound_.y||0<a.lowerBound_.x-b.upperBound_.x||0<a.lowerBound_.y-b.upperBound_.y?!1:!0};Box2D.Collision.b2ContactPoint=function(){this.position=Box2D.Common.Math.b2Vec2.Get(0,0);this.velocity=Box2D.Common.Math.b2Vec2.Get(0,0);this.normal=Box2D.Common.Math.b2Vec2.Get(0,0);this.id=new Box2D.Collision.b2ContactID};
Box2D.Collision.b2Distance.Distance=function(a,b,c){var d=new Box2D.Collision.b2Simplex;d.ReadCache(b,c.proxyA,c.transformA,c.proxyB,c.transformB);for(var f=0;20>f;){for(var e=[],g=0;g<d.m_count;g++)e[g]={},e[g].indexA=d.m_vertices[g].indexA,e[g].indexB=d.m_vertices[g].indexB;2==d.m_count?d.Solve2():3==d.m_count&&d.Solve3();if(3==d.m_count)break;g=d.GetSearchDirection();if(g.LengthSquared()<Box2D.Common.b2Settings.MIN_VALUE_SQUARED)break;var l=g.GetNegative();d.m_vertices[d.m_count].indexA=c.proxyA.GetSupport(Box2D.Common.Math.b2Math.MulTMV(c.transformA.R,
l));d.m_vertices[d.m_count].wA=Box2D.Common.Math.b2Math.MulX(c.transformA,c.proxyA.GetVertex(d.m_vertices[d.m_count].indexA));d.m_vertices[d.m_count].indexB=c.proxyB.GetSupport(Box2D.Common.Math.b2Math.MulTMV(c.transformB.R,g));d.m_vertices[d.m_count].wB=Box2D.Common.Math.b2Math.MulX(c.transformB,c.proxyB.GetVertex(d.m_vertices[d.m_count].indexB));d.m_vertices[d.m_count].w=Box2D.Common.Math.b2Math.SubtractVV(d.m_vertices[d.m_count].wB,d.m_vertices[d.m_count].wA);Box2D.Common.Math.b2Vec2.Free(g);Box2D.Common.Math.b2Vec2.Free(l);
f++;l=!1;for(g=0;g<e.length;g++)if(d.m_vertices[d.m_count].indexA==e[g].indexA&&d.m_vertices[d.m_count].indexB==e[g].indexB){l=!0;break}if(l)break;d.m_count++}d.GetWitnessPoints(a.pointA,a.pointB);a.distance=Box2D.Common.Math.b2Math.SubtractVV(a.pointA,a.pointB).Length();d.WriteCache(b);c.useRadii&&(b=c.proxyA.m_radius,c=c.proxyB.m_radius,a.distance>b+c&&a.distance>Number.MIN_VALUE?(a.distance-=b+c,d=Box2D.Common.Math.b2Math.SubtractVV(a.pointB,a.pointA),d.Normalize(),a.pointA.x+=b*d.x,a.pointA.y+=
b*d.y,a.pointB.x-=c*d.x,a.pointB.y-=c*d.y,Box2D.Common.Math.b2Vec2.Free(d)):(c=Box2D.Common.Math.b2Vec2.Get(0,0),c.x=0.5*(a.pointA.x+a.pointB.x),c.y=0.5*(a.pointA.y+a.pointB.y),a.pointA.x=a.pointB.x=c.x,a.pointA.y=a.pointB.y=c.y,a.distance=0,Box2D.Common.Math.b2Vec2.Free(c)))};Box2D.Collision.b2DistanceInput=function(){};Box2D.Collision.b2DistanceOutput=function(){this.pointA=Box2D.Common.Math.b2Vec2.Get(0,0);this.pointB=Box2D.Common.Math.b2Vec2.Get(0,0);this.distance=0};Box2D.Collision.b2DistanceProxy=
function(){};Box2D.Collision.b2DistanceProxy.prototype.Set=function(a){a.SetDistanceProxy(this)};Box2D.Collision.b2DistanceProxy.prototype.GetSupport=function(a){for(var b=0,c=this.m_vertices[0].x*a.x+this.m_vertices[0].y*a.y,d=1;d<this.m_count;d++){var f=this.m_vertices[d].x*a.x+this.m_vertices[d].y*a.y;f>c&&(b=d,c=f)}return b};Box2D.Collision.b2DistanceProxy.prototype.GetSupportVertex=function(a){return this.m_vertices[this.GetSupport(a)]};Box2D.Collision.b2DistanceProxy.prototype.GetVertexCount=
function(){return this.m_count};Box2D.Collision.b2DistanceProxy.prototype.GetVertex=function(a){void 0===a&&(a=0);return this.m_vertices[a]};Box2D.Collision.b2DynamicTree=function(){this.m_root=null;this.m_insertionCount=this.m_path=0};Box2D.Collision.b2DynamicTree.prototype.CreateProxy=function(a,b){var c=Box2D.Collision.b2DynamicTreeNode.Get(b),d=Box2D.Common.b2Settings.b2_aabbExtension,f=Box2D.Common.b2Settings.b2_aabbExtension;c.aabb.lowerBound_.x=a.lowerBound_.x-d;c.aabb.lowerBound_.y=a.lowerBound_.y-
f;c.aabb.upperBound_.x=a.upperBound_.x+d;c.aabb.upperBound_.y=a.upperBound_.y+f;this.InsertLeaf(c);return c};Box2D.Collision.b2DynamicTree.prototype.DestroyProxy=function(a){this.RemoveLeaf(a);a.Destroy()};Box2D.Collision.b2DynamicTree.prototype.MoveProxy=function(a,b,c){if(a.aabb.Contains(b))return!1;this.RemoveLeaf(a);var d=Box2D.Common.b2Settings.b2_aabbExtension+Box2D.Common.b2Settings.b2_aabbMultiplier*Math.abs(c.x);c=Box2D.Common.b2Settings.b2_aabbExtension+Box2D.Common.b2Settings.b2_aabbMultiplier*
Math.abs(c.y);a.aabb.lowerBound_.x=b.lowerBound_.x-d;a.aabb.lowerBound_.y=b.lowerBound_.y-c;a.aabb.upperBound_.x=b.upperBound_.x+d;a.aabb.upperBound_.y=b.upperBound_.y+c;this.InsertLeaf(a);return!0};Box2D.Collision.b2DynamicTree.prototype.Rebalance=function(a){if(null!==this.m_root)for(var b=0;b<a;b++){for(var c=this.m_root,d=0;!c.IsLeaf();)c=this.m_path>>d&1?c.child2:c.child1,d=d+1&31;this.m_path++;this.RemoveLeaf(c);this.InsertLeaf(c)}};Box2D.Collision.b2DynamicTree.prototype.GetFatAABB=function(a){return a.aabb};
Box2D.Collision.b2DynamicTree.prototype.Query=function(a,b){if(null!==this.m_root){var c=[];for(c.push(this.m_root);0<c.length;){var d=c.pop();if(d.aabb.TestOverlap(b))if(d.IsLeaf()){if(!a(d.fixture))break}else c.push(d.child1),c.push(d.child2)}}};Box2D.Collision.b2DynamicTree.prototype.RayCast=function(a,b){if(null!==this.m_root){var c=Box2D.Common.Math.b2Math.SubtractVV(b.p1,b.p2);c.Normalize();var c=Box2D.Common.Math.b2Math.CrossFV(1,c),d=Box2D.Common.Math.b2Math.AbsV(c),f=b.maxFraction,e=b.p1.x+
f*(b.p2.x-b.p1.x),f=b.p1.y+f*(b.p2.y-b.p1.y),g=Box2D.Collision.b2AABB.Get();g.lowerBound_.x=Math.min(b.p1.x,e);g.lowerBound_.y=Math.min(b.p1.y,f);g.upperBound_.x=Math.max(b.p1.x,e);g.upperBound_.y=Math.max(b.p1.y,f);var l=[];for(l.push(this.m_root);0<l.length;)if(e=l.pop(),e.aabb.TestOverlap(g)){var f=e.aabb.GetCenter(),k=e.aabb.GetExtents();if(!(0<Math.abs(c.x*(b.p1.x-f.x)+c.y*(b.p1.y-f.y))-d.x*k.x-d.y*k.y))if(e.IsLeaf()){new Box2D.Collision.b2RayCastInput(b.p1,b.p2,b.maxFraction);f=a(b,e.fixture);
if(0==f)break;0<f&&(e=b.p1.x+f*(b.p2.x-b.p1.x),f=b.p1.y+f*(b.p2.y-b.p1.y),g.lowerBound_.x=Math.min(b.p1.x,e),g.lowerBound_.y=Math.min(b.p1.y,f),g.upperBound_.x=Math.max(b.p1.x,e),g.upperBound_.y=Math.max(b.p1.y,f))}else l.push(e.child1),l.push(e.child2)}Box2D.Collision.b2AABB.Free(g)}};Box2D.Collision.b2DynamicTree.prototype.InsertLeaf=function(a){this.m_insertionCount++;if(null===this.m_root)this.m_root=a,this.m_root.parent=null;else{var b=this.GetBestSibling(a),c=b.parent,d=Box2D.Collision.b2DynamicTreeNode.Get();
d.parent=c;d.aabb.Combine(a.aabb,b.aabb);if(c)for(b.parent.child1==b?c.child1=d:c.child2=d,d.child1=b,d.child2=a,b.parent=d,a.parent=d;c&&!c.aabb.Contains(d.aabb);)c.aabb.Combine(c.child1.aabb,c.child2.aabb),d=c,c=c.parent;else d.child1=b,d.child2=a,b.parent=d,this.m_root=a.parent=d}};Box2D.Collision.b2DynamicTree.prototype.GetBestSibling=function(a){a=a.aabb.GetCenter();for(var b=this.m_root;!b.IsLeaf();)var c=b.child1,b=b.child2,d=Math.abs((c.aabb.lowerBound_.x+c.aabb.upperBound_.x)/2-a.x)+Math.abs((c.aabb.lowerBound_.y+
c.aabb.upperBound_.y)/2-a.y),f=Math.abs((b.aabb.lowerBound_.x+b.aabb.upperBound_.x)/2-a.x)+Math.abs((b.aabb.lowerBound_.y+b.aabb.upperBound_.y)/2-a.y),b=d<f?c:b;Box2D.Common.Math.b2Vec2.Free(a);return b};Box2D.Collision.b2DynamicTree.prototype.RemoveLeaf=function(a){if(a==this.m_root)this.m_root=null;else{var b=a.parent,c=b.parent;a=b.child1==a?b.child2:b.child1;if(c)for(c.child1==b?c.child1=a:c.child2=a,a.parent=c;c;){a=c.aabb;c.aabb.Combine(c.child1.aabb,c.child2.aabb);if(a.Contains(c.aabb))break;
c=c.parent}else this.m_root=a,a.parent=null;b.Destroy()}};Box2D.Collision.b2DynamicTreeBroadPhase=function(){this.m_tree=new Box2D.Collision.b2DynamicTree;this.m_moveBuffer=[]};Box2D.Collision.b2DynamicTreeBroadPhase.prototype.CreateProxy=function(a,b){var c=this.m_tree.CreateProxy(a,b);this.BufferMove(c);return c};Box2D.Collision.b2DynamicTreeBroadPhase.prototype.DestroyProxy=function(a){this.UnBufferMove(a);this.m_tree.DestroyProxy(a)};Box2D.Collision.b2DynamicTreeBroadPhase.prototype.MoveProxy=
function(a,b,c){this.m_tree.MoveProxy(a,b,c)&&this.BufferMove(a)};Box2D.Collision.b2DynamicTreeBroadPhase.prototype.TestOverlap=function(a,b){var c=this.m_tree.GetFatAABB(a),d=this.m_tree.GetFatAABB(b);return c.TestOverlap(d)};Box2D.Collision.b2DynamicTreeBroadPhase.prototype.GetFatAABB=function(a){return this.m_tree.GetFatAABB(a)};Box2D.Collision.b2DynamicTreeBroadPhase.prototype.GetProxyCount=function(){return this.m_tree.length};Box2D.Collision.b2DynamicTreeBroadPhase.prototype.UpdatePairs=function(a){for(var b=
[];0<this.m_moveBuffer.length;){var c=this.m_moveBuffer.pop(),d=this.m_tree.GetFatAABB(c);this.m_tree.Query(function(a){a!=c.fixture&&b.push(new Box2D.Collision.b2DynamicTreePair(c.fixture,a));return!0},d)}for(d=0;d<b.length;){var f=b[d];a(f.fixtureA,f.fixtureB);for(d++;d<b.length;){var e=b[d];if(!(e.fixtureA==f.fixtureA&&e.fixtureB==f.fixtureB||e.fixtureA==f.fixtureB&&e.fixtureB==f.fixtureA))break;d++}}};Box2D.Collision.b2DynamicTreeBroadPhase.prototype.Query=function(a,b){this.m_tree.Query(a,b)};
Box2D.Collision.b2DynamicTreeBroadPhase.prototype.RayCast=function(a,b){this.m_tree.RayCast(a,b)};Box2D.Collision.b2DynamicTreeBroadPhase.prototype.Rebalance=function(a){this.m_tree.Rebalance(a)};Box2D.Collision.b2DynamicTreeBroadPhase.prototype.BufferMove=function(a){this.m_moveBuffer.push(a)};Box2D.Collision.b2DynamicTreeBroadPhase.prototype.UnBufferMove=function(a){cr.arrayFindRemove(this.m_moveBuffer,a)};Box2D.Collision.b2DynamicTreeBroadPhase.__implements={};Box2D.Collision.b2DynamicTreeBroadPhase.__implements[Box2D.Collision.IBroadPhase]=
!0;Box2D.Collision.b2DynamicTreeNode=function(a){this.aabb=Box2D.Collision.b2AABB.Get();this.fixture=this.parent=this.child2=this.child1=null;"undefined"!=typeof a&&(this.fixture=a)};Box2D.Collision.b2DynamicTreeNode._freeCache=[];Box2D.Collision.b2DynamicTreeNode.Get=function(a){if(0<Box2D.Collision.b2DynamicTreeNode._freeCache.length){var b=Box2D.Collision.b2DynamicTreeNode._freeCache.pop();"undefined"!=typeof a&&(b.fixture=a);b.aabb.SetZero();return b}return new Box2D.Collision.b2DynamicTreeNode(a)};
Box2D.Collision.b2DynamicTreeNode.prototype.Destroy=function(){this.fixture=this.parent=this.child2=this.child1=null;Box2D.Collision.b2DynamicTreeNode._freeCache.push(this)};Box2D.Collision.b2DynamicTreeNode.prototype.IsLeaf=function(){return null===this.child1};Box2D.Collision.b2DynamicTreePair=function(a,b){this.fixtureA=a;this.fixtureB=b};Box2D.Collision.b2Manifold=function(){this.m_type=this.m_pointCount=0;this.m_points=[];for(var a=0;a<Box2D.Common.b2Settings.b2_maxManifoldPoints;a++)this.m_points[a]=
new Box2D.Collision.b2ManifoldPoint;this.m_localPlaneNormal=Box2D.Common.Math.b2Vec2.Get(0,0);this.m_localPoint=Box2D.Common.Math.b2Vec2.Get(0,0)};Box2D.Collision.b2Manifold.prototype.Reset=function(){for(var a=0;a<Box2D.Common.b2Settings.b2_maxManifoldPoints;a++)this.m_points[a].Reset();this.m_localPlaneNormal.SetZero();this.m_localPoint.SetZero();this.m_pointCount=this.m_type=0};Box2D.Collision.b2Manifold.prototype.Set=function(a){this.m_pointCount=a.m_pointCount;for(var b=0;b<Box2D.Common.b2Settings.b2_maxManifoldPoints;b++)this.m_points[b].Set(a.m_points[b]);
this.m_localPlaneNormal.SetV(a.m_localPlaneNormal);this.m_localPoint.SetV(a.m_localPoint);this.m_type=a.m_type};Box2D.Collision.b2Manifold.prototype.Copy=function(){var a=new Box2D.Collision.b2Manifold;a.Set(this);return a};Box2D.Collision.b2Manifold.e_circles=1;Box2D.Collision.b2Manifold.e_faceA=2;Box2D.Collision.b2Manifold.e_faceB=4;Box2D.Collision.b2ManifoldPoint=function(){this.m_localPoint=Box2D.Common.Math.b2Vec2.Get(0,0);this.m_id=new Box2D.Collision.b2ContactID;this.Reset()};Box2D.Collision.b2ManifoldPoint.prototype.Reset=
function(){this.m_localPoint.SetZero();this.m_tangentImpulse=this.m_normalImpulse=0;this.m_id.SetKey(0)};Box2D.Collision.b2ManifoldPoint.prototype.Set=function(a){this.m_localPoint.SetV(a.m_localPoint);this.m_normalImpulse=a.m_normalImpulse;this.m_tangentImpulse=a.m_tangentImpulse;this.m_id.Set(a.m_id)};Box2D.Collision.b2RayCastInput=function(a,b,c){this.p1=Box2D.Common.Math.b2Vec2.Get(0,0);this.p2=Box2D.Common.Math.b2Vec2.Get(0,0);void 0===c&&(c=1);a&&this.p1.SetV(a);b&&this.p2.SetV(b);this.maxFraction=
c};Box2D.Collision.b2RayCastOutput=function(){this.normal=Box2D.Common.Math.b2Vec2.Get(0,0)};Box2D.Collision.b2Segment=function(){this.p1=Box2D.Common.Math.b2Vec2.Get(0,0);this.p2=Box2D.Common.Math.b2Vec2.Get(0,0)};Box2D.Collision.b2Segment.prototype.TestSegment=function(a,b,c,d){void 0===d&&(d=0);var f=c.p1,e=c.p2.x-f.x,g=c.p2.y-f.y;c=this.p2.y-this.p1.y;var l=-(this.p2.x-this.p1.x),k=100*Number.MIN_VALUE,h=-(e*c+g*l);if(h>k){var m=f.x-this.p1.x,n=f.y-this.p1.y,f=m*c+n*l;if(0<=f&&f<=d*h&&(d=-e*n+
g*m,-k*h<=d&&d<=h*(1+k)))return f/=h,d=Math.sqrt(c*c+l*l),a[0]=f,b.Set(c/d,l/d),!0}return!1};Box2D.Collision.b2Segment.prototype.Extend=function(a){this.ExtendForward(a);this.ExtendBackward(a)};Box2D.Collision.b2Segment.prototype.ExtendForward=function(a){var b=this.p2.x-this.p1.x,c=this.p2.y-this.p1.y;a=Math.min(0<b?(a.upperBound_.x-this.p1.x)/b:0>b?(a.lowerBound_.x-this.p1.x)/b:Number.POSITIVE_INFINITY,0<c?(a.upperBound_.y-this.p1.y)/c:0>c?(a.lowerBound_.y-this.p1.y)/c:Number.POSITIVE_INFINITY);
this.p2.x=this.p1.x+b*a;this.p2.y=this.p1.y+c*a};Box2D.Collision.b2Segment.prototype.ExtendBackward=function(a){var b=-this.p2.x+this.p1.x,c=-this.p2.y+this.p1.y;a=Math.min(0<b?(a.upperBound_.x-this.p2.x)/b:0>b?(a.lowerBound_.x-this.p2.x)/b:Number.POSITIVE_INFINITY,0<c?(a.upperBound_.y-this.p2.y)/c:0>c?(a.lowerBound_.y-this.p2.y)/c:Number.POSITIVE_INFINITY);this.p1.x=this.p2.x+b*a;this.p1.y=this.p2.y+c*a};Box2D.Collision.b2SeparationFunction=function(){this.m_localPoint=Box2D.Common.Math.b2Vec2.Get(0,
0);this.m_axis=Box2D.Common.Math.b2Vec2.Get(0,0)};Box2D.Collision.b2SeparationFunction.prototype.Initialize=function(a,b,c,d,f){this.m_proxyA=b;this.m_proxyB=d;var e,g,l,k=l=g=0,h=0;d=b=0;var m,n,k=0;1==a.count?(this.m_type=Box2D.Collision.b2SeparationFunction.e_points,e=this.m_proxyA.GetVertex(a.indexA[0]),a=this.m_proxyB.GetVertex(a.indexB[0]),n=e,m=c.R,g=c.position.x+(m.col1.x*n.x+m.col2.x*n.y),l=c.position.y+(m.col1.y*n.x+m.col2.y*n.y),n=a,m=f.R,k=f.position.x+(m.col1.x*n.x+m.col2.x*n.y),h=f.position.y+
(m.col1.y*n.x+m.col2.y*n.y),this.m_axis.x=k-g,this.m_axis.y=h-l,this.m_axis.Normalize()):(a.indexB[0]==a.indexB[1]?(this.m_type=Box2D.Collision.b2SeparationFunction.e_faceA,b=this.m_proxyA.GetVertex(a.indexA[0]),d=this.m_proxyA.GetVertex(a.indexA[1]),a=this.m_proxyB.GetVertex(a.indexB[0]),this.m_localPoint.x=0.5*(b.x+d.x),this.m_localPoint.y=0.5*(b.y+d.y),this.m_axis=Box2D.Common.Math.b2Math.CrossVF(Box2D.Common.Math.b2Math.SubtractVV(d,b),1),this.m_axis.Normalize(),n=this.m_axis,m=c.R,b=m.col1.x*
n.x+m.col2.x*n.y,d=m.col1.y*n.x+m.col2.y*n.y,n=this.m_localPoint,m=c.R,g=c.position.x+(m.col1.x*n.x+m.col2.x*n.y),l=c.position.y+(m.col1.y*n.x+m.col2.y*n.y),n=a,m=f.R,k=f.position.x+(m.col1.x*n.x+m.col2.x*n.y),h=f.position.y+(m.col1.y*n.x+m.col2.y*n.y),k=(k-g)*b+(h-l)*d):a.indexA[0]==a.indexA[0]?(this.m_type=Box2D.Collision.b2SeparationFunction.e_faceB,g=this.m_proxyB.GetVertex(a.indexB[0]),l=this.m_proxyB.GetVertex(a.indexB[1]),e=this.m_proxyA.GetVertex(a.indexA[0]),this.m_localPoint.x=0.5*(g.x+
l.x),this.m_localPoint.y=0.5*(g.y+l.y),this.m_axis=Box2D.Common.Math.b2Math.CrossVF(Box2D.Common.Math.b2Math.SubtractVV(l,g),1),this.m_axis.Normalize(),n=this.m_axis,m=f.R,b=m.col1.x*n.x+m.col2.x*n.y,d=m.col1.y*n.x+m.col2.y*n.y,n=this.m_localPoint,m=f.R,k=f.position.x+(m.col1.x*n.x+m.col2.x*n.y),h=f.position.y+(m.col1.y*n.x+m.col2.y*n.y),n=e,m=c.R,g=c.position.x+(m.col1.x*n.x+m.col2.x*n.y),l=c.position.y+(m.col1.y*n.x+m.col2.y*n.y),k=(g-k)*b+(l-h)*d):(b=this.m_proxyA.GetVertex(a.indexA[0]),d=this.m_proxyA.GetVertex(a.indexA[1]),
g=this.m_proxyB.GetVertex(a.indexB[0]),l=this.m_proxyB.GetVertex(a.indexB[1]),k=Box2D.Common.Math.b2Math.MulMV(c.R,Box2D.Common.Math.b2Math.SubtractVV(d,b)),h=Box2D.Common.Math.b2Math.MulMV(f.R,Box2D.Common.Math.b2Math.SubtractVV(l,g)),f=k.x*k.x+k.y*k.y,c=h.x*h.x+h.y*h.y,e=Box2D.Common.Math.b2Math.SubtractVV(h,k),a=k.x*e.x+k.y*e.y,e=h.x*e.x+h.y*e.y,h=k.x*h.x+k.y*h.y,m=f*c-h*h,k=0,0!=m&&(k=Box2D.Common.Math.b2Math.Clamp((h*e-a*c)/m,0,1)),0>(h*k+e)/c&&(k=Box2D.Common.Math.b2Math.Clamp((h-a)/f,0,1)),
e=Box2D.Common.Math.b2Vec2.Get(0,0),e.x=b.x+k*(d.x-b.x),e.y=b.y+k*(d.y-b.y),a=Box2D.Common.Math.b2Vec2.Get(0,0),a.x=g.x+k*(l.x-g.x),a.y=g.y+k*(l.y-g.y),0==k||1==k?(this.m_type=Box2D.Collision.b2SeparationFunction.e_faceB,this.m_axis=Box2D.Common.Math.b2Math.CrossVF(Box2D.Common.Math.b2Math.SubtractVV(l,g),1),this.m_axis.Normalize(),this.m_localPoint=a):(this.m_type=Box2D.Collision.b2SeparationFunction.e_faceA,this.m_axis=Box2D.Common.Math.b2Math.CrossVF(Box2D.Common.Math.b2Math.SubtractVV(d,b),1),
this.m_localPoint=e)),0>k&&this.m_axis.NegativeSelf())};Box2D.Collision.b2SeparationFunction.prototype.Evaluate=function(a,b){var c,d,f=0;switch(this.m_type){case Box2D.Collision.b2SeparationFunction.e_points:c=Box2D.Common.Math.b2Math.MulTMV(a.R,this.m_axis);d=Box2D.Common.Math.b2Math.MulTMV(b.R,this.m_axis.GetNegative());c=this.m_proxyA.GetSupportVertex(c);d=this.m_proxyB.GetSupportVertex(d);c=Box2D.Common.Math.b2Math.MulX(a,c);d=Box2D.Common.Math.b2Math.MulX(b,d);f=(d.x-c.x)*this.m_axis.x+(d.y-
c.y)*this.m_axis.y;break;case Box2D.Collision.b2SeparationFunction.e_faceA:f=Box2D.Common.Math.b2Math.MulMV(a.R,this.m_axis);c=Box2D.Common.Math.b2Math.MulX(a,this.m_localPoint);d=Box2D.Common.Math.b2Math.MulTMV(b.R,f.GetNegative());d=this.m_proxyB.GetSupportVertex(d);d=Box2D.Common.Math.b2Math.MulX(b,d);f=(d.x-c.x)*f.x+(d.y-c.y)*f.y;break;case Box2D.Collision.b2SeparationFunction.e_faceB:f=Box2D.Common.Math.b2Math.MulMV(b.R,this.m_axis),d=Box2D.Common.Math.b2Math.MulX(b,this.m_localPoint),c=Box2D.Common.Math.b2Math.MulTMV(a.R,
f.GetNegative()),c=this.m_proxyA.GetSupportVertex(c),c=Box2D.Common.Math.b2Math.MulX(a,c),f=(c.x-d.x)*f.x+(c.y-d.y)*f.y}return f};Box2D.Collision.b2SeparationFunction.e_points=1;Box2D.Collision.b2SeparationFunction.e_faceA=2;Box2D.Collision.b2SeparationFunction.e_faceB=4;Box2D.Collision.b2Simplex=function(){this.m_v1=new Box2D.Collision.b2SimplexVertex;this.m_v2=new Box2D.Collision.b2SimplexVertex;this.m_v3=new Box2D.Collision.b2SimplexVertex;this.m_vertices=[this.m_v1,this.m_v2,this.m_v3]};Box2D.Collision.b2Simplex.prototype.ReadCache=
function(a,b,c,d,f){var e,g;this.m_count=a.count;for(var l=this.m_vertices,k=0;k<this.m_count;k++){var h=l[k];h.indexA=a.indexA[k];h.indexB=a.indexB[k];e=b.GetVertex(h.indexA);g=d.GetVertex(h.indexB);h.wA=Box2D.Common.Math.b2Math.MulX(c,e);h.wB=Box2D.Common.Math.b2Math.MulX(f,g);h.w=Box2D.Common.Math.b2Math.SubtractVV(h.wB,h.wA);h.a=0}1<this.m_count&&(a=a.metric,e=this.GetMetric(),e<0.5*a||2*a<e||e<Number.MIN_VALUE)&&(this.m_count=0);0==this.m_count&&(h=l[0],h.indexA=0,h.indexB=0,e=b.GetVertex(0),
g=d.GetVertex(0),h.wA=Box2D.Common.Math.b2Math.MulX(c,e),h.wB=Box2D.Common.Math.b2Math.MulX(f,g),h.w=Box2D.Common.Math.b2Math.SubtractVV(h.wB,h.wA),this.m_count=1)};Box2D.Collision.b2Simplex.prototype.WriteCache=function(a){a.metric=this.GetMetric();a.count=this.m_count;for(var b=this.m_vertices,c=0;c<this.m_count;c++)a.indexA[c]=b[c].indexA,a.indexB[c]=b[c].indexB};Box2D.Collision.b2Simplex.prototype.GetSearchDirection=function(){if(1==this.m_count)return this.m_v1.w.GetNegative();if(2==this.m_count){var a=
Box2D.Common.Math.b2Math.SubtractVV(this.m_v2.w,this.m_v1.w);return 0<Box2D.Common.Math.b2Math.CrossVV(a,this.m_v1.w.GetNegative())?Box2D.Common.Math.b2Math.CrossFV(1,a):Box2D.Common.Math.b2Math.CrossVF(a,1)}return Box2D.Common.Math.b2Vec2.Get(0,0)};Box2D.Collision.b2Simplex.prototype.GetClosestPoint=function(){return 1==this.m_count?this.m_v1.w:2==this.m_count?Box2D.Common.Math.b2Vec2.Get(this.m_v1.a*this.m_v1.w.x+this.m_v2.a*this.m_v2.w.x,this.m_v1.a*this.m_v1.w.y+this.m_v2.a*this.m_v2.w.y):Box2D.Common.Math.b2Vec2.Get(0,
0)};Box2D.Collision.b2Simplex.prototype.GetWitnessPoints=function(a,b){1==this.m_count?(a.SetV(this.m_v1.wA),b.SetV(this.m_v1.wB)):2==this.m_count?(a.x=this.m_v1.a*this.m_v1.wA.x+this.m_v2.a*this.m_v2.wA.x,a.y=this.m_v1.a*this.m_v1.wA.y+this.m_v2.a*this.m_v2.wA.y,b.x=this.m_v1.a*this.m_v1.wB.x+this.m_v2.a*this.m_v2.wB.x,b.y=this.m_v1.a*this.m_v1.wB.y+this.m_v2.a*this.m_v2.wB.y):3==this.m_count&&(b.x=a.x=this.m_v1.a*this.m_v1.wA.x+this.m_v2.a*this.m_v2.wA.x+this.m_v3.a*this.m_v3.wA.x,b.y=a.y=this.m_v1.a*
this.m_v1.wA.y+this.m_v2.a*this.m_v2.wA.y+this.m_v3.a*this.m_v3.wA.y)};Box2D.Collision.b2Simplex.prototype.GetMetric=function(){return 1==this.m_count?0:2==this.m_count?Box2D.Common.Math.b2Math.SubtractVV(this.m_v1.w,this.m_v2.w).Length():3==this.m_count?Box2D.Common.Math.b2Math.CrossVV(Box2D.Common.Math.b2Math.SubtractVV(this.m_v2.w,this.m_v1.w),Box2D.Common.Math.b2Math.SubtractVV(this.m_v3.w,this.m_v1.w)):0};Box2D.Collision.b2Simplex.prototype.Solve2=function(){var a=this.m_v1.w,b=this.m_v2.w,c=
Box2D.Common.Math.b2Math.SubtractVV(b,a),a=-(a.x*c.x+a.y*c.y);0>=a?this.m_count=this.m_v1.a=1:(b=b.x*c.x+b.y*c.y,0>=b?(this.m_count=this.m_v2.a=1,this.m_v1.Set(this.m_v2)):(c=1/(b+a),this.m_v1.a=b*c,this.m_v2.a=a*c,this.m_count=2))};Box2D.Collision.b2Simplex.prototype.Solve3=function(){var a=this.m_v1.w,b=this.m_v2.w,c=this.m_v3.w,d=Box2D.Common.Math.b2Math.SubtractVV(b,a),f=Box2D.Common.Math.b2Math.Dot(a,d),e=Box2D.Common.Math.b2Math.Dot(b,d),f=-f,g=Box2D.Common.Math.b2Math.SubtractVV(c,a),l=Box2D.Common.Math.b2Math.Dot(a,
g),k=Box2D.Common.Math.b2Math.Dot(c,g),l=-l,h=Box2D.Common.Math.b2Math.SubtractVV(c,b),m=Box2D.Common.Math.b2Math.Dot(b,h),h=Box2D.Common.Math.b2Math.Dot(c,h),m=-m,g=Box2D.Common.Math.b2Math.CrossVV(d,g),d=g*Box2D.Common.Math.b2Math.CrossVV(b,c),c=g*Box2D.Common.Math.b2Math.CrossVV(c,a),a=g*Box2D.Common.Math.b2Math.CrossVV(a,b);0>=f&&0>=l?this.m_count=this.m_v1.a=1:0<e&&0<f&&0>=a?(k=1/(e+f),this.m_v1.a=e*k,this.m_v2.a=f*k,this.m_count=2):0<k&&0<l&&0>=c?(e=1/(k+l),this.m_v1.a=k*e,this.m_v3.a=l*e,this.m_count=
2,this.m_v2.Set(this.m_v3)):0>=e&&0>=m?(this.m_count=this.m_v2.a=1,this.m_v1.Set(this.m_v2)):0>=k&&0>=h?(this.m_count=this.m_v3.a=1,this.m_v1.Set(this.m_v3)):0<h&&0<m&&0>=d?(e=1/(h+m),this.m_v2.a=h*e,this.m_v3.a=m*e,this.m_count=2,this.m_v1.Set(this.m_v3)):(e=1/(d+c+a),this.m_v1.a=d*e,this.m_v2.a=c*e,this.m_v3.a=a*e,this.m_count=3)};Box2D.Collision.b2SimplexCache=function(){this.indexA=[0,0,0];this.indexB=[0,0,0]};Box2D.Collision.b2SimplexVertex=function(){};Box2D.Collision.b2SimplexVertex.prototype.Set=
function(a){this.wA.SetV(a.wA);this.wB.SetV(a.wB);this.w.SetV(a.w);this.a=a.a;this.indexA=a.indexA;this.indexB=a.indexB};Box2D.Collision.b2TOIInput=function(){this.proxyA=new Box2D.Collision.b2DistanceProxy;this.proxyB=new Box2D.Collision.b2DistanceProxy;this.sweepA=new Box2D.Common.Math.b2Sweep;this.sweepB=new Box2D.Common.Math.b2Sweep};Box2D.Collision.b2TimeOfImpact={};Box2D.Collision.b2TimeOfImpact.TimeOfImpact=function(a){Box2D.Collision.b2TimeOfImpact.b2_toiCalls++;var b=a.proxyA,c=a.proxyB,
d=a.sweepA,f=a.sweepB,e=b.m_radius+c.m_radius;a=a.tolerance;var g=0,l=0,k=0;Box2D.Collision.b2TimeOfImpact.s_cache.count=0;for(Box2D.Collision.b2TimeOfImpact.s_distanceInput.useRadii=!1;;){d.GetTransform(Box2D.Collision.b2TimeOfImpact.s_xfA,g);f.GetTransform(Box2D.Collision.b2TimeOfImpact.s_xfB,g);Box2D.Collision.b2TimeOfImpact.s_distanceInput.proxyA=b;Box2D.Collision.b2TimeOfImpact.s_distanceInput.proxyB=c;Box2D.Collision.b2TimeOfImpact.s_distanceInput.transformA=Box2D.Collision.b2TimeOfImpact.s_xfA;
Box2D.Collision.b2TimeOfImpact.s_distanceInput.transformB=Box2D.Collision.b2TimeOfImpact.s_xfB;Box2D.Collision.b2Distance.Distance(Box2D.Collision.b2TimeOfImpact.s_distanceOutput,Box2D.Collision.b2TimeOfImpact.s_cache,Box2D.Collision.b2TimeOfImpact.s_distanceInput);if(0>=Box2D.Collision.b2TimeOfImpact.s_distanceOutput.distance){g=1;break}Box2D.Collision.b2TimeOfImpact.s_fcn.Initialize(Box2D.Collision.b2TimeOfImpact.s_cache,b,Box2D.Collision.b2TimeOfImpact.s_xfA,c,Box2D.Collision.b2TimeOfImpact.s_xfB);
var h=Box2D.Collision.b2TimeOfImpact.s_fcn.Evaluate(Box2D.Collision.b2TimeOfImpact.s_xfA,Box2D.Collision.b2TimeOfImpact.s_xfB);if(0>=h){g=1;break}0==l&&(k=h>e?Math.max(e-a,0.75*e):Math.max(h-a,0.02*e));if(h-k<0.5*a){if(0==l){g=1;break}break}var m=g,n=g,r=1;d.GetTransform(Box2D.Collision.b2TimeOfImpact.s_xfA,r);f.GetTransform(Box2D.Collision.b2TimeOfImpact.s_xfB,r);var p=Box2D.Collision.b2TimeOfImpact.s_fcn.Evaluate(Box2D.Collision.b2TimeOfImpact.s_xfA,Box2D.Collision.b2TimeOfImpact.s_xfB);if(p>=k){g=
1;break}for(var q=0;;){var t=0,t=q&1?n+(k-h)*(r-n)/(p-h):0.5*(n+r);d.GetTransform(Box2D.Collision.b2TimeOfImpact.s_xfA,t);f.GetTransform(Box2D.Collision.b2TimeOfImpact.s_xfB,t);var s=Box2D.Collision.b2TimeOfImpact.s_fcn.Evaluate(Box2D.Collision.b2TimeOfImpact.s_xfA,Box2D.Collision.b2TimeOfImpact.s_xfB);if(Math.abs(s-k)<0.025*a){m=t;break}s>k?(n=t,h=s):(r=t,p=s);q++;Box2D.Collision.b2TimeOfImpact.b2_toiRootIters++;if(50==q)break}Box2D.Collision.b2TimeOfImpact.b2_toiMaxRootIters=Math.max(Box2D.Collision.b2TimeOfImpact.b2_toiMaxRootIters,
q);if(m<(1+100*Number.MIN_VALUE)*g)break;g=m;l++;Box2D.Collision.b2TimeOfImpact.b2_toiIters++;if(1E3==l)break}Box2D.Collision.b2TimeOfImpact.b2_toiMaxIters=Math.max(Box2D.Collision.b2TimeOfImpact.b2_toiMaxIters,l);return g};Box2D.Collision.b2WorldManifold=function(){this.m_normal=Box2D.Common.Math.b2Vec2.Get(0,0);this.m_points=[];for(var a=this.m_pointCount=0;a<Box2D.Common.b2Settings.b2_maxManifoldPoints;a++)this.m_points[a]=Box2D.Common.Math.b2Vec2.Get(0,0)};Box2D.Collision.b2WorldManifold.prototype.Initialize=
function(a,b,c,d,f){if(0!=a.m_pointCount){var e=0,g,l,k=0,h=0,m=0,n=0,r=0;g=0;switch(a.m_type){case Box2D.Collision.b2Manifold.e_circles:l=b.R;g=a.m_localPoint;e=b.position.x+l.col1.x*g.x+l.col2.x*g.y;b=b.position.y+l.col1.y*g.x+l.col2.y*g.y;l=d.R;g=a.m_points[0].m_localPoint;a=d.position.x+l.col1.x*g.x+l.col2.x*g.y;d=d.position.y+l.col1.y*g.x+l.col2.y*g.y;g=a-e;l=d-b;k=g*g+l*l;k>Box2D.Common.b2Settings.MIN_VALUE_SQUARED?(k=Math.sqrt(k),this.m_normal.x=g/k,this.m_normal.y=l/k):(this.m_normal.x=1,
this.m_normal.y=0);g=b+c*this.m_normal.y;d-=f*this.m_normal.y;this.m_points[0].x=0.5*(e+c*this.m_normal.x+(a-f*this.m_normal.x));this.m_points[0].y=0.5*(g+d);break;case Box2D.Collision.b2Manifold.e_faceA:l=b.R;g=a.m_localPlaneNormal;k=l.col1.x*g.x+l.col2.x*g.y;h=l.col1.y*g.x+l.col2.y*g.y;l=b.R;g=a.m_localPoint;m=b.position.x+l.col1.x*g.x+l.col2.x*g.y;n=b.position.y+l.col1.y*g.x+l.col2.y*g.y;this.m_normal.x=k;this.m_normal.y=h;for(e=0;e<a.m_pointCount;e++)l=d.R,g=a.m_points[e].m_localPoint,r=d.position.x+
l.col1.x*g.x+l.col2.x*g.y,g=d.position.y+l.col1.y*g.x+l.col2.y*g.y,this.m_points[e].x=r+0.5*(c-(r-m)*k-(g-n)*h-f)*k,this.m_points[e].y=g+0.5*(c-(r-m)*k-(g-n)*h-f)*h;break;case Box2D.Collision.b2Manifold.e_faceB:for(l=d.R,g=a.m_localPlaneNormal,k=l.col1.x*g.x+l.col2.x*g.y,h=l.col1.y*g.x+l.col2.y*g.y,l=d.R,g=a.m_localPoint,m=d.position.x+l.col1.x*g.x+l.col2.x*g.y,n=d.position.y+l.col1.y*g.x+l.col2.y*g.y,this.m_normal.x=-k,this.m_normal.y=-h,e=0;e<a.m_pointCount;e++)l=b.R,g=a.m_points[e].m_localPoint,
r=b.position.x+l.col1.x*g.x+l.col2.x*g.y,g=b.position.y+l.col1.y*g.x+l.col2.y*g.y,this.m_points[e].x=r+0.5*(f-(r-m)*k-(g-n)*h-c)*k,this.m_points[e].y=g+0.5*(f-(r-m)*k-(g-n)*h-c)*h}}};Box2D.Dynamics.b2Body=function(a,b){this.ID="Body"+Box2D.Dynamics.b2Body.NEXT_ID++;this.m_xf=new Box2D.Common.Math.b2Transform;this.m_xf.position.SetV(a.position);this.m_xf.R.Set(a.angle);this.m_sweep=new Box2D.Common.Math.b2Sweep;this.m_sweep.localCenter.SetZero();this.m_sweep.t0=1;this.m_sweep.a0=this.m_sweep.a=a.angle;
this.m_sweep.c.x=this.m_xf.R.col1.x*this.m_sweep.localCenter.x+this.m_xf.R.col2.x*this.m_sweep.localCenter.y;this.m_sweep.c.y=this.m_xf.R.col1.y*this.m_sweep.localCenter.x+this.m_xf.R.col2.y*this.m_sweep.localCenter.y;this.m_sweep.c.x+=this.m_xf.position.x;this.m_sweep.c.y+=this.m_xf.position.y;this.m_sweep.c0.SetV(this.m_sweep.c);this.m_linearVelocity=a.linearVelocity.Copy();this.m_force=Box2D.Common.Math.b2Vec2.Get(0,0);this.m_bullet=a.bullet;this.m_fixedRotation=a.fixedRotation;this.m_allowSleep=
a.allowSleep;this.m_awake=a.awake;this.m_active=a.active;this.m_world=b;this.m_jointList=null;this.contactList=new Box2D.Dynamics.Contacts.b2ContactList;this.controllerList=new Box2D.Dynamics.Controllers.b2ControllerList;this.m_controllerCount=0;this.m_angularVelocity=a.angularVelocity;this.m_linearDamping=a.linearDamping;this.m_angularDamping=a.angularDamping;this.m_sleepTime=this.m_torque=0;this.m_type=a.type;this.m_mass=this.m_type==Box2D.Dynamics.b2BodyDef.b2_dynamicBody?1:0;this.m_invMass=this.m_type==
Box2D.Dynamics.b2BodyDef.b2_dynamicBody?1:0;this.m_invI=this.m_I=0;this.m_inertiaScale=a.inertiaScale;this.fixtureList=new Box2D.Dynamics.b2FixtureList;this.m_lists=[]};Box2D.Dynamics.b2Body.prototype.CreateFixture=function(a){a=new Box2D.Dynamics.b2Fixture(this,this.m_xf,a);this.m_active&&a.CreateProxy(this.m_world.m_contactManager.m_broadPhase,this.m_xf);this.fixtureList.AddFixture(a);a.m_body=this;0<a.m_density&&this.ResetMassData();this.m_world.m_newFixture=!0;return a};Box2D.Dynamics.b2Body.prototype.CreateFixture2=
function(a,b){void 0===b&&(b=0);var c=new Box2D.Dynamics.b2FixtureDef;c.shape=a;c.density=b;return this.CreateFixture(c)};Box2D.Dynamics.b2Body.prototype.Destroy=function(){Box2D.Common.Math.b2Vec2.Free(this.m_linearVelocity);Box2D.Common.Math.b2Vec2.Free(this.m_force)};Box2D.Dynamics.b2Body.prototype.DestroyFixture=function(a){this.fixtureList.RemoveFixture(a);for(var b=this.contactList.GetFirstNode(Box2D.Dynamics.Contacts.b2ContactList.TYPES.allContacts);b;b=b.GetNextNode())a!=b.contact.m_fixtureA&&
a!=b.contact.m_fixtureB||this.m_world.m_contactManager.Destroy(b.contact);this.m_active&&a.DestroyProxy(this.m_world.m_contactManager.m_broadPhase);a.Destroy();a.m_body=null;this.ResetMassData()};Box2D.Dynamics.b2Body.prototype.SetPositionAndAngle=function(a,b){this.m_xf.R.Set(b);this.m_xf.position.SetV(a);var c=this.m_xf.R,d=this.m_sweep.localCenter;this.m_sweep.c.x=c.col1.x*d.x+c.col2.x*d.y;this.m_sweep.c.y=c.col1.y*d.x+c.col2.y*d.y;this.m_sweep.c.x+=this.m_xf.position.x;this.m_sweep.c.y+=this.m_xf.position.y;
this.m_sweep.c0.SetV(this.m_sweep.c);this.m_sweep.a0=this.m_sweep.a=b;c=this.m_world.m_contactManager.m_broadPhase;for(d=this.fixtureList.GetFirstNode();d;d=d.GetNextNode())d.fixture.Synchronize(c,this.m_xf,this.m_xf);this.m_world.m_contactManager.FindNewContacts()};Box2D.Dynamics.b2Body.prototype.SetTransform=function(a){this.SetPositionAndAngle(a.position,a.GetAngle())};Box2D.Dynamics.b2Body.prototype.GetTransform=function(){return this.m_xf};Box2D.Dynamics.b2Body.prototype.GetPosition=function(){return this.m_xf.position};
Box2D.Dynamics.b2Body.prototype.SetPosition=function(a){this.SetPositionAndAngle(a,this.GetAngle())};Box2D.Dynamics.b2Body.prototype.GetAngle=function(){return this.m_sweep.a};Box2D.Dynamics.b2Body.prototype.SetAngle=function(a){this.SetPositionAndAngle(this.GetPosition(),a)};Box2D.Dynamics.b2Body.prototype.GetWorldCenter=function(){return this.m_sweep.c};Box2D.Dynamics.b2Body.prototype.GetLocalCenter=function(){return this.m_sweep.localCenter};Box2D.Dynamics.b2Body.prototype.SetLinearVelocity=function(a){this.m_type!=
Box2D.Dynamics.b2BodyDef.b2_staticBody&&this.m_linearVelocity.SetV(a)};Box2D.Dynamics.b2Body.prototype.GetLinearVelocity=function(){return this.m_linearVelocity};Box2D.Dynamics.b2Body.prototype.SetAngularVelocity=function(a){void 0===a&&(a=0);this.m_type!=Box2D.Dynamics.b2BodyDef.b2_staticBody&&(this.m_angularVelocity=a)};Box2D.Dynamics.b2Body.prototype.GetAngularVelocity=function(){return this.m_angularVelocity};Box2D.Dynamics.b2Body.prototype.GetDefinition=function(){var a=new Box2D.Dynamics.b2BodyDef;
a.type=this.GetType();a.allowSleep=this.m_allowSleep;a.angle=this.GetAngle();a.angularDamping=this.m_angularDamping;a.angularVelocity=this.m_angularVelocity;a.fixedRotation=this.m_fixedRotation;a.bullet=this.m_bullet;a.active=this.m_active;a.awake=this.m_awake;a.linearDamping=this.m_linearDamping;a.linearVelocity.SetV(this.GetLinearVelocity());a.position=this.GetPosition();return a};Box2D.Dynamics.b2Body.prototype.ApplyForce=function(a,b){this.m_type==Box2D.Dynamics.b2BodyDef.b2_dynamicBody&&(this.SetAwake(!0),
this.m_force.x+=a.x,this.m_force.y+=a.y,this.m_torque+=(b.x-this.m_sweep.c.x)*a.y-(b.y-this.m_sweep.c.y)*a.x)};Box2D.Dynamics.b2Body.prototype.ApplyTorque=function(a){void 0===a&&(a=0);this.m_type==Box2D.Dynamics.b2BodyDef.b2_dynamicBody&&(this.SetAwake(!0),this.m_torque+=a)};Box2D.Dynamics.b2Body.prototype.ApplyImpulse=function(a,b){this.m_type==Box2D.Dynamics.b2BodyDef.b2_dynamicBody&&(this.SetAwake(!0),this.m_linearVelocity.x+=this.m_invMass*a.x,this.m_linearVelocity.y+=this.m_invMass*a.y,this.m_angularVelocity+=
this.m_invI*((b.x-this.m_sweep.c.x)*a.y-(b.y-this.m_sweep.c.y)*a.x))};Box2D.Dynamics.b2Body.prototype.Split=function(a){for(var b=this.GetLinearVelocity().Copy(),c=this.GetAngularVelocity(),d=this.GetWorldCenter(),f=this.m_world.CreateBody(this.GetDefinition()),e=this.fixtureList.GetFirstNode();e;e=e.GetNextNode()){var g=e.fixture;a(g)&&(this.fixtureList.RemoveFixture(g),f.fixtureList.AddFixture(g))}this.ResetMassData();f.ResetMassData();e=this.GetWorldCenter();a=f.GetWorldCenter();e=Box2D.Common.Math.b2Math.AddVV(b,
Box2D.Common.Math.b2Math.CrossFV(c,Box2D.Common.Math.b2Math.SubtractVV(e,d)));b=Box2D.Common.Math.b2Math.AddVV(b,Box2D.Common.Math.b2Math.CrossFV(c,Box2D.Common.Math.b2Math.SubtractVV(a,d)));this.SetLinearVelocity(e);f.SetLinearVelocity(b);this.SetAngularVelocity(c);f.SetAngularVelocity(c);this.SynchronizeFixtures();f.SynchronizeFixtures();return f};Box2D.Dynamics.b2Body.prototype.Merge=function(a){for(var b=a.fixtureList.GetFirstNode();b;b=b.GetNextNode())this.fixtureList.AddFixture(b.fixture),a.fixtureList.RemoveFixture(b.fixture);
a.ResetMassData();this.ResetMassData();this.SynchronizeFixtures()};Box2D.Dynamics.b2Body.prototype.GetMass=function(){return this.m_mass};Box2D.Dynamics.b2Body.prototype.GetInertia=function(){return this.m_I};Box2D.Dynamics.b2Body.prototype.GetMassData=function(a){a||(a=new Box2D.Collision.Shapes.b2MassData);a.mass=this.m_mass;a.I=this.m_I;a.center.SetV(this.m_sweep.localCenter);return a};Box2D.Dynamics.b2Body.prototype.SetMassData=function(a){if(this.m_type==Box2D.Dynamics.b2BodyDef.b2_dynamicBody){this.m_invI=
this.m_I=this.m_invMass=0;this.m_mass=a.mass;0>=this.m_mass&&(this.m_mass=1);this.m_invMass=1/this.m_mass;0<a.I&&!this.m_fixedRotation&&(this.m_I=a.I-this.m_mass*(a.center.x*a.center.x+a.center.y*a.center.y),this.m_invI=1/this.m_I);var b=this.m_sweep.c.Copy();this.m_sweep.localCenter.SetV(a.center);this.m_sweep.c0.SetV(Box2D.Common.Math.b2Math.MulX(this.m_xf,this.m_sweep.localCenter));this.m_sweep.c.SetV(this.m_sweep.c0);this.m_linearVelocity.x+=this.m_angularVelocity*-(this.m_sweep.c.y-b.y);this.m_linearVelocity.y+=
this.m_angularVelocity*+(this.m_sweep.c.x-b.x)}};Box2D.Dynamics.b2Body.prototype.ResetMassData=function(){this.m_invI=this.m_I=this.m_invMass=this.m_mass=0;this.m_sweep.localCenter.SetZero();if(this.m_type!=Box2D.Dynamics.b2BodyDef.b2_staticBody&&this.m_type!=Box2D.Dynamics.b2BodyDef.b2_kinematicBody){for(var a=Box2D.Common.Math.b2Vec2.Get(0,0),b=this.fixtureList.GetFirstNode();b;b=b.GetNextNode()){var c=b.fixture;0!=c.m_density&&(c=c.GetMassData(),this.m_mass+=c.mass,a.x+=c.center.x*c.mass,a.y+=
c.center.y*c.mass,this.m_I+=c.I)}0<this.m_mass?(this.m_invMass=1/this.m_mass,a.x*=this.m_invMass,a.y*=this.m_invMass):this.m_invMass=this.m_mass=1;0<this.m_I&&!this.m_fixedRotation?(this.m_I-=this.m_mass*(a.x*a.x+a.y*a.y),this.m_I*=this.m_inertiaScale,this.m_invI=1/this.m_I):this.m_invI=this.m_I=0;b=this.m_sweep.c.Copy();this.m_sweep.localCenter.SetV(a);this.m_sweep.c0.SetV(Box2D.Common.Math.b2Math.MulX(this.m_xf,this.m_sweep.localCenter));this.m_sweep.c.SetV(this.m_sweep.c0);this.m_linearVelocity.x+=
this.m_angularVelocity*-(this.m_sweep.c.y-b.y);this.m_linearVelocity.y+=this.m_angularVelocity*+(this.m_sweep.c.x-b.x);Box2D.Common.Math.b2Vec2.Free(a);Box2D.Common.Math.b2Vec2.Free(b)}};Box2D.Dynamics.b2Body.prototype.GetWorldPoint=function(a){var b=this.m_xf.R;a=Box2D.Common.Math.b2Vec2.Get(b.col1.x*a.x+b.col2.x*a.y,b.col1.y*a.x+b.col2.y*a.y);a.x+=this.m_xf.position.x;a.y+=this.m_xf.position.y;return a};Box2D.Dynamics.b2Body.prototype.GetWorldVector=function(a){return Box2D.Common.Math.b2Math.MulMV(this.m_xf.R,
a)};Box2D.Dynamics.b2Body.prototype.GetLocalPoint=function(a){return Box2D.Common.Math.b2Math.MulXT(this.m_xf,a)};Box2D.Dynamics.b2Body.prototype.GetLocalVector=function(a){return Box2D.Common.Math.b2Math.MulTMV(this.m_xf.R,a)};Box2D.Dynamics.b2Body.prototype.GetLinearVelocityFromWorldPoint=function(a){return Box2D.Common.Math.b2Vec2.Get(this.m_linearVelocity.x-this.m_angularVelocity*(a.y-this.m_sweep.c.y),this.m_linearVelocity.y+this.m_angularVelocity*(a.x-this.m_sweep.c.x))};Box2D.Dynamics.b2Body.prototype.GetLinearVelocityFromLocalPoint=
function(a){var b=this.m_xf.R;a=Box2D.Common.Math.b2Vec2.Get(b.col1.x*a.x+b.col2.x*a.y,b.col1.y*a.x+b.col2.y*a.y);a.x+=this.m_xf.position.x;a.y+=this.m_xf.position.y;b=Box2D.Common.Math.b2Vec2.Get(this.m_linearVelocity.x-this.m_angularVelocity*(a.y-this.m_sweep.c.y),this.m_linearVelocity.y+this.m_angularVelocity*(a.x-this.m_sweep.c.x));Box2D.Common.Math.b2Vec2.Free(a);return b};Box2D.Dynamics.b2Body.prototype.GetLinearDamping=function(){return this.m_linearDamping};Box2D.Dynamics.b2Body.prototype.SetLinearDamping=
function(a){this.m_linearDamping=a};Box2D.Dynamics.b2Body.prototype.GetAngularDamping=function(){return this.m_angularDamping};Box2D.Dynamics.b2Body.prototype.SetAngularDamping=function(a){this.m_angularDamping=a};Box2D.Dynamics.b2Body.prototype.SetType=function(a){if(this.m_type!=a){this.m_type=a;this.ResetMassData();this.m_type==Box2D.Dynamics.b2BodyDef.b2_staticBody&&(this.m_linearVelocity.SetZero(),this.m_angularVelocity=0);this.SetAwake(!0);this.m_force.SetZero();this.m_torque=0;for(a=this.contactList.GetFirstNode(Box2D.Dynamics.Contacts.b2ContactList.TYPES.allContacts);a;a=
a.GetNextNode())a.contact.FlagForFiltering();for(a=0;a<this.m_lists.length;a++)this.m_lists[a].UpdateBody(this)}};Box2D.Dynamics.b2Body.prototype.GetType=function(){return this.m_type};Box2D.Dynamics.b2Body.prototype.SetBullet=function(a){this.m_bullet=a};Box2D.Dynamics.b2Body.prototype.IsBullet=function(){return this.m_bullet};Box2D.Dynamics.b2Body.prototype.SetSleepingAllowed=function(a){(this.m_allowSleep=a)||this.SetAwake(!0)};Box2D.Dynamics.b2Body.prototype.SetAwake=function(a){if(this.m_awake!=
a)for(this.m_awake=a,this.m_sleepTime=0,a||(this.m_linearVelocity.SetZero(),this.m_angularVelocity=0,this.m_force.SetZero(),this.m_torque=0),a=0;a<this.m_lists.length;a++)this.m_lists[a].UpdateBody(this)};Box2D.Dynamics.b2Body.prototype.IsAwake=function(){return this.m_awake};Box2D.Dynamics.b2Body.prototype.SetFixedRotation=function(a){this.m_fixedRotation=a;this.ResetMassData()};Box2D.Dynamics.b2Body.prototype.IsFixedRotation=function(){return this.m_fixedRotation};Box2D.Dynamics.b2Body.prototype.SetActive=
function(a){if(a!=this.m_active){if(a){this.m_active=!0;a=this.m_world.m_contactManager.m_broadPhase;for(var b=this.fixtureList.GetFirstNode();b;b=b.GetNextNode())b.fixture.CreateProxy(a,this.m_xf)}else{this.m_active=!1;a=this.m_world.m_contactManager.m_broadPhase;for(b=this.fixtureList.GetFirstNode();b;b=b.GetNextNode())b.fixture.DestroyProxy(a);for(a=this.contactList.GetFirstNode(Box2D.Dynamics.Contacts.b2ContactList.TYPES.allContacts);a;a=a.GetNextNode())this.m_world.m_contactManager.Destroy(a.contact)}for(a=
0;a<this.m_lists.length;a++)this.m_lists[a].UpdateBody(this)}};Box2D.Dynamics.b2Body.prototype.IsActive=function(){return this.m_active};Box2D.Dynamics.b2Body.prototype.IsSleepingAllowed=function(){return this.m_allowSleep};Box2D.Dynamics.b2Body.prototype.GetFixtureList=function(){return this.fixtureList};Box2D.Dynamics.b2Body.prototype.GetJointList=function(){return this.m_jointList};Box2D.Dynamics.b2Body.prototype.GetControllerList=function(){return this.controllerList};Box2D.Dynamics.b2Body.prototype.AddController=
function(a){this.controllerList.AddController(a)};Box2D.Dynamics.b2Body.prototype.RemoveController=function(a){this.controllerList.RemoveController(a)};Box2D.Dynamics.b2Body.prototype.GetContactList=function(){return this.contactList};Box2D.Dynamics.b2Body.prototype.GetWorld=function(){return this.m_world};Box2D.Dynamics.b2Body.prototype.SynchronizeFixtures=function(){var a=Box2D.Dynamics.b2Body.s_xf1;a.R.Set(this.m_sweep.a0);var b=a.R,c=this.m_sweep.localCenter;a.position.x=this.m_sweep.c0.x-(b.col1.x*
c.x+b.col2.x*c.y);a.position.y=this.m_sweep.c0.y-(b.col1.y*c.x+b.col2.y*c.y);b=this.m_world.m_contactManager.m_broadPhase;for(c=this.fixtureList.GetFirstNode();c;c=c.GetNextNode())c.fixture.Synchronize(b,a,this.m_xf)};Box2D.Dynamics.b2Body.prototype.SynchronizeTransform=function(){this.m_xf.R.Set(this.m_sweep.a);var a=this.m_xf.R,b=this.m_sweep.localCenter;this.m_xf.position.x=this.m_sweep.c.x-(a.col1.x*b.x+a.col2.x*b.y);this.m_xf.position.y=this.m_sweep.c.y-(a.col1.y*b.x+a.col2.y*b.y)};Box2D.Dynamics.b2Body.prototype.ShouldCollide=
function(a){if(this.m_type!=Box2D.Dynamics.b2BodyDef.b2_dynamicBody&&a.m_type!=Box2D.Dynamics.b2BodyDef.b2_dynamicBody)return!1;for(var b=this.m_jointList;b;b=b.next)if(b.other==a&&!1==b.joint.m_collideConnected)return!1;return!0};Box2D.Dynamics.b2Body.prototype.Advance=function(a){this.m_sweep.Advance(a);this.m_sweep.c.SetV(this.m_sweep.c0);this.m_sweep.a=this.m_sweep.a0;this.SynchronizeTransform()};Box2D.Dynamics.b2Body.NEXT_ID=0;Box2D.Dynamics.b2BodyDef=function(){this.position=Box2D.Common.Math.b2Vec2.Get(0,
0);this.linearVelocity=Box2D.Common.Math.b2Vec2.Get(0,0);this.angularDamping=this.linearDamping=this.angularVelocity=this.angle=0;this.awake=this.allowSleep=!0;this.bullet=this.fixedRotation=!1;this.type=Box2D.Dynamics.b2BodyDef.b2_staticBody;this.active=!0;this.inertiaScale=1};Box2D.Dynamics.b2BodyDef.b2_staticBody=0;Box2D.Dynamics.b2BodyDef.b2_kinematicBody=1;Box2D.Dynamics.b2BodyDef.b2_dynamicBody=2;Box2D.Dynamics.b2BodyList=function(){this.bodyFirstNodes=[];for(var a=0;a<=Box2D.Dynamics.b2BodyList.TYPES.allBodies;a++)this.bodyFirstNodes[a]=
null;this.bodyLastNodes=[];for(a=0;a<=Box2D.Dynamics.b2BodyList.TYPES.allBodies;a++)this.bodyLastNodes[a]=null;this.bodyNodeLookup={};this.bodyCount=0};Box2D.Dynamics.b2BodyList.prototype.GetFirstNode=function(a){return this.bodyFirstNodes[a]};Box2D.Dynamics.b2BodyList.prototype.AddBody=function(a){var b=a.ID;null==this.bodyNodeLookup[b]&&(this.CreateNode(a,b,Box2D.Dynamics.b2BodyList.TYPES.allBodies),this.UpdateBody(a),a.m_lists.push(this),this.bodyCount++)};Box2D.Dynamics.b2BodyList.prototype.UpdateBody=
function(a){var b=a.GetType(),c=a.ID,d=a.IsAwake(),f=a.IsActive();b==Box2D.Dynamics.b2BodyDef.b2_dynamicBody?this.CreateNode(a,c,Box2D.Dynamics.b2BodyList.TYPES.dynamicBodies):this.RemoveNode(c,Box2D.Dynamics.b2BodyList.TYPES.dynamicBodies);b!=Box2D.Dynamics.b2BodyDef.b2_staticBody?this.CreateNode(a,c,Box2D.Dynamics.b2BodyList.TYPES.nonStaticBodies):this.RemoveNode(c,Box2D.Dynamics.b2BodyList.TYPES.nonStaticBodies);b!=Box2D.Dynamics.b2BodyDef.b2_staticBody&&f&&d?this.CreateNode(a,c,Box2D.Dynamics.b2BodyList.TYPES.nonStaticActiveAwakeBodies):
this.RemoveNode(c,Box2D.Dynamics.b2BodyList.TYPES.nonStaticActiveAwakeBodies);d?this.CreateNode(a,c,Box2D.Dynamics.b2BodyList.TYPES.awakeBodies):this.RemoveNode(c,Box2D.Dynamics.b2BodyList.TYPES.awakeBodies);f?this.CreateNode(a,c,Box2D.Dynamics.b2BodyList.TYPES.activeBodies):this.RemoveNode(c,Box2D.Dynamics.b2BodyList.TYPES.activeBodies)};Box2D.Dynamics.b2BodyList.prototype.RemoveBody=function(a){var b=a.ID;if(null!=this.bodyNodeLookup[b]){cr.arrayFindRemove(a.m_lists,this);for(a=0;a<=Box2D.Dynamics.b2BodyList.TYPES.allBodies;a++)this.RemoveNode(b,
a);delete this.bodyNodeLookup[b];this.bodyCount--}};Box2D.Dynamics.b2BodyList.prototype.RemoveNode=function(a,b){var c=this.bodyNodeLookup[a];if(null!=c){var d=c[b];null!=d&&(c[b]=null,c=d.GetPreviousNode(),d=d.GetNextNode(),null==c?this.bodyFirstNodes[b]=d:c.SetNextNode(d),null==d?this.bodyLastNodes[b]=c:d.SetPreviousNode(c))}};Box2D.Dynamics.b2BodyList.prototype.CreateNode=function(a,b,c){var d=this.bodyNodeLookup[b];if(null==d){for(var d=[],f=0;f<=Box2D.Dynamics.b2BodyList.TYPES.allBodies;f++)d[f]=
null;this.bodyNodeLookup[b]=d}null==d[c]&&(d[c]=new Box2D.Dynamics.b2BodyListNode(a),a=this.bodyLastNodes[c],null!=a?a.SetNextNode(d[c]):this.bodyFirstNodes[c]=d[c],d[c].SetPreviousNode(a),this.bodyLastNodes[c]=d[c])};Box2D.Dynamics.b2BodyList.prototype.GetBodyCount=function(){return this.bodyCount};Box2D.Dynamics.b2BodyList.TYPES={dynamicBodies:0,nonStaticBodies:1,activeBodies:2,nonStaticActiveAwakeBodies:3,awakeBodies:4,allBodies:5};Box2D.Dynamics.b2BodyListNode=function(a){this.body=a;this.previous=
this.next=null};Box2D.Dynamics.b2BodyListNode.prototype.SetNextNode=function(a){this.next=a};Box2D.Dynamics.b2BodyListNode.prototype.SetPreviousNode=function(a){this.previous=a};Box2D.Dynamics.b2BodyListNode.prototype.GetBody=function(){return this.body};Box2D.Dynamics.b2BodyListNode.prototype.GetNextNode=function(){return this.next};Box2D.Dynamics.b2BodyListNode.prototype.GetPreviousNode=function(){return this.previous};Box2D.Dynamics.b2ContactFilter=function(){};Box2D.Dynamics.b2ContactFilter.prototype.ShouldCollide=
function(a,b){var c=a.GetFilterData(),d=b.GetFilterData();return c.groupIndex==d.groupIndex&&0!=c.groupIndex?0<c.groupIndex:0!=(c.maskBits&d.categoryBits)&&0!=(c.categoryBits&d.maskBits)};Box2D.Dynamics.b2ContactFilter.b2_defaultFilter=new Box2D.Dynamics.b2ContactFilter;Box2D.Dynamics.b2ContactImpulse=function(){this.normalImpulses=[];this.tangentImpulses=[]};Box2D.Dynamics.b2ContactListener=function(){};Box2D.Dynamics.b2ContactListener.prototype.BeginContact=function(a){};Box2D.Dynamics.b2ContactListener.prototype.EndContact=
function(a){};Box2D.Dynamics.b2ContactListener.prototype.PreSolve=function(a,b){};Box2D.Dynamics.b2ContactListener.prototype.PostSolve=function(a,b){};Box2D.Dynamics.b2ContactManager=function(a){this.m_world=a;this.m_contactFilter=Box2D.Dynamics.b2ContactFilter.b2_defaultFilter;this.m_contactListener=Box2D.Dynamics.b2ContactListener.b2_defaultListener;this.m_contactFactory=new Box2D.Dynamics.Contacts.b2ContactFactory;this.m_broadPhase=new Box2D.Collision.b2DynamicTreeBroadPhase};Box2D.Dynamics.b2ContactManager.prototype.AddPair=
function(a,b){var c=a.GetBody(),d=b.GetBody();if(c!=d&&d.ShouldCollide(c)&&this.m_contactFilter.ShouldCollide(a,b)){for(c=d.contactList.GetFirstNode(Box2D.Dynamics.Contacts.b2ContactList.TYPES.allContacts);c;c=c.GetNextNode())if(d=c.contact.m_fixtureA,d==a){if(d=c.contact.m_fixtureB,d==b)return}else if(d==b&&(d=c.contact.m_fixtureB,d==a))return;this.m_contactFactory.Create(a,b)}};Box2D.Dynamics.b2ContactManager.prototype.FindNewContacts=function(){var a=this;this.m_broadPhase.UpdatePairs(function(b,
c){a.AddPair(b,c)})};Box2D.Dynamics.b2ContactManager.prototype.Destroy=function(a){var b=a.m_fixtureB;a.m_fixtureA.GetBody();b.GetBody();a.touching&&this.m_contactListener.EndContact(a);0<a.m_manifold.m_pointCount&&(a.m_fixtureA.GetBody().SetAwake(!0),a.m_fixtureB.GetBody().SetAwake(!0));a.RemoveFromLists();this.m_contactFactory.Destroy(a)};Box2D.Dynamics.b2ContactManager.prototype.Collide=function(){for(var a=this.m_world.contactList.GetFirstNode(Box2D.Dynamics.Contacts.b2ContactList.TYPES.allContacts);a;a=
a.GetNextNode()){var b=a.contact,c=b.m_fixtureA,d=b.m_fixtureB,f=c.GetBody(),e=d.GetBody();if(!1!=f.IsAwake()||!1!=e.IsAwake()){if(b.IsFiltering()){if(!1==e.ShouldCollide(f)){this.Destroy(b);continue}if(!1==this.m_contactFilter.ShouldCollide(c,d)){this.Destroy(b);continue}b.ClearFiltering()}!1==this.m_broadPhase.TestOverlap(c.m_proxy,d.m_proxy)?this.Destroy(b):b.Update(this.m_contactListener)}}};Box2D.Dynamics.b2DestructionListener=function(){};Box2D.Dynamics.b2DestructionListener.prototype.SayGoodbyeJoint=
function(a){};Box2D.Dynamics.b2DestructionListener.prototype.SayGoodbyeFixture=function(a){};Box2D.Dynamics.b2FilterData=function(){this.categoryBits=1;this.maskBits=65535;this.groupIndex=0};Box2D.Dynamics.b2FilterData.prototype.Copy=function(){var a=new Box2D.Dynamics.b2FilterData;a.categoryBits=this.categoryBits;a.maskBits=this.maskBits;a.groupIndex=this.groupIndex;return a};Box2D.Dynamics.b2Fixture=function(a,b,c){this.ID="Fixture"+Box2D.Dynamics.b2Fixture.NEXT_ID++;this.m_filter=c.filter.Copy();
this.m_aabb=Box2D.Collision.b2AABB.Get();this.m_body=a;this.m_shape=c.shape.Copy();this.m_density=c.density;this.m_friction=c.friction;this.m_restitution=c.restitution;this.m_isSensor=c.isSensor};Box2D.Dynamics.b2Fixture.prototype.GetShape=function(){return this.m_shape};Box2D.Dynamics.b2Fixture.prototype.SetSensor=function(a){if(this.m_isSensor!=a&&(this.m_isSensor=a,null!=this.m_body))for(a=this.m_body.contactList.GetFirstNode(Box2D.Dynamics.Contacts.b2ContactList.TYPES.allContacts);a;a=a.GetNextNode()){var b=
a.contact.m_fixtureA,c=a.contact.m_fixtureB;b!=this&&c!=this||a.contact.SetSensor(b.sensor||c.sensor)}};Box2D.Dynamics.b2Fixture.prototype.IsSensor=function(){return this.m_isSensor};Box2D.Dynamics.b2Fixture.prototype.SetFilterData=function(a){this.m_filter=a.Copy();if(null!=this.m_body)for(a=this.m_body.contactList.GetFirstNode(Box2D.Dynamics.Contacts.b2ContactList.TYPES.allContacts);a;a=a.GetNextNode())a.contact.m_fixtureA!=this&&a.contact.m_fixtureB!=this||a.contact.FlagForFiltering()};Box2D.Dynamics.b2Fixture.prototype.GetFilterData=
function(){return this.m_filter.Copy()};Box2D.Dynamics.b2Fixture.prototype.GetBody=function(){return this.m_body};Box2D.Dynamics.b2Fixture.prototype.TestPoint=function(a){return this.m_shape.TestPoint(this.m_body.GetTransform(),a)};Box2D.Dynamics.b2Fixture.prototype.RayCast=function(a,b){return this.m_shape.RayCast(a,b,this.m_body.GetTransform())};Box2D.Dynamics.b2Fixture.prototype.GetMassData=function(a){a||(a=new Box2D.Collision.Shapes.b2MassData);this.m_shape.ComputeMass(a,this.m_density);return a};
Box2D.Dynamics.b2Fixture.prototype.SetDensity=function(a){this.m_density=a};Box2D.Dynamics.b2Fixture.prototype.GetDensity=function(){return this.m_density};Box2D.Dynamics.b2Fixture.prototype.GetFriction=function(){return this.m_friction};Box2D.Dynamics.b2Fixture.prototype.SetFriction=function(a){this.m_friction=a};Box2D.Dynamics.b2Fixture.prototype.GetRestitution=function(){return this.m_restitution};Box2D.Dynamics.b2Fixture.prototype.SetRestitution=function(a){this.m_restitution=a};Box2D.Dynamics.b2Fixture.prototype.GetAABB=
function(){return this.m_aabb};Box2D.Dynamics.b2Fixture.prototype.Destroy=function(){Box2D.Collision.b2AABB.Free(this.m_aabb)};Box2D.Dynamics.b2Fixture.prototype.CreateProxy=function(a,b){this.m_shape.ComputeAABB(this.m_aabb,b);this.m_proxy=a.CreateProxy(this.m_aabb,this)};Box2D.Dynamics.b2Fixture.prototype.DestroyProxy=function(a){null!=this.m_proxy&&(a.DestroyProxy(this.m_proxy),this.m_proxy=null)};Box2D.Dynamics.b2Fixture.prototype.Synchronize=function(a,b,c){if(this.m_proxy){var d=Box2D.Collision.b2AABB.Get(),
f=Box2D.Collision.b2AABB.Get();this.m_shape.ComputeAABB(d,b);this.m_shape.ComputeAABB(f,c);this.m_aabb.Combine(d,f);Box2D.Collision.b2AABB.Free(d);Box2D.Collision.b2AABB.Free(f);b=Box2D.Common.Math.b2Math.SubtractVV(c.position,b.position);a.MoveProxy(this.m_proxy,this.m_aabb,b);Box2D.Common.Math.b2Vec2.Free(b)}};Box2D.Dynamics.b2Fixture.NEXT_ID=0;Box2D.Dynamics.b2FixtureDef=function(){this.filter=new Box2D.Dynamics.b2FilterData;this.filter.categoryBits=1;this.filter.maskBits=65535;this.filter.groupIndex=
0;this.shape=null;this.friction=0.2;this.density=this.restitution=0;this.isSensor=!1};Box2D.Dynamics.b2FixtureList=function(){this.fixtureLastNode=this.fixtureFirstNode=null;this.fixtureNodeLookup={};this.fixtureCount=0};Box2D.Dynamics.b2FixtureList.prototype.GetFirstNode=function(){return this.fixtureFirstNode};Box2D.Dynamics.b2FixtureList.prototype.AddFixture=function(a){var b=a.ID;if(null==this.fixtureNodeLookup[b]){a=new Box2D.Dynamics.b2FixtureListNode(a);var c=this.fixtureLastNode;null!=c?c.SetNextNode(a):
this.fixtureFirstNode=a;a.SetPreviousNode(c);this.fixtureLastNode=a;this.fixtureNodeLookup[b]=a;this.fixtureCount++}};Box2D.Dynamics.b2FixtureList.prototype.RemoveFixture=function(a){a=a.ID;var b=this.fixtureNodeLookup[a];if(null!=b){var c=b.GetPreviousNode(),b=b.GetNextNode();null==c?this.fixtureFirstNode=b:c.SetNextNode(b);null==b?this.fixtureLastNode=c:b.SetPreviousNode(c);delete this.fixtureNodeLookup[a];this.fixtureCount--}};Box2D.Dynamics.b2FixtureList.prototype.GetFixtureCount=function(){return this.fixtureCount};
Box2D.Dynamics.b2FixtureListNode=function(a){this.fixture=a;this.previous=this.next=null};Box2D.Dynamics.b2FixtureListNode.prototype.SetNextNode=function(a){this.next=a};Box2D.Dynamics.b2FixtureListNode.prototype.SetPreviousNode=function(a){this.previous=a};Box2D.Dynamics.b2FixtureListNode.prototype.GetNextNode=function(){return this.next};Box2D.Dynamics.b2FixtureListNode.prototype.GetPreviousNode=function(){return this.previous};Box2D.Dynamics.b2Island=function(a,b){this.m_listener=a;this.m_contactSolver=
b;this.m_bodies=[];this.m_dynamicBodies=[];this.m_nonStaticBodies=[];this.m_contacts=[];this.m_joints=[]};Box2D.Dynamics.b2Island.prototype.Clear=function(){this.m_bodies=[];this.m_dynamicBodies=[];this.m_nonStaticBodies=[];this.m_contacts=[];this.m_joints=[]};Box2D.Dynamics.b2Island.prototype.Solve=function(a,b,c){this._InitializeVelocities(a,b);this.m_contactSolver.Initialize(a,this.m_contacts,this.m_contacts.length);this._SolveVelocityConstraints(a);this._SolveBodies(a);this._SolvePositionConstraints(a);
this.Report(this.m_contactSolver.m_constraints);c&&this._SleepIfTired(a)};Box2D.Dynamics.b2Island.prototype._InitializeVelocities=function(a,b){for(var c=0;c<this.m_dynamicBodies.length;c++){var d=this.m_dynamicBodies[c];d.m_linearVelocity.x+=a.dt*(b.x+d.m_invMass*d.m_force.x);d.m_linearVelocity.y+=a.dt*(b.y+d.m_invMass*d.m_force.y);d.m_angularVelocity+=a.dt*d.m_invI*d.m_torque;d.m_linearVelocity.Multiply(Box2D.Common.Math.b2Math.Clamp(1-a.dt*d.m_linearDamping,0,1));d.m_angularVelocity*=Box2D.Common.Math.b2Math.Clamp(1-
a.dt*d.m_angularDamping,0,1)}};Box2D.Dynamics.b2Island.prototype._SolveVelocityConstraints=function(a){this.m_contactSolver.InitVelocityConstraints(a);for(var b=0;b<this.m_joints.length;b++)this.m_joints[b].InitVelocityConstraints(a);for(b=0;b<a.velocityIterations;b++){for(var c=0;c<this.m_joints.length;c++)this.m_joints[c].SolveVelocityConstraints(a);this.m_contactSolver.SolveVelocityConstraints()}for(a=0;a<this.m_joints.length;a++)this.m_joints[a].FinalizeVelocityConstraints();this.m_contactSolver.FinalizeVelocityConstraints()};
Box2D.Dynamics.b2Island.prototype._SolveBodies=function(a){for(var b=0;b<this.m_nonStaticBodies.length;++b){var c=this.m_nonStaticBodies[b],d=a.dt*c.m_linearVelocity.x,f=a.dt*c.m_linearVelocity.y;d*d+f*f>Box2D.Common.b2Settings.b2_maxTranslationSquared&&(c.m_linearVelocity.Normalize(),c.m_linearVelocity.x=c.m_linearVelocity.x*Box2D.Common.b2Settings.b2_maxTranslation*a.inv_dt,c.m_linearVelocity.y=c.m_linearVelocity.y*Box2D.Common.b2Settings.b2_maxTranslation*a.inv_dt);d=a.dt*c.m_angularVelocity;d*
d>Box2D.Common.b2Settings.b2_maxRotationSquared&&(c.m_angularVelocity=0>c.m_angularVelocity?-Box2D.Common.b2Settings.b2_maxRotation*a.inv_dt:Box2D.Common.b2Settings.b2_maxRotation*a.inv_dt);c.m_sweep.c0.SetV(c.m_sweep.c);c.m_sweep.a0=c.m_sweep.a;c.m_sweep.c.x+=a.dt*c.m_linearVelocity.x;c.m_sweep.c.y+=a.dt*c.m_linearVelocity.y;c.m_sweep.a+=a.dt*c.m_angularVelocity;c.SynchronizeTransform()}};Box2D.Dynamics.b2Island.prototype._SolvePositionConstraints=function(a){for(var b=0;b<a.positionIterations;b++){for(var c=
this.m_contactSolver.SolvePositionConstraints(Box2D.Common.b2Settings.b2_contactBaumgarte),d=!0,f=0;f<this.m_joints.length;f++)var e=this.m_joints[f].SolvePositionConstraints(Box2D.Common.b2Settings.b2_contactBaumgarte),d=d&&e;if(c&&d)break}};Box2D.Dynamics.b2Island.prototype._SleepIfTired=function(a){for(var b=Number.MAX_VALUE,c=0;c<this.m_nonStaticBodies.length;c++){var d=this.m_nonStaticBodies[c];!d.m_allowSleep||Math.abs(d.m_angularVelocity)>Box2D.Common.b2Settings.b2_angularSleepTolerance||Box2D.Common.Math.b2Math.Dot(d.m_linearVelocity,
d.m_linearVelocity)>Box2D.Common.b2Settings.b2_linearSleepToleranceSquared?b=d.m_sleepTime=0:(d.m_sleepTime+=a.dt,b=Math.min(b,d.m_sleepTime))}if(b>=Box2D.Common.b2Settings.b2_timeToSleep)for(a=0;a<this.m_bodies.length;a++)this.m_bodies[a].SetAwake(!1)};Box2D.Dynamics.b2Island.prototype.SolveTOI=function(a){var b=0,c=0;this.m_contactSolver.Initialize(a,this.m_contacts,this.m_contacts.length);for(var d=this.m_contactSolver,b=0;b<this.m_joints.length;++b)this.m_joints[b].InitVelocityConstraints(a);
for(b=0;b<a.velocityIterations;++b)for(d.SolveVelocityConstraints(),c=0;c<this.m_joints.length;++c)this.m_joints[c].SolveVelocityConstraints(a);for(b=0;b<this.m_nonStaticBodies.length;++b){var c=this.m_nonStaticBodies[b],f=a.dt*c.m_linearVelocity.x,e=a.dt*c.m_linearVelocity.y;f*f+e*e>Box2D.Common.b2Settings.b2_maxTranslationSquared&&(c.m_linearVelocity.Normalize(),c.m_linearVelocity.x=c.m_linearVelocity.x*Box2D.Common.b2Settings.b2_maxTranslation*a.inv_dt,c.m_linearVelocity.y=c.m_linearVelocity.y*
Box2D.Common.b2Settings.b2_maxTranslation*a.inv_dt);f=a.dt*c.m_angularVelocity;f*f>Box2D.Common.b2Settings.b2_maxRotationSquared&&(c.m_angularVelocity=0>c.m_angularVelocity?-Box2D.Common.b2Settings.b2_maxRotation*a.inv_dt:Box2D.Common.b2Settings.b2_maxRotation*a.inv_dt);c.m_sweep.c0.SetV(c.m_sweep.c);c.m_sweep.a0=c.m_sweep.a;c.m_sweep.c.x+=a.dt*c.m_linearVelocity.x;c.m_sweep.c.y+=a.dt*c.m_linearVelocity.y;c.m_sweep.a+=a.dt*c.m_angularVelocity;c.SynchronizeTransform()}for(b=0;b<a.positionIterations;++b){f=
d.SolvePositionConstraints(0.75);e=!0;for(c=0;c<this.m_joints.length;++c)var g=this.m_joints[c].SolvePositionConstraints(Box2D.Common.b2Settings.b2_contactBaumgarte),e=e&&g;if(f&&e)break}this.Report(d.m_constraints)};Box2D.Dynamics.b2Island.prototype.Report=function(a){if(null!=this.m_listener)for(var b=0;b<this.m_contacts.length;++b){for(var c=this.m_contacts[b],d=a[b],f=new Box2D.Dynamics.b2ContactImpulse,e=0;e<d.pointCount;++e)f.normalImpulses[e]=d.points[e].normalImpulse,f.tangentImpulses[e]=
d.points[e].tangentImpulse;this.m_listener.PostSolve(c,f)}};Box2D.Dynamics.b2Island.prototype.AddBody=function(a){this.m_bodies.push(a);a.GetType()!=Box2D.Dynamics.b2BodyDef.b2_staticBody&&(this.m_nonStaticBodies.push(a),a.GetType()==Box2D.Dynamics.b2BodyDef.b2_dynamicBody&&this.m_dynamicBodies.push(a))};Box2D.Dynamics.b2Island.prototype.AddContact=function(a){this.m_contacts.push(a)};Box2D.Dynamics.b2Island.prototype.AddJoint=function(a){this.m_joints.push(a)};Box2D.Dynamics.b2TimeStep=function(a,
b,c,d,f){this.dt=a;var e=0;0<a&&(e=1/a);this.inv_dt=e;this.dtRatio=b;this.positionIterations=c;this.velocityIterations=d;this.warmStarting=f};Box2D.Dynamics.b2World=function(a,b){this.m_contactManager=new Box2D.Dynamics.b2ContactManager(this);this.m_contactSolver=new Box2D.Dynamics.Contacts.b2ContactSolver;this.m_newFixture=this.m_isLocked=!1;this.m_destructionListener=null;this.bodyList=new Box2D.Dynamics.b2BodyList;this.contactList=new Box2D.Dynamics.Contacts.b2ContactList;this.m_jointList=null;
this.controllerList=new Box2D.Dynamics.Controllers.b2ControllerList;this.m_jointCount=0;this.m_continuousPhysics=this.m_warmStarting=!0;this.m_allowSleep=b;this.m_gravity=a;this.m_inv_dt0=0;this.m_groundBody=this.CreateBody(new Box2D.Dynamics.b2BodyDef)};Box2D.Dynamics.b2World.MAX_TOI=1-100*Number.MIN_VALUE;Box2D.Dynamics.b2World.prototype.SetDestructionListener=function(a){this.m_destructionListener=a};Box2D.Dynamics.b2World.prototype.SetContactFilter=function(a){this.m_contactManager.m_contactFilter=
a};Box2D.Dynamics.b2World.prototype.SetContactListener=function(a){this.m_contactManager.m_contactListener=a};Box2D.Dynamics.b2World.prototype.SetBroadPhase=function(a){var b=this.m_contactManager.m_broadPhase;this.m_contactManager.m_broadPhase=a;for(var c=this.bodyList.GetFirstNode(Box2D.Dynamics.b2BodyList.TYPES.allBodies);c;c=c.GetNextNode())for(var d=c.body.GetFixtureList().GetFirstNode();d;d=d.GetNextNode()){var f=d.fixture;f.m_proxy=a.CreateProxy(b.GetFatAABB(f.m_proxy),f)}};Box2D.Dynamics.b2World.prototype.GetProxyCount=
function(){return this.m_contactManager.m_broadPhase.GetProxyCount()};Box2D.Dynamics.b2World.prototype.CreateBody=function(a){a=new Box2D.Dynamics.b2Body(a,this);this.bodyList.AddBody(a);return a};Box2D.Dynamics.b2World.prototype.DestroyBody=function(a){for(var b=a.m_jointList;b;){var c=b,b=b.next;this.m_destructionListener&&this.m_destructionListener.SayGoodbyeJoint(c.joint);this.DestroyJoint(c.joint)}for(b=a.GetControllerList().GetFirstNode();b;b=b.GetNextNode())b.controller.RemoveBody(a);for(b=
a.contactList.GetFirstNode(Box2D.Dynamics.Contacts.b2ContactList.TYPES.allContacts);b;b=b.GetNextNode())this.m_contactManager.Destroy(b.contact);for(b=a.GetFixtureList().GetFirstNode();b;b=b.GetNextNode())this.m_destructionListener&&this.m_destructionListener.SayGoodbyeFixture(b.fixture),a.DestroyFixture(b.fixture);a.Destroy();this.bodyList.RemoveBody(a)};Box2D.Dynamics.b2World.prototype.CreateJoint=function(a){var b=Box2D.Dynamics.Joints.b2Joint.Create(a);b.m_prev=null;if(b.m_next=this.m_jointList)this.m_jointList.m_prev=
b;this.m_jointList=b;this.m_jointCount++;b.m_edgeA.joint=b;b.m_edgeA.other=b.m_bodyB;b.m_edgeA.prev=null;if(b.m_edgeA.next=b.m_bodyA.m_jointList)b.m_bodyA.m_jointList.prev=b.m_edgeA;b.m_bodyA.m_jointList=b.m_edgeA;b.m_edgeB.joint=b;b.m_edgeB.other=b.m_bodyA;b.m_edgeB.prev=null;if(b.m_edgeB.next=b.m_bodyB.m_jointList)b.m_bodyB.m_jointList.prev=b.m_edgeB;b.m_bodyB.m_jointList=b.m_edgeB;var c=a.bodyA,d=a.bodyB;if(!a.collideConnected)for(a=d.contactList.GetFirstNode(Box2D.Dynamics.Contacts.b2ContactList.TYPES.allContacts);a;a=
a.GetNextNode())a.contact.GetOther(d)==c&&a.contact.FlagForFiltering();return b};Box2D.Dynamics.b2World.prototype.DestroyJoint=function(a){var b=a.m_collideConnected;a.m_prev&&(a.m_prev.m_next=a.m_next);a.m_next&&(a.m_next.m_prev=a.m_prev);a==this.m_jointList&&(this.m_jointList=a.m_next);var c=a.m_bodyA,d=a.m_bodyB;c.SetAwake(!0);d.SetAwake(!0);a.m_edgeA.prev&&(a.m_edgeA.prev.next=a.m_edgeA.next);a.m_edgeA.next&&(a.m_edgeA.next.prev=a.m_edgeA.prev);a.m_edgeA==c.m_jointList&&(c.m_jointList=a.m_edgeA.next);
a.m_edgeA.prev=null;a.m_edgeA.next=null;a.m_edgeB.prev&&(a.m_edgeB.prev.next=a.m_edgeB.next);a.m_edgeB.next&&(a.m_edgeB.next.prev=a.m_edgeB.prev);a.m_edgeB==d.m_jointList&&(d.m_jointList=a.m_edgeB.next);a.m_edgeB.prev=null;a.m_edgeB.next=null;this.m_jointCount--;if(!b)for(a=d.contactList.GetFirstNode(Box2D.Dynamics.Contacts.b2ContactList.TYPES.allContacts);a;a=a.GetNextNode())a.contact.GetOther(d)==c&&a.contact.FlagForFiltering()};Box2D.Dynamics.b2World.prototype.GetControllerList=function(){return this.controllerList};
Box2D.Dynamics.b2World.prototype.AddController=function(a){if(null!==a.m_world&&a.m_world!=this)throw Error("Controller can only be a member of one world");this.controllerList.AddController(a);a.m_world=this;return a};Box2D.Dynamics.b2World.prototype.RemoveController=function(a){this.controllerList.RemoveController(a);a.m_world=null;a.Clear()};Box2D.Dynamics.b2World.prototype.CreateController=function(a){return this.AddController(a)};Box2D.Dynamics.b2World.prototype.DestroyController=function(a){this.RemoveController(a)};
Box2D.Dynamics.b2World.prototype.SetWarmStarting=function(a){this.m_warmStarting=a};Box2D.Dynamics.b2World.prototype.SetContinuousPhysics=function(a){this.m_continuousPhysics=a};Box2D.Dynamics.b2World.prototype.GetBodyCount=function(){return this.bodyList.GetBodyCount()};Box2D.Dynamics.b2World.prototype.GetJointCount=function(){return this.m_jointCount};Box2D.Dynamics.b2World.prototype.GetContactCount=function(){return this.contactList.GetContactCount()};Box2D.Dynamics.b2World.prototype.SetGravity=
function(a){this.m_gravity=a};Box2D.Dynamics.b2World.prototype.GetGravity=function(){return this.m_gravity};Box2D.Dynamics.b2World.prototype.GetGroundBody=function(){return this.m_groundBody};Box2D.Dynamics.b2World.prototype.Step=function(a,b,c){this.m_newFixture&&(this.m_contactManager.FindNewContacts(),this.m_newFixture=!1);this.m_isLocked=!0;a=new Box2D.Dynamics.b2TimeStep(a,this.m_inv_dt0*a,b,c,this.m_warmStarting);this.m_contactManager.Collide();0<a.dt&&(this.Solve(a),this.m_continuousPhysics&&
this.SolveTOI(a),this.m_inv_dt0=a.inv_dt);this.m_isLocked=!1};Box2D.Dynamics.b2World.prototype.ClearForces=function(){for(var a=this.bodyList.GetFirstNode(Box2D.Dynamics.b2BodyList.TYPES.dynamicBodies);a;a=a.GetNextNode())a.body.m_force.SetZero(),a.body.m_torque=0};Box2D.Dynamics.b2World.prototype.QueryAABB=function(a,b){this.m_contactManager.m_broadPhase.Query(a,b)};Box2D.Dynamics.b2World.prototype.QueryPoint=function(a,b){var c=Box2D.Collision.b2AABB.Get();c.lowerBound_.Set(b.x-Box2D.Common.b2Settings.b2_linearSlop,
b.y-Box2D.Common.b2Settings.b2_linearSlop);c.upperBound_.Set(b.x+Box2D.Common.b2Settings.b2_linearSlop,b.y+Box2D.Common.b2Settings.b2_linearSlop);this.m_contactManager.m_broadPhase.Query(function(c){return c.TestPoint(b)?a(c):!0},c);Box2D.Collision.b2AABB.Free(c)};Box2D.Dynamics.b2World.prototype.RayCast=function(a,b,c){var d=this.m_contactManager.m_broadPhase,f=new Box2D.Collision.b2RayCastOutput,e=new Box2D.Collision.b2RayCastInput(b,c,1);d.RayCast(function(d,e){if(e.RayCast(f,d)){var k=1-f.fraction,
k=Box2D.Common.Math.b2Vec2.Get(k*b.x+f.fraction*c.x,k*b.y+f.fraction*c.y),h=a(e,k,f.normal,f.fraction);Box2D.Common.Math.b2Vec2.Free(k);return h}return d.maxFraction},e)};Box2D.Dynamics.b2World.prototype.RayCastOne=function(a,b){var c=null;this.RayCast(function(a,b,e,g){c=a;return g},a,b);return c};Box2D.Dynamics.b2World.prototype.RayCastAll=function(a,b){var c=[];this.RayCast(function(a,b,e,g){c.push(a);return 1},a,b);return c};Box2D.Dynamics.b2World.prototype.GetBodyList=function(){return this.bodyList};
Box2D.Dynamics.b2World.prototype.GetJointList=function(){return this.m_jointList};Box2D.Dynamics.b2World.prototype.GetContactList=function(){return this.contactList};Box2D.Dynamics.b2World.prototype.IsLocked=function(){return this.m_isLocked};var b2solvearray=[];Box2D.Dynamics.b2World.prototype.Solve=function(a){for(var b=this.controllerList.GetFirstNode();b;b=b.GetNextNode())b.controller.Step(a);for(var b=new Box2D.Dynamics.b2Island(this.m_contactManager.m_contactListener,this.m_contactSolver),c=
this.bodyList.GetFirstNode(Box2D.Dynamics.b2BodyList.TYPES.allBodies);c;c=c.GetNextNode())c.body.m_islandFlag=!1;for(var d=this.contactList.GetFirstNode(Box2D.Dynamics.Contacts.b2ContactList.TYPES.allContacts);d;d=d.GetNextNode())d.contact.m_islandFlag=!1;for(c=this.m_jointList;c;c=c.m_next)c.m_islandFlag=!1;for(c=this.bodyList.GetFirstNode(Box2D.Dynamics.b2BodyList.TYPES.nonStaticActiveAwakeBodies);c;c=c.GetNextNode())if(d=c.body,!d.m_islandFlag){b.Clear();b2solvearray.length=0;var f=b2solvearray;
f.push(d);for(d.m_islandFlag=!0;0<f.length;){var e=f.pop();b.AddBody(e);e.IsAwake()||e.SetAwake(!0);if(e.GetType()!=Box2D.Dynamics.b2BodyDef.b2_staticBody){for(d=e.contactList.GetFirstNode(Box2D.Dynamics.Contacts.b2ContactList.TYPES.nonSensorEnabledTouchingContacts);d;d=d.GetNextNode()){var g=d.contact;g.m_islandFlag||(b.AddContact(g),g.m_islandFlag=!0,g=g.GetOther(e),g.m_islandFlag||(f.push(g),g.m_islandFlag=!0))}for(d=e.m_jointList;d;d=d.next)!d.joint.m_islandFlag&&d.other.IsActive()&&(b.AddJoint(d.joint),
d.joint.m_islandFlag=!0,d.other.m_islandFlag||(f.push(d.other),d.other.m_islandFlag=!0))}}b.Solve(a,this.m_gravity,this.m_allowSleep)}for(c=this.bodyList.GetFirstNode(Box2D.Dynamics.b2BodyList.TYPES.nonStaticActiveAwakeBodies);c;c=c.GetNextNode())c.body.SynchronizeFixtures();this.m_contactManager.FindNewContacts()};Box2D.Dynamics.b2World.prototype.SolveTOI=function(a){for(var b=new Box2D.Dynamics.b2Island(this.m_contactManager.m_contactListener,this.m_contactSolver),c=this.bodyList.GetFirstNode(Box2D.Dynamics.b2BodyList.TYPES.allBodies);c;c=
c.GetNextNode()){var d=c.body;d.m_islandFlag=!1;d.m_sweep.t0=0}for(var f=this.contactList.GetFirstNode(Box2D.Dynamics.Contacts.b2ContactList.TYPES.allContacts);f;f=f.GetNextNode())f.contact.m_islandFlag=!1,f.contact.m_toi=null;for(c=this.m_jointList;c;c=c.m_next)c.m_islandFlag=!1;for(;;){var c=this._SolveTOI2(a),e=c.minContact,c=c.minTOI;if(null===e||Box2D.Dynamics.b2World.MAX_TOI<c)break;f=e.m_fixtureA.GetBody();d=e.m_fixtureB.GetBody();Box2D.Dynamics.b2World.s_backupA.Set(f.m_sweep);Box2D.Dynamics.b2World.s_backupB.Set(d.m_sweep);
f.Advance(c);d.Advance(c);e.Update(this.m_contactManager.m_contactListener);e.m_toi=null;if(e.sensor||!e.enabled)f.m_sweep.Set(Box2D.Dynamics.b2World.s_backupA),d.m_sweep.Set(Box2D.Dynamics.b2World.s_backupB),f.SynchronizeTransform(),d.SynchronizeTransform();else if(e.touching){f.GetType()!=Box2D.Dynamics.b2BodyDef.b2_dynamicBody&&(f=d);b.Clear();b2solvearray.length=0;e=b2solvearray;e.push(f);for(f.m_islandFlag=!0;0<e.length;)if(d=e.pop(),b.AddBody(d),d.IsAwake()||d.SetAwake(!0),d.GetType()==Box2D.Dynamics.b2BodyDef.b2_dynamicBody){for(f=
d.contactList.GetFirstNode(Box2D.Dynamics.Contacts.b2ContactList.TYPES.nonSensorEnabledTouchingContacts);f&&b.m_contactCount!=Box2D.Common.b2Settings.b2_maxTOIContactsPerIsland;f=f.GetNextNode()){var g=f.contact;g.m_islandFlag||(b.AddContact(g),g.m_islandFlag=!0,g=g.GetOther(d),g.m_islandFlag||(g.GetType()!=Box2D.Dynamics.b2BodyDef.b2_staticBody&&(g.Advance(c),g.SetAwake(!0),e.push(g)),g.m_islandFlag=!0))}for(d=d.m_jointList;d;d=d.next)b.m_jointCount!=Box2D.Common.b2Settings.b2_maxTOIJointsPerIsland&&
!d.joint.m_islandFlag&&d.other.IsActive()&&(b.AddJoint(d.joint),d.joint.m_islandFlag=!0,d.other.m_islandFlag||(d.other.GetType()!=Box2D.Dynamics.b2BodyDef.b2_staticBody&&(d.other.Advance(c),d.other.SetAwake(!0),e.push(d.other)),d.other.m_islandFlag=!0))}b.SolveTOI(new Box2D.Dynamics.b2TimeStep((1-c)*a.dt,0,a.velocityIterations,a.positionIterations,!1));for(c=0;c<b.m_bodies.length;c++)if(b.m_bodies[c].m_islandFlag=!1,b.m_bodies[c].IsAwake()&&b.m_bodies[c].GetType()==Box2D.Dynamics.b2BodyDef.b2_dynamicBody)for(b.m_bodies[c].SynchronizeFixtures(),
f=b.m_bodies[c].contactList.GetFirstNode(Box2D.Dynamics.Contacts.b2ContactList.TYPES.allContacts);f;f=f.GetNextNode())f.contact.m_toi=null;for(c=0;c<b.m_contactCount;c++)b.m_contacts[c].m_islandFlag=!1,b.m_contacts[c].m_toi=null;for(c=0;c<b.m_jointCount;c++)b.m_joints[c].m_islandFlag=!1;this.m_contactManager.FindNewContacts()}}};Box2D.Dynamics.b2World.prototype._SolveTOI2=function(a){for(var b=null,c=1,d=this.contactList.GetFirstNode(Box2D.Dynamics.Contacts.b2ContactList.TYPES.nonSensorEnabledContinuousContacts);d;d=
d.GetNextNode()){var f=d.contact;if(!this._SolveTOI2SkipContact(a,f)){var e=1;if(null!=f.m_toi)e=f.m_toi;else{if(f.touching)e=1;else{var e=f.m_fixtureA.GetBody(),g=f.m_fixtureB.GetBody(),l=e.m_sweep.t0;e.m_sweep.t0<g.m_sweep.t0?(l=g.m_sweep.t0,e.m_sweep.Advance(l)):g.m_sweep.t0<e.m_sweep.t0&&(l=e.m_sweep.t0,g.m_sweep.Advance(l));e=f.ComputeTOI(e.m_sweep,g.m_sweep);0<e&&1>e&&(e=(1-e)*l+e)}f.m_toi=e}Number.MIN_VALUE<e&&e<c&&(b=f,c=e)}}return{minContact:b,minTOI:c}};Box2D.Dynamics.b2World.prototype._SolveTOI2SkipContact=
function(a,b){var c=b.m_fixtureA.GetBody(),d=b.m_fixtureB.GetBody();return c.GetType()==Box2D.Dynamics.b2BodyDef.b2_dynamicBody&&c.IsAwake()||d.GetType()==Box2D.Dynamics.b2BodyDef.b2_dynamicBody&&d.IsAwake()?!1:!0};Box2D.Dynamics.Contacts.b2Contact=function(a,b){this.ID="Contact"+Box2D.Dynamics.Contacts.b2Contact.NEXT_ID++;this.m_manifold=new Box2D.Collision.b2Manifold;this.m_oldManifold=new Box2D.Collision.b2Manifold;this.touching=!1;var c=a.GetBody(),d=b.GetBody();this.continuous=c.GetType()!=Box2D.Dynamics.b2BodyDef.b2_dynamicBody||
c.IsBullet()||d.GetType()!=Box2D.Dynamics.b2BodyDef.b2_dynamicBody||d.IsBullet();this.sensor=a.IsSensor()||b.IsSensor();this.filtering=!1;this.m_fixtureA=a;this.m_fixtureB=b;this.enabled=!0;this.bodyAList=c.GetContactList();this.bodyBList=d.GetContactList();this.worldList=d.GetWorld().GetContactList();this.AddToLists()};Box2D.Dynamics.Contacts.b2Contact.prototype.Reset=function(a,b){this.m_manifold.Reset();this.m_oldManifold.Reset();this.touching=!1;var c=a.GetBody(),d=b.GetBody();this.continuous=
c.GetType()!=Box2D.Dynamics.b2BodyDef.b2_dynamicBody||c.IsBullet()||d.GetType()!=Box2D.Dynamics.b2BodyDef.b2_dynamicBody||d.IsBullet();this.sensor=a.IsSensor()||b.IsSensor();this.filtering=!1;this.m_fixtureA=a;this.m_fixtureB=b;this.enabled=!0;this.bodyAList=c.GetContactList();this.bodyBList=d.GetContactList();this.worldList=d.GetWorld().GetContactList();this.AddToLists()};Box2D.Dynamics.Contacts.b2Contact.prototype.AddToLists=function(){this.bodyAList.AddContact(this);this.bodyBList.AddContact(this);
this.worldList.AddContact(this);this.UpdateLists()};Box2D.Dynamics.Contacts.b2Contact.prototype.UpdateLists=function(){var a=!1,b=!1;!this.IsSensor()&&this.IsEnabled()&&(this.IsTouching()&&(a=!0),this.IsContinuous()&&(b=!0));this.bodyAList.UpdateContact(this,a,b);this.bodyBList.UpdateContact(this,a,b);this.worldList.UpdateContact(this,a,b)};Box2D.Dynamics.Contacts.b2Contact.prototype.RemoveFromLists=function(){this.bodyAList.RemoveContact(this);this.bodyBList.RemoveContact(this);this.worldList.RemoveContact(this)};
Box2D.Dynamics.Contacts.b2Contact.prototype.GetManifold=function(){return this.m_manifold};Box2D.Dynamics.Contacts.b2Contact.prototype.GetWorldManifold=function(a){var b=this.m_fixtureA.GetBody(),c=this.m_fixtureB.GetBody(),d=this.m_fixtureA.GetShape(),f=this.m_fixtureB.GetShape();a.Initialize(this.m_manifold,b.GetTransform(),d.m_radius,c.GetTransform(),f.m_radius)};Box2D.Dynamics.Contacts.b2Contact.prototype.IsTouching=function(){return this.touching};Box2D.Dynamics.Contacts.b2Contact.prototype.IsContinuous=
function(){return this.continuous};Box2D.Dynamics.Contacts.b2Contact.prototype.SetSensor=function(a){this.sensor=a;this.UpdateLists()};Box2D.Dynamics.Contacts.b2Contact.prototype.IsSensor=function(){return this.sensor};Box2D.Dynamics.Contacts.b2Contact.prototype.SetEnabled=function(a){this.enabled=a;this.UpdateLists()};Box2D.Dynamics.Contacts.b2Contact.prototype.IsEnabled=function(){return this.enabled};Box2D.Dynamics.Contacts.b2Contact.prototype.GetNext=function(){return this.m_next};Box2D.Dynamics.Contacts.b2Contact.prototype.GetFixtureA=
function(){return this.m_fixtureA};Box2D.Dynamics.Contacts.b2Contact.prototype.GetFixtureB=function(){return this.m_fixtureB};Box2D.Dynamics.Contacts.b2Contact.prototype.GetOther=function(a){var b=this.m_fixtureA.GetBody();return b!=a?b:this.m_fixtureB.GetBody()};Box2D.Dynamics.Contacts.b2Contact.prototype.FlagForFiltering=function(){this.filtering=!0};Box2D.Dynamics.Contacts.b2Contact.prototype.ClearFiltering=function(){this.filtering=!1};Box2D.Dynamics.Contacts.b2Contact.prototype.IsFiltering=function(){return this.filtering};
Box2D.Dynamics.Contacts.b2Contact.prototype.Update=function(a){var b=this.m_oldManifold;this.m_oldManifold=this.m_manifold;this.m_manifold=b;this.enabled=!0;var b=!1,c=this.IsTouching(),d=this.m_fixtureA.GetBody(),f=this.m_fixtureB.GetBody(),e=this.m_fixtureA.m_aabb.TestOverlap(this.m_fixtureB.m_aabb);if(this.sensor)e&&(b=Box2D.Collision.Shapes.b2Shape.TestOverlap(this.m_fixtureA.GetShape(),d.GetTransform(),this.m_fixtureB.GetShape(),f.GetTransform())),this.m_manifold.m_pointCount=0;else{d.GetType()!=
Box2D.Dynamics.b2BodyDef.b2_dynamicBody||d.IsBullet()||f.GetType()!=Box2D.Dynamics.b2BodyDef.b2_dynamicBody||f.IsBullet()?this.continuous=!0:this.continuous=!1;if(e)for(this.Evaluate(),b=0<this.m_manifold.m_pointCount,e=0;e<this.m_manifold.m_pointCount;e++){var g=this.m_manifold.m_points[e];g.m_normalImpulse=0;for(var l=g.m_tangentImpulse=0;l<this.m_oldManifold.m_pointCount;l++){var k=this.m_oldManifold.m_points[l];if(k.m_id.GetKey()==g.m_id.GetKey()){g.m_normalImpulse=k.m_normalImpulse;g.m_tangentImpulse=
k.m_tangentImpulse;break}}}else this.m_manifold.m_pointCount=0;b!=c&&(d.SetAwake(!0),f.SetAwake(!0))}this.touching=b;b!=c&&this.UpdateLists();!c&&b&&a.BeginContact(this);c&&!b&&a.EndContact(this);this.sensor||a.PreSolve(this,this.m_oldManifold)};Box2D.Dynamics.Contacts.b2Contact.prototype.Evaluate=function(){};Box2D.Dynamics.Contacts.b2Contact.prototype.ComputeTOI=function(a,b){Box2D.Dynamics.Contacts.b2Contact.s_input.proxyA.Set(this.m_fixtureA.GetShape());Box2D.Dynamics.Contacts.b2Contact.s_input.proxyB.Set(this.m_fixtureB.GetShape());
Box2D.Dynamics.Contacts.b2Contact.s_input.sweepA=a;Box2D.Dynamics.Contacts.b2Contact.s_input.sweepB=b;Box2D.Dynamics.Contacts.b2Contact.s_input.tolerance=Box2D.Common.b2Settings.b2_linearSlop;return Box2D.Collision.b2TimeOfImpact.TimeOfImpact(Box2D.Dynamics.Contacts.b2Contact.s_input)};Box2D.Dynamics.Contacts.b2Contact.s_input=new Box2D.Collision.b2TOIInput;Box2D.Dynamics.Contacts.b2Contact.NEXT_ID=0;Box2D.Dynamics.Contacts.b2CircleContact=function(a,b){Box2D.Dynamics.Contacts.b2Contact.call(this,
a,b)};c2inherit(Box2D.Dynamics.Contacts.b2CircleContact,Box2D.Dynamics.Contacts.b2Contact);Box2D.Dynamics.Contacts.b2CircleContact.prototype.Reset=function(a,b){Box2D.Dynamics.Contacts.b2Contact.prototype.Reset.call(this,a,b)};Box2D.Dynamics.Contacts.b2CircleContact.prototype.Evaluate=function(){Box2D.Collision.b2Collision.CollideCircles(this.m_manifold,this.m_fixtureA.GetShape(),this.m_fixtureA.GetBody().m_xf,this.m_fixtureB.GetShape(),this.m_fixtureB.GetBody().m_xf)};Box2D.Dynamics.Contacts.b2ContactConstraint=
function(){this.localPlaneNormal=Box2D.Common.Math.b2Vec2.Get(0,0);this.localPoint=Box2D.Common.Math.b2Vec2.Get(0,0);this.normal=Box2D.Common.Math.b2Vec2.Get(0,0);this.normalMass=new Box2D.Common.Math.b2Mat22;this.K=new Box2D.Common.Math.b2Mat22;this.points=[];for(var a=0;a<Box2D.Common.b2Settings.b2_maxManifoldPoints;a++)this.points[a]=new Box2D.Dynamics.Contacts.b2ContactConstraintPoint};Box2D.Dynamics.Contacts.b2ContactConstraintPoint=function(){this.localPoint=Box2D.Common.Math.b2Vec2.Get(0,0);
this.rA=Box2D.Common.Math.b2Vec2.Get(0,0);this.rB=Box2D.Common.Math.b2Vec2.Get(0,0)};Box2D.Dynamics.Contacts.b2ContactConstraintPoint.prototype.Reset=function(){this.localPoint.Set(0,0);this.rA.Set(0,0);this.rB.Set(0,0)};Box2D.Dynamics.Contacts.b2ContactFactory=function(){this.m_registers={};this.m_freeContacts={};this.AddType(Box2D.Dynamics.Contacts.b2CircleContact,Box2D.Collision.Shapes.b2CircleShape.NAME,Box2D.Collision.Shapes.b2CircleShape.NAME);this.AddType(Box2D.Dynamics.Contacts.b2PolyAndCircleContact,
Box2D.Collision.Shapes.b2PolygonShape.NAME,Box2D.Collision.Shapes.b2CircleShape.NAME);this.AddType(Box2D.Dynamics.Contacts.b2PolygonContact,Box2D.Collision.Shapes.b2PolygonShape.NAME,Box2D.Collision.Shapes.b2PolygonShape.NAME);this.AddType(Box2D.Dynamics.Contacts.b2EdgeAndCircleContact,Box2D.Collision.Shapes.b2EdgeShape.NAME,Box2D.Collision.Shapes.b2CircleShape.NAME);this.AddType(Box2D.Dynamics.Contacts.b2PolyAndEdgeContact,Box2D.Collision.Shapes.b2PolygonShape.NAME,Box2D.Collision.Shapes.b2EdgeShape.NAME)};
Box2D.Dynamics.Contacts.b2ContactFactory.prototype.AddType=function(a,b,c){this.m_freeContacts[b]=this.m_freeContacts[b]||{};this.m_freeContacts[b][c]=this.m_freeContacts[b][c]||[];this.m_registers[b]=this.m_registers[b]||{};this.m_registers[b][c]=new Box2D.Dynamics.Contacts.b2ContactRegister;this.m_registers[b][c].ctor=a;this.m_registers[b][c].primary=!0;b!=c&&(this.m_registers[c]=this.m_registers[c]||{},this.m_registers[c][b]=new Box2D.Dynamics.Contacts.b2ContactRegister,this.m_registers[c][b].ctor=
a,this.m_registers[c][b].primary=!1)};Box2D.Dynamics.Contacts.b2ContactFactory.prototype.Create=function(a,b){var c=a.GetShape().GetTypeName(),d=b.GetShape().GetTypeName(),f=this.m_registers[c][d],e=f.ctor;return null!=e?f.primary?0<this.m_freeContacts[c][d].length?(c=this.m_freeContacts[c][d].pop(),c.Reset(a,b),c):new e(a,b):0<this.m_freeContacts[d][c].length?(c=this.m_freeContacts[d][c].pop(),c.Reset(b,a),c):new e(b,a):null};Box2D.Dynamics.Contacts.b2ContactFactory.prototype.Destroy=function(a){var b=
a.m_fixtureA.GetShape().GetTypeName(),c=a.m_fixtureB.GetShape().GetTypeName();this.m_freeContacts[b][c].push(a)};Box2D.Dynamics.Contacts.b2ContactList=function(){this.contactFirstNodes=[];for(var a=0;a<=Box2D.Dynamics.Contacts.b2ContactList.TYPES.allContacts;a++)this.contactFirstNodes[a]=null;this.contactLastNodes=[];for(a=0;a<=Box2D.Dynamics.Contacts.b2ContactList.TYPES.allContacts;a++)this.contactLastNodes[a]=null;this.contactNodeLookup={};this.contactCount=0};Box2D.Dynamics.Contacts.b2ContactList.prototype.GetFirstNode=
function(a){return this.contactFirstNodes[a]};Box2D.Dynamics.Contacts.b2ContactList.prototype.AddContact=function(a){var b=a.ID;if(null==this.contactNodeLookup[b]){this.contactNodeLookup[b]=[];for(var c=0;c<=Box2D.Dynamics.Contacts.b2ContactList.TYPES.allContacts;c++)this.contactNodeLookup[b][c]=null;this.CreateNode(a,b,Box2D.Dynamics.Contacts.b2ContactList.TYPES.allContacts);this.contactCount++}};Box2D.Dynamics.Contacts.b2ContactList.prototype.UpdateContact=function(a,b,c){b?this.CreateNode(a,a.ID,
Box2D.Dynamics.Contacts.b2ContactList.TYPES.nonSensorEnabledTouchingContacts):this.RemoveNode(a.ID,Box2D.Dynamics.Contacts.b2ContactList.TYPES.nonSensorEnabledTouchingContacts);c?this.CreateNode(a,a.ID,Box2D.Dynamics.Contacts.b2ContactList.TYPES.nonSensorEnabledContinuousContacts):this.RemoveNode(a.ID,Box2D.Dynamics.Contacts.b2ContactList.TYPES.nonSensorEnabledContinuousContacts)};Box2D.Dynamics.Contacts.b2ContactList.prototype.RemoveContact=function(a){a=a.ID;if(null!=this.contactNodeLookup[a]){for(var b=
0;b<=Box2D.Dynamics.Contacts.b2ContactList.TYPES.allContacts;b++)this.RemoveNode(a,b);delete this.contactNodeLookup[a];this.contactCount--}};Box2D.Dynamics.Contacts.b2ContactList.prototype.RemoveNode=function(a,b){var c=this.contactNodeLookup[a];if(null!=c){var d=c[b];if(null!=d){c[b]=null;var c=d.GetPreviousNode(),f=d.GetNextNode();null==c?this.contactFirstNodes[b]=f:c.SetNextNode(f);null==f?this.contactLastNodes[b]=c:f.SetPreviousNode(c);Box2D.Dynamics.Contacts.b2ContactListNode.FreeNode(d)}}};
Box2D.Dynamics.Contacts.b2ContactList.prototype.CreateNode=function(a,b,c){b=this.contactNodeLookup[b];null==b[c]&&(b[c]=Box2D.Dynamics.Contacts.b2ContactListNode.GetNode(a),a=this.contactLastNodes[c],null!=a?(a.SetNextNode(b[c]),b[c].SetPreviousNode(a)):this.contactFirstNodes[c]=b[c],this.contactLastNodes[c]=b[c])};Box2D.Dynamics.Contacts.b2ContactList.prototype.GetContactCount=function(){return this.contactCount};Box2D.Dynamics.Contacts.b2ContactList.TYPES={nonSensorEnabledTouchingContacts:0,nonSensorEnabledContinuousContacts:1,
allContacts:2};Box2D.Dynamics.Contacts.b2ContactListNode=function(a){this.contact=a;this.previous=this.next=null};Box2D.Dynamics.Contacts.b2ContactListNode.freeNodes=[];Box2D.Dynamics.Contacts.b2ContactListNode.GetNode=function(a){if(0<Box2D.Dynamics.Contacts.b2ContactListNode.freeNodes.length){var b=Box2D.Dynamics.Contacts.b2ContactListNode.freeNodes.pop();b.next=null;b.previous=null;b.contact=a;return b}return new Box2D.Dynamics.Contacts.b2ContactListNode(a)};Box2D.Dynamics.Contacts.b2ContactListNode.FreeNode=
function(a){Box2D.Dynamics.Contacts.b2ContactListNode.freeNodes.push(a)};Box2D.Dynamics.Contacts.b2ContactListNode.prototype.SetNextNode=function(a){this.next=a};Box2D.Dynamics.Contacts.b2ContactListNode.prototype.SetPreviousNode=function(a){this.previous=a};Box2D.Dynamics.Contacts.b2ContactListNode.prototype.GetContact=function(){return this.contact};Box2D.Dynamics.Contacts.b2ContactListNode.prototype.GetNextNode=function(){return this.next};Box2D.Dynamics.Contacts.b2ContactListNode.prototype.GetPreviousNode=
function(){return this.previous};Box2D.Dynamics.Contacts.b2ContactRegister=function(){this.pool=null;this.poolCount=0};Box2D.Dynamics.Contacts.b2PositionSolverManifold=function(){this.m_normal=Box2D.Common.Math.b2Vec2.Get(0,0);this.m_separations=[];this.m_points=[];for(var a=0;a<Box2D.Common.b2Settings.b2_maxManifoldPoints;a++)this.m_points[a]=Box2D.Common.Math.b2Vec2.Get(0,0)};Box2D.Dynamics.Contacts.b2PositionSolverManifold.prototype.Initialize=function(a){switch(a.type){case Box2D.Collision.b2Manifold.e_circles:this._InitializeCircles(a);
break;case Box2D.Collision.b2Manifold.e_faceA:this._InitializeFaceA(a);break;case Box2D.Collision.b2Manifold.e_faceB:this._InitializeFaceB(a)}};Box2D.Dynamics.Contacts.b2PositionSolverManifold.prototype._InitializeCircles=function(a){var b=a.bodyA.m_xf.R,c=a.localPoint,d=a.bodyA.m_xf.position.x+(b.col1.x*c.x+b.col2.x*c.y),f=a.bodyA.m_xf.position.y+(b.col1.y*c.x+b.col2.y*c.y),b=a.bodyB.m_xf.R,c=a.points[0].localPoint,e=a.bodyB.m_xf.position.x+(b.col1.x*c.x+b.col2.x*c.y),b=a.bodyB.m_xf.position.y+(b.col1.y*
c.x+b.col2.y*c.y),c=e-d,g=b-f,l=c*c+g*g;l>Box2D.Common.b2Settings.MIN_VALUE_SQUARED?(l=Math.sqrt(l),this.m_normal.x=c/l,this.m_normal.y=g/l):(this.m_normal.x=1,this.m_normal.y=0);this.m_points[0].x=0.5*(d+e);this.m_points[0].y=0.5*(f+b);this.m_separations[0]=c*this.m_normal.x+g*this.m_normal.y-a.radius};Box2D.Dynamics.Contacts.b2PositionSolverManifold.prototype._InitializeFaceA=function(a){this.m_normal.x=a.bodyA.m_xf.R.col1.x*a.localPlaneNormal.x+a.bodyA.m_xf.R.col2.x*a.localPlaneNormal.y;this.m_normal.y=
a.bodyA.m_xf.R.col1.y*a.localPlaneNormal.x+a.bodyA.m_xf.R.col2.y*a.localPlaneNormal.y;for(var b=a.bodyA.m_xf.position.x+(a.bodyA.m_xf.R.col1.x*a.localPoint.x+a.bodyA.m_xf.R.col2.x*a.localPoint.y),c=a.bodyA.m_xf.position.y+(a.bodyA.m_xf.R.col1.y*a.localPoint.x+a.bodyA.m_xf.R.col2.y*a.localPoint.y),d=0;d<a.pointCount;d++){var f=a.bodyB.m_xf.position.x+(a.bodyB.m_xf.R.col1.x*a.points[d].localPoint.x+a.bodyB.m_xf.R.col2.x*a.points[d].localPoint.y),e=a.bodyB.m_xf.position.y+(a.bodyB.m_xf.R.col1.y*a.points[d].localPoint.x+
a.bodyB.m_xf.R.col2.y*a.points[d].localPoint.y);this.m_separations[d]=(f-b)*this.m_normal.x+(e-c)*this.m_normal.y-a.radius;this.m_points[d].x=f;this.m_points[d].y=e}};Box2D.Dynamics.Contacts.b2PositionSolverManifold.prototype._InitializeFaceB=function(a){this.m_normal.x=a.bodyB.m_xf.R.col1.x*a.localPlaneNormal.x+a.bodyB.m_xf.R.col2.x*a.localPlaneNormal.y;this.m_normal.y=a.bodyB.m_xf.R.col1.y*a.localPlaneNormal.x+a.bodyB.m_xf.R.col2.y*a.localPlaneNormal.y;for(var b=a.bodyB.m_xf.position.x+(a.bodyB.m_xf.R.col1.x*
a.localPoint.x+a.bodyB.m_xf.R.col2.x*a.localPoint.y),c=a.bodyB.m_xf.position.y+(a.bodyB.m_xf.R.col1.y*a.localPoint.x+a.bodyB.m_xf.R.col2.y*a.localPoint.y),d=0;d<a.pointCount;d++){var f=a.bodyA.m_xf.position.x+(a.bodyA.m_xf.R.col1.x*a.points[d].localPoint.x+a.bodyA.m_xf.R.col2.x*a.points[d].localPoint.y),e=a.bodyA.m_xf.position.y+(a.bodyA.m_xf.R.col1.y*a.points[d].localPoint.x+a.bodyA.m_xf.R.col2.y*a.points[d].localPoint.y);this.m_separations[d]=(f-b)*this.m_normal.x+(e-c)*this.m_normal.y-a.radius;
this.m_points[d].Set(f,e)}this.m_normal.x*=-1;this.m_normal.y*=-1};Box2D.Dynamics.Contacts.b2ContactSolver=function(){this.m_constraints=[]};Box2D.Dynamics.Contacts.b2ContactSolver.prototype.Initialize=function(a,b,c){for(this.m_constraintCount=c;this.m_constraints.length<this.m_constraintCount;)this.m_constraints[this.m_constraints.length]=new Box2D.Dynamics.Contacts.b2ContactConstraint;for(a=0;a<c;a++){var d=b[a],f=d.m_fixtureA,e=d.m_fixtureB,g=f.m_shape.m_radius,l=e.m_shape.m_radius,k=f.GetBody(),
h=e.GetBody(),m=d.GetManifold(),n=Box2D.Common.b2Settings.b2MixFriction(f.GetFriction(),e.GetFriction()),r=Box2D.Common.b2Settings.b2MixRestitution(f.GetRestitution(),e.GetRestitution()),p=k.m_linearVelocity.x,q=k.m_linearVelocity.y,t=h.m_linearVelocity.x,s=h.m_linearVelocity.y,u=k.m_angularVelocity,y=h.m_angularVelocity;Box2D.Dynamics.Contacts.b2ContactSolver.s_worldManifold.Initialize(m,k.m_xf,g,h.m_xf,l);e=Box2D.Dynamics.Contacts.b2ContactSolver.s_worldManifold.m_normal.x;d=Box2D.Dynamics.Contacts.b2ContactSolver.s_worldManifold.m_normal.y;
f=this.m_constraints[a];f.bodyA=k;f.bodyB=h;f.manifold=m;f.normal.x=e;f.normal.y=d;f.pointCount=m.m_pointCount;f.friction=n;f.restitution=r;f.localPlaneNormal.x=m.m_localPlaneNormal.x;f.localPlaneNormal.y=m.m_localPlaneNormal.y;f.localPoint.x=m.m_localPoint.x;f.localPoint.y=m.m_localPoint.y;f.radius=g+l;f.type=m.m_type;for(g=0;g<f.pointCount;++g){n=m.m_points[g];l=f.points[g];l.normalImpulse=n.m_normalImpulse;l.tangentImpulse=n.m_tangentImpulse;l.localPoint.SetV(n.m_localPoint);var n=l.rA.x=Box2D.Dynamics.Contacts.b2ContactSolver.s_worldManifold.m_points[g].x-
k.m_sweep.c.x,r=l.rA.y=Box2D.Dynamics.Contacts.b2ContactSolver.s_worldManifold.m_points[g].y-k.m_sweep.c.y,C=l.rB.x=Box2D.Dynamics.Contacts.b2ContactSolver.s_worldManifold.m_points[g].x-h.m_sweep.c.x,F=l.rB.y=Box2D.Dynamics.Contacts.b2ContactSolver.s_worldManifold.m_points[g].y-h.m_sweep.c.y,v=n*d-r*e,w=C*d-F*e,v=v*v,w=w*w;l.normalMass=1/(k.m_invMass+h.m_invMass+k.m_invI*v+h.m_invI*w);var B=k.m_mass*k.m_invMass+h.m_mass*h.m_invMass,B=B+(k.m_mass*k.m_invI*v+h.m_mass*h.m_invI*w);l.equalizedMass=1/B;
w=d;B=-e;v=n*B-r*w;w=C*B-F*w;v*=v;w*=w;l.tangentMass=1/(k.m_invMass+h.m_invMass+k.m_invI*v+h.m_invI*w);l.velocityBias=0;n=f.normal.x*(t+-y*F-p- -u*r)+f.normal.y*(s+y*C-q-u*n);n<-Box2D.Common.b2Settings.b2_velocityThreshold&&(l.velocityBias+=-f.restitution*n)}2==f.pointCount&&(s=f.points[0],t=f.points[1],m=k.m_invMass,k=k.m_invI,p=h.m_invMass,h=h.m_invI,q=s.rA.x*d-s.rA.y*e,s=s.rB.x*d-s.rB.y*e,u=t.rA.x*d-t.rA.y*e,t=t.rB.x*d-t.rB.y*e,e=m+p+k*q*q+h*s*s,d=m+p+k*u*u+h*t*t,h=m+p+k*q*u+h*s*t,e*e<100*(e*d-
h*h)?(f.K.col1.Set(e,h),f.K.col2.Set(h,d),f.K.GetInverse(f.normalMass)):f.pointCount=1)}};Box2D.Dynamics.Contacts.b2ContactSolver.prototype.InitVelocityConstraints=function(a){for(var b=0;b<this.m_constraintCount;++b){var c=this.m_constraints[b],d=c.bodyA,f=c.bodyB,e=d.m_invMass,g=d.m_invI,l=f.m_invMass,k=f.m_invI,h=c.normal.x,m=c.normal.y,n=m,r=-h,p=0,q=0;if(a.warmStarting)for(q=c.pointCount,p=0;p<q;++p){var t=c.points[p];t.normalImpulse*=a.dtRatio;t.tangentImpulse*=a.dtRatio;var s=t.normalImpulse*
h+t.tangentImpulse*n,u=t.normalImpulse*m+t.tangentImpulse*r;d.m_angularVelocity-=g*(t.rA.x*u-t.rA.y*s);d.m_linearVelocity.x-=e*s;d.m_linearVelocity.y-=e*u;f.m_angularVelocity+=k*(t.rB.x*u-t.rB.y*s);f.m_linearVelocity.x+=l*s;f.m_linearVelocity.y+=l*u}else for(q=c.pointCount,p=0;p<q;++p)d=c.points[p],d.normalImpulse=0,d.tangentImpulse=0}};Box2D.Dynamics.Contacts.b2ContactSolver.prototype.SolveVelocityConstraints=function(){for(var a=0;a<this.m_constraintCount;a++)this.SolveVelocityConstraints_Constraint(this.m_constraints[a])};
Box2D.Dynamics.Contacts.b2ContactSolver.prototype.SolveVelocityConstraints_Constraint=function(a){for(var b=a.normal.x,c=a.normal.y,d=0;d<a.pointCount;d++)Box2D.Dynamics.Contacts.b2ContactSolver.prototype.SolveVelocityConstraints_ConstraintPoint(a,a.points[d]);if(1==a.pointCount){var d=a.points[0],f=d.normalImpulse-d.normalMass*((a.bodyB.m_linearVelocity.x-a.bodyB.m_angularVelocity*d.rB.y-a.bodyA.m_linearVelocity.x+a.bodyA.m_angularVelocity*d.rA.y)*b+(a.bodyB.m_linearVelocity.y+a.bodyB.m_angularVelocity*
d.rB.x-a.bodyA.m_linearVelocity.y-a.bodyA.m_angularVelocity*d.rA.x)*c-d.velocityBias),f=0<f?f:0,e=f-d.normalImpulse,g=e*b,c=e*c;a.bodyA.m_linearVelocity.x-=a.bodyA.m_invMass*g;a.bodyA.m_linearVelocity.y-=a.bodyA.m_invMass*c;a.bodyA.m_angularVelocity-=a.bodyA.m_invI*(d.rA.x*c-d.rA.y*g);a.bodyB.m_linearVelocity.x+=a.bodyB.m_invMass*g;a.bodyB.m_linearVelocity.y+=a.bodyB.m_invMass*c;a.bodyB.m_angularVelocity+=a.bodyB.m_invI*(d.rB.x*c-d.rB.y*g);d.normalImpulse=f}else for(var d=a.points[0],f=a.points[1],
e=d.normalImpulse,g=f.normalImpulse,l=(a.bodyB.m_linearVelocity.x-a.bodyB.m_angularVelocity*d.rB.y-a.bodyA.m_linearVelocity.x+a.bodyA.m_angularVelocity*d.rA.y)*b+(a.bodyB.m_linearVelocity.y+a.bodyB.m_angularVelocity*d.rB.x-a.bodyA.m_linearVelocity.y-a.bodyA.m_angularVelocity*d.rA.x)*c-d.velocityBias,c=(a.bodyB.m_linearVelocity.x-a.bodyB.m_angularVelocity*f.rB.y-a.bodyA.m_linearVelocity.x+a.bodyA.m_angularVelocity*f.rA.y)*b+(a.bodyB.m_linearVelocity.y+a.bodyB.m_angularVelocity*f.rB.x-a.bodyA.m_linearVelocity.y-
a.bodyA.m_angularVelocity*f.rA.x)*c-f.velocityBias,l=l-(a.K.col1.x*e+a.K.col2.x*g),c=c-(a.K.col1.y*e+a.K.col2.y*g);;){b=-(a.normalMass.col1.x*l+a.normalMass.col2.x*c);if(0<=b){var k=-(a.normalMass.col1.y*l+a.normalMass.col2.y*c);if(0<=k){this.SolveVelocityConstraints_ConstraintPointUpdate(a,d,f,b-e,k-g);d.normalImpulse=b;f.normalImpulse=k;break}}b=-d.normalMass*l;if(0<=b&&0<=a.K.col1.y*b+c){this.SolveVelocityConstraints_ConstraintPointUpdate(a,d,f,b-e,-g);d.normalImpulse=b;f.normalImpulse=0;break}b=
-f.normalMass*c;if(0<=b&&0<=a.K.col2.x*b+l){this.SolveVelocityConstraints_ConstraintPointUpdate(a,d,f,-e,b-g);d.normalImpulse=0;f.normalImpulse=b;break}if(0<=l&&0<=c){this.SolveVelocityConstraints_ConstraintPointUpdate(a,d,f,-e,-g);d.normalImpulse=0;f.normalImpulse=0;break}break}};Box2D.Dynamics.Contacts.b2ContactSolver.prototype.SolveVelocityConstraints_ConstraintPoint=function(a,b){var c=a.normal.y,d=-a.normal.x,f=a.friction*b.normalImpulse,f=Box2D.Common.Math.b2Math.Clamp(b.tangentImpulse-b.tangentMass*
((a.bodyB.m_linearVelocity.x-a.bodyB.m_angularVelocity*b.rB.y-a.bodyA.m_linearVelocity.x+a.bodyA.m_angularVelocity*b.rA.y)*c+(a.bodyB.m_linearVelocity.y+a.bodyB.m_angularVelocity*b.rB.x-a.bodyA.m_linearVelocity.y-a.bodyA.m_angularVelocity*b.rA.x)*d),-f,f),e=f-b.tangentImpulse,c=e*c,d=e*d;a.bodyA.m_linearVelocity.x-=a.bodyA.m_invMass*c;a.bodyA.m_linearVelocity.y-=a.bodyA.m_invMass*d;a.bodyA.m_angularVelocity-=a.bodyA.m_invI*(b.rA.x*d-b.rA.y*c);a.bodyB.m_linearVelocity.x+=a.bodyB.m_invMass*c;a.bodyB.m_linearVelocity.y+=
a.bodyB.m_invMass*d;a.bodyB.m_angularVelocity+=a.bodyB.m_invI*(b.rB.x*d-b.rB.y*c);b.tangentImpulse=f};Box2D.Dynamics.Contacts.b2ContactSolver.prototype.SolveVelocityConstraints_ConstraintPointUpdate=function(a,b,c,d,f){var e=d*a.normal.x;d*=a.normal.y;var g=f*a.normal.x;f*=a.normal.y;a.bodyA.m_linearVelocity.x-=a.bodyA.m_invMass*(e+g);a.bodyA.m_linearVelocity.y-=a.bodyA.m_invMass*(d+f);a.bodyA.m_angularVelocity-=a.bodyA.m_invI*(b.rA.x*d-b.rA.y*e+c.rA.x*f-c.rA.y*g);a.bodyB.m_linearVelocity.x+=a.bodyB.m_invMass*
(e+g);a.bodyB.m_linearVelocity.y+=a.bodyB.m_invMass*(d+f);a.bodyB.m_angularVelocity+=a.bodyB.m_invI*(b.rB.x*d-b.rB.y*e+c.rB.x*f-c.rB.y*g);b.normalImpulse=0;c.normalImpulse=0};Box2D.Dynamics.Contacts.b2ContactSolver.prototype.FinalizeVelocityConstraints=function(){for(var a=0;a<this.m_constraintCount;++a)for(var b=this.m_constraints[a],c=b.manifold,d=0;d<b.pointCount;++d){var f=c.m_points[d],e=b.points[d];f.m_normalImpulse=e.normalImpulse;f.m_tangentImpulse=e.tangentImpulse}};Box2D.Dynamics.Contacts.b2ContactSolver.prototype.SolvePositionConstraints=
function(a){void 0===a&&(a=0);for(var b=0,c=0;c<this.m_constraintCount;c++){var d=this.m_constraints[c],f=d.bodyA,e=d.bodyB,g=f.m_mass*f.m_invMass,l=f.m_mass*f.m_invI,k=e.m_mass*e.m_invMass,h=e.m_mass*e.m_invI;Box2D.Dynamics.Contacts.b2ContactSolver.s_psm.Initialize(d);for(var m=Box2D.Dynamics.Contacts.b2ContactSolver.s_psm.m_normal,n=0;n<d.pointCount;n++){var r=d.points[n],p=Box2D.Dynamics.Contacts.b2ContactSolver.s_psm.m_points[n],q=Box2D.Dynamics.Contacts.b2ContactSolver.s_psm.m_separations[n],
t=p.x-f.m_sweep.c.x,s=p.y-f.m_sweep.c.y,u=p.x-e.m_sweep.c.x,p=p.y-e.m_sweep.c.y,b=b<q?b:q,q=Box2D.Common.Math.b2Math.Clamp(a*(q+Box2D.Common.b2Settings.b2_linearSlop),-Box2D.Common.b2Settings.b2_maxLinearCorrection,0),q=-r.equalizedMass*q,r=q*m.x,q=q*m.y;f.m_sweep.c.x-=g*r;f.m_sweep.c.y-=g*q;f.m_sweep.a-=l*(t*q-s*r);f.SynchronizeTransform();e.m_sweep.c.x+=k*r;e.m_sweep.c.y+=k*q;e.m_sweep.a+=h*(u*q-p*r);e.SynchronizeTransform()}}return b>-1.5*Box2D.Common.b2Settings.b2_linearSlop};Box2D.Dynamics.Contacts.b2ContactSolver.prototype.SolvePositionConstraints_NEW=
function(a){void 0===a&&(a=0);for(var b=0,c=0;c<this.m_constraintCount;c++){var d=this.m_constraints[c],f=d.bodyA,e=d.bodyB,g=f.m_mass*f.m_invMass,l=f.m_mass*f.m_invI,k=e.m_mass*e.m_invMass,h=e.m_mass*e.m_invI;Box2D.Dynamics.Contacts.b2ContactSolver.s_psm.Initialize(d);for(var m=Box2D.Dynamics.Contacts.b2ContactSolver.s_psm.m_normal,n=0;n<d.pointCount;n++){var r=d.points[n],p=Box2D.Dynamics.Contacts.b2ContactSolver.s_psm.m_points[n],q=Box2D.Dynamics.Contacts.b2ContactSolver.s_psm.m_separations[n],
t=p.x-f.m_sweep.c.x,s=p.y-f.m_sweep.c.y,u=p.x-e.m_sweep.c.x,p=p.y-e.m_sweep.c.y;q<b&&(b=q);0!=a&&Box2D.Common.Math.b2Math.Clamp(a*(q+Box2D.Common.b2Settings.b2_linearSlop),-Box2D.Common.b2Settings.b2_maxLinearCorrection,0);q=0*-r.equalizedMass;r=q*m.x;q*=m.y;f.m_sweep.c.x-=g*r;f.m_sweep.c.y-=g*q;f.m_sweep.a-=l*(t*q-s*r);f.SynchronizeTransform();e.m_sweep.c.x+=k*r;e.m_sweep.c.y+=k*q;e.m_sweep.a+=h*(u*q-p*r);e.SynchronizeTransform()}}return b>-1.5*Box2D.Common.b2Settings.b2_linearSlop};Box2D.Dynamics.Contacts.b2EdgeAndCircleContact=
function(a,b){Box2D.Dynamics.Contacts.b2Contact.call(this,a,b)};c2inherit(Box2D.Dynamics.Contacts.b2EdgeAndCircleContact,Box2D.Dynamics.Contacts.b2Contact);Box2D.Dynamics.Contacts.b2EdgeAndCircleContact.prototype.Reset=function(a,b){Box2D.Dynamics.Contacts.b2Contact.prototype.Reset.call(this,a,b)};Box2D.Dynamics.Contacts.b2EdgeAndCircleContact.prototype.Evaluate=function(){this.m_fixtureA.GetBody();this.m_fixtureB.GetBody();this.b2CollideEdgeAndCircle(this.m_manifold,this.m_fixtureA.GetShape(),this.m_fixtureA.GetBody().m_xf,
this.m_fixtureB.GetShape(),this.m_fixtureB.GetBody().m_xf)};Box2D.Dynamics.Contacts.b2EdgeAndCircleContact.prototype.b2CollideEdgeAndCircle=function(a,b,c,d,f){};Box2D.Dynamics.Contacts.b2PolyAndCircleContact=function(a,b){Box2D.Dynamics.Contacts.b2Contact.call(this,a,b)};c2inherit(Box2D.Dynamics.Contacts.b2PolyAndCircleContact,Box2D.Dynamics.Contacts.b2Contact);Box2D.Dynamics.Contacts.b2PolyAndCircleContact.prototype.Reset=function(a,b){Box2D.Dynamics.Contacts.b2Contact.prototype.Reset.call(this,
a,b)};Box2D.Dynamics.Contacts.b2PolyAndCircleContact.prototype.Evaluate=function(){Box2D.Collision.b2Collision.CollidePolygonAndCircle(this.m_manifold,this.m_fixtureA.GetShape(),this.m_fixtureA.GetBody().m_xf,this.m_fixtureB.GetShape(),this.m_fixtureB.GetBody().m_xf)};Box2D.Dynamics.Contacts.b2PolyAndEdgeContact=function(a,b){Box2D.Dynamics.Contacts.b2Contact.call(this,a,b)};c2inherit(Box2D.Dynamics.Contacts.b2PolyAndEdgeContact,Box2D.Dynamics.Contacts.b2Contact);Box2D.Dynamics.Contacts.b2PolyAndEdgeContact.prototype.Reset=
function(a,b){Box2D.Dynamics.Contacts.b2Contact.prototype.Reset.call(this,a,b)};Box2D.Dynamics.Contacts.b2PolyAndEdgeContact.prototype.Evaluate=function(){this.b2CollidePolyAndEdge(this.m_manifold,this.m_fixtureA.GetShape(),this.m_fixtureA.GetBody().m_xf,this.m_fixtureB.GetShape(),this.m_fixtureB.GetBody().m_xf)};Box2D.Dynamics.Contacts.b2PolyAndEdgeContact.prototype.b2CollidePolyAndEdge=function(a,b,c,d,f){};Box2D.Dynamics.Contacts.b2PolygonContact=function(a,b){Box2D.Dynamics.Contacts.b2Contact.call(this,
a,b)};c2inherit(Box2D.Dynamics.Contacts.b2PolygonContact,Box2D.Dynamics.Contacts.b2Contact);Box2D.Dynamics.Contacts.b2PolygonContact.prototype.Reset=function(a,b){Box2D.Dynamics.Contacts.b2Contact.prototype.Reset.call(this,a,b)};Box2D.Dynamics.Contacts.b2PolygonContact.prototype.Evaluate=function(){Box2D.Collision.b2Collision.CollidePolygons(this.m_manifold,this.m_fixtureA.GetShape(),this.m_fixtureA.GetBody().m_xf,this.m_fixtureB.GetShape(),this.m_fixtureB.GetBody().m_xf)};Box2D.Dynamics.Controllers.b2Controller=
function(){this.ID="Controller"+Box2D.Dynamics.Controllers.b2Controller.NEXT_ID++;this.m_world=null;this.bodyList=new Box2D.Dynamics.b2BodyList};Box2D.Dynamics.Controllers.b2Controller.prototype.Step=function(a){};Box2D.Dynamics.Controllers.b2Controller.prototype.AddBody=function(a){this.bodyList.AddBody(a);a.AddController(this)};Box2D.Dynamics.Controllers.b2Controller.prototype.RemoveBody=function(a){this.bodyList.RemoveBody(a);a.RemoveController(this)};Box2D.Dynamics.Controllers.b2Controller.prototype.Clear=
function(){for(var a=this.bodyList.GetFirstNode(Box2D.Dynamics.b2BodyList.TYPES.allBodies);a;a=a.GetNextNode())this.RemoveBody(a.body)};Box2D.Dynamics.Controllers.b2Controller.prototype.GetBodyList=function(){return this.bodyList};Box2D.Dynamics.Controllers.b2Controller.NEXT_ID=0;Box2D.Dynamics.Controllers.b2BuoyancyController=function(){Box2D.Dynamics.Controllers.b2Controller.call(this);this.normal=Box2D.Common.Math.b2Vec2.Get(0,-1);this.density=this.offset=0;this.velocity=Box2D.Common.Math.b2Vec2.Get(0,
0);this.linearDrag=2;this.angularDrag=1;this.useDensity=!1;this.useWorldGravity=!0;this.gravity=null};c2inherit(Box2D.Dynamics.Controllers.b2BuoyancyController,Box2D.Dynamics.Controllers.b2Controller);Box2D.Dynamics.Controllers.b2BuoyancyController.prototype.Step=function(a){this.useWorldGravity&&(this.gravity=this.m_world.GetGravity().Copy());for(a=this.bodyList.GetFirstNode(Box2D.Dynamics.b2BodyList.TYPES.awakeBodies);a;a=a.GetNextNode()){for(var b=a.body,c=Box2D.Common.Math.b2Vec2.Get(0,0),d=Box2D.Common.Math.b2Vec2.Get(0,
0),f=0,e=0,g=b.GetFixtureList().GetFirstNode();g;g=g.GetNextNode()){var l=Box2D.Common.Math.b2Vec2.Get(0,0),k=g.fixture.GetShape().ComputeSubmergedArea(this.normal,this.offset,b.GetTransform(),l),f=f+k;c.x+=k*l.x;c.y+=k*l.y;var h=0,h=1,e=e+k*h;d.x+=k*l.x*h;d.y+=k*l.y*h}f<Number.MIN_VALUE||(c.x/=f,c.y/=f,d.x/=e,d.y/=e,e=this.gravity.GetNegative(),e.Multiply(this.density*f),b.ApplyForce(e,d),e=b.GetLinearVelocityFromWorldPoint(c),e.Subtract(this.velocity),e.Multiply(-this.linearDrag*f),b.ApplyForce(e,
c),b.ApplyTorque(-b.GetInertia()/b.GetMass()*f*b.GetAngularVelocity()*this.angularDrag),Box2D.Common.Math.b2Vec2.Free(c),Box2D.Common.Math.b2Vec2.Free(d))}};Box2D.Dynamics.Controllers.b2ConstantAccelController=function(){Box2D.Dynamics.Controllers.b2Controller.call(this);this.A=Box2D.Common.Math.b2Vec2.Get(0,0)};c2inherit(Box2D.Dynamics.Controllers.b2ConstantAccelController,Box2D.Dynamics.Controllers.b2Controller);Box2D.Dynamics.Controllers.b2ConstantAccelController.prototype.Step=function(a){a=Box2D.Common.Math.b2Vec2.Get(this.A.x*
a.dt,this.A.y*a.dt);for(var b=this.bodyList.GetFirstNode(Box2D.Dynamics.b2BodyList.TYPES.awakeBodies);b;b=b.GetNextNode()){var c=b.body,d=c.GetLinearVelocity();c.SetLinearVelocity(Box2D.Common.Math.b2Vec2.Get(d.x+a.x,d.y+a.y))}Box2D.Common.Math.b2Vec2.Free(a)};Box2D.Dynamics.Controllers.b2ConstantForceController=function(){Box2D.Dynamics.Controllers.b2Controller.call(this);this.F=Box2D.Common.Math.b2Vec2.Get(0,0)};c2inherit(Box2D.Dynamics.Controllers.b2ConstantForceController,Box2D.Dynamics.Controllers.b2Controller);
Box2D.Dynamics.Controllers.b2ConstantForceController.prototype.Step=function(a){for(a=this.bodyList.GetFirstNode(Box2D.Dynamics.b2BodyList.TYPES.awakeBodies);a;a=a.GetNextNode()){var b=a.body;b.ApplyForce(this.F,b.GetWorldCenter())}};Box2D.Dynamics.Controllers.b2ControllerList=function(){this.controllerLastNode=this.controllerFirstNode=null;this.controllerNodeLookup={};this.controllerCount=0};Box2D.Dynamics.Controllers.b2ControllerList.prototype.GetFirstNode=function(){return this.controllerFirstNode};
Box2D.Dynamics.Controllers.b2ControllerList.prototype.AddController=function(a){var b=a.ID;if(null==this.controllerNodeLookup[b]){a=new Box2D.Dynamics.Controllers.b2ControllerListNode(a);var c=this.controllerLastNode;null!=c?c.SetNextNode(a):this.controllerFirstNode=a;a.SetPreviousNode(c);this.controllerLastNode=a;this.controllerNodeLookup[b]=a;this.controllerCount++}};Box2D.Dynamics.Controllers.b2ControllerList.prototype.RemoveController=function(a){a=a.ID;var b=this.controllerNodeLookup[a];if(null!=
b){var c=b.GetPreviousNode(),b=b.GetNextNode();null==c?this.controllerFirstNode=b:c.SetNextNode(b);null==b?this.controllerLastNode=c:b.SetPreviousNode(c);delete this.controllerNodeLookup[a];this.controllerCount--}};Box2D.Dynamics.Controllers.b2ControllerList.prototype.GetControllerCount=function(){return this.controllerCount};Box2D.Dynamics.Controllers.b2ControllerListNode=function(a){this.controller=a;this.previous=this.next=null};Box2D.Dynamics.Controllers.b2ControllerListNode.prototype.SetNextNode=
function(a){this.next=a};Box2D.Dynamics.Controllers.b2ControllerListNode.prototype.SetPreviousNode=function(a){this.previous=a};Box2D.Dynamics.Controllers.b2ControllerListNode.prototype.GetNextNode=function(){return this.next};Box2D.Dynamics.Controllers.b2ControllerListNode.prototype.GetPreviousNode=function(){return this.previous};Box2D.Dynamics.Controllers.b2GravityController=function(){Box2D.Dynamics.Controllers.b2Controller.call(this);this.G=1;this.invSqr=!0};c2inherit(Box2D.Dynamics.Controllers.b2GravityController,
Box2D.Dynamics.Controllers.b2Controller);Box2D.Dynamics.Controllers.b2GravityController.prototype.Step=function(a){var b=a=null,c=0,d=null,f=null,e=0,g=0,l=0,e=null;if(this.invSqr)for(var k=this.bodyList.GetFirstNode(Box2D.Dynamics.b2BodyList.TYPES.allBodies);k;k=k.GetNextNode()){a=k.body;for(var b=a.GetWorldCenter(),c=a.GetMass(),h=this.bodyList.GetFirstNode(Box2D.Dynamics.b2BodyList.TYPES.allBodies);h;h=h.GetNextNode())if(d=h.body,a.IsAwake()||d.IsAwake())f=d.GetWorldCenter(),e=f.x-b.x,g=f.y-b.y,
l=e*e+g*g,l<Number.MIN_VALUE||(e=Box2D.Common.Math.b2Vec2.Get(e,g),e.Multiply(this.G/l/Math.sqrt(l)*c*d.GetMass()),a.IsAwake()&&a.ApplyForce(e,b),e.Multiply(-1),d.IsAwake()&&d.ApplyForce(e,f),Box2D.Common.Math.b2Vec2.Free(e))}else for(k=this.bodyList.GetFirstNode(Box2D.Dynamics.b2BodyList.TYPES.allBodies);k;k=k.GetNextNode())for(a=bodyNode.body,b=a.GetWorldCenter(),c=a.GetMass(),h=this.bodyList.GetFirstNode(Box2D.Dynamics.b2BodyList.TYPES.allBodies);h;h=h.GetNextNode())if(d=bodyNode.body,a.IsAwake()||
d.IsAwake())f=d.GetWorldCenter(),e=f.x-b.x,g=f.y-b.y,l=e*e+g*g,l<Number.MIN_VALUE||(e=Box2D.Common.Math.b2Vec2.Get(e,g),e.Multiply(this.G/l*c*d.GetMass()),a.IsAwake()&&a.ApplyForce(e,b),e.Multiply(-1),d.IsAwake()&&d.ApplyForce(e,f),Box2D.Common.Math.b2Vec2.Free(e))};Box2D.Dynamics.Controllers.b2TensorDampingController=function(){Box2D.Dynamics.Controllers.b2Controller.call(this);this.T=new Box2D.Common.Math.b2Mat22;this.maxTimestep=0};c2inherit(Box2D.Dynamics.Controllers.b2TensorDampingController,
Box2D.Dynamics.Controllers.b2Controller);Box2D.Dynamics.Controllers.b2TensorDampingController.prototype.SetAxisAligned=function(a,b){this.T.col1.x=-a;this.T.col1.y=0;this.T.col2.x=0;this.T.col2.y=-b;this.maxTimestep=0<a||0<b?1/Math.max(a,b):0};Box2D.Dynamics.Controllers.b2TensorDampingController.prototype.Step=function(a){a=a.dt;if(!(a<=Number.MIN_VALUE)){a>this.maxTimestep&&0<this.maxTimestep&&(a=this.maxTimestep);for(var b=this.bodyList.GetFirstNode(Box2D.Dynamics.b2BodyList.TYPES.awakeBodies);b;b=
b.GetNextNode()){var c=b.body,d=c.GetWorldVector(Box2D.Common.Math.b2Math.MulMV(this.T,c.GetLocalVector(c.GetLinearVelocity())));c.SetLinearVelocity(Box2D.Common.Math.b2Vec2.Get(c.GetLinearVelocity().x+d.x*a,c.GetLinearVelocity().y+d.y*a))}}};Box2D.Dynamics.Joints.b2Joint=function(a){this.m_edgeA=new Box2D.Dynamics.Joints.b2JointEdge;this.m_edgeB=new Box2D.Dynamics.Joints.b2JointEdge;this.m_localCenterA=Box2D.Common.Math.b2Vec2.Get(0,0);this.m_localCenterB=Box2D.Common.Math.b2Vec2.Get(0,0);this.m_type=
a.type;this.m_next=this.m_prev=null;this.m_bodyA=a.bodyA;this.m_bodyB=a.bodyB;this.m_collideConnected=a.collideConnected};Box2D.Dynamics.Joints.b2Joint.prototype.GetType=function(){return this.m_type};Box2D.Dynamics.Joints.b2Joint.prototype.GetAnchorA=function(){return null};Box2D.Dynamics.Joints.b2Joint.prototype.GetAnchorB=function(){return null};Box2D.Dynamics.Joints.b2Joint.prototype.GetReactionForce=function(a){return null};Box2D.Dynamics.Joints.b2Joint.prototype.GetReactionTorque=function(a){return 0};
Box2D.Dynamics.Joints.b2Joint.prototype.GetBodyA=function(){return this.m_bodyA};Box2D.Dynamics.Joints.b2Joint.prototype.GetBodyB=function(){return this.m_bodyB};Box2D.Dynamics.Joints.b2Joint.prototype.GetNext=function(){return this.m_next};Box2D.Dynamics.Joints.b2Joint.prototype.IsActive=function(){return this.m_bodyA.IsActive()&&this.m_bodyB.IsActive()};Box2D.Dynamics.Joints.b2Joint.Create=function(a){return a.Create()};Box2D.Dynamics.Joints.b2Joint.prototype.InitVelocityConstraints=function(a){};
Box2D.Dynamics.Joints.b2Joint.prototype.SolveVelocityConstraints=function(a){};Box2D.Dynamics.Joints.b2Joint.prototype.FinalizeVelocityConstraints=function(){};Box2D.Dynamics.Joints.b2Joint.prototype.SolvePositionConstraints=function(a){return!1};Box2D.Dynamics.Joints.b2Joint.e_unknownJoint=0;Box2D.Dynamics.Joints.b2Joint.e_revoluteJoint=1;Box2D.Dynamics.Joints.b2Joint.e_prismaticJoint=2;Box2D.Dynamics.Joints.b2Joint.e_distanceJoint=3;Box2D.Dynamics.Joints.b2Joint.e_pulleyJoint=4;Box2D.Dynamics.Joints.b2Joint.e_mouseJoint=
5;Box2D.Dynamics.Joints.b2Joint.e_gearJoint=6;Box2D.Dynamics.Joints.b2Joint.e_lineJoint=7;Box2D.Dynamics.Joints.b2Joint.e_weldJoint=8;Box2D.Dynamics.Joints.b2Joint.e_frictionJoint=9;Box2D.Dynamics.Joints.b2Joint.e_inactiveLimit=0;Box2D.Dynamics.Joints.b2Joint.e_atLowerLimit=1;Box2D.Dynamics.Joints.b2Joint.e_atUpperLimit=2;Box2D.Dynamics.Joints.b2Joint.e_equalLimits=3;Box2D.Dynamics.Joints.b2JointDef=function(){this.type=Box2D.Dynamics.Joints.b2Joint.e_unknownJoint;this.bodyB=this.bodyA=null;this.collideConnected=
!1};Box2D.Dynamics.Joints.b2JointEdge=function(){};Box2D.Dynamics.Joints.b2DistanceJoint=function(a){Box2D.Dynamics.Joints.b2Joint.call(this,a);this.m_localAnchor1=Box2D.Common.Math.b2Vec2.Get(0,0);this.m_localAnchor2=Box2D.Common.Math.b2Vec2.Get(0,0);this.m_u=Box2D.Common.Math.b2Vec2.Get(0,0);this.m_localAnchor1.SetV(a.localAnchorA);this.m_localAnchor2.SetV(a.localAnchorB);this.m_length=a.length;this.m_frequencyHz=a.frequencyHz;this.m_dampingRatio=a.dampingRatio;this.m_bias=this.m_gamma=this.m_impulse=
0};c2inherit(Box2D.Dynamics.Joints.b2DistanceJoint,Box2D.Dynamics.Joints.b2Joint);Box2D.Dynamics.Joints.b2DistanceJoint.prototype.GetAnchorA=function(){return this.m_bodyA.GetWorldPoint(this.m_localAnchor1)};Box2D.Dynamics.Joints.b2DistanceJoint.prototype.GetAnchorB=function(){return this.m_bodyB.GetWorldPoint(this.m_localAnchor2)};Box2D.Dynamics.Joints.b2DistanceJoint.prototype.GetReactionForce=function(a){return Box2D.Common.Math.b2Vec2.Get(a*this.m_impulse*this.m_u.x,a*this.m_impulse*this.m_u.y)};
Box2D.Dynamics.Joints.b2DistanceJoint.prototype.GetReactionTorque=function(a){return 0};Box2D.Dynamics.Joints.b2DistanceJoint.prototype.GetLength=function(){return this.m_length};Box2D.Dynamics.Joints.b2DistanceJoint.prototype.SetLength=function(a){this.m_length=a};Box2D.Dynamics.Joints.b2DistanceJoint.prototype.GetFrequency=function(){return this.m_frequencyHz};Box2D.Dynamics.Joints.b2DistanceJoint.prototype.SetFrequency=function(a){this.m_frequencyHz=a};Box2D.Dynamics.Joints.b2DistanceJoint.prototype.GetDampingRatio=
function(){return this.m_dampingRatio};Box2D.Dynamics.Joints.b2DistanceJoint.prototype.SetDampingRatio=function(a){this.m_dampingRatio=a};Box2D.Dynamics.Joints.b2DistanceJoint.prototype.InitVelocityConstraints=function(a){var b,c=0,d=this.m_bodyA,f=this.m_bodyB;b=d.m_xf.R;var e=this.m_localAnchor1.x-d.m_sweep.localCenter.x,g=this.m_localAnchor1.y-d.m_sweep.localCenter.y,c=b.col1.x*e+b.col2.x*g,g=b.col1.y*e+b.col2.y*g,e=c;b=f.m_xf.R;var l=this.m_localAnchor2.x-f.m_sweep.localCenter.x,k=this.m_localAnchor2.y-
f.m_sweep.localCenter.y,c=b.col1.x*l+b.col2.x*k,k=b.col1.y*l+b.col2.y*k,l=c;this.m_u.x=f.m_sweep.c.x+l-d.m_sweep.c.x-e;this.m_u.y=f.m_sweep.c.y+k-d.m_sweep.c.y-g;c=Math.sqrt(this.m_u.x*this.m_u.x+this.m_u.y*this.m_u.y);c>Box2D.Common.b2Settings.b2_linearSlop?this.m_u.Multiply(1/c):this.m_u.SetZero();b=e*this.m_u.y-g*this.m_u.x;var h=l*this.m_u.y-k*this.m_u.x;b=d.m_invMass+d.m_invI*b*b+f.m_invMass+f.m_invI*h*h;this.m_mass=0!=b?1/b:0;if(0<this.m_frequencyHz){var c=c-this.m_length,h=2*Math.PI*this.m_frequencyHz,
m=this.m_mass*h*h;this.m_gamma=a.dt*(2*this.m_mass*this.m_dampingRatio*h+a.dt*m);this.m_gamma=0!=this.m_gamma?1/this.m_gamma:0;this.m_bias=c*a.dt*m*this.m_gamma;this.m_mass=b+this.m_gamma;this.m_mass=0!=this.m_mass?1/this.m_mass:0}a.warmStarting?(this.m_impulse*=a.dtRatio,a=this.m_impulse*this.m_u.x,b=this.m_impulse*this.m_u.y,d.m_linearVelocity.x-=d.m_invMass*a,d.m_linearVelocity.y-=d.m_invMass*b,d.m_angularVelocity-=d.m_invI*(e*b-g*a),f.m_linearVelocity.x+=f.m_invMass*a,f.m_linearVelocity.y+=f.m_invMass*
b,f.m_angularVelocity+=f.m_invI*(l*b-k*a)):this.m_impulse=0};Box2D.Dynamics.Joints.b2DistanceJoint.prototype.SolveVelocityConstraints=function(a){a=this.m_localAnchor1.x-this.m_bodyA.m_sweep.localCenter.x;var b=this.m_localAnchor1.y-this.m_bodyA.m_sweep.localCenter.y,c=this.m_bodyA.m_xf.R.col1.x*a+this.m_bodyA.m_xf.R.col2.x*b,b=this.m_bodyA.m_xf.R.col1.y*a+this.m_bodyA.m_xf.R.col2.y*b;a=c;var d=this.m_localAnchor2.x-this.m_bodyB.m_sweep.localCenter.x,f=this.m_localAnchor2.y-this.m_bodyB.m_sweep.localCenter.y,
c=this.m_bodyB.m_xf.R.col1.x*d+this.m_bodyB.m_xf.R.col2.x*f,f=this.m_bodyB.m_xf.R.col1.y*d+this.m_bodyB.m_xf.R.col2.y*f,d=c,e=-this.m_mass*(this.m_u.x*(this.m_bodyB.m_linearVelocity.x-this.m_bodyB.m_angularVelocity*f-(this.m_bodyA.m_linearVelocity.x-this.m_bodyA.m_angularVelocity*b))+this.m_u.y*(this.m_bodyB.m_linearVelocity.y+this.m_bodyB.m_angularVelocity*d-(this.m_bodyA.m_linearVelocity.y+this.m_bodyA.m_angularVelocity*a))+this.m_bias+this.m_gamma*this.m_impulse);this.m_impulse+=e;c=e*this.m_u.x;
e*=this.m_u.y;this.m_bodyA.m_linearVelocity.x-=this.m_bodyA.m_invMass*c;this.m_bodyA.m_linearVelocity.y-=this.m_bodyA.m_invMass*e;this.m_bodyA.m_angularVelocity-=this.m_bodyA.m_invI*(a*e-b*c);this.m_bodyB.m_linearVelocity.x+=this.m_bodyB.m_invMass*c;this.m_bodyB.m_linearVelocity.y+=this.m_bodyB.m_invMass*e;this.m_bodyB.m_angularVelocity+=this.m_bodyB.m_invI*(d*e-f*c)};Box2D.Dynamics.Joints.b2DistanceJoint.prototype.SolvePositionConstraints=function(a){if(0<this.m_frequencyHz)return!0;a=this.m_localAnchor1.x-
this.m_bodyA.m_sweep.localCenter.x;var b=this.m_localAnchor1.y-this.m_bodyA.m_sweep.localCenter.y,c=this.m_bodyA.m_xf.R.col1.x*a+this.m_bodyA.m_xf.R.col2.x*b,b=this.m_bodyA.m_xf.R.col1.y*a+this.m_bodyA.m_xf.R.col2.y*b;a=c;var d=this.m_localAnchor2.x-this.m_bodyB.m_sweep.localCenter.x,f=this.m_localAnchor2.y-this.m_bodyB.m_sweep.localCenter.y,c=this.m_bodyB.m_xf.R.col1.x*d+this.m_bodyB.m_xf.R.col2.x*f,f=this.m_bodyB.m_xf.R.col1.y*d+this.m_bodyB.m_xf.R.col2.y*f,d=c,e=this.m_bodyB.m_sweep.c.x+d-this.m_bodyA.m_sweep.c.x-
a,g=this.m_bodyB.m_sweep.c.y+f-this.m_bodyA.m_sweep.c.y-b,c=Math.sqrt(e*e+g*g),e=e/c,g=g/c,c=Box2D.Common.Math.b2Math.Clamp(c-this.m_length,-Box2D.Common.b2Settings.b2_maxLinearCorrection,Box2D.Common.b2Settings.b2_maxLinearCorrection),l=-this.m_mass*c;this.m_u.Set(e,g);e=l*this.m_u.x;g=l*this.m_u.y;this.m_bodyA.m_sweep.c.x-=this.m_bodyA.m_invMass*e;this.m_bodyA.m_sweep.c.y-=this.m_bodyA.m_invMass*g;this.m_bodyA.m_sweep.a-=this.m_bodyA.m_invI*(a*g-b*e);this.m_bodyB.m_sweep.c.x+=this.m_bodyB.m_invMass*
e;this.m_bodyB.m_sweep.c.y+=this.m_bodyB.m_invMass*g;this.m_bodyB.m_sweep.a+=this.m_bodyB.m_invI*(d*g-f*e);this.m_bodyA.SynchronizeTransform();this.m_bodyB.SynchronizeTransform();return Math.abs(c)<Box2D.Common.b2Settings.b2_linearSlop};Box2D.Dynamics.Joints.b2DistanceJointDef=function(){Box2D.Dynamics.Joints.b2JointDef.call(this);this.localAnchorA=Box2D.Common.Math.b2Vec2.Get(0,0);this.localAnchorB=Box2D.Common.Math.b2Vec2.Get(0,0);this.type=Box2D.Dynamics.Joints.b2Joint.e_distanceJoint;this.length=
1;this.dampingRatio=this.frequencyHz=0};c2inherit(Box2D.Dynamics.Joints.b2DistanceJointDef,Box2D.Dynamics.Joints.b2JointDef);Box2D.Dynamics.Joints.b2DistanceJointDef.prototype.Initialize=function(a,b,c,d){this.bodyA=a;this.bodyB=b;this.localAnchorA.SetV(this.bodyA.GetLocalPoint(c));this.localAnchorB.SetV(this.bodyB.GetLocalPoint(d));a=d.x-c.x;c=d.y-c.y;this.length=Math.sqrt(a*a+c*c);this.dampingRatio=this.frequencyHz=0};Box2D.Dynamics.Joints.b2DistanceJointDef.prototype.Create=function(){return new Box2D.Dynamics.Joints.b2DistanceJoint(this)};
Box2D.Dynamics.Joints.b2FrictionJoint=function(a){Box2D.Dynamics.Joints.b2Joint.call(this,a);this.m_localAnchorA=Box2D.Common.Math.b2Vec2.Get(0,0);this.m_localAnchorB=Box2D.Common.Math.b2Vec2.Get(0,0);this.m_linearMass=new Box2D.Common.Math.b2Mat22;this.m_linearImpulse=Box2D.Common.Math.b2Vec2.Get(0,0);this.m_localAnchorA.SetV(a.localAnchorA);this.m_localAnchorB.SetV(a.localAnchorB);this.m_linearMass.SetZero();this.m_angularMass=0;this.m_linearImpulse.SetZero();this.m_angularImpulse=0;this.m_maxForce=
a.maxForce;this.m_maxTorque=a.maxTorque};c2inherit(Box2D.Dynamics.Joints.b2FrictionJoint,Box2D.Dynamics.Joints.b2Joint);Box2D.Dynamics.Joints.b2FrictionJoint.prototype.GetAnchorA=function(){return this.m_bodyA.GetWorldPoint(this.m_localAnchorA)};Box2D.Dynamics.Joints.b2FrictionJoint.prototype.GetAnchorB=function(){return this.m_bodyB.GetWorldPoint(this.m_localAnchorB)};Box2D.Dynamics.Joints.b2FrictionJoint.prototype.GetReactionForce=function(a){void 0===a&&(a=0);return new b2Vec2(a*this.m_linearImpulse.x,
a*this.m_linearImpulse.y)};Box2D.Dynamics.Joints.b2FrictionJoint.prototype.GetReactionTorque=function(a){void 0===a&&(a=0);return a*this.m_angularImpulse};Box2D.Dynamics.Joints.b2FrictionJoint.prototype.SetMaxForce=function(a){void 0===a&&(a=0);this.m_maxForce=a};Box2D.Dynamics.Joints.b2FrictionJoint.prototype.GetMaxForce=function(){return this.m_maxForce};Box2D.Dynamics.Joints.b2FrictionJoint.prototype.SetMaxTorque=function(a){void 0===a&&(a=0);this.m_maxTorque=a};Box2D.Dynamics.Joints.b2FrictionJoint.prototype.GetMaxTorque=
function(){return this.m_maxTorque};Box2D.Dynamics.Joints.b2FrictionJoint.prototype.InitVelocityConstraints=function(a){var b,c=0,d=this.m_bodyA,f=this.m_bodyB;b=d.m_xf.R;var e=this.m_localAnchorA.x-d.m_sweep.localCenter.x,g=this.m_localAnchorA.y-d.m_sweep.localCenter.y,c=b.col1.x*e+b.col2.x*g,g=b.col1.y*e+b.col2.y*g,e=c;b=f.m_xf.R;var l=this.m_localAnchorB.x-f.m_sweep.localCenter.x,k=this.m_localAnchorB.y-f.m_sweep.localCenter.y,c=b.col1.x*l+b.col2.x*k,k=b.col1.y*l+b.col2.y*k,l=c;b=d.m_invMass;var c=
f.m_invMass,h=d.m_invI,m=f.m_invI,n=new Box2D.Common.Math.b2Mat22;n.col1.x=b+c;n.col2.x=0;n.col1.y=0;n.col2.y=b+c;n.col1.x+=h*g*g;n.col2.x+=-h*e*g;n.col1.y+=-h*e*g;n.col2.y+=h*e*e;n.col1.x+=m*k*k;n.col2.x+=-m*l*k;n.col1.y+=-m*l*k;n.col2.y+=m*l*l;n.GetInverse(this.m_linearMass);this.m_angularMass=h+m;0<this.m_angularMass&&(this.m_angularMass=1/this.m_angularMass);a.warmStarting?(this.m_linearImpulse.x*=a.dtRatio,this.m_linearImpulse.y*=a.dtRatio,this.m_angularImpulse*=a.dtRatio,a=this.m_linearImpulse,
d.m_linearVelocity.x-=b*a.x,d.m_linearVelocity.y-=b*a.y,d.m_angularVelocity-=h*(e*a.y-g*a.x+this.m_angularImpulse),f.m_linearVelocity.x+=c*a.x,f.m_linearVelocity.y+=c*a.y,f.m_angularVelocity+=m*(l*a.y-k*a.x+this.m_angularImpulse)):(this.m_linearImpulse.SetZero(),this.m_angularImpulse=0)};Box2D.Dynamics.Joints.b2FrictionJoint.prototype.SolveVelocityConstraints=function(a){var b,c=0,d=this.m_bodyA,f=this.m_bodyB,e=d.m_linearVelocity,g=d.m_angularVelocity,l=f.m_linearVelocity,k=f.m_angularVelocity,h=
d.m_invMass,m=f.m_invMass,n=d.m_invI,r=f.m_invI;b=d.m_xf.R;var p=this.m_localAnchorA.x-d.m_sweep.localCenter.x,q=this.m_localAnchorA.y-d.m_sweep.localCenter.y,c=b.col1.x*p+b.col2.x*q,q=b.col1.y*p+b.col2.y*q,p=c;b=f.m_xf.R;var t=this.m_localAnchorB.x-f.m_sweep.localCenter.x,s=this.m_localAnchorB.y-f.m_sweep.localCenter.y,c=b.col1.x*t+b.col2.x*s,s=b.col1.y*t+b.col2.y*s,t=c;b=0;var c=-this.m_angularMass*(k-g),u=this.m_angularImpulse;b=a.dt*this.m_maxTorque;this.m_angularImpulse=Box2D.Common.Math.b2Math.Clamp(this.m_angularImpulse+
c,-b,b);c=this.m_angularImpulse-u;g-=n*c;k+=r*c;b=Box2D.Common.Math.b2Math.MulMV(this.m_linearMass,Box2D.Common.Math.b2Vec2.Get(-(l.x-k*s-e.x+g*q),-(l.y+k*t-e.y-g*p)));c=this.m_linearImpulse.Copy();this.m_linearImpulse.Add(b);b=a.dt*this.m_maxForce;this.m_linearImpulse.LengthSquared()>b*b&&(this.m_linearImpulse.Normalize(),this.m_linearImpulse.Multiply(b));b=Box2D.Common.Math.b2Math.SubtractVV(this.m_linearImpulse,c);e.x-=h*b.x;e.y-=h*b.y;g-=n*(p*b.y-q*b.x);l.x+=m*b.x;l.y+=m*b.y;k+=r*(t*b.y-s*b.x);
d.m_angularVelocity=g;f.m_angularVelocity=k};Box2D.Dynamics.Joints.b2FrictionJoint.prototype.SolvePositionConstraints=function(a){return!0};Box2D.Dynamics.Joints.b2FrictionJointDef=function(){Box2D.Dynamics.Joints.b2JointDef.call(this);this.localAnchorA=Box2D.Common.Math.b2Vec2.Get(0,0);this.localAnchorB=Box2D.Common.Math.b2Vec2.Get(0,0);this.type=Box2D.Dynamics.Joints.b2Joint.e_frictionJoint;this.maxTorque=this.maxForce=0};c2inherit(Box2D.Dynamics.Joints.b2FrictionJointDef,Box2D.Dynamics.Joints.b2JointDef);
Box2D.Dynamics.Joints.b2FrictionJointDef.prototype.Initialize=function(a,b,c){this.bodyA=a;this.bodyB=b;this.localAnchorA.SetV(this.bodyA.GetLocalPoint(c));this.localAnchorB.SetV(this.bodyB.GetLocalPoint(c))};Box2D.Dynamics.Joints.b2FrictionJointDef.prototype.Create=function(){return new Box2D.Dynamics.Joints.b2FrictionJoint(this)};Box2D.Dynamics.Joints.b2GearJoint=function(a){Box2D.Dynamics.Joints.b2Joint.call(this,a);this.m_groundAnchor1=Box2D.Common.Math.b2Vec2.Get(0,0);this.m_groundAnchor2=Box2D.Common.Math.b2Vec2.Get(0,
0);this.m_localAnchor1=Box2D.Common.Math.b2Vec2.Get(0,0);this.m_localAnchor2=Box2D.Common.Math.b2Vec2.Get(0,0);this.m_J=new Box2D.Dynamics.Joints.b2Jacobian;var b=a.joint1.m_type,c=a.joint2.m_type;this.m_prismatic2=this.m_revolute2=this.m_prismatic1=this.m_revolute1=null;var d=0,f=0;this.m_ground1=a.joint1.GetBodyA();this.m_bodyA=a.joint1.GetBodyB();b==Box2D.Dynamics.Joints.b2Joint.e_revoluteJoint?(this.m_revolute1=a.joint1,this.m_groundAnchor1.SetV(this.m_revolute1.m_localAnchor1),this.m_localAnchor1.SetV(this.m_revolute1.m_localAnchor2),
d=this.m_revolute1.GetJointAngle()):(this.m_prismatic1=a.joint1,this.m_groundAnchor1.SetV(this.m_prismatic1.m_localAnchor1),this.m_localAnchor1.SetV(this.m_prismatic1.m_localAnchor2),d=this.m_prismatic1.GetJointTranslation());this.m_ground2=a.joint2.GetBodyA();this.m_bodyB=a.joint2.GetBodyB();c==Box2D.Dynamics.Joints.b2Joint.e_revoluteJoint?(this.m_revolute2=a.joint2,this.m_groundAnchor2.SetV(this.m_revolute2.m_localAnchor1),this.m_localAnchor2.SetV(this.m_revolute2.m_localAnchor2),f=this.m_revolute2.GetJointAngle()):
(this.m_prismatic2=a.joint2,this.m_groundAnchor2.SetV(this.m_prismatic2.m_localAnchor1),this.m_localAnchor2.SetV(this.m_prismatic2.m_localAnchor2),f=this.m_prismatic2.GetJointTranslation());this.m_ratio=a.ratio;this.m_constant=d+this.m_ratio*f;this.m_impulse=0};c2inherit(Box2D.Dynamics.Joints.b2GearJoint,Box2D.Dynamics.Joints.b2Joint);Box2D.Dynamics.Joints.b2GearJoint.prototype.GetAnchorA=function(){return this.m_bodyA.GetWorldPoint(this.m_localAnchor1)};Box2D.Dynamics.Joints.b2GearJoint.prototype.GetAnchorB=
function(){return this.m_bodyB.GetWorldPoint(this.m_localAnchor2)};Box2D.Dynamics.Joints.b2GearJoint.prototype.GetReactionForce=function(a){void 0===a&&(a=0);return Box2D.Common.Math.b2Vec2.Get(a*this.m_impulse*this.m_J.linearB.x,a*this.m_impulse*this.m_J.linearB.y)};Box2D.Dynamics.Joints.b2GearJoint.prototype.GetReactionTorque=function(a){void 0===a&&(a=0);var b=this.m_bodyB.m_xf.R,c=this.m_localAnchor1.x-this.m_bodyB.m_sweep.localCenter.x,d=this.m_localAnchor1.y-this.m_bodyB.m_sweep.localCenter.y,
f=b.col1.x*c+b.col2.x*d,d=b.col1.y*c+b.col2.y*d;return a*(this.m_impulse*this.m_J.angularB-f*this.m_impulse*this.m_J.linearB.y+d*this.m_impulse*this.m_J.linearB.x)};Box2D.Dynamics.Joints.b2GearJoint.prototype.GetRatio=function(){return this.m_ratio};Box2D.Dynamics.Joints.b2GearJoint.prototype.SetRatio=function(a){void 0===a&&(a=0);this.m_ratio=a};Box2D.Dynamics.Joints.b2GearJoint.prototype.InitVelocityConstraints=function(a){var b=this.m_ground1,c=this.m_ground2,d=this.m_bodyA,f=this.m_bodyB,e=0,
g=0,l=0,k=0,h=l=0,m=0;this.m_J.SetZero();this.m_revolute1?(this.m_J.angularA=-1,m+=d.m_invI):(b=b.m_xf.R,g=this.m_prismatic1.m_localXAxis1,e=b.col1.x*g.x+b.col2.x*g.y,g=b.col1.y*g.x+b.col2.y*g.y,b=d.m_xf.R,l=this.m_localAnchor1.x-d.m_sweep.localCenter.x,k=this.m_localAnchor1.y-d.m_sweep.localCenter.y,h=b.col1.x*l+b.col2.x*k,k=b.col1.y*l+b.col2.y*k,l=h*g-k*e,this.m_J.linearA.Set(-e,-g),this.m_J.angularA=-l,m+=d.m_invMass+d.m_invI*l*l);this.m_revolute2?(this.m_J.angularB=-this.m_ratio,m+=this.m_ratio*
this.m_ratio*f.m_invI):(b=c.m_xf.R,g=this.m_prismatic2.m_localXAxis1,e=b.col1.x*g.x+b.col2.x*g.y,g=b.col1.y*g.x+b.col2.y*g.y,b=f.m_xf.R,l=this.m_localAnchor2.x-f.m_sweep.localCenter.x,k=this.m_localAnchor2.y-f.m_sweep.localCenter.y,h=b.col1.x*l+b.col2.x*k,k=b.col1.y*l+b.col2.y*k,l=h*g-k*e,this.m_J.linearB.Set(-this.m_ratio*e,-this.m_ratio*g),this.m_J.angularB=-this.m_ratio*l,m+=this.m_ratio*this.m_ratio*(f.m_invMass+f.m_invI*l*l));this.m_mass=0<m?1/m:0;a.warmStarting?(d.m_linearVelocity.x+=d.m_invMass*
this.m_impulse*this.m_J.linearA.x,d.m_linearVelocity.y+=d.m_invMass*this.m_impulse*this.m_J.linearA.y,d.m_angularVelocity+=d.m_invI*this.m_impulse*this.m_J.angularA,f.m_linearVelocity.x+=f.m_invMass*this.m_impulse*this.m_J.linearB.x,f.m_linearVelocity.y+=f.m_invMass*this.m_impulse*this.m_J.linearB.y,f.m_angularVelocity+=f.m_invI*this.m_impulse*this.m_J.angularB):this.m_impulse=0};Box2D.Dynamics.Joints.b2GearJoint.prototype.SolveVelocityConstraints=function(a){a=this.m_bodyA;var b=this.m_bodyB,c=this.m_J.Compute(a.m_linearVelocity,
a.m_angularVelocity,b.m_linearVelocity,b.m_angularVelocity),c=-this.m_mass*c;this.m_impulse+=c;a.m_linearVelocity.x+=a.m_invMass*c*this.m_J.linearA.x;a.m_linearVelocity.y+=a.m_invMass*c*this.m_J.linearA.y;a.m_angularVelocity+=a.m_invI*c*this.m_J.angularA;b.m_linearVelocity.x+=b.m_invMass*c*this.m_J.linearB.x;b.m_linearVelocity.y+=b.m_invMass*c*this.m_J.linearB.y;b.m_angularVelocity+=b.m_invI*c*this.m_J.angularB};Box2D.Dynamics.Joints.b2GearJoint.prototype.SolvePositionConstraints=function(a){a=this.m_bodyA;
var b=this.m_bodyB,c=0,d=0,c=this.m_revolute1?this.m_revolute1.GetJointAngle():this.m_prismatic1.GetJointTranslation(),d=this.m_revolute2?this.m_revolute2.GetJointAngle():this.m_prismatic2.GetJointTranslation(),c=-this.m_mass*(this.m_constant-(c+this.m_ratio*d));a.m_sweep.c.x+=a.m_invMass*c*this.m_J.linearA.x;a.m_sweep.c.y+=a.m_invMass*c*this.m_J.linearA.y;a.m_sweep.a+=a.m_invI*c*this.m_J.angularA;b.m_sweep.c.x+=b.m_invMass*c*this.m_J.linearB.x;b.m_sweep.c.y+=b.m_invMass*c*this.m_J.linearB.y;b.m_sweep.a+=
b.m_invI*c*this.m_J.angularB;a.SynchronizeTransform();b.SynchronizeTransform();return 0<Box2D.Common.b2Settings.b2_linearSlop};Box2D.Dynamics.Joints.b2GearJointDef=function(){Box2D.Dynamics.Joints.b2JointDef.call(this);this.type=Box2D.Dynamics.Joints.b2Joint.e_gearJoint;this.joint2=this.joint1=null;this.ratio=1};c2inherit(Box2D.Dynamics.Joints.b2GearJointDef,Box2D.Dynamics.Joints.b2JointDef);Box2D.Dynamics.Joints.b2GearJointDef.prototype.Initialize=function(a,b,c){this.joint1=a;this.bodyA=a.GetBodyA();
this.joint2=b;this.bodyB=b.GetBodyA();this.ratio=c};Box2D.Dynamics.Joints.b2GearJointDef.prototype.Create=function(){return new Box2D.Dynamics.Joints.b2GearJoint(this)};Box2D.Dynamics.Joints.b2Jacobian=function(){this.linearA=Box2D.Common.Math.b2Vec2.Get(0,0);this.linearB=Box2D.Common.Math.b2Vec2.Get(0,0)};Box2D.Dynamics.Joints.b2Jacobian.prototype.SetZero=function(){this.linearA.SetZero();this.angularA=0;this.linearB.SetZero();this.angularB=0};Box2D.Dynamics.Joints.b2Jacobian.prototype.Set=function(a,
b,c,d){void 0===b&&(b=0);void 0===d&&(d=0);this.linearA.SetV(a);this.angularA=b;this.linearB.SetV(c);this.angularB=d};Box2D.Dynamics.Joints.b2Jacobian.prototype.Compute=function(a,b,c,d){void 0===b&&(b=0);void 0===d&&(d=0);return this.linearA.x*a.x+this.linearA.y*a.y+this.angularA*b+(this.linearB.x*c.x+this.linearB.y*c.y)+this.angularB*d};Box2D.Dynamics.Joints.b2LineJoint=function(a){Box2D.Dynamics.Joints.b2Joint.call(this,a);this.m_localAnchor1=Box2D.Common.Math.b2Vec2.Get(0,0);this.m_localAnchor2=
Box2D.Common.Math.b2Vec2.Get(0,0);this.m_localXAxis1=Box2D.Common.Math.b2Vec2.Get(0,0);this.m_localYAxis1=Box2D.Common.Math.b2Vec2.Get(0,0);this.m_axis=Box2D.Common.Math.b2Vec2.Get(0,0);this.m_perp=Box2D.Common.Math.b2Vec2.Get(0,0);this.m_K=new Box2D.Common.Math.b2Mat22;this.m_impulse=Box2D.Common.Math.b2Vec2.Get(0,0);this.m_localAnchor1.SetV(a.localAnchorA);this.m_localAnchor2.SetV(a.localAnchorB);this.m_localXAxis1.SetV(a.localAxisA);this.m_localYAxis1.x=-this.m_localXAxis1.y;this.m_localYAxis1.y=
this.m_localXAxis1.x;this.m_impulse.SetZero();this.m_motorImpulse=this.m_motorMass=0;this.m_lowerTranslation=a.lowerTranslation;this.m_upperTranslation=a.upperTranslation;this.m_maxMotorForce=a.maxMotorForce;this.m_motorSpeed=a.motorSpeed;this.m_enableLimit=a.enableLimit;this.m_enableMotor=a.enableMotor;this.m_limitState=Box2D.Dynamics.Joints.b2Joint.e_inactiveLimit;this.m_axis.SetZero();this.m_perp.SetZero()};c2inherit(Box2D.Dynamics.Joints.b2LineJoint,Box2D.Dynamics.Joints.b2Joint);Box2D.Dynamics.Joints.b2LineJoint.prototype.GetAnchorA=
function(){return this.m_bodyA.GetWorldPoint(this.m_localAnchor1)};Box2D.Dynamics.Joints.b2LineJoint.prototype.GetAnchorB=function(){return this.m_bodyB.GetWorldPoint(this.m_localAnchor2)};Box2D.Dynamics.Joints.b2LineJoint.prototype.GetReactionForce=function(a){void 0===a&&(a=0);return Box2D.Common.Math.b2Vec2.Get(a*(this.m_impulse.x*this.m_perp.x+(this.m_motorImpulse+this.m_impulse.y)*this.m_axis.x),a*(this.m_impulse.x*this.m_perp.y+(this.m_motorImpulse+this.m_impulse.y)*this.m_axis.y))};Box2D.Dynamics.Joints.b2LineJoint.prototype.GetReactionTorque=
function(a){void 0===a&&(a=0);return a*this.m_impulse.y};Box2D.Dynamics.Joints.b2LineJoint.prototype.GetJointTranslation=function(){var a=this.m_bodyA,b=this.m_bodyB,c=a.GetWorldPoint(this.m_localAnchor1),d=b.GetWorldPoint(this.m_localAnchor2),b=d.x-c.x,c=d.y-c.y,a=a.GetWorldVector(this.m_localXAxis1);return a.x*b+a.y*c};Box2D.Dynamics.Joints.b2LineJoint.prototype.GetJointSpeed=function(){var a=this.m_bodyA,b=this.m_bodyB,c;c=a.m_xf.R;var d=this.m_localAnchor1.x-a.m_sweep.localCenter.x,f=this.m_localAnchor1.y-
a.m_sweep.localCenter.y,e=c.col1.x*d+c.col2.x*f,f=c.col1.y*d+c.col2.y*f,d=e;c=b.m_xf.R;var g=this.m_localAnchor2.x-b.m_sweep.localCenter.x,l=this.m_localAnchor2.y-b.m_sweep.localCenter.y,e=c.col1.x*g+c.col2.x*l,l=c.col1.y*g+c.col2.y*l,g=e;c=b.m_sweep.c.x+g-(a.m_sweep.c.x+d);var e=b.m_sweep.c.y+l-(a.m_sweep.c.y+f),k=a.GetWorldVector(this.m_localXAxis1),h=a.m_linearVelocity,m=b.m_linearVelocity,a=a.m_angularVelocity,b=b.m_angularVelocity;return c*-a*k.y+e*a*k.x+(k.x*(m.x+-b*l-h.x- -a*f)+k.y*(m.y+b*
g-h.y-a*d))};Box2D.Dynamics.Joints.b2LineJoint.prototype.IsLimitEnabled=function(){return this.m_enableLimit};Box2D.Dynamics.Joints.b2LineJoint.prototype.EnableLimit=function(a){this.m_bodyA.SetAwake(!0);this.m_bodyB.SetAwake(!0);this.m_enableLimit=a};Box2D.Dynamics.Joints.b2LineJoint.prototype.GetLowerLimit=function(){return this.m_lowerTranslation};Box2D.Dynamics.Joints.b2LineJoint.prototype.GetUpperLimit=function(){return this.m_upperTranslation};Box2D.Dynamics.Joints.b2LineJoint.prototype.SetLimits=
function(a,b){void 0===a&&(a=0);void 0===b&&(b=0);this.m_bodyA.SetAwake(!0);this.m_bodyB.SetAwake(!0);this.m_lowerTranslation=a;this.m_upperTranslation=b};Box2D.Dynamics.Joints.b2LineJoint.prototype.IsMotorEnabled=function(){return this.m_enableMotor};Box2D.Dynamics.Joints.b2LineJoint.prototype.EnableMotor=function(a){this.m_bodyA.SetAwake(!0);this.m_bodyB.SetAwake(!0);this.m_enableMotor=a};Box2D.Dynamics.Joints.b2LineJoint.prototype.SetMotorSpeed=function(a){void 0===a&&(a=0);this.m_bodyA.SetAwake(!0);
this.m_bodyB.SetAwake(!0);this.m_motorSpeed=a};Box2D.Dynamics.Joints.b2LineJoint.prototype.GetMotorSpeed=function(){return this.m_motorSpeed};Box2D.Dynamics.Joints.b2LineJoint.prototype.SetMaxMotorForce=function(a){void 0===a&&(a=0);this.m_bodyA.SetAwake(!0);this.m_bodyB.SetAwake(!0);this.m_maxMotorForce=a};Box2D.Dynamics.Joints.b2LineJoint.prototype.GetMaxMotorForce=function(){return this.m_maxMotorForce};Box2D.Dynamics.Joints.b2LineJoint.prototype.GetMotorForce=function(){return this.m_motorImpulse};
Box2D.Dynamics.Joints.b2LineJoint.prototype.InitVelocityConstraints=function(a){var b=this.m_bodyA,c=this.m_bodyB,d,f=0;this.m_localCenterA.SetV(b.GetLocalCenter());this.m_localCenterB.SetV(c.GetLocalCenter());var e=b.GetTransform();c.GetTransform();d=b.m_xf.R;var g=this.m_localAnchor1.x-this.m_localCenterA.x,l=this.m_localAnchor1.y-this.m_localCenterA.y,f=d.col1.x*g+d.col2.x*l,l=d.col1.y*g+d.col2.y*l,g=f;d=c.m_xf.R;var k=this.m_localAnchor2.x-this.m_localCenterB.x,h=this.m_localAnchor2.y-this.m_localCenterB.y,
f=d.col1.x*k+d.col2.x*h,h=d.col1.y*k+d.col2.y*h,k=f;d=c.m_sweep.c.x+k-b.m_sweep.c.x-g;f=c.m_sweep.c.y+h-b.m_sweep.c.y-l;this.m_invMassA=b.m_invMass;this.m_invMassB=c.m_invMass;this.m_invIA=b.m_invI;this.m_invIB=c.m_invI;this.m_axis.SetV(Box2D.Common.Math.b2Math.MulMV(e.R,this.m_localXAxis1));this.m_a1=(d+g)*this.m_axis.y-(f+l)*this.m_axis.x;this.m_a2=k*this.m_axis.y-h*this.m_axis.x;this.m_motorMass=this.m_invMassA+this.m_invMassB+this.m_invIA*this.m_a1*this.m_a1+this.m_invIB*this.m_a2*this.m_a2;this.m_motorMass=
this.m_motorMass>Number.MIN_VALUE?1/this.m_motorMass:0;this.m_perp.SetV(Box2D.Common.Math.b2Math.MulMV(e.R,this.m_localYAxis1));this.m_s1=(d+g)*this.m_perp.y-(f+l)*this.m_perp.x;this.m_s2=k*this.m_perp.y-h*this.m_perp.x;e=this.m_invMassA;g=this.m_invMassB;l=this.m_invIA;k=this.m_invIB;this.m_K.col1.x=e+g+l*this.m_s1*this.m_s1+k*this.m_s2*this.m_s2;this.m_K.col1.y=l*this.m_s1*this.m_a1+k*this.m_s2*this.m_a2;this.m_K.col2.x=this.m_K.col1.y;this.m_K.col2.y=e+g+l*this.m_a1*this.m_a1+k*this.m_a2*this.m_a2;
this.m_enableLimit?(d=this.m_axis.x*d+this.m_axis.y*f,Math.abs(this.m_upperTranslation-this.m_lowerTranslation)<2*Box2D.Common.b2Settings.b2_linearSlop?this.m_limitState=Box2D.Dynamics.Joints.b2Joint.e_equalLimits:d<=this.m_lowerTranslation?this.m_limitState!=Box2D.Dynamics.Joints.b2Joint.e_atLowerLimit&&(this.m_limitState=Box2D.Dynamics.Joints.b2Joint.e_atLowerLimit,this.m_impulse.y=0):d>=this.m_upperTranslation?this.m_limitState!=Box2D.Dynamics.Joints.b2Joint.e_atUpperLimit&&(this.m_limitState=
Box2D.Dynamics.Joints.b2Joint.e_atUpperLimit,this.m_impulse.y=0):(this.m_limitState=Box2D.Dynamics.Joints.b2Joint.e_inactiveLimit,this.m_impulse.y=0)):this.m_limitState=Box2D.Dynamics.Joints.b2Joint.e_inactiveLimit;!1==this.m_enableMotor&&(this.m_motorImpulse=0);a.warmStarting?(this.m_impulse.x*=a.dtRatio,this.m_impulse.y*=a.dtRatio,this.m_motorImpulse*=a.dtRatio,a=this.m_impulse.x*this.m_perp.x+(this.m_motorImpulse+this.m_impulse.y)*this.m_axis.x,d=this.m_impulse.x*this.m_perp.y+(this.m_motorImpulse+
this.m_impulse.y)*this.m_axis.y,f=this.m_impulse.x*this.m_s1+(this.m_motorImpulse+this.m_impulse.y)*this.m_a1,e=this.m_impulse.x*this.m_s2+(this.m_motorImpulse+this.m_impulse.y)*this.m_a2,b.m_linearVelocity.x-=this.m_invMassA*a,b.m_linearVelocity.y-=this.m_invMassA*d,b.m_angularVelocity-=this.m_invIA*f,c.m_linearVelocity.x+=this.m_invMassB*a,c.m_linearVelocity.y+=this.m_invMassB*d,c.m_angularVelocity+=this.m_invIB*e):(this.m_impulse.SetZero(),this.m_motorImpulse=0)};Box2D.Dynamics.Joints.b2LineJoint.prototype.SolveVelocityConstraints=
function(a){var b=this.m_bodyA,c=this.m_bodyB,d=b.m_linearVelocity,f=b.m_angularVelocity,e=c.m_linearVelocity,g=c.m_angularVelocity,l=0,k=0,h=0,m=0;this.m_enableMotor&&this.m_limitState!=Box2D.Dynamics.Joints.b2Joint.e_equalLimits&&(m=this.m_motorMass*(this.m_motorSpeed-(this.m_axis.x*(e.x-d.x)+this.m_axis.y*(e.y-d.y)+this.m_a2*g-this.m_a1*f)),l=this.m_motorImpulse,k=a.dt*this.m_maxMotorForce,this.m_motorImpulse=Box2D.Common.Math.b2Math.Clamp(this.m_motorImpulse+m,-k,k),m=this.m_motorImpulse-l,l=
m*this.m_axis.x,k=m*this.m_axis.y,h=m*this.m_a1,m*=this.m_a2,d.x-=this.m_invMassA*l,d.y-=this.m_invMassA*k,f-=this.m_invIA*h,e.x+=this.m_invMassB*l,e.y+=this.m_invMassB*k,g+=this.m_invIB*m);k=this.m_perp.x*(e.x-d.x)+this.m_perp.y*(e.y-d.y)+this.m_s2*g-this.m_s1*f;this.m_enableLimit&&this.m_limitState!=Box2D.Dynamics.Joints.b2Joint.e_inactiveLimit?(h=this.m_axis.x*(e.x-d.x)+this.m_axis.y*(e.y-d.y)+this.m_a2*g-this.m_a1*f,l=this.m_impulse.Copy(),a=this.m_K.Solve(Box2D.Common.Math.b2Vec2.Get(0,0),-k,
-h),this.m_impulse.Add(a),this.m_limitState==Box2D.Dynamics.Joints.b2Joint.e_atLowerLimit?this.m_impulse.y=Math.max(this.m_impulse.y,0):this.m_limitState==Box2D.Dynamics.Joints.b2Joint.e_atUpperLimit&&(this.m_impulse.y=Math.min(this.m_impulse.y,0)),k=-k-(this.m_impulse.y-l.y)*this.m_K.col2.x,h=0,h=0!=this.m_K.col1.x?k/this.m_K.col1.x+l.x:l.x,this.m_impulse.x=h,a.x=this.m_impulse.x-l.x,a.y=this.m_impulse.y-l.y,l=a.x*this.m_perp.x+a.y*this.m_axis.x,k=a.x*this.m_perp.y+a.y*this.m_axis.y,h=a.x*this.m_s1+
a.y*this.m_a1,m=a.x*this.m_s2+a.y*this.m_a2):(a=0,a=0!=this.m_K.col1.x?-k/this.m_K.col1.x:0,this.m_impulse.x+=a,l=a*this.m_perp.x,k=a*this.m_perp.y,h=a*this.m_s1,m=a*this.m_s2);d.x-=this.m_invMassA*l;d.y-=this.m_invMassA*k;f-=this.m_invIA*h;e.x+=this.m_invMassB*l;e.y+=this.m_invMassB*k;g+=this.m_invIB*m;b.m_linearVelocity.SetV(d);b.m_angularVelocity=f;c.m_linearVelocity.SetV(e);c.m_angularVelocity=g};Box2D.Dynamics.Joints.b2LineJoint.prototype.SolvePositionConstraints=function(a){a=this.m_bodyA;var b=
this.m_bodyB,c=a.m_sweep.c,d=a.m_sweep.a,f=b.m_sweep.c,e=b.m_sweep.a,g,l=0,k=0,h=0,m=0,n=g=0,r=0,k=!1,p=0,q=Box2D.Common.Math.b2Mat22.FromAngle(d),h=Box2D.Common.Math.b2Mat22.FromAngle(e);g=q;var r=this.m_localAnchor1.x-this.m_localCenterA.x,t=this.m_localAnchor1.y-this.m_localCenterA.y,l=g.col1.x*r+g.col2.x*t,t=g.col1.y*r+g.col2.y*t,r=l;g=h;h=this.m_localAnchor2.x-this.m_localCenterB.x;m=this.m_localAnchor2.y-this.m_localCenterB.y;l=g.col1.x*h+g.col2.x*m;m=g.col1.y*h+g.col2.y*m;h=l;g=f.x+h-c.x-r;
l=f.y+m-c.y-t;if(this.m_enableLimit){this.m_axis=Box2D.Common.Math.b2Math.MulMV(q,this.m_localXAxis1);this.m_a1=(g+r)*this.m_axis.y-(l+t)*this.m_axis.x;this.m_a2=h*this.m_axis.y-m*this.m_axis.x;var s=this.m_axis.x*g+this.m_axis.y*l;Math.abs(this.m_upperTranslation-this.m_lowerTranslation)<2*Box2D.Common.b2Settings.b2_linearSlop?(p=Box2D.Common.Math.b2Math.Clamp(s,-Box2D.Common.b2Settings.b2_maxLinearCorrection,Box2D.Common.b2Settings.b2_maxLinearCorrection),n=Math.abs(s),k=!0):s<=this.m_lowerTranslation?
(p=Box2D.Common.Math.b2Math.Clamp(s-this.m_lowerTranslation+Box2D.Common.b2Settings.b2_linearSlop,-Box2D.Common.b2Settings.b2_maxLinearCorrection,0),n=this.m_lowerTranslation-s,k=!0):s>=this.m_upperTranslation&&(p=Box2D.Common.Math.b2Math.Clamp(s-this.m_upperTranslation+Box2D.Common.b2Settings.b2_linearSlop,0,Box2D.Common.b2Settings.b2_maxLinearCorrection),n=s-this.m_upperTranslation,k=!0)}this.m_perp=Box2D.Common.Math.b2Math.MulMV(q,this.m_localYAxis1);this.m_s1=(g+r)*this.m_perp.y-(l+t)*this.m_perp.x;
this.m_s2=h*this.m_perp.y-m*this.m_perp.x;q=Box2D.Common.Math.b2Vec2.Get(0,0);t=this.m_perp.x*g+this.m_perp.y*l;n=Math.max(n,Math.abs(t));r=0;k?(k=this.m_invMassA,h=this.m_invMassB,m=this.m_invIA,g=this.m_invIB,this.m_K.col1.x=k+h+m*this.m_s1*this.m_s1+g*this.m_s2*this.m_s2,this.m_K.col1.y=m*this.m_s1*this.m_a1+g*this.m_s2*this.m_a2,this.m_K.col2.x=this.m_K.col1.y,this.m_K.col2.y=k+h+m*this.m_a1*this.m_a1+g*this.m_a2*this.m_a2,this.m_K.Solve(q,-t,-p)):(k=this.m_invMassA,h=this.m_invMassB,m=this.m_invIA,
g=this.m_invIB,p=k+h+m*this.m_s1*this.m_s1+g*this.m_s2*this.m_s2,q.x=0!=p?-t/p:0,q.y=0);p=q.x*this.m_perp.x+q.y*this.m_axis.x;k=q.x*this.m_perp.y+q.y*this.m_axis.y;t=q.x*this.m_s1+q.y*this.m_a1;q=q.x*this.m_s2+q.y*this.m_a2;c.x-=this.m_invMassA*p;c.y-=this.m_invMassA*k;d-=this.m_invIA*t;f.x+=this.m_invMassB*p;f.y+=this.m_invMassB*k;e+=this.m_invIB*q;a.m_sweep.a=d;b.m_sweep.a=e;a.SynchronizeTransform();b.SynchronizeTransform();return n<=Box2D.Common.b2Settings.b2_linearSlop&&r<=Box2D.Common.b2Settings.b2_angularSlop};
Box2D.Dynamics.Joints.b2LineJointDef=function(){Box2D.Dynamics.Joints.b2JointDef.call(this);this.localAnchorA=Box2D.Common.Math.b2Vec2.Get(0,0);this.localAnchorB=Box2D.Common.Math.b2Vec2.Get(0,0);this.localAxisA=Box2D.Common.Math.b2Vec2.Get(0,0);this.type=Box2D.Dynamics.Joints.b2Joint.e_lineJoint;this.localAxisA.Set(1,0);this.enableLimit=!1;this.upperTranslation=this.lowerTranslation=0;this.enableMotor=!1;this.motorSpeed=this.maxMotorForce=0};c2inherit(Box2D.Dynamics.Joints.b2LineJointDef,Box2D.Dynamics.Joints.b2JointDef);
Box2D.Dynamics.Joints.b2LineJointDef.prototype.Initialize=function(a,b,c,d){this.bodyA=a;this.bodyB=b;this.localAnchorA=this.bodyA.GetLocalPoint(c);this.localAnchorB=this.bodyB.GetLocalPoint(c);this.localAxisA=this.bodyA.GetLocalVector(d)};Box2D.Dynamics.Joints.b2LineJointDef.prototype.Create=function(){return new Box2D.Dynamics.Joints.b2LineJoint(this)};Box2D.Dynamics.Joints.b2PrismaticJoint=function(a){Box2D.Dynamics.Joints.b2Joint.call(this,a);this.m_localAnchor1=Box2D.Common.Math.b2Vec2.Get(0,
0);this.m_localAnchor2=Box2D.Common.Math.b2Vec2.Get(0,0);this.m_localXAxis1=Box2D.Common.Math.b2Vec2.Get(0,0);this.m_localYAxis1=Box2D.Common.Math.b2Vec2.Get(0,0);this.m_axis=Box2D.Common.Math.b2Vec2.Get(0,0);this.m_perp=Box2D.Common.Math.b2Vec2.Get(0,0);this.m_K=new Box2D.Common.Math.b2Mat33;this.m_impulse=new Box2D.Common.Math.b2Vec3(0,0,0);this.m_localAnchor1.SetV(a.localAnchorA);this.m_localAnchor2.SetV(a.localAnchorB);this.m_localXAxis1.SetV(a.localAxisA);this.m_localYAxis1.x=-this.m_localXAxis1.y;
this.m_localYAxis1.y=this.m_localXAxis1.x;this.m_refAngle=a.referenceAngle;this.m_impulse.SetZero();this.m_motorImpulse=this.m_motorMass=0;this.m_lowerTranslation=a.lowerTranslation;this.m_upperTranslation=a.upperTranslation;this.m_maxMotorForce=a.maxMotorForce;this.m_motorSpeed=a.motorSpeed;this.m_enableLimit=a.enableLimit;this.m_enableMotor=a.enableMotor;this.m_limitState=Box2D.Dynamics.Joints.b2Joint.e_inactiveLimit;this.m_axis.SetZero();this.m_perp.SetZero()};c2inherit(Box2D.Dynamics.Joints.b2PrismaticJoint,
Box2D.Dynamics.Joints.b2Joint);Box2D.Dynamics.Joints.b2PrismaticJoint.prototype.GetAnchorA=function(){return this.m_bodyA.GetWorldPoint(this.m_localAnchor1)};Box2D.Dynamics.Joints.b2PrismaticJoint.prototype.GetAnchorB=function(){return this.m_bodyB.GetWorldPoint(this.m_localAnchor2)};Box2D.Dynamics.Joints.b2PrismaticJoint.prototype.GetReactionForce=function(a){void 0===a&&(a=0);return Box2D.Common.Math.b2Vec2.Get(a*(this.m_impulse.x*this.m_perp.x+(this.m_motorImpulse+this.m_impulse.z)*this.m_axis.x),
a*(this.m_impulse.x*this.m_perp.y+(this.m_motorImpulse+this.m_impulse.z)*this.m_axis.y))};Box2D.Dynamics.Joints.b2PrismaticJoint.prototype.GetReactionTorque=function(a){void 0===a&&(a=0);return a*this.m_impulse.y};Box2D.Dynamics.Joints.b2PrismaticJoint.prototype.GetJointTranslation=function(){var a=this.m_bodyA,b=this.m_bodyB,c=a.GetWorldPoint(this.m_localAnchor1),d=b.GetWorldPoint(this.m_localAnchor2),b=d.x-c.x,c=d.y-c.y,a=a.GetWorldVector(this.m_localXAxis1);return a.x*b+a.y*c};Box2D.Dynamics.Joints.b2PrismaticJoint.prototype.GetJointSpeed=
function(){var a=this.m_bodyA,b=this.m_bodyB,c;c=a.m_xf.R;var d=this.m_localAnchor1.x-a.m_sweep.localCenter.x,f=this.m_localAnchor1.y-a.m_sweep.localCenter.y,e=c.col1.x*d+c.col2.x*f,f=c.col1.y*d+c.col2.y*f,d=e;c=b.m_xf.R;var g=this.m_localAnchor2.x-b.m_sweep.localCenter.x,l=this.m_localAnchor2.y-b.m_sweep.localCenter.y,e=c.col1.x*g+c.col2.x*l,l=c.col1.y*g+c.col2.y*l,g=e;c=b.m_sweep.c.x+g-(a.m_sweep.c.x+d);var e=b.m_sweep.c.y+l-(a.m_sweep.c.y+f),k=a.GetWorldVector(this.m_localXAxis1),h=a.m_linearVelocity,
m=b.m_linearVelocity,a=a.m_angularVelocity,b=b.m_angularVelocity;return c*-a*k.y+e*a*k.x+(k.x*(m.x+-b*l-h.x- -a*f)+k.y*(m.y+b*g-h.y-a*d))};Box2D.Dynamics.Joints.b2PrismaticJoint.prototype.IsLimitEnabled=function(){return this.m_enableLimit};Box2D.Dynamics.Joints.b2PrismaticJoint.prototype.EnableLimit=function(a){this.m_bodyA.SetAwake(!0);this.m_bodyB.SetAwake(!0);this.m_enableLimit=a};Box2D.Dynamics.Joints.b2PrismaticJoint.prototype.GetLowerLimit=function(){return this.m_lowerTranslation};Box2D.Dynamics.Joints.b2PrismaticJoint.prototype.GetUpperLimit=
function(){return this.m_upperTranslation};Box2D.Dynamics.Joints.b2PrismaticJoint.prototype.SetLimits=function(a,b){void 0===a&&(a=0);void 0===b&&(b=0);this.m_bodyA.SetAwake(!0);this.m_bodyB.SetAwake(!0);this.m_lowerTranslation=a;this.m_upperTranslation=b};Box2D.Dynamics.Joints.b2PrismaticJoint.prototype.IsMotorEnabled=function(){return this.m_enableMotor};Box2D.Dynamics.Joints.b2PrismaticJoint.prototype.EnableMotor=function(a){this.m_bodyA.SetAwake(!0);this.m_bodyB.SetAwake(!0);this.m_enableMotor=
a};Box2D.Dynamics.Joints.b2PrismaticJoint.prototype.SetMotorSpeed=function(a){void 0===a&&(a=0);this.m_bodyA.SetAwake(!0);this.m_bodyB.SetAwake(!0);this.m_motorSpeed=a};Box2D.Dynamics.Joints.b2PrismaticJoint.prototype.GetMotorSpeed=function(){return this.m_motorSpeed};Box2D.Dynamics.Joints.b2PrismaticJoint.prototype.SetMaxMotorForce=function(a){void 0===a&&(a=0);this.m_bodyA.SetAwake(!0);this.m_bodyB.SetAwake(!0);this.m_maxMotorForce=a};Box2D.Dynamics.Joints.b2PrismaticJoint.prototype.GetMotorForce=
function(){return this.m_motorImpulse};Box2D.Dynamics.Joints.b2PrismaticJoint.prototype.InitVelocityConstraints=function(a){var b=this.m_bodyA,c=this.m_bodyB,d,f=0;this.m_localCenterA.SetV(b.GetLocalCenter());this.m_localCenterB.SetV(c.GetLocalCenter());var e=b.GetTransform();c.GetTransform();d=b.m_xf.R;var g=this.m_localAnchor1.x-this.m_localCenterA.x,l=this.m_localAnchor1.y-this.m_localCenterA.y,f=d.col1.x*g+d.col2.x*l,l=d.col1.y*g+d.col2.y*l,g=f;d=c.m_xf.R;var k=this.m_localAnchor2.x-this.m_localCenterB.x,
h=this.m_localAnchor2.y-this.m_localCenterB.y,f=d.col1.x*k+d.col2.x*h,h=d.col1.y*k+d.col2.y*h,k=f;d=c.m_sweep.c.x+k-b.m_sweep.c.x-g;f=c.m_sweep.c.y+h-b.m_sweep.c.y-l;this.m_invMassA=b.m_invMass;this.m_invMassB=c.m_invMass;this.m_invIA=b.m_invI;this.m_invIB=c.m_invI;this.m_axis.SetV(Box2D.Common.Math.b2Math.MulMV(e.R,this.m_localXAxis1));this.m_a1=(d+g)*this.m_axis.y-(f+l)*this.m_axis.x;this.m_a2=k*this.m_axis.y-h*this.m_axis.x;this.m_motorMass=this.m_invMassA+this.m_invMassB+this.m_invIA*this.m_a1*
this.m_a1+this.m_invIB*this.m_a2*this.m_a2;this.m_motorMass>Number.MIN_VALUE&&(this.m_motorMass=1/this.m_motorMass);this.m_perp.SetV(Box2D.Common.Math.b2Math.MulMV(e.R,this.m_localYAxis1));this.m_s1=(d+g)*this.m_perp.y-(f+l)*this.m_perp.x;this.m_s2=k*this.m_perp.y-h*this.m_perp.x;e=this.m_invMassA;g=this.m_invMassB;l=this.m_invIA;k=this.m_invIB;this.m_K.col1.x=e+g+l*this.m_s1*this.m_s1+k*this.m_s2*this.m_s2;this.m_K.col1.y=l*this.m_s1+k*this.m_s2;this.m_K.col1.z=l*this.m_s1*this.m_a1+k*this.m_s2*
this.m_a2;this.m_K.col2.x=this.m_K.col1.y;this.m_K.col2.y=l+k;this.m_K.col2.z=l*this.m_a1+k*this.m_a2;this.m_K.col3.x=this.m_K.col1.z;this.m_K.col3.y=this.m_K.col2.z;this.m_K.col3.z=e+g+l*this.m_a1*this.m_a1+k*this.m_a2*this.m_a2;this.m_enableLimit?(d=this.m_axis.x*d+this.m_axis.y*f,Math.abs(this.m_upperTranslation-this.m_lowerTranslation)<2*Box2D.Common.b2Settings.b2_linearSlop?this.m_limitState=Box2D.Dynamics.Joints.b2Joint.e_equalLimits:d<=this.m_lowerTranslation?this.m_limitState!=Box2D.Dynamics.Joints.b2Joint.e_atLowerLimit&&
(this.m_limitState=Box2D.Dynamics.Joints.b2Joint.e_atLowerLimit,this.m_impulse.z=0):d>=this.m_upperTranslation?this.m_limitState!=Box2D.Dynamics.Joints.b2Joint.e_atUpperLimit&&(this.m_limitState=Box2D.Dynamics.Joints.b2Joint.e_atUpperLimit,this.m_impulse.z=0):(this.m_limitState=Box2D.Dynamics.Joints.b2Joint.e_inactiveLimit,this.m_impulse.z=0)):this.m_limitState=Box2D.Dynamics.Joints.b2Joint.e_inactiveLimit;!1==this.m_enableMotor&&(this.m_motorImpulse=0);a.warmStarting?(this.m_impulse.x*=a.dtRatio,
this.m_impulse.y*=a.dtRatio,this.m_motorImpulse*=a.dtRatio,a=this.m_impulse.x*this.m_perp.x+(this.m_motorImpulse+this.m_impulse.z)*this.m_axis.x,d=this.m_impulse.x*this.m_perp.y+(this.m_motorImpulse+this.m_impulse.z)*this.m_axis.y,f=this.m_impulse.x*this.m_s1+this.m_impulse.y+(this.m_motorImpulse+this.m_impulse.z)*this.m_a1,e=this.m_impulse.x*this.m_s2+this.m_impulse.y+(this.m_motorImpulse+this.m_impulse.z)*this.m_a2,b.m_linearVelocity.x-=this.m_invMassA*a,b.m_linearVelocity.y-=this.m_invMassA*d,
b.m_angularVelocity-=this.m_invIA*f,c.m_linearVelocity.x+=this.m_invMassB*a,c.m_linearVelocity.y+=this.m_invMassB*d,c.m_angularVelocity+=this.m_invIB*e):(this.m_impulse.SetZero(),this.m_motorImpulse=0)};Box2D.Dynamics.Joints.b2PrismaticJoint.prototype.SolveVelocityConstraints=function(a){var b=this.m_bodyA,c=this.m_bodyB,d=b.m_linearVelocity,f=b.m_angularVelocity,e=c.m_linearVelocity,g=c.m_angularVelocity,l=0,k=0,h=0,m=0;this.m_enableMotor&&this.m_limitState!=Box2D.Dynamics.Joints.b2Joint.e_equalLimits&&
(m=this.m_motorMass*(this.m_motorSpeed-(this.m_axis.x*(e.x-d.x)+this.m_axis.y*(e.y-d.y)+this.m_a2*g-this.m_a1*f)),l=this.m_motorImpulse,a=a.dt*this.m_maxMotorForce,this.m_motorImpulse=Box2D.Common.Math.b2Math.Clamp(this.m_motorImpulse+m,-a,a),m=this.m_motorImpulse-l,l=m*this.m_axis.x,k=m*this.m_axis.y,h=m*this.m_a1,m*=this.m_a2,d.x-=this.m_invMassA*l,d.y-=this.m_invMassA*k,f-=this.m_invIA*h,e.x+=this.m_invMassB*l,e.y+=this.m_invMassB*k,g+=this.m_invIB*m);h=this.m_perp.x*(e.x-d.x)+this.m_perp.y*(e.y-
d.y)+this.m_s2*g-this.m_s1*f;k=g-f;this.m_enableLimit&&this.m_limitState!=Box2D.Dynamics.Joints.b2Joint.e_inactiveLimit?(a=this.m_axis.x*(e.x-d.x)+this.m_axis.y*(e.y-d.y)+this.m_a2*g-this.m_a1*f,l=this.m_impulse.Copy(),a=this.m_K.Solve33(new Box2D.Common.Math.b2Vec3(0,0,0),-h,-k,-a),this.m_impulse.Add(a),this.m_limitState==Box2D.Dynamics.Joints.b2Joint.e_atLowerLimit?this.m_impulse.z=Math.max(this.m_impulse.z,0):this.m_limitState==Box2D.Dynamics.Joints.b2Joint.e_atUpperLimit&&(this.m_impulse.z=Math.min(this.m_impulse.z,
0)),h=-h-(this.m_impulse.z-l.z)*this.m_K.col3.x,k=-k-(this.m_impulse.z-l.z)*this.m_K.col3.y,k=this.m_K.Solve22(Box2D.Common.Math.b2Vec2.Get(0,0),h,k),k.x+=l.x,k.y+=l.y,this.m_impulse.x=k.x,this.m_impulse.y=k.y,a.x=this.m_impulse.x-l.x,a.y=this.m_impulse.y-l.y,a.z=this.m_impulse.z-l.z,l=a.x*this.m_perp.x+a.z*this.m_axis.x,k=a.x*this.m_perp.y+a.z*this.m_axis.y,h=a.x*this.m_s1+a.y+a.z*this.m_a1,m=a.x*this.m_s2+a.y+a.z*this.m_a2):(a=this.m_K.Solve22(Box2D.Common.Math.b2Vec2.Get(0,0),-h,-k),this.m_impulse.x+=
a.x,this.m_impulse.y+=a.y,l=a.x*this.m_perp.x,k=a.x*this.m_perp.y,h=a.x*this.m_s1+a.y,m=a.x*this.m_s2+a.y);d.x-=this.m_invMassA*l;d.y-=this.m_invMassA*k;f-=this.m_invIA*h;e.x+=this.m_invMassB*l;e.y+=this.m_invMassB*k;g+=this.m_invIB*m;b.m_linearVelocity.SetV(d);b.m_angularVelocity=f;c.m_linearVelocity.SetV(e);c.m_angularVelocity=g};Box2D.Dynamics.Joints.b2PrismaticJoint.prototype.SolvePositionConstraints=function(a){a=this.m_bodyA;var b=this.m_bodyB,c=a.m_sweep.c,d=a.m_sweep.a,f=b.m_sweep.c,e=b.m_sweep.a,
g,l=0,k=0,h=0,m=l=g=0,n=0,k=!1,r=0,p=Box2D.Common.Math.b2Mat22.FromAngle(d),q=Box2D.Common.Math.b2Mat22.FromAngle(e);g=p;var n=this.m_localAnchor1.x-this.m_localCenterA.x,t=this.m_localAnchor1.y-this.m_localCenterA.y,l=g.col1.x*n+g.col2.x*t,t=g.col1.y*n+g.col2.y*t,n=l;g=q;q=this.m_localAnchor2.x-this.m_localCenterB.x;h=this.m_localAnchor2.y-this.m_localCenterB.y;l=g.col1.x*q+g.col2.x*h;h=g.col1.y*q+g.col2.y*h;q=l;g=f.x+q-c.x-n;l=f.y+h-c.y-t;if(this.m_enableLimit){this.m_axis=Box2D.Common.Math.b2Math.MulMV(p,
this.m_localXAxis1);this.m_a1=(g+n)*this.m_axis.y-(l+t)*this.m_axis.x;this.m_a2=q*this.m_axis.y-h*this.m_axis.x;var s=this.m_axis.x*g+this.m_axis.y*l;Math.abs(this.m_upperTranslation-this.m_lowerTranslation)<2*Box2D.Common.b2Settings.b2_linearSlop?(r=Box2D.Common.Math.b2Math.Clamp(s,-Box2D.Common.b2Settings.b2_maxLinearCorrection,Box2D.Common.b2Settings.b2_maxLinearCorrection),m=Math.abs(s),k=!0):s<=this.m_lowerTranslation?(r=Box2D.Common.Math.b2Math.Clamp(s-this.m_lowerTranslation+Box2D.Common.b2Settings.b2_linearSlop,
-Box2D.Common.b2Settings.b2_maxLinearCorrection,0),m=this.m_lowerTranslation-s,k=!0):s>=this.m_upperTranslation&&(r=Box2D.Common.Math.b2Math.Clamp(s-this.m_upperTranslation+Box2D.Common.b2Settings.b2_linearSlop,0,Box2D.Common.b2Settings.b2_maxLinearCorrection),m=s-this.m_upperTranslation,k=!0)}this.m_perp=Box2D.Common.Math.b2Math.MulMV(p,this.m_localYAxis1);this.m_s1=(g+n)*this.m_perp.y-(l+t)*this.m_perp.x;this.m_s2=q*this.m_perp.y-h*this.m_perp.x;p=new Box2D.Common.Math.b2Vec3(0,0,0);t=this.m_perp.x*
g+this.m_perp.y*l;q=e-d-this.m_refAngle;m=Math.max(m,Math.abs(t));n=Math.abs(q);k?(k=this.m_invMassA,h=this.m_invMassB,g=this.m_invIA,l=this.m_invIB,this.m_K.col1.x=k+h+g*this.m_s1*this.m_s1+l*this.m_s2*this.m_s2,this.m_K.col1.y=g*this.m_s1+l*this.m_s2,this.m_K.col1.z=g*this.m_s1*this.m_a1+l*this.m_s2*this.m_a2,this.m_K.col2.x=this.m_K.col1.y,this.m_K.col2.y=g+l,this.m_K.col2.z=g*this.m_a1+l*this.m_a2,this.m_K.col3.x=this.m_K.col1.z,this.m_K.col3.y=this.m_K.col2.z,this.m_K.col3.z=k+h+g*this.m_a1*
this.m_a1+l*this.m_a2*this.m_a2,this.m_K.Solve33(p,-t,-q,-r)):(k=this.m_invMassA,h=this.m_invMassB,g=this.m_invIA,l=this.m_invIB,r=g*this.m_s1+l*this.m_s2,s=g+l,this.m_K.col1.Set(k+h+g*this.m_s1*this.m_s1+l*this.m_s2*this.m_s2,r,0),this.m_K.col2.Set(r,s,0),r=this.m_K.Solve22(Box2D.Common.Math.b2Vec2.Get(0,0),-t,-q),p.x=r.x,p.y=r.y,p.z=0);r=p.x*this.m_perp.x+p.z*this.m_axis.x;k=p.x*this.m_perp.y+p.z*this.m_axis.y;t=p.x*this.m_s1+p.y+p.z*this.m_a1;p=p.x*this.m_s2+p.y+p.z*this.m_a2;c.x-=this.m_invMassA*
r;c.y-=this.m_invMassA*k;d-=this.m_invIA*t;f.x+=this.m_invMassB*r;f.y+=this.m_invMassB*k;e+=this.m_invIB*p;a.m_sweep.a=d;b.m_sweep.a=e;a.SynchronizeTransform();b.SynchronizeTransform();return m<=Box2D.Common.b2Settings.b2_linearSlop&&n<=Box2D.Common.b2Settings.b2_angularSlop};Box2D.Dynamics.Joints.b2PrismaticJointDef=function(){Box2D.Dynamics.Joints.b2JointDef.call(this);this.localAnchorA=Box2D.Common.Math.b2Vec2.Get(0,0);this.localAnchorB=Box2D.Common.Math.b2Vec2.Get(0,0);this.localAxisA=Box2D.Common.Math.b2Vec2.Get(0,
0);this.type=Box2D.Dynamics.Joints.b2Joint.e_prismaticJoint;this.localAxisA.Set(1,0);this.referenceAngle=0;this.enableLimit=!1;this.upperTranslation=this.lowerTranslation=0;this.enableMotor=!1;this.motorSpeed=this.maxMotorForce=0};c2inherit(Box2D.Dynamics.Joints.b2PrismaticJointDef,Box2D.Dynamics.Joints.b2JointDef);Box2D.Dynamics.Joints.b2PrismaticJointDef.prototype.Initialize=function(a,b,c,d){this.bodyA=a;this.bodyB=b;this.localAnchorA=this.bodyA.GetLocalPoint(c);this.localAnchorB=this.bodyB.GetLocalPoint(c);
this.localAxisA=this.bodyA.GetLocalVector(d);this.referenceAngle=this.bodyB.GetAngle()-this.bodyA.GetAngle()};Box2D.Dynamics.Joints.b2PrismaticJointDef.prototype.Create=function(){return new Box2D.Dynamics.Joints.b2PrismaticJoint(this)};Box2D.Dynamics.Joints.b2PulleyJoint=function(a){Box2D.Dynamics.Joints.b2Joint.call(this,a);this.m_groundAnchor1=Box2D.Common.Math.b2Vec2.Get(0,0);this.m_groundAnchor2=Box2D.Common.Math.b2Vec2.Get(0,0);this.m_localAnchor1=Box2D.Common.Math.b2Vec2.Get(0,0);this.m_localAnchor2=
Box2D.Common.Math.b2Vec2.Get(0,0);this.m_u1=Box2D.Common.Math.b2Vec2.Get(0,0);this.m_u2=Box2D.Common.Math.b2Vec2.Get(0,0);this.m_ground=this.m_bodyA.m_world.m_groundBody;this.m_groundAnchor1.x=a.groundAnchorA.x-this.m_ground.m_xf.position.x;this.m_groundAnchor1.y=a.groundAnchorA.y-this.m_ground.m_xf.position.y;this.m_groundAnchor2.x=a.groundAnchorB.x-this.m_ground.m_xf.position.x;this.m_groundAnchor2.y=a.groundAnchorB.y-this.m_ground.m_xf.position.y;this.m_localAnchor1.SetV(a.localAnchorA);this.m_localAnchor2.SetV(a.localAnchorB);
this.m_ratio=a.ratio;this.m_constant=a.lengthA+this.m_ratio*a.lengthB;this.m_maxLength1=Math.min(a.maxLengthA,this.m_constant-this.m_ratio*Box2D.Dynamics.Joints.b2PulleyJoint.b2_minPulleyLength);this.m_maxLength2=Math.min(a.maxLengthB,(this.m_constant-Box2D.Dynamics.Joints.b2PulleyJoint.b2_minPulleyLength)/this.m_ratio);this.m_limitImpulse2=this.m_limitImpulse1=this.m_impulse=0};c2inherit(Box2D.Dynamics.Joints.b2PulleyJoint,Box2D.Dynamics.Joints.b2Joint);Box2D.Dynamics.Joints.b2PulleyJoint.prototype.GetAnchorA=
function(){return this.m_bodyA.GetWorldPoint(this.m_localAnchor1)};Box2D.Dynamics.Joints.b2PulleyJoint.prototype.GetAnchorB=function(){return this.m_bodyB.GetWorldPoint(this.m_localAnchor2)};Box2D.Dynamics.Joints.b2PulleyJoint.prototype.GetReactionForce=function(a){void 0===a&&(a=0);return Box2D.Common.Math.b2Vec2.Get(a*this.m_impulse*this.m_u2.x,a*this.m_impulse*this.m_u2.y)};Box2D.Dynamics.Joints.b2PulleyJoint.prototype.GetReactionTorque=function(a){return 0};Box2D.Dynamics.Joints.b2PulleyJoint.prototype.GetGroundAnchorA=
function(){var a=this.m_ground.m_xf.position.Copy();a.Add(this.m_groundAnchor1);return a};Box2D.Dynamics.Joints.b2PulleyJoint.prototype.GetGroundAnchorB=function(){var a=this.m_ground.m_xf.position.Copy();a.Add(this.m_groundAnchor2);return a};Box2D.Dynamics.Joints.b2PulleyJoint.prototype.GetLength1=function(){var a=this.m_bodyA.GetWorldPoint(this.m_localAnchor1),b=a.x-(this.m_ground.m_xf.position.x+this.m_groundAnchor1.x),a=a.y-(this.m_ground.m_xf.position.y+this.m_groundAnchor1.y);return Math.sqrt(b*
b+a*a)};Box2D.Dynamics.Joints.b2PulleyJoint.prototype.GetLength2=function(){var a=this.m_bodyB.GetWorldPoint(this.m_localAnchor2),b=a.x-(this.m_ground.m_xf.position.x+this.m_groundAnchor2.x),a=a.y-(this.m_ground.m_xf.position.y+this.m_groundAnchor2.y);return Math.sqrt(b*b+a*a)};Box2D.Dynamics.Joints.b2PulleyJoint.prototype.GetRatio=function(){return this.m_ratio};Box2D.Dynamics.Joints.b2PulleyJoint.prototype.InitVelocityConstraints=function(a){var b=this.m_bodyA,c=this.m_bodyB,d;d=b.m_xf.R;var f=
this.m_localAnchor1.x-b.m_sweep.localCenter.x,e=this.m_localAnchor1.y-b.m_sweep.localCenter.y,g=d.col1.x*f+d.col2.x*e,e=d.col1.y*f+d.col2.y*e,f=g;d=c.m_xf.R;var l=this.m_localAnchor2.x-c.m_sweep.localCenter.x,k=this.m_localAnchor2.y-c.m_sweep.localCenter.y,g=d.col1.x*l+d.col2.x*k,k=d.col1.y*l+d.col2.y*k,l=g;d=c.m_sweep.c.x+l;var g=c.m_sweep.c.y+k,h=this.m_ground.m_xf.position.x+this.m_groundAnchor2.x,m=this.m_ground.m_xf.position.y+this.m_groundAnchor2.y;this.m_u1.Set(b.m_sweep.c.x+f-(this.m_ground.m_xf.position.x+
this.m_groundAnchor1.x),b.m_sweep.c.y+e-(this.m_ground.m_xf.position.y+this.m_groundAnchor1.y));this.m_u2.Set(d-h,g-m);d=this.m_u1.Length();g=this.m_u2.Length();d>Box2D.Common.b2Settings.b2_linearSlop?this.m_u1.Multiply(1/d):this.m_u1.SetZero();g>Box2D.Common.b2Settings.b2_linearSlop?this.m_u2.Multiply(1/g):this.m_u2.SetZero();0<this.m_constant-d-this.m_ratio*g?(this.m_state=Box2D.Dynamics.Joints.b2Joint.e_inactiveLimit,this.m_impulse=0):this.m_state=Box2D.Dynamics.Joints.b2Joint.e_atUpperLimit;d<
this.m_maxLength1?(this.m_limitState1=Box2D.Dynamics.Joints.b2Joint.e_inactiveLimit,this.m_limitImpulse1=0):this.m_limitState1=Box2D.Dynamics.Joints.b2Joint.e_atUpperLimit;g<this.m_maxLength2?(this.m_limitState2=Box2D.Dynamics.Joints.b2Joint.e_inactiveLimit,this.m_limitImpulse2=0):this.m_limitState2=Box2D.Dynamics.Joints.b2Joint.e_atUpperLimit;d=f*this.m_u1.y-e*this.m_u1.x;g=l*this.m_u2.y-k*this.m_u2.x;this.m_limitMass1=b.m_invMass+b.m_invI*d*d;this.m_limitMass2=c.m_invMass+c.m_invI*g*g;this.m_pulleyMass=
this.m_limitMass1+this.m_ratio*this.m_ratio*this.m_limitMass2;this.m_limitMass1=1/this.m_limitMass1;this.m_limitMass2=1/this.m_limitMass2;this.m_pulleyMass=1/this.m_pulleyMass;a.warmStarting?(this.m_impulse*=a.dtRatio,this.m_limitImpulse1*=a.dtRatio,this.m_limitImpulse2*=a.dtRatio,a=(-this.m_impulse-this.m_limitImpulse1)*this.m_u1.x,d=(-this.m_impulse-this.m_limitImpulse1)*this.m_u1.y,g=(-this.m_ratio*this.m_impulse-this.m_limitImpulse2)*this.m_u2.x,h=(-this.m_ratio*this.m_impulse-this.m_limitImpulse2)*
this.m_u2.y,b.m_linearVelocity.x+=b.m_invMass*a,b.m_linearVelocity.y+=b.m_invMass*d,b.m_angularVelocity+=b.m_invI*(f*d-e*a),c.m_linearVelocity.x+=c.m_invMass*g,c.m_linearVelocity.y+=c.m_invMass*h,c.m_angularVelocity+=c.m_invI*(l*h-k*g)):this.m_limitImpulse2=this.m_limitImpulse1=this.m_impulse=0};Box2D.Dynamics.Joints.b2PulleyJoint.prototype.SolveVelocityConstraints=function(a){a=this.m_bodyA;var b=this.m_bodyB,c;c=a.m_xf.R;var d=this.m_localAnchor1.x-a.m_sweep.localCenter.x,f=this.m_localAnchor1.y-
a.m_sweep.localCenter.y,e=c.col1.x*d+c.col2.x*f,f=c.col1.y*d+c.col2.y*f,d=e;c=b.m_xf.R;var g=this.m_localAnchor2.x-b.m_sweep.localCenter.x,l=this.m_localAnchor2.y-b.m_sweep.localCenter.y,e=c.col1.x*g+c.col2.x*l,l=c.col1.y*g+c.col2.y*l,g=e,k=e=c=0,h=0;c=h=c=h=k=e=c=0;this.m_state==Box2D.Dynamics.Joints.b2Joint.e_atUpperLimit&&(c=a.m_linearVelocity.x+-a.m_angularVelocity*f,e=a.m_linearVelocity.y+a.m_angularVelocity*d,k=b.m_linearVelocity.x+-b.m_angularVelocity*l,h=b.m_linearVelocity.y+b.m_angularVelocity*
g,c=-(this.m_u1.x*c+this.m_u1.y*e)-this.m_ratio*(this.m_u2.x*k+this.m_u2.y*h),h=this.m_pulleyMass*-c,c=this.m_impulse,this.m_impulse=Math.max(0,this.m_impulse+h),h=this.m_impulse-c,c=-h*this.m_u1.x,e=-h*this.m_u1.y,k=-this.m_ratio*h*this.m_u2.x,h=-this.m_ratio*h*this.m_u2.y,a.m_linearVelocity.x+=a.m_invMass*c,a.m_linearVelocity.y+=a.m_invMass*e,a.m_angularVelocity+=a.m_invI*(d*e-f*c),b.m_linearVelocity.x+=b.m_invMass*k,b.m_linearVelocity.y+=b.m_invMass*h,b.m_angularVelocity+=b.m_invI*(g*h-l*k));this.m_limitState1==
Box2D.Dynamics.Joints.b2Joint.e_atUpperLimit&&(c=a.m_linearVelocity.x+-a.m_angularVelocity*f,e=a.m_linearVelocity.y+a.m_angularVelocity*d,c=-(this.m_u1.x*c+this.m_u1.y*e),h=-this.m_limitMass1*c,c=this.m_limitImpulse1,this.m_limitImpulse1=Math.max(0,this.m_limitImpulse1+h),h=this.m_limitImpulse1-c,c=-h*this.m_u1.x,e=-h*this.m_u1.y,a.m_linearVelocity.x+=a.m_invMass*c,a.m_linearVelocity.y+=a.m_invMass*e,a.m_angularVelocity+=a.m_invI*(d*e-f*c));this.m_limitState2==Box2D.Dynamics.Joints.b2Joint.e_atUpperLimit&&
(k=b.m_linearVelocity.x+-b.m_angularVelocity*l,h=b.m_linearVelocity.y+b.m_angularVelocity*g,c=-(this.m_u2.x*k+this.m_u2.y*h),h=-this.m_limitMass2*c,c=this.m_limitImpulse2,this.m_limitImpulse2=Math.max(0,this.m_limitImpulse2+h),h=this.m_limitImpulse2-c,k=-h*this.m_u2.x,h=-h*this.m_u2.y,b.m_linearVelocity.x+=b.m_invMass*k,b.m_linearVelocity.y+=b.m_invMass*h,b.m_angularVelocity+=b.m_invI*(g*h-l*k))};Box2D.Dynamics.Joints.b2PulleyJoint.prototype.SolvePositionConstraints=function(a){a=this.m_bodyA;var b=
this.m_bodyB,c,d=this.m_ground.m_xf.position.x+this.m_groundAnchor1.x,f=this.m_ground.m_xf.position.y+this.m_groundAnchor1.y,e=this.m_ground.m_xf.position.x+this.m_groundAnchor2.x,g=this.m_ground.m_xf.position.y+this.m_groundAnchor2.y,l=0,k=0,h=0,m=0,n=c=0,r=0,p=0,q=n=p=c=n=c=0;this.m_state==Box2D.Dynamics.Joints.b2Joint.e_atUpperLimit&&(c=a.m_xf.R,l=this.m_localAnchor1.x-a.m_sweep.localCenter.x,k=this.m_localAnchor1.y-a.m_sweep.localCenter.y,n=c.col1.x*l+c.col2.x*k,k=c.col1.y*l+c.col2.y*k,l=n,c=
b.m_xf.R,h=this.m_localAnchor2.x-b.m_sweep.localCenter.x,m=this.m_localAnchor2.y-b.m_sweep.localCenter.y,n=c.col1.x*h+c.col2.x*m,m=c.col1.y*h+c.col2.y*m,h=n,c=a.m_sweep.c.x+l,n=a.m_sweep.c.y+k,r=b.m_sweep.c.x+h,p=b.m_sweep.c.y+m,this.m_u1.Set(c-d,n-f),this.m_u2.Set(r-e,p-g),c=this.m_u1.Length(),n=this.m_u2.Length(),c>Box2D.Common.b2Settings.b2_linearSlop?this.m_u1.Multiply(1/c):this.m_u1.SetZero(),n>Box2D.Common.b2Settings.b2_linearSlop?this.m_u2.Multiply(1/n):this.m_u2.SetZero(),c=this.m_constant-
c-this.m_ratio*n,q=Math.max(q,-c),c=Box2D.Common.Math.b2Math.Clamp(c+Box2D.Common.b2Settings.b2_linearSlop,-Box2D.Common.b2Settings.b2_maxLinearCorrection,0),p=-this.m_pulleyMass*c,c=-p*this.m_u1.x,n=-p*this.m_u1.y,r=-this.m_ratio*p*this.m_u2.x,p=-this.m_ratio*p*this.m_u2.y,a.m_sweep.c.x+=a.m_invMass*c,a.m_sweep.c.y+=a.m_invMass*n,a.m_sweep.a+=a.m_invI*(l*n-k*c),b.m_sweep.c.x+=b.m_invMass*r,b.m_sweep.c.y+=b.m_invMass*p,b.m_sweep.a+=b.m_invI*(h*p-m*r),a.SynchronizeTransform(),b.SynchronizeTransform());
this.m_limitState1==Box2D.Dynamics.Joints.b2Joint.e_atUpperLimit&&(c=a.m_xf.R,l=this.m_localAnchor1.x-a.m_sweep.localCenter.x,k=this.m_localAnchor1.y-a.m_sweep.localCenter.y,n=c.col1.x*l+c.col2.x*k,k=c.col1.y*l+c.col2.y*k,l=n,c=a.m_sweep.c.x+l,n=a.m_sweep.c.y+k,this.m_u1.Set(c-d,n-f),c=this.m_u1.Length(),c>Box2D.Common.b2Settings.b2_linearSlop?(this.m_u1.x*=1/c,this.m_u1.y*=1/c):this.m_u1.SetZero(),c=this.m_maxLength1-c,q=Math.max(q,-c),c=Box2D.Common.Math.b2Math.Clamp(c+Box2D.Common.b2Settings.b2_linearSlop,
-Box2D.Common.b2Settings.b2_maxLinearCorrection,0),p=-this.m_limitMass1*c,c=-p*this.m_u1.x,n=-p*this.m_u1.y,a.m_sweep.c.x+=a.m_invMass*c,a.m_sweep.c.y+=a.m_invMass*n,a.m_sweep.a+=a.m_invI*(l*n-k*c),a.SynchronizeTransform());this.m_limitState2==Box2D.Dynamics.Joints.b2Joint.e_atUpperLimit&&(c=b.m_xf.R,h=this.m_localAnchor2.x-b.m_sweep.localCenter.x,m=this.m_localAnchor2.y-b.m_sweep.localCenter.y,n=c.col1.x*h+c.col2.x*m,m=c.col1.y*h+c.col2.y*m,h=n,r=b.m_sweep.c.x+h,p=b.m_sweep.c.y+m,this.m_u2.Set(r-
e,p-g),n=this.m_u2.Length(),n>Box2D.Common.b2Settings.b2_linearSlop?(this.m_u2.x*=1/n,this.m_u2.y*=1/n):this.m_u2.SetZero(),c=this.m_maxLength2-n,q=Math.max(q,-c),c=Box2D.Common.Math.b2Math.Clamp(c+Box2D.Common.b2Settings.b2_linearSlop,-Box2D.Common.b2Settings.b2_maxLinearCorrection,0),p=-this.m_limitMass2*c,r=-p*this.m_u2.x,p=-p*this.m_u2.y,b.m_sweep.c.x+=b.m_invMass*r,b.m_sweep.c.y+=b.m_invMass*p,b.m_sweep.a+=b.m_invI*(h*p-m*r),b.SynchronizeTransform());return q<Box2D.Common.b2Settings.b2_linearSlop};
Box2D.Dynamics.Joints.b2PulleyJoint.b2_minPulleyLength=1;Box2D.Dynamics.Joints.b2PulleyJointDef=function(){Box2D.Dynamics.Joints.b2JointDef.call(this);this.groundAnchorA=Box2D.Common.Math.b2Vec2.Get(0,0);this.groundAnchorB=Box2D.Common.Math.b2Vec2.Get(0,0);this.localAnchorA=Box2D.Common.Math.b2Vec2.Get(0,0);this.localAnchorB=Box2D.Common.Math.b2Vec2.Get(0,0);this.type=Box2D.Dynamics.Joints.b2Joint.e_pulleyJoint;this.groundAnchorA.Set(-1,1);this.groundAnchorB.Set(1,1);this.localAnchorA.Set(-1,0);this.localAnchorB.Set(1,
0);this.maxLengthB=this.lengthB=this.maxLengthA=this.lengthA=0;this.ratio=1;this.collideConnected=!0};c2inherit(Box2D.Dynamics.Joints.b2PulleyJointDef,Box2D.Dynamics.Joints.b2JointDef);Box2D.Dynamics.Joints.b2PulleyJointDef.prototype.Initialize=function(a,b,c,d,f,e,g){void 0===g&&(g=0);this.bodyA=a;this.bodyB=b;this.groundAnchorA.SetV(c);this.groundAnchorB.SetV(d);this.localAnchorA=this.bodyA.GetLocalPoint(f);this.localAnchorB=this.bodyB.GetLocalPoint(e);a=f.x-c.x;c=f.y-c.y;this.lengthA=Math.sqrt(a*
a+c*c);c=e.x-d.x;d=e.y-d.y;this.lengthB=Math.sqrt(c*c+d*d);this.ratio=g;g=this.lengthA+this.ratio*this.lengthB;this.maxLengthA=g-this.ratio*Box2D.Dynamics.Joints.b2PulleyJoint.b2_minPulleyLength;this.maxLengthB=(g-Box2D.Dynamics.Joints.b2PulleyJoint.b2_minPulleyLength)/this.ratio};Box2D.Dynamics.Joints.b2PulleyJointDef.prototype.Create=function(){return new Box2D.Dynamics.Joints.b2PulleyJoint(this)};Box2D.Dynamics.Joints.b2RevoluteJoint=function(a){Box2D.Dynamics.Joints.b2Joint.call(this,a);this.K=
new Box2D.Common.Math.b2Mat22;this.K1=new Box2D.Common.Math.b2Mat22;this.K2=new Box2D.Common.Math.b2Mat22;this.K3=new Box2D.Common.Math.b2Mat22;this.impulse3=new Box2D.Common.Math.b2Vec3(0,0,0);this.impulse2=Box2D.Common.Math.b2Vec2.Get(0,0);this.reduced=Box2D.Common.Math.b2Vec2.Get(0,0);this.m_localAnchor1=Box2D.Common.Math.b2Vec2.Get(0,0);this.m_localAnchor2=Box2D.Common.Math.b2Vec2.Get(0,0);this.m_impulse=new Box2D.Common.Math.b2Vec3(0,0,0);this.m_mass=new Box2D.Common.Math.b2Mat33;this.m_localAnchor1.SetV(a.localAnchorA);
this.m_localAnchor2.SetV(a.localAnchorB);this.m_referenceAngle=a.referenceAngle;this.m_impulse.SetZero();this.m_motorImpulse=0;this.m_lowerAngle=a.lowerAngle;this.m_upperAngle=a.upperAngle;this.m_maxMotorTorque=a.maxMotorTorque;this.m_motorSpeed=a.motorSpeed;this.m_enableLimit=a.enableLimit;this.m_enableMotor=a.enableMotor;this.m_limitState=Box2D.Dynamics.Joints.b2Joint.e_inactiveLimit};c2inherit(Box2D.Dynamics.Joints.b2RevoluteJoint,Box2D.Dynamics.Joints.b2Joint);Box2D.Dynamics.Joints.b2RevoluteJoint.prototype.GetAnchorA=
function(){return this.m_bodyA.GetWorldPoint(this.m_localAnchor1)};Box2D.Dynamics.Joints.b2RevoluteJoint.prototype.GetAnchorB=function(){return this.m_bodyB.GetWorldPoint(this.m_localAnchor2)};Box2D.Dynamics.Joints.b2RevoluteJoint.prototype.GetReactionForce=function(a){void 0===a&&(a=0);return Box2D.Common.Math.b2Vec2.Get(a*this.m_impulse.x,a*this.m_impulse.y)};Box2D.Dynamics.Joints.b2RevoluteJoint.prototype.GetReactionTorque=function(a){void 0===a&&(a=0);return a*this.m_impulse.z};Box2D.Dynamics.Joints.b2RevoluteJoint.prototype.GetJointAngle=
function(){return this.m_bodyB.m_sweep.a-this.m_bodyA.m_sweep.a-this.m_referenceAngle};Box2D.Dynamics.Joints.b2RevoluteJoint.prototype.GetJointSpeed=function(){return this.m_bodyB.m_angularVelocity-this.m_bodyA.m_angularVelocity};Box2D.Dynamics.Joints.b2RevoluteJoint.prototype.IsLimitEnabled=function(){return this.m_enableLimit};Box2D.Dynamics.Joints.b2RevoluteJoint.prototype.EnableLimit=function(a){this.m_enableLimit=a};Box2D.Dynamics.Joints.b2RevoluteJoint.prototype.GetLowerLimit=function(){return this.m_lowerAngle};
Box2D.Dynamics.Joints.b2RevoluteJoint.prototype.GetUpperLimit=function(){return this.m_upperAngle};Box2D.Dynamics.Joints.b2RevoluteJoint.prototype.SetLimits=function(a,b){void 0===a&&(a=0);void 0===b&&(b=0);this.m_lowerAngle=a;this.m_upperAngle=b};Box2D.Dynamics.Joints.b2RevoluteJoint.prototype.IsMotorEnabled=function(){this.m_bodyA.SetAwake(!0);this.m_bodyB.SetAwake(!0);return this.m_enableMotor};Box2D.Dynamics.Joints.b2RevoluteJoint.prototype.EnableMotor=function(a){this.m_enableMotor=a};Box2D.Dynamics.Joints.b2RevoluteJoint.prototype.SetMotorSpeed=
function(a){void 0===a&&(a=0);this.m_bodyA.SetAwake(!0);this.m_bodyB.SetAwake(!0);this.m_motorSpeed=a};Box2D.Dynamics.Joints.b2RevoluteJoint.prototype.GetMotorSpeed=function(){return this.m_motorSpeed};Box2D.Dynamics.Joints.b2RevoluteJoint.prototype.SetMaxMotorTorque=function(a){void 0===a&&(a=0);this.m_maxMotorTorque=a};Box2D.Dynamics.Joints.b2RevoluteJoint.prototype.GetMotorTorque=function(){return this.m_maxMotorTorque};Box2D.Dynamics.Joints.b2RevoluteJoint.prototype.InitVelocityConstraints=function(a){var b=
this.m_bodyA,c=this.m_bodyB,d,f=0;d=b.m_xf.R;var e=this.m_localAnchor1.x-b.m_sweep.localCenter.x,g=this.m_localAnchor1.y-b.m_sweep.localCenter.y,f=d.col1.x*e+d.col2.x*g,g=d.col1.y*e+d.col2.y*g,e=f;d=c.m_xf.R;var l=this.m_localAnchor2.x-c.m_sweep.localCenter.x,k=this.m_localAnchor2.y-c.m_sweep.localCenter.y,f=d.col1.x*l+d.col2.x*k,k=d.col1.y*l+d.col2.y*k,l=f;d=b.m_invMass;var f=c.m_invMass,h=b.m_invI,m=c.m_invI;this.m_mass.col1.x=d+f+g*g*h+k*k*m;this.m_mass.col2.x=-g*e*h-k*l*m;this.m_mass.col3.x=-g*
h-k*m;this.m_mass.col1.y=this.m_mass.col2.x;this.m_mass.col2.y=d+f+e*e*h+l*l*m;this.m_mass.col3.y=e*h+l*m;this.m_mass.col1.z=this.m_mass.col3.x;this.m_mass.col2.z=this.m_mass.col3.y;this.m_mass.col3.z=h+m;this.m_motorMass=1/(h+m);this.m_enableMotor||(this.m_motorImpulse=0);if(this.m_enableLimit){var n=c.m_sweep.a-b.m_sweep.a-this.m_referenceAngle;Math.abs(this.m_upperAngle-this.m_lowerAngle)<2*Box2D.Common.b2Settings.b2_angularSlop?this.m_limitState=Box2D.Dynamics.Joints.b2Joint.e_equalLimits:n<=
this.m_lowerAngle?(this.m_limitState!=Box2D.Dynamics.Joints.b2Joint.e_atLowerLimit&&(this.m_impulse.z=0),this.m_limitState=Box2D.Dynamics.Joints.b2Joint.e_atLowerLimit):n>=this.m_upperAngle?(this.m_limitState!=Box2D.Dynamics.Joints.b2Joint.e_atUpperLimit&&(this.m_impulse.z=0),this.m_limitState=Box2D.Dynamics.Joints.b2Joint.e_atUpperLimit):(this.m_limitState=Box2D.Dynamics.Joints.b2Joint.e_inactiveLimit,this.m_impulse.z=0)}else this.m_limitState=Box2D.Dynamics.Joints.b2Joint.e_inactiveLimit;a.warmStarting?
(this.m_impulse.x*=a.dtRatio,this.m_impulse.y*=a.dtRatio,this.m_motorImpulse*=a.dtRatio,a=this.m_impulse.x,n=this.m_impulse.y,b.m_linearVelocity.x-=d*a,b.m_linearVelocity.y-=d*n,b.m_angularVelocity-=h*(e*n-g*a+this.m_motorImpulse+this.m_impulse.z),c.m_linearVelocity.x+=f*a,c.m_linearVelocity.y+=f*n,c.m_angularVelocity+=m*(l*n-k*a+this.m_motorImpulse+this.m_impulse.z)):(this.m_impulse.SetZero(),this.m_motorImpulse=0)};Box2D.Dynamics.Joints.b2RevoluteJoint.prototype.SolveVelocityConstraints=function(a){var b=
this.m_bodyA,c=this.m_bodyB,d=0,f=d=0,e=0,g=0,l=0,k=b.m_linearVelocity,h=b.m_angularVelocity,m=c.m_linearVelocity,n=c.m_angularVelocity,r=b.m_invMass,p=c.m_invMass,q=b.m_invI,t=c.m_invI;this.m_enableMotor&&this.m_limitState!=Box2D.Dynamics.Joints.b2Joint.e_equalLimits&&(f=this.m_motorMass*-(n-h-this.m_motorSpeed),e=this.m_motorImpulse,g=a.dt*this.m_maxMotorTorque,this.m_motorImpulse=Box2D.Common.Math.b2Math.Clamp(this.m_motorImpulse+f,-g,g),f=this.m_motorImpulse-e,h-=q*f,n+=t*f);if(this.m_enableLimit&&
this.m_limitState!=Box2D.Dynamics.Joints.b2Joint.e_inactiveLimit){a=b.m_xf.R;f=this.m_localAnchor1.x-b.m_sweep.localCenter.x;e=this.m_localAnchor1.y-b.m_sweep.localCenter.y;d=a.col1.x*f+a.col2.x*e;e=a.col1.y*f+a.col2.y*e;f=d;a=c.m_xf.R;g=this.m_localAnchor2.x-c.m_sweep.localCenter.x;l=this.m_localAnchor2.y-c.m_sweep.localCenter.y;d=a.col1.x*g+a.col2.x*l;l=a.col1.y*g+a.col2.y*l;g=d;a=m.x+-n*l-k.x- -h*e;var s=m.y+n*g-k.y-h*f;this.m_mass.Solve33(this.impulse3,-a,-s,-(n-h));this.m_limitState==Box2D.Dynamics.Joints.b2Joint.e_equalLimits?
this.m_impulse.Add(this.impulse3):this.m_limitState==Box2D.Dynamics.Joints.b2Joint.e_atLowerLimit?(d=this.m_impulse.z+this.impulse3.z,0>d&&(this.m_mass.Solve22(this.reduced,-a,-s),this.impulse3.x=this.reduced.x,this.impulse3.y=this.reduced.y,this.impulse3.z=-this.m_impulse.z,this.m_impulse.x+=this.reduced.x,this.m_impulse.y+=this.reduced.y,this.m_impulse.z=0)):this.m_limitState==Box2D.Dynamics.Joints.b2Joint.e_atUpperLimit&&(d=this.m_impulse.z+this.impulse3.z,0<d&&(this.m_mass.Solve22(this.reduced,
-a,-s),this.impulse3.x=this.reduced.x,this.impulse3.y=this.reduced.y,this.impulse3.z=-this.m_impulse.z,this.m_impulse.x+=this.reduced.x,this.m_impulse.y+=this.reduced.y,this.m_impulse.z=0));k.x-=r*this.impulse3.x;k.y-=r*this.impulse3.y;h-=q*(f*this.impulse3.y-e*this.impulse3.x+this.impulse3.z);m.x+=p*this.impulse3.x;m.y+=p*this.impulse3.y;n+=t*(g*this.impulse3.y-l*this.impulse3.x+this.impulse3.z)}else a=b.m_xf.R,f=this.m_localAnchor1.x-b.m_sweep.localCenter.x,e=this.m_localAnchor1.y-b.m_sweep.localCenter.y,
d=a.col1.x*f+a.col2.x*e,e=a.col1.y*f+a.col2.y*e,f=d,a=c.m_xf.R,g=this.m_localAnchor2.x-c.m_sweep.localCenter.x,l=this.m_localAnchor2.y-c.m_sweep.localCenter.y,d=a.col1.x*g+a.col2.x*l,l=a.col1.y*g+a.col2.y*l,g=d,this.m_mass.Solve22(this.impulse2,-(m.x+-n*l-k.x- -h*e),-(m.y+n*g-k.y-h*f)),this.m_impulse.x+=this.impulse2.x,this.m_impulse.y+=this.impulse2.y,k.x-=r*this.impulse2.x,k.y-=r*this.impulse2.y,h-=q*(f*this.impulse2.y-e*this.impulse2.x),m.x+=p*this.impulse2.x,m.y+=p*this.impulse2.y,n+=t*(g*this.impulse2.y-
l*this.impulse2.x);b.m_linearVelocity.SetV(k);b.m_angularVelocity=h;c.m_linearVelocity.SetV(m);c.m_angularVelocity=n};Box2D.Dynamics.Joints.b2RevoluteJoint.prototype.SolvePositionConstraints=function(a){var b=0,c;a=this.m_bodyA;var d=this.m_bodyB,f=0,e=c=0,g=0,l=0;if(this.m_enableLimit&&this.m_limitState!=Box2D.Dynamics.Joints.b2Joint.e_inactiveLimit){var b=d.m_sweep.a-a.m_sweep.a-this.m_referenceAngle,k=0;this.m_limitState==Box2D.Dynamics.Joints.b2Joint.e_equalLimits?(b=Box2D.Common.Math.b2Math.Clamp(b-
this.m_lowerAngle,-Box2D.Common.b2Settings.b2_maxAngularCorrection,Box2D.Common.b2Settings.b2_maxAngularCorrection),k=-this.m_motorMass*b,f=Math.abs(b)):this.m_limitState==Box2D.Dynamics.Joints.b2Joint.e_atLowerLimit?(b-=this.m_lowerAngle,f=-b,b=Box2D.Common.Math.b2Math.Clamp(b+Box2D.Common.b2Settings.b2_angularSlop,-Box2D.Common.b2Settings.b2_maxAngularCorrection,0),k=-this.m_motorMass*b):this.m_limitState==Box2D.Dynamics.Joints.b2Joint.e_atUpperLimit&&(f=b-=this.m_upperAngle,b=Box2D.Common.Math.b2Math.Clamp(b-
Box2D.Common.b2Settings.b2_angularSlop,0,Box2D.Common.b2Settings.b2_maxAngularCorrection),k=-this.m_motorMass*b);a.m_sweep.a-=a.m_invI*k;d.m_sweep.a+=d.m_invI*k;a.SynchronizeTransform();d.SynchronizeTransform()}c=a.m_xf.R;k=this.m_localAnchor1.x-a.m_sweep.localCenter.x;b=this.m_localAnchor1.y-a.m_sweep.localCenter.y;e=c.col1.x*k+c.col2.x*b;b=c.col1.y*k+c.col2.y*b;k=e;c=d.m_xf.R;var h=this.m_localAnchor2.x-d.m_sweep.localCenter.x,m=this.m_localAnchor2.y-d.m_sweep.localCenter.y,e=c.col1.x*h+c.col2.x*
m,m=c.col1.y*h+c.col2.y*m,h=e,g=d.m_sweep.c.x+h-a.m_sweep.c.x-k,l=d.m_sweep.c.y+m-a.m_sweep.c.y-b,n=g*g+l*l;c=Math.sqrt(n);var e=a.m_invMass,r=d.m_invMass,p=a.m_invI,q=d.m_invI,t=10*Box2D.Common.b2Settings.b2_linearSlop;n>t*t&&(n=1/(e+r),g=n*-g,l=n*-l,a.m_sweep.c.x-=0.5*e*g,a.m_sweep.c.y-=0.5*e*l,d.m_sweep.c.x+=0.5*r*g,d.m_sweep.c.y+=0.5*r*l,g=d.m_sweep.c.x+h-a.m_sweep.c.x-k,l=d.m_sweep.c.y+m-a.m_sweep.c.y-b);this.K1.col1.x=e+r;this.K1.col2.x=0;this.K1.col1.y=0;this.K1.col2.y=e+r;this.K2.col1.x=p*
b*b;this.K2.col2.x=-p*k*b;this.K2.col1.y=-p*k*b;this.K2.col2.y=p*k*k;this.K3.col1.x=q*m*m;this.K3.col2.x=-q*h*m;this.K3.col1.y=-q*h*m;this.K3.col2.y=q*h*h;this.K.SetM(this.K1);this.K.AddM(this.K2);this.K.AddM(this.K3);this.K.Solve(Box2D.Dynamics.Joints.b2RevoluteJoint.tImpulse,-g,-l);g=Box2D.Dynamics.Joints.b2RevoluteJoint.tImpulse.x;l=Box2D.Dynamics.Joints.b2RevoluteJoint.tImpulse.y;a.m_sweep.c.x-=a.m_invMass*g;a.m_sweep.c.y-=a.m_invMass*l;a.m_sweep.a-=a.m_invI*(k*l-b*g);d.m_sweep.c.x+=d.m_invMass*
g;d.m_sweep.c.y+=d.m_invMass*l;d.m_sweep.a+=d.m_invI*(h*l-m*g);a.SynchronizeTransform();d.SynchronizeTransform();return c<=Box2D.Common.b2Settings.b2_linearSlop&&f<=Box2D.Common.b2Settings.b2_angularSlop};Box2D.Dynamics.Joints.b2RevoluteJoint.tImpulse=Box2D.Common.Math.b2Vec2.Get(0,0);Box2D.Dynamics.Joints.b2RevoluteJointDef=function(){Box2D.Dynamics.Joints.b2JointDef.call(this);this.localAnchorA=Box2D.Common.Math.b2Vec2.Get(0,0);this.localAnchorB=Box2D.Common.Math.b2Vec2.Get(0,0);this.type=Box2D.Dynamics.Joints.b2Joint.e_revoluteJoint;
this.localAnchorA.SetZero();this.localAnchorB.SetZero();this.motorSpeed=this.maxMotorTorque=this.upperAngle=this.lowerAngle=this.referenceAngle=0;this.enableMotor=this.enableLimit=!1};c2inherit(Box2D.Dynamics.Joints.b2RevoluteJointDef,Box2D.Dynamics.Joints.b2JointDef);Box2D.Dynamics.Joints.b2RevoluteJointDef.prototype.Initialize=function(a,b,c){this.bodyA=a;this.bodyB=b;this.localAnchorA=this.bodyA.GetLocalPoint(c);this.localAnchorB=this.bodyB.GetLocalPoint(c);this.referenceAngle=this.bodyB.GetAngle()-
this.bodyA.GetAngle()};Box2D.Dynamics.Joints.b2RevoluteJointDef.prototype.Create=function(){return new Box2D.Dynamics.Joints.b2RevoluteJoint(this)};Box2D.Dynamics.Joints.b2WeldJoint=function(a){Box2D.Dynamics.Joints.b2Joint.call(this,a);this.m_localAnchorA=Box2D.Common.Math.b2Vec2.Get(0,0);this.m_localAnchorB=Box2D.Common.Math.b2Vec2.Get(0,0);this.m_impulse=new Box2D.Common.Math.b2Vec3(0,0,0);this.m_mass=new Box2D.Common.Math.b2Mat33;this.m_localAnchorA.SetV(a.localAnchorA);this.m_localAnchorB.SetV(a.localAnchorB);
this.m_referenceAngle=a.referenceAngle};c2inherit(Box2D.Dynamics.Joints.b2WeldJoint,Box2D.Dynamics.Joints.b2Joint);Box2D.Dynamics.Joints.b2WeldJoint.prototype.GetAnchorA=function(){return this.m_bodyA.GetWorldPoint(this.m_localAnchorA)};Box2D.Dynamics.Joints.b2WeldJoint.prototype.GetAnchorB=function(){return this.m_bodyB.GetWorldPoint(this.m_localAnchorB)};Box2D.Dynamics.Joints.b2WeldJoint.prototype.GetReactionForce=function(a){return Box2D.Common.Math.b2Vec2.Get(a*this.m_impulse.x,a*this.m_impulse.y)};
Box2D.Dynamics.Joints.b2WeldJoint.prototype.GetReactionTorque=function(a){return a*this.m_impulse.z};Box2D.Dynamics.Joints.b2WeldJoint.prototype.InitVelocityConstraints=function(a){var b,c=0,d=this.m_bodyA,f=this.m_bodyB;b=d.m_xf.R;var e=this.m_localAnchorA.x-d.m_sweep.localCenter.x,g=this.m_localAnchorA.y-d.m_sweep.localCenter.y,c=b.col1.x*e+b.col2.x*g,g=b.col1.y*e+b.col2.y*g,e=c;b=f.m_xf.R;var l=this.m_localAnchorB.x-f.m_sweep.localCenter.x,k=this.m_localAnchorB.y-f.m_sweep.localCenter.y,c=b.col1.x*
l+b.col2.x*k,k=b.col1.y*l+b.col2.y*k,l=c;b=d.m_invMass;var c=f.m_invMass,h=d.m_invI,m=f.m_invI;this.m_mass.col1.x=b+c+g*g*h+k*k*m;this.m_mass.col2.x=-g*e*h-k*l*m;this.m_mass.col3.x=-g*h-k*m;this.m_mass.col1.y=this.m_mass.col2.x;this.m_mass.col2.y=b+c+e*e*h+l*l*m;this.m_mass.col3.y=e*h+l*m;this.m_mass.col1.z=this.m_mass.col3.x;this.m_mass.col2.z=this.m_mass.col3.y;this.m_mass.col3.z=h+m;a.warmStarting?(this.m_impulse.x*=a.dtRatio,this.m_impulse.y*=a.dtRatio,this.m_impulse.z*=a.dtRatio,d.m_linearVelocity.x-=
b*this.m_impulse.x,d.m_linearVelocity.y-=b*this.m_impulse.y,d.m_angularVelocity-=h*(e*this.m_impulse.y-g*this.m_impulse.x+this.m_impulse.z),f.m_linearVelocity.x+=c*this.m_impulse.x,f.m_linearVelocity.y+=c*this.m_impulse.y,f.m_angularVelocity+=m*(l*this.m_impulse.y-k*this.m_impulse.x+this.m_impulse.z)):this.m_impulse.SetZero()};Box2D.Dynamics.Joints.b2WeldJoint.prototype.SolveVelocityConstraints=function(a){var b,c=0;a=this.m_bodyA;var d=this.m_bodyB,f=a.m_linearVelocity,e=a.m_angularVelocity,g=d.m_linearVelocity,
l=d.m_angularVelocity,k=a.m_invMass,h=d.m_invMass,m=a.m_invI,n=d.m_invI;b=a.m_xf.R;var r=this.m_localAnchorA.x-a.m_sweep.localCenter.x,p=this.m_localAnchorA.y-a.m_sweep.localCenter.y,c=b.col1.x*r+b.col2.x*p,p=b.col1.y*r+b.col2.y*p,r=c;b=d.m_xf.R;var q=this.m_localAnchorB.x-d.m_sweep.localCenter.x,t=this.m_localAnchorB.y-d.m_sweep.localCenter.y,c=b.col1.x*q+b.col2.x*t,t=b.col1.y*q+b.col2.y*t,q=c;b=g.x-l*t-f.x+e*p;var c=g.y+l*q-f.y-e*r,s=l-e,u=new Box2D.Common.Math.b2Vec3(0,0,0);this.m_mass.Solve33(u,
-b,-c,-s);this.m_impulse.Add(u);f.x-=k*u.x;f.y-=k*u.y;e-=m*(r*u.y-p*u.x+u.z);g.x+=h*u.x;g.y+=h*u.y;l+=n*(q*u.y-t*u.x+u.z);a.m_angularVelocity=e;d.m_angularVelocity=l};Box2D.Dynamics.Joints.b2WeldJoint.prototype.SolvePositionConstraints=function(a){var b,c=0;a=this.m_bodyA;var d=this.m_bodyB;b=a.m_xf.R;var f=this.m_localAnchorA.x-a.m_sweep.localCenter.x,e=this.m_localAnchorA.y-a.m_sweep.localCenter.y,c=b.col1.x*f+b.col2.x*e,e=b.col1.y*f+b.col2.y*e,f=c;b=d.m_xf.R;var g=this.m_localAnchorB.x-d.m_sweep.localCenter.x,
l=this.m_localAnchorB.y-d.m_sweep.localCenter.y,c=b.col1.x*g+b.col2.x*l,l=b.col1.y*g+b.col2.y*l,g=c;b=a.m_invMass;var c=d.m_invMass,k=a.m_invI,h=d.m_invI,m=d.m_sweep.c.x+g-a.m_sweep.c.x-f,n=d.m_sweep.c.y+l-a.m_sweep.c.y-e,r=d.m_sweep.a-a.m_sweep.a-this.m_referenceAngle,p=10*Box2D.Common.b2Settings.b2_linearSlop,q=Math.sqrt(m*m+n*n),t=Math.abs(r);q>p&&(k*=1,h*=1);this.m_mass.col1.x=b+c+e*e*k+l*l*h;this.m_mass.col2.x=-e*f*k-l*g*h;this.m_mass.col3.x=-e*k-l*h;this.m_mass.col1.y=this.m_mass.col2.x;this.m_mass.col2.y=
b+c+f*f*k+g*g*h;this.m_mass.col3.y=f*k+g*h;this.m_mass.col1.z=this.m_mass.col3.x;this.m_mass.col2.z=this.m_mass.col3.y;this.m_mass.col3.z=k+h;p=new Box2D.Common.Math.b2Vec3(0,0,0);this.m_mass.Solve33(p,-m,-n,-r);a.m_sweep.c.x-=b*p.x;a.m_sweep.c.y-=b*p.y;a.m_sweep.a-=k*(f*p.y-e*p.x+p.z);d.m_sweep.c.x+=c*p.x;d.m_sweep.c.y+=c*p.y;d.m_sweep.a+=h*(g*p.y-l*p.x+p.z);a.SynchronizeTransform();d.SynchronizeTransform();return q<=Box2D.Common.b2Settings.b2_linearSlop&&t<=Box2D.Common.b2Settings.b2_angularSlop};
Box2D.Dynamics.Joints.b2WeldJointDef=function(){Box2D.Dynamics.Joints.b2JointDef.call(this);this.localAnchorA=Box2D.Common.Math.b2Vec2.Get(0,0);this.localAnchorB=Box2D.Common.Math.b2Vec2.Get(0,0);this.type=Box2D.Dynamics.Joints.b2Joint.e_weldJoint;this.referenceAngle=0};c2inherit(Box2D.Dynamics.Joints.b2WeldJointDef,Box2D.Dynamics.Joints.b2JointDef);Box2D.Dynamics.Joints.b2WeldJointDef.prototype.Initialize=function(a,b,c){this.bodyA=a;this.bodyB=b;this.localAnchorA.SetV(this.bodyA.GetLocalPoint(c));
this.localAnchorB.SetV(this.bodyB.GetLocalPoint(c));this.referenceAngle=this.bodyB.GetAngle()-this.bodyA.GetAngle()};Box2D.Dynamics.Joints.b2WeldJointDef.prototype.Create=function(){return new Box2D.Dynamics.Joints.b2WeldJoint(this)};Box2D.Collision.b2Collision.s_incidentEdge=Box2D.Collision.b2Collision.MakeClipPointVector();Box2D.Collision.b2Collision.s_clipPoints1=Box2D.Collision.b2Collision.MakeClipPointVector();Box2D.Collision.b2Collision.s_clipPoints2=Box2D.Collision.b2Collision.MakeClipPointVector();
Box2D.Collision.b2Collision.s_localTangent=Box2D.Common.Math.b2Vec2.Get(0,0);Box2D.Collision.b2Collision.s_localNormal=Box2D.Common.Math.b2Vec2.Get(0,0);Box2D.Collision.b2Collision.s_planePoint=Box2D.Common.Math.b2Vec2.Get(0,0);Box2D.Collision.b2Collision.s_normal=Box2D.Common.Math.b2Vec2.Get(0,0);Box2D.Collision.b2Collision.s_tangent=Box2D.Common.Math.b2Vec2.Get(0,0);Box2D.Collision.b2Collision.s_tangent2=Box2D.Common.Math.b2Vec2.Get(0,0);Box2D.Collision.b2Collision.s_v11=Box2D.Common.Math.b2Vec2.Get(0,
0);Box2D.Collision.b2Collision.s_v12=Box2D.Common.Math.b2Vec2.Get(0,0);Box2D.Collision.b2TimeOfImpact.b2_toiCalls=0;Box2D.Collision.b2TimeOfImpact.b2_toiIters=0;Box2D.Collision.b2TimeOfImpact.b2_toiMaxIters=0;Box2D.Collision.b2TimeOfImpact.b2_toiRootIters=0;Box2D.Collision.b2TimeOfImpact.b2_toiMaxRootIters=0;Box2D.Collision.b2TimeOfImpact.s_cache=new Box2D.Collision.b2SimplexCache;Box2D.Collision.b2TimeOfImpact.s_distanceInput=new Box2D.Collision.b2DistanceInput;Box2D.Collision.b2TimeOfImpact.s_xfA=
new Box2D.Common.Math.b2Transform;Box2D.Collision.b2TimeOfImpact.s_xfB=new Box2D.Common.Math.b2Transform;Box2D.Collision.b2TimeOfImpact.s_fcn=new Box2D.Collision.b2SeparationFunction;Box2D.Collision.b2TimeOfImpact.s_distanceOutput=new Box2D.Collision.b2DistanceOutput;Box2D.Dynamics.b2Body.s_xf1=new Box2D.Common.Math.b2Transform;Box2D.Dynamics.b2ContactListener.b2_defaultListener=new Box2D.Dynamics.b2ContactListener;Box2D.Dynamics.b2ContactManager.s_evalCP=new Box2D.Collision.b2ContactPoint;Box2D.Dynamics.b2World.s_xf=
new Box2D.Common.Math.b2Transform;Box2D.Dynamics.b2World.s_backupA=new Box2D.Common.Math.b2Sweep;Box2D.Dynamics.b2World.s_backupB=new Box2D.Common.Math.b2Sweep;Box2D.Dynamics.Contacts.b2Contact.s_input=new Box2D.Collision.b2TOIInput;Box2D.Dynamics.Contacts.b2ContactSolver.s_worldManifold=new Box2D.Collision.b2WorldManifold;Box2D.Dynamics.Contacts.b2ContactSolver.s_psm=new Box2D.Dynamics.Contacts.b2PositionSolverManifold}cr.b2Separator=function(){};
cr.b2Separator.det=function(a,b,c,d,f,e){return a*d+c*e+f*b-b*c-d*f-e*a};cr.b2Separator.hitRay=function(a,b,c,d,f,e,g,l){var k=c-a,h=d-b,m=g-f,n=l-e,m=(m*(e-b)-n*(f-a))/(h*m-k*n),k=a+m*k,h=b+m*h;a=cr.b2Separator.isOnSegment(c,d,a,b,k,h);f=cr.b2Separator.isOnSegment(k,h,f,e,g,l);return a&&f?Box2D.Common.Math.b2Vec2.Get(k,h):null};
cr.b2Separator.isOnSegment=function(a,b,c,d,f,e){return(c+0.1>=a&&a>=f-0.1||c-0.1<=a&&a<=f+0.1)&&(d+0.1>=b&&b>=e-0.1||d-0.1<=b&&b<=e+0.1)&&cr.b2Separator.isOnLine(a,b,c,d,f,e)};cr.b2Separator.isOnLine=function(a,b,c,d,f,e){return 0.1<Math.abs(f-c)?0.1>Math.abs((e-d)/(f-c)*(a-c)+d-b):0.1>Math.abs(a-c)};cr.b2Separator.pointsMatch=function(a,b,c,d){return 0.1>Math.abs(c-a)&&0.1>Math.abs(d-b)};
cr.b2Separator.Separate=function(a,b){var c=Box2D.Common.Math.b2Vec2,d=cr.b2Separator.calcShapes(a),f=[],e,g,l,k,h,m,n,r,p;h=0;for(m=d.length;h<m;h++){g=d[h];e=[];e.length=g.length;n=p=0;for(r=g.length;n<r;n++)l=g[n],k=g[(n+1)%r],p+=l.x*k.y-l.y*k.x,e[n]=c.Get(l.x,l.y);p=Math.abs(p/2);p>=0.0010*b&&f.push(e)}return f};
cr.b2Separator.calcShapes=function(a){var b=[],c=0,d=0,f=0,e=0,g=0,l=g=0,k=0,h=0,m=0,e=0,n,r,p,q=e=c=0,t=0,f=[],k=[],s=!1,u=[],y=[];for(y.push(a);y.length;){b=y[0];d=b.length;s=!0;for(c=0;c<d;c++)if(h=c,m=c<d-1?c+1:c+1-d,e=c<d-2?c+2:c+2-d,a=b[h],n=b[m],e=b[e],e=cr.b2Separator.det(a.x,a.y,n.x,n.y,e.x,e.y),0>e){s=!1;k=1E9;for(f=0;f<d;f++)f!==h&&f!==m&&(c=f,e=f<d-1?f+1:0,g=b[c],l=b[e],r=cr.b2Separator.hitRay(a.x,a.y,n.x,n.y,g.x,g.y,l.x,l.y))&&(g=n.x-r.x,l=n.y-r.y,g=g*g+l*l,g<k&&(t=c,q=e,p=r,k=g));if(1E9===
k)return[];f=[];k=[];c=t;e=q;g=b[c];l=b[e];cr.b2Separator.pointsMatch(p.x,p.y,l.x,l.y)||f.push(p);cr.b2Separator.pointsMatch(p.x,p.y,g.x,g.y)||k.push(p);t=-1;for(q=h;;){if(q!==e)f.push(b[q]);else{if(0>t||t>=d)return[];cr.b2Separator.isOnSegment(l.x,l.y,b[t].x,b[t].y,a.x,a.y)||f.push(b[q]);break}t=q;0>q-1?q=d-1:q--}f.reverse();t=-1;for(q=m;;){if(q!==c)k.push(b[q]);else{if(0>t||t>=d)return[];q!==c||cr.b2Separator.isOnSegment(g.x,g.y,b[t].x,b[t].y,n.x,n.y)||k.push(b[q]);break}t=q;q+1>d-1?q=0:q++}y.push(f,
k);y.shift();break}s&&u.push(y.shift())}return u};
cr.behaviors.Physics=function(a){for(var b=0;4E3>b;b++)Box2D.Common.Math.b2Vec2._freeCache.push(new Box2D.Common.Math.b2Vec2(0,0));this.runtime=a;this.world=new Box2D.Dynamics.b2World(Box2D.Common.Math.b2Vec2.Get(0,10),!0);this.worldG=10;this.lastUpdateTick=-1;a=new Box2D.Dynamics.b2ContactListener;a.behavior=this;a.BeginContact=function(a){var b=a.m_fixtureA.GetBody().c2userdata;a=a.m_fixtureB.GetBody().c2userdata;this.behavior.runtime.registerCollision(b.inst,a.inst)};this.world.SetContactListener(a);
a=new Box2D.Dynamics.b2ContactFilter;a.behavior=this;a.ShouldCollide=function(a,b){if(this.behavior.allCollisionsEnabled)return!0;var f=a.GetBody().c2userdata.inst.type,e=b.GetBody().c2userdata.inst.type,g=f.extra.Physics_DisabledCollisions;return g&&g.contains(e)?!1:(g=e.extra.Physics_DisabledCollisions)&&g.contains(f)?!1:!0};this.world.SetContactFilter(a);this.steppingMode=0;this.velocityIterations=8;this.positionIterations=3;this.allCollisionsEnabled=!0};
(function(){function a(){}function b(){}function c(a,b,c){c?((c=a.extra.Physics_DisabledCollisions)&&c.remove(b),(c=b.extra.Physics_DisabledCollisions)&&c.remove(a)):(a.extra.Physics_DisabledCollisions||(a.extra.Physics_DisabledCollisions=new cr.ObjectSet),a.extra.Physics_DisabledCollisions.add(b),b.extra.Physics_DisabledCollisions||(b.extra.Physics_DisabledCollisions=new cr.ObjectSet),b.extra.Physics_DisabledCollisions.add(a))}function d(){}var f=Box2D.Common.Math.b2Vec2,e=Box2D.Dynamics.b2BodyDef,
g=Box2D.Dynamics.b2FixtureDef,l=Box2D.Collision.Shapes.b2PolygonShape,k=Box2D.Collision.Shapes.b2CircleShape,h=Box2D.Dynamics.Joints.b2DistanceJointDef,m=Box2D.Dynamics.Joints.b2RevoluteJointDef,n=cr.behaviors.Physics.prototype;n.Type=function(a,b){this.behavior=a;this.objtype=b;this.runtime=a.runtime};n.Type.prototype.onCreate=function(){};n.Instance=function(a,b){this.type=a;this.behavior=a.behavior;this.inst=b;this.runtime=a.runtime;this.world=this.behavior.world};var r=n.Instance.prototype;r.onCreate=
function(){this.immovable=0!==this.properties[0];this.collisionmask=this.properties[1];this.preventRotation=0!==this.properties[2];this.density=this.properties[3];this.friction=this.properties[4];this.restitution=this.properties[5];this.linearDamping=this.properties[6];this.angularDamping=this.properties[7];this.bullet=0!==this.properties[8];this.enabled=0!==this.properties[9];this.body=null;this.inst.update_bbox();this.lastKnownX=this.inst.x;this.lastKnownY=this.inst.y;this.lastKnownAngle=this.inst.angle;
this.lastHeight=this.lastWidth=0;this.recreateBody=this.lastTickOverride=!1;this.lastAnimation=null;this.lastAnimationFrame=-1;this.myJoints?(this.myJoints.length=0,this.myCreatedJoints.length=0,this.joiningMe.clear()):(this.myJoints=[],this.myCreatedJoints=[],this.joiningMe=new cr.ObjectSet);var a=this;this.recycled||(this.myDestroyCallback=function(b){a.onInstanceDestroyed(b)});this.runtime.addDestroyCallback(this.myDestroyCallback)};r.postCreate=function(){this.inst.update_bbox();this.createBody();
this.lastAnimation=this.inst.cur_animation;this.lastAnimationFrame=this.inst.cur_frame};r.onDestroy=function(){this.destroyMyJoints();this.myCreatedJoints.length=0;this.joiningMe.clear();this.body&&(this.world.DestroyBody(this.body),this.body=null);this.runtime.removeDestroyCallback(this.myDestroyCallback)};r.saveToJSON=function(){var a={e:this.enabled,im:this.immovable,pr:this.preventRotation,d:this.density,fr:this.friction,re:this.restitution,ld:this.linearDamping,ad:this.angularDamping,b:this.bullet,
mcj:this.myCreatedJoints};if(this.enabled){var b=f.Get(0,0);b.SetV(this.body.GetLinearVelocity());a.vx=b.x;a.vy=b.y;a.om=this.body.GetAngularVelocity()}return a};r.loadFromJSON=function(a){this.destroyMyJoints();this.myCreatedJoints.length=0;this.joiningMe.clear();this.body&&(this.world.DestroyBody(this.body),this.body=null);this.enabled=a.e;this.immovable=a.im;this.preventRotation=a.pr;this.density=a.d;this.friction=a.fr;this.restitution=a.re;this.linearDamping=a.ld;this.angularDamping=a.ad;this.bullet=
a.b;this.lastKnownX=this.inst.x;this.lastKnownY=this.inst.y;this.lastKnownAngle=this.inst.angle;this.lastWidth=this.inst.width;this.lastHeight=this.inst.height;this.enabled&&(this.createBody(),this.body.SetLinearVelocity(f.Get(a.vx,a.vy)),this.body.SetAngularVelocity(a.om),0===a.vx&&0===a.vy&&0===a.om||this.body.SetAwake(!0),this.myCreatedJoints=a.mcj)};r.afterLoad=function(){this.enabled&&this.recreateMyJoints();this.behavior.lastUpdateTick=this.runtime.tickcount-1};r.onInstanceDestroyed=function(a){var b,
c,d,e=a.uid;d=b=0;for(c=this.myCreatedJoints.length;b<c;b++)this.myCreatedJoints[d]=this.myCreatedJoints[b],d<this.myJoints.length&&(this.myJoints[d]=this.myJoints[b]),this.myCreatedJoints[b].params[1]==e?this.world.DestroyJoint(this.myJoints[b]):d++;this.myCreatedJoints.length=d;d<this.myJoints.length&&(this.myJoints.length=d);this.joiningMe.remove(a)};r.destroyMyJoints=function(){var a,b;a=0;for(b=this.myJoints.length;a<b;a++)this.world.DestroyJoint(this.myJoints[a]);this.myJoints.length=0};r.recreateMyJoints=
function(){var a,b,c;a=0;for(b=this.myCreatedJoints.length;a<b;a++)switch(c=this.myCreatedJoints[a],c.type){case 0:this.doCreateDistanceJoint(c.params[0],c.params[1],c.params[2],c.params[3],c.params[4]);break;case 1:this.doCreateRevoluteJoint(c.params[0],c.params[1]);break;case 2:this.doCreateLimitedRevoluteJoint(c.params[0],c.params[1],c.params[2],c.params[3])}};r.destroyBody=function(){this.body&&(this.destroyMyJoints(),this.world.DestroyBody(this.body),this.body=null,this.inst.extra.box2dbody=
null)};var p=[];r.createBody=function(){if(this.enabled){var a=this.inst,b=!1,c=null,d=null,h,m,n,r,w,B,x,A,z,G,D,H,J;if(this.body){b=!0;c=f.Get(0,0);c.SetV(this.body.GetLinearVelocity());d=this.body.GetAngularVelocity();A=this.joiningMe.valuesRef();h=0;for(m=A.length;h<m;h++)z=A[h].extra.box2dbody.c2userdata,z.destroyMyJoints();this.destroyBody()}z=new g;z.density=this.density;z.friction=this.friction;z.restitution=this.restitution;h=new e;h.type=this.immovable?0:2;a.update_bbox();h.position.x=0.02*
a.bquad.midX();h.position.y=0.02*a.bquad.midY();h.angle=a.angle;h.fixedRotation=this.preventRotation;h.linearDamping=this.linearDamping;h.angularDamping=this.angularDamping;h.bullet=this.bullet;A=this.inst.collision_poly&&!this.inst.collision_poly.is_empty();this.body=this.world.CreateBody(h);this.body.c2userdata=this;h=this.collisionmask;A||this.inst.tilemap_exists||0!==this.collisionmask||(h=1);m=Math.max(Math.abs(a.width),1);n=Math.max(Math.abs(a.height),1);G=0>a.width;D=0>a.height;if(0===h)if(a.tilemap_exists)for(H=
a.bquad.midX()-a.x,x=a.bquad.midY()-a.y,a.getAllCollisionRects(p),A=[],h=0,m=p.length;h<m;++h){G=p[h];D=G.rc;if(G.poly){if(!G.poly.convexpolys){w=G.poly.pts_cache;r=G.poly.pts_count;for(n=0;n<r;++n)A.push(f.Get(w[2*n],w[2*n+1]));n=G.id&3758096384;(-2147483648===n||1073741824===n||536870912===n||n&-2147483648&&n&1073741824&&n&536870912)&&A.reverse();G.poly.convexpolys=cr.b2Separator.Separate(A,(D.right-D.left)*(D.bottom-D.top));n=0;for(r=A.length;n<r;++n)f.Free(A[n]);A.length=0}n=0;for(r=G.poly.convexpolys.length;n<
r;++n){J=G.poly.convexpolys[n];w=0;for(B=J.length;w<B;++w)A.push(f.Get(0.02*(D.left+J[w].x-H),0.02*(D.top+J[w].y-x)));z.shape=new l;z.shape.SetAsArray(A,A.length);this.body.CreateFixture(z);w=0;for(B=A.length;w<B;++w)f.Free(A[w]);A.length=0}}else A.push(f.Get(0.02*(D.left-H),0.02*(D.top-x))),A.push(f.Get(0.02*(D.right-H),0.02*(D.top-x))),A.push(f.Get(0.02*(D.right-H),0.02*(D.bottom-x))),A.push(f.Get(0.02*(D.left-H),0.02*(D.bottom-x))),z.shape=new l,z.shape.SetAsArray(A,A.length),this.body.CreateFixture(z);
n=0;for(r=A.length;n<r;++n)f.Free(A[n]);A.length=0}else{h=a.angle;a.angle=0;a.set_bbox_changed();a.update_bbox();H=a.bquad.midX()-a.x;x=a.bquad.midY()-a.y;a.angle=h;a.set_bbox_changed();a.collision_poly.cache_poly(G?-m:m,D?-n:n,0);w=a.collision_poly.pts_cache;r=a.collision_poly.pts_count;A=[];A.length=r;for(h=0;h<r;h++)A[h]=f.Get(w[2*h]-H,w[2*h+1]-x);G!==D&&A.reverse();H=cr.b2Separator.Separate(A,m*n);for(h=0;h<r;h++)f.Free(A[h]);if(H.length)for(h=0,m=H.length;h<m;h++){A=H[h];n=0;for(r=A.length;n<
r;n++)x=A[n],x.x*=0.02,x.y*=0.02;z.shape=new l;z.shape.SetAsArray(A,A.length);this.body.CreateFixture(z);n=0;for(r=A.length;n<r;n++)f.Free(A[n])}else z.shape=new l,z.shape.SetAsBox(0.01*m,0.01*n),this.body.CreateFixture(z)}else 1===h?(z.shape=new l,z.shape.SetAsBox(0.01*m,0.01*n)):z.shape=new k(0.01*Math.min(m,n)),this.body.CreateFixture(z);a.extra.box2dbody=this.body;this.lastWidth=a.width;this.lastHeight=a.height;if(b)for(this.body.SetLinearVelocity(c),this.body.SetAngularVelocity(d),f.Free(c),
this.recreateMyJoints(),A=this.joiningMe.valuesRef(),h=0,m=A.length;h<m;h++)z=A[h].extra.box2dbody.c2userdata,z.recreateMyJoints();p.length=0}};r.tick=function(){if(this.enabled){var a=this.inst,b;0===this.behavior.steppingMode?b=this.runtime.timescale/60:(b=this.runtime.getDt(this.inst),b>1/30&&(b=1/30));this.runtime.tickcount>this.behavior.lastUpdateTick&&0<this.runtime.timescale&&(this.world.Step(b,this.behavior.velocityIterations,this.behavior.positionIterations),this.world.ClearForces(),this.behavior.lastUpdateTick=
this.runtime.tickcount);if(this.recreateBody||a.width!==this.lastWidth||a.height!==this.lastHeight||a.cur_animation!==this.lastAnimation||a.cur_frame!==this.lastAnimationFrame||a.tilemap_exists&&a.physics_changed)this.createBody(),this.recreateBody=!1,this.lastAnimation=a.cur_animation,this.lastAnimationFrame=a.cur_frame,a.tilemap_exists&&a.physics_changed&&(a.physics_changed=!1);b=a.angle!==this.lastKnownAngle;if(a.x!==this.lastKnownX||a.y!==this.lastKnownY){a.update_bbox();var c=a.bquad.midX(),
d=a.bquad.midY(),e=c-this.lastKnownX,g=d-this.lastKnownY;this.body.SetPosition(f.Get(0.02*c,0.02*d));this.body.SetLinearVelocity(f.Get(e,g));this.lastTickOverride=!0;this.body.SetAwake(!0)}else this.lastTickOverride&&(this.lastTickOverride=!1,this.body.SetLinearVelocity(f.Get(0,0)),this.body.SetPosition(f.Get(0.02*a.bquad.midX(),0.02*a.bquad.midY())));b&&(this.body.SetAngle(a.angle),this.body.SetAwake(!0));c=this.body.GetPosition();b=c.x/0.02;c=c.y/0.02;d=this.body.GetAngle();if(b!==a.x||c!==a.y||
d!==a.angle)if(a.x=b,a.y=c,a.angle=d,a.set_bbox_changed(),a.update_bbox(),b=a.bquad.midX()-a.x,c=a.bquad.midY()-a.y,0!==b||0!==c)a.x-=b,a.y-=c,a.set_bbox_changed();this.lastKnownX=a.x;this.lastKnownY=a.y;this.lastKnownAngle=a.angle}};r.getInstImgPointX=function(a){return-1!==a&&this.inst.getImagePoint?0===a&&this.body?(this.body.GetPosition().x+this.body.GetLocalCenter().x)/0.02:this.inst.getImagePoint(a,!0):this.inst.x};r.getInstImgPointY=function(a){return-1!==a&&this.inst.getImagePoint?0===a&&
this.body?(this.body.GetPosition().y+this.body.GetLocalCenter().y)/0.02:this.inst.getImagePoint(a,!1):this.inst.y};a.prototype.IsSleeping=function(){return this.enabled?!this.body.IsAwake():!1};a.prototype.CompareVelocity=function(a,b,c){if(!this.enabled)return!1;var d=this.body.GetLinearVelocity();0===a?d=d.x/0.02:1===a?d=d.y/0.02:(a=d.x/0.02,d=d.y/0.02,d=cr.distanceTo(0,0,a,d));return cr.do_cmp(d,b,c)};a.prototype.CompareAngularVelocity=function(a,b){if(!this.enabled)return!1;var c=cr.to_degrees(this.body.GetAngularVelocity());
return cr.do_cmp(c,a,b)};a.prototype.CompareMass=function(a,b){if(!this.enabled)return!1;var c=this.body.GetMass()/0.02;return cr.do_cmp(c,a,b)};a.prototype.IsEnabled=function(){return this.enabled};n.cnds=new a;b.prototype.ApplyForce=function(a,b,c){if(this.enabled){var d=this.getInstImgPointX(c);c=this.getInstImgPointY(c);this.body.ApplyForce(f.Get(a,b),f.Get(0.02*d,0.02*c))}};b.prototype.ApplyForceToward=function(a,b,c,d){if(this.enabled){var e=this.getInstImgPointX(d);d=this.getInstImgPointY(d);
b=cr.angleTo(e,d,b,c);this.body.ApplyForce(f.Get(Math.cos(b)*a,Math.sin(b)*a),f.Get(0.02*e,0.02*d))}};b.prototype.ApplyForceAtAngle=function(a,b,c){if(this.enabled){b=cr.to_radians(b);var d=this.getInstImgPointX(c);c=this.getInstImgPointY(c);this.body.ApplyForce(f.Get(Math.cos(b)*a,Math.sin(b)*a),f.Get(0.02*d,0.02*c))}};b.prototype.ApplyImpulse=function(a,b,c){if(this.enabled){var d=this.getInstImgPointX(c);c=this.getInstImgPointY(c);this.body.ApplyImpulse(f.Get(a,b),f.Get(0.02*d,0.02*c));this.lastTickOverride=
!1;this.lastKnownX=this.inst.x;this.lastKnownY=this.inst.y}};b.prototype.ApplyImpulseToward=function(a,b,c,d){if(this.enabled){var e=this.getInstImgPointX(d);d=this.getInstImgPointY(d);b=cr.angleTo(e,d,b,c);this.body.ApplyImpulse(f.Get(Math.cos(b)*a,Math.sin(b)*a),f.Get(0.02*e,0.02*d));this.lastTickOverride=!1;this.lastKnownX=this.inst.x;this.lastKnownY=this.inst.y}};b.prototype.ApplyImpulseAtAngle=function(a,b,c){if(this.enabled){b=cr.to_radians(b);var d=this.getInstImgPointX(c);c=this.getInstImgPointY(c);
this.body.ApplyImpulse(f.Get(Math.cos(b)*a,Math.sin(b)*a),f.Get(0.02*d,0.02*c));this.lastTickOverride=!1;this.lastKnownX=this.inst.x;this.lastKnownY=this.inst.y}};b.prototype.ApplyTorque=function(a){this.enabled&&this.body.ApplyTorque(cr.to_radians(a))};b.prototype.ApplyTorqueToAngle=function(a,b){this.enabled&&(a=cr.to_radians(a),b=cr.to_radians(b),cr.angleClockwise(this.inst.angle,b)?this.body.ApplyTorque(-a):this.body.ApplyTorque(a))};b.prototype.ApplyTorqueToPosition=function(a,b,c){this.enabled&&
(a=cr.to_radians(a),b=cr.angleTo(this.inst.x,this.inst.y,b,c),cr.angleClockwise(this.inst.angle,b)?this.body.ApplyTorque(-a):this.body.ApplyTorque(a))};b.prototype.SetAngularVelocity=function(a){this.enabled&&(this.body.SetAngularVelocity(cr.to_radians(a)),this.body.SetAwake(!0))};b.prototype.CreateDistanceJoint=function(a,b,c,d,e){b&&this.enabled&&(b=b.getFirstPicked(this.inst))&&b!=this.inst&&b.extra.box2dbody&&(this.myCreatedJoints.push({type:0,params:[a,b.uid,c,d,e]}),this.doCreateDistanceJoint(a,
b.uid,c,d,e))};r.doCreateDistanceJoint=function(a,b,c,d,e){if(this.enabled&&(b=this.runtime.getObjectByUID(b))&&b!=this.inst&&b.extra.box2dbody){b.extra.box2dbody.c2userdata.joiningMe.add(this.inst);var g=this.getInstImgPointX(a);a=this.getInstImgPointY(a);var k;b.getImagePoint?(k=b.getImagePoint(c,!0),c=b.getImagePoint(c,!1)):(k=b.x,c=b.y);var l=g-k,m=a-c,n=new h;n.Initialize(this.body,b.extra.box2dbody,f.Get(0.02*g,0.02*a),f.Get(0.02*k,0.02*c));n.length=0.02*Math.sqrt(l*l+m*m);n.dampingRatio=d;
n.frequencyHz=e;this.myJoints.push(this.world.CreateJoint(n))}};b.prototype.CreateRevoluteJoint=function(a,b){if(b&&this.enabled){var c=b.getFirstPicked(this.inst);c&&c!=this.inst&&c.extra.box2dbody&&(this.myCreatedJoints.push({type:1,params:[a,c.uid]}),this.doCreateRevoluteJoint(a,c.uid))}};r.doCreateRevoluteJoint=function(a,b){if(this.enabled){var c=this.runtime.getObjectByUID(b);if(c&&c!=this.inst&&c.extra.box2dbody){c.extra.box2dbody.c2userdata.joiningMe.add(this.inst);var d=this.getInstImgPointX(a),
e=this.getInstImgPointY(a),g=new m;g.Initialize(this.body,c.extra.box2dbody,f.Get(0.02*d,0.02*e));this.myJoints.push(this.world.CreateJoint(g))}}};b.prototype.CreateLimitedRevoluteJoint=function(a,b,c,d){b&&this.enabled&&(b=b.getFirstPicked(this.inst))&&b!=this.inst&&b.extra.box2dbody&&(this.myCreatedJoints.push({type:2,params:[a,b.uid,c,d]}),this.doCreateLimitedRevoluteJoint(a,b.uid,c,d))};r.doCreateLimitedRevoluteJoint=function(a,b,c,d){if(this.enabled&&(b=this.runtime.getObjectByUID(b))&&b!=this.inst&&
b.extra.box2dbody){b.extra.box2dbody.c2userdata.joiningMe.add(this.inst);var e=this.getInstImgPointX(a);a=this.getInstImgPointY(a);var g=new m;g.Initialize(this.body,b.extra.box2dbody,f.Get(0.02*e,0.02*a));g.enableLimit=!0;g.lowerAngle=cr.to_radians(c);g.upperAngle=cr.to_radians(d);this.myJoints.push(this.world.CreateJoint(g))}};b.prototype.SetWorldGravity=function(a){if(a!==this.behavior.worldG){this.world.SetGravity(f.Get(0,a));this.behavior.worldG=a;var b,c=this.behavior.my_instances.valuesRef();
a=0;for(b=c.length;a<b;a++)c[a].extra.box2dbody&&c[a].extra.box2dbody.SetAwake(!0)}};b.prototype.SetSteppingMode=function(a){this.behavior.steppingMode=a};b.prototype.SetIterations=function(a,b){1>a&&(a=1);1>b&&(b=1);this.behavior.velocityIterations=a;this.behavior.positionIterations=b};b.prototype.SetVelocity=function(a,b){this.enabled&&(this.body.SetLinearVelocity(f.Get(0.02*a,0.02*b)),this.body.SetAwake(!0),this.lastTickOverride=!1,this.lastKnownX=this.inst.x,this.lastKnownY=this.inst.y)};b.prototype.SetDensity=
function(a){this.enabled&&this.density!==a&&(this.density=a,this.recreateBody=!0)};b.prototype.SetFriction=function(a){this.enabled&&this.friction!==a&&(this.friction=a,this.recreateBody=!0)};b.prototype.SetElasticity=function(a){this.enabled&&this.restitution!==a&&(this.restitution=a,this.recreateBody=!0)};b.prototype.SetLinearDamping=function(a){this.enabled&&this.linearDamping!==a&&(this.linearDamping=a,this.body.SetLinearDamping(a))};b.prototype.SetAngularDamping=function(a){this.enabled&&this.angularDamping!==
a&&(this.angularDamping=a,this.body.SetAngularDamping(a))};b.prototype.SetImmovable=function(a){this.enabled&&this.immovable!==(0!==a)&&(this.immovable=0!==a,this.body.SetType(this.immovable?0:2),this.body.SetAwake(!0))};b.prototype.EnableCollisions=function(a,b){if(a&&this.enabled){var d,e;if(a.is_family)for(d=0,e=a.members.length;d<e;d++)c(this.inst.type,a.members[d],0!==b);else c(this.inst.type,a,0!==b);this.behavior.allCollisionsEnabled=!1}};b.prototype.SetPreventRotate=function(a){this.enabled&&
this.preventRotation!==(0!==a)&&(this.preventRotation=0!==a,this.body.SetFixedRotation(this.preventRotation),this.body.m_torque=0,this.body.SetAngularVelocity(0),this.body.SetAwake(!0))};b.prototype.SetBullet=function(a){this.enabled&&this.bullet!==(0!==a)&&(this.bullet=0!==a,this.body.SetBullet(this.bullet),this.body.SetAwake(!0))};b.prototype.RemoveJoints=function(){this.enabled&&(this.destroyMyJoints(),this.myCreatedJoints.length=0,this.joiningMe.clear())};b.prototype.SetEnabled=function(a){this.enabled&&
0===a?(this.destroyBody(),this.enabled=!1):this.enabled||1!==a||(this.enabled=!0,this.createBody())};n.acts=new b;d.prototype.VelocityX=function(a){a.set_float(this.enabled?this.body.GetLinearVelocity().x/0.02:0)};d.prototype.VelocityY=function(a){a.set_float(this.enabled?this.body.GetLinearVelocity().y/0.02:0)};d.prototype.AngularVelocity=function(a){a.set_float(this.enabled?cr.to_degrees(this.body.GetAngularVelocity()):0)};d.prototype.Mass=function(a){a.set_float(this.enabled?this.body.GetMass()/
0.02:0)};d.prototype.CenterOfMassX=function(a){a.set_float(this.enabled?(this.body.GetPosition().x+this.body.GetLocalCenter().x)/0.02:0)};d.prototype.CenterOfMassY=function(a){a.set_float(this.enabled?(this.body.GetPosition().y+this.body.GetLocalCenter().y)/0.02:0)};d.prototype.Density=function(a){a.set_float(this.enabled?this.density:0)};d.prototype.Friction=function(a){a.set_float(this.enabled?this.friction:0)};d.prototype.Elasticity=function(a){a.set_float(this.enabled?this.restitution:0)};d.prototype.LinearDamping=
function(a){a.set_float(this.enabled?this.linearDamping:0)};d.prototype.AngularDamping=function(a){a.set_float(this.enabled?this.angularDamping:0)};n.exps=new d})();cr.behaviors.Pin=function(a){this.runtime=a};
(function(){function a(){}function b(){}function c(){}var d=cr.behaviors.Pin.prototype;d.Type=function(a,b){this.behavior=a;this.objtype=b;this.runtime=a.runtime};d.Type.prototype.onCreate=function(){};d.Instance=function(a,b){this.type=a;this.behavior=a.behavior;this.inst=b;this.runtime=a.runtime};var f=d.Instance.prototype;f.onCreate=function(){this.pinObject=null;this.pinObjectUid=-1;this.mode=this.lastKnownAngle=this.theirStartAngle=this.myStartAngle=this.pinDist=this.pinAngle=0;var a=this;this.recycled||
(this.myDestroyCallback=function(b){a.onInstanceDestroyed(b)});this.runtime.addDestroyCallback(this.myDestroyCallback)};f.saveToJSON=function(){return{uid:this.pinObject?this.pinObject.uid:-1,pa:this.pinAngle,pd:this.pinDist,msa:this.myStartAngle,tsa:this.theirStartAngle,lka:this.lastKnownAngle,m:this.mode}};f.loadFromJSON=function(a){this.pinObjectUid=a.uid;this.pinAngle=a.pa;this.pinDist=a.pd;this.myStartAngle=a.msa;this.theirStartAngle=a.tsa;this.lastKnownAngle=a.lka;this.mode=a.m};f.afterLoad=
function(){this.pinObject=-1===this.pinObjectUid?null:this.runtime.getObjectByUID(this.pinObjectUid);this.pinObjectUid=-1};f.onInstanceDestroyed=function(a){this.pinObject==a&&(this.pinObject=null)};f.onDestroy=function(){this.pinObject=null;this.runtime.removeDestroyCallback(this.myDestroyCallback)};f.tick=function(){};f.tick2=function(){if(this.pinObject){this.lastKnownAngle!==this.inst.angle&&(this.myStartAngle=cr.clamp_angle(this.myStartAngle+(this.inst.angle-this.lastKnownAngle)));var a=this.inst.x,
b=this.inst.y;if(3===this.mode||4===this.mode){var c=cr.distanceTo(this.inst.x,this.inst.y,this.pinObject.x,this.pinObject.y);if(c>this.pinDist||4===this.mode&&c<this.pinDist)b=cr.angleTo(this.pinObject.x,this.pinObject.y,this.inst.x,this.inst.y),a=this.pinObject.x+Math.cos(b)*this.pinDist,b=this.pinObject.y+Math.sin(b)*this.pinDist}else a=this.pinObject.x+Math.cos(this.pinObject.angle+this.pinAngle)*this.pinDist,b=this.pinObject.y+Math.sin(this.pinObject.angle+this.pinAngle)*this.pinDist;this.lastKnownAngle=
c=cr.clamp_angle(this.myStartAngle+(this.pinObject.angle-this.theirStartAngle));0!==this.mode&&1!==this.mode&&3!==this.mode&&4!==this.mode||this.inst.x===a&&this.inst.y===b||(this.inst.x=a,this.inst.y=b,this.inst.set_bbox_changed());0!==this.mode&&2!==this.mode||this.inst.angle===c||(this.inst.angle=c,this.inst.set_bbox_changed())}};a.prototype.IsPinned=function(){return!!this.pinObject};d.cnds=new a;b.prototype.Pin=function(a,b){if(a){var c=a.getFirstPicked(this.inst);c&&(this.pinObject=c,this.pinAngle=
cr.angleTo(c.x,c.y,this.inst.x,this.inst.y)-c.angle,this.pinDist=cr.distanceTo(c.x,c.y,this.inst.x,this.inst.y),this.lastKnownAngle=this.myStartAngle=this.inst.angle,this.theirStartAngle=c.angle,this.mode=b)}};b.prototype.Unpin=function(){this.pinObject=null};d.acts=new b;c.prototype.PinnedUID=function(a){a.set_int(this.pinObject?this.pinObject.uid:-1)};d.exps=new c})();cr.behaviors.Platform=function(a){this.runtime=a};
(function(){function a(){}function b(){}function c(){}var d=cr.behaviors.Platform.prototype;d.Type=function(a,b){this.behavior=a;this.objtype=b;this.runtime=a.runtime};d.Type.prototype.onCreate=function(){};d.Instance=function(a,b){this.type=a;this.behavior=a.behavior;this.inst=b;this.runtime=a.runtime;this.simjump=this.simright=this.simleft=this.ignoreInput=this.jumped=this.jumpkey=this.rightkey=this.leftkey=!1;this.lastFloorObject=null;this.loadFloorObject=-1;this.lastFloorY=this.lastFloorX=0;this.floorIsJumpthru=
!1;this.fallthrough=this.animMode=0;this.firstTick=!0;this.dy=this.dx=0};var f=d.Instance.prototype;f.updateGravity=function(){this.downx=Math.cos(this.ga);this.downy=Math.sin(this.ga);this.rightx=Math.cos(this.ga-Math.PI/2);this.righty=Math.sin(this.ga-Math.PI/2);this.downx=cr.round6dp(this.downx);this.downy=cr.round6dp(this.downy);this.rightx=cr.round6dp(this.rightx);this.righty=cr.round6dp(this.righty);this.g1=this.g;0>this.g&&(this.downx*=-1,this.downy*=-1,this.g=Math.abs(this.g))};f.onCreate=
function(){this.maxspeed=this.properties[0];this.acc=this.properties[1];this.dec=this.properties[2];this.jumpStrength=this.properties[3];this.g1=this.g=this.properties[4];this.maxFall=this.properties[5];this.defaultControls=1===this.properties[6];this.enabled=0!==this.properties[7];this.wasOnFloor=!1;this.wasOverJumpthru=this.runtime.testOverlapJumpThru(this.inst);this.loadOverJumpthru=-1;this.ga=cr.to_radians(90);this.updateGravity();var a=this;this.defaultControls&&!this.runtime.isDomFree&&(jQuery(document).keydown(function(b){a.onKeyDown(b)}),
jQuery(document).keyup(function(b){a.onKeyUp(b)}));this.recycled||(this.myDestroyCallback=function(b){a.onInstanceDestroyed(b)});this.runtime.addDestroyCallback(this.myDestroyCallback);this.inst.extra.isPlatformBehavior=!0};f.saveToJSON=function(){return{ii:this.ignoreInput,lfx:this.lastFloorX,lfy:this.lastFloorY,lfo:this.lastFloorObject?this.lastFloorObject.uid:-1,am:this.animMode,en:this.enabled,fall:this.fallthrough,ft:this.firstTick,dx:this.dx,dy:this.dy,ms:this.maxspeed,acc:this.acc,dec:this.dec,
js:this.jumpStrength,g:this.g,g1:this.g1,mf:this.maxFall,wof:this.wasOnFloor,woj:this.wasOverJumpthru?this.wasOverJumpthru.uid:-1,ga:this.ga}};f.loadFromJSON=function(a){this.ignoreInput=a.ii;this.lastFloorX=a.lfx;this.lastFloorY=a.lfy;this.loadFloorObject=a.lfo;this.animMode=a.am;this.enabled=a.en;this.fallthrough=a.fall;this.firstTick=a.ft;this.dx=a.dx;this.dy=a.dy;this.maxspeed=a.ms;this.acc=a.acc;this.dec=a.dec;this.jumpStrength=a.js;this.g=a.g;this.g1=a.g1;this.maxFall=a.mf;this.wasOnFloor=a.wof;
this.loadOverJumpthru=a.woj;this.ga=a.ga;this.simjump=this.simright=this.simleft=this.jumped=this.jumpkey=this.rightkey=this.leftkey=!1;this.updateGravity()};f.afterLoad=function(){this.lastFloorObject=-1===this.loadFloorObject?null:this.runtime.getObjectByUID(this.loadFloorObject);this.wasOverJumpthru=-1===this.loadOverJumpthru?null:this.runtime.getObjectByUID(this.loadOverJumpthru)};f.onInstanceDestroyed=function(a){this.lastFloorObject==a&&(this.lastFloorObject=null)};f.onDestroy=function(){this.lastFloorObject=
null;this.runtime.removeDestroyCallback(this.myDestroyCallback)};f.onKeyDown=function(a){switch(a.which){case 38:a.preventDefault();this.jumpkey=!0;break;case 37:a.preventDefault();this.leftkey=!0;break;case 39:a.preventDefault(),this.rightkey=!0}};f.onKeyUp=function(a){switch(a.which){case 38:a.preventDefault();this.jumped=this.jumpkey=!1;break;case 37:a.preventDefault();this.leftkey=!1;break;case 39:a.preventDefault(),this.rightkey=!1}};f.getGDir=function(){return 0>this.g?-1:1};f.isOnFloor=function(){var a=
null,b=null,c,d;c=this.inst.x;d=this.inst.y;this.inst.x+=this.downx;this.inst.y+=this.downy;this.inst.set_bbox_changed();if(this.lastFloorObject&&this.runtime.testOverlap(this.inst,this.lastFloorObject))return this.inst.x=c,this.inst.y=d,this.inst.set_bbox_changed(),this.lastFloorObject;(a=this.runtime.testOverlapSolid(this.inst))||0!==this.fallthrough||(b=this.runtime.testOverlapJumpThru(this.inst,!0));this.inst.x=c;this.inst.y=d;this.inst.set_bbox_changed();if(a){if(this.runtime.testOverlap(this.inst,
a))return null;this.floorIsJumpthru=!1;return a}if(b&&b.length){d=a=0;for(c=b.length;a<c;a++)b[d]=b[a],this.runtime.testOverlap(this.inst,b[a])||d++;if(1<=d)return this.floorIsJumpthru=!0,b[0]}return null};f.tick=function(){};f.posttick=function(){var a=this.runtime.getDt(this.inst),b,c,d,f,m,n,r,p,q;this.jumpkey||this.simjump||(this.jumped=!1);var t=this.leftkey||this.simleft;d=this.rightkey||this.simright;var s=(this.jumpkey||this.simjump)&&!this.jumped;this.simjump=this.simright=this.simleft=!1;
if(this.enabled){this.ignoreInput&&(s=d=t=!1);p=this.lastFloorObject;q=!1;this.firstTick&&((this.runtime.testOverlapSolid(this.inst)||this.runtime.testOverlapJumpThru(this.inst))&&this.runtime.pushOutSolid(this.inst,-this.downx,-this.downy,4,!0),this.firstTick=!1);!p||0!==this.dy||p.y===this.lastFloorY&&p.x===this.lastFloorX||(b=p.x-this.lastFloorX,c=p.y-this.lastFloorY,this.inst.x+=b,this.inst.y+=c,this.inst.set_bbox_changed(),this.lastFloorX=p.x,this.lastFloorY=p.y,q=!0,this.runtime.testOverlapSolid(this.inst)&&
this.runtime.pushOutSolid(this.inst,-b,-c,2.5*Math.sqrt(b*b+c*c)));var u=this.isOnFloor();if(c=this.runtime.testOverlapSolid(this.inst))if(this.inst.extra.inputPredicted)this.runtime.pushOutSolid(this.inst,-this.downx,-this.downy,10,!1);else if(this.runtime.pushOutSolidNearest(this.inst,Math.max(this.inst.width,this.inst.height)/2))this.runtime.registerCollision(this.inst,c);else return;u?(0<this.dy&&(this.wasOnFloor||(this.runtime.pushInFractional(this.inst,-this.downx,-this.downy,u,16),this.wasOnFloor=
!0),this.dy=0),p!=u?(this.lastFloorObject=u,this.lastFloorX=u.x,this.lastFloorY=u.y,this.runtime.registerCollision(this.inst,u)):q&&(c=this.runtime.testOverlapSolid(this.inst))&&(this.runtime.registerCollision(this.inst,c),0!==b&&(0<b?this.runtime.pushOutSolid(this.inst,-this.rightx,-this.righty):this.runtime.pushOutSolid(this.inst,this.rightx,this.righty)),this.runtime.pushOutSolid(this.inst,-this.downx,-this.downy)),s&&(p=this.inst.x,q=this.inst.y,this.inst.x-=this.downx,this.inst.y-=this.downy,
this.inst.set_bbox_changed(),this.runtime.testOverlapSolid(this.inst)?s=!1:(this.runtime.trigger(cr.behaviors.Platform.prototype.cnds.OnJump,this.inst),this.animMode=2,this.dy=-this.jumpStrength,this.jumped=!0),this.inst.x=p,this.inst.y=q,this.inst.set_bbox_changed())):(this.lastFloorObject=null,this.dy+=this.g*a,this.dy>this.maxFall&&(this.dy=this.maxFall),s&&(this.jumped=!0));this.wasOnFloor=!!u;t==d&&(0>this.dx?(this.dx+=this.dec*a,0<this.dx&&(this.dx=0)):0<this.dx&&(this.dx-=this.dec*a,0>this.dx&&
(this.dx=0)));t&&!d&&(this.dx=0<this.dx?this.dx-(this.acc+this.dec)*a:this.dx-this.acc*a);d&&!t&&(this.dx=0>this.dx?this.dx+(this.acc+this.dec)*a:this.dx+this.acc*a);this.dx>this.maxspeed?this.dx=this.maxspeed:this.dx<-this.maxspeed&&(this.dx=-this.maxspeed);t=!1;0!==this.dx&&(p=this.inst.x,q=this.inst.y,b=this.dx*a*this.rightx,c=this.dx*a*this.righty,this.inst.x+=this.rightx*(1<this.dx?1:-1)-this.downx,this.inst.y+=this.righty*(1<this.dx?1:-1)-this.downy,this.inst.set_bbox_changed(),f=!1,m=this.runtime.testOverlapSolid(this.inst),
this.inst.x=p+b,this.inst.y=q+c,this.inst.set_bbox_changed(),d=this.runtime.testOverlapSolid(this.inst),!d&&u&&(d=this.runtime.testOverlapJumpThru(this.inst))&&(this.inst.x=p,this.inst.y=q,this.inst.set_bbox_changed(),this.runtime.testOverlap(this.inst,d)?(d=null,f=!1):f=!0,this.inst.x=p+b,this.inst.y=q+c,this.inst.set_bbox_changed()),d?(b=Math.abs(this.dx*a)+2,m||!this.runtime.pushOutSolid(this.inst,-this.downx,-this.downy,b,f,d))?(this.runtime.registerCollision(this.inst,d),b=Math.max(Math.abs(2.5*
this.dx*a),30),this.runtime.pushOutSolid(this.inst,this.rightx*(0>this.dx?1:-1),this.righty*(0>this.dx?1:-1),b,!1)?!u||f||this.floorIsJumpthru||(p=this.inst.x,q=this.inst.y,this.inst.x+=this.downx,this.inst.y+=this.downy,this.runtime.testOverlapSolid(this.inst)?this.runtime.pushOutSolid(this.inst,-this.downx,-this.downy,3,!1)||(this.inst.x=p,this.inst.y=q,this.inst.set_bbox_changed()):(this.inst.x=p,this.inst.y=q,this.inst.set_bbox_changed())):(this.inst.x=p,this.inst.y=q,this.inst.set_bbox_changed()),
f||(this.dx=0)):!m&&!s&&Math.abs(this.dy)<Math.abs(this.jumpStrength/4)&&(this.dy=0,u||(t=!0)):(p=this.isOnFloor(),u&&!p?(c=Math.ceil(Math.abs(this.dx*a))+2,p=this.inst.x,q=this.inst.y,this.inst.x+=this.downx*c,this.inst.y+=this.downy*c,this.inst.set_bbox_changed(),this.runtime.testOverlapSolid(this.inst)||this.runtime.testOverlapJumpThru(this.inst)?this.runtime.pushOutSolid(this.inst,-this.downx,-this.downy,c+2,!0):(this.inst.x=p,this.inst.y=q,this.inst.set_bbox_changed())):p&&0===this.dy&&this.runtime.pushInFractional(this.inst,
-this.downx,-this.downy,p,16)));if(0!==this.dy){p=this.inst.x;q=this.inst.y;this.inst.x+=this.dy*a*this.downx;this.inst.y+=this.dy*a*this.downy;b=this.inst.x;d=this.inst.y;this.inst.set_bbox_changed();c=this.runtime.testOverlapSolid(this.inst);f=!1;if(!c&&0<this.dy&&!u){if((f=0<this.fallthrough?null:this.runtime.testOverlapJumpThru(this.inst,!0))&&f.length){if(this.wasOverJumpthru){this.inst.x=p;this.inst.y=q;this.inst.set_bbox_changed();r=m=0;for(n=f.length;m<n;m++)f[r]=f[m],this.runtime.testOverlap(this.inst,
f[m])||r++;f.length=r;this.inst.x=b;this.inst.y=d;this.inst.set_bbox_changed()}1<=f.length&&(c=f[0])}f=!!c}c&&(this.runtime.registerCollision(this.inst,c),b=f?Math.abs(2.5*this.dy*a+10):Math.max(Math.abs(2.5*this.dy*a+10),30),this.runtime.pushOutSolid(this.inst,this.downx*(0>this.dy?1:-1),this.downy*(0>this.dy?1:-1),b,f,c)?(this.lastFloorObject=c,this.lastFloorX=c.x,this.lastFloorY=c.y,(this.floorIsJumpthru=f)&&(t=!0),this.dy=0):(this.inst.x=p,this.inst.y=q,this.inst.set_bbox_changed(),this.wasOnFloor=
!0,f||(this.dy=0)))}3!==this.animMode&&0<this.dy&&!u&&(this.runtime.trigger(cr.behaviors.Platform.prototype.cnds.OnFall,this.inst),this.animMode=3);if(u||t)3===this.animMode||t||s&&0===this.dy?(this.runtime.trigger(cr.behaviors.Platform.prototype.cnds.OnLand,this.inst),this.animMode=0===this.dx&&0===this.dy?0:1):(0!==this.animMode&&0===this.dx&&0===this.dy&&(this.runtime.trigger(cr.behaviors.Platform.prototype.cnds.OnStop,this.inst),this.animMode=0),1===this.animMode||0===this.dx&&0===this.dy||s||
(this.runtime.trigger(cr.behaviors.Platform.prototype.cnds.OnMove,this.inst),this.animMode=1));0<this.fallthrough&&this.fallthrough--;this.wasOverJumpthru=this.runtime.testOverlapJumpThru(this.inst)}};a.prototype.IsMoving=function(){return 0!==this.dx||0!==this.dy};a.prototype.CompareSpeed=function(a,b){var c=Math.sqrt(this.dx*this.dx+this.dy*this.dy);return cr.do_cmp(c,a,b)};a.prototype.IsOnFloor=function(){if(0!==this.dy)return!1;var a=null,b=null,c,d;c=this.inst.x;d=this.inst.y;this.inst.x+=this.downx;
this.inst.y+=this.downy;this.inst.set_bbox_changed();(a=this.runtime.testOverlapSolid(this.inst))||0!==this.fallthrough||(b=this.runtime.testOverlapJumpThru(this.inst,!0));this.inst.x=c;this.inst.y=d;this.inst.set_bbox_changed();if(a)return!this.runtime.testOverlap(this.inst,a);if(b&&b.length){d=a=0;for(c=b.length;a<c;a++)b[d]=b[a],this.runtime.testOverlap(this.inst,b[a])||d++;if(1<=d)return!0}return!1};a.prototype.IsByWall=function(a){var b=!1,c=this.inst.x,d=this.inst.y;this.inst.x-=3*this.downx;
this.inst.y-=3*this.downy;this.inst.set_bbox_changed();if(this.runtime.testOverlapSolid(this.inst))return this.inst.x=c,this.inst.y=d,this.inst.set_bbox_changed(),!1;0===a?(this.inst.x-=2*this.rightx,this.inst.y-=2*this.righty):(this.inst.x+=2*this.rightx,this.inst.y+=2*this.righty);this.inst.set_bbox_changed();b=this.runtime.testOverlapSolid(this.inst);this.inst.x=c;this.inst.y=d;this.inst.set_bbox_changed();return b};a.prototype.IsJumping=function(){return 0>this.dy};a.prototype.IsFalling=function(){return 0<
this.dy};a.prototype.OnJump=function(){return!0};a.prototype.OnFall=function(){return!0};a.prototype.OnStop=function(){return!0};a.prototype.OnMove=function(){return!0};a.prototype.OnLand=function(){return!0};d.cnds=new a;b.prototype.SetIgnoreInput=function(a){this.ignoreInput=a};b.prototype.SetMaxSpeed=function(a){this.maxspeed=a;0>this.maxspeed&&(this.maxspeed=0)};b.prototype.SetAcceleration=function(a){this.acc=a;0>this.acc&&(this.acc=0)};b.prototype.SetDeceleration=function(a){this.dec=a;0>this.dec&&
(this.dec=0)};b.prototype.SetJumpStrength=function(a){this.jumpStrength=a;0>this.jumpStrength&&(this.jumpStrength=0)};b.prototype.SetGravity=function(a){this.g1!==a&&(this.g=a,this.updateGravity(),this.runtime.testOverlapSolid(this.inst)&&(this.runtime.pushOutSolid(this.inst,this.downx,this.downy,10),this.inst.x+=2*this.downx,this.inst.y+=2*this.downy,this.inst.set_bbox_changed()),this.lastFloorObject=null)};b.prototype.SetMaxFallSpeed=function(a){this.maxFall=a;0>this.maxFall&&(this.maxFall=0)};
b.prototype.SimulateControl=function(a){switch(a){case 0:this.simleft=!0;break;case 1:this.simright=!0;break;case 2:this.simjump=!0}};b.prototype.SetVectorX=function(a){this.dx=a};b.prototype.SetVectorY=function(a){this.dy=a};b.prototype.SetGravityAngle=function(a){a=cr.to_radians(a);a=cr.clamp_angle(a);this.ga!==a&&(this.ga=a,this.updateGravity(),this.lastFloorObject=null)};b.prototype.SetEnabled=function(a){this.enabled!==(1===a)&&(this.enabled=1===a,this.enabled||(this.lastFloorObject=null))};
b.prototype.FallThrough=function(){var a=this.inst.x,b=this.inst.y;this.inst.x+=this.downx;this.inst.y+=this.downy;this.inst.set_bbox_changed();var c=this.runtime.testOverlapJumpThru(this.inst,!1);this.inst.x=a;this.inst.y=b;this.inst.set_bbox_changed();c&&(this.fallthrough=3,this.lastFloorObject=null)};d.acts=new b;c.prototype.Speed=function(a){a.set_float(Math.sqrt(this.dx*this.dx+this.dy*this.dy))};c.prototype.MaxSpeed=function(a){a.set_float(this.maxspeed)};c.prototype.Acceleration=function(a){a.set_float(this.acc)};
c.prototype.Deceleration=function(a){a.set_float(this.dec)};c.prototype.JumpStrength=function(a){a.set_float(this.jumpStrength)};c.prototype.Gravity=function(a){a.set_float(this.g)};c.prototype.GravityAngle=function(a){a.set_float(cr.to_degrees(this.ga))};c.prototype.MaxFallSpeed=function(a){a.set_float(this.maxFall)};c.prototype.MovingAngle=function(a){a.set_float(cr.to_degrees(Math.atan2(this.dy,this.dx)))};c.prototype.VectorX=function(a){a.set_float(this.dx)};c.prototype.VectorY=function(a){a.set_float(this.dy)};
d.exps=new c})();cr.behaviors.Rotate=function(a){this.runtime=a};
(function(){function a(){}function b(){}var c=cr.behaviors.Rotate.prototype;c.Type=function(a,b){this.behavior=a;this.objtype=b;this.runtime=a.runtime};c.Type.prototype.onCreate=function(){};c.Instance=function(a,b){this.type=a;this.behavior=a.behavior;this.inst=b;this.runtime=a.runtime};var d=c.Instance.prototype;d.onCreate=function(){this.speed=cr.to_radians(this.properties[0]);this.acc=cr.to_radians(this.properties[1])};d.saveToJSON=function(){return{speed:this.speed,acc:this.acc}};d.loadFromJSON=
function(a){this.speed=a.speed;this.acc=a.acc};d.tick=function(){var a=this.runtime.getDt(this.inst);0!==a&&(0!==this.acc&&(this.speed+=this.acc*a),0!==this.speed&&(this.inst.angle=cr.clamp_angle(this.inst.angle+this.speed*a),this.inst.set_bbox_changed()))};c.cnds=new function(){};a.prototype.SetSpeed=function(a){this.speed=cr.to_radians(a)};a.prototype.SetAcceleration=function(a){this.acc=cr.to_radians(a)};c.acts=new a;b.prototype.Speed=function(a){a.set_float(cr.to_degrees(this.speed))};b.prototype.Acceleration=
function(a){a.set_float(cr.to_degrees(this.acc))};c.exps=new b})();cr.behaviors.Sin=function(a){this.runtime=a};
(function(){function a(){}function b(){}function c(){}var d=cr.behaviors.Sin.prototype;d.Type=function(a,b){this.behavior=a;this.objtype=b;this.runtime=a.runtime};d.Type.prototype.onCreate=function(){};d.Instance=function(a,b){this.type=a;this.behavior=a.behavior;this.inst=b;this.runtime=a.runtime;this.i=0};var f=d.Instance.prototype,e=2*Math.PI,g=Math.PI/2,l=3*Math.PI/2;f.onCreate=function(){this.active=1===this.properties[0];this.movement=this.properties[1];this.wave=this.properties[2];this.period=
this.properties[3];this.period+=Math.random()*this.properties[4];0===this.period?this.i=0:(this.i=this.properties[5]/this.period*e,this.i+=Math.random()*this.properties[6]/this.period*e);this.mag=this.properties[7];this.mag+=Math.random()*this.properties[8];this.ratio=this.initialValue2=this.initialValue=0;this.init()};f.saveToJSON=function(){return{i:this.i,a:this.active,mv:this.movement,w:this.wave,p:this.period,mag:this.mag,iv:this.initialValue,iv2:this.initialValue2,r:this.ratio,lkv:this.lastKnownValue,
lkv2:this.lastKnownValue2}};f.loadFromJSON=function(a){this.i=a.i;this.active=a.a;this.movement=a.mv;this.wave=a.w;this.period=a.p;this.mag=a.mag;this.initialValue=a.iv;this.initialValue2=a.iv2||0;this.ratio=a.r;this.lastKnownValue=a.lkv;this.lastKnownValue2=a.lkv2||0};f.init=function(){switch(this.movement){case 0:this.initialValue=this.inst.x;break;case 1:this.initialValue=this.inst.y;break;case 2:this.initialValue=this.inst.width;this.ratio=this.inst.height/this.inst.width;break;case 3:this.initialValue=
this.inst.width;break;case 4:this.initialValue=this.inst.height;break;case 5:this.initialValue=this.inst.angle;this.mag=cr.to_radians(this.mag);break;case 6:this.initialValue=this.inst.opacity;break;case 7:this.initialValue=0;break;case 8:this.initialValue=this.inst.x,this.initialValue2=this.inst.y}this.lastKnownValue=this.initialValue;this.lastKnownValue2=this.initialValue2};f.waveFunc=function(a){a%=e;switch(this.wave){case 0:return Math.sin(a);case 1:return a<=g?a/g:a<=l?1-2*(a-g)/Math.PI:(a-l)/
g-1;case 2:return 2*a/e-1;case 3:return-2*a/e+1;case 4:return a<Math.PI?-1:1}return 0};f.tick=function(){var a=this.runtime.getDt(this.inst);if(this.active&&0!==a){0===this.period?this.i=0:(this.i+=a/this.period*e,this.i%=e);switch(this.movement){case 0:this.inst.x!==this.lastKnownValue&&(this.initialValue+=this.inst.x-this.lastKnownValue);this.inst.x=this.initialValue+this.waveFunc(this.i)*this.mag;this.lastKnownValue=this.inst.x;break;case 1:this.inst.y!==this.lastKnownValue&&(this.initialValue+=
this.inst.y-this.lastKnownValue);this.inst.y=this.initialValue+this.waveFunc(this.i)*this.mag;this.lastKnownValue=this.inst.y;break;case 2:this.inst.width=this.initialValue+this.waveFunc(this.i)*this.mag;this.inst.height=this.inst.width*this.ratio;break;case 3:this.inst.width=this.initialValue+this.waveFunc(this.i)*this.mag;break;case 4:this.inst.height=this.initialValue+this.waveFunc(this.i)*this.mag;break;case 5:this.inst.angle!==this.lastKnownValue&&(this.initialValue=cr.clamp_angle(this.initialValue+
(this.inst.angle-this.lastKnownValue)));this.inst.angle=cr.clamp_angle(this.initialValue+this.waveFunc(this.i)*this.mag);this.lastKnownValue=this.inst.angle;break;case 6:this.inst.opacity=this.initialValue+this.waveFunc(this.i)*this.mag/100;0>this.inst.opacity?this.inst.opacity=0:1<this.inst.opacity&&(this.inst.opacity=1);break;case 8:this.inst.x!==this.lastKnownValue&&(this.initialValue+=this.inst.x-this.lastKnownValue),this.inst.y!==this.lastKnownValue2&&(this.initialValue2+=this.inst.y-this.lastKnownValue2),
this.inst.x=this.initialValue+Math.cos(this.inst.angle)*this.waveFunc(this.i)*this.mag,this.inst.y=this.initialValue2+Math.sin(this.inst.angle)*this.waveFunc(this.i)*this.mag,this.lastKnownValue=this.inst.x,this.lastKnownValue2=this.inst.y}this.inst.set_bbox_changed()}};f.onSpriteFrameChanged=function(a,b){switch(this.movement){case 2:this.initialValue*=b.width/a.width;this.ratio=b.height/b.width;break;case 3:this.initialValue*=b.width/a.width;break;case 4:this.initialValue*=b.height/a.height}};a.prototype.IsActive=
function(){return this.active};a.prototype.CompareMovement=function(a){return this.movement===a};a.prototype.ComparePeriod=function(a,b){return cr.do_cmp(this.period,a,b)};a.prototype.CompareMagnitude=function(a,b){return 5===this.movement?cr.do_cmp(this.mag,a,cr.to_radians(b)):cr.do_cmp(this.mag,a,b)};a.prototype.CompareWave=function(a){return this.wave===a};d.cnds=new a;b.prototype.SetActive=function(a){this.active=1===a};b.prototype.SetPeriod=function(a){this.period=a};b.prototype.SetMagnitude=
function(a){this.mag=a;5===this.movement&&(this.mag=cr.to_radians(this.mag))};b.prototype.SetMovement=function(a){5===this.movement&&(this.mag=cr.to_degrees(this.mag));this.movement=a;this.init()};b.prototype.SetWave=function(a){this.wave=a};b.prototype.SetPhase=function(a){this.i=a*e%e};d.acts=new b;c.prototype.CyclePosition=function(a){a.set_float(this.i/e)};c.prototype.Period=function(a){a.set_float(this.period)};c.prototype.Magnitude=function(a){5===this.movement?a.set_float(cr.to_degrees(this.mag)):
a.set_float(this.mag)};c.prototype.Value=function(a){a.set_float(this.waveFunc(this.i)*this.mag)};d.exps=new c})();cr.behaviors.destroy=function(a){this.runtime=a};
(function(){var a=cr.behaviors.destroy.prototype;a.Type=function(a,c){this.behavior=a;this.objtype=c;this.runtime=a.runtime};a.Type.prototype.onCreate=function(){};a.Instance=function(a,c){this.type=a;this.behavior=a.behavior;this.inst=c;this.runtime=a.runtime};a=a.Instance.prototype;a.onCreate=function(){};a.tick=function(){this.inst.update_bbox();var a=this.inst.bbox,c=this.inst.layer.layout;(0>a.right||0>a.bottom||a.left>c.width||a.top>c.height)&&this.runtime.DestroyInstance(this.inst)}})();
cr.behaviors.scrollto=function(a){this.runtime=a;this.shakeMode=this.shakeEnd=this.shakeStart=this.shakeMag=0};
(function(){function a(){}var b=cr.behaviors.scrollto.prototype;b.Type=function(a,b){this.behavior=a;this.objtype=b;this.runtime=a.runtime};b.Type.prototype.onCreate=function(){};b.Instance=function(a,b){this.type=a;this.behavior=a.behavior;this.inst=b;this.runtime=a.runtime};var c=b.Instance.prototype;c.onCreate=function(){this.enabled=0!==this.properties[0]};c.saveToJSON=function(){return{smg:this.behavior.shakeMag,ss:this.behavior.shakeStart,se:this.behavior.shakeEnd,smd:this.behavior.shakeMode}};
c.loadFromJSON=function(a){this.behavior.shakeMag=a.smg;this.behavior.shakeStart=a.ss;this.behavior.shakeEnd=a.se;this.behavior.shakeMode=a.smd};c.tick=function(){};c.tick2=function(){if(this.enabled){var a=this.behavior.my_instances.valuesRef(),b=0,c=0,g,l,k,h=0;g=0;for(l=a.length;g<l;g++){a:{k=a[g];for(var m=void 0,n=void 0,r=void 0,m=0,n=k.behavior_insts.length;m<n;++m)if(r=k.behavior_insts[m],r.behavior instanceof cr.behaviors.scrollto){k=r;break a}k=null}k&&k.enabled&&(b+=a[g].x,c+=a[g].y,++h)}a=
this.inst.layer.layout;l=this.runtime.kahanTime.sum;k=g=0;l>=this.behavior.shakeStart&&l<this.behavior.shakeEnd&&(g=this.behavior.shakeMag*Math.min(this.runtime.timescale,1),0===this.behavior.shakeMode&&(g*=1-(l-this.behavior.shakeStart)/(this.behavior.shakeEnd-this.behavior.shakeStart)),l=2*Math.random()*Math.PI,k=Math.random()*g,g=Math.cos(l)*k,k*=Math.sin(l));a.scrollToX(b/h+g);a.scrollToY(c/h+k)}};a.prototype.Shake=function(a,b,c){this.behavior.shakeMag=a;this.behavior.shakeStart=this.runtime.kahanTime.sum;
this.behavior.shakeEnd=this.behavior.shakeStart+b;this.behavior.shakeMode=c};a.prototype.SetEnabled=function(a){this.enabled=0!==a};b.acts=new a})();cr.behaviors.solid=function(a){this.runtime=a};
(function(){function a(){}function b(){}var c=cr.behaviors.solid.prototype;c.Type=function(a,b){this.behavior=a;this.objtype=b;this.runtime=a.runtime};c.Type.prototype.onCreate=function(){};c.Instance=function(a,b){this.type=a;this.behavior=a.behavior;this.inst=b;this.runtime=a.runtime};var d=c.Instance.prototype;d.onCreate=function(){this.inst.extra.solidEnabled=0!==this.properties[0]};d.tick=function(){};a.prototype.IsEnabled=function(){return this.inst.extra.solidEnabled};c.cnds=new a;b.prototype.SetEnabled=
function(a){this.inst.extra.solidEnabled=!!a};c.acts=new b})();
cr.getProjectModel=function(){return[null,"Click to play",[[cr.plugins_.Audio,!0,!1,!1,!1,!1,!1,!1,!1,!1],[cr.plugins_.Arr,!1,!1,!1,!1,!1,!1,!1,!1,!1],[cr.plugins_.CJSAds,!0,!1,!1,!1,!1,!1,!1,!1,!1],[cr.plugins_.Browser,!0,!1,!1,!1,!1,!1,!1,!1,!1],[cr.plugins_.Particles,!1,!0,!0,!1,!0,!0,!0,!0,!0],[cr.plugins_.Sprite,!1,!0,!0,!0,!0,!0,!0,!0,!1],[cr.plugins_.Text,!1,!0,!0,!0,!0,!0,!0,!0,!1],[cr.plugins_.TiledBg,!1,!0,!0,!0,!0,!0,!0,!0,!0],[cr.plugins_.Touch,!0,!1,!1,!1,!1,!1,!1,!1,!1],[cr.plugins_.WebStorage,
!0,!1,!1,!1,!1,!1,!1,!1,!1]],[["t0",cr.plugins_.WebStorage,!1,[],0,0,null,null,[],!1,!1,8867626246649307,[],null,[]],["t1",cr.plugins_.Touch,!1,[],0,0,null,null,[],!1,!1,7600600678396339,[],null,[1]],["t2",cr.plugins_.Browser,!1,[],0,0,null,null,[],!1,!1,5782436685756777,[],null,[]],["t3",cr.plugins_.Audio,!1,[],0,0,null,null,[],!1,!1,6817784747625394,[],null,[0,0,1,1,600,600,1E4,1,5E3,1]],["t4",cr.plugins_.CJSAds,!1,[],0,0,null,null,[],!1,!1,5649416160171631,[],null,[0,1]],["t5",cr.plugins_.Sprite,
!1,[],0,0,null,[["Default",5,!1,1,0,!1,6636316449558649,[["sprite40-sheet0.png",231576,0,0,650,650,1,0.5,0.5,[],[],0]]]],[],!1,!1,0xd17f551d078c0,[],null],["t6",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,9269378493218836,[["sprite41-sheet0.png",26351,0,0,646,272,1,0.5,0.5,[],[-0.4690402150154114,-0.4264706075191498,0.4752320051193237,-0.4411765038967133,0.495356023311615,0,0.397832989692688,0.2573530077934265,-0.397832989692688,0.2573530077934265,-0.5,0],0]]]],[["Sine",cr.behaviors.Sin,
7418311390794897]],!1,!1,0x3cea9726c9b21,[],null],["t7",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,73539497755171,[["sprite42-sheet0.png",30911,0,0,646,272,1,0.5,0.5,[],[-0.4690402150154114,-0.4264706075191498,0.4752320051193237,-0.4411765038967133,0.495356023311615,0,0.397832989692688,0.2573530077934265,-0.397832989692688,0.2573530077934265,-0.5,0],0]]]],[["Sine",cr.behaviors.Sin,0xc339356fec550]],!1,!1,6391310822587184,[],null],["t8",cr.plugins_.Sprite,!1,[],2,0,null,[["Default",
5,!1,1,0,!1,8780308009270419,[["sprite59-sheet0.png",19815,0,0,110,115,1,0.5,0.5043478012084961,[],[0.3090909719467163,-0.3217387795448303,0.4818180203437805,-0.008695811033248901,-0.3272730112075806,0.3304352164268494],0]]]],[["Sine",cr.behaviors.Sin,8635573671474306],["Sine2",cr.behaviors.Sin,322902828761829]],!1,!1,0x53db33a905dae,[],null],["t9",cr.plugins_.Sprite,!1,[],2,0,null,[["Default",5,!1,1,0,!1,8524263745205335,[["sprite60-sheet0.png",5416,0,0,62,55,1,0.5,0.5090909004211426,[],[0.3870970010757446,
-0.3818179070949554,0.4677420258522034,-0.01818189024925232,-0.4677419066429138,-0.01818189024925232],0]]]],[["Sine",cr.behaviors.Sin,0x3e6c889d37b32],["Sine2",cr.behaviors.Sin,7679865069899921]],!1,!1,6071104161138181,[],null],["t10",cr.plugins_.Sprite,!1,[],2,0,null,[["Default",5,!1,1,0,!1,9070863836654158,[["sprite61-sheet0.png",5339,0,0,62,50,1,0.5,0.5,[],[0.3387100100517273,-0.300000011920929,0.4677420258522034,0,-0.4193547964096069,0],0]]]],[["Sine",cr.behaviors.Sin,9431835594028600],["Sine2",
cr.behaviors.Sin,0xee5684db5bd5c]],!1,!1,5648739751027004,[],null],["t11",cr.plugins_.Sprite,!1,[],2,0,null,[["Default",5,!1,1,0,!1,6107178959397138,[["sprite2-sheet0.png",20583,0,0,200,86,1,0.5,0.5116279125213623,[],[-0.4149999916553497,-0.325580894947052,0.5,-0.5116279125213623,0.4599999785423279,0.3953490853309631,-0.5,0.4883720874786377],0]]]],[["Sine",cr.behaviors.Sin,8921407282578088],["Sine2",cr.behaviors.Sin,9941805736013932]],!1,!1,416459218827062,[],null],["t12",cr.plugins_.Sprite,!1,[],
1,0,null,[["Default",5,!1,1,0,!1,8241634751818663,[["m11-sheet0.png",9269,0,0,80,80,1,0.5,0.5,[],[-0.387499988079071,-0.387499988079071,0,-0.449999988079071,0.387499988079071,-0.387499988079071,0.4125000238418579,0,0.3374999761581421,0.3374999761581421,0,0.387499988079071,-0.3375000059604645,0.3374999761581421,-0.4124999940395355,0],0],["m11-sheet1.png",9385,0,0,80,80,1,0.5,0.5,[],[-0.387499988079071,-0.387499988079071,0,-0.449999988079071,0.387499988079071,-0.387499988079071,0.4125000238418579,0,
0.3500000238418579,0.3500000238418579,0,0.387499988079071,-0.3375000059604645,0.3374999761581421,-0.4124999940395355,0],0]]]],[["Pin",cr.behaviors.Pin,9036020863546934]],!1,!1,9807887966434284,[],null],["t13",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,8874903161381914,[["m10-sheet0.png",9856,0,0,80,80,1,0.5,0.5,[],[-0.387499988079071,-0.387499988079071,0,-0.449999988079071,0.387499988079071,-0.387499988079071,0.4125000238418579,0,0.3374999761581421,0.3374999761581421,0,0.387499988079071,
-0.3375000059604645,0.3374999761581421,-0.4124999940395355,0],0],["m11-sheet1.png",9385,0,0,80,80,1,0.5,0.5,[],[-0.387499988079071,-0.387499988079071,0,-0.449999988079071,0.387499988079071,-0.387499988079071,0.4125000238418579,0,0.3500000238418579,0.3500000238418579,0,0.387499988079071,-0.3375000059604645,0.3374999761581421,-0.4124999940395355,0],0]]]],[["Pin",cr.behaviors.Pin,8734883207627247]],!1,!1,8434611463716156,[],null],["t14",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,0x6bfab20e254ff,
[["m1-sheet0.png",9295,0,0,80,80,1,0.5,0.5,[],[-0.387499988079071,-0.387499988079071,0,-0.449999988079071,0.387499988079071,-0.387499988079071,0.4125000238418579,0,0.3374999761581421,0.3374999761581421,0,0.387499988079071,-0.3375000059604645,0.3374999761581421,-0.4124999940395355,0],0]]]],[["Pin",cr.behaviors.Pin,0x43145cc0f4f7e]],!1,!1,0x90ac7fd1fd985,[],null],["t15",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,8140449651427562,[["m12-sheet0.png",9929,0,0,80,80,1,0.5,0.5,[],[-0.387499988079071,
-0.387499988079071,0,-0.449999988079071,0.387499988079071,-0.387499988079071,0.4125000238418579,0,0.3374999761581421,0.3374999761581421,0,0.387499988079071,-0.3375000059604645,0.3374999761581421,-0.4124999940395355,0],0],["m11-sheet1.png",9385,0,0,80,80,1,0.5,0.5,[],[-0.387499988079071,-0.387499988079071,0,-0.449999988079071,0.387499988079071,-0.387499988079071,0.4125000238418579,0,0.3500000238418579,0.3500000238418579,0,0.387499988079071,-0.3375000059604645,0.3374999761581421,-0.4124999940395355,
0],0]]]],[["Pin",cr.behaviors.Pin,5726198798045199]],!1,!1,5725375325130634,[],null],["t16",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,0x89278bb4dedeb,[["m13-sheet0.png",10082,0,0,80,80,1,0.5,0.5,[],[-0.387499988079071,-0.387499988079071,0,-0.449999988079071,0.387499988079071,-0.387499988079071,0.4125000238418579,0,0.3374999761581421,0.3374999761581421,0,0.387499988079071,-0.3375000059604645,0.3374999761581421,-0.4124999940395355,0],0],["m11-sheet1.png",9385,0,0,80,80,1,0.5,0.5,[],
[-0.387499988079071,-0.387499988079071,0,-0.449999988079071,0.387499988079071,-0.387499988079071,0.4125000238418579,0,0.3500000238418579,0.3500000238418579,0,0.387499988079071,-0.3375000059604645,0.3374999761581421,-0.4124999940395355,0],0]]]],[["Pin",cr.behaviors.Pin,0x64d53cc68195e]],!1,!1,9848719208746374,[],null],["t17",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,75091728841222,[["m14-sheet0.png",9846,0,0,80,80,1,0.5,0.5,[],[-0.387499988079071,-0.387499988079071,0,-0.449999988079071,
0.387499988079071,-0.387499988079071,0.4125000238418579,0,0.3374999761581421,0.3374999761581421,0,0.387499988079071,-0.3375000059604645,0.3374999761581421,-0.4124999940395355,0],0],["m11-sheet1.png",9385,0,0,80,80,1,0.5,0.5,[],[-0.387499988079071,-0.387499988079071,0,-0.449999988079071,0.387499988079071,-0.387499988079071,0.4125000238418579,0,0.3500000238418579,0.3500000238418579,0,0.387499988079071,-0.3375000059604645,0.3374999761581421,-0.4124999940395355,0],0]]]],[["Pin",cr.behaviors.Pin,0xffe5e747339e3]],
!1,!1,9914109678053308,[],null],["t18",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,0x995082470b68b,[["m15-sheet0.png",9841,0,0,80,80,1,0.5,0.5,[],[-0.387499988079071,-0.387499988079071,0,-0.449999988079071,0.387499988079071,-0.387499988079071,0.4125000238418579,0,0.3374999761581421,0.3374999761581421,0,0.387499988079071,-0.3375000059604645,0.3374999761581421,-0.4124999940395355,0],0],["m11-sheet1.png",9385,0,0,80,80,1,0.5,0.5,[],[-0.387499988079071,-0.387499988079071,0,-0.449999988079071,
0.387499988079071,-0.387499988079071,0.4125000238418579,0,0.3500000238418579,0.3500000238418579,0,0.387499988079071,-0.3375000059604645,0.3374999761581421,-0.4124999940395355,0],0]]]],[["Pin",cr.behaviors.Pin,0x977331fe8ce93]],!1,!1,323778527868661,[],null],["t19",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,9369440639282680,[["m16-sheet0.png",9971,0,0,80,80,1,0.5,0.5,[],[-0.387499988079071,-0.387499988079071,0,-0.449999988079071,0.387499988079071,-0.387499988079071,0.4125000238418579,
0,0.3374999761581421,0.3374999761581421,0,0.387499988079071,-0.3375000059604645,0.3374999761581421,-0.4124999940395355,0],0],["m11-sheet1.png",9385,0,0,80,80,1,0.5,0.5,[],[-0.387499988079071,-0.387499988079071,0,-0.449999988079071,0.387499988079071,-0.387499988079071,0.4125000238418579,0,0.3500000238418579,0.3500000238418579,0,0.387499988079071,-0.3375000059604645,0.3374999761581421,-0.4124999940395355,0],0]]]],[["Pin",cr.behaviors.Pin,0x823b1994c4b67]],!1,!1,9802829393135180,[],null],["t20",cr.plugins_.Sprite,
!1,[],1,0,null,[["Default",5,!1,1,0,!1,0xb9bb0347438c8,[["m17-sheet0.png",9948,0,0,80,80,1,0.5,0.5,[],[-0.387499988079071,-0.387499988079071,0,-0.449999988079071,0.387499988079071,-0.387499988079071,0.4125000238418579,0,0.3374999761581421,0.3374999761581421,0,0.387499988079071,-0.3375000059604645,0.3374999761581421,-0.4124999940395355,0],0],["m11-sheet1.png",9385,0,0,80,80,1,0.5,0.5,[],[-0.387499988079071,-0.387499988079071,0,-0.449999988079071,0.387499988079071,-0.387499988079071,0.4125000238418579,
0,0.3500000238418579,0.3500000238418579,0,0.387499988079071,-0.3375000059604645,0.3374999761581421,-0.4124999940395355,0],0]]]],[["Pin",cr.behaviors.Pin,0xe026ae864bbe7]],!1,!1,6912439809849365,[],null],["t21",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,8084253561139359,[["m18-sheet0.png",9939,0,0,80,80,1,0.5,0.5,[],[-0.387499988079071,-0.387499988079071,0,-0.449999988079071,0.387499988079071,-0.387499988079071,0.4125000238418579,0,0.3374999761581421,0.3374999761581421,0,0.387499988079071,
-0.3375000059604645,0.3374999761581421,-0.4124999940395355,0],0],["m11-sheet1.png",9385,0,0,80,80,1,0.5,0.5,[],[-0.387499988079071,-0.387499988079071,0,-0.449999988079071,0.387499988079071,-0.387499988079071,0.4125000238418579,0,0.3500000238418579,0.3500000238418579,0,0.387499988079071,-0.3375000059604645,0.3374999761581421,-0.4124999940395355,0],0]]]],[["Pin",cr.behaviors.Pin,0x6750224a6f298]],!1,!1,485860520541431,[],null],["t22",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,6580962895313024,
[["m19-sheet0.png",9878,0,0,80,80,1,0.5,0.5,[],[-0.387499988079071,-0.387499988079071,0,-0.449999988079071,0.387499988079071,-0.387499988079071,0.4125000238418579,0,0.3374999761581421,0.3374999761581421,0,0.387499988079071,-0.3375000059604645,0.3374999761581421,-0.4124999940395355,0],0],["m11-sheet1.png",9385,0,0,80,80,1,0.5,0.5,[],[-0.387499988079071,-0.387499988079071,0,-0.449999988079071,0.387499988079071,-0.387499988079071,0.4125000238418579,0,0.3500000238418579,0.3500000238418579,0,0.387499988079071,
-0.3375000059604645,0.3374999761581421,-0.4124999940395355,0],0]]]],[["Pin",cr.behaviors.Pin,9305539050311680]],!1,!1,0x95493cb5c402f,[],null],["t23",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,500365763795303,[["m2-sheet0.png",9572,0,0,80,80,1,0.5,0.5,[],[-0.387499988079071,-0.387499988079071,0,-0.449999988079071,0.387499988079071,-0.387499988079071,0.4125000238418579,0,0.3374999761581421,0.3374999761581421,0,0.387499988079071,-0.3375000059604645,0.3374999761581421,-0.4124999940395355,
0],0],["m11-sheet1.png",9385,0,0,80,80,1,0.5,0.5,[],[-0.387499988079071,-0.387499988079071,0,-0.449999988079071,0.387499988079071,-0.387499988079071,0.4125000238418579,0,0.3500000238418579,0.3500000238418579,0,0.387499988079071,-0.3375000059604645,0.3374999761581421,-0.4124999940395355,0],0]]]],[["Pin",cr.behaviors.Pin,0xf419d96f5a759]],!1,!1,0xd76801a8ac663,[],null],["t24",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,9560037938909064,[["m20-sheet0.png",10502,0,0,80,80,1,0.5,0.5,[],[-0.387499988079071,
-0.387499988079071,0,-0.449999988079071,0.387499988079071,-0.387499988079071,0.4125000238418579,0,0.3374999761581421,0.3374999761581421,0,0.387499988079071,-0.3375000059604645,0.3374999761581421,-0.4124999940395355,0],0],["m20-sheet1.png",9387,0,0,80,80,1,0.5,0.5,[],[-0.387499988079071,-0.387499988079071,0,-0.449999988079071,0.387499988079071,-0.387499988079071,0.4125000238418579,0,0.3500000238418579,0.3500000238418579,0,0.387499988079071,-0.3375000059604645,0.3374999761581421,-0.4124999940395355,
0],0]]]],[["Pin",cr.behaviors.Pin,0x6873f36851118]],!1,!1,5174025691670097,[],null],["t25",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,7645852238085378,[["m3-sheet0.png",9712,0,0,80,80,1,0.5,0.5,[],[-0.387499988079071,-0.387499988079071,0,-0.449999988079071,0.387499988079071,-0.387499988079071,0.4125000238418579,0,0.3374999761581421,0.3374999761581421,0,0.387499988079071,-0.3375000059604645,0.3374999761581421,-0.4124999940395355,0],0],["m11-sheet1.png",9385,0,0,80,80,1,0.5,0.5,[],[-0.387499988079071,
-0.387499988079071,0,-0.449999988079071,0.387499988079071,-0.387499988079071,0.4125000238418579,0,0.3500000238418579,0.3500000238418579,0,0.387499988079071,-0.3375000059604645,0.3374999761581421,-0.4124999940395355,0],0]]]],[],!1,!1,0xc45688b116177,[],null],["t26",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,0xabb0718762a96,[["m4-sheet0.png",9360,0,0,80,80,1,0.5,0.5,[],[-0.387499988079071,-0.387499988079071,0,-0.449999988079071,0.387499988079071,-0.387499988079071,0.4125000238418579,
0,0.3374999761581421,0.3374999761581421,0,0.387499988079071,-0.3375000059604645,0.3374999761581421,-0.4124999940395355,0],0],["m11-sheet1.png",9385,0,0,80,80,1,0.5,0.5,[],[-0.387499988079071,-0.387499988079071,0,-0.449999988079071,0.387499988079071,-0.387499988079071,0.4125000238418579,0,0.3500000238418579,0.3500000238418579,0,0.387499988079071,-0.3375000059604645,0.3374999761581421,-0.4124999940395355,0],0]]]],[["Pin",cr.behaviors.Pin,8865045947762182]],!1,!1,7864631908590534,[],null],["t27",cr.plugins_.Sprite,
!1,[],1,0,null,[["Default",5,!1,1,0,!1,5908689038065686,[["m5-sheet0.png",9529,0,0,80,80,1,0.5,0.5,[],[-0.387499988079071,-0.387499988079071,0,-0.449999988079071,0.387499988079071,-0.387499988079071,0.4125000238418579,0,0.3374999761581421,0.3374999761581421,0,0.387499988079071,-0.3375000059604645,0.3374999761581421,-0.4124999940395355,0],0],["m11-sheet1.png",9385,0,0,80,80,1,0.5,0.5,[],[-0.387499988079071,-0.387499988079071,0,-0.449999988079071,0.387499988079071,-0.387499988079071,0.4125000238418579,
0,0.3500000238418579,0.3500000238418579,0,0.387499988079071,-0.3375000059604645,0.3374999761581421,-0.4124999940395355,0],0]]]],[["Pin",cr.behaviors.Pin,0xea4e15ffa2d4e]],!1,!1,64936126013772,[],null],["t28",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,6811069100568975,[["m6-sheet0.png",9663,0,0,80,80,1,0.5,0.5,[],[-0.387499988079071,-0.387499988079071,0,-0.449999988079071,0.387499988079071,-0.387499988079071,0.4125000238418579,0,0.3374999761581421,0.3374999761581421,0,0.387499988079071,
-0.3375000059604645,0.3374999761581421,-0.4124999940395355,0],0],["m11-sheet1.png",9385,0,0,80,80,1,0.5,0.5,[],[-0.387499988079071,-0.387499988079071,0,-0.449999988079071,0.387499988079071,-0.387499988079071,0.4125000238418579,0,0.3500000238418579,0.3500000238418579,0,0.387499988079071,-0.3375000059604645,0.3374999761581421,-0.4124999940395355,0],0]]]],[["Pin",cr.behaviors.Pin,7956110832343928]],!1,!1,7566937423344826,[],null],["t29",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,5306056196414596,
[["m7-sheet0.png",9491,0,0,80,80,1,0.5,0.5,[],[-0.387499988079071,-0.387499988079071,0,-0.449999988079071,0.387499988079071,-0.387499988079071,0.4125000238418579,0,0.3374999761581421,0.3374999761581421,0,0.387499988079071,-0.3375000059604645,0.3374999761581421,-0.4124999940395355,0],0],["m11-sheet1.png",9385,0,0,80,80,1,0.5,0.5,[],[-0.387499988079071,-0.387499988079071,0,-0.449999988079071,0.387499988079071,-0.387499988079071,0.4125000238418579,0,0.3500000238418579,0.3500000238418579,0,0.387499988079071,
-0.3375000059604645,0.3374999761581421,-0.4124999940395355,0],0]]]],[["Pin",cr.behaviors.Pin,0xbe88b7fb2de26]],!1,!1,5946114469983649,[],null],["t30",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,4916660921805424,[["m8-sheet0.png",9663,0,0,80,80,1,0.5,0.5,[],[-0.387499988079071,-0.387499988079071,0,-0.449999988079071,0.387499988079071,-0.387499988079071,0.4125000238418579,0,0.3374999761581421,0.3374999761581421,0,0.387499988079071,-0.3375000059604645,0.3374999761581421,-0.4124999940395355,
0],0],["m11-sheet1.png",9385,0,0,80,80,1,0.5,0.5,[],[-0.387499988079071,-0.387499988079071,0,-0.449999988079071,0.387499988079071,-0.387499988079071,0.4125000238418579,0,0.3500000238418579,0.3500000238418579,0,0.387499988079071,-0.3375000059604645,0.3374999761581421,-0.4124999940395355,0],0]]]],[["Pin",cr.behaviors.Pin,4549613152048816]],!1,!1,560853536097663,[],null],["t31",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,9668769439541592,[["m9-sheet0.png",9615,0,0,80,80,1,0.5,0.5,[],[-0.387499988079071,
-0.387499988079071,0,-0.449999988079071,0.387499988079071,-0.387499988079071,0.4125000238418579,0,0.3374999761581421,0.3374999761581421,0,0.387499988079071,-0.3375000059604645,0.3374999761581421,-0.4124999940395355,0],0],["m11-sheet1.png",9385,0,0,80,80,1,0.5,0.5,[],[-0.387499988079071,-0.387499988079071,0,-0.449999988079071,0.387499988079071,-0.387499988079071,0.4125000238418579,0,0.3500000238418579,0.3500000238418579,0,0.387499988079071,-0.3375000059604645,0.3374999761581421,-0.4124999940395355,
0],0]]]],[["Pin",cr.behaviors.Pin,0xd6f68f8f80aaf]],!1,!1,0xb4c52fbe20c46,[],null],["t32",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,0x3b0f89e7789e3,[["sprite65-sheet0.png",28918,0,0,142,142,1,0.5,0.5,[],[],0]]]],[["Pin",cr.behaviors.Pin,0x5780246ccab3c]],!1,!1,0x3b4d398f8c779,[],null],["t33",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,7634503077230337,[["sprite66-sheet0.png",28493,0,0,142,142,1,0.5,0.5,[],[],0]]]],[["Pin",cr.behaviors.Pin,4707786778331533]],!1,!1,0xdcc34bf33cb54,
[],null],["t34",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,0xdd9754c8a537a,[["sprite67-sheet0.png",30299,0,0,142,142,1,0.5,0.5,[],[],0]]]],[["Pin",cr.behaviors.Pin,8988536421024269]],!1,!1,7418989814215476,[],null],["t35",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,0xf3d235f8f3a0b,[["sprite68-sheet0.png",29168,0,0,142,142,1,0.5,0.5,[],[],0]]]],[["Pin",cr.behaviors.Pin,0x5f784a4607ba0]],!1,!1,0x8b725ca5f5725,[],null],["t36",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",
5,!1,1,0,!1,0xcf3839d597aa5,[["sprite78-sheet0.png",3169,0,0,50,50,1,0.5,0.5,[],[],0]]]],[],!1,!1,5817197386635144,[],null],["t37",cr.plugins_.Text,!1,[],1,0,null,null,[["Pin",cr.behaviors.Pin,9824004527112452]],!1,!1,8683687088477249,[],null],["t38",cr.plugins_.TiledBg,!1,[],1,0,["tiledbackground10.png",848,1],null,[["Sine",cr.behaviors.Sin,5884800780149623]],!1,!1,8850147692081433,[],null],["t39",cr.plugins_.TiledBg,!1,[],1,0,["tiledbackground6.png",3035,1],null,[["Sine",cr.behaviors.Sin,0x81fe52ddd798]],
!1,!1,0x7959dded79507,[],null],["t40",cr.plugins_.TiledBg,!1,[],0,0,["tiledbackground2.png",8118,0],null,[],!1,!1,7457524199491167,[],null],["t41",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,0x9a93d9305c72a,[["pole-sheet0.png",156,0,0,256,256,1,0,0.48828125,[],[],1]]]],[],!1,!1,0xde41c0deaa667,[],null],["t42",cr.plugins_.Sprite,!1,[],1,0,null,[["tri",5,!1,1,0,!1,0x8f5cc6d8e4a2f,[["sprite8-sheet0.png",5969,0,0,62,46,1,0.5,1,[["Imagepoint 1",0.5,0.5]],[-0.4032258093357086,-0.8695650100708008,
0,-0.9130434989929199,0.3870970010757446,-0.8478260040283203,0.5,-0.5,0.3387100100517273,-0.2173910140991211,0,-0.02173900604248047,-0.3548389971256256,-0.1956520080566406,-0.5,-0.5],0]]],["dva",5,!1,1,0,!1,5793205539029596,[["sprite8-sheet1.png",4697,0,0,62,46,1,0.5161290168762207,0.97826087474823,[["Imagepoint 1",0.5,0.5]],[-0.3709680140018463,-0.7826088666915894,-0.0161290168762207,-0.95652174949646,0.2580649852752686,-0.6739128828048706,0.3225809931755066,-0.47826087474823,0.3064519762992859,
-0.2173908948898315,-0.0161290168762207,1.192092895507813E-7,-0.322581022977829,-0.2391308546066284,-0.4193548262119293,-0.47826087474823],0]]],["odin",5,!1,1,0,!1,0x6aff2a2d94c0,[["sprite8-sheet2.png",2928,0,0,35,37,1,0.5142857432365417,0.9729729890823364,[["Imagepoint 1",0.5142857432365417,0.5135135054588318]],[-0.342856764793396,-0.8108109831809998,-0.02857175469398499,-0.9459459781646729,0.3142852783203125,-0.8108109831809998,0.457143247127533,-0.4864870011806488,0.3428572416305542,-0.1081079840660095,
-0.02857175469398499,0.02702701091766357,-0.3714287281036377,-0.1081079840660095,-0.4857143461704254,-0.4864870011806488],0]]]],[["Pin",cr.behaviors.Pin,472551333393345]],!1,!1,753268080009827,[],null],["t43",cr.plugins_.Particles,!1,[],0,0,["particles.png",1141,0],null,[],!1,!1,0xc40cbe877c172,[],null],["t44",cr.plugins_.Particles,!1,[],0,0,["particles2.png",1839,0],null,[],!1,!1,980869074709112,[],null],["t45",cr.plugins_.Sprite,!1,[8630056445291565],5,0,null,[["Based",0,!1,1,0,!1,4866939006276612,
[["sprite-sheet1.png",6410,0,0,55,61,0,0.4545454680919647,0.01639344170689583,[["Imagepoint 1",0.1818181872367859,0.8196721076965332],["Imagepoint 2",0.1272727251052856,0.9344262480735779],["Imagepoint 3",0.5272727012634277,0.6065573692321777],["Imagepoint 4",0.4545454680919647,0.3770491778850555],["Imagepoint 5",0.4727272689342499,0.9344262480735779],["Imagepoint 6",0.4545454680919647,0.311475396156311],["Imagepoint 7",0.4727272689342499,0.7868852615356445],["Imagepoint 8",0.9636363387107849,0.6393442749977112]],
[-0.2545454502105713,0.1639345586299896,0.03636354207992554,-4.097819328308106E-8,0.2909095585346222,0.2131145596504211,0.4909095466136932,0.4754095375537872,0.3272725045681,0.7868855595588684,0.03636354207992554,0.9672135710716248,-0.290909469127655,0.8360655903816223,-0.3818181753158569,0.4754095375537872],0],["sprite-sheet2.png",6710,0,0,55,61,0,0.4545454680919647,0,[["Imagepoint 1",0.1818181872367859,0.8196721076965332],["Imagepoint 2",0.1272727251052856,0.9344262480735779],["Imagepoint 3",0.5090909004211426,
0.5081967115402222]],[-0.2445454746484757,0.1909089982509613,0.04545453190803528,0.009090909734368324,0.2854545414447784,0.2363640069961548,0.4954545199871063,0.5,0.3254545032978058,0.800000011920929,-0.004545480012893677,0.8999999761581421,-0.3145454525947571,0.7636359930038452,-0.3945454657077789,0.5],0]]],["Ghost",0,!1,1,0,!1,4891497605385207,[["sprite-sheet0.png",5104,0,0,56,62,1,0.5178571343421936,-0.06451612710952759,[["Imagepoint 1",0.4107142984867096,1.016129016876221],["Imagepoint 2",0.3571428656578064,
1.080645203590393],["Imagepoint 3",0.5,0.5]],[-0.321428120136261,0.241935133934021,-0.0178571343421936,0.1290322244167328,0.3392858505249023,0.1935481280088425,0.3749998807907105,0.5645161271095276,0.2321428656578064,0.8387101292610168,-0.0178571343421936,0.8870971202850342,-0.1607141196727753,0.741935133934021,-0.1071431338787079,0.5645161271095276],0]]]],[["ScrollTo",cr.behaviors.scrollto,9064371078206628],["8Direction",cr.behaviors.EightDir,7077979740744265],["Platform",cr.behaviors.Platform,0xc0329ac12590b],
["Sine",cr.behaviors.Sin,7314408069083857],["Sine2",cr.behaviors.Sin,0x3eb9c310d053b]],!1,!1,6028926651850641,[],null],["t46",cr.plugins_.TiledBg,!1,[],1,0,["waterdead.png",109,1],null,[["Sine",cr.behaviors.Sin,5340113474659625]],!1,!1,0x3b52d9d340645,[],null],["t47",cr.plugins_.TiledBg,!1,[],1,0,["tiledbackgroundwather.png",109,1],null,[["Sine",cr.behaviors.Sin,0x7e50f0f08214d]],!1,!1,0x7f572b6d7d85b,[],null],["t48",cr.plugins_.TiledBg,!1,[],1,0,["wave.png",8809,0],null,[["Sine3",cr.behaviors.Sin,
0xd92f17991ef8e]],!1,!1,4953695706994218,[],null],["t49",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,5812802071910773,[["sangpad-sheet0.png",3310,0,0,180,180,1,0.5,0.5,[],[-0.3499999940395355,-0.3499999940395355,0,-0.4944444298744202,0.3500000238418579,-0.3499999940395355,0.4944440126419067,0,0.3500000238418579,0.3500000238418579,0,0.4944440126419067,-0.3499999940395355,0.3500000238418579,-0.4944444298744202,0],0]]]],[],!1,!1,5029826921030392,[],null],["t50",cr.plugins_.Sprite,!1,[777334789618923],
1,0,null,[["Default",5,!1,1,0,!1,8161833147780922,[["sangstick-sheet0.png",18509,0,0,120,120,1,0.4749999940395355,0.4833333194255829,[],[-0.31666699051857,-0.3250003159046173,0.02500000596046448,-0.4500000178813934,0.3416670262813568,-0.3000003099441528,0.4500000178813934,0.01666668057441711,0.3250000178813934,0.3166666924953461,0.02500000596046448,0.4499996602535248,-0.300000011920929,0.3416666686534882,-0.449999988079071,0.01666668057441711],0]]]],[["DragDrop",cr.behaviors.DragnDrop,4712923004947977]],
!1,!1,5568744626264319,[],null],["t51",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,6333513634795804,[["sprite16-sheet0.png",1079,0,0,112,72,1,0.5,0.5,[],[-0.4732142984867096,-0.4583333134651184,0,-0.5,0.4732139706611633,-0.4583333134651184,0.5,0,0.4732139706611633,0.4583330154418945,0,0.4861109852790833,-0.4732142984867096,0.4583330154418945,-0.5,0],0]]]],[],!1,!1,7302573036606621,[],null],["t52",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,9076557770729724,[["sprite32-sheet0.png",
675,0,0,43,51,1,0.5116279125213623,0.5098039507865906,[],[-0.4418604969978333,-0.4509804546833038,-0.02325591444969177,-0.5098039507865906,0.3720930814743042,-0.4117647409439087,0.4883720874786377,-0.01960796117782593,0.3953490853309631,0.4117650389671326,-0.02325591444969177,0.2941180467605591,-0.325580894947052,-0.01960796117782593],0]]]],[["Pin",cr.behaviors.Pin,5462404955898297]],!1,!1,0x543c6e6b9a0c1,[],null],["t53",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,0xfac97f800b91,[["sprite16-sheet0.png",
1079,0,0,112,72,1,0.5,0.5,[],[-0.4732142984867096,-0.4583333134651184,0,-0.5,0.4732139706611633,-0.4583333134651184,0.5,0,0.4732139706611633,0.4583330154418945,0,0.4861109852790833,-0.4732142984867096,0.4583330154418945,-0.5,0],0]]]],[],!1,!1,0x805b06f7ada73,[],null],["t54",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,4534238598661273,[["sprite12-sheet0.png",18136,0,0,273,57,1,0.5018315315246582,0.5087719559669495,[],[-0.4652015268802643,-0.3333329558372498,-0.003663539886474609,-0.4912280440330505,
0.4798534512519836,-0.4210526645183563,0.4981684684753418,-0.01754394173622131,0.4835164546966553,0.4210530519485474,-0.003663539886474609,0.4736840724945068,-0.4652015268802643,0.3157890439033508,-0.5018315315246582,-0.01754394173622131],0]]]],[],!1,!1,577005399732608,[],null],["t55",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,0x94d4d437d066e,[["sprite6-sheet0.png",371,0,0,32,32,1,0,0.5,[],[],1]]]],[["Pin",cr.behaviors.Pin,4518756684354156]],!1,!1,0x666d359e50556,[],null],["t56",cr.plugins_.Text,
!1,[],1,0,null,null,[["Pin",cr.behaviors.Pin,9402654672580032]],!1,!1,0x69eeaa84ef2b7,[],null],["t57",cr.plugins_.Text,!1,[],1,0,null,null,[["Pin",cr.behaviors.Pin,9286621668272782]],!1,!1,6862479007799349,[],null],["t58",cr.plugins_.Text,!1,[],0,0,null,null,[],!1,!1,5075396040111189,[],null],["t59",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,0x45264fe892ac9,[["sprite29-sheet0.png",644,0,0,216,43,1,0.5,0.5116279125213623,[],[-0.4861111044883728,-0.4418604969978333,0,-0.5116279125213623,
0.4861109852790833,-0.4418604969978333,0.5,-0.02325591444969177,0.4861109852790833,0.4186050891876221,0,0.4883720874786377,-0.4861111044883728,0.4186050891876221,-0.5,-0.02325591444969177],0]]]],[["Pin",cr.behaviors.Pin,0x5661186440aa7]],!1,!1,0xdfb31d62f27a6,[],null],["t60",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,6822787307923753,[["ballvalue-sheet0.png",2461,0,0,35,35,1,0.5142857432365417,0.5142857432365417,[],[-0.3714287281036377,-0.3714287281036377,-0.02857175469398499,-0.5142857432365417,
0.3428572416305542,-0.3714287281036377,0.4857142567634583,-0.02857175469398499,0.3428572416305542,0.3428572416305542,-0.02857175469398499,0.4857142567634583,-0.3714287281036377,0.3428572416305542,-0.5142857432365417,-0.02857175469398499],0]]]],[],!1,!1,6405572314711198,[],null],["t61",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,0x5a568f9b00590,[["power-sheet0.png",1935,0,0,26,26,1,0.5,0.5,[],[-0.3461540043354034,-0.3461540043354034,0,-0.5,0.3461539745330811,-0.3461540043354034,0.5,0,
0.3461539745330811,0.3461539745330811,0,0.5,-0.3461540043354034,0.3461539745330811,-0.5,0],0]]]],[["Pin",cr.behaviors.Pin,0xf53f6de4fe9d1]],!1,!1,7672828377084024,[],null],["t62",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,4532163506019596,[["sprite78-sheet0.png",3169,0,0,50,50,1,0.5,0.5,[],[-0.3199999928474426,-0.3199999928474426,0,-0.4600000083446503,0.3199999928474426,-0.3199999928474426,0.4599999785423279,0,0.3199999928474426,0.3199999928474426,0,0.4599999785423279,-0.3199999928474426,
0.3199999928474426,-0.4600000083446503,0],0]]]],[["Pin",cr.behaviors.Pin,6958801420033353]],!1,!1,9752270957473564,[],null],["t63",cr.plugins_.Arr,!1,[],0,0,null,null,[],!0,!1,0x6b5c6f0bede11,[],null],["t64",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,0xaa7563561cdfa,[["sprite10-sheet0.png",15846,1,1,127,44,1,0.5039370059967041,0.5,[],[-0.4566929042339325,-0.3636360168457031,0.4488189816474915,-0.3636360168457031,0.4881889820098877,0,0.4251970052719116,0.2954549789428711,-0.4330708980560303,
0.2954549789428711,-0.4960629940032959,0],0],["sprite10-sheet0.png",15846,130,1,107,48,1,0.5046728849411011,0.5,[],[-0.5046728849411011,-0.5,0.4953271150588989,-0.5,0.4766350984573364,0.4583330154418945,-0.485981285572052,0.4583330154418945],0]]]],[],!1,!1,0x464fcf05e9133,[],null],["t65",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,0xa939261de3346,[["sprite20-sheet0.png",16391,0,0,120,105,1,0.5,0.5047619342803955,[],[-0.2666670083999634,-0.2380949258804321,0,-0.4571429491043091,0.2583330273628235,
-0.2285719215869904,0.2749999761581421,-0.009523928165435791,0.1499999761581421,0.0952380895614624,0,0.4380950927734375,-0.1083329916000366,0.0476190447807312,-0.3916670083999634,-0.009523928165435791],0]]]],[],!1,!1,5043900968079354,[],null],["t66",cr.plugins_.TiledBg,!1,[],2,0,["tiledbackground11.png",1265,1],null,[["Physics",cr.behaviors.Physics,9683204127016488],["Solid",cr.behaviors.solid,0x8b1114d637e3e]],!1,!1,7561283044849039,[],null],["t67",cr.plugins_.TiledBg,!1,[],0,0,["tiledbackground13.png",
371,0],null,[],!1,!1,0x7055fdc98e4c0,[],null],["t68",cr.plugins_.TiledBg,!1,[],2,0,["tiledbackground14.png",3164,0],null,[["Solid",cr.behaviors.solid,7026703454660483],["Physics",cr.behaviors.Physics,0xb51c122fb512d]],!1,!1,8757431652468813,[],null],["t69",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,8464854523970409,[["sprite23-sheet0.png",5288,0,0,67,38,1,0.5074626803398132,0.5,[],[-0.2985076904296875,-0.1315790116786957,-0.01492568850517273,-0.3947370052337647,0.3283582925796509,-0.2105259895324707,
0.46268630027771,0,0.3432832956314087,0.2368419766426086,-0.01492568850517273,0.342104971408844,-0.4029846787452698,0.3157889842987061],0]]]],[],!1,!1,6983391578583252,[],null],["t70",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,0xb4e78ec6acb05,[["sprite24-sheet0.png",6649,0,0,85,34,1,0.5058823823928833,0.5,[],[-0.3411763906478882,-0.08823499083518982,-0.01176437735557556,-0.4411765038967133,0.2941176295280457,0,0.2941176295280457,0,0.4470586180686951,0.3823530077934265,-0.01176437735557556,
0.4411759972572327,-0.4470588862895966,0.3529409766197205,-0.4117648005485535,0],0]]]],[],!1,!1,5539508426568571,[],null],["t71",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,5435754710073267,[["sprite31-sheet0.png",7343,0,0,107,37,1,0.5046728849411011,0.5135135054588318,[],[-0.3738318681716919,-0.1351355016231537,-0.0093458890914917,-0.4864864945411682,0.2897201180458069,0.08108150959014893,0.08411210775375366,-0.02702751755714417,0.4392521381378174,0.3243244886398315,-0.0093458890914917,
0.4054055213928223,-0.4299064874649048,0.2702704668045044,-0.3738318681716919,-0.02702751755714417],0]]]],[],!1,!1,0xdf5d202f7aaa1,[],null],["t72",cr.plugins_.Sprite,!1,[],2,0,null,[["Default",0,!1,1,0,!1,9033674329743004,[["sprite33-sheet0.png",14516,1,1,90,33,0,0.5,0.5151515007019043,[["Imagepoint 1",0.5,-0.1515151560306549],["Imagepoint 2",0.5,-0.3636363744735718],["Imagepoint 3",0.5,-1.545454502105713],["Imagepoint 4",0.6000000238418579,-1.121212124824524],["Imagepoint 5",0.4555555582046509,-0.7272727489471436],
["Imagepoint 6",0.4777777791023254,-0.7878788113594055]],[0.5,-0.45454540848732,0.1850389838218689,-0.01902750134468079,-0.01249998807907105,0.1892175078392029,-0.5,-0.45454540848732],0],["sprite33-sheet0.png",14516,1,36,90,33,0,0.5,0.5151515007019043,[["Imagepoint 1",0.5,-0.1515151560306549],["Imagepoint 2",0.5,-0.3636363744735718],["Imagepoint 3",0.5,-1.545454502105713],["Imagepoint 4",0.6000000238418579,-1.121212124824524],["Imagepoint 5",0.4555555582046509,-0.7272727489471436],["Imagepoint 6",
0.4777777791023254,-0.7878788113594055]],[-0.5,-0.5151515007019043,0.5,-0.5151515007019043,0.4548869729042053,-0.02734649181365967,0.3646619915962219,0.04582452774047852,-0.3646619915962219,0.04582452774047852,-0.4473683834075928,-0.02734649181365967],0],["sprite33-sheet0.png",14516,1,71,90,33,0,0.5,0.5151515007019043,[["Imagepoint 1",0.5,-0.1515151560306549],["Imagepoint 2",0.5,-0.3636363744735718],["Imagepoint 3",0.5,-1.545454502105713],["Imagepoint 4",0.6000000238418579,-1.121212124824524],["Imagepoint 5",
0.4555555582046509,-0.7272727489471436],["Imagepoint 6",0.4777777791023254,-0.7878788113594055]],[-0.5,-0.5151515007019043,0.5,-0.5151515007019043,0.4789469838142395,-0.2737725079059601,0,0.1572625041007996,-0.3421050012111664,-0.0151515007019043],0],["sprite33-sheet1.png",4421,0,0,90,33,1,0.5,0.5151515007019043,[["Imagepoint 1",0.5,-0.1515151560306549],["Imagepoint 2",0.5,-0.3636363744735718],["Imagepoint 3",0.5,-1.545454502105713],["Imagepoint 4",0.6000000238418579,-1.121212124824524],["Imagepoint 5",
0.4555555582046509,-0.7272727489471436],["Imagepoint 6",0.4777777791023254,-0.7878788113594055]],[-0.4631578922271729,-0.3944615125656128,0,-0.4461860060691834,0.4578949809074402,-0.3772205114364624,0.4789469838142395,-0.0151515007019043,0.4210529923439026,0.2262275218963623,-0.4210526049137116,0.2262275218963623,-0.4894737005233765,-0.0151515007019043],0]]]],[["Solid",cr.behaviors.solid,8922015427093472],["Physics",cr.behaviors.Physics,0x61bfd25de521]],!1,!1,8948255026749175,[],null],["t73",cr.plugins_.Sprite,
!1,[],0,0,null,[["Rpass",5,!1,1,0,!1,880490248583497,[["sprite37-sheet0.png",5790,0,0,73,72,1,-0.09589041024446487,-0.0972222238779068,[["Imagepoint 1",0.4109589159488678,0.7638888955116272]],[0.3698633909225464,0.3750002384185791,0.5890414118766785,0.3333332240581513,0.6986303925514221,0.5000002384185791,0.7123283743858337,0.5972222089767456,0.835616409778595,0.8333331942558289,0.5890414118766785,1.097222208976746,0.3013693988323212,0.8888891935348511,0.09589041024446487,0.5972222089767456],0]]],
["Ractiv",5,!1,1,0,!1,0xfe18e1cc74a61,[["sprite37-sheet0.png",5790,0,0,73,72,1,-0.09589041024446487,-0.0972222238779068,[["Imagepoint 1",0.4109589159488678,0.75]],[0.3698633909225464,0.3750002384185791,0.5890414118766785,0.3333332240581513,0.6986303925514221,0.5000002384185791,0.7123283743858337,0.5972222089767456,0.835616409778595,0.8333331942558289,0.5890414118766785,1.097222208976746,0.3013693988323212,0.8888891935348511,0.09589041024446487,0.5972222089767456],0],["sprite37-sheet1.png",6173,0,
0,73,72,1,-0.09589041024446487,-0.0972222238779068,[["Imagepoint 1",0.4246575236320496,0.7638888955116272]],[0.3698633909225464,0.3750002384185791,0.5890414118766785,0.3472222089767456,0.6712324023246765,0.5277782082557678,0.9863014221191406,0.5972222089767456,0.835616409778595,0.8333331942558289,0.5890414118766785,1.097222208976746,0.3013693988323212,0.8888891935348511,0.3698633909225464,0.5972222089767456],0],["sprite37-sheet2.png",5253,0,0,73,72,5,-0.09589041024446487,-0.0972222238779068,[["Imagepoint 1",
0.4520547986030579,0.7916666865348816]],[0.2054794132709503,0.2083332240581513,0.5890414118766785,0.180555522441864,0.6986303925514221,0.5000002384185791,0.7123283743858337,0.5972222089767456,0.8082193732261658,0.8055552244186401,0.5890414118766785,1.097222208976746,0.3013693988323212,0.8888891935348511,0.3835614025592804,0.5972222089767456],0]]]],[],!1,!1,0x645e0466921ae,[],null],["t74",cr.plugins_.Sprite,!1,[],0,0,null,[["Boo",5,!1,1,0,!1,5005411249694284,[["sprite48-sheet0.png",37071,1,1,70,71,
1,0.5,0.5070422291755676,[],[-0.2571430206298828,-0.2676052451133728,0,-0.3943662345409393,0.2571430206298828,-0.2676052451133728,0.3142859935760498,-0.01408421993255615,0.442857027053833,0.436619758605957,0,0.4788727760314941,-0.3285710215568543,0.3239437937736511,-0.2571430206298828,-0.01408421993255615],0]]],["BooActive",5,!1,1,0,!1,0xa56ce23a710af,[["sprite48-sheet0.png",37071,73,1,70,71,1,0.5,0.5070422291755676,[],[-0.1857140064239502,-0.197183221578598,0,-0.2957742214202881,0.2571430206298828,
-0.2676052451133728,0.2714290022850037,-0.01408421993255615,0.442857027053833,0.436619758605957,0,0.4788727760314941,-0.3142859935760498,0.3098587989807129,-0.2714290022850037,-0.01408421993255615],0],["sprite48-sheet0.png",37071,145,1,70,71,1,0.5,0.5070422291755676,[],[-0.2285709977149963,-0.2394362390041351,0,-0.338028222322464,0.300000011920929,-0.3098592162132263,0.3428570032119751,-0.01408421993255615,0.442857027053833,0.436619758605957,0,0.4788727760314941,-0.300000011920929,0.2957747578620911,
-0.300000011920929,-0.01408421993255615],0],["sprite48-sheet0.png",37071,1,74,70,71,1,0.5,0.5070422291755676,[],[-0.1857140064239502,-0.197183221578598,0,-0.3943662345409393,0.3285710215568543,-0.338028222322464,0.3285710215568543,-0.01408421993255615,0.442857027053833,0.436619758605957,0,0.4788727760314941,-0.3142859935760498,0.3098587989807129,-0.3857139945030212,-0.01408421993255615],0],["sprite48-sheet0.png",37071,73,74,70,71,1,0.5,0.5070422291755676,[],[-0.1142860054969788,-0.1267602145671845,
0,-0.2394362390041351,0.1285709738731384,-0.1408452391624451,0.2571430206298828,-0.01408421993255615,0.442857027053833,0.436619758605957,0,0.4788727760314941,-0.300000011920929,0.2957747578620911,-0.1857140064239502,-0.01408421993255615],0]]]],[],!1,!1,5769788686256191,[],null],["t75",cr.plugins_.TiledBg,!1,[],2,0,["tiledbackground8.png",2986,0],null,[["Solid",cr.behaviors.solid,7147276381794096],["Physics",cr.behaviors.Physics,9530903453284248]],!1,!1,5635529579747885,[],null],["t76",cr.plugins_.Sprite,
!1,[],2,0,null,[["Default",5,!1,1,0,!1,0x6fd5787db517b,[["rock-sheet0.png",2286,0,0,29,35,1,0.517241358757019,0.5142857432365417,[],[-0.2068963646888733,-0.2571427524089813,-0.03448235988616943,-0.4571428298950195,0.3448276519775391,-0.399999737739563,0.448275625705719,-0.02857175469398499,0.3103446364402771,0.3428572416305542,-0.03448235988616943,0.4857142567634583,-0.3793103694915772,0.3714282512664795,-0.4482758641242981,-0.02857175469398499],0]]]],[["Bullet",cr.behaviors.Bullet,0xa77d02508624b],
["DestroyOutsideLayout",cr.behaviors.destroy,0x8cb9522bb338c]],!1,!1,0xda470799df3b,[],null],["t77",cr.plugins_.Sprite,!1,[0xa70f23fce3a5b],0,0,null,[["Money",5,!0,1,0,!1,5813133830069045,[["money-sheet0.png",6494,1,1,30,30,1,0.5,0.5,[],[-0.3333330154418945,-0.3333330154418945,0,-0.4666666984558106,0.3333330154418945,-0.3333330154418945,0.4666669964790344,0,0.3333330154418945,0.3333330154418945,0,0.4666669964790344,-0.3333330154418945,0.3333330154418945,-0.4666666984558106,0],0],["money-sheet0.png",
6494,33,1,30,30,1,0.5,0.5,[],[-0.3333330154418945,-0.3333330154418945,0,-0.4666666984558106,0.3333330154418945,-0.3333330154418945,0.4333329796791077,0,0.300000011920929,0.300000011920929,0,0.4666669964790344,-0.3333330154418945,0.3333330154418945,-0.4666666984558106,0],0],["money-sheet0.png",6494,1,33,30,30,1,0.5,0.5,[],[-0.1666670143604279,-0.1666670143604279,0,-0.4666666984558106,0.1333330273628235,-0.1333329975605011,0.1333330273628235,0.1333330273628235,0,0.4666669964790344,-0.1666670143604279,
0.1666669845581055],0],["money-sheet0.png",6494,33,33,30,30,1,0.5,0.5,[],[-0.300000011920929,-0.300000011920929,0,-0.4666666984558106,0.3333330154418945,-0.3333330154418945,0.5,0,0.3333330154418945,0.3333330154418945,0,0.5,-0.300000011920929,0.300000011920929,-0.4000000059604645,0],0],["money-sheet0.png",6494,1,1,30,30,1,0.5,0.5,[],[-0.3333330154418945,-0.3333330154418945,0,-0.4666666984558106,0.3333330154418945,-0.3333330154418945,0.4666669964790344,0,0.3333330154418945,0.3333330154418945,0,0.4666669964790344,
-0.3333330154418945,0.3333330154418945,-0.4666666984558106,0],0]]]],[],!1,!1,0x983c387393e76,[],null],["t78",cr.plugins_.Sprite,!1,[0x5d6ce33d18062],0,0,null,[["Default",5,!1,1,0,!1,0xfd27e122a9b52,[["moneymini-sheet0.png",820,0,0,20,20,1,0.5,0.5,[],[-0.300000011920929,-0.300000011920929,0,-0.449999988079071,0.300000011920929,-0.300000011920929,0.449999988079071,0,0.300000011920929,0.300000011920929,0,0.449999988079071,-0.300000011920929,0.300000011920929,-0.449999988079071,0],0]]]],[],!1,!1,0x5f2ec19878d04,
[],null],["t79",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",3,!0,1,0,!1,8765740552069569,[["sprite11-sheet0.png",2312,0,0,40,40,1,0.5,0.5,[],[0.3999999761581421,-0.3499999940395355,0.324999988079071,0.324999988079071,-0.449999988079071,0.375,-0.375,-0.3499999940395355],0],["sprite11-sheet1.png",2279,0,0,40,40,1,0.5,0.5,[],[0.3999999761581421,-0.3499999940395355,0.324999988079071,0.324999988079071,-0.449999988079071,0.375,-0.375,-0.3499999940395355],0],["sprite11-sheet2.png",2341,0,0,40,40,1,0.5,
0.5,[],[0.3999999761581421,-0.3499999940395355,0.324999988079071,0.324999988079071,-0.449999988079071,0.375,-0.375,-0.3499999940395355],0],["sprite11-sheet1.png",2279,0,0,40,40,1,0.5,0.5,[],[0.3999999761581421,-0.3499999940395355,0.324999988079071,0.324999988079071,-0.449999988079071,0.375,-0.375,-0.3499999940395355],0]]]],[],!1,!1,8411327634380612,[],null],["t80",cr.plugins_.Sprite,!1,[],0,0,null,[["Kaktus",5,!1,1,0,!1,6797311446644962,[["sprite45-sheet0.png",5901,0,0,67,80,1,0.5074626803398132,
0.5,[],[0.1044773459434509,0.01250004768371582,-0.01492568850517273,0.08749997615814209,-0.134328693151474,0.02499997615814209,0.3582093119621277,0,0.08955234289169312,0.1625000238418579,-0.01492568850517273,0.4750000238418579,-0.4776119887828827,0.4750000238418579,-0.3432836830615997,0],0]]],["KaktusActive",5,!1,1,0,!1,41788692105106,[["sprite45-sheet0.png",5901,0,0,67,80,1,0.5074626803398132,0.5,[["Imagepoint 1",0.1641791015863419,0.125]],[0.1044773459434509,0.01250004768371582,-0.01492568850517273,
0.08749997615814209,-0.134328693151474,0.02499997615814209,0.3582093119621277,0,0.08955234289169312,0.1625000238418579,-0.01492568850517273,0.4750000238418579,-0.4776119887828827,0.4750000238418579,-0.3432836830615997,0],0],["sprite45-sheet1.png",6606,0,0,67,80,1,0.4925373196601868,0.5249999761581421,[["Imagepoint 1",0.1940298527479172,0.1000000014901161]],[-3.278255462646484E-7,-0.1124999821186066,-3.278255462646484E-7,-0.2999999821186066,0.1044777035713196,-0.1874999701976776,0.2238807082176209,
-0.02499997615814209,0.05970168113708496,0.1000000238418579,-3.278255462646484E-7,0.4500000476837158,-0.4626866281032562,0.4500000476837158,-0.3731343150138855,-0.02499997615814209],0],["sprite45-sheet2.png",6388,0,0,67,80,5,0.5074626803398132,0.5,[["Imagepoint 1",-0.04477611929178238,0.01250000018626452],["Imagepoint 2",0.02985074557363987,-0.1375000029802322]],[-0.4776119887828827,-0.4749999940395355,-0.01492568850517273,-0.1875,0.01492530107498169,-0.09999999403953552,2.980232238769531E-7,0,-0.02985069155693054,
0.0625,-0.01492568850517273,0.4750000238418579,-0.4925372898578644,0.4874999523162842,-0.4477611780166626,0],0]]]],[],!1,!1,7200799918046324,[],null],["t81",cr.plugins_.Sprite,!1,[],1,1,null,[["Default",5,!1,1,0,!1,0xbe087624c87bb,[["yellow-sheet0.png",7733,0,0,59,62,1,0.4406779706478119,0.5,[],[0.2203390300273895,-0.1612899899482727,0.2711860239505768,0.1612899899482727,-0.1525419652462006,0.1935489773750305,-0.203389972448349,-0.2258059978485107],0]]]],[["Rotate",cr.behaviors.Rotate,7702609903827828]],
!1,!1,6319637691992575,[["screen","Screen"]],null],["t82",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,5278500684578872,[["sprite18-sheet0.png",6985,0,0,71,42,1,0.5070422291755676,0.5,[],[-0.01408421993255615,-0.4285714030265808,0.2676057815551758,-0.119047999382019,0.2957747578620911,0,0.4225347638130188,0.380952000617981,-0.01408421993255615,0.4761899709701538,-0.4507042169570923,0.4047619700431824,-0.3802812099456787,0],0]]]],[],!1,!1,5731469517926804,[],null],["t83",cr.plugins_.Sprite,
!1,[],0,0,null,[["Default",5,!1,1,0,!1,5437766302860659,[["sprite21-sheet0.png",14882,0,0,102,102,1,0.5,0.5,[],[-0.274509996175766,-0.274509996175766,0,-0.4411765038967133,0.3137249946594238,-0.3137249946594238,0.1764709949493408,0,0.09803897142410278,0.09803897142410278,0,0.450980007648468,-0.07843101024627686,0.07843101024627686,-0.186273992061615,0],0]]]],[],!1,!1,0x7d74a8cb1c217,[],null],["t84",cr.plugins_.TiledBg,!1,[],0,0,["tiledbackground14.png",3164,0],null,[],!1,!1,0x48f0ed14808e7,[],null],
["t85",cr.plugins_.TiledBg,!1,[],0,0,["tiledbackground11.png",1265,1],null,[],!1,!1,0xf4c2313549ee5,[],null],["t86",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,652397460385761,[["mirrror1-sheet0.png",5903,0,0,145,145,1,0.5034482479095459,0.5034482479095459,[],[],0]]]],[],!1,!1,9612184716223778,[],null],["t87",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,8761413619263665,[["laser3-sheet0.png",193,0,0,250,6,1,0,0.5,[],[],1]]]],[],!1,!1,5615655997844296,[],null],["t88",cr.plugins_.Sprite,
!1,[],0,0,null,[["Default",5,!1,1,0,!1,0x867bcc6256d62,[["laser4-sheet0.png",93,0,0,250,6,1,0,0.5,[],[],1]]]],[],!1,!1,9701166718575260,[],null],["t89",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,5719125165322668,[["sprite27-sheet0.png",7053,1,1,38,85,1,0.5,0.5058823823928833,[],[-0.4210526049137116,-0.4705882668495178,0,-0.4823529720306397,0.3947370052337647,-0.4588235914707184,0.1315789818763733,-0.01176437735557556,0.1315789818763733,0.3294116258621216,0,0.4941176176071167,-0.2894740104675293,
0.3999996185302734,-0.2894740104675293,-0.01176437735557556],0]]],["Open",5,!1,1,0,!1,7581715648798949,[["sprite27-sheet0.png",7053,1,1,38,85,1,0.5,0.5058823823928833,[],[-0.4210526049137116,-0.4705882668495178,0,-0.4823529720306397,0.3947370052337647,-0.4588235914707184,0.1315789818763733,-0.01176437735557556,0.157895028591156,0.4941176176071167,-0.3157889842987061,0.4941176176071167,-0.2894740104675293,-0.01176437735557556],0],["sprite27-sheet0.png",7053,41,1,38,85,1,0.5,0.5058823823928833,[],[-0.4210526049137116,
-0.4705882668495178,0,-0.4823529720306397,0.3947370052337647,-0.4588235914707184,0.184211015701294,0.3411766290664673,-0.1578949987888336,0.3411766290664673],0],["sprite27-sheet0.png",7053,81,1,38,85,1,0.5,0.5058823823928833,[],[-0.4210526049137116,-0.4705882668495178,0,-0.4823529720306397,0.3947370052337647,-0.4588235914707184,0.1315789818763733,0.1999996304512024,-0.2105259895324707,0.1882356405258179],0],["sprite27-sheet1.png",4474,1,1,38,85,1,0.5,0.5058823823928833,[],[-0.4210526049137116,-0.4705882668495178,
0,-0.4823529720306397,0.3947370052337647,-0.4588235914707184,0.07894700765609741,0.02352958917617798,-0.2894740104675293,-0.01176437735557556],0],["sprite27-sheet1.png",4474,41,1,38,85,1,0.5,0.5058823823928833,[],[-0.4210526049137116,-0.4705882668495178,0,-0.4823529720306397,0.3947370052337647,-0.4588235914707184,0,-0.1058823764324188],0]]]],[["Solid",cr.behaviors.solid,0xf7b3e2cf9e90c]],!1,!1,6780868734751037,[],null],["t90",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,0x70b7ad7cebaaa,
[["pushka-sheet0.png",4356,0,0,40,43,1,-0.02500000037252903,0.5348837375640869,[],[1.024999976158142,0.4651162624359131,0.07500000298023224,0.4186042547225952,0.02500000037252903,-0.5348837375640869,1.024999976158142,-0.5348837375640869],0]]]],[],!1,!1,0xd7a98d0593d80,[],null],["t91",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,0xff870c7d610b6,[["laser2-sheet0.png",248,0,0,250,6,1,0,0.5,[],[],1]]]],[],!1,!1,5195448928979017,[],null],["t92",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",
5,!1,1,0,!1,753848444790171,[["laser1-sheet0.png",242,0,0,250,6,1,-0.004000000189989805,0.5,[],[],0]]]],[],!1,!1,0x396ac5acc1878,[],null],["t93",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,5836575116533575,[["mirrror2-sheet0.png",5938,0,0,145,145,1,0.5034482479095459,0.5034482479095459,[],[],0]]]],[],!1,!1,6137561375761608,[],null],["t94",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,647410555040953,[["mirrror3-sheet0.png",5786,0,0,145,145,1,0.5034482479095459,0.5034482479095459,
[],[],0]]]],[],!1,!1,0x932510c2aa012,[],null],["t95",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,921780488397434,[["sprite34-sheet0.png",6675,0,0,46,59,1,0.5,0.508474588394165,[],[],0]]]],[],!1,!1,0xe34a6b46d36db,[],null],["t96",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,6892103562585313,[["sprite28-sheet0.png",12358,0,0,91,341,1,0.5274725556373596,0.08797653764486313,[],[0.1208794713020325,-0.05571843683719635,0.06593441963195801,0.9002934694290161,-0.06593456864356995,
0.9032254815101624,-0.1648355424404144,-0.05571843683719635],0]]]],[["Sine",cr.behaviors.Sin,6069473906877467]],!1,!1,8073944758515879,[],null],["t97",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,8842608133345329,[["sprite35-sheet0.png",3243,0,0,60,35,1,0.5166666507720947,0.5142857432365417,[],[],0]]],["Active",5,!1,1,0,!1,0x49f84da2d5cca,[["sprite35-sheet1.png",2699,0,0,60,35,1,0.5166666507720947,0.5142857432365417,[],[],0],["sprite35-sheet0.png",3243,0,0,60,35,1,0.5166666507720947,
0.5142857432365417,[],[],0],["sprite35-sheet0.png",3243,0,0,60,35,1,0.5166666507720947,0.5142857432365417,[],[],0],["sprite35-sheet0.png",3243,0,0,60,35,1,0.5166666507720947,0.5142857432365417,[],[],0],["sprite35-sheet0.png",3243,0,0,60,35,1,0.5166666507720947,0.5142857432365417,[],[],0],["sprite35-sheet0.png",3243,0,0,60,35,1,0.5166666507720947,0.5142857432365417,[],[],0],["sprite35-sheet1.png",2699,0,0,60,35,1,0.5166666507720947,0.5142857432365417,[],[],0],["sprite35-sheet0.png",3243,0,0,60,35,
1,0.5166666507720947,0.5142857432365417,[],[],0],["sprite35-sheet0.png",3243,0,0,60,35,1,0.5166666507720947,0.5142857432365417,[],[],0],["sprite35-sheet0.png",3243,0,0,60,35,1,0.5166666507720947,0.5142857432365417,[],[],0],["sprite35-sheet0.png",3243,0,0,60,35,1,0.5166666507720947,0.5142857432365417,[],[],0],["sprite35-sheet1.png",2699,0,0,60,35,1,0.5166666507720947,0.5142857432365417,[],[],0],["sprite35-sheet0.png",3243,0,0,60,35,1,0.5166666507720947,0.5142857432365417,[],[],0],["sprite35-sheet0.png",
3243,0,0,60,35,1,0.5166666507720947,0.5142857432365417,[],[],0],["sprite35-sheet0.png",3243,0,0,60,35,1,0.5166666507720947,0.5142857432365417,[],[],0],["sprite35-sheet1.png",2699,0,0,60,35,1,0.5166666507720947,0.5142857432365417,[],[],0],["sprite35-sheet0.png",3243,0,0,60,35,1,0.5166666507720947,0.5142857432365417,[],[],0],["sprite35-sheet0.png",3243,0,0,60,35,1,0.5166666507720947,0.5142857432365417,[],[],0],["sprite35-sheet1.png",2699,0,0,60,35,1,0.5166666507720947,0.5142857432365417,[],[],0],["sprite35-sheet0.png",
3243,0,0,60,35,1,0.5166666507720947,0.5142857432365417,[],[],0],["sprite35-sheet1.png",2699,0,0,60,35,1,0.5166666507720947,0.5142857432365417,[],[],0],["sprite35-sheet0.png",3243,0,0,60,35,1,0.5166666507720947,0.5142857432365417,[],[],0],["sprite35-sheet1.png",2699,0,0,60,35,1,0.5166666507720947,0.5142857432365417,[],[],0],["sprite35-sheet0.png",3243,0,0,60,35,1,0.5166666507720947,0.5142857432365417,[],[],0],["sprite35-sheet1.png",2699,0,0,60,35,1,0.5166666507720947,0.5142857432365417,[],[],0]]]],
[],!1,!1,627381525289669,[],null],["t98",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,0x4b53f2cd2547b,[["sprite38-sheet0.png",3032,0,0,35,60,1,0.4857142865657806,0.5,[],[0.514285683631897,0.5,-0.4857142865657806,0.5,-0.4857142865657806,-0.5,0.514285683631897,-0.5],0]]],["Active",5,!1,1,0,!1,8328019777129328,[["sprite38-sheet1.png",2479,0,0,35,60,1,0.4857142865657806,0.5,[],[0.514285683631897,0.5,-0.4857142865657806,0.5,-0.4857142865657806,-0.5,0.514285683631897,-0.5],0],["sprite38-sheet2.png",
3033,0,0,35,60,1,0.4857142865657806,0.5,[],[0.514285683631897,0.5,-0.4857142865657806,0.5,-0.4857142865657806,-0.5,0.514285683631897,-0.5],0],["sprite38-sheet2.png",3033,0,0,35,60,1,0.4857142865657806,0.5,[],[0.514285683631897,0.5,-0.4857142865657806,0.5,-0.4857142865657806,-0.5,0.514285683631897,-0.5],0],["sprite38-sheet2.png",3033,0,0,35,60,1,0.4857142865657806,0.5,[],[0.514285683631897,0.5,-0.4857142865657806,0.5,-0.4857142865657806,-0.5,0.514285683631897,-0.5],0],["sprite38-sheet2.png",3033,0,
0,35,60,1,0.4857142865657806,0.5,[],[0.514285683631897,0.5,-0.4857142865657806,0.5,-0.4857142865657806,-0.5,0.514285683631897,-0.5],0],["sprite38-sheet2.png",3033,0,0,35,60,1,0.4857142865657806,0.5,[],[0.514285683631897,0.5,-0.4857142865657806,0.5,-0.4857142865657806,-0.5,0.514285683631897,-0.5],0],["sprite38-sheet1.png",2479,0,0,35,60,1,0.4857142865657806,0.5,[],[0.514285683631897,0.5,-0.4857142865657806,0.5,-0.4857142865657806,-0.5,0.514285683631897,-0.5],0],["sprite38-sheet2.png",3033,0,0,35,60,
1,0.4857142865657806,0.5,[],[0.514285683631897,0.5,-0.4857142865657806,0.5,-0.4857142865657806,-0.5,0.514285683631897,-0.5],0],["sprite38-sheet2.png",3033,0,0,35,60,1,0.4857142865657806,0.5,[],[0.514285683631897,0.5,-0.4857142865657806,0.5,-0.4857142865657806,-0.5,0.514285683631897,-0.5],0],["sprite38-sheet2.png",3033,0,0,35,60,1,0.4857142865657806,0.5,[],[0.514285683631897,0.5,-0.4857142865657806,0.5,-0.4857142865657806,-0.5,0.514285683631897,-0.5],0],["sprite38-sheet2.png",3033,0,0,35,60,1,0.4857142865657806,
0.5,[],[0.514285683631897,0.5,-0.4857142865657806,0.5,-0.4857142865657806,-0.5,0.514285683631897,-0.5],0],["sprite38-sheet1.png",2479,0,0,35,60,1,0.4857142865657806,0.5,[],[0.514285683631897,0.5,-0.4857142865657806,0.5,-0.4857142865657806,-0.5,0.514285683631897,-0.5],0],["sprite38-sheet2.png",3033,0,0,35,60,1,0.4857142865657806,0.5,[],[0.514285683631897,0.5,-0.4857142865657806,0.5,-0.4857142865657806,-0.5,0.514285683631897,-0.5],0],["sprite38-sheet2.png",3033,0,0,35,60,1,0.4857142865657806,0.5,[],
[0.514285683631897,0.5,-0.4857142865657806,0.5,-0.4857142865657806,-0.5,0.514285683631897,-0.5],0],["sprite38-sheet2.png",3033,0,0,35,60,1,0.4857142865657806,0.5,[],[0.514285683631897,0.5,-0.4857142865657806,0.5,-0.4857142865657806,-0.5,0.514285683631897,-0.5],0],["sprite38-sheet1.png",2479,0,0,35,60,1,0.4857142865657806,0.5,[],[0.514285683631897,0.5,-0.4857142865657806,0.5,-0.4857142865657806,-0.5,0.514285683631897,-0.5],0],["sprite38-sheet2.png",3033,0,0,35,60,1,0.4857142865657806,0.5,[],[0.514285683631897,
0.5,-0.4857142865657806,0.5,-0.4857142865657806,-0.5,0.514285683631897,-0.5],0],["sprite38-sheet2.png",3033,0,0,35,60,1,0.4857142865657806,0.5,[],[0.514285683631897,0.5,-0.4857142865657806,0.5,-0.4857142865657806,-0.5,0.514285683631897,-0.5],0],["sprite38-sheet1.png",2479,0,0,35,60,1,0.4857142865657806,0.5,[],[0.514285683631897,0.5,-0.4857142865657806,0.5,-0.4857142865657806,-0.5,0.514285683631897,-0.5],0],["sprite38-sheet2.png",3033,0,0,35,60,1,0.4857142865657806,0.5,[],[0.514285683631897,0.5,-0.4857142865657806,
0.5,-0.4857142865657806,-0.5,0.514285683631897,-0.5],0],["sprite38-sheet1.png",2479,0,0,35,60,1,0.4857142865657806,0.5,[],[0.514285683631897,0.5,-0.4857142865657806,0.5,-0.4857142865657806,-0.5,0.514285683631897,-0.5],0],["sprite38-sheet2.png",3033,0,0,35,60,1,0.4857142865657806,0.5,[],[0.514285683631897,0.5,-0.4857142865657806,0.5,-0.4857142865657806,-0.5,0.514285683631897,-0.5],0],["sprite38-sheet1.png",2479,0,0,35,60,1,0.4857142865657806,0.5,[],[0.514285683631897,0.5,-0.4857142865657806,0.5,-0.4857142865657806,
-0.5,0.514285683631897,-0.5],0],["sprite38-sheet2.png",3033,0,0,35,60,1,0.4857142865657806,0.5,[],[0.514285683631897,0.5,-0.4857142865657806,0.5,-0.4857142865657806,-0.5,0.514285683631897,-0.5],0],["sprite38-sheet1.png",2479,0,0,35,60,1,0.4857142865657806,0.5,[],[0.514285683631897,0.5,-0.4857142865657806,0.5,-0.4857142865657806,-0.5,0.514285683631897,-0.5],0]]]],[],!1,!1,5474749378658613,[],null],["t99",cr.plugins_.TiledBg,!1,[],0,0,["tiledbackground8.png",2986,0],null,[],!1,!1,9698322982663900,[],
null],["t100",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!0,1,0,!1,6803321553010062,[["vily-sheet0.png",7475,1,1,72,60,1,0.5,0.5,[],[0.2916669845581055,-0.5,0.4666669964790344,-0.1100000143051148,-0.5,0.3500000238418579],0],["vily-sheet0.png",7475,1,63,72,60,1,0.5,0.5,[],[0.2916669845581055,-0.5,0.4666669964790344,-0.1100000143051148,-0.5,0.3500000238418579],0],["vily-sheet1.png",3332,0,0,72,60,1,0.5,0.5,[],[0.2916669845581055,-0.5,0.4666669964790344,-0.1100000143051148,-0.5,0.3500000238418579],
0],["vily-sheet0.png",7475,1,63,72,60,1,0.5,0.5,[],[0.2916669845581055,-0.5,0.4666669964790344,-0.1100000143051148,-0.5,0.3500000238418579],0]]]],[["Sine",cr.behaviors.Sin,9362019368766398]],!1,!1,9294597239608924,[],null],["t101",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,0xe844a4474afcf,[["vilymirr-sheet0.png",1095,0,0,30,30,1,0.5,0.5,[],[],0]]]],[],!1,!1,6024857736327959,[],null],["t102",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,788260411004898,[["vilynotmirror-sheet0.png",
756,0,0,30,30,1,0.5,0.5,[],[],1]]]],[],!1,!1,0x57090c27cca09,[],null],["t103",cr.plugins_.Sprite,!1,[],0,0,null,[["Hypno",5,!1,1,0,!1,7062337917974054,[["hypno-sheet0.png",2338,0,0,60,60,1,0.5,0.5,[],[-0.2333329916000366,-0.2333329916000366,0,-0.5,0.2666670083999634,-0.2666670083999634,0.25,0,0.2666670083999634,0.2666670083999634,0,0.5,-0.1333329975605011,0.1333330273628235,-0.1166670024394989,0],0]]],["HypnoActive",5,!0,1,0,!1,0x390e1898e92f5,[["hypno-sheet1.png",2279,0,0,60,60,1,0.5,0.5,[],[-0.2666670083999634,
-0.2666670083999634,0,-0.4833332896232605,0.2666670083999634,-0.2666670083999634,0.2666670083999634,0,0.2833330035209656,0.2833330035209656,0,0.5,-0.09999999403953552,0.1000000238418579,-0.09999999403953552,0],0],["hypno-sheet2.png",2227,0,0,60,60,1,0.5,0.5,[],[-0.300000011920929,-0.300000011920929,0,-0.449999988079071,0.2166669964790344,-0.2166669964790344,0.2166669964790344,0,0.2333329916000366,0.2333329916000366,0,0.5,-0.1333329975605011,0.1333330273628235,-0.1333329975605011,0],0]]]],[],!1,!1,
6527485141811474,[],null],["t104",cr.plugins_.Sprite,!1,[],0,0,null,[["Slizen",5,!1,1,0,!1,0x547738b36ac64,[["slizen-sheet0.png",39286,1,1,75,75,1,0.5066666603088379,0.5066666603088379,[["Imagepoint 1",-0.03999999910593033,-0.06666667014360428]],[-0.2666666507720947,-0.2666666507720947,-0.006666660308837891,-0.476666659116745,0.2133333683013916,-0.226666659116745,0.2233333587646484,-0.006666660308837891,0.3533333539962769,0.3533333539962769,-0.006666660308837891,0.4733333587646484,-0.4366666674613953,
0.4233333468437195,-0.4466666579246521,-0.006666660308837891],0]]],["SlizenActive",5,!1,1,0,!1,765138407958291,[["slizen-sheet0.png",39286,1,1,75,75,1,0.5066666603088379,0.5066666603088379,[["Imagepoint 1",-0.07999999821186066,-0.06666667014360428]],[-0.2666666507720947,-0.2666666507720947,-0.006666660308837891,-0.476666659116745,0.2133333683013916,-0.226666659116745,0.2233333587646484,-0.006666660308837891,0.3533333539962769,0.3533333539962769,-0.006666660308837891,0.4733333587646484,-0.4366666674613953,
0.4233333468437195,-0.4466666579246521,-0.006666660308837891],0],["slizen-sheet0.png",39286,78,1,75,75,1,0.4933333396911621,0.5066666603088379,[["Imagepoint 1",-0.01333333365619183,-0.01333333365619183]],[-0.3933333456516266,-0.4066666662693024,0.006666660308837891,-0.3766666650772095,0.2266666889190674,-0.226666659116745,0.2666666507720947,-0.006666660308837891,0.3966666460037231,0.3833333253860474,0.006666660308837891,0.4733333587646484,-0.4633333384990692,0.4633333683013916,-0.4133333563804627,
-0.006666660308837891],0],["slizen-sheet0.png",39286,155,1,75,75,1,0.5066666603088379,0.54666668176651,[["Imagepoint 1",-0.07999999821186066,-0.03999999910593033]],[-0.3926316499710083,-0.4228566884994507,-0.006666660308837891,-0.5180952548980713,0.2564913630485535,-0.2895236909389496,0.2828073501586914,-0.05142867565155029,0.4143863320350647,0.3676193356513977,-0.006666660308837891,0.4438093304634094,-0.2347366511821747,0.1580953001976013,-0.4364912509918213,-0.05142867565155029],0],["slizen-sheet0.png",
39286,1,78,75,75,1,0.5066666603088379,0.5066666603088379,[["Imagepoint 1",-0.1599999964237213,-0.1733333319425583]],[-0.2666666507720947,-0.2666666507720947,-0.006666660308837891,-0.3966666460037231,0.2133333683013916,-0.226666659116745,0.2433333396911621,-0.006666660308837891,0.3733333349227905,0.3733333349227905,-0.006666660308837891,0.45333331823349,-0.4666666686534882,0.45333331823349,-0.4366666674613953,-0.006666660308837891],0]]]],[],!1,!1,5969327112184551,[],null],["t105",cr.plugins_.Sprite,
!1,[],0,0,null,[["Default",5,!1,1,0,!1,8415765262940899,[["sprite55-sheet0.png",5712,0,0,92,58,1,0.5,0.5,[],[],0]]]],[],!1,!1,7605619875937666,[],null],["t106",cr.plugins_.Sprite,!1,[],1,0,null,[["Open",7,!1,1,0,!1,4609867898046178,[["sprite27-sheet1.png",4474,41,1,38,85,1,0.5,0.5058823823928833,[],[-0.4210526049137116,-0.4705882668495178,0,-0.4823529720306397,0.3947370052337647,-0.4588235914707184,0,-0.1058823764324188],0],["sprite27-sheet1.png",4474,1,1,38,85,1,0.5,0.5058823823928833,[],[-0.4210526049137116,
-0.4705882668495178,0,-0.4823529720306397,0.3947370052337647,-0.4588235914707184,0.1315789818763733,-0.01176437735557556,0,0.03529363870620728,-0.2894740104675293,-0.01176437735557556],0],["sprite27-sheet0.png",7053,81,1,38,85,1,0.5,0.5058823823928833,[],[-0.4210526049137116,-0.4705882668495178,0,-0.4823529720306397,0.3947370052337647,-0.4588235914707184,0.1315789818763733,-0.01176437735557556,-0.1842109858989716,0.1882356405258179,0,0.1882356405258179,-0.2894740104675293,-0.01176437735557556],0],
["sprite27-sheet0.png",7053,41,1,38,85,1,0.5,0.5058823823928833,[],[-0.4210526049137116,-0.4705882668495178,0,-0.4823529720306397,0.3947370052337647,-0.4588235914707184,0.1315789818763733,-0.01176437735557556,0.1052629947662354,0.3176466226577759,0,0.3411766290664673,-0.1578949987888336,0.3411766290664673,-0.2894740104675293,-0.01176437735557556],0],["sprite27-sheet0.png",7053,1,1,38,85,1,0.5,0.5058823823928833,[],[-0.4210526049137116,-0.4705882668495178,0,-0.4823529720306397,0.3947370052337647,-0.4588235914707184,
0.1315789818763733,-0.01176437735557556,0.1315789818763733,0.3294116258621216,0,0.4941176176071167,-0.2894740104675293,0.3999996185302734,-0.2894740104675293,-0.01176437735557556],0]]]],[["Solid",cr.behaviors.solid,7941526918850719]],!1,!1,8521550444203973,[],null],["t107",cr.plugins_.Sprite,!1,[],2,0,null,[["Default",5,!1,1,0,!1,0x849f077c4ef26,[["spiny-sheet0.png",6901,0,0,70,71,1,0.5,0.5070422291755676,[],[-0.2714290022850037,-0.281690239906311,0,-0.3239432275295258,0.2428569793701172,-0.2535212337970734,
0.4142860174179077,-0.01408421993255615,0.2571430206298828,0.2535207867622376,0,0.4225347638130188,-0.2428570091724396,0.2394367456436157,-0.3285710215568543,-0.01408421993255615],0]]]],[["Sine",cr.behaviors.Sin,0x826f669a69b92],["Sine2",cr.behaviors.Sin,0x6c9361b7cc070]],!1,!1,8481512324364193,[],null],["t108",cr.plugins_.Sprite,!1,[],0,0,null,[["Smoke",5,!1,1,0,!1,8433881842578162,[["smoker-sheet0.png",4505,0,0,59,60,1,0.508474588394165,0.5,[],[0.2693033814430237,-0.2815130054950714,0.2778503894805908,
0.2899159789085388,-0.3802695870399475,-0.004202008247375488],0]]],["SmokeActive",5,!1,1,0,!1,4985086160629393,[["smoker-sheet0.png",4505,0,0,59,60,1,0.508474588394165,0.5,[],[0.2693033814430237,-0.2815130054950714,0.2778503894805908,0.2899159789085388,-0.3802695870399475,-0.004202008247375488],0],["smoker-sheet0.png",4505,0,0,59,60,1,0.508474588394165,0.5,[],[0.2693033814430237,-0.2815130054950714,0.2778503894805908,0.2899159789085388,-0.3802695870399475,-0.004202008247375488],0],["smoker-sheet1.png",
5429,0,0,59,60,1,0.508474588394165,0.5,[],[0.2693033814430237,-0.2815130054950714,0.2778503894805908,0.2899159789085388,-0.3802695870399475,-0.004202008247375488],0],["smoker-sheet1.png",5429,0,0,59,60,1,0.508474588394165,0.5,[],[0.2693033814430237,-0.2815130054950714,0.2778503894805908,0.2899159789085388,-0.3802695870399475,-0.004202008247375488],0],["smoker-sheet2.png",6172,0,0,59,60,3,0.508474588394165,0.5,[],[0.2693033814430237,-0.2815130054950714,0.2778503894805908,0.2899159789085388,-0.3802695870399475,
-0.004202008247375488],0],["smoker-sheet2.png",6172,0,0,59,60,1,0.508474588394165,0.5,[],[-0.3050845861434937,-0.300000011920929,-0.01694959402084351,-0.4000000059604645,0.2881354093551636,-0.300000011920929,0.4237284064292908,0,0.3050844073295593,0.3166670203208923,-0.01694959402084351,0.4333329796791077,-0.3220335841178894,0.3166670203208923,-0.4406780004501343,0],0]]]],[],!1,!1,7526569289241191,[],null],["t109",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,5527439041565151,[["smokeradius-sheet0.png",
169,0,0,256,256,1,0.5,0.5,[],[],3]]]],[["Pin",cr.behaviors.Pin,4718703866426451]],!1,!1,5264044791602498,[],null],["t110",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,391921704659157,[["sprite53-sheet0.png",5994,0,0,131,44,1,0.5038167834281921,0.5,[],[],0]]]],[["Solid",cr.behaviors.solid,6041846581719473]],!1,!1,0x6abd27bcd0b48,[],null],["t111",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!0,1,0,!1,9832310265380376,[["dragon-sheet0.png",6770,0,0,76,76,1,0.5,0.5,[["Imagepoint 1",0.9342105388641357,
0.289473682641983]],[0.2763159871101379,0,0.2763159871101379,0.2763159871101379,0,0.5,-0.3157889842987061,0.3157889842987061,-0.2894740104675293,0,-0.2236840128898621,-0.2236840128898621,0,-0.1710529923439026,0.3552629947662354,-0.3552629947662354],0]]]],[["Pathfinding",cr.behaviors.Pathfinding,8598833169748836]],!1,!1,6117591409435495,[],null],["t112",cr.plugins_.Sprite,!1,[],2,0,null,[["Default",5,!0,1,0,!1,8357564778149299,[["fireball-sheet0.png",1528,0,0,32,19,1,0.5,0.5263158082962036,[],[],0]]]],
[["DestroyOutsideLayout",cr.behaviors.destroy,7333916832742622],["Bullet",cr.behaviors.Bullet,7372297261410018]],!1,!1,0x7460c0c9d6771,[],null],["t113",cr.plugins_.Sprite,!1,[],1,0,null,[["opponent",10,!0,1,0,!1,8580380217386258,[["enemy1-sheet0.png",6811,0,0,72,66,1,0.5,0.5,[],[-0.2916669845581055,-0.2727270126342773,0,-0.4393939077854157,0.1527779698371887,-0.1212120056152344,0.3611109852790833,0,0.1805559992790222,0.151515007019043,0,0.4242420196533203,-0.3611109852790833,0.348484992980957],0]]]],
[["Pathfinding",cr.behaviors.Pathfinding,7876006457583342]],!1,!1,7379957126426406,[],null],["t114",cr.plugins_.Sprite,!1,[],0,0,null,[["Left",1,!0,1,0,!1,5817424160704915,[["green0-sheet0.png",7312,0,0,100,100,1,0.5,0.5,[],[-0.08000001311302185,-0.4600000083446503,0.4200000166893005,0.4200000166893005,-0.4200000166893005,0.4200000166893005],0]]],["Right",5,!1,1,0,!1,0x6d25ac8e0ad44,[["green0-sheet1.png",7286,0,0,100,100,1,0.5,0.5,[],[-0.08000001311302185,-0.4600000083446503,0.4200000166893005,0.4200000166893005,
-0.4200000166893005,0.4200000166893005],0]]]],[],!1,!1,0x4866135a0c304,[],null],["t115",cr.plugins_.Sprite,!1,[],0,0,null,[["Butt",5,!1,1,0,!1,0x8707b8b82e83d,[["sprite52-sheet0.png",8730,1,1,114,29,1,0.5,0.517241358757019,[],[-0.1073620021343231,-0.517241358757019,0.5,-0.517241358757019,0.4938650131225586,0.4589486122131348,-0.1196320056915283,0.482758641242981],0]]],["Buttpress",5,!1,1,0,!1,0xeeb03c0540b0c,[["sprite52-sheet0.png",8730,1,32,114,29,1,0.5,0.517241358757019,[],[0.5,-0.517241358757019,
0.4912279844284058,0.448275625705719,-0.5,0.482758641242981,-0.5,-0.517241358757019],0]]]],[],!1,!1,0xfc6786db05a37,[],null],["t116",cr.plugins_.Sprite,!1,[],0,0,null,[["green",5,!1,1,0,!1,0x68eb71de7dc66,[["green-sheet0.png",18137,1,1,220,160,1,0.5,0.5,[],[-0.2272729873657227,0,0.2272729873657227,0.00625002384185791,0.2272729873657227,0.3125,-0.2272729873657227,0.3125],0],["green-sheet0.png",18137,223,1,220,160,1,0.5,0.5,[],[-0.2272729873657227,0,0.2272729873657227,0.00625002384185791,0.2272729873657227,
0.3125,-0.2272729873657227,0.3125],0]]],["greenactive",2,!1,1,0,!1,0xa08bdf974bb49,[["green-sheet0.png",18137,223,1,220,160,1,0.5,0.5,[],[-0.2272729873657227,0,0.2272729873657227,0.00625002384185791,0.2272729873657227,0.3125,-0.2272729873657227,0.3125],0],["green-sheet0.png",18137,1,163,220,160,1,0.5,0.5,[],[-0.2272729873657227,0,0.2272729873657227,0.00625002384185791,0.2272729873657227,0.3125,-0.2272729873657227,0.3125],0],["green-sheet0.png",18137,223,163,220,160,1,0.5,0.5,[],[-0.2272729873657227,
0,0.2272729873657227,0.00625002384185791,0.2272729873657227,0.3125,-0.2272729873657227,0.3125],0],["green-sheet0.png",18137,1,325,220,160,1,0.5,0.5,[],[-0.199999988079071,-0.199999988079071,0,-0.4666666984558106,0.06666702032089233,-0.06666699051856995,0.3333330154418945,0,0.4333329796791077,0.4333329796791077,0,0.449999988079071,-0.4166666865348816,0.4166669845581055,0.06666702032089233,0],0]]]],[],!1,!1,7051026852684381,[],null],["t117",cr.plugins_.Sprite,!1,[6621035628136128],3,0,null,[["Ghost",
5,!1,1,0,!1,7797510525361476,[["ghost-sheet0.png",5129,0,0,56,62,1,0.5,0.5,[],[0.08928602933883667,0,0.1428570151329041,0.1774190068244934,0,0.3225809931755066,-0.25,0.2741940021514893,-0.3928570151329041,0,-0.357142984867096,-0.3709679841995239,0,-0.4354839026927948,0.3035709857940674,-0.3225809931755066],0]]],["GhostActive",5,!1,1,0,!1,8160194727661451,[["ghost-sheet1.png",4985,0,0,56,62,1,0.5,0.5,[],[0.4285709857940674,0,0.232142984867096,0.2580649852752686,0,0.2580649852752686,-0.2142859995365143,
0.2419350147247315,-0.3928570151329041,0,-0.3392859995365143,-0.3548389971256256,0,-0.4516128897666931,0.125,-0.1612899899482727],0]]]],[["Pathfinding",cr.behaviors.Pathfinding,5277558057146101],["Sine",cr.behaviors.Sin,6105481784335189],["Sine2",cr.behaviors.Sin,0xe75c20f0cc575]],!1,!1,4592230334172917,[],null],["t118",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,0x6c7c2ec97bf0c,[["opponentzone-sheet0.png",35424,0,0,180,180,1,0.5,0.5,[],[],0]]]],[],!1,!1,294093242929536,[],null],["t119",
cr.plugins_.Sprite,!1,[],2,0,null,[["Default",4,!0,1,0,!1,8332928769131167,[["gameover-sheet0.png",5693,0,0,55,61,1,0.5090909004211426,0.5081967115402222,[],[-0.3090909123420715,-0.3278687000274658,-0.01818189024925232,-0.4262295067310333,0.2363641262054443,-0.2786887288093567,0.4363641142845154,-0.01639372110366821,0.2727270722389221,0.2950822710990906,-0.01818189024925232,0.4754102826118469,-0.3818179070949554,0.3770492672920227,-0.5090909004211426,-0.01639372110366821],0],["gameover-sheet1.png",
5550,0,0,55,61,1,0.5090909004211426,0.5081967115402222,[],[-0.3090909123420715,-0.3278687000274658,-0.01818189024925232,-0.4262295067310333,0.2363641262054443,-0.2786887288093567,0.4363641142845154,-0.01639372110366821,0.2727270722389221,0.2950822710990906,-0.01818189024925232,0.4754102826118469,-0.3818179070949554,0.3770492672920227,-0.4363636076450348,-0.01639372110366821],0]]]],[["8Direction",cr.behaviors.EightDir,6442448058186422],["Fade",cr.behaviors.Fade,7975234725509578]],!1,!1,7860297842541654,
[],null],["t120",cr.plugins_.Sprite,!1,[],2,0,null,[["Default",5,!1,1,0,!1,0xdc9b88b44eae6,[["timeout-sheet0.png",14428,0,0,181,58,1,0.5027624368667603,0.5,[],[-0.4861878454685211,-0.4482758939266205,0.4806625843048096,-0.4482758939266205,0.4806625843048096,0.4482759833335877,-0.4861878454685211,0.4482759833335877],0]]]],[["Pin",cr.behaviors.Pin,9041402761145212],["Fade",cr.behaviors.Fade,0x92d3f9a6c6c24]],!1,!1,0xb96a2e521a88b,[],null],["t121",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,
0,!1,0x605a81d683152,[["gotomenu-sheet0.png",7883,0,0,155,37,1,0.5096774101257324,0.5135135054588318,[],[0.4903225898742676,-0.5135135054588318,0.4903225898742676,0.4864864945411682,-0.5096774101257324,0.4864864945411682,-0.5096774101257324,-0.5135135054588318],0]]]],[],!1,!1,0x6bd6787083020,[],null],["t122",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,9789934907977462,[["sprite3-sheet0.png",5314,0,0,161,20,1,0.5031055808067322,0.5,[],[0.4968944191932678,-0.5,-0.5031055808067322,-0.5,
-0.5031055808067322,0.5,0.4968944191932678,0.5],0]]]],[["Pin",cr.behaviors.Pin,0xfd6bbefe8bcce]],!1,!1,8706744829327175,[],null],["t123",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,6065196710682848,[["restart-sheet0.png",6698,0,0,155,37,1,0.5032258033752441,0.5135135054588318,[],[],0]]]],[],!1,!1,0x6788a17938757,[],null],["t124",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,6468813363316106,[["gamover-sheet0.png",8358,0,0,155,37,1,0.5032258033752441,0.5135135054588318,[],
[],0]]]],[],!1,!1,6080245595582193,[],null],["t125",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,9918728093529638,[["resume-sheet0.png",6537,0,0,155,37,1,0.5032258033752441,0.5135135054588318,[],[],0]]]],[],!1,!1,0x6e2dddf4289dd,[],null],["t126",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,7254533510698132,[["loader-sheet0.png",1821,0,0,61,61,1,0.5081967115402222,0.5081967115402222,[],[-0.3442627191543579,-0.3442627191543579,-0.01639372110366821,-0.4590164124965668,0.3606553077697754,
-0.3770487308502197,-0.4098359942436218,-0.01639372110366821,0.3278692960739136,0.3278692960739136,-0.01639372110366821,-0.3770487308502197,-0.3442627191543579,0.3278692960739136,-0.4754098057746887,-0.01639372110366821],0]]]],[["Rotate",cr.behaviors.Rotate,0x65c699949a5a]],!1,!1,4505561466567193,[],null],["t127",cr.plugins_.TiledBg,!1,[],1,0,["belaya.png",532,0],null,[["Anchor",cr.behaviors.Anchor,0xd5a0e8682c515]],!1,!1,7899309168869353,[],null],["t128",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",
5,!1,1,0,!1,9973967660115848,[["nextlevel-sheet0.png",7648,0,0,155,37,1,0.5032258033752441,0.5135135054588318,[],[0.4967741966247559,-0.5135135054588318,0.4967741966247559,0.4864864945411682,-0.5032258033752441,0.4864864945411682,-0.5032258033752441,-0.5135135054588318],0]]]],[],!1,!1,445195023340619,[],null],["t129",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,0xd64483c4fab7c,[["levelcomplete-sheet0.png",5381,0,0,187,17,1,0.5026738047599792,0.529411792755127,[],[],0]]]],[],!1,!1,0xf7f33c8c3a6a,
[],null],["t130",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,5781071863946499,[["ballvalue-sheet0.png",2461,0,0,35,35,1,0.5142857432365417,0.5142857432365417,[],[-0.3714287281036377,-0.3714287281036377,-0.02857175469398499,-0.5142857432365417,0.3428572416305542,-0.3714287281036377,0.4857142567634583,-0.02857175469398499,0.3428572416305542,0.3428572416305542,-0.02857175469398499,0.4857142567634583,-0.3714287281036377,0.3428572416305542,-0.5142857432365417,-0.02857175469398499],0]]]],
[["Pin",cr.behaviors.Pin,5898848192951731]],!1,!1,0xac6af6a22f348,[],null],["t131",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,7597650431584474,[["ballvalue-sheet0.png",2461,0,0,35,35,1,0.5142857432365417,0.5142857432365417,[],[-0.3714287281036377,-0.3714287281036377,-0.02857175469398499,-0.5142857432365417,0.3428572416305542,-0.3714287281036377,0.4857142567634583,-0.02857175469398499,0.3428572416305542,0.3428572416305542,-0.02857175469398499,0.4857142567634583,-0.3714287281036377,0.3428572416305542,
-0.5142857432365417,-0.02857175469398499],0]]]],[["Pin",cr.behaviors.Pin,9086160780340892]],!1,!1,0xa9f2572b2ff12,[],null],["t132",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,0xbaecafc004c94,[["ballvalue-sheet0.png",2461,0,0,35,35,1,0.5142857432365417,0.5142857432365417,[],[-0.3714287281036377,-0.3714287281036377,-0.02857175469398499,-0.5142857432365417,0.3428572416305542,-0.3714287281036377,0.4857142567634583,-0.02857175469398499,0.3428572416305542,0.3428572416305542,-0.02857175469398499,
0.4857142567634583,-0.3714287281036377,0.3428572416305542,-0.5142857432365417,-0.02857175469398499],0]]]],[["Pin",cr.behaviors.Pin,8563042808303552]],!1,!1,8958218895527051,[],null],["t133",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,0xeef3633b88e3b,[["ballvalue-sheet0.png",2461,0,0,35,35,1,0.5142857432365417,0.5142857432365417,[],[-0.3714287281036377,-0.3714287281036377,-0.02857175469398499,-0.5142857432365417,0.3428572416305542,-0.3714287281036377,0.4857142567634583,-0.02857175469398499,
0.3428572416305542,0.3428572416305542,-0.02857175469398499,0.4857142567634583,-0.3714287281036377,0.3428572416305542,-0.5142857432365417,-0.02857175469398499],0]]]],[["Pin",cr.behaviors.Pin,367232972476812]],!1,!1,7190744289784541,[],null],["t134",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,798382116052922,[["ballvalue-sheet0.png",2461,0,0,35,35,1,0.5142857432365417,0.5142857432365417,[],[-0.3714287281036377,-0.3714287281036377,-0.02857175469398499,-0.5142857432365417,0.3428572416305542,
-0.3714287281036377,0.4857142567634583,-0.02857175469398499,0.3428572416305542,0.3428572416305542,-0.02857175469398499,0.4857142567634583,-0.3714287281036377,0.3428572416305542,-0.5142857432365417,-0.02857175469398499],0]]]],[["Pin",cr.behaviors.Pin,6864389417576405]],!1,!1,9073952957390498,[],null],["t135",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,0x390a1ec6da1c6,[["ballvalue-sheet0.png",2461,0,0,35,35,1,0.5142857432365417,0.5142857432365417,[],[-0.3714287281036377,-0.3714287281036377,
-0.02857175469398499,-0.5142857432365417,0.3428572416305542,-0.3714287281036377,0.4857142567634583,-0.02857175469398499,0.3428572416305542,0.3428572416305542,-0.02857175469398499,0.4857142567634583,-0.3714287281036377,0.3428572416305542,-0.5142857432365417,-0.02857175469398499],0]]]],[["Pin",cr.behaviors.Pin,7262582289645429]],!1,!1,660576452576809,[],null],["t136",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,0x97c3db5f703e3,[["ballvalue-sheet0.png",2461,0,0,35,35,1,0.5142857432365417,
0.5142857432365417,[],[-0.3714287281036377,-0.3714287281036377,-0.02857175469398499,-0.5142857432365417,0.3428572416305542,-0.3714287281036377,0.4857142567634583,-0.02857175469398499,0.3428572416305542,0.3428572416305542,-0.02857175469398499,0.4857142567634583,-0.3714287281036377,0.3428572416305542,-0.5142857432365417,-0.02857175469398499],0]]]],[["Pin",cr.behaviors.Pin,0xb56b61ab8ddaf]],!1,!1,4627211708249678,[],null],["t137",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,0xf8d7d28eb77f1,
[["ballvalue-sheet0.png",2461,0,0,35,35,1,0.5142857432365417,0.5142857432365417,[],[-0.3714287281036377,-0.3714287281036377,-0.02857175469398499,-0.5142857432365417,0.3428572416305542,-0.3714287281036377,0.4857142567634583,-0.02857175469398499,0.3428572416305542,0.3428572416305542,-0.02857175469398499,0.4857142567634583,-0.3714287281036377,0.3428572416305542,-0.5142857432365417,-0.02857175469398499],0]]]],[["Pin",cr.behaviors.Pin,7996176956145816]],!1,!1,4932100352641714,[],null],["t138",cr.plugins_.Sprite,
!1,[],1,0,null,[["Default",5,!1,1,0,!1,9990215780136200,[["ballvalue-sheet0.png",2461,0,0,35,35,1,0.5142857432365417,0.5142857432365417,[],[-0.3714287281036377,-0.3714287281036377,-0.02857175469398499,-0.5142857432365417,0.3428572416305542,-0.3714287281036377,0.4857142567634583,-0.02857175469398499,0.3428572416305542,0.3428572416305542,-0.02857175469398499,0.4857142567634583,-0.3714287281036377,0.3428572416305542,-0.5142857432365417,-0.02857175469398499],0]]]],[["Pin",cr.behaviors.Pin,5996105045699824]],
!1,!1,9450708088040532,[],null],["t139",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,6564561652461637,[["ballvalue-sheet0.png",2461,0,0,35,35,1,0.5142857432365417,0.5142857432365417,[],[-0.3714287281036377,-0.3714287281036377,-0.02857175469398499,-0.5142857432365417,0.3428572416305542,-0.3714287281036377,0.4857142567634583,-0.02857175469398499,0.3428572416305542,0.3428572416305542,-0.02857175469398499,0.4857142567634583,-0.3714287281036377,0.3428572416305542,-0.5142857432365417,-0.02857175469398499],
0]]]],[["Pin",cr.behaviors.Pin,0x93db33cb6f86f]],!1,!1,7278297746407132,[],null],["t140",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,5609681223655189,[["ballvalue-sheet0.png",2461,0,0,35,35,1,0.5142857432365417,0.5142857432365417,[],[-0.3714287281036377,-0.3714287281036377,-0.02857175469398499,-0.5142857432365417,0.3428572416305542,-0.3714287281036377,0.4857142567634583,-0.02857175469398499,0.3428572416305542,0.3428572416305542,-0.02857175469398499,0.4857142567634583,-0.3714287281036377,
0.3428572416305542,-0.5142857432365417,-0.02857175469398499],0]]]],[["Bullet",cr.behaviors.Bullet,0xd3fdbfc7ce9c9]],!1,!1,0x727f635fad745,[],null],["t141",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,8907678333899906,[["sprite63-sheet0.png",3077,0,0,105,31,1,0.190476194024086,0.5161290168762207,[],[0.8095238208770752,-0.5161290168762207,0.8095238208770752,0.4838709831237793,-0.190476194024086,0.4838709831237793,-0.190476194024086,-0.5161290168762207],0]]]],[],!1,!1,0x6d830c7dbc2cf,[],
null],["t142",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,4694796231717086,[["sprite15-sheet0.png",3084,0,0,57,34,1,0.5087719559669495,0.5,[],[-0.385964959859848,-0.2941179871559143,-0.01754394173622131,-0.2941179871559143,0.4035090208053589,-0.3529410064220429,0.4736840724945068,0,0.4035090208053589,0.3529409766197205,-0.01754394173622131,0.4705880284309387,-0.4210526645183563,0.3529409766197205,-0.4561403393745422,0],0]]]],[["Pin",cr.behaviors.Pin,5176261480055827]],!1,!1,4658761362095467,
[],null],["t143",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,0x5667c46734784,[["sprite19-sheet0.png",2959,0,0,57,34,1,0.5087719559669495,0.5,[],[-0.385964959859848,-0.2941179871559143,-0.01754394173622131,-0.2941179871559143,0.4210530519485474,-0.3823530077934265,0.4210530519485474,0,0.350877046585083,0.264706015586853,-0.01754394173622131,0.4705880284309387,-0.4210526645183563,0.3529409766197205,-0.4561403393745422,0],0]]]],[["Pin",cr.behaviors.Pin,4858001107613909]],!1,!1,7580435039315655,
[],null],["t144",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,9159037981573416,[["sprite22-sheet0.png",3090,0,0,57,34,1,0.5087719559669495,0.5,[],[-0.385964959859848,-0.2941179871559143,-0.01754394173622131,-0.2941179871559143,0.4035090208053589,-0.3529410064220429,0.4561400413513184,0,0.4035090208053589,0.3529409766197205,-0.01754394173622131,0.4705880284309387,-0.4210526645183563,0.3529409766197205,-0.4561403393745422,0],0]]]],[["Pin",cr.behaviors.Pin,5284840123480327]],!1,!1,8467811239193799,
[],null],["t145",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,6760633510611095,[["sprite25-sheet0.png",3081,0,0,57,34,1,0.5087719559669495,0.5,[],[-0.385964959859848,-0.2941179871559143,-0.01754394173622131,-0.2941179871559143,0.4035090208053589,-0.3529410064220429,0.4736840724945068,0,0.3859650492668152,0.3235290050506592,-0.01754394173622131,0.4705880284309387,-0.4210526645183563,0.3529409766197205,-0.4561403393745422,0],0]]]],[["Pin",cr.behaviors.Pin,6913902470331085]],!1,!1,8365460980340551,
[],null],["t146",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,4891346744685264,[["sprite26-sheet0.png",3359,0,0,70,34,1,0.5,0.5,[],[-0.4000000059604645,-0.2941179871559143,0,-0.2352940142154694,0.4285709857940674,-0.3529410064220429,0.5,0,0.4285709857940674,0.3529409766197205,0,0.3235290050506592,-0.4285714030265808,0.3529409766197205,-0.4571428894996643,0],0]]]],[["Pin",cr.behaviors.Pin,84684198922184]],!1,!1,0x454679a6414a2,[],null],["t147",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",
5,!1,1,0,!1,6398048760872249,[["shypboo-sheet0.png",2822,0,0,139,145,1,0.5035971403121948,0.5034482479095459,[],[0.02226483821868897,-0.296322226524353,0.3194928765296936,-0.01242023706436157,0.01798588037490845,0.3156677484512329,-0.3022511601448059,0.01393574476242065],0],["shypboo-sheet1.png",5198,0,0,139,145,1,0.5035971403121948,0.5034482479095459,[],[0.02226483821868897,-0.4204604625701904,0.4489888548851013,-0.005523234605789185,-0.003597140312194824,0.3570467233657837,-0.4389422535896301,0.04841876029968262],
0],["shypboo-sheet2.png",7408,0,0,139,145,1,0.5035971403121948,0.5034482479095459,[],[-0.04248315095901489,-0.5034482479095459,0.4964028596878052,-0.03310924768447876,0.03237384557723999,0.4965517520904541,-0.5035971403121948,-0.02744325995445252],0],["shypboo-sheet2.png",7408,0,0,139,145,1,0.5035971403121948,0.5034482479095459,[],[-0.4748201370239258,-0.434482753276825,0.398628830909729,-0.4882818460464478,0.3884888887405396,0.3931037783622742,-0.4172662496566773,0.3724137544631958],0]]]],[["Bullet",
cr.behaviors.Bullet,5020356915372167]],!1,!1,8426675247497728,[],null],["t148",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,7484740818977875,[["shark-sheet0.png",6885,0,0,86,59,1,0.5,0.508474588394165,[],[-0.4186046123504639,4.172325134277344E-7,-0.3023259937763214,-0.2203385829925537,0,-0.4745762944221497,0.2093020081520081,-0.08474558591842651,0.4883720278739929,4.172325134277344E-7,0.3720930218696594,0.3050844073295593,0,0.3559324145317078,-0.232558012008667,0.1016954183578491],0]]]],
[["Bullet",cr.behaviors.Bullet,9755001307363314]],!1,!1,9660082768744380,[],null],["t149",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,5563628985549141,[["minimum3stars-sheet0.png",7073,0,0,176,22,1,0.5,0.5,[],[-0.4715909063816071,-0.2727270126342773,0.4715909957885742,-0.2727270126342773,0.4715909957885742,0.2727270126342773,0,-0.1363640129566193,-0.4488635957241058,0.09090900421142578,-0.4886364042758942,0],0]]]],[["Fade",cr.behaviors.Fade,0xd2915cdd0649e]],!1,!1,9983937012345044,[],
null],["t150",cr.plugins_.Sprite,!1,[],2,0,null,[["Default",16,!1,1,0,!1,44519885447551,[["sprite36-sheet2.png",2616,0,0,60,60,1,0.5,0.5,[],[-0.1500000059604645,-0.1500000059604645,0,-0.1800000071525574,0.1499999761581421,-0.1500000059604645,0.2400000095367432,0,0.25,0.25,0,0.3299999833106995,-0.25,0.25,-0.2599999904632568,0],0],["sprite36-sheet0.png",4112,0,0,100,100,1,0.5,0.5,[],[-0.1800000071525574,-0.1800000071525574,0,-0.2800000011920929,0.25,-0.25,0.3399999737739563,0,0.2799999713897705,0.2799999713897705,
0,0.3899999856948853,-0.2699999809265137,0.2699999809265137,-0.3299999833106995,0],0],["sprite36-sheet1.png",4783,0,0,100,100,1,0.5,0.5,[],[-0.2800000011920929,-0.2800000011920929,0,-0.4200000166893005,0.2400000095367432,-0.2400000095367432,0.4900000095367432,0,0.3399999737739563,0.3399999737739563,0,0.4399999976158142,-0.3199999928474426,0.3199999928474426,-0.3799999952316284,0],0]]]],[["Rotate",cr.behaviors.Rotate,0xcf367b60e9df6],["Fade",cr.behaviors.Fade,5573240063379709]],!1,!1,8156136122084432,
[],null],["t151",cr.plugins_.Particles,!1,[],0,0,["particles3.png",156,0],null,[],!1,!1,0x8650d2436a19e,[],null],["t152",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,0xd76a6ac12dd1f,[["startop0-sheet0.png",893,0,0,33,33,1,0.5151515007019043,0.5151515007019043,[],[-0.2121214866638184,-0.2121214866638184,-0.03030350804328919,-0.4848484992980957,0.1515154838562012,-0.1818185150623322,0.3939394950866699,-0.03030350804328919,0.2727274894714356,0.2727274894714356,-0.03030350804328919,0.3333334922790527,
-0.3333334922790527,0.3030304908752441,-0.45454540848732,-0.03030350804328919],0],["startop0-sheet1.png",824,0,0,33,33,1,0.5151515007019043,0.5151515007019043,[],[],0]]]],[["Pin",cr.behaviors.Pin,7538223790477972]],!1,!1,9843391044183056,[],null],["t153",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,9415050682845584,[["startop1-sheet0.png",1838,0,0,33,33,1,0.5151515007019043,0.5151515007019043,[],[0.242424488067627,-0.3939394950866699,0.04545450210571289,0.2083334922790527,-0.4204545915126801,
0.2386364936828613,-0.409090518951416,-0.409090518951416],0]]]],[["Pin",cr.behaviors.Pin,5310843826885389]],!1,!1,5544367825544569,[],null],["t154",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,4922321425839019,[["line-sheet0.png",93,0,0,374,2,1,0.5,0.5,[],[],1]]]],[],!1,!1,7308334317612342,[],null],["t155",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,5116585751869961,[["sprite4-sheet0.png",2871,0,0,57,34,1,0.5087719559669495,0.5,[],[0.4912280440330505,-0.5,0.4912280440330505,
0.5,-0.5087719559669495,0.5,-0.5087719559669495,-0.5],0]]]],[["Pin",cr.behaviors.Pin,9866831035639960]],!1,!1,0x834d80896695,[],null],["t156",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,0x9bcfd5cdd51c6,[["sprite5-sheet0.png",3019,0,0,57,34,1,0.5087719559669495,0.5,[],[-0.385964959859848,-0.2941179871559143,-0.01754394173622131,-0.2941179871559143,0.4035090208053589,-0.3529410064220429,0.4385960698127747,0,0.4210530519485474,0.3823530077934265,-0.01754394173622131,0.4705880284309387,
-0.4210526645183563,0.3529409766197205,-0.4561403393745422,0],0]]]],[["Pin",cr.behaviors.Pin,8855621205221242]],!1,!1,621190729622528,[],null],["t157",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,0x4dcbec56bb3f6,[["sprite7-sheet0.png",3054,0,0,57,34,1,0.5087719559669495,0.5,[],[-0.385964959859848,-0.2941179871559143,-0.01754394173622131,-0.2941179871559143,0.4035090208053589,-0.3529410064220429,0.4561400413513184,0,0.4035090208053589,0.3529409766197205,-0.01754394173622131,0.4705880284309387,
-0.4210526645183563,0.3529409766197205,-0.4561403393745422,0],0]]]],[["Pin",cr.behaviors.Pin,8130385663636742]],!1,!1,0xe2e75236d2f2d,[],null],["t158",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,7124860079427155,[["sprite13-sheet0.png",2928,0,0,57,34,1,0.5087719559669495,0.5,[],[-0.385964959859848,-0.2941179871559143,-0.01754394173622131,-0.2941179871559143,0.4035090208053589,-0.3529410064220429,0.4736840724945068,0,0.4035090208053589,0.3529409766197205,-0.01754394173622131,0.4705880284309387,
-0.4210526645183563,0.3529409766197205,-0.4561403393745422,0],0]]]],[["Pin",cr.behaviors.Pin,0xc6b3c5ab4736f]],!1,!1,0xc0a547a22aa11,[],null],["t159",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,6225786532124938,[["sprite14-sheet0.png",2996,0,0,57,34,1,0.5087719559669495,0.5,[],[-0.385964959859848,-0.2941179871559143,-0.01754394173622131,-0.2941179871559143,0.4210530519485474,-0.3823530077934265,0.4736840724945068,0,0.4035090208053589,0.3529409766197205,-0.01754394173622131,0.4705880284309387,
-0.4210526645183563,0.3529409766197205,-0.4561403393745422,0],0]]]],[["Pin",cr.behaviors.Pin,8113801292727823]],!1,!1,694142142377531,[],null],["t160",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,0xbb9588cb1a9ad,[["laser1-sheet0.png",242,0,0,250,6,1,0,0.5,[],[],0]]]],[],!1,!1,0xa7376f69cde88,[],null],["t161",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,0xf15d0a0261caf,[["laser1-sheet0.png",242,0,0,250,6,1,0,0.5,[],[],0]]]],[],!1,!1,0x9f040daa9ded9,[],null],["t162",cr.plugins_.Sprite,
!1,[],0,0,null,[["Default",5,!1,1,0,!1,0xb587bcb8d7d0f,[["laser1-sheet0.png",242,0,0,250,6,1,0,0.5,[],[],0]]]],[],!1,!1,9858099690099848,[],null],["t163",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,9205423099976638,[["laser1-sheet0.png",242,0,0,250,6,1,0,0.5,[],[],0]]]],[],!1,!1,7954581328111577,[],null],["t164",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,7314976898787246,[["laser1-sheet0.png",242,0,0,250,6,1,0,0.5,[],[],0]]]],[],!1,!1,5704232628941342,[],null],["t165",
cr.plugins_.Sprite,!1,[],2,0,null,[["Default",5,!1,1,0,!1,0x8bd484f468e85,[["shyp2-sheet0.png",393,0,0,27,13,1,0.4814814925193787,0.4615384638309479,[],[0.2222225069999695,-0.07692345976829529,0.03703749179840088,0.1538465321063995,-0.4074074029922485,0.3846155107021332,-0.4814814925193787,0.07692351937294006,-0.4074074029922485,-0.3076924681663513,0.03703749179840088,-0.3846153616905212,0.4814814925193787,-0.3846153616905212,0.1481485366821289,0.07692351937294006],0]]]],[["Bullet",cr.behaviors.Bullet,
6409311401389688],["DestroyOutsideLayout",cr.behaviors.destroy,83619564949285]],!1,!1,869057309280793,[],null],["t166",cr.plugins_.Sprite,!1,[],2,0,null,[["Default",5,!1,1,0,!1,317962239643835,[["shyp2-sheet0.png",393,0,0,27,13,1,0.4814814925193787,0.4615384638309479,[],[0.2222225069999695,-0.07692345976829529,0.03703749179840088,0.1538465321063995,-0.4074074029922485,0.3846155107021332,-0.4814814925193787,0.07692351937294006,-0.4074074029922485,-0.3076924681663513,0.03703749179840088,-0.3846153616905212,
0.4814814925193787,-0.3846153616905212,0.1481485366821289,0.07692351937294006],0]]]],[["Bullet",cr.behaviors.Bullet,6676232009680507],["DestroyOutsideLayout",cr.behaviors.destroy,596585365877775]],!1,!1,25096709858844,[],null],["t167",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,0x73e238b810bff,[["laser1-sheet0.png",242,0,0,250,6,1,0,0.5,[],[],0]]]],[],!1,!1,9084950490667856,[],null],["t168",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,0xa2819db0aa505,[["mirrror4-sheet0.png",
2315,0,0,73,73,1,0.4794520437717438,0.5068492889404297,[],[],0]]]],[],!1,!1,0xeceb80d05aa9,[],null],["t169",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,6791546057180107,[["mirrror5-sheet0.png",2271,0,0,73,73,1,0.4794520437717438,0.5068492889404297,[],[],0]]]],[],!1,!1,0x568fae760015b,[],null],["t170",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,7076506908988891,[["mirrror5-sheet0.png",2271,0,0,73,73,1,0.4794520437717438,0.5068492889404297,[],[],0]]]],[],!1,!1,7341627638477879,
[],null],["t171",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,0x589c273e047fa,[["mirrror5-sheet0.png",2271,0,0,73,73,1,0.4794520437717438,0.5068492889404297,[],[],0]]]],[["DragDrop",cr.behaviors.DragnDrop,8124553643487155]],!1,!1,6518345658052864,[],null],["t172",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,0x55dd632d693eb,[["mirrror5-sheet0.png",2271,0,0,73,73,1,0.4794520437717438,0.5068492889404297,[],[],0]]]],[["DragDrop",cr.behaviors.DragnDrop,8416850519710633]],!1,!1,
0xf1cd703a737c4,[],null],["t173",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,0x85de3ddb03d88,[["mirrortele2-sheet0.png",15771,1,1,51,76,1,0.5098039507865906,0.5,[],[-0.03035193681716919,-0.5,0.4901960492134094,-0.03703701496124268,-0.03035193681716919,0.5,-0.5098039507865906,0],0],["mirrortele2-sheet0.png",15771,54,1,51,76,1,0.5098039507865906,0.5,[],[-0.03035193681716919,-0.5,0.4901960492134094,-0.03703701496124268,-0.03035193681716919,0.5,-0.5098039507865906,0],0]]]],[],!1,!1,8917167720702996,
[],null],["t174",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,0x8ed15b2683885,[["sprite39-sheet0.png",128334,1,1,250,250,1,0.5,0.5,[],[],0],["sprite39-sheet0.png",128334,253,1,200,200,1,0.5,0.5,[],[],0],["sprite39-sheet0.png",128334,253,203,200,200,1,0.5,0.5,[],[],0],["sprite39-sheet0.png",128334,1,253,200,200,1,0.5,0.5,[],[],0],["sprite39-sheet1.png",61014,0,0,200,200,1,0.5,0.5,[],[],0]]],["Animation2",5,!1,1,0,!1,9153499574833736,[["sprite39-sheet0.png",128334,1,1,250,250,1,0.5,0.5,
[],[],0]]]],[],!1,!1,0xa971f9f71f66f,[],null],["t175",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",10,!1,1,0,!1,0xdb3be88e39744,[["booms-sheet0.png",41706,1,1,100,100,1,0.5,0.5,[],[0,-0.3199999928474426,0.2699999809265137,0,0,0.25,-0.2599999904632568,0],0],["booms-sheet0.png",41706,103,1,100,100,1,0.5,0.5,[],[-0.06000000238418579,-0.4300000071525574,0.3700000047683716,-0.3499999940395355,0.4100000262260437,0.1800000071525574,0.1200000047683716,0.4399999976158142,-0.3499999940395355,0.2799999713897705,
-0.4200000166893005,-0.2199999988079071],0],["booms-sheet0.png",41706,1,103,100,100,1,0.5,0.5,[],[-0.3499999940395355,-0.2800000011920929,0,-0.4300000071525574,0.3799999952316284,-0.3499999940395355,0.4300000071525574,0.199999988079071,0.02999997138977051,0.3799999952316284,-0.3400000035762787,0.2799999713897705],0],["booms-sheet0.png",41706,103,103,100,100,1,0.5,0.5,[],[0.1399999856948853,-0.449999988079071,0.5,0.009999990463256836,0.2400000095367432,0.449999988079071,-0.3600000143051148,0.3899999856948853,
-0.4799999892711639,-0.4000000953674316],0]]]],[["Fade",cr.behaviors.Fade,7731562269542821]],!1,!1,74687883260202,[],null],["t176",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,8100013460787595,[["sprite43-sheet0.png",21019,0,0,136,161,1,0.5,0.5031055808067322,[],[-0.1255509853363037,-0.1871205866336823,-0.002202987670898438,-0.332101583480835,0.143172025680542,-0.1945555806159973,0.143172025680542,0.006188392639160156,0.09471398591995239,0.121429443359375,-0.07709300518035889,0.121429443359375,
-0.1299560070037842,-0.004964590072631836],0]]],["Start",5,!1,1,0,!1,0xa3ecb381670c4,[["sprite43-sheet1.png",12975,0,0,136,161,1,0.5,0.5031055808067322,[],[0.264706015586853,-0.006211578845977783,0.4926469922065735,0.4906834363937378,-0.4926470518112183,0.4906834363937378],0]]]],[],!1,!1,0xdd1a04c4bda66,[],null],["t177",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,0x9dffb564ff8fd,[["rocketpolydestroy-sheet0.png",385,0,0,40,40,1,0.5,0.5,[],[0.5,0.003125011920928955,0.3031250238418579,
0.2421879768371582,-0.01718699932098389,0.4289060235023499,-0.5,0.5,-0.5,-0.5,-0.03125,-0.442187488079071,0.284375011920929,-0.2726559937000275],0]]]],[["Pin",cr.behaviors.Pin,5625853533892063]],!1,!1,8930440576551069,[],null],["t178",cr.plugins_.Sprite,!1,[],2,0,null,[["U0",5,!1,1,0,!1,4905337227878424,[["rocket-sheet0.png",61380,1,1,170,80,1,0.5,0.5,[["Imagepoint 1",0.1705882400274277,0.512499988079071],["Imagepoint 2",1.011764764785767,0.4625000059604645],["Imagepoint 3",0.8705882430076599,0.5]],
[0.4947090148925781,0,0.2176470160484314,0.2325000166893005,-0.4241200089454651,0.5,-0.4241200089454651,-0.5,0.2058820128440857,-0.2574999928474426],0]]],["U1",5,!0,1,0,!1,5594866345890233,[["rocket-sheet0.png",61380,1,83,170,80,1,0.5,0.5,[["Imagepoint 1",0.2470588237047195,0.512499988079071],["Imagepoint 2",0.9823529124259949,0.487500011920929],["Imagepoint 3",0.8529411554336548,0.5]],[0.4476500153541565,-0.08750000596046448,0.4823529720306397,0.08125001192092896,0.199999988079071,0.2625000476837158,
-0.3882359862327576,0.5,-0.4423590004444122,-0.5,0.1967629790306091,-0.3125],0]]],["U2",15,!0,1,0,!1,8303218736250349,[["rocket-sheet0.png",61380,1,165,170,80,1,0.5,0.5,[["Imagepoint 1",0.2647058963775635,0.5],["Imagepoint 2",0.9823529124259949,0.4749999940395355],["Imagepoint 3",0.8705882430076599,0.5]],[0.5,0,0.1676470041275024,0.2374999523162842,-0.4470590054988861,0.5,-0.4470590054988861,-0.5,0.1676470041275024,-0.300000011920929],0]]],["U3",5,!1,1,0,!1,6823287975118527,[["rocket-sheet1.png",
45114,1,1,170,80,1,0.5,0.5,[["Imagepoint 1",0.07647059112787247,0.5],["Imagepoint 2",0.9411764740943909,0.487500011920929],["Imagepoint 3",0.8705882430076599,0.5],["Imagepoint 4",0.9411764740943909,0.5]],[-0.4117650091648102,0.5,-0.4117650091648102,-0.5,0.3235300183296204,-0.25,0.4882349967956543,0,0.324999988079071,0.25],0]]],["U4",5,!1,1,0,!1,6493184771551892,[["rocket-sheet1.png",45114,1,83,170,80,1,0.5,0.5,[["Imagepoint 1",0.1823529452085495,0.487500011920929],["Imagepoint 2",1,0.5],["Imagepoint 3",
0.8705882430076599,0.5],["Imagepoint 4",0.5,0.5]],[0.4897059798240662,0,0.2294120192527771,0.2874999642372131,-0.3823530077934265,0.5,-0.3823530077934265,-0.5,0.2294120192527771,-0.2874999940395355],0]]]],[["ScrollTo",cr.behaviors.scrollto,9974175594721288],["Car",cr.behaviors.Car,9984931015607886]],!1,!1,5564405772720814,[],null],["t179",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,0xdd3db337e34ae,[["sprite44-sheet0.png",847,0,0,250,250,1,1,0.5,[],[],1]]]],[],!1,!1,8058333360764944,
[],null],["t180",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,9095869318462152,[["sprite46-sheet0.png",1467,0,0,250,250,1,0,0.5,[],[],1]]]],[],!1,!1,980540964679315,[],null],["t181",cr.plugins_.Sprite,!1,[],2,0,null,[["Default",5,!0,1,0,!1,8930396419678304,[["sprite54-sheet0.png",5321,0,0,60,50,1,0.5,0.5,[],[-0.2583329975605011,-0.2100000083446503,0,-0.4000000059604645,0.2250000238418579,-0.1699999868869782,0.2083330154418945,0,0.3500000238418579,0.3199999928474426,0,0.4700000286102295,
-0.4000000059604645,0.3799999952316284,-0.2416670024394989,0],0],["sprite54-sheet1.png",5256,0,0,60,50,1,0.5,0.5,[],[-0.2583329975605011,-0.2100000083446503,0,-0.4000000059604645,0.2083330154418945,-0.1500000059604645,0.175000011920929,0,0.3583329916000366,0.3299999833106995,0,0.4700000286102295,-0.375,0.3500000238418579,-0.25,0],0]]]],[["Sine",cr.behaviors.Sin,5015429130188678],["Sine2",cr.behaviors.Sin,332173194943956]],!1,!1,0xcd12bc285dbd8,[],null],["t182",cr.plugins_.Sprite,!1,[],3,0,null,[["Default",
5,!0,1,0,!1,8257545308669459,[["sprite47-sheet0.png",4501,0,0,60,60,1,0.5,0.5,[],[-0.09999999403953552,-0.09999999403953552,0,-0.2666670083999634,0.3666669726371765,-0.3666670024394989,0.449999988079071,0,0.1833329796791077,0.1833329796791077,0,0.2833330035209656,-0.3666670024394989,0.3666669726371765,-0.449999988079071,0],0],["sprite47-sheet1.png",4510,0,0,60,60,1,0.5,0.5,[],[-0.08333298563957214,-0.08333298563957214,0,-0.3499999940395355,0.2833330035209656,-0.2833330035209656,0.4333329796791077,
0,0,0.2833330035209656,-0.3833329975605011,0.3833330273628235,-0.4333333075046539,0],0],["sprite47-sheet2.png",4463,0,0,60,60,1,0.5,0.5,[],[-0.08333298563957214,-0.08333298563957214,0,-0.3333330154418945,0.2666670083999634,-0.2666670083999634,0.4666669964790344,0,0,0.300000011920929,-0.2666670083999634,0.2666670083999634,-0.3666670024394989,0],0]]]],[["Bullet",cr.behaviors.Bullet,7513810914560479],["Sine",cr.behaviors.Sin,0xf87e0a5d641c4],["Sine2",cr.behaviors.Sin,5854118952335325]],!1,!1,0xbacbb26ac2960,
[],null],["t183",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,8829413326940507,[["sprite49-sheet0.png",229,0,0,10,24,1,0.5,0.5,[],[],0]]]],[],!1,!1,0xb94b8cc6bb8af,[],null],["t184",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,0xf7717d179bcbc,[["girya-sheet0.png",2528,0,0,36,33,1,0.5,0.5151515007019043,[],[0,-0.5151515007019043,0.5,0.3560605049133301,-0.5,0.4469695091247559],0]]]],[["Platform",cr.behaviors.Platform,0x9262dddc29463]],!1,!1,0xc70d0c51ce55b,[],null],["t185",
cr.plugins_.Sprite,!1,[],3,0,null,[["Default",5,!1,1,0,!1,0x86ea14a19b101,[["sharslizi-sheet0.png",12314,0,0,110,98,1,0.5,0.5,[],[-0.3818179965019226,-0.367347002029419,0,-0.4897958934307098,0.3454549908638001,-0.3265309929847717,0.4909089803695679,0,0.3818179965019226,0.367347002029419,0,0.489795982837677,-0.3363640010356903,0.3163269758224487,-0.5,0],0]]]],[["Bullet",cr.behaviors.Bullet,9029814041007704],["Fade",cr.behaviors.Fade,5743965751441941],["Pin",cr.behaviors.Pin,0xee4d040ad1536]],!1,!1,
7528161981663133,[],null],["t186",cr.plugins_.Sprite,!1,[],4,0,null,[["Default",5,!0,1,0,!1,6960326660056625,[["smoke4-sheet0.png",11471,0,0,107,102,1,0.5046728849411011,0.5,[],[-0.2803738713264465,-0.264706015586853,-0.0093458890914917,-0.3431369960308075,0.2897201180458069,-0.2843140065670013,0.4112151265144348,0,0.1962621212005615,0.1862750053405762,-0.0093458890914917,0.3039219975471497,-0.2429908812046051,0.2254899740219116,-0.3831778764724731,0],0]]]],[["Sine",cr.behaviors.Sin,4813745703433439],
["Sine2",cr.behaviors.Sin,0x9e7860e36d2ff],["Pathfinding",cr.behaviors.Pathfinding,4590382480326558],["Fade",cr.behaviors.Fade,6551875434982688]],!1,!1,9241538726669624,[],null],["t187",cr.plugins_.Sprite,!1,[],4,0,null,[["Default",5,!1,1,0,!1,5371999198063725,[["smoke4-sheet0.png",11471,0,0,107,102,1,0.5046728849411011,0.5,[],[-0.2803738713264465,-0.264706015586853,-0.0093458890914917,-0.3431369960308075,0.2897201180458069,-0.2843140065670013,0.4112151265144348,0,0.1962621212005615,0.1862750053405762,
-0.0093458890914917,0.3039219975471497,-0.2429908812046051,0.2254899740219116,-0.3831778764724731,0],0]]]],[["Sine",cr.behaviors.Sin,6413020877762101],["Sine2",cr.behaviors.Sin,5463522020928467],["Pathfinding",cr.behaviors.Pathfinding,9990001076273114],["Fade",cr.behaviors.Fade,0x71c512faf4192]],!1,!1,5773916354008215,[],null],["t188",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,7047209049936793,[["obratka-sheet0.png",8961,0,0,76,76,1,0.5,0.5,[],[],0]]]],[],!1,!1,0x48eba152c496b,[],null],
["t189",cr.plugins_.Sprite,!1,[],4,0,null,[["Default",5,!0,1,0,!1,7645895576985034,[["enemy1b-sheet0.png",11709,1,1,74,50,1,0.5,0.5,[],[-0.3783780038356781,-0.3199999928474426,0,-0.3799999952316284,0.3783779740333557,-0.3199999928474426,0.2972970008850098,0,0.2702699899673462,0.1600000262260437,0,0.3799999952316284,-0.3378379940986633,0.2599999904632568,-0.4054054021835327,0],0],["enemy1b-sheet0.png",11709,1,53,74,50,1,0.5,0.5,[],[-0.3783780038356781,-0.3199999928474426,0,-0.2199999988079071,0.3783779740333557,
-0.3199999928474426,0.2972970008850098,0,0.2702699899673462,0.1600000262260437,0,0.3999999761581421,-0.3378379940986633,0.2599999904632568,-0.4054054021835327,0],0]]]],[["Flash",cr.behaviors.Flash,0xb05cc9c310571],["Sine",cr.behaviors.Sin,0xd4d6842024d14],["Sine2",cr.behaviors.Sin,9492971599105388],["Solid",cr.behaviors.solid,0xc3d175b2ec888]],!1,!1,5222105192166922,[],null],["t190",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,9920639394189734,[["mirrortele2-sheet0.png",15771,1,1,51,
76,1,0.5098039507865906,0.5,[],[-0.03035193681716919,-0.5,0.4901960492134094,-0.03703701496124268,-0.03035193681716919,0.5,-0.5098039507865906,0],0],["mirrortele2-sheet0.png",15771,54,1,51,76,1,0.5098039507865906,0.5,[],[-0.03035193681716919,-0.5,0.4901960492134094,-0.03703701496124268,-0.03035193681716919,0.5,-0.5098039507865906,0],0]]]],[],!1,!1,0xf34ca90ebf3df,[],null],["t191",cr.plugins_.Sprite,!1,[],1,0,null,[["Robot",5,!0,1,0,!1,868593561858049,[["laser-sheet0.png",52177,269,1,75,100,1,0.5066666603088379,
0.5,[["Imagepoint 1",0.5199999809265137,0.4099999964237213]],[-0.2999996542930603,-0.085999995470047,0.08666634559631348,-0.5,0.4366663098335266,0.0220000147819519,-0.006666660308837891,0.2440000176429749],0],["laser-sheet0.png",52177,346,1,75,100,1,0.5066666603088379,0.5,[["Imagepoint 1",0.119999997317791,0.3799999952316284]],[-0.2999996542930603,-0.085999995470047,0.08666634559631348,-0.5,0.4366663098335266,0.0220000147819519,-0.006666660308837891,0.2440000176429749],0]]],["Robotlaser",5,!1,1,0,
!1,9682679096341384,[["laser-sheet0.png",52177,346,1,75,100,1,0.5066666603088379,0.5,[],[-0.2999996542930603,-0.085999995470047,0.08666634559631348,-0.5,0.4366663098335266,0.0220000147819519,-0.006666660308837891,0.2440000176429749],0],["laser-sheet0.png",52177,423,1,75,100,1,0.5066666603088379,0.5,[],[-0.2999996542930603,-0.085999995470047,0.08666634559631348,-0.5,0.4366663098335266,0.0220000147819519,-0.006666660308837891,0.2440000176429749],0],["laser-sheet0.png",52177,346,1,75,100,1,0.5066666603088379,
0.5,[],[-0.2999996542930603,-0.085999995470047,0.08666634559631348,-0.5,0.4366663098335266,0.0220000147819519,-0.006666660308837891,0.2440000176429749],0],["laser-sheet0.png",52177,346,1,75,100,1,0.5066666603088379,0.5,[],[-0.2999996542930603,-0.085999995470047,0.08666634559631348,-0.5,0.4366663098335266,0.0220000147819519,-0.006666660308837891,0.2440000176429749],0],["laser-sheet0.png",52177,346,1,75,100,1,0.5066666603088379,0.5,[],[-0.2999996542930603,-0.085999995470047,0.08666634559631348,-0.5,
0.4366663098335266,0.0220000147819519,-0.006666660308837891,0.2440000176429749],0],["laser-sheet0.png",52177,346,1,75,100,1,0.5066666603088379,0.5,[],[-0.2999996542930603,-0.085999995470047,0.08666634559631348,-0.5,0.4366663098335266,0.0220000147819519,-0.006666660308837891,0.2440000176429749],0],["laser-sheet0.png",52177,346,1,75,100,1,0.5066666603088379,0.5,[],[-0.2999996542930603,-0.085999995470047,0.08666634559631348,-0.5,0.4366663098335266,0.0220000147819519,-0.006666660308837891,0.2440000176429749],
0],["laser-sheet0.png",52177,423,1,75,100,1,0.5066666603088379,0.5,[],[-0.2999996542930603,-0.085999995470047,0.08666634559631348,-0.5,0.4366663098335266,0.0220000147819519,-0.006666660308837891,0.2440000176429749],0],["laser-sheet0.png",52177,423,1,75,100,1,0.5066666603088379,0.5,[],[-0.2999996542930603,-0.085999995470047,0.08666634559631348,-0.5,0.4366663098335266,0.0220000147819519,-0.006666660308837891,0.2440000176429749],0],["laser-sheet0.png",52177,346,1,75,100,1,0.5066666603088379,0.5,[],[-0.2999996542930603,
-0.085999995470047,0.08666634559631348,-0.5,0.4366663098335266,0.0220000147819519,-0.006666660308837891,0.2440000176429749],0],["laser-sheet0.png",52177,346,1,75,100,1,0.5066666603088379,0.5,[],[-0.2999996542930603,-0.085999995470047,0.08666634559631348,-0.5,0.4366663098335266,0.0220000147819519,-0.006666660308837891,0.2440000176429749],0],["laser-sheet0.png",52177,346,1,75,100,1,0.5066666603088379,0.5,[],[-0.2999996542930603,-0.085999995470047,0.08666634559631348,-0.5,0.4366663098335266,0.0220000147819519,
-0.006666660308837891,0.2440000176429749],0],["laser-sheet0.png",52177,423,1,75,100,1,0.5066666603088379,0.5,[],[-0.2999996542930603,-0.085999995470047,0.08666634559631348,-0.5,0.4366663098335266,0.0220000147819519,-0.006666660308837891,0.2440000176429749],0],["laser-sheet0.png",52177,423,1,75,100,1,0.5066666603088379,0.5,[],[-0.2999996542930603,-0.085999995470047,0.08666634559631348,-0.5,0.4366663098335266,0.0220000147819519,-0.006666660308837891,0.2440000176429749],0],["laser-sheet0.png",52177,
346,1,75,100,1,0.5066666603088379,0.5,[],[-0.2999996542930603,-0.085999995470047,0.08666634559631348,-0.5,0.4366663098335266,0.0220000147819519,-0.006666660308837891,0.2440000176429749],0],["laser-sheet0.png",52177,346,1,75,100,1,0.5066666603088379,0.5,[],[-0.2999996542930603,-0.085999995470047,0.08666634559631348,-0.5,0.4366663098335266,0.0220000147819519,-0.006666660308837891,0.2440000176429749],0],["laser-sheet0.png",52177,423,1,75,100,1,0.5066666603088379,0.5,[],[-0.2999996542930603,-0.085999995470047,
0.08666634559631348,-0.5,0.4366663098335266,0.0220000147819519,-0.006666660308837891,0.2440000176429749],0],["laser-sheet0.png",52177,423,1,75,100,1,0.5066666603088379,0.5,[],[-0.2999996542930603,-0.085999995470047,0.08666634559631348,-0.5,0.4366663098335266,0.0220000147819519,-0.006666660308837891,0.2440000176429749],0],["laser-sheet0.png",52177,423,1,75,100,1,0.5066666603088379,0.5,[],[-0.2999996542930603,-0.085999995470047,0.08666634559631348,-0.5,0.4366663098335266,0.0220000147819519,-0.006666660308837891,
0.2440000176429749],0],["laser-sheet0.png",52177,346,1,75,100,1,0.5066666603088379,0.5,[],[-0.2999996542930603,-0.085999995470047,0.08666634559631348,-0.5,0.4366663098335266,0.0220000147819519,-0.006666660308837891,0.2440000176429749],0],["laser-sheet0.png",52177,423,1,75,100,1,0.5066666603088379,0.5,[],[-0.2999996542930603,-0.085999995470047,0.08666634559631348,-0.5,0.4366663098335266,0.0220000147819519,-0.006666660308837891,0.2440000176429749],0],["laser-sheet0.png",52177,423,1,75,100,1,0.5066666603088379,
0.5,[],[-0.2999996542930603,-0.085999995470047,0.08666634559631348,-0.5,0.4366663098335266,0.0220000147819519,-0.006666660308837891,0.2440000176429749],0],["laser-sheet0.png",52177,423,1,75,100,1,0.5066666603088379,0.5,[],[-0.2999996542930603,-0.085999995470047,0.08666634559631348,-0.5,0.4366663098335266,0.0220000147819519,-0.006666660308837891,0.2440000176429749],0],["laser-sheet0.png",52177,423,1,75,100,1,0.5066666603088379,0.5,[],[-0.2999996542930603,-0.085999995470047,0.08666634559631348,-0.5,
0.4366663098335266,0.0220000147819519,-0.006666660308837891,0.2440000176429749],0],["laser-sheet0.png",52177,1,1,266,100,200,0.8759398460388184,0.5,[],[-0.8187969326972961,-0.1610000133514404,-0.07903486490249634,-0.1599999964237213,-0.07903486490249634,-0.09299999475479126,-0.8187970519065857,-0.09599998593330383],0]]]],[["Sine",cr.behaviors.Sin,0x7176d3faffec4]],!1,!1,9703171067126288,[],null],["t192",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,519872296943092,[["rocketmode-sheet0.png",
3128,0,0,37,37,1,0.5135135054588318,0.5135135054588318,[],[-0.3513514995574951,-0.3513514995574951,-0.02702751755714417,-0.5135135054588318,0.3243244886398315,-0.3513514995574951,0.4864864945411682,-0.02702751755714417,0.3243244886398315,0.3243244886398315,-0.02702751755714417,0.4864864945411682,-0.3513514995574951,0.3243244886398315,-0.5135135054588318,-0.02702751755714417],0]]]],[],!1,!1,5755589029532905,[],null],["t193",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,6109866242400423,
[["sprite50-sheet0.png",5568,0,0,60,61,1,0.5,0.5081967115402222,[],[-0.2333329916000366,-0.2950817048549652,0.2833330035209656,-0.2950817048549652,0.2333329916000366,0.2950822710990906,-0.2666670083999634,0.2786883115768433],0]]]],[],!1,!1,8327935458060045,[],null],["t194",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,6098607019132797,[["sprite30-sheet0.png",6996,0,0,44,101,1,0.5,0.5049505233764648,[],[0,-0.4950495362281799,0.4090909957885742,0.4554454684257507,-0.3636360168457031,0.4356434941291809],
0]]]],[],!1,!1,0x64a2ebd57cdb4,[],null],["t195",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,5221711214785077,[["sprite51-sheet0.png",3716,0,0,38,41,1,0.5,0.5121951103210449,[],[0.342104971408844,-0.3658541142940521,0.5,0.4390239119529724,-0.3684210181236267,0.3658539056777954],0]]]],[],!1,!1,7954841543318172,[],null],["t196",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,0xd9ab3becb74b2,[["sprite57-sheet0.png",1700,0,0,34,21,1,0.5,0.523809552192688,[],[0.4779409766197205,
-0.523809552192688,0.5,0.4285714626312256,-0.5,0.476190447807312],0]]]],[],!1,!1,0xbc18260fc9cdf,[],null],["t197",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,0x77059cc5d08ab,[["sprite58-sheet0.png",17706,0,0,107,124,1,0.5046728849411011,0.5,[],[-0.0093458890914917,-0.4838710129261017,-0.0093458890914917,0.4112899899482727,-0.2616818845272064,0.29032301902771],0]]]],[],!1,!1,0xaeb0bcb430f95,[],null],["t198",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,810461558392543,[["sprite39-sheet0.png",
128334,1,1,250,250,1,0.5,0.5,[],[],0]]]],[],!1,!1,8115345496229405,[],null],["t199",cr.plugins_.TiledBg,!1,[],0,0,["tiledbackground15.png",969,0],null,[],!1,!1,0xb585b9c519c8c,[],null],["t200",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,282690169554663,[["sprite39-sheet0.png",128334,1,1,250,250,1,0.5,0.5,[],[],0]]]],[],!1,!1,468403987505788,[],null],["t201",cr.plugins_.Sprite,!1,[],2,0,null,[["Default",5,!1,1,0,!1,6527576037777185,[["sprite69-sheet0.png",5196,0,0,93,29,1,0.5053763389587402,
0.517241358757019,[],[-0.4892473518848419,-0.3275863528251648,0.4771506786346436,-0.3362073600292206,-0.198924332857132,0.1379306316375732],0]]]],[["Solid",cr.behaviors.solid,0xf70a423e24d70],["Physics",cr.behaviors.Physics,0xc4cd0dd137f03]],!1,!1,0xbe0d498ce0e0e,[],null],["t202",cr.plugins_.Sprite,!1,[],2,0,null,[["Default",5,!1,1,0,!1,6371626719120634,[["sprite70-sheet0.png",5566,0,0,73,39,1,0.5068492889404297,0.5128205418586731,[],[-0.4691780805587769,-0.3397435545921326,0.4863007068634033,-0.3653845489025116,
-0.0136982798576355,0.2307694554328919],0]]]],[["Solid",cr.behaviors.solid,8565858286798036],["Physics",cr.behaviors.Physics,0xc2b2c0839d083]],!1,!1,0x3941b60b3642b,[],null],["t203",cr.plugins_.TiledBg,!1,[],2,0,["tiledbackground9.png",3296,0],null,[["Solid",cr.behaviors.solid,5660616353464183],["Physics",cr.behaviors.Physics,7676064797620925]],!1,!1,0x6c23aecfd3979,[],null],["t204",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,7875633995840362,[["sprite71-sheet0.png",5955,0,0,77,35,1,
0.5064935088157654,0.5142857432365417,[],[],0]]]],[],!1,!1,0xd0ab2ad2492f,[],null],["t205",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,0x61fa275ef0824,[["sprite72-sheet0.png",4402,0,0,117,29,1,0.504273533821106,0.517241358757019,[],[0.4615384936332703,0.3448276519775391,-0.4871795475482941,0.4137936234474182,4.76837158203125E-7,-0.517241358757019],0]]]],[],!1,!1,0xbdf76259c431a,[],null],["t206",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,7775639840320832,[["sprite73-sheet0.png",
8148,0,0,51,89,1,0.5098039507865906,0.5056179761886597,[],[-0.4117647409439087,-0.4494381844997406,0.4901960492134094,0.4943820238113403,-0.5098039507865906,0.4943820238113403],0]]]],[],!1,!1,0xc09c996f2ae78,[],null],["t207",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,0x958e5a1fa76a1,[["sprite75-sheet0.png",2714,0,0,40,30,1,0.5,0.5,[],[-0.425000011920929,-0.4000000059604645,0.5,0.3583329916000366,-0.4000000059604645,0.3666669726371765],0]]]],[],!1,!1,7701851441353367,[],null],["t208",
cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,0x7a9ab81102049,[["sprite76-sheet0.png",2799,0,0,36,40,1,0.5,0.5,[],[],0]]]],[],!1,!1,8284585623212468,[],null],["t209",cr.plugins_.TiledBg,!1,[],2,0,["tiledbackground12.png",6561,0],null,[["Solid",cr.behaviors.solid,5839049552565393],["Physics",cr.behaviors.Physics,0x628033f1adbe5]],!1,!1,9220520853151092,[],null],["t210",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,5624048660797616,[["sprite74-sheet0.png",3925,0,0,37,85,1,0.5135135054588318,
0.5058823823928833,[],[0.3513514995574951,0.4352936148643494,-0.3783785104751587,0.4352936148643494,-0.02702650427818298,-0.5058823823928833],0]]]],[],!1,!1,563659627715657,[],null],["t211",cr.plugins_.Sprite,!1,[],1,0,null,[["Activ",15,!0,1,0,!1,6090905456282152,[["electro2-sheet0.png",20615,1,1,78,66,1,0.5,0.5,[["Imagepoint 1",0.9743589758872986,0.9242424368858337]],[-0.294871985912323,-0.2575759887695313,0.2820510268211365,-0.2424240112304688,0.5,0.5,-0.5,0.5],0],["electro2-sheet0.png",20615,81,
1,78,66,1,0.5,0.5,[],[],0],["electro2-sheet0.png",20615,161,1,78,66,1,0.5,0.5,[],[],0]]],["Passiv",5,!1,1,0,!1,813005159108971,[["electro2-sheet0.png",20615,1,69,78,66,1,0.5,0.5,[],[0.5,-0.3030300140380859,0.5,0.5,-0.5,0.5,-0.5,-0.3030300140380859],0]]]],[["DragDrop",cr.behaviors.DragnDrop,9084604617732914]],!1,!1,0x7edf94f7d27ed,[],null],["t212",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,0x57b128e6f021a,[["sprite27-sheet0.png",7053,1,1,38,85,1,0.5,0.5058823823928833,[],[-0.4210526049137116,
-0.4705882668495178,0,-0.4823529720306397,0.3947370052337647,-0.4588235914707184,0.1315789818763733,-0.01176437735557556,0.1315789818763733,0.3294116258621216,0,0.4941176176071167,-0.2894740104675293,0.3999996185302734,-0.2894740104675293,-0.01176437735557556],0]]],["Open",5,!1,1,0,!1,511807140105555,[["sprite27-sheet0.png",7053,1,1,38,85,1,0.5,0.5058823823928833,[],[-0.4210526049137116,-0.4705882668495178,0,-0.4823529720306397,0.3947370052337647,-0.4588235914707184,0.1315789818763733,-0.01176437735557556,
0.157895028591156,0.4941176176071167,-0.3157889842987061,0.4941176176071167,-0.2894740104675293,-0.01176437735557556],0],["sprite27-sheet0.png",7053,41,1,38,85,1,0.5,0.5058823823928833,[],[-0.4210526049137116,-0.4705882668495178,0,-0.4823529720306397,0.3947370052337647,-0.4588235914707184,0.184211015701294,0.3411766290664673,-0.1578949987888336,0.3411766290664673],0],["sprite27-sheet0.png",7053,81,1,38,85,1,0.5,0.5058823823928833,[],[-0.4210526049137116,-0.4705882668495178,0,-0.4823529720306397,0.3947370052337647,
-0.4588235914707184,0.1315789818763733,0.1999996304512024,-0.2105259895324707,0.1882356405258179],0],["sprite27-sheet1.png",4474,1,1,38,85,1,0.5,0.5058823823928833,[],[-0.4210526049137116,-0.4705882668495178,0,-0.4823529720306397,0.3947370052337647,-0.4588235914707184,0.07894700765609741,0.02352958917617798,-0.2894740104675293,-0.01176437735557556],0],["sprite27-sheet1.png",4474,41,1,38,85,1,0.5,0.5058823823928833,[],[-0.4210526049137116,-0.4705882668495178,0,-0.4823529720306397,0.3947370052337647,
-0.4588235914707184,0,-0.1058823764324188],0]]]],[["Solid",cr.behaviors.solid,5403213955672959]],!1,!1,4630580363655624,[],null],["t213",cr.plugins_.Sprite,!1,[],1,0,null,[["Activ",15,!0,1,0,!1,45793306637706,[["electro2-sheet0.png",20615,1,1,78,66,1,0.5,0.5,[["Imagepoint 1",0.9743589758872986,0.9242424368858337]],[-0.294871985912323,-0.2575759887695313,0.2820510268211365,-0.2424240112304688,0.5,0.5,-0.5,0.5],0],["electro2-sheet0.png",20615,81,1,78,66,1,0.5,0.5,[],[],0],["electro2-sheet0.png",20615,
161,1,78,66,1,0.5,0.5,[],[],0]]],["Passiv",5,!1,1,0,!1,6023154165513684,[["electro2-sheet0.png",20615,1,69,78,66,1,0.5,0.5,[],[0.5,-0.3030300140380859,0.5,0.5,-0.5,0.5,-0.5,-0.3030300140380859],0]]]],[["DragDrop",cr.behaviors.DragnDrop,0x718f1a9705ec1]],!1,!1,0x583b2712312e8,[],null],["t214",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,5440957230779754,[["sprite9-sheet0.png",1287,0,0,44,44,1,0.5,0.5,[],[],0]]]],[],!1,!1,8735428710267509,[],null],["t215",cr.plugins_.Sprite,!1,[],0,0,null,
[["Passiv",5,!1,1,0,!1,0x5edf6f3f9c9df,[["upg1-sheet0.png",10126,0,0,125,93,1,0.5040000081062317,0.5053763389587402,[],[],0]]],["Activ",5,!1,1,0,!1,0xc1a1a8b9ac37d,[["upg1-sheet1.png",17587,0,0,125,93,1,0.5040000081062317,0.5053763389587402,[],[],0]]]],[],!1,!1,4630703447548256,[],null],["t216",cr.plugins_.Sprite,!1,[],0,0,null,[["Passiv",5,!1,1,0,!1,9185578416073480,[["upg2-sheet0.png",13411,0,0,151,138,1,0.503311276435852,0.5,[],[0.496688723564148,-0.5,0.496688723564148,0.5,-0.503311276435852,0.5,
-0.503311276435852,-0.5],0]]],["Activ",5,!1,1,0,!1,0xf2a4fbb5a59a1,[["upg2-sheet1.png",23072,0,0,151,138,1,0.503311276435852,0.5,[],[],0]]]],[],!1,!1,666764768402081,[],null],["t217",cr.plugins_.Sprite,!1,[],0,0,null,[["Passiv",5,!1,1,0,!1,0x8af23a74dfe44,[["upg3-sheet0.png",12236,0,0,178,134,1,0.5,0.5,[],[],0]]],["Activ",5,!1,1,0,!1,7896577357332999,[["upg3-sheet1.png",18881,0,0,178,134,1,0.5,0.5,[],[-0.5,-0.5,0.4887639880180359,-0.4850746095180512,0.5,0.5,-0.5,0.5],0]]]],[],!1,!1,6721780709567634,
[],null],["t218",cr.plugins_.Sprite,!1,[],0,0,null,[["Pass",5,!1,1,0,!1,779664541939541,[["bupg1-sheet0.png",21871,1,1,143,60,1,0.503496527671814,0.5,[],[],0]]],["Activ",5,!1,1,0,!1,7138110560316476,[["bupg1-sheet0.png",21871,1,63,143,60,1,0.503496527671814,0.5,[],[],0]]],["Sales",5,!1,1,0,!1,4572968448866005,[["bupg1-sheet0.png",21871,1,125,143,60,1,0.503496527671814,0.5,[],[],0]]]],[],!1,!1,4603074392921408,[],null],["t219",cr.plugins_.Sprite,!1,[],0,0,null,[["Pass",5,!1,1,0,!1,5793029197123761,
[["bupg1-sheet0.png",21871,1,1,143,60,1,0.503496527671814,0.5,[],[],0]]],["Activ",5,!1,1,0,!1,60045128386714,[["bupg1-sheet0.png",21871,1,63,143,60,1,0.503496527671814,0.5,[],[],0]]],["Sales",5,!1,1,0,!1,6520336785047846,[["bupg1-sheet0.png",21871,1,125,143,60,1,0.503496527671814,0.5,[],[-0.4545455276966095,-0.3833329975605011,0.4475524425506592,-0.3833329975605011,0.4335664510726929,0.3500000238418579,-0.4405594170093536,0.3500000238418579],0]]]],[],!1,!1,6758871791538547,[],null],["t220",cr.plugins_.Sprite,
!1,[],0,0,null,[["Pass",5,!1,1,0,!1,0xb491fbd1a7cda,[["bupg1-sheet0.png",21871,1,1,143,60,1,0.503496527671814,0.5,[],[],0]]],["Activ",5,!1,1,0,!1,6214447346224223,[["bupg1-sheet0.png",21871,1,63,143,60,1,0.503496527671814,0.5,[],[],0]]],["Sales",5,!1,1,0,!1,0x9cffce7996845,[["bupg1-sheet0.png",21871,1,125,143,60,1,0.503496527671814,0.5,[],[-0.4545455276966095,-0.3833329975605011,0.4475524425506592,-0.3833329975605011,0.4335664510726929,0.3500000238418579,-0.4825175404548645,0.3333330154418945],0]]]],
[],!1,!1,7081914887563929,[],null],["t221",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,8809829975336171,[["sprite79-sheet0.png",4406,0,0,116,54,1,0.5,0.5,[],[],0]]]],[],!1,!1,9758242480333922,[],null],["t222",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,5458944410337608,[["sprite80-sheet0.png",3750,0,0,155,54,1,0.5032258033752441,0.5,[],[],0]]]],[],!1,!1,9678846356735776,[],null],["t223",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,4585249000606365,[["sprite81-sheet0.png",
5266,0,0,155,54,1,0.5032258033752441,0.5,[],[],0]]]],[],!1,!1,4509429365424792,[],null],["t224",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",15,!0,1,0,!1,0xad37b69f07a71,[["sprite82-sheet0.png",9897,0,0,75,83,1,0.5066666603088379,0.5060241222381592,[],[],0],["sprite82-sheet1.png",9904,0,0,75,83,1,0.5066666603088379,0.5060241222381592,[],[],0],["sprite82-sheet2.png",9481,0,0,75,83,1,0.5066666603088379,0.5060241222381592,[],[],0]]]],[],!1,!1,8267081146815384,[],null],["t225",cr.plugins_.Sprite,!1,
[],0,0,null,[["On",5,!1,1,0,!1,5186072480957875,[["sound1-sheet0.png",6603,0,0,112,67,1,0.5714285969734192,0.4925373196601868,[],[],0]]],["Off",5,!1,1,0,!1,9559442681604756,[["sound1-sheet1.png",5090,0,0,112,67,1,0.5714285969734192,0.4925373196601868,[],[],0]]]],[],!1,!1,7219756584590579,[],null],["t226",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,0xcac8c7ee96ae1,[["sounda-sheet0.png",3255,0,0,59,52,1,0.508474588394165,0.5,[],[],0]]]],[],!1,!1,0xb2306c8ca3e51,[],null],["t227",cr.plugins_.Sprite,
!1,[],0,0,null,[["Default",5,!1,1,0,!1,82774932027788,[["soundb-sheet0.png",4605,0,0,72,53,1,0.5,0.5094339847564697,[],[],0]]]],[],!1,!1,0x9ccc13ef08ed3,[],null],["t228",cr.plugins_.Sprite,!1,[],2,0,null,[["Default",5,!1,1,0,!1,6694350537935895,[["sprite83-sheet0.png",11488,0,0,150,44,1,0.5,0.5227272510528564,[],[],0]]]],[["Sine",cr.behaviors.Sin,8140313836319903],["Sine2",cr.behaviors.Sin,0x5bde712f1b7fb]],!1,!1,956823292514507,[],null],["t229",cr.plugins_.Sprite,!1,[],1,1,null,[["Default",5,!1,
1,0,!1,0x3d4d0011aebd7,[["yellow-sheet0.png",7733,0,0,59,62,1,0.4406779706478119,0.5,[],[0.2203390300273895,-0.1612899899482727,0.2711860239505768,0.1612899899482727,-0.1525419652462006,0.1935489773750305,-0.203389972448349,-0.2258059978485107],0]]]],[["Rotate",cr.behaviors.Rotate,4775697791704661]],!1,!1,7000653764784838,[["screen","Screen"]],null],["t230",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,0x884e0fb023d7e,[["sprite10-sheet0.png",15846,1,1,127,44,1,0.5039370059967041,0.5,[],
[-0.4566929042339325,-0.3636360168457031,0.4488189816474915,-0.3636360168457031,0.4881889820098877,0,0.4251970052719116,0.2954549789428711,-0.4330708980560303,0.2954549789428711,-0.4960629940032959,0],0],["sprite10-sheet0.png",15846,130,1,107,48,1,0.5046728849411011,0.5,[],[-0.5046728849411011,-0.5,0.4953271150588989,-0.5,0.4766350984573364,0.4583330154418945,-0.485981285572052,0.4583330154418945],0]]]],[],!1,!1,9597925849402984,[],null],["t231",cr.plugins_.Sprite,!1,[],2,0,null,[["Passiv",5,!1,1,
0,!1,9041201692605202,[["sprite85-sheet0.png",21736,1,1,100,100,1,0.5,0.5,[],[-0.1299999952316284,-0.1299999952316284,0,-0.4399999976158142,0.300000011920929,-0.300000011920929,0.3799999952316284,0,0.3100000023841858,0.3100000023841858,0,0.4599999785423279,-0.2699999809265137,0.2699999809265137,-0.2699999809265137,0],0]]],["Activ",5,!1,1,0,!1,0xbccdd98d09da4,[["sprite85-sheet0.png",21736,103,83,80,81,1,0.5,0.4814814925193787,[],[-0.4124999940395355,-0.2839505076408386,0.3374999761581421,-0.3703705072402954,
0.387499988079071,0.3827165365219116,-0.4000000059604645,0.3333334922790527],0],["sprite85-sheet0.png",21736,103,1,83,80,1,0.5301204919815063,0.487500011920929,[],[-0.4216865003108978,-0.3375000059604645,0.3855425119400024,-0.4125000238418579,0.4698795080184937,0.3374999761581421,-0.5060241222381592,0.3499999642372131],0],["sprite85-sheet0.png",21736,1,103,75,76,1,0.5066666603088379,0.5131579041481018,[],[-0.4133333563804627,-0.4736843109130859,0.3866673111915588,-0.3684208989143372,0.4933333396911621,
0.2763161063194275,-0.5066666603088379,0.3289470672607422],0]]]],[["8Direction",cr.behaviors.EightDir,0x8cd16e2a2446c],["Rotate",cr.behaviors.Rotate,7230038140998112]],!1,!1,0xce8fe3eebba6f,[],null],["t232",cr.plugins_.Text,!1,[],1,0,null,null,[["Pin",cr.behaviors.Pin,9113015727922984]],!1,!1,0x39d602fe2c01d,[],null],["t233",cr.plugins_.Sprite,!1,[],0,0,null,[["Butt",5,!1,1,0,!1,6809640624614416,[["sprite86-sheet0.png",4818,1,1,114,29,1,0.5,0.517241358757019,[],[-0.1073620021343231,-0.517241358757019,
0.5,-0.517241358757019,0.4938650131225586,0.4589486122131348,-0.1196320056915283,0.482758641242981],0]]],["Buttpress",5,!1,1,0,!1,0x64462c48388bc,[["sprite86-sheet0.png",4818,1,32,114,29,1,0.5,0.517241358757019,[],[0.5,-0.517241358757019,0.4912279844284058,0.448275625705719,-0.0394740104675293,0.482758641242981,-0.03070199489593506,-0.07327637076377869],0]]]],[],!1,!1,5364634327224499,[],null],["t234",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,9896846112269672,[["sprite87-sheet0.png",
125275,0,0,700,400,1,0.5,0.5,[],[],1]]]],[],!1,!1,6903830719781568,[],null],["t235",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",3,!0,1,0,!1,0x61a17fd4cb0cd,[["sprite11-sheet0.png",2312,0,0,40,40,1,0.5,0.5,[],[0.3999999761581421,-0.3499999940395355,0.324999988079071,0.324999988079071,-0.449999988079071,0.375,-0.375,-0.3499999940395355],0]]]],[],!1,!1,0xb833db59beeb6,[],null],["t236",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",3,!0,1,0,!1,5411667347698421,[["sprite11-sheet2.png",2341,0,0,40,40,
1,0.5,0.5,[],[0.3999999761581421,-0.3499999940395355,0.324999988079071,0.324999988079071,-0.449999988079071,0.375,-0.375,-0.3499999940395355],0]]]],[],!1,!1,8674149374842308,[],null],["t237",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",3,!0,1,0,!1,7284741173301028,[["sprite11-sheet1.png",2279,0,0,40,40,1,0.5,0.5,[],[0.3999999761581421,-0.3499999940395355,0.324999988079071,0.324999988079071,-0.449999988079071,0.375,-0.375,-0.3499999940395355],0]]]],[],!1,!1,5661805710455461,[],null],["t238",cr.plugins_.Sprite,
!1,[],1,0,null,[["Default",5,!1,1,0,!1,5345474631440916,[["moon-sheet0.png",27426,0,0,161,162,1,0.5031055808067322,0.5,[],[-0.5031055808067322,-0.5,0.4968944191932678,-0.5,0.4968944191932678,0.4876539707183838,-0.5031055808067322,0.5],0]]]],[["Pin",cr.behaviors.Pin,9196357507913886]],!1,!1,5416932338315133,[],null],["t239",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,9806107903728776,[["end-sheet0.png",16900,0,0,97,110,1,0.5051546096801758,0.5,[],[-0.2989686131477356,-0.3181819915771484,
-0.0103096067905426,-0.4909090995788574,0.2268043756484985,-0.2636359930038452,0.4536083936691284,0,0.2783504128456116,0.3090909719467163,-0.0103096067905426,0.4818180203437805,-0.2886596024036408,0.3090909719467163,-0.4639174938201904,0],0]]]],[["Pin",cr.behaviors.Pin,0xce3840e5c1805]],!1,!1,5225280798298593,[],null],["t240",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,0x65b91009cda6e,[["sprite88-sheet0.png",19773,0,0,122,101,1,0.5,0.5049505233764648,[],[-0.4918032884597778,-0.4950495362281799,
0.491802990436554,-0.4950495362281799,0.467212975025177,0.4554454684257507,-0.4590164124965668,0.4455444812774658],0]]]],[["Pin",cr.behaviors.Pin,9507561448504020]],!1,!1,5975767321302227,[],null],["t241",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,6270574516496231,[["sprite132-sheet0.png",19707,0,0,102,119,1,0.5,0.5042017102241516,[],[],0]]]],[["Pin",cr.behaviors.Pin,7109104207724556]],!1,!1,0x6d6b3ad8fc6be,[],null],["t242",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,
0x94a13a5a6a554,[["sprite39-sheet0.png",128334,1,1,250,250,1,0.5,0.5,[],[],0]]]],[],!1,!1,9074494083507116,[],null],["t243",cr.plugins_.Sprite,!1,[4826832638223106],0,0,null,[["Based",0,!1,1,0,!1,587232361362135,[["spritefake-sheet0.png",6405,0,0,55,61,0,0.4545454680919647,0.01639344170689583,[["Imagepoint 1",0.1818181872367859,0.8196721076965332],["Imagepoint 2",0.1272727251052856,0.9344262480735779],["Imagepoint 3",0.5272727012634277,0.6065573692321777],["Imagepoint 4",0.4545454680919647,0.3770491778850555],
["Imagepoint 5",0.4727272689342499,0.9344262480735779],["Imagepoint 6",0.4545454680919647,0.311475396156311],["Imagepoint 7",0.4727272689342499,0.7868852615356445],["Imagepoint 8",0.9636363387107849,0.6393442749977112]],[-0.2545454502105713,0.1639345586299896,0.03636354207992554,-4.097819328308106E-8,0.2909095585346222,0.2131145596504211,0.4909095466136932,0.4754095375537872,0.3272725045681,0.7868855595588684,0.03636354207992554,0.9672135710716248,-0.290909469127655,0.8360655903816223,-0.3818181753158569,
0.4754095375537872],0],["sprite-sheet2.png",6710,0,0,55,61,0,0.4545454680919647,0,[["Imagepoint 1",0.1818181872367859,0.8196721076965332],["Imagepoint 2",0.1272727251052856,0.9344262480735779],["Imagepoint 3",0.5090909004211426,0.5081967115402222],["Imagepoint 4",0.7818182110786438,0.3770491778850555]],[-0.2445454746484757,0.1909089982509613,0.04545453190803528,0.009090909734368324,0.2854545414447784,0.2363640069961548,0.4954545199871063,0.5,0.3254545032978058,0.800000011920929,-0.004545480012893677,
0.8999999761581421,-0.3145454525947571,0.7636359930038452,-0.3945454657077789,0.5],0]]],["Ghost",0,!1,1,0,!1,9544516353903336,[["sprite-sheet0.png",5104,0,0,56,62,1,0.5178571343421936,-0.06451612710952759,[["Imagepoint 1",0.4107142984867096,1.016129016876221],["Imagepoint 2",0.3571428656578064,1.080645203590393],["Imagepoint 3",0.5,0.5]],[-0.321428120136261,0.241935133934021,-0.0178571343421936,0.1290322244167328,0.3392858505249023,0.1935481280088425,0.3749998807907105,0.5645161271095276,0.2321428656578064,
0.8387101292610168,-0.0178571343421936,0.8870971202850342,-0.1607141196727753,0.741935133934021,-0.1071431338787079,0.5645161271095276],0]]]],[],!1,!1,5243558748475714,[],null],["t244",cr.plugins_.Sprite,!1,[],1,0,null,[["Buy",0,!1,1,0,!1,0x7e2eadb05c24d,[["button-sheet0.png",17050,1,1,143,60,1,0.503496527671814,0.5,[],[],0],["button-sheet0.png",17050,1,63,143,60,1,0.503496527671814,0.5,[],[-0.4545455276966095,-0.3833329975605011,-0.006992518901824951,-0.449999988079071,0.4475524425506592,-0.3833329975605011,
0.4615384936332703,0,0.4335664510726929,0.3500000238418579,-0.006992518901824951,0.3999999761581421,-0.4405594170093536,0.3500000238418579,-0.4685315191745758,0],0],["bupg1-sheet0.png",21871,1,125,143,60,1,0.503496527671814,0.5,[],[-0.4545455276966095,-0.3833329975605011,-0.006992518901824951,-0.449999988079071,0.4475524425506592,-0.3833329975605011,0.4615384936332703,0,0.4335664510726929,0.3500000238418579,-0.006992518901824951,0.3999999761581421,-0.4405594170093536,0.3500000238418579,-0.4685315191745758,
0],0]]]],[["Pin",cr.behaviors.Pin,0xaf371a9e603f4]],!1,!1,8316521653070972,[],null],["t245",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,4711323621394543,[["sprite91-sheet0.png",3428,0,0,160,186,1,0.5,0.4354838728904724,[],[],0]]]],[["Pin",cr.behaviors.Pin,7821617975848894]],!1,!1,8265107441935212,[],null],["t246",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,0xb4c0da77da64a,[["arrowright-sheet0.png",3548,0,0,52,147,1,0.5,0.5034013390541077,[],[],0]]]],[["Pin",cr.behaviors.Pin,
0x631351f4bb0f]],!1,!1,9307552498360176,[],null],["t247",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,8247921380092842,[["arrowleft-sheet0.png",3594,0,0,52,147,1,0.5,0.5034013390541077,[],[],0]]]],[["Pin",cr.behaviors.Pin,9647374046168988]],!1,!1,7073132532609333,[],null],["t248",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,32072030893116,[["store1-sheet0.png",1249,0,0,31,13,1,-0.06451612710952759,0.5384615659713745,[],[],0]]]],[["Pin",cr.behaviors.Pin,7081321946158677]],
!1,!1,9120455638807602,[],null],["t249",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,8588178623429531,[["store2-sheet0.png",692,0,0,32,16,1,0.15625,0.4375,[],[],0]]]],[["Pin",cr.behaviors.Pin,0x9e9fe64ace03f]],!1,!1,0xbaf6dc4e01ff2,[],null],["t250",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,18064796735703,[["store3-sheet0.png",1693,0,0,34,16,1,-0.05882352963089943,0.5625,[],[],0]]]],[["Pin",cr.behaviors.Pin,0xe20a32c7f9911]],!1,!1,5379979190865374,[],null],["t251",cr.plugins_.Sprite,
!1,[],1,0,null,[["Default",5,!1,1,0,!1,8691781696193685,[["store4-sheet0.png",1485,0,0,35,16,1,-0.05714285746216774,0.5,[],[],0]]]],[["Pin",cr.behaviors.Pin,0x71cc9b41fd189]],!1,!1,427640366577631,[],null],["t252",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,739528568973661,[["store5-sheet0.png",1660,0,0,35,19,1,-0.02857142873108387,0.5263158082962036,[],[],0]]]],[["Pin",cr.behaviors.Pin,8855321446156992]],!1,!1,0x43092d599375e,[],null],["t253",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",
5,!1,1,0,!1,5039455812142137,[["store6-sheet0.png",1204,0,0,21,20,1,0.3333333432674408,0.300000011920929,[],[],0]]]],[["Pin",cr.behaviors.Pin,6337574532624888]],!1,!1,9362028183675416,[],null],["t254",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,6783580618145413,[["store7-sheet0.png",1197,0,0,23,19,1,0.3043478131294251,0.2631579041481018,[],[],0]]]],[["Pin",cr.behaviors.Pin,5930911985017921]],!1,!1,9775539567434688,[],null],["t255",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,
0,!1,9275042143870356,[["store8-sheet0.png",1099,0,0,20,18,1,0.3499999940395355,0.2222222238779068,[],[],0]]]],[["Pin",cr.behaviors.Pin,0x7327587139705]],!1,!1,4529606800309771,[],null],["t256",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,0x505080c1568bb,[["store9-sheet0.png",1927,0,0,35,29,1,0.3714285790920258,0.7931034564971924,[],[],0]]]],[["Pin",cr.behaviors.Pin,6230111904790906]],!1,!1,0x88127eb9ce2cd,[],null],["t257",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,4633255806042408,
[["store10-sheet0.png",3145,0,0,50,33,1,0.4399999976158142,0.6666666865348816,[],[],0]]]],[["Pin",cr.behaviors.Pin,9741746931566496]],!1,!1,8401193273049599,[],null],["t258",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,36852010266138,[["store11-sheet0.png",3036,0,0,45,32,1,0.3555555641651154,0.71875,[],[],0]]]],[["Pin",cr.behaviors.Pin,0xd8f13314ff34b]],!1,!1,0x8aa2f15dfec22,[],null],["t259",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,0x428a3f0eb352d,[["store12-sheet0.png",
3969,0,0,48,43,1,0.4583333432674408,0.604651153087616,[],[],0]]]],[["Pin",cr.behaviors.Pin,737813168470765]],!1,!1,792583730170957,[],null],["t260",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,6323180013818935,[["store13-sheet0.png",859,0,0,22,14,1,-0.2272727340459824,0.5,[],[],0]]]],[["Pin",cr.behaviors.Pin,6194842173678669]],!1,!1,9598083307648852,[],null],["t261",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,0x7c498663cb43b,[["store14-sheet0.png",828,0,0,24,15,1,-0.2083333283662796,
0.5333333611488342,[],[],0]]]],[["Pin",cr.behaviors.Pin,0x93c7273c96936]],!1,!1,4723789976934695,[],null],["t262",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,8650849715984018,[["store15-sheet0.png",711,0,0,13,13,1,0.5384615659713745,0.5384615659713745,[],[],0]]]],[["Pin",cr.behaviors.Pin,0xb534f1c1afadb]],!1,!1,9183285700480252,[],null],["t263",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",0,!1,1,0,!1,8024466696307699,[["storeico-sheet0.png",157967,1,1,160,160,1,0.5,0.5,[],[],0],["storeico-sheet0.png",
157967,163,1,160,160,1,0.5,0.5,[],[],0],["storeico-sheet0.png",157967,325,1,160,160,1,0.5,0.5,[],[],0],["storeico-sheet0.png",157967,1,163,160,160,1,0.5,0.5,[],[],0],["storeico-sheet0.png",157967,163,163,160,160,1,0.5,0.5,[],[],0],["storeico-sheet0.png",157967,325,163,160,160,1,0.5,0.5,[],[],0],["storeico-sheet0.png",157967,1,325,160,160,1,0.5,0.5,[],[],0],["storeico-sheet0.png",157967,163,325,160,160,1,0.5,0.5,[],[],0],["storeico-sheet0.png",157967,325,325,160,160,1,0.5,0.5,[],[],0],["storeico-sheet1.png",
87823,1,1,160,160,1,0.5,0.5,[],[],0],["storeico-sheet1.png",87823,163,1,160,160,1,0.5,0.5,[],[],0],["storeico-sheet1.png",87823,325,1,160,160,1,0.5,0.5,[],[],0],["storeico-sheet1.png",87823,1,163,160,160,1,0.5,0.5,[],[],0],["storeico-sheet1.png",87823,163,163,160,160,1,0.5,0.5,[],[],0],["storeico-sheet1.png",87823,325,163,160,160,1,0.5,0.5,[],[],0]]]],[["Pin",cr.behaviors.Pin,0xa78e257638db5]],!1,!1,7247392749201159,[],null],["t264",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,0x98e459c5e5fd9,
[["clearall-sheet0.png",8821,0,0,143,60,1,0.5174825191497803,0.4833333194255829,[],[-0.5174825191497803,-0.4833333194255829,0.4825174808502197,-0.4833333194255829,0.4825174808502197,0.3499996960163117,-0.5174825191497803,0.3833336532115936],0]]]],[["Pin",cr.behaviors.Pin,0x6083ae2ef8138]],!1,!1,7030915536764228,[],null],["t265",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,0xf44c4d2c93d5,[["sprite90-sheet0.png",8790,0,0,143,60,1,0.468531459569931,0.5,[],[],0]]]],[],!1,!1,4534042827426401,
[],null],["t266",cr.plugins_.Sprite,!1,[],2,0,null,[["Default",5,!1,1,0,!1,7982298836230007,[["sprite61-sheet0.png",5339,0,0,62,50,1,0.5,0.5,[],[0.3387100100517273,-0.300000011920929,0.4677420258522034,0,-0.4193547964096069,0],0]]]],[["Sine",cr.behaviors.Sin,0xa6ead7f810590],["Sine2",cr.behaviors.Sin,5506273576568716]],!1,!1,0x62d972f879e9a,[],null],["t267",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,9831766474172312,[["power-sheet0.png",1935,0,0,26,26,1,0.5,0.5,[],[-0.3461540043354034,
-0.3461540043354034,0,-0.5,0.3461539745330811,-0.3461540043354034,0.5,0,0.3461539745330811,0.3461539745330811,0,0.5,-0.3461540043354034,0.3461539745330811,-0.5,0],0]]]],[["Pin",cr.behaviors.Pin,7816599313271572]],!1,!1,7839928862775796,[],null],["t268",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,8412199541675089,[["sprite93-sheet0.png",93,0,0,32,32,1,0.5,0.5,[],[],1]]]],[],!1,!1,8616165692380713,[],null],["t269",cr.plugins_.Sprite,!1,[],1,0,null,[["tri",5,!1,1,0,!1,9103331394503364,
[["sprite8-sheet0.png",5969,0,0,62,46,1,0.5,1,[["Imagepoint 1",0.5,0.5]],[-0.4032258093357086,-0.8695650100708008,0,-0.9130434989929199,0.3870970010757446,-0.8478260040283203,0.5,-0.5,0.3387100100517273,-0.2173910140991211,0,-0.02173900604248047,-0.3548389971256256,-0.1956520080566406,-0.5,-0.5],0]]],["dva",5,!1,1,0,!1,0xb5f66eb0b9eaf,[["sprite8-sheet1.png",4697,0,0,62,46,1,0.5161290168762207,0.97826087474823,[["Imagepoint 1",0.5,0.5]],[-0.3709680140018463,-0.7826088666915894,-0.0161290168762207,
-0.95652174949646,0.2580649852752686,-0.6739128828048706,0.3225809931755066,-0.47826087474823,0.3064519762992859,-0.2173908948898315,-0.0161290168762207,1.192092895507813E-7,-0.322581022977829,-0.2391308546066284,-0.4193548262119293,-0.47826087474823],0]]],["odin",5,!1,1,0,!1,0xacd0bea965d41,[["sprite8-sheet2.png",2928,0,0,35,37,1,0.5142857432365417,0.9729729890823364,[["Imagepoint 1",0.5142857432365417,0.5135135054588318]],[-0.342856764793396,-0.8108109831809998,-0.02857175469398499,-0.9459459781646729,
0.3142852783203125,-0.8108109831809998,0.457143247127533,-0.4864870011806488,0.3428572416305542,-0.1081079840660095,-0.02857175469398499,0.02702701091766357,-0.3714287281036377,-0.1081079840660095,-0.4857143461704254,-0.4864870011806488],0]]]],[["Pin",cr.behaviors.Pin,0x3d6843162ae6b]],!1,!1,6357377344403511,[],null],["t270",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,8703852215162104,[["pole-sheet0.png",156,0,0,256,256,1,0,0.48828125,[],[],1]]]],[["Pin",cr.behaviors.Pin,4854732508427587]],
!1,!1,0xdd99b5e8fe03e,[],null],["t271",cr.plugins_.Sprite,!1,[],1,0,null,[["Default",5,!1,1,0,!1,0xf7eda3c6103b6,[["sprite95-sheet0.png",53923,0,0,504,104,1,0.5,0.5,[],[],0]]]],[["Pin",cr.behaviors.Pin,0xd8c7842401dcd]],!1,!1,6618427353279241,[],null],["t272",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",0,!1,1,0,!1,0x4027036f5ae9c,[["handleft-sheet0.png",10787,0,0,258,122,1,0.5,0.5,[],[-0.4844960868358612,-0.4672130942344666,0,-0.5,0.484495997428894,-0.4672130942344666,0.5,0,0.484495997428894,0.467212975025177,
0,0.5,-0.4844960868358612,0.467212975025177,-0.5,0],0]]]],[],!1,!1,0x8d899bb5971cd,[],null],["t273",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",0,!1,1,0,!1,0xc79e20879b9a9,[["handright-sheet0.png",13932,0,0,258,122,1,0.5,0.5,[],[],0]]]],[],!1,!1,0xfb2b362eaa176,[],null],["t274",cr.plugins_.Sprite,!1,[],0,0,null,[["Default",5,!1,1,0,!1,8467737447343155,[["touchandshoot-sheet0.png",5856,0,0,180,59,1,0.5,0.508474588394165,[],[],0]]]],[],!1,!1,0xc171093778f2,[],null]],[],[["Click to play",1280,1024,
!1,"Click to play",8666349381603098,[["Layer 0",0,5849053200562001,!0,[255,255,255],!1,1,1,1,!1,1,0,0,[[[808,502.333251953125,0,1619,1260,0,0,1,0.5,0.5,0,0,[]],5,5,[],[],[0,"Default",0,1]]],[]],["Layer 1",1,8243760397811274,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[771,426,0,1665,453,0,0,0.6499999761581421,0.5,0.5,0,0,[]],6,6,[],[[1,0,0,40,0,0,0,50,0]],[0,"Default",0,1]]],[]],["Layer 2",2,4722412087167062,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[764,522,0,-1709,453,0,0,0.4000000059604645,0.5,0.5,0,0,[]],
7,7,[],[[1,0,0,20,0,0,0,50,0]],[0,"Default",0,1]]],[]],["Layer 3",3,7624813445431254,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[],[]],["Layer 4",4,9139039896749044,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[447,640,0,220,229,0,0,1,0.5,0.5043478012084961,0,0,[]],8,12,[],[[1,1,0,8,0,0,0,9,0],[1,0,0,16,0,0,0,6,0]],[0,"Default",0,1]],[[69,261,0,95,84,0,0,1,0.5,0.5090909004211426,0,0,[]],9,13,[],[[1,1,0,4,0,0,0,5,0],[1,0,0,6,0,0,0,12,0]],[0,"Default",0,1]],[[230,109,0,95,77,0,0,1,0.5,0.5,0,0,[]],10,15,[],[[1,0,0,
12,0,0,0,6,0],[1,0,0,10,0,0,0,3,0]],[0,"Default",0,1]],[[549,137,0,62,50,0,0,1,0.5,0.5,0,0,[]],266,14,[],[[1,0,0,12,0,0,0,6,0],[1,0,0,10,0,0,0,3,0]],[0,"Default",0,1]],[[802,1125.5,0,1640,203,0,0,1,0.5,0.5,0,0,[]],268,63,[],[],[0,"Default",0,1]]],[]],["Layer 5",5,0xa98abf55a22d3,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[285.8140869140625,345.63818359375,0,233.0685119628906,100.2194595336914,0,0,1,0.5,0.5116279125213623,0,0,[]],11,8,[],[[1,0,0,9,0,0,0,22,0],[1,1,0,18,0,0,0,22,0]],[0,"Default",0,1]],[[285,
477,0,150,44,0,0,1,0.5,0.5227272510528564,0,0,[]],228,22,[],[[1,0,0,7,0,0,6,25,0],[1,1,0,19,0,0,6,25,0]],[0,"Default",0,1]]],[]]],[],[]],["Chooselevel",1280,1024,!1,"Chooselevel",0xc66152f3ac31c,[["Layer 0",0,0xa32ea6a77932,!0,[255,255,255],!1,1,1,1,!1,1,0,0,[[[849.5,490.333251953125,0,1710,1234,0,0,1,0.5,0.5,0,0,[]],5,9,[],[],[0,"Default",0,1]],[[66,192,0,100.9801940917969,100.9801940917969,0,0,1,0.5,0.5,0,0,[]],14,5803,[],[[]],[0,"Default",0,1]],[[181,191,0,100.9801940917969,100.9801940917969,0,
0,1,0.5,0.5,0,0,[]],23,5804,[],[[]],[0,"Default",1,1]],[[296,191,0,100.9801940917969,100.9801940917969,0,0,1,0.5,0.5,0,0,[]],25,5805,[],[],[0,"Default",1,1]],[[411,191,0,100.9801940917969,100.9801940917969,0,0,1,0.5,0.5,0,0,[]],26,5806,[],[[]],[0,"Default",1,1]],[[526,191,0,100.9801940917969,100.9801940917969,0,0,1,0.5,0.5,0,0,[]],27,5807,[],[[]],[0,"Default",1,1]],[[68,303,0,100.9801940917969,100.9801940917969,0,0,1,0.5,0.5,0,0,[]],28,5808,[],[[]],[0,"Default",1,1]],[[182,302,0,100.9801940917969,
100.9801940917969,0,0,1,0.5,0.5,0,0,[]],29,5809,[],[[]],[0,"Default",1,1]],[[297,302,0,100.9801940917969,100.9801940917969,0,0,1,0.5,0.5,0,0,[]],30,5810,[],[[]],[0,"Default",1,1]],[[412,302,0,100.9801940917969,100.9801940917969,0,0,1,0.5,0.5,0,0,[]],31,5811,[],[[]],[0,"Default",1,1]],[[526,301,0,100.9801940917969,100.9801940917969,0,0,1,0.5,0.5,0,0,[]],13,5812,[],[[]],[0,"Default",1,1]],[[67,411,0,100.9801940917969,100.9801940917969,0,0,1,0.5,0.5,0,0,[]],12,5813,[],[[]],[0,"Default",1,1]],[[182,411,
0,100.9801940917969,100.9801940917969,0,0,1,0.5,0.5,0,0,[]],15,5814,[],[[]],[0,"Default",1,1]],[[297,412,0,100.9801940917969,100.9801940917969,0,0,1,0.5,0.5,0,0,[]],16,5815,[],[[]],[0,"Default",1,1]],[[412,412,0,100.9801940917969,100.9801940917969,0,0,1,0.5,0.5,0,0,[]],17,5816,[],[[]],[0,"Default",1,1]],[[527,412,0,100.9801940917969,100.9801940917969,0,0,1,0.5,0.5,0,0,[]],18,5817,[],[[]],[0,"Default",1,1]],[[70,520,0,100.9801940917969,100.9801940917969,0,0,1,0.5,0.5,0,0,[]],19,5818,[],[[]],[0,"Default",
1,1]],[[185,520,0,100.9801940917969,100.9801940917969,0,0,1,0.5,0.5,0,0,[]],20,5819,[],[[]],[0,"Default",1,1]],[[300,520,0,100.9801940917969,100.9801940917969,0,0,1,0.5,0.5,0,0,[]],21,5820,[],[[]],[0,"Default",1,1]],[[414,519,0,100.9801940917969,100.9801940917969,0,0,1,0.5,0.5,0,0,[]],22,5821,[],[[]],[0,"Default",1,1]],[[529,519,0,100.9801940917969,100.9801940917969,0,0,1,0.5,0.5,0,0,[]],24,5822,[],[[]],[0,"Default",1,1]],[[88,662,0,142,142,0,0,1,0.5,0.5,0,0,[]],32,5823,[],[[]],[0,"Default",0,1]],
[[231,662,0,142,142,0,0,1,0.5,0.5,0,0,[]],33,5824,[],[[]],[0,"Default",0,1]],[[372,662,0,142,142,0,0,1,0.5,0.5,0,0,[]],34,5825,[],[[]],[0,"Default",0,1]],[[514,662,0,142,142,0,0,1,0.5,0.5,0,0,[]],35,5826,[],[[]],[0,"Default",0,1]],[[363,68,0,59,52,0,0,1,0.508474588394165,0.5,0,0,[]],226,1835,[],[],[0,"Default",0,1]],[[531,70,0,72,53,0,0,1,0.5,0.5094339847564697,0,0,[]],227,1984,[],[],[0,"Default",0,1]],[[449,70,0,112,67,0,0,1,0.5714285969734192,0.4925373196601868,0,0,[]],225,1985,[],[],[0,"Default",
0,1]],[[843,1132,0,1722,231,0,0,1,0.5,0.5,0,0,[]],268,3892,[],[],[0,"Default",0,1]]],[]],["Layer 1",1,8534446322671609,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[84,18,0,514,193,0,0.03090579807758331,1,0,0,0,0,[]],37,10,[],[[]],["Text",0,"74pt Arial Rounded MT Bold","rgb(0,153,204)",0,0,0,0,0]],[[80,18,0,512,182,0,-0.01317585818469524,1,0,0,0,0,[]],37,39,[],[[]],["Text",0,"72pt Arial Rounded MT Bold","rgb(255,255,255)",0,0,0,0,0]],[[50,68,0,50,50,0,0,1,0.5,0.5,0,0,[]],36,40,[],[],[0,"Default",0,1]]],[]]],
[],[]],["Tutorial",4300,2E3,!1,"Tutorial",0xdcded53c674ae,[["BG",0,0x86966f247799f,!0,[44,159,205],!1,1,1,1,!1,1,0,0,[[[1206,-716,0,224.2646789550781,235.6679534912109,0,0,0.699999988079071,0.4406779706478119,0.5,0,0,[[]]],229,6025,[],[[-90,0]],[0,"Default",0,1]],[[1468.066040039063,-737.9635009765625,0,81.45333099365234,85.59502410888672,0,0,0.699999988079071,0.4406779706478119,0.5,0,0,[[]]],229,6026,[],[[180,0]],[0,"Default",0,1]]],[]],["BG(sky)",1,9553852745900776,!0,[255,255,255],!0,0.1000000014901161,
0.800000011920929,1,!1,1,0,0,[[[-966,1135,0,6232,254,0,0,1,0,0,0,0,[]],39,23,[],[[1,0,3,70,0,0,0,1024,0]],[0,0]],[[-899,526,0,6054,260,0,0,1,0,0,0,0,[]],38,24,[],[[1,0,3,70,0,0,0,-1024,0]],[0,0]]],[]],["BG(mountian)",2,0x44f35e6fb5a5e,!0,[255,255,255],!0,0.1000000014901161,0.800000011920929,1,!1,1,0,0,[[[-544,1319,0,5389,258,0,0,1,0,0,0,0,[]],40,25,[],[],[0,0]]],[]],["Map",3,8139878777444397,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[1568,385,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,26,[],[],[0,"Default",0,1]],
[[-370,-1230,0,541,3622,0,0,1,0,0,0,0,[]],66,27,[],[[1,0,0,1,0.5,0.2,0,0.01,0,1],[1]],[0,0]],[[4110,-1246,0,501,3631,0,0,1,0,0,0,0,[]],66,28,[],[[1,0,0,1,0.5,0.2,0,0.01,0,1],[1]],[0,0]],[[2488,1110,0,1274,65,0,0,1,0,0,0,0,[]],75,29,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[2488,1102,0,1276,16,0,0,1,0,0,0,0,[]],67,30,[],[],[0,0]],[[3449,440,0,664,65,0,0,1,0,0,0,0,[]],75,31,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[3445,437,0,673.3424072265625,15.8963623046875,0,0,1,0,0,0,0,[]],67,32,[],[],
[0,0]],[[1043,1511,0,2708,65,0,0,1,0,0,0,0,[]],75,33,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1039,1507,0,2717.34228515625,15.8963623046875,0,0,1,0,0,0,0,[]],67,34,[],[],[0,0]],[[2065,1489,0,135.1665649414063,77.238037109375,0,0,1,0.5074626803398132,0.5,0,0,[]],69,5827,[],[],[0,"Default",0,1]],[[1165,1479,0,165.7630004882813,72.80000305175781,0,0,1,0.5058823823928833,0.5,0,0,[]],70,5828,[],[],[0,"Default",0,1]],[[3322,1067,0,50,50,0,-0.01136865559965372,1,0.5,0.5,0,0,[]],77,5829,[[59]],[],[0,
"Default",0,1]],[[3520,424,0,135.1665649414063,77.238037109375,0,0,1,0.5074626803398132,0.5,0,0,[]],69,5830,[],[],[0,"Default",0,1]],[[3280,1E3,0,50,50,0,-0.01136865559965372,1,0.5,0.5,0,0,[]],77,5831,[[59]],[],[0,"Default",0,1]],[[1835,1484,0,261.113525390625,90.45108795166016,0,0,1,0.5046728849411011,0.5135135054588318,0,0,[]],71,5832,[],[],[0,"Default",0,1]],[[1565,218,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,5833,[],[[]],[0,"Default",0,1]],[[2764,816,0,20,18,0,0,1,0.5,0.5,0,0,[]],78,5834,[["dva"]],[],
[0,"Default",0,1]],[[2828,814,0,20,18,0,0,1,0.5,0.5,0,0,[]],78,5835,[["dva"]],[],[0,"Default",0,1]],[[2796,785,0,20,18,0,0,1,0.5,0.5,0,0,[]],78,5836,[["dva"]],[],[0,"Default",0,1]],[[2796,846,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5837,[["dva"]],[],[0,"Default",0,1]],[[2796,916,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,5863,[],[[]],[0,"Default",0,1]],[[3239,1068,0,50,50,0,-0.01186283770948649,1,0.5,0.5,0,0,[]],77,5871,[[60]],[],[0,"Default",0,1]],[[3603,256,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5873,[["dva"]],[],[0,
"Default",0,1]],[[3667,254,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5874,[["dva"]],[],[0,"Default",0,1]],[[3635,225,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5875,[["dva"]],[],[0,"Default",0,1]],[[3635,287,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5876,[["dva"]],[],[0,"Default",0,1]],[[3602,189,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5877,[["dva"]],[],[0,"Default",0,1]],[[3666,188,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5878,[["dva"]],[],[0,"Default",0,1]],[[3635,155,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5879,[["dva"]],[],[0,"Default",0,1]],
[[2795,657,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,5881,[],[[]],[0,"Default",0,1]],[[1379,444,0,383,65,0,0,1,0,0,0,0,[]],75,5883,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1375,443,0,392.3424072265625,15.8963623046875,0,0,1,0,0,0,0,[]],67,5884,[],[],[0,0]],[[3108,726,0,333,65,0,0,1,0,0,0,0,[]],75,5887,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[3104,723,0,342.3424072265625,15.8963623046875,0,0,1,0,0,0,0,[]],67,5888,[],[],[0,0]],[[247,1524,0,155,65,0,0,1,0,0,0,0,[]],75,5891,[],[[1],[1,0,0,1,0.5,0.2,
0,0.01,0,1]],[0,0]],[[243,1522,0,164.3424072265625,15.8963623046875,0,0,1,0,0,0,0,[]],67,5892,[],[],[0,0]],[[3112,791,0,322,100,0,0,1,0,0,0,0,[]],68,5893,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[2765,753,0,20,18,0,0,1,0.5,0.5,0,0,[]],78,5950,[["dva"]],[],[0,"Default",0,1]],[[2829,751,0,20,18,0,0,1,0.5,0.5,0,0,[]],78,5951,[["dva"]],[],[0,"Default",0,1]],[[2797,722,0,20,18,0,0,1,0.5,0.5,0,0,[]],78,5952,[["dva"]],[],[0,"Default",0,1]],[[3111,1111,0,322,103,0,0,1,0,0,0,0,[]],68,5953,[],[[1],[1,
0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[2756,1488,0,165.7630004882813,72.80000305175781,0,0,1,0.5058823823928833,0.5,0,0,[]],70,5954,[],[],[0,"Default",0,1]],[[3151,635,0,-239,210,0,0,1,0.5,0.5047619342803955,0,0,[]],65,5955,[],[],[0,"Default",0,1]],[[693,1515,0,155,65,0,0,1,0,0,0,0,[]],75,5958,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[689,1512,0,164.3424072265625,15.8963623046875,0,0,1,0,0,0,0,[]],67,5959,[],[],[0,0]],[[1641,307,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,5961,[],[],[0,"Default",0,1]],[[1412,
384,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,5962,[],[],[0,"Default",0,1]],[[1726,235,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,5963,[],[],[0,"Default",0,1]],[[3639,382,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,5964,[],[],[0,"Default",0,1]],[[1728,386,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,5965,[],[],[0,"Default",0,1]],[[1416,222,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,5966,[],[],[0,"Default",0,1]],[[3162,1063,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,5967,[],[],[0,"Default",0,1]],[[3398,1062,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,5968,[],[],[0,"Default",
0,1]],[[1487,308,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,5980,[],[],[0,"Default",0,1]],[[-476,-62,0,42,50,0,0,1,0.517241358757019,0.5142857432365417,0,0,[]],76,5981,[],[[400,0,0,0,1,1],[]],[0,"Default",0,1]],[[3411,291,0,148.0375213623047,139.5254364013672,0,0,1,-0.09589041024446487,-0.0972222238779068,0,0,[]],73,5982,[],[],[0,"Default",0,1]],[[3911,1146,0,20,18,0,0,1,0.5,0.5,0,0,[]],78,5983,[["dva"]],[],[0,"Default",0,1]],[[3975,1144,0,20,18,0,0,1,0.5,0.5,0,0,[]],78,5984,[["dva"]],[],[0,"Default",0,1]],
[[3943,1115,0,20,18,0,0,1,0.5,0.5,0,0,[]],78,5985,[["dva"]],[],[0,"Default",0,1]],[[3943,1176,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5986,[["dva"]],[],[0,"Default",0,1]],[[3912,1083,0,20,18,0,0,1,0.5,0.5,0,0,[]],78,5987,[["dva"]],[],[0,"Default",0,1]],[[3976,1081,0,20,18,0,0,1,0.5,0.5,0,0,[]],78,5988,[["dva"]],[],[0,"Default",0,1]],[[3944,1052,0,20,18,0,0,1,0.5,0.5,0,0,[]],78,5989,[["dva"]],[],[0,"Default",0,1]],[[2161,1485,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5849,[["dva"]],[],[0,"Default",0,1]],[[2208,1484,
0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5850,[["dva"]],[],[0,"Default",0,1]],[[2185,1454,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5872,[["dva"]],[],[0,"Default",0,1]],[[2260,1483,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5932,[["dva"]],[],[0,"Default",0,1]],[[2234,1453,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5933,[["dva"]],[],[0,"Default",0,1]],[[2308,1483,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5934,[["dva"]],[],[0,"Default",0,1]],[[2284,1453,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5935,[["dva"]],[],[0,"Default",0,1]],[[2328,1452,0,20,20,0,
0,1,0.5,0.5,0,0,[]],78,5936,[["dva"]],[],[0,"Default",0,1]],[[2398,1484,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5937,[["dva"]],[],[0,"Default",0,1]],[[2349,1484,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5938,[["dva"]],[],[0,"Default",0,1]],[[2372,1453,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5939,[["dva"]],[],[0,"Default",0,1]],[[2445,1483,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5940,[["dva"]],[],[0,"Default",0,1]],[[2422,1453,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5941,[["dva"]],[],[0,"Default",0,1]],[[2497,1482,0,20,20,0,0,1,0.5,0.5,
0,0,[]],78,5942,[["dva"]],[],[0,"Default",0,1]],[[2471,1452,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5943,[["dva"]],[],[0,"Default",0,1]],[[2545,1482,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5944,[["dva"]],[],[0,"Default",0,1]],[[2521,1452,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5945,[["dva"]],[],[0,"Default",0,1]],[[2565,1451,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5946,[["dva"]],[],[0,"Default",0,1]],[[2161,1485,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5947,[["dva"]],[],[0,"Default",0,1]],[[2208,1484,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,
5948,[["dva"]],[],[0,"Default",0,1]],[[2185,1454,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5949,[["dva"]],[],[0,"Default",0,1]],[[2260,1483,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5956,[["dva"]],[],[0,"Default",0,1]],[[2234,1453,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5957,[["dva"]],[],[0,"Default",0,1]],[[2308,1483,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5960,[["dva"]],[],[0,"Default",0,1]],[[2284,1453,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5970,[["dva"]],[],[0,"Default",0,1]],[[2328,1452,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,6003,[["dva"]],
[],[0,"Default",0,1]],[[2398,1484,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,6004,[["dva"]],[],[0,"Default",0,1]],[[2349,1484,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,6005,[["dva"]],[],[0,"Default",0,1]],[[2372,1453,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,6028,[["dva"]],[],[0,"Default",0,1]],[[2445,1483,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,6029,[["dva"]],[],[0,"Default",0,1]],[[2422,1453,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,6030,[["dva"]],[],[0,"Default",0,1]],[[2497,1482,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,6031,[["dva"]],[],[0,"Default",
0,1]],[[2471,1452,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,6032,[["dva"]],[],[0,"Default",0,1]],[[2545,1482,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,6033,[["dva"]],[],[0,"Default",0,1]],[[2521,1452,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,6034,[["dva"]],[],[0,"Default",0,1]],[[2565,1451,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,6035,[["dva"]],[],[0,"Default",0,1]],[[2361,-195,0,130,1367,0,0,1,0,0,0,0,[]],68,5882,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[3421,234,0,153,69,0,0,1,0.5046728849411011,0.5,0,0,[]],230,5848,[],[],[0,
"Default",1,1]],[[3469.884521484375,1466.840209960938,0,100,100,0,0,1,0.5,0.5,0,0,[]],231,35,[],[[200,6E3,80,1,0,0,1],[-180,0]],[0,"Default",0,1]],[[914,1334,0,20,18,0,0,1,0.5,0.5,0,0,[]],78,36,[["dva"]],[],[0,"Default",0,1]],[[978,1332,0,20,18,0,0,1,0.5,0.5,0,0,[]],78,37,[["dva"]],[],[0,"Default",0,1]],[[946,1303,0,20,18,0,0,1,0.5,0.5,0,0,[]],78,38,[["dva"]],[],[0,"Default",0,1]],[[946,1364,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5838,[["dva"]],[],[0,"Default",0,1]],[[915,1271,0,20,18,0,0,1,0.5,0.5,0,0,
[]],78,5839,[["dva"]],[],[0,"Default",0,1]],[[979,1269,0,20,18,0,0,1,0.5,0.5,0,0,[]],78,5840,[["dva"]],[],[0,"Default",0,1]],[[947,1240,0,20,18,0,0,1,0.5,0.5,0,0,[]],78,5841,[["dva"]],[],[0,"Default",0,1]],[[1208,1346,0,20,18,0,0,1,0.5,0.5,0,0,[]],78,5842,[["dva"]],[],[0,"Default",0,1]],[[1287,1276,0,20,18,0,0,1,0.5,0.5,0,0,[]],78,5843,[["dva"]],[],[0,"Default",0,1]],[[1372,1343,0,20,18,0,0,1,0.5,0.5,0,0,[]],78,5844,[["dva"]],[],[0,"Default",0,1]],[[1460,1274,0,20,18,0,0,1,0.5,0.5,0,0,[]],78,5846,
[["dva"]],[],[0,"Default",0,1]],[[1545,1341,0,20,18,0,0,1,0.5,0.5,0,0,[]],78,5847,[["dva"]],[],[0,"Default",0,1]]],[]],["Earth",4,6347404944730254,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[],[]],["Power",5,9381605447128926,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[],[]],["Mouse",6,9702393628723016,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[328,1269,0,64.01953125,53.10530090332031,0,0,1,0.5,1,0,0,[]],42,5990,[],[[]],[0,"Default",0,1]],[[327,1280,0,82.02706146240234,93.33332061767578,0,0,1,0.4545454680919647,0.01639344170689583,
0,0,[]],45,5991,[[150]],[[1],[115,0,35,3,0,0,1],[0,0,0,0,30,100,0,1],[1,0,0,4,0,0,0,50,0],[1,0,0,4,0,0,0,50,0]],[0,"Default",0,1]],[[328,1278,0,8.829414367675781,-1.735369682312012,0,-1.576729655265808,1,0,0.48828125,0,0,[]],41,5992,[],[],[0,"Default",0,1]],[[-31,-253,0,128,128,0,1.57080864906311,1,0,0.5,0,0,[]],44,5993,[],[],[5,30,0,70,40,100,5,0,0,0,2,0,-250,0,2,800,0,0,0.7]],[[-131,-251,0,135,200,0,1.570796370506287,1,0,0.5,0,0,[]],43,5994,[],[],[15,20,0,70,10,100,50,0,0,0,10,0,70,0,0,800,0,0,
0.3]],[[390,1219,0,254,185,0,0,1,0,0,0,0,[]],232,5851,[],[[]],["Text",0,"24pt Arial Rounded MT Bold","rgb(0,0,0)",0,0,0,0,0]]],[]],["Decortop",7,0x5b73a101c1e67,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[2618,1421,0,-239,210,0,0,1,0.5,0.5047619342803955,0,0,[]],65,5998,[],[],[0,"Default",0,1]],[[3364,683,0,183.2527008056641,109.1280059814453,0,0,1,0.5070422291755676,0.5,0,0,[]],82,5999,[],[],[0,"Default",0,1]],[[1249,1476,0,183.2527008056641,109.1280059814453,0,0,1,0.5070422291755676,0.5,0,0,[]],82,6E3,
[],[],[0,"Default",0,1]],[[1922,1416,0,239.0609588623047,237.8890991210938,0,0,1,0.5,0.5,0,0,[]],83,6001,[],[],[0,"Default",0,1]],[[3112,887,0,322,226,0,0,1,0,0,0,0,[]],84,6002,[],[],[0,0]],[[3056,1069,0,183.2527008056641,109.1280059814453,0,0,1,0.5070422291755676,0.5,0,0,[]],82,5995,[],[],[0,"Default",0,1]],[[3522,1082,0,261.113525390625,90.45108795166016,0,0,1,0.5046728849411011,0.5135135054588318,0,0,[]],71,5997,[],[],[0,"Default",0,1]]],[]],["Water",8,7540256996071469,!0,[255,255,255],!0,1,1,
1,!1,1,0,0,[[[-894,1845,0,5773,70,0,0,1,0,0,0,0,[]],46,6006,[],[[1,1,0,4E3,0,2E3,0,2E3,0]],[0,0]],[[-551,1838,0,5361,910,0,0,1,0,0,0,0,[]],47,6007,[],[[1,1,0,4E3,0,2E3,0,2E3,0]],[0,0]],[[-575,1722,0,5390,128,0,0,1,0,0,0,0,[]],48,6008,[],[[1,1,0,4E3,0,2E3,0,2E3,0]],[0,0]]],[]],["UI",9,8580885602384872,!0,[255,255,255],!0,0,0,1,!1,1,0,0,[[[129.9325103759766,715.2657470703125,0,180,180,0,0,1,0.5,0.5,0,0,[]],49,6009,[],[],[0,"Default",0,1]],[[134.3137359619141,718.0804443359375,0,120,120,0,0,1,0.4749999940395355,
0.4833333194255829,0,0,[]],50,6010,[[0]],[[0,1]],[0,"Default",0,1]],[[556.687255859375,833.5537109375,0,50,50,0,0,1,0.5142857432365417,0.5142857432365417,0,0,[]],60,6022,[],[],[1,"Default",0,1]],[[445,26,0,-42,51,0,0,1,0.5116279125213623,0.5098039507865906,0,0,[]],52,4284,[],[[]],[0,"Default",0,1]],[[150,26,0,43,51,0,0,1,0.5116279125213623,0.5098039507865906,0,0,[]],52,4285,[],[[]],[0,"Default",0,1]],[[295,31,0,273,57,0,0,1,0.5018315315246582,0.5087719559669495,0,0,[]],54,4286,[],[],[0,"Default",
0,1]],[[214,30,0,172.500732421875,32,0,0,1,0,0.5,0,0,[]],55,4287,[],[[]],[0,"Default",0,1]],[[315,31,0,216,43,0,0,1,0.5,0.5116279125213623,0,0,[]],59,4288,[],[[]],[0,"Default",0,1]],[[68,45,0,112,72,0,0,1,0.5,0.5,0,0,[]],51,4289,[],[],[0,"Default",0,1]],[[531,45,0,112,72,0,0,1,0.5,0.5,0,0,[]],53,4290,[],[],[0,"Default",0,1]],[[133,47,0,33.94112396240234,33.94112396240234,0,0,1,0.5,0.5,0,0,[]],62,4291,[],[[]],[0,"Default",0,1]],[[-7,8,0,146.9591674804688,88,0,0,1,0,0,0,0,[]],56,4522,[],[[]],["Text",
0,"32pt Arial Rounded MT Bold","rgb(255,255,51)",1,1,0,0,0]],[[458,7,0,146.9591674804688,88,0,0,1,0,0,0,0,[]],57,4523,[],[[]],["Text",0,"32pt Arial Rounded MT Bold","rgb(204,255,255)",1,1,0,0,0]],[[468,46,0,31.93743896484375,31.93743896484375,0,0,1,0.5,0.5,0,0,[]],267,4524,[],[[]],[0,"Default",0,1]]],[]],["Ball",10,5095326103027693,!0,[255,255,255],!0,0,0,1,!1,1,0,0,[],[]]],[],[]],["Level1",4300,2E3,!1,"Level1",0xec95fd15f6282,[["BG",0,648482297660461,!0,[44,159,205],!1,1,1,1,!1,1,0,0,[],[]],["BG(sky)",
1,0x6a978e0bba745,!0,[255,255,255],!0,0.1000000014901161,0.800000011920929,1,!1,1,0,0,[[[-966,1135,0,6232,254,0,0,1,0,0,0,0,[]],39,41,[],[[1,0,3,70,0,0,0,1024,0]],[0,0]],[[-899,526,0,6054,260,0,0,1,0,0,0,0,[]],38,42,[],[[1,0,3,70,0,0,0,-1024,0]],[0,0]]],[]],["BG(mountian)",2,0x5e2b0b9a85735,!0,[255,255,255],!0,0.1000000014901161,0.800000011920929,1,!1,1,0,0,[[[-544,1319,0,5389,258,0,0,1,0,0,0,0,[]],40,43,[],[],[0,0]]],[]],["Map",3,35392661857983,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[2406,570,0,68,
68,0,0,1,0.5,0.5,0,0,[]],79,459,[],[],[0,"Default",0,1]],[[-370,-1230,0,541,3622,0,0,1,0,0,0,0,[]],66,460,[],[[1,0,0,1,0.5,0.2,0,0.01,0,1],[1]],[0,0]],[[4110,-1246,0,501,3631,0,0,1,0,0,0,0,[]],66,461,[],[[1,0,0,1,0.5,0.2,0,0.01,0,1],[1]],[0,0]],[[3479,1103,0,94,65,0,0,1,0,0,0,0,[]],75,462,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[3169,1095,0,406,16,0,0,1,0,0,0,0,[]],67,463,[],[],[0,0]],[[2478,1376,0,367,65,0,0,1,0,0,0,0,[]],75,464,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[2474,1373,0,376.3424072265625,
15.8963623046875,0,0,1,0,0,0,0,[]],67,465,[],[],[0,0]],[[1563,1615,0,793,65,0,0,1,0,0,0,0,[]],75,466,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1559,1611,0,802.3424072265625,15.8963623046875,0,0,1,0,0,0,0,[]],67,467,[],[],[0,0]],[[400,668,0,637,65,0,0,1,0,0,0,0,[]],75,468,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[396,666,0,646.3424072265625,15.8963623046875,0,0,1,0,0,0,0,[]],67,469,[],[],[0,0]],[[380,1195,0,544.2197265625,65,0,0,1,0,0,0,0,[]],75,470,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],
[0,0]],[[376,1193,0,553.5621337890625,15.8963623046875,0,0,1,0,0,0,0,[]],67,471,[],[],[0,0]],[[2225,1593,0,135.1665649414063,77.238037109375,0,0,1,0.5074626803398132,0.5,0,0,[]],69,472,[],[],[0,"Default",0,1]],[[1685,1583,0,165.7630004882813,72.80000305175781,0,0,1,0.5058823823928833,0.5,0,0,[]],70,473,[],[],[0,"Default",0,1]],[[3443,1058,0,50,50,0,-0.01136865559965372,1,0.5,0.5,0,0,[]],77,474,[[3]],[],[0,"Default",0,1]],[[2757,1360,0,135.1665649414063,77.238037109375,0,0,1,0.5074626803398132,0.5,
0,0,[]],69,475,[],[],[0,"Default",0,1]],[[637,1541,0,50,50,0,-0.01136865559965372,1,0.5,0.5,0,0,[]],77,476,[[2]],[],[0,"Default",0,1]],[[1995,1588,0,261.113525390625,90.45108795166016,0,0,1,0.5046728849411011,0.5135135054588318,0,0,[]],71,477,[],[],[0,"Default",0,1]],[[1692,798,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,478,[],[[]],[0,"Default",0,1]],[[3703,646,0,20,18,0,0,1,0.5,0.5,0,0,[]],78,479,[["dva"]],[],[0,"Default",0,1]],[[3767,644,0,20,18,0,0,1,0.5,0.5,0,0,[]],78,480,[["dva"]],[],[0,"Default",0,1]],
[[3735,615,0,20,18,0,0,1,0.5,0.5,0,0,[]],78,481,[["dva"]],[],[0,"Default",0,1]],[[3735,676,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,482,[["dva"]],[],[0,"Default",0,1]],[[461,645,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,483,[["dva"]],[],[0,"Default",0,1]],[[412,645,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,484,[["dva"]],[],[0,"Default",0,1]],[[435,614,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,485,[["dva"]],[],[0,"Default",0,1]],[[508,644,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,486,[["dva"]],[],[0,"Default",0,1]],[[485,614,0,20,20,0,0,1,0.5,
0.5,0,0,[]],78,487,[["dva"]],[],[0,"Default",0,1]],[[560,643,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,488,[["dva"]],[],[0,"Default",0,1]],[[534,613,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,489,[["dva"]],[],[0,"Default",0,1]],[[608,643,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,490,[["dva"]],[],[0,"Default",0,1]],[[584,613,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,491,[["dva"]],[],[0,"Default",0,1]],[[631,613,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,492,[["dva"]],[],[0,"Default",0,1]],[[2763,1281,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,493,[],[[]],
[0,"Default",0,1]],[[428,1171,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,494,[["dva"]],[],[0,"Default",0,1]],[[451,1140,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,495,[["dva"]],[],[0,"Default",0,1]],[[576,1169,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,496,[["dva"]],[],[0,"Default",0,1]],[[624,1169,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,497,[["dva"]],[],[0,"Default",0,1]],[[600,1139,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,498,[["dva"]],[],[0,"Default",0,1]],[[670,1169,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,499,[["dva"]],[],[0,"Default",0,1]],[[644,
1138,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,500,[["dva"]],[],[0,"Default",0,1]],[[717,1168,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,501,[["dva"]],[],[0,"Default",0,1]],[[694,1138,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,502,[["dva"]],[],[0,"Default",0,1]],[[769,1167,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,503,[["dva"]],[],[0,"Default",0,1]],[[743,1137,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,504,[["dva"]],[],[0,"Default",0,1]],[[817,1167,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,505,[["dva"]],[],[0,"Default",0,1]],[[793,1137,0,20,20,0,0,1,0.5,
0.5,0,0,[]],78,506,[["dva"]],[],[0,"Default",0,1]],[[2160,489,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,507,[],[[]],[0,"Default",0,1]],[[2323,1503,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,508,[],[[]],[0,"Default",0,1]],[[2021,535,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,509,[["dva"]],[],[0,"Default",0,1]],[[2085,533,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,510,[["dva"]],[],[0,"Default",0,1]],[[2053,504,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,511,[["dva"]],[],[0,"Default",0,1]],[[2053,566,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,512,[["dva"]],[],
[0,"Default",0,1]],[[2020,468,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,513,[["dva"]],[],[0,"Default",0,1]],[[2084,467,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,514,[["dva"]],[],[0,"Default",0,1]],[[2053,434,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,515,[["dva"]],[],[0,"Default",0,1]],[[3286,1061,0,50,50,0,-0.01186283770948649,1,0.5,0.5,0,0,[]],77,516,[[4]],[],[0,"Default",0,1]],[[507,1141,0,124.9327545166016,127.068359375,0,0,1,0.5,0.5070422291755676,0,0,[]],74,517,[],[],[0,"Default",0,1]],[[2730,1192,0,20,20,0,0,1,0.5,0.5,
0,0,[]],78,518,[["dva"]],[],[0,"Default",0,1]],[[2794,1190,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,519,[["dva"]],[],[0,"Default",0,1]],[[2762,1161,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,520,[["dva"]],[],[0,"Default",0,1]],[[2762,1223,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,521,[["dva"]],[],[0,"Default",0,1]],[[2729,1125,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,522,[["dva"]],[],[0,"Default",0,1]],[[2793,1124,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,523,[["dva"]],[],[0,"Default",0,1]],[[2762,1091,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,524,
[["dva"]],[],[0,"Default",0,1]],[[379,1155,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,525,[],[[]],[0,"Default",0,1]],[[951,625,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,526,[],[[]],[0,"Default",0,1]],[[2867,459,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,527,[],[[]],[0,"Default",0,1]],[[1366,849,0,383,65,0,0,1,0,0,0,0,[]],75,528,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1362,848,0,392.3424072265625,15.8963623046875,0,0,1,0,0,0,0,[]],67,529,[],[],[0,0]],[[2615,492,0,297,65,0,0,1,0,0,0,0,[]],75,530,[],[[1],[1,0,0,1,0.5,0.2,
0,0.01,0,1]],[0,0]],[[2611,490,0,306.3424072265625,15.8963623046875,0,0,1,0,0,0,0,[]],67,531,[],[],[0,0]],[[3155,719,0,333,65,0,0,1,0,0,0,0,[]],75,532,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[3151,716,0,342.3424072265625,15.8963623046875,0,0,1,0,0,0,0,[]],67,533,[],[],[0,0]],[[3668,1586,0,159,65,0,0,1,0,0,0,0,[]],75,534,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[3664,1584,0,168.3424072265625,15.8963623046875,0,0,1,0,0,0,0,[]],67,535,[],[],[0,0]],[[1152,448,0,155,65,0,0,1,0,0,0,0,[]],75,
536,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1148,446,0,164.3424072265625,15.8963623046875,0,0,1,0,0,0,0,[]],67,537,[],[],[0,0]],[[3159,784,0,322,100,0,0,1,0,0,0,0,[]],68,538,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[3656,716,0,159,65,0,0,1,0,0,0,0,[]],75,539,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[3652,713,0,168.3424072265625,15.8963623046875,0,0,1,0,0,0,0,[]],67,540,[],[],[0,0]],[[3119,344,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,541,[["dva"]],[],[0,"Default",0,1]],[[3166,343,0,20,20,
0,0,1,0.5,0.5,0,0,[]],78,542,[["dva"]],[],[0,"Default",0,1]],[[3143,313,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,543,[["dva"]],[],[0,"Default",0,1]],[[3218,342,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,544,[["dva"]],[],[0,"Default",0,1]],[[3192,312,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,545,[["dva"]],[],[0,"Default",0,1]],[[3266,342,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,546,[["dva"]],[],[0,"Default",0,1]],[[3242,312,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,547,[["dva"]],[],[0,"Default",0,1]],[[3286,311,0,20,20,0,0,1,0.5,0.5,0,0,[]],
78,548,[["dva"]],[],[0,"Default",0,1]],[[3356,343,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,549,[["dva"]],[],[0,"Default",0,1]],[[3307,343,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,550,[["dva"]],[],[0,"Default",0,1]],[[3330,312,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,551,[["dva"]],[],[0,"Default",0,1]],[[3403,342,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,552,[["dva"]],[],[0,"Default",0,1]],[[3380,312,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,553,[["dva"]],[],[0,"Default",0,1]],[[3455,341,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,554,[["dva"]],[],[0,
"Default",0,1]],[[3429,311,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,555,[["dva"]],[],[0,"Default",0,1]],[[3503,341,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,556,[["dva"]],[],[0,"Default",0,1]],[[3479,311,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,557,[["dva"]],[],[0,"Default",0,1]],[[3523,310,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,558,[["dva"]],[],[0,"Default",0,1]],[[3119,344,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,559,[["dva"]],[],[0,"Default",0,1]],[[3166,343,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,560,[["dva"]],[],[0,"Default",0,1]],[[3143,
313,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,561,[["dva"]],[],[0,"Default",0,1]],[[3218,342,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,562,[["dva"]],[],[0,"Default",0,1]],[[3192,312,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,563,[["dva"]],[],[0,"Default",0,1]],[[3266,342,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,564,[["dva"]],[],[0,"Default",0,1]],[[3242,312,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,565,[["dva"]],[],[0,"Default",0,1]],[[3286,311,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,566,[["dva"]],[],[0,"Default",0,1]],[[3356,343,0,20,20,0,0,1,0.5,
0.5,0,0,[]],78,567,[["dva"]],[],[0,"Default",0,1]],[[3307,343,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,568,[["dva"]],[],[0,"Default",0,1]],[[3330,312,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,569,[["dva"]],[],[0,"Default",0,1]],[[3403,342,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,570,[["dva"]],[],[0,"Default",0,1]],[[3380,312,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,571,[["dva"]],[],[0,"Default",0,1]],[[3455,341,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,572,[["dva"]],[],[0,"Default",0,1]],[[3429,311,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,573,[["dva"]],
[],[0,"Default",0,1]],[[3503,341,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,574,[["dva"]],[],[0,"Default",0,1]],[[3479,311,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,575,[["dva"]],[],[0,"Default",0,1]],[[3523,310,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,576,[["dva"]],[],[0,"Default",0,1]],[[3119,405,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,577,[["dva"]],[],[0,"Default",0,1]],[[3166,404,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,578,[["dva"]],[],[0,"Default",0,1]],[[3143,374,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,579,[["dva"]],[],[0,"Default",0,1]],
[[3218,403,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,580,[["dva"]],[],[0,"Default",0,1]],[[3192,373,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,581,[["dva"]],[],[0,"Default",0,1]],[[3266,403,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,582,[["dva"]],[],[0,"Default",0,1]],[[3242,373,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,583,[["dva"]],[],[0,"Default",0,1]],[[3286,372,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,584,[["dva"]],[],[0,"Default",0,1]],[[3356,404,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,585,[["dva"]],[],[0,"Default",0,1]],[[3307,404,0,20,20,0,
0,1,0.5,0.5,0,0,[]],78,586,[["dva"]],[],[0,"Default",0,1]],[[3330,373,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,587,[["dva"]],[],[0,"Default",0,1]],[[3403,403,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,588,[["dva"]],[],[0,"Default",0,1]],[[3380,373,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,589,[["dva"]],[],[0,"Default",0,1]],[[3455,402,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,590,[["dva"]],[],[0,"Default",0,1]],[[3429,372,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,591,[["dva"]],[],[0,"Default",0,1]],[[3503,402,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,
592,[["dva"]],[],[0,"Default",0,1]],[[3479,372,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,593,[["dva"]],[],[0,"Default",0,1]],[[3523,371,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,594,[["dva"]],[],[0,"Default",0,1]],[[3704,583,0,20,18,0,0,1,0.5,0.5,0,0,[]],78,595,[["dva"]],[],[0,"Default",0,1]],[[3768,581,0,20,18,0,0,1,0.5,0.5,0,0,[]],78,596,[["dva"]],[],[0,"Default",0,1]],[[3736,552,0,20,18,0,0,1,0.5,0.5,0,0,[]],78,597,[["dva"]],[],[0,"Default",0,1]],[[3158,1104,0,322,352,0,0,1,0,0,0,0,[]],68,598,[],[[1],[1,0,0,1,0.5,
0.2,0,0.01,0,1]],[0,0]],[[1610,825,0,165.7630004882813,72.80000305175781,0,0,1,0.5058823823928833,0.5,0,0,[]],70,599,[],[],[0,"Default",0,1]],[[3198,628,0,-239,210,0,0,1,0.5,0.5047619342803955,0,0,[]],65,600,[],[],[0,"Default",0,1]],[[2277,616,0,155,65,0,0,1,0,0,0,0,[]],75,601,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[2273,614,0,164.3424072265625,15.8963623046875,0,0,1,0,0,0,0,[]],67,602,[],[],[0,0]],[[1598,1197,0,155,65,0,0,1,0,0,0,0,[]],75,603,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1594,
1194,0,164.3424072265625,15.8963623046875,0,0,1,0,0,0,0,[]],67,604,[],[],[0,0]],[[816,223,0,153,69,0,0,1,0.5046728849411011,0.5,0,0,[]],64,605,[],[],[0,"Default",1,1]],[[876,1147,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,606,[],[],[0,"Default",0,1]],[[1454,795,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,607,[],[],[0,"Default",0,1]],[[1673,1136,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,608,[],[],[0,"Default",0,1]],[[1702,1570,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,609,[],[],[0,"Default",0,1]],[[3329,1616,0,68,68,0,0,1,0.5,0.5,0,0,[]],
79,610,[],[],[0,"Default",0,1]],[[3300,673,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,611,[],[],[0,"Default",0,1]],[[3209,1056,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,612,[],[],[0,"Default",0,1]],[[3365,1054,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,613,[],[],[0,"Default",0,1]],[[570,-219,0,127.7393798828125,46.83777236938477,0,0,1,0.5,0.5151515007019043,0,0,[]],72,614,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,"Default",0,1]],[[2277,467,0,148.0375213623047,139.5254364013672,0,0,1,-0.09589041024446487,-0.0972222238779068,0,
0,[]],73,615,[],[],[0,"Default",0,1]],[[703,644,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,616,[["dva"]],[],[0,"Default",0,1]],[[654,644,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,617,[["dva"]],[],[0,"Default",0,1]],[[677,613,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,618,[["dva"]],[],[0,"Default",0,1]],[[750,643,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,619,[["dva"]],[],[0,"Default",0,1]],[[727,613,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,620,[["dva"]],[],[0,"Default",0,1]],[[802,642,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,621,[["dva"]],[],[0,"Default",
0,1]],[[776,612,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,622,[["dva"]],[],[0,"Default",0,1]],[[850,642,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,623,[["dva"]],[],[0,"Default",0,1]],[[826,612,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,624,[["dva"]],[],[0,"Default",0,1]],[[2049,355,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,625,[],[],[0,"Default",0,1]],[[-476,-62,0,42,50,0,0,1,0.517241358757019,0.5142857432365417,0,0,[]],76,627,[],[[400,0,0,0,1,1],[]],[0,"Default",0,1]],[[1147,994,0,20,18,0,0,1,0.5,0.5,0,0,[]],78,4792,[["dva"]],[],[0,
"Default",0,1]],[[1211,992,0,20,18,0,0,1,0.5,0.5,0,0,[]],78,4793,[["dva"]],[],[0,"Default",0,1]],[[1179,963,0,20,18,0,0,1,0.5,0.5,0,0,[]],78,4794,[["dva"]],[],[0,"Default",0,1]],[[1179,1024,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4795,[["dva"]],[],[0,"Default",0,1]],[[1148,931,0,20,18,0,0,1,0.5,0.5,0,0,[]],78,4796,[["dva"]],[],[0,"Default",0,1]],[[1212,929,0,20,18,0,0,1,0.5,0.5,0,0,[]],78,4797,[["dva"]],[],[0,"Default",0,1]],[[1180,900,0,20,18,0,0,1,0.5,0.5,0,0,[]],78,4798,[["dva"]],[],[0,"Default",0,1]],
[[2695,1330,0,100,100,0,0,1,0.5,0.5,0,0,[]],231,1837,[],[[200,6E3,80,1,0,0,1],[-180,0]],[0,"Default",0,1]]],[]],["Earth",4,5997582607348793,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[],[]],["Power",5,8420218566232547,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[],[]],["Mouse",6,0x6460f35198f60,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[1227,263,0,64.01953125,53.10530090332031,0,0,1,0.5,1,0,0,[]],42,44,[],[[]],[0,"Default",0,1]],[[1226,274,0,82.02706146240234,93.33332061767578,0,0,1,0.4545454680919647,0.01639344170689583,
0,0,[]],45,45,[[150]],[[1],[3E4,0,120,3,0,0,1],[0,0,0,0,30,100,0,1],[1,0,0,4,0,0,0,50,0],[1,0,0,4,0,0,0,50,0]],[0,"Default",0,1]],[[1227,272,0,8.829414367675781,-1.735369682312012,0,-1.576729655265808,1,0,0.48828125,0,0,[]],41,46,[],[],[0,"Default",0,1]],[[-31,-253,0,128,128,0,1.57080864906311,1,0,0.5,0,0,[]],44,47,[],[],[5,30,0,70,40,100,5,0,0,0,2,0,-250,0,2,800,0,0,0.7]],[[-131,-251,0,135,200,0,1.570796370506287,1,0,0.5,0,0,[]],43,48,[],[],[15,20,0,70,10,100,50,0,0,0,10,0,70,0,0,800,0,0,0.3]]],
[]],["Decortop",7,6811493512774581,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[858,640,0,183.2527008056641,109.1280059814453,0,0,1,0.5070422291755676,0.5,0,0,[]],82,3433,[],[],[0,"Default",0,1]],[[2769,463,0,151.1882476806641,90.033447265625,0,0,1,0.5070422291755676,0.5,0,0,[]],82,3434,[],[],[0,"Default",0,1]],[[702,1180,0,261.113525390625,90.45108795166016,0,0,1,0.5046728849411011,0.5135135054588318,0,0,[]],71,3435,[],[],[0,"Default",0,1]],[[1439,761,0,-239,210,0,0,1,0.5,0.5047619342803955,0,0,[]],65,
3436,[],[],[0,"Default",0,1]],[[3411,676,0,183.2527008056641,109.1280059814453,0,0,1,0.5070422291755676,0.5,0,0,[]],82,3437,[],[],[0,"Default",0,1]],[[1769,1580,0,183.2527008056641,109.1280059814453,0,0,1,0.5070422291755676,0.5,0,0,[]],82,3438,[],[],[0,"Default",0,1]],[[2082,1520,0,239.0609588623047,237.8890991210938,0,0,1,0.5,0.5,0,0,[]],83,3439,[],[],[0,"Default",0,1]],[[3159,880,0,322,226,0,0,1,0,0,0,0,[]],84,3440,[],[],[0,0]],[[1208,426,0,135.1665649414063,77.238037109375,0,0,1,0.5074626803398132,
0.5,0,0,[]],69,3441,[],[],[0,"Default",0,1]],[[587,-795,0,225.322998046875,236.7800903320313,0,0,0.699999988079071,0.4406779706478119,0.5,0,0,[[]]],81,3569,[],[[-90,0]],[0,"Default",0,1]],[[331,-846,0,80.23999786376953,75.63999938964844,0,0,1,0.4406779706478119,0.5,0,0,[[]]],81,3570,[],[[180,0]],[0,"Default",0,1]]],[]],["Water",8,8662772667737498,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[-894,1845,0,5773,70,0,0,1,0,0,0,0,[]],46,49,[],[[1,1,0,4E3,0,2E3,0,2E3,0]],[0,0]],[[-551,1838,0,5361,910,0,0,1,0,0,
0,0,[]],47,50,[],[[1,1,0,4E3,0,2E3,0,2E3,0]],[0,0]],[[-575,1722,0,5390,128,0,0,1,0,0,0,0,[]],48,51,[],[[1,1,0,4E3,0,2E3,0,2E3,0]],[0,0]]],[]],["UI",9,5468476250832201,!0,[255,255,255],!0,0,0,1,!1,1,0,0,[[[129.9325103759766,715.2657470703125,0,180,180,0,0,1,0.5,0.5,0,0,[]],49,52,[],[],[0,"Default",0,1]],[[134.3137359619141,718.0804443359375,0,120,120,0,0,1,0.4749999940395355,0.4833333194255829,0,0,[]],50,53,[[0]],[[0,1]],[0,"Default",0,1]],[[444.6872253417969,26.55366516113281,0,-42,51,0,0,1,0.5116279125213623,
0.5098039507865906,0,0,[]],52,54,[],[[]],[0,"Default",0,1]],[[149.6872253417969,26.55366516113281,0,43,51,0,0,1,0.5116279125213623,0.5098039507865906,0,0,[]],52,55,[],[[]],[0,"Default",0,1]],[[294.6872253417969,31.55366516113281,0,273,57,0,0,1,0.5018315315246582,0.5087719559669495,0,0,[]],54,56,[],[],[0,"Default",0,1]],[[213.6872253417969,30.55366516113281,0,172.500732421875,32,0,0,1,0,0.5,0,0,[]],55,57,[],[[]],[0,"Default",0,1]],[[314.6872253417969,31.55366516113281,0,216,43,0,0,1,0.5,0.5116279125213623,
0,0,[]],59,58,[],[[]],[0,"Default",0,1]],[[67.68722534179688,45.55366516113281,0,112,72,0,0,1,0.5,0.5,0,0,[]],51,59,[],[],[0,"Default",0,1]],[[530.687255859375,45.55366516113281,0,112,72,0,0,1,0.5,0.5,0,0,[]],53,60,[],[],[0,"Default",0,1]],[[133,48,0,33.94112396240234,33.94112396240234,0,0,1,0.5,0.5,0,0,[]],62,61,[],[[]],[0,"Default",0,1]],[[-7.312774658203125,8.553665161132812,0,146.9591674804688,88,0,0,1,0,0,0,0,[]],56,62,[],[[]],["Text",0,"32pt Arial Rounded MT Bold","rgb(255,255,51)",1,1,0,0,
0]],[[457.6872253417969,7.553665161132813,0,146.9591674804688,88,0,0,1,0,0,0,0,[]],57,64,[],[[]],["Text",0,"32pt Arial Rounded MT Bold","rgb(204,255,255)",1,1,0,0,0]],[[556.687255859375,833.5537109375,0,50,50,0,0,1,0.5142857432365417,0.5142857432365417,0,0,[]],60,65,[],[],[1,"Default",0,1]],[[468.0312805175781,47.03128051757813,0,31.93743896484375,31.93743896484375,0,0,1,0.5,0.5,0,0,[]],267,3888,[],[[]],[0,"Default",0,1]]],[]],["Ball",10,9178961337049452,!0,[255,255,255],!0,0,0,1,!1,1,0,0,[],[]]],
[[null,63,67,[],[],[60,1,1]]],[]],["Lewel2",4300,2E3,!1,"Lewel2",5918585537934818,[["BG",0,320623362664114,!0,[44,159,205],!1,1,1,1,!1,1,0,0,[],[]],["BG(sky)",1,5511654972330686,!0,[255,255,255],!0,0.1000000014901161,0.800000011920929,1,!1,1,0,0,[[[-966,1135,0,6232,254,0,0,1,0,0,0,0,[]],39,68,[],[[1,0,3,70,0,0,0,1024,0]],[0,0]],[[-899,526,0,6054,260,0,0,1,0,0,0,0,[]],38,69,[],[[1,0,3,70,0,0,0,-1024,0]],[0,0]]],[]],["BG(mountian)",2,5828916601737772,!0,[255,255,255],!0,0.1000000014901161,0.800000011920929,
1,!1,1,0,0,[[[-544,1319,0,5389,258,0,0,1,0,0,0,0,[]],40,70,[],[],[0,0]]],[]],["Map",3,7645249938210915,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[3003,539,0,165.7630004882813,72.80000305175781,0,0,1,0.5058823823928833,0.5,0,0,[]],70,628,[],[],[0,"Default",0,1]],[[2556,309,0,135.1665649414063,77.238037109375,0,0,1,0.5074626803398132,0.5,0,0,[]],69,629,[],[],[0,"Default",0,1]],[[3976,560,0,135.1665649414063,77.238037109375,0,0,1,0.5074626803398132,0.5,0,0,[]],69,630,[],[],[0,"Default",0,1]],[[2922,1036,
0,135.1665649414063,77.238037109375,0,0,1,0.5074626803398132,0.5,0,0,[]],69,631,[],[],[0,"Default",0,1]],[[3906,1032,0,261.113525390625,90.45108795166016,0,0,1,0.5046728849411011,0.5135135054588318,0,0,[]],71,632,[],[],[0,"Default",0,1]],[[1471,147,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,633,[],[[]],[0,"Default",0,1]],[[1857,225,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,634,[["dva"]],[],[0,"Default",0,1]],[[1808,225,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,635,[["dva"]],[],[0,"Default",0,1]],[[1831,194,0,20,20,0,0,1,0.5,
0.5,0,0,[]],78,636,[["dva"]],[],[0,"Default",0,1]],[[1904,224,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,637,[["dva"]],[],[0,"Default",0,1]],[[1881,194,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,638,[["dva"]],[],[0,"Default",0,1]],[[1956,223,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,639,[["dva"]],[],[0,"Default",0,1]],[[1930,193,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,640,[["dva"]],[],[0,"Default",0,1]],[[2004,223,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,641,[["dva"]],[],[0,"Default",0,1]],[[1980,193,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,642,[["dva"]],
[],[0,"Default",0,1]],[[2024,192,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,643,[["dva"]],[],[0,"Default",0,1]],[[398,1410,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,644,[],[[]],[0,"Default",0,1]],[[3328,1110,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,645,[["dva"]],[],[0,"Default",0,1]],[[3376,1110,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,646,[["dva"]],[],[0,"Default",0,1]],[[3352,1080,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,647,[["dva"]],[],[0,"Default",0,1]],[[3422,1110,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,648,[["dva"]],[],[0,"Default",0,1]],
[[3396,1079,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,649,[["dva"]],[],[0,"Default",0,1]],[[3469,1109,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,650,[["dva"]],[],[0,"Default",0,1]],[[3446,1079,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,651,[["dva"]],[],[0,"Default",0,1]],[[3521,1108,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,652,[["dva"]],[],[0,"Default",0,1]],[[3495,1078,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,653,[["dva"]],[],[0,"Default",0,1]],[[3569,1108,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,654,[["dva"]],[],[0,"Default",0,1]],[[3545,1078,0,20,
20,0,0,1,0.5,0.5,0,0,[]],78,655,[["dva"]],[],[0,"Default",0,1]],[[1241,1588,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,656,[],[[]],[0,"Default",0,1]],[[1434,320,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,657,[["dva"]],[],[0,"Default",0,1]],[[1498,318,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,658,[["dva"]],[],[0,"Default",0,1]],[[1466,289,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,659,[["dva"]],[],[0,"Default",0,1]],[[1466,351,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,660,[["dva"]],[],[0,"Default",0,1]],[[1433,253,0,20,20,0,0,1,0.5,0.5,0,0,[]],
78,661,[["dva"]],[],[0,"Default",0,1]],[[1497,252,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,662,[["dva"]],[],[0,"Default",0,1]],[[1466,219,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,663,[["dva"]],[],[0,"Default",0,1]],[[1601,1587,0,50,50,0,-0.01136865559965372,1,0.5,0.5,0,0,[]],77,664,[[6]],[],[0,"Default",0,1]],[[365,1321,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,665,[["dva"]],[],[0,"Default",0,1]],[[429,1319,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,666,[["dva"]],[],[0,"Default",0,1]],[[397,1290,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,667,
[["dva"]],[],[0,"Default",0,1]],[[397,1352,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,668,[["dva"]],[],[0,"Default",0,1]],[[364,1254,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,669,[["dva"]],[],[0,"Default",0,1]],[[428,1253,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,670,[["dva"]],[],[0,"Default",0,1]],[[397,1220,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,671,[["dva"]],[],[0,"Default",0,1]],[[2877,536,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,672,[],[[]],[0,"Default",0,1]],[[2979,1011,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,673,[],[[]],[0,"Default",0,1]],
[[157,413,0,50,50,0,-0.01136865559965372,1,0.5,0.5,0,0,[]],77,674,[[5]],[],[0,"Default",0,1]],[[3276,475,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,675,[["dva"]],[],[0,"Default",0,1]],[[3323,474,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,676,[["dva"]],[],[0,"Default",0,1]],[[3300,444,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,677,[["dva"]],[],[0,"Default",0,1]],[[3375,473,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,678,[["dva"]],[],[0,"Default",0,1]],[[3349,443,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,679,[["dva"]],[],[0,"Default",0,1]],[[3423,
473,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,680,[["dva"]],[],[0,"Default",0,1]],[[3399,443,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,681,[["dva"]],[],[0,"Default",0,1]],[[3443,442,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,682,[["dva"]],[],[0,"Default",0,1]],[[3513,474,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,683,[["dva"]],[],[0,"Default",0,1]],[[3464,474,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,684,[["dva"]],[],[0,"Default",0,1]],[[3487,443,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,685,[["dva"]],[],[0,"Default",0,1]],[[3560,473,0,20,20,0,0,1,0.5,
0.5,0,0,[]],78,686,[["dva"]],[],[0,"Default",0,1]],[[3537,443,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,687,[["dva"]],[],[0,"Default",0,1]],[[3612,472,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,688,[["dva"]],[],[0,"Default",0,1]],[[3586,442,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,689,[["dva"]],[],[0,"Default",0,1]],[[3660,472,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,690,[["dva"]],[],[0,"Default",0,1]],[[3636,442,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,691,[["dva"]],[],[0,"Default",0,1]],[[2510,859,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,692,[["dva"]],
[],[0,"Default",0,1]],[[2557,858,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,693,[["dva"]],[],[0,"Default",0,1]],[[2534,828,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,694,[["dva"]],[],[0,"Default",0,1]],[[2609,857,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,695,[["dva"]],[],[0,"Default",0,1]],[[2583,827,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,696,[["dva"]],[],[0,"Default",0,1]],[[2657,857,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,697,[["dva"]],[],[0,"Default",0,1]],[[2633,827,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,698,[["dva"]],[],[0,"Default",0,1]],
[[2677,826,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,699,[["dva"]],[],[0,"Default",0,1]],[[2747,858,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,700,[["dva"]],[],[0,"Default",0,1]],[[2698,858,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,701,[["dva"]],[],[0,"Default",0,1]],[[2721,827,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,702,[["dva"]],[],[0,"Default",0,1]],[[2794,857,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,703,[["dva"]],[],[0,"Default",0,1]],[[2771,827,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,704,[["dva"]],[],[0,"Default",0,1]],[[2846,856,0,20,20,0,
0,1,0.5,0.5,0,0,[]],78,705,[["dva"]],[],[0,"Default",0,1]],[[2820,826,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,706,[["dva"]],[],[0,"Default",0,1]],[[2894,856,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,707,[["dva"]],[],[0,"Default",0,1]],[[2870,826,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,708,[["dva"]],[],[0,"Default",0,1]],[[1437,1054,0,50,50,0,-0.01136865559965372,1,0.5,0.5,0,0,[]],77,709,[[7]],[],[0,"Default",0,1]],[[1108,107,0,153,69,0,0,1,0.5046728849411011,0.5,0,0,[]],64,710,[],[],[0,"Default",1,1]],[[1074,1584,0,68,
68,0,0,1,0.5,0.5,0,0,[]],79,711,[],[],[0,"Default",0,1]],[[2903,1012,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,712,[],[],[0,"Default",0,1]],[[3439,1283,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,713,[],[],[0,"Default",0,1]],[[1407,1584,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,714,[],[],[0,"Default",0,1]],[[1199,299,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,715,[],[],[0,"Default",0,1]],[[70,411,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,716,[],[],[0,"Default",0,1]],[[247,411,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,717,[],[],[0,"Default",0,1]],[[1544,
1051,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,718,[],[],[0,"Default",0,1]],[[1598,1212,0,318,65,0,0,1,0,0,0,0,[]],75,719,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1595,1212,0,327.3424072265625,15.8963623046875,0,0,1,0,0,0,0,[]],67,720,[],[],[0,0]],[[748,1191,0,209,65,0,0,1,0,0,0,0,[]],75,721,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[744,1189,0,218.3424072265625,15.8963623046875,0,0,1,0,0,0,0,[]],67,722,[],[],[0,0]],[[288,1477,0,221,65,0,0,1,0,0,0,0,[]],75,723,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],
[0,0]],[[284,1475,0,230.3424072265625,15.8963623046875,0,0,1,0,0,0,0,[]],67,724,[],[],[0,0]],[[1274,529,0,325,65,0,0,1,0,0,0,0,[]],75,725,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1268,525,0,334.3424072265625,15.8963623046875,0,0,1,0,0,0,0,[]],67,726,[],[],[0,0]],[[951,350,0,326,65,0,0,1,0,0,0,0,[]],75,727,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[947,339,0,335,16,0,0,1,0,0,0,0,[]],67,728,[],[],[0,0]],[[954,414,0,322,1057,0,0,1,0,0,0,0,[]],68,729,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,
0]],[[1275,1102,0,322,367,0,0,1,0,0,0,0,[]],68,730,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[291,909,0,209,65,0,0,1,0,0,0,0,[]],75,731,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[287,910,0,218.3424072265625,15.8963623046875,0,0,1,0,0,0,0,[]],67,732,[],[],[0,0]],[[698,559,0,258,65,0,0,1,0,0,0,0,[]],75,733,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[693,559,0,265,16,0,0,1,0,0,0,0,[]],67,734,[],[],[0,0]],[[1595,1277,0,314,194,0,0,1,0,0,0,0,[]],68,735,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],
[0,0]],[[1276,593,0,322,254,0,0,1,0,0,0,0,[]],68,736,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[-248,458,0,541,2004,0,0,1,0,0,0,0,[]],66,737,[],[[1,0,0,1,0.5,0.2,0,0.01,0,1],[1]],[0,0]],[[288,458,0,209,65,0,0,1,0,0,0,0,[]],75,738,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[75,457,0,427,16,0,0,1,0,0,0,0,[]],67,739,[],[],[0,0]],[[-250,-1321,0,541,1548,0,0,1,0,0,0,0,[]],66,740,[],[[1,0,0,1,0.5,0.2,0,0.01,0,1],[1]],[0,0]],[[-249,227,0,273,245,0,0,1,0,0,0,0,[]],66,741,[],[[1,0,0,1,0.5,0.2,0,0.01,
0,1],[1]],[0,0]],[[1765,417,0,349,576,0,0,1,0,0,0,0,[]],68,742,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1762,354,0,353,65,0,0,1,0,0,0,0,[]],75,743,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1762,342,0,354,16,0,0,1,0,0,0,0,[]],67,744,[],[],[0,0]],[[2850,1061,0,262,65,0,0,1,0,0,0,0,[]],75,745,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[2849,1057,0,265,16,0,0,1,0,0,0,0,[]],67,746,[],[],[0,0]],[[2851,568,0,242,65,0,0,1,0,0,0,0,[]],75,747,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[2847,
567,0,249,16,0,0,1,0,0,0,0,[]],67,748,[],[],[0,0]],[[2358,1063,0,159,65,0,0,1,0,0,0,0,[]],75,749,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[2354,1062,0,168.3424072265625,15.8963623046875,0,0,1,0,0,0,0,[]],67,750,[],[],[0,0]],[[3083,810,0,703,65,0,0,1,0,0,0,0,[]],75,751,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[3079,810,0,708,16,0,0,1,0,0,0,0,[]],67,752,[],[],[0,0]],[[2374,333,0,456,65,0,0,1,0,0,0,0,[]],75,753,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[2370,331,0,463,16,0,0,1,0,0,0,0,
[]],67,754,[],[],[0,0]],[[3777,583,0,255,65,0,0,1,0,0,0,0,[]],75,755,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[3773,584,0,264.3424072265625,15.8963623046875,0,0,1,0,0,0,0,[]],67,756,[],[],[0,0]],[[3770,1062,0,262,65,0,0,1,0,0,0,0,[]],75,757,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[3769,1060,0,265,16,0,0,1,0,0,0,0,[]],67,758,[],[],[0,0]],[[4032,-1332,0,501,3631,0,0,1,0,0,0,0,[]],66,759,[],[[1,0,0,1,0.5,0.2,0,0.01,0,1],[1]],[0,0]],[[1391,377,0,148.0375213623047,139.5254364013672,0,0,1,-0.09589041024446487,
-0.0972222238779068,0,0,[]],73,760,[],[],[0,"Default",0,1]],[[2453,995,0,134.3052215576172,159.4874572753906,0,0,1,0.5074626803398132,0.5,0,0,[]],80,761,[],[],[0,"Default",0,1]],[[2434,283,0,124.9327545166016,127.068359375,0,0,1,0.5,0.5070422291755676,0,0,[]],74,762,[],[],[0,"Default",0,1]],[[1895,311,0,165.7630004882813,72.80000305175781,0,0,1,0.5058823823928833,0.5,0,0,[]],70,763,[],[],[0,"Default",0,1]],[[1342,1049,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,764,[],[],[0,"Default",0,1]],[[1063,309,0,165.7630004882813,
72.80000305175781,0,0,1,0.5058823823928833,0.5,0,0,[]],70,765,[],[],[0,"Default",0,1]],[[2046,223,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,766,[["dva"]],[],[0,"Default",0,1]],[[3960,538,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,767,[],[],[0,"Default",0,1]],[[754,468,0,-239,210,0,0,1,0.5,0.5047619342803955,0,0,[]],65,768,[],[],[0,"Default",0,1]],[[1276,1100,0,319.024169921875,15.8963623046875,0,0,1,0,0,0,0,[]],67,769,[],[],[0,0]],[[802,-995,0,225.322998046875,236.7800903320313,0,0,0.699999988079071,0.4406779706478119,
0.5,0,0,[[]]],81,770,[],[[-90,0]],[0,"Default",0,1]],[[646,-984,0,80.23999786376953,75.63999938964844,0,0,1,0.4406779706478119,0.5,0,0,[[]]],81,771,[],[[180,0]],[0,"Default",0,1]],[[1991,319,0,261.113525390625,90.45108795166016,0,0,1,0.5046728849411011,0.5135135054588318,0,0,[]],71,778,[],[],[0,"Default",0,1]]],[]],["Earth",4,6400949038815018,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[],[]],["Power",5,40602331399052,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[],[]],["Mouse",6,0x4bfc935780e73,!0,[255,255,255],!0,
1,1,1,!1,1,0,0,[[[451,760,0,64.01953125,53.10530090332031,0,0,1,0.5,1,0,0,[]],42,71,[],[[]],[0,"Default",0,1]],[[450,771,0,82.02706146240234,93.33332061767578,0,0,1,0.4545454680919647,0.01639344170689583,0,0,[]],45,72,[[150]],[[1],[115,0,35,3,0,0,1],[0,0,0,0,30,100,0,1],[1,0,0,4,0,0,0,50,0],[1,0,0,4,0,0,0,50,0]],[0,"Default",0,1]],[[451,769,0,8.829414367675781,-1.735369682312012,0,-1.576729655265808,1,0,0.48828125,0,0,[]],41,73,[],[],[0,"Default",0,1]],[[-31,-253,0,128,128,0,1.57080864906311,1,0,
0.5,0,0,[]],44,74,[],[],[5,30,0,70,40,100,5,0,0,0,2,0,-250,0,2,800,0,0,0.7]],[[-131,-251,0,135,200,0,1.570796370506287,1,0,0.5,0,0,[]],43,75,[],[],[15,20,0,70,10,100,50,0,0,0,10,0,70,0,0,800,0,0,0.3]]],[]],["Decortop",7,7132885905404916,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[888.86962890625,1152.781982421875,0,183.2527008056641,109.1280059814453,0,0,1,0.5070422291755676,0.5,0,0,[]],82,3447,[],[],[0,"Default",0,1]],[[1990.86962890625,318.7820434570313,0,261.113525390625,90.45108795166016,0,0,1,0.5046728849411011,
0.5135135054588318,0,0,[]],71,3448,[],[],[0,"Default",0,1]],[[3003.86962890625,970.7820434570312,0,-239,210,0,0,1,0.5,0.5047619342803955,0,0,[]],65,3449,[],[],[0,"Default",0,1]],[[3880.86962890625,543.7820434570312,0,183.2527008056641,109.1280059814453,0,0,1,0.5070422291755676,0.5,0,0,[]],82,3450,[],[],[0,"Default",0,1]],[[2664.86962890625,295.7820434570313,0,183.2527008056641,109.1280059814453,0,0,1,0.5070422291755676,0.5,0,0,[]],82,3451,[],[],[0,"Default",0,1]],[[1514.86962890625,426.7820434570313,
0,239.0609588623047,237.8890991210938,0,0,1,0.5,0.5,0,0,[]],83,3452,[],[],[0,"Default",0,1]],[[1275.86962890625,846.781982421875,0,322,286,0,0,1,0,0,0,0,[]],84,3453,[],[],[0,0]],[[1664,1193,0,-175,106,0,0,1,0.5074626803398132,0.5,0,0,[]],69,3454,[],[],[0,"Default",0,1]],[[954.86962890625,1469.781982421875,0,956,226,0,0,1,0,0,0,0,[]],84,3455,[],[],[0,0]],[[-27.13037109375,223.7820434570313,0,317,251,0,0,1,0,0,0,0,[]],85,3456,[],[],[0,0]]],[]],["Water",8,4646737706884961,!0,[255,255,255],!0,1,1,1,!1,
1,0,0,[[[-894,1845,0,5773,70,0,0,1,0,0,0,0,[]],46,76,[],[[1,1,0,4E3,0,2E3,0,2E3,0]],[0,0]],[[-551,1838,0,5361,910,0,0,1,0,0,0,0,[]],47,77,[],[[1,1,0,4E3,0,2E3,0,2E3,0]],[0,0]],[[-575,1722,0,5390,128,0,0,1,0,0,0,0,[]],48,78,[],[[1,1,0,4E3,0,2E3,0,2E3,0]],[0,0]]],[]],["UI",9,8389973835335274,!0,[255,255,255],!0,0,0,1,!1,1,0,0,[[[129.9325103759766,715.2657470703125,0,180,180,0,0,1,0.5,0.5,0,0,[]],49,79,[],[],[0,"Default",0,1]],[[134.3137359619141,718.0804443359375,0,120,120,0,0,1,0.4749999940395355,
0.4833333194255829,0,0,[]],50,80,[[0]],[[0,1]],[0,"Default",0,1]],[[556.687255859375,833.5537109375,0,50,50,0,0,1,0.5142857432365417,0.5142857432365417,0,0,[]],60,92,[],[],[1,"Default",0,1]],[[446,26,0,-42,51,0,0,1,0.5116279125213623,0.5098039507865906,0,0,[]],52,81,[],[[]],[0,"Default",0,1]],[[151,26,0,43,51,0,0,1,0.5116279125213623,0.5098039507865906,0,0,[]],52,82,[],[[]],[0,"Default",0,1]],[[296,31,0,273,57,0,0,1,0.5018315315246582,0.5087719559669495,0,0,[]],54,83,[],[],[0,"Default",0,1]],[[215,
30,0,172.500732421875,32,0,0,1,0,0.5,0,0,[]],55,84,[],[[]],[0,"Default",0,1]],[[316,31,0,216,43,0,0,1,0.5,0.5116279125213623,0,0,[]],59,85,[],[[]],[0,"Default",0,1]],[[69,45,0,112,72,0,0,1,0.5,0.5,0,0,[]],51,86,[],[],[0,"Default",0,1]],[[532,45,0,112,72,0,0,1,0.5,0.5,0,0,[]],53,87,[],[],[0,"Default",0,1]],[[134,48,0,33.94112396240234,33.94112396240234,0,0,1,0.5,0.5,0,0,[]],62,88,[],[[]],[0,"Default",0,1]],[[-6,8,0,146.9591674804688,88,0,0,1,0,0,0,0,[]],56,89,[],[[]],["Text",0,"32pt Arial Rounded MT Bold",
"rgb(255,255,51)",1,1,0,0,0]],[[459,7,0,146.9591674804688,88,0,0,1,0,0,0,0,[]],57,90,[],[[]],["Text",0,"32pt Arial Rounded MT Bold","rgb(204,255,255)",1,1,0,0,0]],[[469,47,0,31.93743896484375,31.93743896484375,0,0,1,0.5,0.5,0,0,[]],267,91,[],[[]],[0,"Default",0,1]]],[]],["Ball",10,6566184605778107,!0,[255,255,255],!0,0,0,1,!1,1,0,0,[],[]]],[],[]],["Lewel3",4300,2E3,!1,"Lewel3",0x4a2acb845e828,[["BG",0,9175116932726932,!0,[44,159,205],!1,1,1,1,!1,1,0,0,[],[]],["BG(sky)",1,7712604895230747,!0,[255,
255,255],!0,0.1000000014901161,0.800000011920929,1,!1,1,0,0,[[[-966,1135,0,6232,254,0,0,1,0,0,0,0,[]],39,95,[],[[1,0,3,70,0,0,0,1024,0]],[0,0]],[[-899,526,0,6054,260,0,0,1,0,0,0,0,[]],38,96,[],[[1,0,3,70,0,0,0,-1024,0]],[0,0]]],[]],["BG(mountian)",2,0x9f0ecc9137507,!0,[255,255,255],!0,0.1000000014901161,0.800000011920929,1,!1,1,0,0,[[[-544,1319,0,5389,258,0,0,1,0,0,0,0,[]],40,97,[],[],[0,0]]],[]],["Map",3,9909790495296118,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[4002,777,0,165.7630004882813,72.80000305175781,
0,0,1,0.5058823823928833,0.5,0,0,[]],70,772,[],[],[0,"Default",0,1]],[[3827,378,0,135.1665649414063,77.238037109375,0,0,1,0.5074626803398132,0.5,0,0,[]],69,773,[],[],[0,"Default",0,1]],[[2259,878,0,50,50,0,-0.01136865559965372,1,0.5,0.5,0,0,[]],77,774,[[8]],[],[0,"Default",0,1]],[[1186,1550,0,135.1665649414063,77.238037109375,0,0,1,0.5074626803398132,0.5,0,0,[]],69,787,[],[],[0,"Default",0,1]],[[2440,713,0,50,50,0,-0.01136865559965372,1,0.5,0.5,0,0,[]],77,788,[[10]],[],[0,"Default",0,1]],[[3981,1298,
0,261.113525390625,90.45108795166016,0,0,1,0.5046728849411011,0.5135135054588318,0,0,[]],71,789,[],[],[0,"Default",0,1]],[[2110,783,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,790,[],[[]],[0,"Default",0,1]],[[1170,1556,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,791,[["dva"]],[],[0,"Default",0,1]],[[1121,1556,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,792,[["dva"]],[],[0,"Default",0,1]],[[1144,1525,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,793,[["dva"]],[],[0,"Default",0,1]],[[1217,1555,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,794,[["dva"]],[],
[0,"Default",0,1]],[[1194,1525,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,795,[["dva"]],[],[0,"Default",0,1]],[[1269,1554,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,796,[["dva"]],[],[0,"Default",0,1]],[[1243,1524,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,797,[["dva"]],[],[0,"Default",0,1]],[[1317,1554,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,798,[["dva"]],[],[0,"Default",0,1]],[[1293,1524,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,799,[["dva"]],[],[0,"Default",0,1]],[[1337,1523,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,800,[["dva"]],[],[0,"Default",0,
1]],[[1578,828,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,801,[],[[]],[0,"Default",0,1]],[[3256,449,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,802,[["dva"]],[],[0,"Default",0,1]],[[3304,449,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,803,[["dva"]],[],[0,"Default",0,1]],[[3280,419,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,804,[["dva"]],[],[0,"Default",0,1]],[[3350,449,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,805,[["dva"]],[],[0,"Default",0,1]],[[3324,418,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,806,[["dva"]],[],[0,"Default",0,1]],[[3397,448,0,20,20,0,0,
1,0.5,0.5,0,0,[]],78,807,[["dva"]],[],[0,"Default",0,1]],[[3374,418,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,808,[["dva"]],[],[0,"Default",0,1]],[[3449,447,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,809,[["dva"]],[],[0,"Default",0,1]],[[3423,417,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,810,[["dva"]],[],[0,"Default",0,1]],[[3497,447,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,811,[["dva"]],[],[0,"Default",0,1]],[[3473,417,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,812,[["dva"]],[],[0,"Default",0,1]],[[2038,450,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,
813,[],[[]],[0,"Default",0,1]],[[2858,871,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,814,[["dva"]],[],[0,"Default",0,1]],[[2922,869,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,815,[["dva"]],[],[0,"Default",0,1]],[[2890,840,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,816,[["dva"]],[],[0,"Default",0,1]],[[2890,902,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,817,[["dva"]],[],[0,"Default",0,1]],[[2857,804,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,818,[["dva"]],[],[0,"Default",0,1]],[[2921,803,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,819,[["dva"]],[],[0,"Default",
0,1]],[[2890,770,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,820,[["dva"]],[],[0,"Default",0,1]],[[3944,1123,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,821,[["dva"]],[],[0,"Default",0,1]],[[4008,1121,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,822,[["dva"]],[],[0,"Default",0,1]],[[3976,1092,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,823,[["dva"]],[],[0,"Default",0,1]],[[3976,1154,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,824,[["dva"]],[],[0,"Default",0,1]],[[3943,1056,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,825,[["dva"]],[],[0,"Default",0,1]],[[4007,1055,
0,20,20,0,0,1,0.5,0.5,0,0,[]],78,826,[["dva"]],[],[0,"Default",0,1]],[[3976,1022,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,827,[["dva"]],[],[0,"Default",0,1]],[[3876,774,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,828,[],[[]],[0,"Default",0,1]],[[1243,1525,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,829,[],[[]],[0,"Default",0,1]],[[984,918,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,830,[["dva"]],[],[0,"Default",0,1]],[[1031,917,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,831,[["dva"]],[],[0,"Default",0,1]],[[1008,887,0,20,20,0,0,1,0.5,0.5,0,0,[]],
78,832,[["dva"]],[],[0,"Default",0,1]],[[1083,916,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,833,[["dva"]],[],[0,"Default",0,1]],[[1057,886,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,834,[["dva"]],[],[0,"Default",0,1]],[[1131,916,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,835,[["dva"]],[],[0,"Default",0,1]],[[1107,886,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,836,[["dva"]],[],[0,"Default",0,1]],[[1151,885,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,837,[["dva"]],[],[0,"Default",0,1]],[[1221,917,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,838,[["dva"]],[],[0,
"Default",0,1]],[[1172,917,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,839,[["dva"]],[],[0,"Default",0,1]],[[1195,886,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,840,[["dva"]],[],[0,"Default",0,1]],[[1268,916,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,841,[["dva"]],[],[0,"Default",0,1]],[[1245,886,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,842,[["dva"]],[],[0,"Default",0,1]],[[1320,915,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,843,[["dva"]],[],[0,"Default",0,1]],[[1294,885,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,844,[["dva"]],[],[0,"Default",0,1]],[[1368,
915,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,845,[["dva"]],[],[0,"Default",0,1]],[[1344,885,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,846,[["dva"]],[],[0,"Default",0,1]],[[2399,469,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,847,[["dva"]],[],[0,"Default",0,1]],[[2446,468,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,848,[["dva"]],[],[0,"Default",0,1]],[[2423,438,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,849,[["dva"]],[],[0,"Default",0,1]],[[2498,467,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,850,[["dva"]],[],[0,"Default",0,1]],[[2472,437,0,20,20,0,0,1,0.5,
0.5,0,0,[]],78,851,[["dva"]],[],[0,"Default",0,1]],[[2546,467,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,852,[["dva"]],[],[0,"Default",0,1]],[[2522,437,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,853,[["dva"]],[],[0,"Default",0,1]],[[2566,436,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,854,[["dva"]],[],[0,"Default",0,1]],[[2636,468,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,855,[["dva"]],[],[0,"Default",0,1]],[[2587,468,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,856,[["dva"]],[],[0,"Default",0,1]],[[2610,437,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,857,[["dva"]],
[],[0,"Default",0,1]],[[2683,467,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,858,[["dva"]],[],[0,"Default",0,1]],[[2660,437,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,859,[["dva"]],[],[0,"Default",0,1]],[[2735,466,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,860,[["dva"]],[],[0,"Default",0,1]],[[2709,436,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,861,[["dva"]],[],[0,"Default",0,1]],[[2783,466,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,862,[["dva"]],[],[0,"Default",0,1]],[[2759,436,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,863,[["dva"]],[],[0,"Default",0,1]],
[[2350,795,0,50,50,0,-0.01136865559965372,1,0.5,0.5,0,0,[]],77,864,[[9]],[],[0,"Default",0,1]],[[825,804,0,153,69,0,0,1,0.5046728849411011,0.5,0,0,[]],64,865,[],[],[0,"Default",1,1]],[[3971,1261,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,866,[],[],[0,"Default",0,1]],[[2259,789,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,867,[],[],[0,"Default",0,1]],[[2350,875,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,868,[],[],[0,"Default",0,1]],[[797,1520,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,869,[],[],[0,"Default",0,1]],[[3809,338,0,68,68,0,0,1,
0.5,0.5,0,0,[]],79,870,[],[],[0,"Default",0,1]],[[2437,787,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,871,[],[],[0,"Default",0,1]],[[846,212,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,872,[],[],[0,"Default",0,1]],[[1898,853,0,194,65,0,0,1,0,0,0,0,[]],75,873,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1894,853,0,203.3424072265625,15.8963623046875,0,0,1,0,0,0,0,[]],67,874,[],[],[0,0]],[[723,1115,0,209,65,0,0,1,0,0,0,0,[]],75,875,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[719,1113,0,218.3424072265625,15.8963623046875,
0,0,1,0,0,0,0,[]],67,876,[],[],[0,0]],[[693,1579,0,221,65,0,0,1,0,0,0,0,[]],75,877,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[689,1577,0,230.3424072265625,15.8963623046875,0,0,1,0,0,0,0,[]],67,878,[],[],[0,0]],[[2093,1008,0,539,65,0,0,1,0,0,0,0,[]],75,879,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[2087,1004,0,548.3424072265625,15.8963623046875,0,0,1,0,0,0,0,[]],67,880,[],[],[0,0]],[[681,297,0,326,65,0,0,1,0,0,0,0,[]],75,881,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[677,287,0,335,16,0,
0,1,0,0,0,0,[]],67,882,[],[],[0,0]],[[231,1014,0,209,65,0,0,1,0,0,0,0,[]],75,883,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[227,1012,0,218.3424072265625,15.8963623046875,0,0,1,0,0,0,0,[]],67,884,[],[],[0,0]],[[1445,873,0,258,65,0,0,1,0,0,0,0,[]],75,885,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1440,873,0,265,16,0,0,1,0,0,0,0,[]],67,886,[],[],[0,0]],[[686,360,0,316,163,0,0,1,0,0,0,0,[]],68,887,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[-333,-1279,0,502,3835,0,0,1,0,0,0,0,[]],66,888,[],
[[1,0,0,1,0.5,0.2,0,0.01,0,1],[1]],[0,0]],[[1963,558,0,131,96,0,0,1,0,0,0,0,[]],68,889,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1892,495,0,900,65,0,0,1,0,0,0,0,[]],75,890,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1892,496,0,898,16,0,0,1,0,0,0,0,[]],67,891,[],[],[0,0]],[[1114,1575,0,262,65,0,0,1,0,0,0,0,[]],75,892,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1113,1571,0,265,16,0,0,1,0,0,0,0,[]],67,893,[],[],[0,0]],[[3850,806,0,242,65,0,0,1,0,0,0,0,[]],75,894,[],[[1],[1,0,0,1,0.5,0.2,0,
0.01,0,1]],[0,0]],[[3846,805,0,249,16,0,0,1,0,0,0,0,[]],67,895,[],[],[0,0]],[[3028,1076,0,703,65,0,0,1,0,0,0,0,[]],75,896,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[3024,1076,0,708,16,0,0,1,0,0,0,0,[]],67,897,[],[],[0,0]],[[2990,808,0,241,65,0,0,1,0,0,0,0,[]],75,898,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[2986,806,0,248,16,0,0,1,0,0,0,0,[]],67,899,[],[],[0,0]],[[3698,401,0,255,65,0,0,1,0,0,0,0,[]],75,900,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[3694,402,0,264.3424072265625,15.8963623046875,
0,0,1,0,0,0,0,[]],67,901,[],[],[0,0]],[[3845,1328,0,262,65,0,0,1,0,0,0,0,[]],75,902,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[3844,1326,0,265,16,0,0,1,0,0,0,0,[]],67,903,[],[],[0,0]],[[4102,-1227,0,501,3631,0,0,1,0,0,0,0,[]],66,904,[],[[1,0,0,1,0.5,0.2,0,0.01,0,1],[1]],[0,0]],[[3058,735,0,134,159,0,0,1,0.5074626803398132,0.5,0,0,[]],80,905,[],[],[0,"Default",0,1]],[[1960,473,0,165.7630004882813,72.80000305175781,0,0,1,0.5058823823928833,0.5,0,0,[]],70,906,[],[],[0,"Default",0,1]],[[3356,1018,
0,68,68,0,0,1,0.5,0.5,0,0,[]],79,907,[],[],[0,"Default",0,1]],[[793,256,0,165.7630004882813,72.80000305175781,0,0,1,0.5058823823928833,0.5,0,0,[]],70,908,[],[],[0,"Default",0,1]],[[1359,1554,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,909,[["dva"]],[],[0,"Default",0,1]],[[2349,706,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,910,[],[],[0,"Default",0,1]],[[1495,781,0,-239,210,0,0,1,0.5,0.5047619342803955,0,0,[]],65,911,[],[],[0,"Default",0,1]],[[2631,560,0,161,517,0,0,1,0,0,0,0,[]],68,912,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,
0,1]],[0,0]],[[1897,918,0,195,126,0,0,1,0,0,0,0,[]],68,913,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1897,1041,0,896,97,0,0,1,0,0,0,0,[]],68,914,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[2006,753,0,98.36795806884766,216.7169036865234,0,0,1,0.5,0.5058823823928833,0,0,[]],89,915,[],[[1]],[0,"Default",0,1]],[[1494,818,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,916,[],[],[0,"Default",0,1]],[[2115,-313,0,13.45062255859375,12.82989501953125,0,1.738506674766541,1,-0.004000000189989805,0.5,0,0,[]],92,918,
[],[],[0,"Default",0,1]],[[2112,-350,0,1,3,0,0,1,0,0.5,0,0,[]],91,919,[],[],[0,"Default",0,1]],[[2105,-367,0,1,6,0,0,1,0,0.5,0,0,[]],87,920,[],[],[0,"Default",0,1]],[[2106,-388,0,250,6,0,0,1,0,0.5,0,0,[]],88,921,[],[],[0,"Default",0,1]],[[1443,511,0,148.3461608886719,145,0,-1.570796489715576,1,0.5034482479095459,0.5034482479095459,0,0,[]],86,922,[],[],[0,"Default",0,1]],[[1635,1203,0,145,145,0,0.2617993950843811,1,0.5034482479095459,0.5034482479095459,0,0,[]],93,923,[],[],[0,"Default",0,1]],[[1818,
512,0,145,145,0,0,1,0.5034482479095459,0.5034482479095459,0,0,[]],94,924,[],[],[0,"Default",0,1]],[[1953,654,0,46,59,0,0.6696459650993347,1,0.5,0.508474588394165,0,0,[]],95,925,[],[],[0,"Default",0,1]],[[680,-703,0,225.322998046875,236.7800903320313,0,0,0.699999988079071,0.4406779706478119,0.5,0,0,[[]]],81,926,[],[[-90,0]],[0,"Default",0,1]],[[376,-741,0,80.23999786376953,75.63999938964844,0,0,1,0.4406779706478119,0.5,0,0,[[]]],81,927,[],[[180,0]],[0,"Default",0,1]],[[1860,708,0,148.0375213623047,
139.5254364013672,0,0,1,-0.09589041024446487,-0.0972222238779068,0,0,[]],73,4799,[],[],[0,"Default",0,1]],[[1926,1565,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,2658,[],[[]],[0,"Default",0,1]],[[2540,1565,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,5856,[],[[]],[0,"Default",0,1]],[[3171,1415,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,5857,[],[[]],[0,"Default",0,1]],[[814,1017,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,5858,[],[[]],[0,"Default",0,1]],[[337,712,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,5859,[],[[]],[0,"Default",0,1]],[[3514,829,0,
37,37,0,0,1,0.5,0.5,0,0,[]],61,5860,[],[[]],[0,"Default",0,1]]],[]],["Earth",4,0xa5b518a377c07,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[],[]],["Power",5,0x5788851110341,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[],[]],["Mouse",6,0x5c38a746150b1,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[333,906,0,64.01953125,53.10530090332031,0,0,1,0.5,1,0,0,[]],42,98,[],[[]],[0,"Default",0,1]],[[332,917,0,82.02706146240234,93.33332061767578,0,0,1,0.4545454680919647,0.01639344170689583,0,0,[]],45,99,[[150]],[[1],[115,0,35,3,0,0,1],
[0,0,0,0,30,100,0,1],[1,0,0,4,0,0,0,50,0],[1,0,0,4,0,0,0,50,0]],[0,"Default",0,1]],[[333,915,0,8.829414367675781,-1.735369682312012,0,-1.576729655265808,1,0,0.48828125,0,0,[]],41,100,[],[],[0,"Default",0,1]],[[-31,-253,0,128,128,0,1.57080864906311,1,0,0.5,0,0,[]],44,101,[],[],[5,30,0,70,40,100,5,0,0,0,2,0,-250,0,2,800,0,0,0.7]],[[-131,-251,0,135,200,0,1.570796370506287,1,0,0.5,0,0,[]],43,102,[],[],[15,20,0,70,10,100,50,0,0,0,10,0,70,0,0,800,0,0,0.3]]],[]],["Decortop",7,0x5b24ba92997f3,!0,[255,255,
255],!0,1,1,1,!1,1,0,0,[[[1644,832,0,183.2527008056641,109.1280059814453,0,0,1,0.5070422291755676,0.5,0,0,[]],82,777,[],[],[0,"Default",0,1]],[[2172,470,0,261.113525390625,90.45108795166016,0,0,1,0.5046728849411011,0.5135135054588318,0,0,[]],71,779,[],[],[0,"Default",0,1]],[[1284,1484,0,-239,210,0,0,1,0.5,0.5047619342803955,0,0,[]],65,780,[],[],[0,"Default",0,1]],[[3613,1044,0,183.2527008056641,109.1280059814453,0,0,1,0.5070422291755676,0.5,0,0,[]],82,781,[],[],[0,"Default",0,1]],[[2584,966,0,183.2527008056641,
109.1280059814453,0,0,1,0.5070422291755676,0.5,0,0,[]],82,782,[],[],[0,"Default",0,1]],[[3143,709,0,239.0609588623047,237.8890991210938,0,0,1,0.5,0.5,0,0,[]],83,784,[],[],[0,"Default",0,1]],[[2644,480,0,135.1665649414063,77.238037109375,0,0,1,0.5074626803398132,0.5,0,0,[]],69,785,[],[],[0,"Default",0,1]],[[866,1095,0,69.94752502441406,74.85611724853516,0,-0.7853981852531433,1,-0.02500000037252903,0.5348837375640869,0,0,[]],90,3998,[],[],[0,"Default",0,1]]],[]],["Water",8,9925985190211076,!0,[255,
255,255],!0,1,1,1,!1,1,0,0,[[[-894,1845,0,5773,70,0,0,1,0,0,0,0,[]],46,103,[],[[1,1,0,4E3,0,2E3,0,2E3,0]],[0,0]],[[-551,1838,0,5361,910,0,0,1,0,0,0,0,[]],47,104,[],[[1,1,0,4E3,0,2E3,0,2E3,0]],[0,0]],[[-575,1722,0,5390,128,0,0,1,0,0,0,0,[]],48,105,[],[[1,1,0,4E3,0,2E3,0,2E3,0]],[0,0]]],[]],["UI",9,0x42af0239d548e,!0,[255,255,255],!0,0,0,1,!1,1,0,0,[[[129.9325103759766,715.2657470703125,0,180,180,0,0,1,0.5,0.5,0,0,[]],49,106,[],[],[0,"Default",0,1]],[[134.3137359619141,718.0804443359375,0,120,120,0,
0,1,0.4749999940395355,0.4833333194255829,0,0,[]],50,107,[[0]],[[0,1]],[0,"Default",0,1]],[[556.687255859375,833.5537109375,0,50,50,0,0,1,0.5142857432365417,0.5142857432365417,0,0,[]],60,119,[],[],[1,"Default",0,1]],[[444,27,0,-42,51,0,0,1,0.5116279125213623,0.5098039507865906,0,0,[]],52,108,[],[[]],[0,"Default",0,1]],[[149,27,0,43,51,0,0,1,0.5116279125213623,0.5098039507865906,0,0,[]],52,109,[],[[]],[0,"Default",0,1]],[[294,32,0,273,57,0,0,1,0.5018315315246582,0.5087719559669495,0,0,[]],54,110,[],
[],[0,"Default",0,1]],[[213,31,0,172.500732421875,32,0,0,1,0,0.5,0,0,[]],55,111,[],[[]],[0,"Default",0,1]],[[314,32,0,216,43,0,0,1,0.5,0.5116279125213623,0,0,[]],59,112,[],[[]],[0,"Default",0,1]],[[67,46,0,112,72,0,0,1,0.5,0.5,0,0,[]],51,113,[],[],[0,"Default",0,1]],[[530,46,0,112,72,0,0,1,0.5,0.5,0,0,[]],53,114,[],[],[0,"Default",0,1]],[[133,48,0,33.94112396240234,33.94112396240234,0,0,1,0.5,0.5,0,0,[]],62,115,[],[[]],[0,"Default",0,1]],[[-8,9,0,146.9591674804688,88,0,0,1,0,0,0,0,[]],56,116,[],[[]],
["Text",0,"32pt Arial Rounded MT Bold","rgb(255,255,51)",1,1,0,0,0]],[[457,8,0,146.9591674804688,88,0,0,1,0,0,0,0,[]],57,117,[],[[]],["Text",0,"32pt Arial Rounded MT Bold","rgb(204,255,255)",1,1,0,0,0]],[[468,47,0,31.93743896484375,31.93743896484375,0,0,1,0.5,0.5,0,0,[]],267,118,[],[[]],[0,"Default",0,1]]],[]],["Ball",10,0xb0a5ef6f5d41d,!0,[255,255,255],!0,0,0,1,!1,1,0,0,[],[]]],[],[]],["Lewel4",4300,2E3,!1,"Lewel4",398539224515005,[["BG",0,8288513407325696,!0,[44,159,205],!1,1,1,1,!1,1,0,0,[],[]],
["BG(sky)",1,7739192465156334,!0,[255,255,255],!0,0.1000000014901161,0.800000011920929,1,!1,1,0,0,[[[-966,1135,0,6232,254,0,0,1,0,0,0,0,[]],39,121,[],[[1,0,3,70,0,0,0,1024,0]],[0,0]],[[-899,526,0,6054,260,0,0,1,0,0,0,0,[]],38,122,[],[[1,0,3,70,0,0,0,-1024,0]],[0,0]]],[]],["BG(mountian)",2,4634363171628494,!0,[255,255,255],!0,0.1000000014901161,0.800000011920929,1,!1,1,0,0,[[[-544,1319,0,5389,258,0,0,1,0,0,0,0,[]],40,123,[],[],[0,0]]],[]],["Map",3,6617758245409237,!0,[255,255,255],!0,1,1,1,!1,1,0,
0,[[[3594,714,0,165.7630004882813,72.80000305175781,0,0,1,0.5058823823928833,0.5,0,0,[]],70,928,[],[],[0,"Default",0,1]],[[3563,295,0,135.1665649414063,77.238037109375,0,0,1,0.5074626803398132,0.5,0,0,[]],69,929,[],[],[0,"Default",0,1]],[[391,310,0,50,50,0,-0.01136865559965372,1,0.5,0.5,0,0,[]],77,930,[[11]],[],[0,"Default",0,1]],[[970,1438,0,135.1665649414063,77.238037109375,0,0,1,0.5074626803398132,0.5,0,0,[]],69,931,[],[],[0,"Default",0,1]],[[2080,178,0,50,50,0,-0.01136865559965372,1,0.5,0.5,0,
0,[]],77,932,[[12]],[],[0,"Default",0,1]],[[2485,1429,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,933,[],[[]],[0,"Default",0,1]],[[954,1444,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,934,[["dva"]],[],[0,"Default",0,1]],[[905,1444,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,935,[["dva"]],[],[0,"Default",0,1]],[[928,1413,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,936,[["dva"]],[],[0,"Default",0,1]],[[1001,1443,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,937,[["dva"]],[],[0,"Default",0,1]],[[978,1413,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,938,[["dva"]],[],[0,
"Default",0,1]],[[1053,1442,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,939,[["dva"]],[],[0,"Default",0,1]],[[1027,1412,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,940,[["dva"]],[],[0,"Default",0,1]],[[1101,1442,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,941,[["dva"]],[],[0,"Default",0,1]],[[1077,1412,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,942,[["dva"]],[],[0,"Default",0,1]],[[1121,1411,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,943,[["dva"]],[],[0,"Default",0,1]],[[2944,528,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,944,[],[[]],[0,"Default",0,1]],[[3122,
366,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,945,[["dva"]],[],[0,"Default",0,1]],[[3170,366,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,946,[["dva"]],[],[0,"Default",0,1]],[[3146,336,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,947,[["dva"]],[],[0,"Default",0,1]],[[3216,366,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,948,[["dva"]],[],[0,"Default",0,1]],[[3190,335,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,949,[["dva"]],[],[0,"Default",0,1]],[[3263,365,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,950,[["dva"]],[],[0,"Default",0,1]],[[3240,335,0,20,20,0,0,1,0.5,
0.5,0,0,[]],78,951,[["dva"]],[],[0,"Default",0,1]],[[3315,364,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,952,[["dva"]],[],[0,"Default",0,1]],[[3289,334,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,953,[["dva"]],[],[0,"Default",0,1]],[[3363,364,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,954,[["dva"]],[],[0,"Default",0,1]],[[3339,334,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,955,[["dva"]],[],[0,"Default",0,1]],[[393,135,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,956,[],[[]],[0,"Default",0,1]],[[1690,1079,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,957,[["dva"]],
[],[0,"Default",0,1]],[[1754,1068,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,958,[["dva"]],[],[0,"Default",0,1]],[[1722,1048,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,959,[["dva"]],[],[0,"Default",0,1]],[[1722,1110,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,960,[["dva"]],[],[0,"Default",0,1]],[[1689,1014,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,961,[["dva"]],[],[0,"Default",0,1]],[[1753,1013,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,962,[["dva"]],[],[0,"Default",0,1]],[[1722,980,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,963,[["dva"]],[],[0,"Default",
0,1]],[[3540,1089,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,964,[["dva"]],[],[0,"Default",0,1]],[[3604,1087,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,965,[["dva"]],[],[0,"Default",0,1]],[[3572,1058,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,966,[["dva"]],[],[0,"Default",0,1]],[[3572,1120,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,967,[["dva"]],[],[0,"Default",0,1]],[[3539,1022,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,968,[["dva"]],[],[0,"Default",0,1]],[[3603,1021,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,969,[["dva"]],[],[0,"Default",0,1]],[[3572,988,
0,20,20,0,0,1,0.5,0.5,0,0,[]],78,970,[["dva"]],[],[0,"Default",0,1]],[[2942,1279,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,971,[],[[]],[0,"Default",0,1]],[[1997,465,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,972,[],[[]],[0,"Default",0,1]],[[1083,196,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,973,[["dva"]],[],[0,"Default",0,1]],[[1130,195,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,974,[["dva"]],[],[0,"Default",0,1]],[[1107,165,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,975,[["dva"]],[],[0,"Default",0,1]],[[1182,194,0,20,20,0,0,1,0.5,0.5,0,0,[]],
78,976,[["dva"]],[],[0,"Default",0,1]],[[1156,164,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,977,[["dva"]],[],[0,"Default",0,1]],[[1230,194,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,978,[["dva"]],[],[0,"Default",0,1]],[[1206,164,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,979,[["dva"]],[],[0,"Default",0,1]],[[1250,163,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,980,[["dva"]],[],[0,"Default",0,1]],[[1320,195,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,981,[["dva"]],[],[0,"Default",0,1]],[[1271,195,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,982,[["dva"]],[],[0,
"Default",0,1]],[[1294,164,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,983,[["dva"]],[],[0,"Default",0,1]],[[1367,194,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,984,[["dva"]],[],[0,"Default",0,1]],[[1344,164,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,985,[["dva"]],[],[0,"Default",0,1]],[[1419,193,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,986,[["dva"]],[],[0,"Default",0,1]],[[1393,163,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,987,[["dva"]],[],[0,"Default",0,1]],[[1467,193,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,988,[["dva"]],[],[0,"Default",0,1]],[[1443,
163,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,989,[["dva"]],[],[0,"Default",0,1]],[[1355,566,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,990,[["dva"]],[],[0,"Default",0,1]],[[1402,565,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,991,[["dva"]],[],[0,"Default",0,1]],[[1379,535,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,992,[["dva"]],[],[0,"Default",0,1]],[[1454,564,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,993,[["dva"]],[],[0,"Default",0,1]],[[1428,534,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,994,[["dva"]],[],[0,"Default",0,1]],[[1502,564,0,20,20,0,0,1,0.5,
0.5,0,0,[]],78,995,[["dva"]],[],[0,"Default",0,1]],[[1478,534,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,996,[["dva"]],[],[0,"Default",0,1]],[[1522,533,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,997,[["dva"]],[],[0,"Default",0,1]],[[1592,565,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,998,[["dva"]],[],[0,"Default",0,1]],[[1543,565,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,999,[["dva"]],[],[0,"Default",0,1]],[[1566,534,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1E3,[["dva"]],[],[0,"Default",0,1]],[[1639,564,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1001,[["dva"]],
[],[0,"Default",0,1]],[[1616,534,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1002,[["dva"]],[],[0,"Default",0,1]],[[1691,563,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1003,[["dva"]],[],[0,"Default",0,1]],[[1665,533,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1004,[["dva"]],[],[0,"Default",0,1]],[[1739,563,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1005,[["dva"]],[],[0,"Default",0,1]],[[1715,533,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1006,[["dva"]],[],[0,"Default",0,1]],[[3570,924,0,50,50,0,-0.01136865559965372,1,0.5,0.5,0,0,[]],77,1007,[[13]],
[],[0,"Default",0,1]],[[2923,188,0,153,69,0,0,1,0.5046728849411011,0.5,0,0,[]],64,1008,[],[],[0,"Default",1,1]],[[3564,683,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,1009,[],[],[0,"Default",0,1]],[[395,218,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,1010,[],[],[0,"Default",0,1]],[[1686,1618,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,1011,[],[],[0,"Default",0,1]],[[393,394,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,1012,[],[],[0,"Default",0,1]],[[3545,255,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,1013,[],[],[0,"Default",0,1]],[[1773,174,0,68,68,0,
0,1,0.5,0.5,0,0,[]],79,1014,[],[],[0,"Default",0,1]],[[2174,176,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,1015,[],[],[0,"Default",0,1]],[[1559,1368,0,194,65,0,0,1,0,0,0,0,[]],75,1016,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1555,1368,0,203.3424072265625,15.8963623046875,0,0,1,0,0,0,0,[]],67,1017,[],[],[0,0]],[[1066,228,0,1214,65,0,0,1,0,0,0,0,[]],75,1018,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1062,226,0,1223.342407226563,15.8963623046875,0,0,1,0,0,0,0,[]],67,1019,[],[],[0,0]],[[1982,866,0,300,
65,0,0,1,0,0,0,0,[]],75,1020,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1976,862,0,301.3424072265625,15.8963623046875,0,0,1,0,0,0,0,[]],67,1021,[],[],[0,0]],[[154,987,0,1478,65,0,0,1,0,0,0,0,[]],75,1022,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[155,977,0,1482,16,0,0,1,0,0,0,0,[]],67,1023,[],[],[0,0]],[[2811,573,0,242,65,0,0,1,0,0,0,0,[]],75,1024,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[2806,573,0,249,16,0,0,1,0,0,0,0,[]],67,1025,[],[],[0,0]],[[157,1050,0,1470,69,0,0,1,0,0,0,0,[]],68,
1026,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[-347,-1342,0,502,3835,0,0,1,0,0,0,0,[]],66,1027,[],[[1,0,0,1,0.5,0.2,0,0.01,0,1],[1]],[0,0]],[[848,592,0,1033,65,0,0,1,0,0,0,0,[]],75,1028,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[848,591,0,1031,16,0,0,1,0,0,0,0,[]],67,1029,[],[],[0,0]],[[301,1463,0,859,65,0,0,1,0,0,0,0,[]],75,1030,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[300,1459,0,862,16,0,0,1,0,0,0,0,[]],67,1031,[],[],[0,0]],[[3442,743,0,242,65,0,0,1,0,0,0,0,[]],75,1032,[],[[1],[1,
0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[3438,742,0,249,16,0,0,1,0,0,0,0,[]],67,1033,[],[],[0,0]],[[2E3,1473,0,1049,65,0,0,1,0,0,0,0,[]],75,1034,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1996,1473,0,1054,16,0,0,1,0,0,0,0,[]],67,1035,[],[],[0,0]],[[2805,979,0,241,65,0,0,1,0,0,0,0,[]],75,1036,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[2801,977,0,248,16,0,0,1,0,0,0,0,[]],67,1037,[],[],[0,0]],[[3434,320,0,255,65,0,0,1,0,0,0,0,[]],75,1038,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[3430,319,0,264.3424072265625,
15.8963623046875,0,0,1,0,0,0,0,[]],67,1039,[],[],[0,0]],[[3441,1225,0,262,65,0,0,1,0,0,0,0,[]],75,1040,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[3440,1223,0,265,16,0,0,1,0,0,0,0,[]],67,1041,[],[],[0,0]],[[3958,-1290,0,501,3631,0,0,1,0,0,0,0,[]],66,1042,[],[[1,0,0,1,0.5,0.2,0,0.01,0,1],[1]],[0,0]],[[916,570,0,165.7630004882813,72.80000305175781,0,0,1,0.5058823823928833,0.5,0,0,[]],70,1043,[],[],[0,"Default",0,1]],[[2579,1422,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,1044,[],[],[0,"Default",0,1]],[[962,
946,0,165.7630004882813,72.80000305175781,0,0,1,0.5058823823928833,0.5,0,0,[]],70,1045,[],[],[0,"Default",0,1]],[[1143,1442,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1046,[["dva"]],[],[0,"Default",0,1]],[[3257,767,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,1047,[],[],[0,"Default",0,1]],[[2861,481,0,-239,210,0,0,1,0.5,0.5047619342803955,0,0,[]],65,1048,[],[],[0,"Default",0,1]],[[2275,232,0,161,702,0,0,1,0,0,0,0,[]],68,1049,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1558,1433,0,195,66,0,0,1,0,0,0,0,[]],68,1050,[],
[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[648,243,0,201,413,0,0,1,0,0,0,0,[]],68,1051,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1586,174,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,1052,[],[],[0,"Default",0,1]],[[653,-900,0,225.322998046875,236.7800903320313,0,0,0.699999988079071,0.4406779706478119,0.5,0,0,[[]]],81,1053,[],[[-90,0]],[0,"Default",0,1]],[[397,-951,0,80.23999786376953,75.63999938964844,0,0,1,0.4406779706478119,0.5,0,0,[[]]],81,1054,[],[[180,0]],[0,"Default",0,1]],[[974,568,0,20,20,0,0,1,
0.5,0.5,0,0,[]],78,1055,[["dva"]],[],[0,"Default",0,1]],[[1021,567,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1056,[["dva"]],[],[0,"Default",0,1]],[[998,537,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1057,[["dva"]],[],[0,"Default",0,1]],[[1073,566,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1058,[["dva"]],[],[0,"Default",0,1]],[[1047,536,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1059,[["dva"]],[],[0,"Default",0,1]],[[1121,566,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1060,[["dva"]],[],[0,"Default",0,1]],[[1097,536,0,20,20,0,0,1,0.5,0.5,0,0,[]],
78,1061,[["dva"]],[],[0,"Default",0,1]],[[1141,535,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1062,[["dva"]],[],[0,"Default",0,1]],[[1211,567,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1063,[["dva"]],[],[0,"Default",0,1]],[[1162,567,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1064,[["dva"]],[],[0,"Default",0,1]],[[1185,536,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1065,[["dva"]],[],[0,"Default",0,1]],[[1258,566,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1066,[["dva"]],[],[0,"Default",0,1]],[[1235,536,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1067,[["dva"]],
[],[0,"Default",0,1]],[[1310,565,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1068,[["dva"]],[],[0,"Default",0,1]],[[1284,535,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1069,[["dva"]],[],[0,"Default",0,1]],[[1334,535,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1070,[["dva"]],[],[0,"Default",0,1]],[[1831,-504,0,161,744,0,0,1,0,0,0,0,[]],68,1071,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[957,264,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,1072,[],[[]],[0,"Default",0,1]],[[1690,944,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1073,[["dva"]],[],[0,"Default",
0,1]],[[1754,942,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1074,[["dva"]],[],[0,"Default",0,1]],[[1722,913,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1075,[["dva"]],[],[0,"Default",0,1]],[[1689,877,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1076,[["dva"]],[],[0,"Default",0,1]],[[1753,876,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1077,[["dva"]],[],[0,"Default",0,1]],[[1722,843,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1078,[["dva"]],[],[0,"Default",0,1]],[[1936,624,0,91,341,0,0,1,0.5274725556373596,0.08797653764486313,0,0,[]],96,1079,[],[[1,5,
0,25,0,0,0,180,0]],[0,"Default",0,1]],[[1937,622,0,91,341,0,3.141592741012573,1,0.5274725556373596,0.08797653764486313,0,0,[]],96,1080,[],[[1,5,0,25,0,0,0,180,0]],[0,"Default",0,1]],[[2933,664,0,91,341,0,0,1,0.5274725556373596,0.08797653764486313,0,0,[]],96,1081,[],[[1,5,0,19,0,0,0,90,0]],[0,"Default",0,1]],[[3563,416,0,91,341,0,0,1,0.5274725556373596,0.08797653764486313,0,0,[]],96,1082,[],[[1,5,0,17,0,0,0,90,0]],[0,"Default",0,1]],[[3465,1199,0,91,341,0,3.141592741012573,1,0.5274725556373596,0.08797653764486313,
0,0,[]],96,1083,[],[[1,5,0,18,0,0,0,90,0]],[0,"Default",0,1]],[[3721,354,0,91,341,0,3.141592741012573,1,0.5274725556373596,0.08797653764486313,0,0,[]],96,1084,[],[[1,5,0,17,0,0,0,90,0]],[0,"Default",0,1]],[[2023,1440,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1085,[["dva"]],[],[0,"Default",0,1]],[[2070,1439,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1086,[["dva"]],[],[0,"Default",0,1]],[[2047,1409,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1087,[["dva"]],[],[0,"Default",0,1]],[[2122,1438,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1088,
[["dva"]],[],[0,"Default",0,1]],[[2096,1408,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1089,[["dva"]],[],[0,"Default",0,1]],[[2170,1438,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1090,[["dva"]],[],[0,"Default",0,1]],[[2146,1408,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1091,[["dva"]],[],[0,"Default",0,1]],[[2190,1407,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1092,[["dva"]],[],[0,"Default",0,1]],[[2260,1439,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1093,[["dva"]],[],[0,"Default",0,1]],[[2211,1439,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1094,[["dva"]],
[],[0,"Default",0,1]],[[2234,1408,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1095,[["dva"]],[],[0,"Default",0,1]],[[2307,1438,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1096,[["dva"]],[],[0,"Default",0,1]],[[2284,1408,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1097,[["dva"]],[],[0,"Default",0,1]],[[2359,1437,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1098,[["dva"]],[],[0,"Default",0,1]],[[2333,1407,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1099,[["dva"]],[],[0,"Default",0,1]],[[2407,1437,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1100,[["dva"]],[],[0,"Default",
0,1]],[[2383,1407,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1101,[["dva"]],[],[0,"Default",0,1]],[[1949,1326,0,148.0375213623047,139.5254364013672,0,0,1,-0.09589041024446487,-0.0972222238779068,0,0,[]],73,626,[],[],[0,"Default",0,1]],[[2781,1422,0,124.6275329589844,126.5809020996094,0,0,1,0.5,0.5070422291755676,0,0,[]],74,4802,[],[],[0,"Default",0,1]],[[908,1414,0,100,100,0,0,1,0.5,0.5,0,0,[]],231,4803,[],[[200,6E3,80,1,0,0,1],[-180,0]],[0,"Default",0,1]],[[645,-549,0,201,579,0,0,1,0,0,0,0,[]],68,783,[],[[1],
[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[692,136,0,98.36795806884766,216.7169036865234,0,0,1,0.5,0.5058823823928833,0,0,[]],89,2243,[],[[1]],[0,"Default",0,1]],[[756,222,0,186,47,0,0,1,0.5,0.517241358757019,0,0,[]],233,4296,[],[],[0,"Default",0,1]],[[1596,1620,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,1986,[],[[]],[0,"Default",0,1]],[[3581,1509,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,1987,[],[[]],[0,"Default",0,1]],[[3257,931,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,2018,[],[[]],[0,"Default",0,1]],[[3247,609,0,37,37,0,0,1,
0.5,0.5,0,0,[]],61,2192,[],[[]],[0,"Default",0,1]],[[3820,776,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,2193,[],[[]],[0,"Default",0,1]],[[3237,244,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,2255,[],[[]],[0,"Default",0,1]],[[2008,770,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,2256,[],[[]],[0,"Default",0,1]]],[]],["Earth",4,0x68215367e0651,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[],[]],["Power",5,0x8854548fb32be,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[],[]],["Mouse",6,5948430873177493,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[369,1332,0,64.01953125,
53.10530090332031,0,0,1,0.5,1,0,0,[]],42,124,[],[[]],[0,"Default",0,1]],[[368,1343,0,82.02706146240234,93.33332061767578,0,0,1,0.4545454680919647,0.01639344170689583,0,0,[]],45,125,[[150]],[[1],[115,0,35,3,0,0,1],[0,0,0,0,30,100,0,1],[1,0,0,4,0,0,0,50,0],[1,0,0,4,0,0,0,50,0]],[0,"Default",0,1]],[[369,1341,0,8.829414367675781,-1.735369682312012,0,-1.576729655265808,1,0,0.48828125,0,0,[]],41,126,[],[],[0,"Default",0,1]],[[-31,-253,0,128,128,0,1.57080864906311,1,0,0.5,0,0,[]],44,127,[],[],[5,30,0,70,
40,100,5,0,0,0,2,0,-250,0,2,800,0,0,0.7]],[[-131,-251,0,135,200,0,1.570796370506287,1,0,0.5,0,0,[]],43,128,[],[],[15,20,0,70,10,100,50,0,0,0,10,0,70,0,0,800,0,0,0.3]]],[]],["Decortop",7,9816816712878288,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[2980.39501953125,533.231201171875,0,183.2527008056641,109.1280059814453,0,0,1,0.5070422291755676,0.5,0,0,[]],82,786,[],[],[0,"Default",0,1]],[[1111.39501953125,568.231201171875,0,261.113525390625,90.45108795166016,0,0,1,0.5046728849411011,0.5135135054588318,0,
0,[]],71,3442,[],[],[0,"Default",0,1]],[[1051.39501953125,1373.231201171875,0,-239,210,0,0,1,0.5,0.5047619342803955,0,0,[]],65,3443,[],[],[0,"Default",0,1]],[[2917.39501953125,1442.231201171875,0,183.2527008056641,109.1280059814453,0,0,1,0.5070422291755676,0.5,0,0,[]],82,3444,[],[],[0,"Default",0,1]],[[1777.39501953125,193.2311859130859,0,183.2527008056641,109.1280059814453,0,0,1,0.5070422291755676,0.5,0,0,[]],82,3457,[],[],[0,"Default",0,1]],[[2941.39501953125,881.231201171875,0,239.0609588623047,
237.8890991210938,0,0,1,0.5,0.5,0,0,[]],83,3458,[],[],[0,"Default",0,1]],[[1583.39501953125,578.231201171875,0,135.1665649414063,77.238037109375,0,0,1,0.5074626803398132,0.5,0,0,[]],69,3459,[],[],[0,"Default",0,1]],[[2274.39501953125,-503.768798828125,0,160,737,0,0,1,0,0,0,0,[]],84,3460,[],[],[0,0]],[[3591.39501953125,1202.231201171875,0,261.113525390625,90.45108795166016,0,0,1,0.5046728849411011,0.5135135054588318,0,0,[]],71,3461,[],[],[0,"Default",0,1]]],[]],["Water",8,404405913474779,!0,[255,255,
255],!0,1,1,1,!1,1,0,0,[[[-894,1915,0,5773,70,0,0,1,0,0,0,0,[]],46,129,[],[[1,1,0,4E3,0,2E3,0,2E3,0]],[0,0]],[[-551,1908,0,5361,910,0,0,1,0,0,0,0,[]],47,130,[],[[1,1,0,4E3,0,2E3,0,2E3,0]],[0,0]],[[-575,1792,0,5390,128,0,0,1,0,0,0,0,[]],48,131,[],[[1,1,0,4E3,0,2E3,0,2E3,0]],[0,0]]],[]],["UI",9,8428942897451791,!0,[255,255,255],!0,0,0,1,!1,1,0,0,[[[129.9325103759766,715.2657470703125,0,180,180,0,0,1,0.5,0.5,0,0,[]],49,132,[],[],[0,"Default",0,1]],[[134.3137359619141,718.0804443359375,0,120,120,0,0,
1,0.4749999940395355,0.4833333194255829,0,0,[]],50,133,[[0]],[[0,1]],[0,"Default",0,1]],[[556.687255859375,833.5537109375,0,50,50,0,0,1,0.5142857432365417,0.5142857432365417,0,0,[]],60,145,[],[],[1,"Default",0,1]],[[446,27,0,-42,51,0,0,1,0.5116279125213623,0.5098039507865906,0,0,[]],52,134,[],[[]],[0,"Default",0,1]],[[151,27,0,43,51,0,0,1,0.5116279125213623,0.5098039507865906,0,0,[]],52,135,[],[[]],[0,"Default",0,1]],[[296,32,0,273,57,0,0,1,0.5018315315246582,0.5087719559669495,0,0,[]],54,136,[],
[],[0,"Default",0,1]],[[215,31,0,172.500732421875,32,0,0,1,0,0.5,0,0,[]],55,137,[],[[]],[0,"Default",0,1]],[[316,32,0,216,43,0,0,1,0.5,0.5116279125213623,0,0,[]],59,138,[],[[]],[0,"Default",0,1]],[[69,46,0,112,72,0,0,1,0.5,0.5,0,0,[]],51,139,[],[],[0,"Default",0,1]],[[532,46,0,112,72,0,0,1,0.5,0.5,0,0,[]],53,140,[],[],[0,"Default",0,1]],[[134,48,0,33.94112396240234,33.94112396240234,0,0,1,0.5,0.5,0,0,[]],62,141,[],[[]],[0,"Default",0,1]],[[-6,9,0,146.9591674804688,88,0,0,1,0,0,0,0,[]],56,142,[],[[]],
["Text",0,"32pt Arial Rounded MT Bold","rgb(255,255,51)",1,1,0,0,0]],[[459,8,0,146.9591674804688,88,0,0,1,0,0,0,0,[]],57,143,[],[[]],["Text",0,"32pt Arial Rounded MT Bold","rgb(204,255,255)",1,1,0,0,0]],[[469,47,0,31.93743896484375,31.93743896484375,0,0,1,0.5,0.5,0,0,[]],267,144,[],[[]],[0,"Default",0,1]]],[]],["Ball",10,0xa029b2d6d7135,!0,[255,255,255],!0,0,0,1,!1,1,0,0,[],[]]],[],[]],["Lewel5",4300,2E3,!1,"Lewel5",7904007082063473,[["BG",0,9008958424196636,!0,[44,159,205],!1,1,1,1,!1,1,0,0,[],[]],
["BG(sky)",1,979970397335046,!0,[255,255,255],!0,0.1000000014901161,0.800000011920929,1,!1,1,0,0,[[[-966,1135,0,6232,254,0,0,1,0,0,0,0,[]],39,147,[],[[1,0,3,70,0,0,0,1024,0]],[0,0]],[[-899,526,0,6054,260,0,0,1,0,0,0,0,[]],38,148,[],[[1,0,3,70,0,0,0,-1024,0]],[0,0]]],[]],["BG(mountian)",2,7965475090686437,!0,[255,255,255],!0,0.1000000014901161,0.800000011920929,1,!1,1,0,0,[[[-544,1319,0,5389,258,0,0,1,0,0,0,0,[]],40,149,[],[],[0,0]]],[]],["Map",3,6711797184055111,!0,[255,255,255],!0,1,1,1,!1,1,0,0,
[[[3600,695,0,165.7630004882813,72.80000305175781,0,0,1,0.5058823823928833,0.5,0,0,[]],70,1102,[],[],[0,"Default",0,1]],[[3641,277,0,135.1670074462891,77.23799896240234,0,0,1,0.5074626803398132,0.5,0,0,[]],69,1103,[],[],[0,"Default",0,1]],[[1497,169,0,50,50,0,-0.01136865559965372,1,0.5,0.5,0,0,[]],77,1104,[[14]],[],[0,"Default",0,1]],[[841,1410,0,107.8114242553711,61.14677810668945,0,0,1,0.5074626803398132,0.5,0,0,[]],69,1105,[],[],[0,"Default",0,1]],[[1363,170,0,50,50,0,-0.01136865559965372,1,0.5,
0.5,0,0,[]],77,1106,[[15]],[],[0,"Default",0,1]],[[2523,1386,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,1107,[],[[]],[0,"Default",0,1]],[[825,1416,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1108,[["dva"]],[],[0,"Default",0,1]],[[776,1416,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1109,[["dva"]],[],[0,"Default",0,1]],[[799,1385,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1110,[["dva"]],[],[0,"Default",0,1]],[[872,1415,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1111,[["dva"]],[],[0,"Default",0,1]],[[849,1385,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1112,[["dva"]],
[],[0,"Default",0,1]],[[924,1414,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1113,[["dva"]],[],[0,"Default",0,1]],[[898,1384,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1114,[["dva"]],[],[0,"Default",0,1]],[[972,1414,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1115,[["dva"]],[],[0,"Default",0,1]],[[948,1384,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1116,[["dva"]],[],[0,"Default",0,1]],[[992,1383,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1117,[["dva"]],[],[0,"Default",0,1]],[[2900,509,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,1118,[],[[]],[0,"Default",0,1]],
[[2336,373,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1119,[["dva"]],[],[0,"Default",0,1]],[[2384,373,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1120,[["dva"]],[],[0,"Default",0,1]],[[2360,343,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1121,[["dva"]],[],[0,"Default",0,1]],[[2430,373,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1122,[["dva"]],[],[0,"Default",0,1]],[[2404,342,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1123,[["dva"]],[],[0,"Default",0,1]],[[2477,372,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1124,[["dva"]],[],[0,"Default",0,1]],[[2454,342,0,20,
20,0,0,1,0.5,0.5,0,0,[]],78,1125,[["dva"]],[],[0,"Default",0,1]],[[2529,371,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1126,[["dva"]],[],[0,"Default",0,1]],[[2503,341,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1127,[["dva"]],[],[0,"Default",0,1]],[[2577,371,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1128,[["dva"]],[],[0,"Default",0,1]],[[2553,341,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1129,[["dva"]],[],[0,"Default",0,1]],[[1579,871,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1131,[["dva"]],[],[0,"Default",0,1]],[[1643,860,0,20,20,0,0,1,0.5,0.5,
0,0,[]],78,1132,[["dva"]],[],[0,"Default",0,1]],[[1611,840,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1133,[["dva"]],[],[0,"Default",0,1]],[[1611,902,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1134,[["dva"]],[],[0,"Default",0,1]],[[1578,806,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1135,[["dva"]],[],[0,"Default",0,1]],[[1642,805,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1136,[["dva"]],[],[0,"Default",0,1]],[[1611,772,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1137,[["dva"]],[],[0,"Default",0,1]],[[3546,1070,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1138,
[["dva"]],[],[0,"Default",0,1]],[[3610,1068,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1139,[["dva"]],[],[0,"Default",0,1]],[[3578,1039,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1140,[["dva"]],[],[0,"Default",0,1]],[[3578,1101,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1141,[["dva"]],[],[0,"Default",0,1]],[[3545,1003,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1142,[["dva"]],[],[0,"Default",0,1]],[[3609,1002,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1143,[["dva"]],[],[0,"Default",0,1]],[[3578,969,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1144,[["dva"]],
[],[0,"Default",0,1]],[[2957,1196,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,1145,[],[[]],[0,"Default",0,1]],[[2201,603,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1147,[["dva"]],[],[0,"Default",0,1]],[[2248,602,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1148,[["dva"]],[],[0,"Default",0,1]],[[2225,572,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1149,[["dva"]],[],[0,"Default",0,1]],[[2300,601,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1150,[["dva"]],[],[0,"Default",0,1]],[[2274,571,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1151,[["dva"]],[],[0,"Default",0,1]],
[[2348,601,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1152,[["dva"]],[],[0,"Default",0,1]],[[2324,571,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1153,[["dva"]],[],[0,"Default",0,1]],[[2368,570,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1154,[["dva"]],[],[0,"Default",0,1]],[[2438,602,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1155,[["dva"]],[],[0,"Default",0,1]],[[2389,602,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1156,[["dva"]],[],[0,"Default",0,1]],[[2412,571,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1157,[["dva"]],[],[0,"Default",0,1]],[[2485,601,0,20,
20,0,0,1,0.5,0.5,0,0,[]],78,1158,[["dva"]],[],[0,"Default",0,1]],[[2462,571,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1159,[["dva"]],[],[0,"Default",0,1]],[[2537,600,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1160,[["dva"]],[],[0,"Default",0,1]],[[2511,570,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1161,[["dva"]],[],[0,"Default",0,1]],[[2585,600,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1162,[["dva"]],[],[0,"Default",0,1]],[[2561,570,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1163,[["dva"]],[],[0,"Default",0,1]],[[2218,860,0,20,20,0,0,1,0.5,0.5,
0,0,[]],78,1164,[["dva"]],[],[0,"Default",0,1]],[[2265,859,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1165,[["dva"]],[],[0,"Default",0,1]],[[2242,829,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1166,[["dva"]],[],[0,"Default",0,1]],[[2317,858,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1167,[["dva"]],[],[0,"Default",0,1]],[[2291,828,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1168,[["dva"]],[],[0,"Default",0,1]],[[2365,858,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1169,[["dva"]],[],[0,"Default",0,1]],[[2341,828,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1170,
[["dva"]],[],[0,"Default",0,1]],[[2385,827,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1171,[["dva"]],[],[0,"Default",0,1]],[[2455,859,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1172,[["dva"]],[],[0,"Default",0,1]],[[2406,859,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1173,[["dva"]],[],[0,"Default",0,1]],[[2429,828,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1174,[["dva"]],[],[0,"Default",0,1]],[[2502,858,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1175,[["dva"]],[],[0,"Default",0,1]],[[2479,828,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1176,[["dva"]],[],[0,
"Default",0,1]],[[2554,857,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1177,[["dva"]],[],[0,"Default",0,1]],[[2528,827,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1178,[["dva"]],[],[0,"Default",0,1]],[[2602,857,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1179,[["dva"]],[],[0,"Default",0,1]],[[2578,827,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1180,[["dva"]],[],[0,"Default",0,1]],[[3576,905,0,50,50,0,-0.01136865559965372,1,0.5,0.5,0,0,[]],77,1181,[[16]],[],[0,"Default",0,1]],[[2929,169,0,153,69,0,0,1,0.5046728849411011,0.5,0,0,[]],64,1182,
[],[],[0,"Default",1,1]],[[3570,664,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,1183,[],[],[0,"Default",0,1]],[[3010,421,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,1184,[],[],[0,"Default",0,1]],[[2123,584,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,1185,[],[],[0,"Default",0,1]],[[1229,167,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,1186,[],[],[0,"Default",0,1]],[[3551,236,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,1187,[],[],[0,"Default",0,1]],[[1296,278,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,1188,[],[],[0,"Default",0,1]],[[1433,276,0,68,68,0,0,1,0.5,0.5,
0,0,[]],79,1189,[],[],[0,"Default",0,1]],[[1443,1386,0,194,65,0,0,1,0,0,0,0,[]],75,1190,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1439,1386,0,203.3424072265625,15.8963623046875,0,0,1,0,0,0,0,[]],67,1191,[],[],[0,0]],[[1814,633,0,790,65,0,0,1,0,0,0,0,[]],75,1192,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1810,631,0,799.3424072265625,15.8963623046875,0,0,1,0,0,0,0,[]],67,1193,[],[],[0,0]],[[1244,332,0,578,65,0,0,1,0,0,0,0,[]],75,1194,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1238,328,
0,587.3424072265625,15.8963623046875,0,0,1,0,0,0,0,[]],67,1195,[],[],[0,0]],[[1829,1065,0,907,65,0,0,1,0,0,0,0,[]],75,1196,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1825,1055,0,916,16,0,0,1,0,0,0,0,[]],67,1197,[],[],[0,0]],[[2817,554,0,242,65,0,0,1,0,0,0,0,[]],75,1198,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[2812,554,0,249,16,0,0,1,0,0,0,0,[]],67,1199,[],[],[0,0]],[[1834,1128,0,897,69,0,0,1,0,0,0,0,[]],68,1200,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[-341,-1361,0,502,3835,0,0,1,0,
0,0,0,[]],66,1201,[],[[1,0,0,1,0.5,0.2,0,0.01,0,1],[1]],[0,0]],[[845,1143,0,396,65,0,0,1,0,0,0,0,[]],75,1202,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[845,1142,0,394,16,0,0,1,0,0,0,0,[]],67,1203,[],[],[0,0]],[[291,1435,0,740,65,0,0,1,0,0,0,0,[]],75,1204,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[290,1431,0,743,16,0,0,1,0,0,0,0,[]],67,1205,[],[],[0,0]],[[3448,724,0,242,65,0,0,1,0,0,0,0,[]],75,1206,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[3444,723,0,249,16,0,0,1,0,0,0,0,[]],67,1207,[],
[],[0,0]],[[2006,1442,0,1049,65,0,0,1,0,0,0,0,[]],75,1208,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[2002,1442,0,1054,16,0,0,1,0,0,0,0,[]],67,1209,[],[],[0,0]],[[2891,960,0,161,65,0,0,1,0,0,0,0,[]],75,1210,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[2887,958,0,168,16,0,0,1,0,0,0,0,[]],67,1211,[],[],[0,0]],[[3440,301,0,255,65,0,0,1,0,0,0,0,[]],75,1212,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[3436,300,0,264.3424072265625,15.8963623046875,0,0,1,0,0,0,0,[]],67,1213,[],[],[0,0]],[[3447,1206,
0,262,65,0,0,1,0,0,0,0,[]],75,1214,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[3446,1204,0,265,16,0,0,1,0,0,0,0,[]],67,1215,[],[],[0,0]],[[3964,-1309,0,501,3631,0,0,1,0,0,0,0,[]],66,1216,[],[[1,0,0,1,0.5,0.2,0,0.01,0,1],[1]],[0,0]],[[927,1121,0,165.7630004882813,72.80000305175781,0,0,1,0.5058823823928833,0.5,0,0,[]],70,1217,[],[],[0,"Default",0,1]],[[2683,1384,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,1218,[],[],[0,"Default",0,1]],[[1014,1414,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1220,[["dva"]],[],[0,"Default",
0,1]],[[224,1468,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,1221,[],[],[0,"Default",0,1]],[[2855,467,0,-239,210,0,0,1,0.5,0.5047619342803955,0,0,[]],65,1222,[],[],[0,"Default",0,1]],[[160,-643,0,849,1559,0,0,1,0,0,0,0,[]],68,1223,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1242,398,0,201,1053,0,0,1,0,0,0,0,[]],68,1224,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1574,280,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,1225,[],[],[0,"Default",0,1]],[[659,-919,0,225.322998046875,236.7800903320313,0,0,0.699999988079071,
0.4406779706478119,0.5,0,0,[[]]],81,1226,[],[[-90,0]],[0,"Default",0,1]],[[403,-970,0,80.23999786376953,75.63999938964844,0,0,1,0.4406779706478119,0.5,0,0,[[]]],81,1227,[],[[180,0]],[0,"Default",0,1]],[[1837,862,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1228,[["dva"]],[],[0,"Default",0,1]],[[1884,861,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1229,[["dva"]],[],[0,"Default",0,1]],[[1861,831,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1230,[["dva"]],[],[0,"Default",0,1]],[[1936,860,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1231,[["dva"]],
[],[0,"Default",0,1]],[[1910,830,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1232,[["dva"]],[],[0,"Default",0,1]],[[1984,860,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1233,[["dva"]],[],[0,"Default",0,1]],[[1960,830,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1234,[["dva"]],[],[0,"Default",0,1]],[[2004,829,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1235,[["dva"]],[],[0,"Default",0,1]],[[2074,861,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1236,[["dva"]],[],[0,"Default",0,1]],[[2025,861,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1237,[["dva"]],[],[0,"Default",
0,1]],[[2048,830,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1238,[["dva"]],[],[0,"Default",0,1]],[[2121,860,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1239,[["dva"]],[],[0,"Default",0,1]],[[2098,830,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1240,[["dva"]],[],[0,"Default",0,1]],[[2173,859,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1241,[["dva"]],[],[0,"Default",0,1]],[[2147,829,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1242,[["dva"]],[],[0,"Default",0,1]],[[2197,829,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1243,[["dva"]],[],[0,"Default",0,1]],[[1533,1629,
0,37,37,0,0,1,0.5,0.5,0,0,[]],61,1244,[],[[]],[0,"Default",0,1]],[[1579,736,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1245,[["dva"]],[],[0,"Default",0,1]],[[1643,734,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1246,[["dva"]],[],[0,"Default",0,1]],[[1611,705,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1247,[["dva"]],[],[0,"Default",0,1]],[[1578,669,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1248,[["dva"]],[],[0,"Default",0,1]],[[1642,668,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1249,[["dva"]],[],[0,"Default",0,1]],[[1611,635,0,20,20,0,0,1,0.5,0.5,
0,0,[]],78,1250,[["dva"]],[],[0,"Default",0,1]],[[2029,1409,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1251,[["dva"]],[],[0,"Default",0,1]],[[2076,1408,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1252,[["dva"]],[],[0,"Default",0,1]],[[2053,1378,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1253,[["dva"]],[],[0,"Default",0,1]],[[2128,1407,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1254,[["dva"]],[],[0,"Default",0,1]],[[2102,1377,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1255,[["dva"]],[],[0,"Default",0,1]],[[2176,1407,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,
1256,[["dva"]],[],[0,"Default",0,1]],[[2152,1377,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1257,[["dva"]],[],[0,"Default",0,1]],[[2196,1376,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1258,[["dva"]],[],[0,"Default",0,1]],[[2266,1408,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1259,[["dva"]],[],[0,"Default",0,1]],[[2217,1408,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1260,[["dva"]],[],[0,"Default",0,1]],[[2240,1377,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1261,[["dva"]],[],[0,"Default",0,1]],[[2313,1407,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1262,[["dva"]],
[],[0,"Default",0,1]],[[2290,1377,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1263,[["dva"]],[],[0,"Default",0,1]],[[2365,1406,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1264,[["dva"]],[],[0,"Default",0,1]],[[2339,1376,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1265,[["dva"]],[],[0,"Default",0,1]],[[2413,1406,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1266,[["dva"]],[],[0,"Default",0,1]],[[2389,1376,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1267,[["dva"]],[],[0,"Default",0,1]],[[1503,244,0,100,58,0,0,1,0.5166666507720947,0.5142857432365417,0,0,[]],
97,1268,[],[],[0,"Default",0,1]],[[1332,1636,0,100,58,0,0,1,0.5166666507720947,0.5142857432365417,0,0,[]],97,1270,[],[],[0,"Default",0,1]],[[1230,246,0,100,58,0,0,1,0.5166666507720947,0.5142857432365417,0,0,[]],97,1271,[],[],[0,"Default",0,1]],[[1369,245,0,100,58,0,0,1,0.5166666507720947,0.5142857432365417,0,0,[]],97,1272,[],[],[0,"Default",0,1]],[[1117,554,0,58,100,0,0,1,0.4857142865657806,0.5,0,0,[]],98,1273,[],[],[0,"Default",0,1]],[[1119,428,0,58,100,0,0,1,0.4857142865657806,0.5,0,0,[]],98,1274,
[],[],[0,"Default",0,1]],[[1119,298,0,58,100,0,0,1,0.4857142865657806,0.5,0,0,[]],98,1275,[],[],[0,"Default",0,1]],[[2065,1008,0,131.3986358642578,109.4988555908203,0,0,1,0.5,0.5,0,0,[]],100,775,[],[[1,0,1,12,0,0,0,200,0]],[0,"Default",0,1]],[[2292,1036,0,47,41,0,0,1,0.5,0.5,0,0,[]],101,776,[],[],[1,"Default",0,1]],[[1848,1036,0,46.61544799804688,39.79367446899414,0,0,1,0.5,0.5,0,0,[]],102,1219,[],[],[1,"Default",0,1]],[[2360,583,0,131.3986358642578,109.4988555908203,0,0,1,0.5,0.5,0,0,[]],100,3445,
[],[[1,0,1,12,0,0,0,200,0]],[0,"Default",0,1]],[[2587,611,0,47,41,0,0,1,0.5,0.5,0,0,[]],101,3446,[],[],[1,"Default",0,1]],[[2143,611,0,46.61544799804688,39.79367446899414,0,0,1,0.5,0.5,0,0,[]],102,4294,[],[],[1,"Default",0,1]],[[1620,1068,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,1269,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[1803,1339,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,4804,[],[[1,0,0,7,0,0,0,
10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[1703,1653,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,4805,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[1702,1541,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,4806,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[1525,1269,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,4807,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,
0,14,0]],[0,"Default",0,1]],[[3134,1228,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,1146,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[3285,1004,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,3468,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[3178,765,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,4809,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",
0,1]],[[3300,560,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,4810,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[3168,379,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,4811,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[3794,1287,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,4812,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[3788,994,0,81.1567153930664,
82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,4813,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[3822,687,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,4815,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[3784,379,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,4816,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[1118,683,0,58,100,0,0,1,0.4857142865657806,0.5,0,
0,[]],98,3653,[],[],[0,"Default",0,1]],[[3305,1211,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,2426,[],[[]],[0,"Default",0,1]],[[3296,369,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,3083,[],[[]],[0,"Default",0,1]],[[3302,787,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,3084,[],[[]],[0,"Default",0,1]],[[1745,1135,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,3085,[],[[]],[0,"Default",0,1]],[[1724,244,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,3099,[],[[]],[0,"Default",0,1]]],[]],["Earth",4,8393652925598994,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[],[]],["Power",
5,9430414610922978,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[],[]],["Mouse",6,909780715950804,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[579,1315,0,64.01953125,53.10530090332031,0,0,1,0.5,1,0,0,[]],42,150,[],[[]],[0,"Default",0,1]],[[578,1326,0,82.02706146240234,93.33332061767578,0,0,1,0.4545454680919647,0.01639344170689583,0,0,[]],45,151,[[150]],[[1],[115,0,35,3,0,0,1],[0,0,0,0,30,100,0,1],[1,0,0,4,0,0,0,50,0],[1,0,0,4,0,0,0,50,0]],[0,"Default",0,1]],[[579,1324,0,8.829414367675781,-1.735369682312012,0,-1.576729655265808,
1,0,0.48828125,0,0,[]],41,152,[],[],[0,"Default",0,1]],[[-31,-253,0,128,128,0,1.57080864906311,1,0,0.5,0,0,[]],44,153,[],[],[5,30,0,70,40,100,5,0,0,0,2,0,-250,0,2,800,0,0,0.7]],[[-131,-251,0,135,200,0,1.570796370506287,1,0,0.5,0,0,[]],43,154,[],[],[15,20,0,70,10,100,50,0,0,0,10,0,70,0,0,800,0,0,0.3]]],[]],["Decortop",7,0xe47dd7a84a38a,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[2993,528,0,146.1903533935547,86.47879791259766,0,0,1,0.5070422291755676,0.5,0,0,[]],82,3462,[],[],[0,"Default",0,1]],[[1152,1126,
0,182.6088104248047,63.14509963989258,0,0,1,0.5046728849411011,0.5135135054588318,0,0,[]],71,3463,[],[],[0,"Default",0,1]],[[947,1340,0,-239,210,0,0,1,0.5,0.5047619342803955,0,0,[]],65,3464,[],[],[0,"Default",0,1]],[[2967,1418,0,146.1903533935547,86.47879791259766,0,0,1,0.5070422291755676,0.5,0,0,[]],82,3465,[],[],[0,"Default",0,1]],[[1896,1031,0,146.1903533935547,86.47879791259766,0,0,1,0.5070422291755676,0.5,0,0,[]],82,3466,[],[],[0,"Default",0,1]],[[2971,863,0,239.0610046386719,237.8890075683594,
0,0,1,0.5,0.5,0,0,[]],83,3467,[],[],[0,"Default",0,1]],[[3641,1190,0,182.6088104248047,63.14509963989258,0,0,1,0.5046728849411011,0.5135135054588318,0,0,[]],71,3469,[],[],[0,"Default",0,1]]],[]],["Water",8,0x92bbe7509f39e,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[-894,1845,0,5773,70,0,0,1,0,0,0,0,[]],46,155,[],[[1,1,0,4E3,0,2E3,0,2E3,0]],[0,0]],[[-551,1838,0,5361,910,0,0,1,0,0,0,0,[]],47,156,[],[[1,1,0,4E3,0,2E3,0,2E3,0]],[0,0]],[[-575,1722,0,5390,128,0,0,1,0,0,0,0,[]],48,157,[],[[1,1,0,4E3,0,2E3,0,2E3,
0]],[0,0]]],[]],["UI",9,0xe0cc596ee4eb1,!0,[255,255,255],!0,0,0,1,!1,1,0,0,[[[129.9325103759766,715.2657470703125,0,180,180,0,0,1,0.5,0.5,0,0,[]],49,158,[],[],[0,"Default",0,1]],[[134.3137359619141,718.0804443359375,0,120,120,0,0,1,0.4749999940395355,0.4833333194255829,0,0,[]],50,159,[[0]],[[0,1]],[0,"Default",0,1]],[[556.687255859375,833.5537109375,0,50,50,0,0,1,0.5142857432365417,0.5142857432365417,0,0,[]],60,171,[],[],[1,"Default",0,1]],[[442,27,0,-42,51,0,0,1,0.5116279125213623,0.5098039507865906,
0,0,[]],52,160,[],[[]],[0,"Default",0,1]],[[147,27,0,43,51,0,0,1,0.5116279125213623,0.5098039507865906,0,0,[]],52,161,[],[[]],[0,"Default",0,1]],[[292,32,0,273,57,0,0,1,0.5018315315246582,0.5087719559669495,0,0,[]],54,162,[],[],[0,"Default",0,1]],[[211,31,0,172.500732421875,32,0,0,1,0,0.5,0,0,[]],55,163,[],[[]],[0,"Default",0,1]],[[312,32,0,216,43,0,0,1,0.5,0.5116279125213623,0,0,[]],59,164,[],[[]],[0,"Default",0,1]],[[65,46,0,112,72,0,0,1,0.5,0.5,0,0,[]],51,165,[],[],[0,"Default",0,1]],[[528,46,
0,112,72,0,0,1,0.5,0.5,0,0,[]],53,166,[],[],[0,"Default",0,1]],[[130,48,0,33.94112396240234,33.94112396240234,0,0,1,0.5,0.5,0,0,[]],62,167,[],[[]],[0,"Default",0,1]],[[-10,9,0,146.9591674804688,88,0,0,1,0,0,0,0,[]],56,168,[],[[]],["Text",0,"32pt Arial Rounded MT Bold","rgb(255,255,51)",1,1,0,0,0]],[[455,8,0,146.9591674804688,88,0,0,1,0,0,0,0,[]],57,169,[],[[]],["Text",0,"32pt Arial Rounded MT Bold","rgb(204,255,255)",1,1,0,0,0]],[[465,47,0,31.93743896484375,31.93743896484375,0,0,1,0.5,0.5,0,0,[]],
267,170,[],[[]],[0,"Default",0,1]]],[]],["Ball",10,7370583758018583,!0,[255,255,255],!0,0,0,1,!1,1,0,0,[],[]]],[],[]],["Lewel6",4300,2E3,!1,"Lewel6",7960915255493167,[["BG",0,0x753474db2f217,!0,[44,159,205],!1,1,1,1,!1,1,0,0,[],[]],["BG(sky)",1,9342248749540776,!0,[255,255,255],!0,0.1000000014901161,0.800000011920929,1,!1,1,0,0,[[[-966,1135,0,6232,254,0,0,1,0,0,0,0,[]],39,173,[],[[1,0,3,70,0,0,0,1024,0]],[0,0]],[[-899,526,0,6054,260,0,0,1,0,0,0,0,[]],38,174,[],[[1,0,3,70,0,0,0,-1024,0]],[0,0]]],[]],
["BG(mountian)",2,7781210050703513,!0,[255,255,255],!0,0.1000000014901161,0.800000011920929,1,!1,1,0,0,[[[-544,1319,0,5389,258,0,0,1,0,0,0,0,[]],40,175,[],[],[0,0]],[[274,1136,0,169.6275634765625,196.5777282714844,0,0,1,0.5046728849411011,0.5,0,0,[]],197,3473,[],[],[0,"Default",0,1]],[[1201,822,0,201.1076354980469,233.0592956542969,0,0,1,0.5046728849411011,0.5,0,0,[]],197,4818,[],[],[0,"Default",0,1]],[[1579,1324,0,284.8093566894531,330.0594177246094,0,0,1,0.5046728849411011,0.5,0,0,[]],197,4819,
[],[],[0,"Default",0,1]]],[]],["Map",3,0x743a01f52402d,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[2023.10986328125,958.1090698242188,0,96.690673828125,65.5428466796875,0,0,1,0,0,0,0,[]],99,1276,[],[],[0,0]],[[3412,544,0,165.7630004882813,72.80000305175781,0,0,1,0.5058823823928833,0.5,0,0,[]],70,1277,[],[],[0,"Default",0,1]],[[3696,214,0,135.1665649414063,77.238037109375,0,0,1,0.5074626803398132,0.5,0,0,[]],69,1278,[],[],[0,"Default",0,1]],[[1294,202,0,50,50,0,-0.01136865559965372,1,0.5,0.5,0,0,[]],77,
1279,[[20]],[],[0,"Default",0,1]],[[248,1547,0,135.1665649414063,77.238037109375,0,0,1,0.5074626803398132,0.5,0,0,[]],69,1280,[],[],[0,"Default",0,1]],[[620,460,0,50,50,0,-0.01136865559965372,1,0.5,0.5,0,0,[]],77,1281,[[21]],[],[0,"Default",0,1]],[[2116,563,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,1282,[],[[]],[0,"Default",0,1]],[[232,1553,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1283,[["dva"]],[],[0,"Default",0,1]],[[183,1553,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1284,[["dva"]],[],[0,"Default",0,1]],[[206,1522,0,20,
20,0,0,1,0.5,0.5,0,0,[]],78,1285,[["dva"]],[],[0,"Default",0,1]],[[279,1552,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1286,[["dva"]],[],[0,"Default",0,1]],[[256,1522,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1287,[["dva"]],[],[0,"Default",0,1]],[[331,1551,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1288,[["dva"]],[],[0,"Default",0,1]],[[305,1521,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1289,[["dva"]],[],[0,"Default",0,1]],[[379,1551,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1290,[["dva"]],[],[0,"Default",0,1]],[[355,1521,0,20,20,0,0,1,0.5,0.5,
0,0,[]],78,1291,[["dva"]],[],[0,"Default",0,1]],[[399,1520,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1292,[["dva"]],[],[0,"Default",0,1]],[[1899,261,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,1293,[],[[]],[0,"Default",0,1]],[[1783,270,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1294,[["dva"]],[],[0,"Default",0,1]],[[1831,270,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1295,[["dva"]],[],[0,"Default",0,1]],[[1807,240,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1296,[["dva"]],[],[0,"Default",0,1]],[[1877,270,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1297,[["dva"]],
[],[0,"Default",0,1]],[[1851,239,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1298,[["dva"]],[],[0,"Default",0,1]],[[1924,269,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1299,[["dva"]],[],[0,"Default",0,1]],[[1901,239,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1300,[["dva"]],[],[0,"Default",0,1]],[[1976,268,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1301,[["dva"]],[],[0,"Default",0,1]],[[1950,238,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1302,[["dva"]],[],[0,"Default",0,1]],[[2024,268,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1303,[["dva"]],[],[0,"Default",
0,1]],[[2E3,238,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1304,[["dva"]],[],[0,"Default",0,1]],[[389,1378,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1306,[["dva"]],[],[0,"Default",0,1]],[[453,1367,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1307,[["dva"]],[],[0,"Default",0,1]],[[421,1347,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1308,[["dva"]],[],[0,"Default",0,1]],[[421,1409,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1309,[["dva"]],[],[0,"Default",0,1]],[[388,1313,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1310,[["dva"]],[],[0,"Default",0,1]],[[452,1312,
0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1311,[["dva"]],[],[0,"Default",0,1]],[[421,1279,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1312,[["dva"]],[],[0,"Default",0,1]],[[3087,801,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1313,[["dva"]],[],[0,"Default",0,1]],[[3151,799,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1314,[["dva"]],[],[0,"Default",0,1]],[[3119,770,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1315,[["dva"]],[],[0,"Default",0,1]],[[3119,832,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1316,[["dva"]],[],[0,"Default",0,1]],[[3086,734,0,20,20,0,0,1,0.5,
0.5,0,0,[]],78,1317,[["dva"]],[],[0,"Default",0,1]],[[3150,733,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1318,[["dva"]],[],[0,"Default",0,1]],[[3119,700,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1319,[["dva"]],[],[0,"Default",0,1]],[[3120,910,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,1320,[],[[]],[0,"Default",0,1]],[[1214,1248,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,1321,[],[[]],[0,"Default",0,1]],[[969,968,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1322,[["dva"]],[],[0,"Default",0,1]],[[1016,967,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1323,[["dva"]],
[],[0,"Default",0,1]],[[993,937,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1324,[["dva"]],[],[0,"Default",0,1]],[[1068,966,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1325,[["dva"]],[],[0,"Default",0,1]],[[1042,936,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1326,[["dva"]],[],[0,"Default",0,1]],[[1116,966,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1327,[["dva"]],[],[0,"Default",0,1]],[[1092,936,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1328,[["dva"]],[],[0,"Default",0,1]],[[1136,935,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1329,[["dva"]],[],[0,"Default",
0,1]],[[1206,967,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1330,[["dva"]],[],[0,"Default",0,1]],[[1157,967,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1331,[["dva"]],[],[0,"Default",0,1]],[[1180,936,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1332,[["dva"]],[],[0,"Default",0,1]],[[1253,966,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1333,[["dva"]],[],[0,"Default",0,1]],[[1230,936,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1334,[["dva"]],[],[0,"Default",0,1]],[[1305,965,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1335,[["dva"]],[],[0,"Default",0,1]],[[1279,935,
0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1336,[["dva"]],[],[0,"Default",0,1]],[[1353,965,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1337,[["dva"]],[],[0,"Default",0,1]],[[1329,935,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1338,[["dva"]],[],[0,"Default",0,1]],[[1039,1550,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1339,[["dva"]],[],[0,"Default",0,1]],[[1016,1520,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1340,[["dva"]],[],[0,"Default",0,1]],[[1091,1549,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1341,[["dva"]],[],[0,"Default",0,1]],[[1065,1519,0,20,20,0,0,
1,0.5,0.5,0,0,[]],78,1342,[["dva"]],[],[0,"Default",0,1]],[[1139,1549,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1343,[["dva"]],[],[0,"Default",0,1]],[[1115,1519,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1344,[["dva"]],[],[0,"Default",0,1]],[[1159,1518,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1345,[["dva"]],[],[0,"Default",0,1]],[[1229,1550,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1346,[["dva"]],[],[0,"Default",0,1]],[[1180,1550,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1347,[["dva"]],[],[0,"Default",0,1]],[[1203,1519,0,20,20,0,0,1,0.5,0.5,
0,0,[]],78,1348,[["dva"]],[],[0,"Default",0,1]],[[1276,1549,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1349,[["dva"]],[],[0,"Default",0,1]],[[1253,1519,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1350,[["dva"]],[],[0,"Default",0,1]],[[1328,1548,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1351,[["dva"]],[],[0,"Default",0,1]],[[1302,1518,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1352,[["dva"]],[],[0,"Default",0,1]],[[1376,1548,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1353,[["dva"]],[],[0,"Default",0,1]],[[1352,1518,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,
1354,[["dva"]],[],[0,"Default",0,1]],[[2070,1192,0,50,50,0,-0.01136865559965372,1,0.5,0.5,0,0,[]],77,1355,[[22]],[],[0,"Default",0,1]],[[3115,258,0,153,69,0,0,1,0.5046728849411011,0.5,0,0,[]],64,1356,[],[],[0,"Default",1,1]],[[3382,513,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,1357,[],[],[0,"Default",0,1]],[[1596,565,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,1358,[],[],[0,"Default",0,1]],[[2132,240,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,1359,[],[],[0,"Default",0,1]],[[1219,201,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,1360,[],[],
[0,"Default",0,1]],[[3678,174,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,1361,[],[],[0,"Default",0,1]],[[1311,1245,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,1362,[],[],[0,"Default",0,1]],[[1967,1190,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,1363,[],[],[0,"Default",0,1]],[[352,509,0,385.3350219726563,65,0,0,1,0,0,0,0,[]],75,1364,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[352,509,0,384.994140625,15.8963623046875,0,0,1,0,0,0,0,[]],67,1365,[],[],[0,0]],[[513,255,0,223,65,0,0,1,0,0,0,0,[]],75,1366,[],[[1],[1,0,0,1,0.5,0.2,0,
0.01,0,1]],[0,0]],[[509,253,0,232.3424072265625,15.8963623046875,0,0,1,0,0,0,0,[]],67,1367,[],[],[0,0]],[[862,703,0,322,65,0,0,1,0,0,0,0,[]],75,1368,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[859,699,0,328,16,0,0,1,0,0,0,0,[]],67,1369,[],[],[0,0]],[[2994,1247,0,998,65,0,0,1,0,0,0,0,[]],75,1370,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[2990,1237,0,1007,16,0,0,1,0,0,0,0,[]],67,1371,[],[],[0,0]],[[1766,306,0,618,65,0,0,1,0,0,0,0,[]],75,1372,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1761,
306,0,625,16,0,0,1,0,0,0,0,[]],67,1373,[],[],[0,0]],[[2999,1310,0,988,432,0,0,1,0,0,0,0,[]],68,1374,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[-329,-1406,0,502,3835,0,0,1,0,0,0,0,[]],66,1375,[],[[1,0,0,1,0.5,0.2,0,0.01,0,1],[1]],[0,0]],[[866,994,0,510,65,0,0,1,0,0,0,0,[]],75,1376,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[862,993,0,515,16,0,0,1,0,0,0,0,[]],67,1377,[],[],[0,0]],[[171,1572,0,267,65,0,0,1,0,0,0,0,[]],75,1378,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[170,1568,0,270,16,0,
0,1,0,0,0,0,[]],67,1379,[],[],[0,0]],[[3260,573,0,242,65,0,0,1,0,0,0,0,[]],75,1380,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[3256,572,0,249,16,0,0,1,0,0,0,0,[]],67,1381,[],[],[0,0]],[[1539,619,0,731,65,0,0,1,0,0,0,0,[]],75,1382,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1535,619,0,736,16,0,0,1,0,0,0,0,[]],67,1383,[],[],[0,0]],[[1059,1311,0,313,65,0,0,1,0,0,0,0,[]],75,1384,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1055,1309,0,320,16,0,0,1,0,0,0,0,[]],67,1385,[],[],[0,0]],[[3567,239,0,
255,65,0,0,1,0,0,0,0,[]],75,1386,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[3563,238,0,264.3424072265625,15.8963623046875,0,0,1,0,0,0,0,[]],67,1387,[],[],[0,0]],[[2988,947,0,262,65,0,0,1,0,0,0,0,[]],75,1388,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[2987,945,0,265,16,0,0,1,0,0,0,0,[]],67,1389,[],[],[0,0]],[[3979,-1354,0,501,3631,0,0,1,0,0,0,0,[]],66,1390,[],[[1,0,0,1,0.5,0.2,0,0.01,0,1],[1]],[0,0]],[[934,972,0,165.7630004882813,72.80000305175781,0,0,1,0.5058823823928833,0.5,0,0,[]],70,1391,
[],[],[0,"Default",0,1]],[[2216,561,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,1392,[],[],[0,"Default",0,1]],[[3106,1206,0,165.7630004882813,72.80000305175781,0,0,1,0.5058823823928833,0.5,0,0,[]],70,1393,[],[],[0,"Default",0,1]],[[421,1551,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1394,[["dva"]],[],[0,"Default",0,1]],[[1119,1244,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,1395,[],[],[0,"Default",0,1]],[[1816,214,0,-239,210,0,0,1,0.5,0.5047619342803955,0,0,[]],65,1396,[],[],[0,"Default",0,1]],[[512,573,0,226,1181,0,0,1,0,0,0,0,
[]],68,1397,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[865,1058,0,195,319,0,0,1,0,0,0,0,[]],68,1398,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1178,251,0,191,519,0,0,1,0,0,0,0,[]],68,1399,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[2173,1189,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,1400,[],[],[0,"Default",0,1]],[[674,-964,0,225.322998046875,236.7800903320313,0,0,0.699999988079071,0.4406779706478119,0.5,0,0,[[]]],81,1401,[],[[-90,0]],[0,"Default",0,1]],[[418,-1015,0,80.23999786376953,75.63999938964844,
0,0,1,0.4406779706478119,0.5,0,0,[[]]],81,1402,[],[[180,0]],[0,"Default",0,1]],[[530,227,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1403,[["dva"]],[],[0,"Default",0,1]],[[577,226,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1404,[["dva"]],[],[0,"Default",0,1]],[[554,196,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1405,[["dva"]],[],[0,"Default",0,1]],[[629,225,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1406,[["dva"]],[],[0,"Default",0,1]],[[603,195,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1407,[["dva"]],[],[0,"Default",0,1]],[[677,225,0,20,20,0,0,
1,0.5,0.5,0,0,[]],78,1408,[["dva"]],[],[0,"Default",0,1]],[[653,195,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1409,[["dva"]],[],[0,"Default",0,1]],[[697,194,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1410,[["dva"]],[],[0,"Default",0,1]],[[718,226,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1411,[["dva"]],[],[0,"Default",0,1]],[[956,1534,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,1412,[],[[]],[0,"Default",0,1]],[[389,1243,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1413,[["dva"]],[],[0,"Default",0,1]],[[453,1241,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1414,
[["dva"]],[],[0,"Default",0,1]],[[421,1212,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1415,[["dva"]],[],[0,"Default",0,1]],[[388,1176,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1416,[["dva"]],[],[0,"Default",0,1]],[[452,1175,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1417,[["dva"]],[],[0,"Default",0,1]],[[421,1142,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1418,[["dva"]],[],[0,"Default",0,1]],[[1652,586,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1419,[["dva"]],[],[0,"Default",0,1]],[[1699,585,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1420,[["dva"]],[],[0,
"Default",0,1]],[[1676,555,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1421,[["dva"]],[],[0,"Default",0,1]],[[1751,584,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1422,[["dva"]],[],[0,"Default",0,1]],[[1725,554,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1423,[["dva"]],[],[0,"Default",0,1]],[[1799,584,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1424,[["dva"]],[],[0,"Default",0,1]],[[1775,554,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1425,[["dva"]],[],[0,"Default",0,1]],[[1819,553,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1426,[["dva"]],[],[0,"Default",0,1]],
[[1889,585,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1427,[["dva"]],[],[0,"Default",0,1]],[[1840,585,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1428,[["dva"]],[],[0,"Default",0,1]],[[1863,554,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1429,[["dva"]],[],[0,"Default",0,1]],[[1936,584,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1430,[["dva"]],[],[0,"Default",0,1]],[[1913,554,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1431,[["dva"]],[],[0,"Default",0,1]],[[1988,583,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1432,[["dva"]],[],[0,"Default",0,1]],[[1962,553,0,20,
20,0,0,1,0.5,0.5,0,0,[]],78,1433,[["dva"]],[],[0,"Default",0,1]],[[2036,583,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1434,[["dva"]],[],[0,"Default",0,1]],[[2012,553,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1435,[["dva"]],[],[0,"Default",0,1]],[[352,884,0,161,65,0,0,1,0,0,0,0,[]],75,1436,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[352,884,0,160.6591186523438,15.8963623046875,0,0,1,0,0,0,0,[]],67,1437,[],[],[0,0]],[[1337,-325,0,32.39306640625,576,0,0,1,0,0,0,0,[]],68,1438,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,
0]],[[1179,252,0,157.7578125,15.8963623046875,0,0,1,0,0,0,0,[]],67,1439,[],[],[0,0]],[[1543,1022,0,323,703,0,0,1,0,0,0,0,[]],68,1440,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1544,958,0,479.7340087890625,65,0,0,1,0,0,0,0,[]],75,1441,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1542,954,0,572.0772705078125,16,0,0,1,0,0,0,0,[]],67,1442,[],[],[0,0]],[[2279,1023,0,323,703,0,0,1,0,0,0,0,[]],68,1443,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[2119,958.3316040039062,0,488.18603515625,65,0,0,1,
0,0,0,0,[]],75,1444,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[2113,954,0,494.18603515625,16,0,0,1,0,0,0,0,[]],67,1445,[],[],[0,0]],[[1864,1310,0,415.8807373046875,703,0,0,1,0,0,0,0,[]],68,1446,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1865,1255,0,414,65,0,0,1,0,0,0,0,[]],75,1447,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1863,1251,0,420,16,0,0,1,0,0,0,0,[]],67,1448,[],[],[0,0]],[[1755,906,0,131.3986358642578,109.4988555908203,0,0,1,0.5,0.5,0,0,[]],100,1450,[],[[1,0,1,12,0,0,0,200,0]],
[0,"Default",0,1]],[[2347,909,0,131.3986358642578,109.4988555908203,0,0,1,0.5,0.5,0,0,[]],100,1451,[],[[1,0,1,14,0,0,0,240,0]],[0,"Default",0,1]],[[1982,934,0,47,41,0,0,1,0.5,0.5,0,0,[]],101,1452,[],[],[1,"Default",0,1]],[[1538,934,0,46.61544799804688,39.79367446899414,0,0,1,0.5,0.5,0,0,[]],102,1453,[],[],[1,"Default",0,1]],[[2084,932,0,46.61544799804688,39.79367446899414,0,0,1,0.5,0.5,0,0,[]],102,1454,[],[],[1,"Default",0,1]],[[2607,933,0,47,41,0,0,1,0.5,0.5,0,0,[]],101,1455,[],[],[1,"Default",0,
1]],[[3396,1187,0,131.3986358642578,109.4988555908203,0,0,1,0.5,0.5,0,0,[]],100,1456,[],[[1,0,1,12,0,0,0,200,0]],[0,"Default",0,1]],[[3623,1215,0,47,41,0,0,1,0.5,0.5,0,0,[]],101,1457,[],[],[1,"Default",0,1]],[[3179,1215,0,46.61544799804688,39.79367446899414,0,0,1,0.5,0.5,0,0,[]],102,1458,[],[],[1,"Default",0,1]],[[2103,264,0,131.3986358642578,109.4988555908203,0,0,1,0.5,0.5,0,0,[]],100,1459,[],[[1,0,1,14,0,0,0,240,0]],[0,"Default",0,1]],[[1840,287,0,46.61544799804688,39.79367446899414,0,0,1,0.5,0.5,
0,0,[]],102,1460,[],[],[1,"Default",0,1]],[[2363,288,0,47,41,0,0,1,0.5,0.5,0,0,[]],101,1461,[],[],[1,"Default",0,1]],[[1117,947,0,131.3986358642578,109.4988555908203,0,0,1,0.5,0.5,0,0,[]],100,1462,[],[[1,0,1,12,0,0,0,200,0]],[0,"Default",0,1]],[[1343,974,0,47,41,0,0,1,0.5,0.5,0,0,[]],101,1463,[],[],[1,"Default",0,1]],[[900,975,0,46.61544799804688,39.79367446899414,0,0,1,0.5,0.5,0,0,[]],102,1464,[],[],[1,"Default",0,1]],[[357,457,0,119.4989547729492,119.4989547729492,0,0,1,0.5,0.5,0,0,[]],103,1465,
[],[],[0,"Default",0,1]],[[1936,258,0,119.4989547729492,119.4989547729492,0,0,1,0.5,0.5,0,0,[]],103,1466,[],[],[0,"Default",0,1]],[[2682,-588,0,167,1052,0,0,1,0,0,0,0,[]],68,1467,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[3687,185,0,119.4989547729492,119.4989547729492,0,0,1,0.5,0.5,0,0,[]],103,1468,[],[],[0,"Default",0,1]],[[1947,946,0,60.44990158081055,37.33670425415039,0,0,1,0.5,0.523809552192688,0,0,[]],196,1449,[],[],[0,"Default",0,1]],[[2674,649,0,250,250,0,0,1,0.5,0.5,0,0,[]],198,4820,[],
[],[0,"Default",0,1]]],[]],["Earth",4,0xd39f108f3c93a,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[],[]],["Power",5,0xac80e20c58b8f,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[],[]],["Mouse",6,8966950964531866,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[321,1390,0,64.01953125,53.10530090332031,0,0,1,0.5,1,0,0,[]],42,176,[],[[]],[0,"Default",0,1]],[[320,1401,0,82.02706146240234,93.33332061767578,0,0,1,0.4545454680919647,0.01639344170689583,0,0,[]],45,177,[[150]],[[1],[115,0,35,3,0,0,1],[0,0,0,0,30,100,0,1],[1,0,0,4,0,0,
0,50,0],[1,0,0,4,0,0,0,50,0]],[0,"Default",0,1]],[[321,1399,0,8.829414367675781,-1.735369682312012,0,-1.576729655265808,1,0,0.48828125,0,0,[]],41,178,[],[],[0,"Default",0,1]],[[-31,-253,0,128,128,0,1.57080864906311,1,0,0.5,0,0,[]],44,179,[],[],[5,30,0,70,40,100,5,0,0,0,2,0,-250,0,2,800,0,0,0.7]],[[-131,-251,0,135,200,0,1.570796370506287,1,0,0.5,0,0,[]],43,180,[],[],[15,20,0,70,10,100,50,0,0,0,10,0,70,0,0,800,0,0,0.3]]],[]],["Decortop",7,7286168137020722,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[2082.273193359375,
926.63525390625,0,183.2527008056641,109.1280059814453,0,0,1,0.5070422291755676,0.5,0,0,[]],82,3470,[],[],[0,"Default",0,1]],[[1131.273193359375,971.63525390625,0,261.113525390625,90.45108795166016,0,0,1,0.5046728849411011,0.5135135054588318,0,0,[]],71,3471,[],[],[0,"Default",0,1]],[[331.273193359375,1483.635131835938,0,-239,210,0,0,1,0.5,0.5047619342803955,0,0,[]],65,3472,[],[],[0,"Default",0,1]],[[1269.273193359375,1214.63525390625,0,239.0609588623047,237.8890991210938,0,0,1,0.5,0.5,0,0,[]],83,3475,
[],[],[0,"Default",0,1]],[[930.273193359375,689.63525390625,0,135.1665649414063,77.238037109375,0,0,1,0.5074626803398132,0.5,0,0,[]],69,3476,[],[],[0,"Default",0,1]],[[2228.273193359375,936.63525390625,0,261.113525390625,90.45108795166016,0,0,1,0.5046728849411011,0.5135135054588318,0,0,[]],71,3477,[],[],[0,"Default",0,1]],[[512.273193359375,318.6352233886719,0,225.4813842773438,256.6725463867188,0,0,1,0,0,0,0,[]],84,3478,[],[],[0,0]],[[1177.8212890625,-68.73739624023438,0,162,338.7453002929688,0,
0,1,0,0,0,0,[]],84,3479,[],[],[0,0]],[[1864.273193359375,1021.63525390625,0,448.242919921875,316.914306640625,0,0,1,0,0,0,0,[]],84,3480,[],[],[0,0]],[[1123,612,0,90.9122085571289,208.6848449707031,0,0,1,0.5,0.5049505233764648,0,0,[]],194,4814,[],[],[0,"Default",0,1]],[[673.24853515625,231.8536682128906,0,71.93170166015625,77.61052703857422,0,0,1,0.5,0.5121951103210449,0,0,[]],195,3474,[],[],[0,"Default",0,1]],[[541,249,0,60.44990158081055,37.33670425415039,0,0,1,0.5,0.523809552192688,0,0,[]],196,
4817,[],[],[0,"Default",0,1]],[[3622,1149,0,90.9122085571289,208.6848449707031,0,0,1,0.5,0.5049505233764648,0,0,[]],194,4821,[],[],[0,"Default",0,1]]],[]],["Water",8,0x824245111d7dc,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[-894,1845,0,5773,70,0,0,1,0,0,0,0,[]],46,181,[],[[1,1,0,4E3,0,2E3,0,2E3,0]],[0,0]],[[-551,1838,0,5361,910,0,0,1,0,0,0,0,[]],47,182,[],[[1,1,0,4E3,0,2E3,0,2E3,0]],[0,0]],[[-575,1722,0,5390,128,0,0,1,0,0,0,0,[]],48,183,[],[[1,1,0,4E3,0,2E3,0,2E3,0]],[0,0]]],[]],["UI",9,0x7461573d395f1,
!0,[255,255,255],!0,0,0,1,!1,1,0,0,[[[129.9325103759766,715.2657470703125,0,180,180,0,0,1,0.5,0.5,0,0,[]],49,184,[],[],[0,"Default",0,1]],[[134.3137359619141,718.0804443359375,0,120,120,0,0,1,0.4749999940395355,0.4833333194255829,0,0,[]],50,185,[[0]],[[0,1]],[0,"Default",0,1]],[[556.687255859375,833.5537109375,0,50,50,0,0,1,0.5142857432365417,0.5142857432365417,0,0,[]],60,197,[],[],[1,"Default",0,1]],[[445,26,0,-42,51,0,0,1,0.5116279125213623,0.5098039507865906,0,0,[]],52,186,[],[[]],[0,"Default",
0,1]],[[150,26,0,43,51,0,0,1,0.5116279125213623,0.5098039507865906,0,0,[]],52,187,[],[[]],[0,"Default",0,1]],[[295,31,0,273,57,0,0,1,0.5018315315246582,0.5087719559669495,0,0,[]],54,188,[],[],[0,"Default",0,1]],[[214,30,0,172.500732421875,32,0,0,1,0,0.5,0,0,[]],55,189,[],[[]],[0,"Default",0,1]],[[315,31,0,216,43,0,0,1,0.5,0.5116279125213623,0,0,[]],59,190,[],[[]],[0,"Default",0,1]],[[68,45,0,112,72,0,0,1,0.5,0.5,0,0,[]],51,191,[],[],[0,"Default",0,1]],[[531,45,0,112,72,0,0,1,0.5,0.5,0,0,[]],53,192,
[],[],[0,"Default",0,1]],[[133,47,0,33.94112396240234,33.94112396240234,0,0,1,0.5,0.5,0,0,[]],62,193,[],[[]],[0,"Default",0,1]],[[-7,8,0,146.9591674804688,88,0,0,1,0,0,0,0,[]],56,194,[],[[]],["Text",0,"32pt Arial Rounded MT Bold","rgb(255,255,51)",1,1,0,0,0]],[[458,7,0,146.9591674804688,88,0,0,1,0,0,0,0,[]],57,195,[],[[]],["Text",0,"32pt Arial Rounded MT Bold","rgb(204,255,255)",1,1,0,0,0]],[[468,46,0,31.93743896484375,31.93743896484375,0,0,1,0.5,0.5,0,0,[]],267,196,[],[[]],[0,"Default",0,1]]],[]],
["Ball",10,774615177459698,!0,[255,255,255],!0,0,0,1,!1,1,0,0,[],[]]],[],[]],["Lewel7",4300,2E3,!1,"Lewel7",0x930424c43f2e,[["BG",0,4538287482273667,!0,[44,159,205],!1,1,1,1,!1,1,0,0,[],[]],["BG(sky)",1,951236122379038,!0,[255,255,255],!0,0.1000000014901161,0.800000011920929,1,!1,1,0,0,[[[-966,1135,0,6232,254,0,0,1,0,0,0,0,[]],39,199,[],[[1,0,3,70,0,0,0,1024,0]],[0,0]],[[-899,526,0,6054,260,0,0,1,0,0,0,0,[]],38,200,[],[[1,0,3,70,0,0,0,-1024,0]],[0,0]]],[]],["BG(mountian)",2,4627095190894099,!0,[255,
255,255],!0,0.1000000014901161,0.800000011920929,1,!1,1,0,0,[[[-544,1319,0,5389,258,0,0,1,0,0,0,0,[]],40,201,[],[],[0,0]]],[]],["Map",3,5767273357452271,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[2119,743,0,262.1644592285156,81.75020599365234,0,0,1,0.5053763389587402,0.517241358757019,0,0,[]],201,1569,[],[[1],[1,1,0,1,0.5,0.2,0,0.01,0,1]],[0,"Default",0,1]],[[1878,744,0,262.1644592285156,81.75020599365234,0,0,1,0.5053763389587402,0.517241358757019,0,0,[]],201,1564,[],[[1],[1,1,0,1,0.5,0.2,0,0.01,0,1]],
[0,"Default",0,1]],[[1635,744,0,262.1644592285156,81.75020599365234,0,0,1,0.5053763389587402,0.517241358757019,0,0,[]],201,1563,[],[[1],[1,1,0,1,0.5,0.2,0,0.01,0,1]],[0,"Default",0,1]],[[1734,608,0,90.9122085571289,208.6848449707031,0,0,1,0.5,0.5049505233764648,0,0,[]],194,1305,[],[],[0,"Default",0,1]],[[1539,694,0,60.44990158081055,37.33670425415039,0,0,1,0.5,0.523809552192688,0,0,[]],196,1471,[],[],[0,"Default",0,1]],[[1836,1084,0,211.252685546875,65.5428466796875,0,0,1,0,0,0,0,[]],99,1469,[],[],
[0,0]],[[2159,1315,0,50,50,0,-0.01136865559965372,1,0.5,0.5,0,0,[]],77,1472,[[24]],[],[0,"Default",0,1]],[[2856,1318,0,50,50,0,-0.01136865559965372,1,0.5,0.5,0,0,[]],77,1474,[[25]],[],[0,"Default",0,1]],[[3840,1194,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,1475,[],[[]],[0,"Default",0,1]],[[2003,986,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1476,[["dva"]],[],[0,"Default",0,1]],[[1977,955,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1477,[["dva"]],[],[0,"Default",0,1]],[[2050,985,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1478,[["dva"]],
[],[0,"Default",0,1]],[[2027,955,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1479,[["dva"]],[],[0,"Default",0,1]],[[2102,984,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1480,[["dva"]],[],[0,"Default",0,1]],[[2076,954,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1481,[["dva"]],[],[0,"Default",0,1]],[[2150,984,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1482,[["dva"]],[],[0,"Default",0,1]],[[2126,954,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1483,[["dva"]],[],[0,"Default",0,1]],[[2170,953,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1484,[["dva"]],[],[0,"Default",
0,1]],[[1636,656,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,1485,[],[[]],[0,"Default",0,1]],[[1760,665,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1486,[["dva"]],[],[0,"Default",0,1]],[[1808,665,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1487,[["dva"]],[],[0,"Default",0,1]],[[1784,635,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1488,[["dva"]],[],[0,"Default",0,1]],[[1854,665,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1489,[["dva"]],[],[0,"Default",0,1]],[[1828,634,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1490,[["dva"]],[],[0,"Default",0,1]],[[1901,664,0,20,
20,0,0,1,0.5,0.5,0,0,[]],78,1491,[["dva"]],[],[0,"Default",0,1]],[[1878,634,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1492,[["dva"]],[],[0,"Default",0,1]],[[1953,663,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1493,[["dva"]],[],[0,"Default",0,1]],[[1927,633,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1494,[["dva"]],[],[0,"Default",0,1]],[[2001,663,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1495,[["dva"]],[],[0,"Default",0,1]],[[1977,633,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1496,[["dva"]],[],[0,"Default",0,1]],[[1293,1205,0,20,20,0,0,1,0.5,0.5,
0,0,[]],78,1497,[["dva"]],[],[0,"Default",0,1]],[[1357,1194,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1498,[["dva"]],[],[0,"Default",0,1]],[[1325,1174,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1499,[["dva"]],[],[0,"Default",0,1]],[[1325,1236,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1500,[["dva"]],[],[0,"Default",0,1]],[[1292,1140,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1501,[["dva"]],[],[0,"Default",0,1]],[[1356,1139,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1502,[["dva"]],[],[0,"Default",0,1]],[[1325,1106,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,
1503,[["dva"]],[],[0,"Default",0,1]],[[2814,931,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1504,[["dva"]],[],[0,"Default",0,1]],[[2878,929,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1505,[["dva"]],[],[0,"Default",0,1]],[[2846,900,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1506,[["dva"]],[],[0,"Default",0,1]],[[2846,962,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1507,[["dva"]],[],[0,"Default",0,1]],[[2813,864,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1508,[["dva"]],[],[0,"Default",0,1]],[[2877,863,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1509,[["dva"]],
[],[0,"Default",0,1]],[[2846,830,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1510,[["dva"]],[],[0,"Default",0,1]],[[2847,1050,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,1511,[],[[]],[0,"Default",0,1]],[[2203,190,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,1512,[],[[]],[0,"Default",0,1]],[[747,1072,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1513,[["dva"]],[],[0,"Default",0,1]],[[794,1071,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1514,[["dva"]],[],[0,"Default",0,1]],[[771,1041,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1515,[["dva"]],[],[0,"Default",0,1]],[[846,
1070,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1516,[["dva"]],[],[0,"Default",0,1]],[[820,1040,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1517,[["dva"]],[],[0,"Default",0,1]],[[894,1070,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1518,[["dva"]],[],[0,"Default",0,1]],[[870,1040,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1519,[["dva"]],[],[0,"Default",0,1]],[[914,1039,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1520,[["dva"]],[],[0,"Default",0,1]],[[984,1071,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1521,[["dva"]],[],[0,"Default",0,1]],[[935,1071,0,20,20,0,
0,1,0.5,0.5,0,0,[]],78,1522,[["dva"]],[],[0,"Default",0,1]],[[958,1040,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1523,[["dva"]],[],[0,"Default",0,1]],[[1031,1070,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1524,[["dva"]],[],[0,"Default",0,1]],[[1008,1040,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1525,[["dva"]],[],[0,"Default",0,1]],[[1083,1069,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1526,[["dva"]],[],[0,"Default",0,1]],[[1057,1039,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1527,[["dva"]],[],[0,"Default",0,1]],[[1131,1069,0,20,20,0,0,1,0.5,0.5,
0,0,[]],78,1528,[["dva"]],[],[0,"Default",0,1]],[[1107,1039,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1529,[["dva"]],[],[0,"Default",0,1]],[[1616,989,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1530,[["dva"]],[],[0,"Default",0,1]],[[1593,959,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1531,[["dva"]],[],[0,"Default",0,1]],[[1668,988,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1532,[["dva"]],[],[0,"Default",0,1]],[[1642,958,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1533,[["dva"]],[],[0,"Default",0,1]],[[1716,988,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1534,
[["dva"]],[],[0,"Default",0,1]],[[1692,958,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1535,[["dva"]],[],[0,"Default",0,1]],[[1736,957,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1536,[["dva"]],[],[0,"Default",0,1]],[[1806,989,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1537,[["dva"]],[],[0,"Default",0,1]],[[1757,989,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1538,[["dva"]],[],[0,"Default",0,1]],[[1780,958,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1539,[["dva"]],[],[0,"Default",0,1]],[[1853,988,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1540,[["dva"]],[],[0,
"Default",0,1]],[[1830,958,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1541,[["dva"]],[],[0,"Default",0,1]],[[1905,987,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1542,[["dva"]],[],[0,"Default",0,1]],[[1879,957,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1543,[["dva"]],[],[0,"Default",0,1]],[[1953,987,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1544,[["dva"]],[],[0,"Default",0,1]],[[1929,957,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1545,[["dva"]],[],[0,"Default",0,1]],[[1930,1316,0,50,50,0,-0.01136865559965372,1,0.5,0.5,0,0,[]],77,1546,[[23]],[],[0,
"Default",0,1]],[[2586,421,0,153,69,0,0,1,0.5046728849411011,0.5,0,0,[]],64,1547,[],[],[0,"Default",1,1]],[[3356,639,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,1548,[],[],[0,"Default",0,1]],[[2277,1312,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,1549,[],[],[0,"Default",0,1]],[[2109,635,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,1550,[],[],[0,"Default",0,1]],[[1107,333,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,1551,[],[],[0,"Default",0,1]],[[3722,309,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,1552,[],[],[0,"Default",0,1]],[[2856,1384,0,68,68,0,0,
1,0.5,0.5,0,0,[]],79,1553,[],[],[0,"Default",0,1]],[[1817,1314,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,1554,[],[],[0,"Default",0,1]],[[3131,1233,0,835,65,0,0,1,0,0,0,0,[]],75,1561,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[3127,1223,0,844,16,0,0,1,0,0,0,0,[]],67,1562,[],[],[0,0]],[[3133,1296,0,828,618,0,0,1,0,0,0,0,[]],68,1565,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[-352,-1280,0,502,3835,0,0,1,0,0,0,0,[]],66,1566,[],[[1,0,0,1,0.5,0.2,0,0.01,0,1],[1]],[0,0]],[[2715,1077,0,262,65,0,0,1,0,0,0,0,
[]],75,1577,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[2714,1075,0,265,16,0,0,1,0,0,0,0,[]],67,1578,[],[],[0,0]],[[3953,-1228,0,501,3631,0,0,1,0,0,0,0,[]],66,1579,[],[[1,0,0,1,0.5,0.2,0,0.01,0,1],[1]],[0,0]],[[2856,1565,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,1581,[],[],[0,"Default",0,1]],[[3650,1192,0,165.7630004882813,72.80000305175781,0,0,1,0.5058823823928833,0.5,0,0,[]],70,1582,[],[],[0,"Default",0,1]],[[2192,984,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1583,[["dva"]],[],[0,"Default",0,1]],[[2202,279,0,
68,68,0,0,1,0.5,0.5,0,0,[]],79,1584,[],[],[0,"Default",0,1]],[[2043,1313,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,1586,[],[],[0,"Default",0,1]],[[648,-838,0,225.322998046875,236.7800903320313,0,0,0.699999988079071,0.4406779706478119,0.5,0,0,[[]]],81,1587,[],[[-90,0]],[0,"Default",0,1]],[[392,-889,0,80.23999786376953,75.63999938964844,0,0,1,0.4406779706478119,0.5,0,0,[[]]],81,1588,[],[[180,0]],[0,"Default",0,1]],[[1021,441,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1589,[["dva"]],[],[0,"Default",0,1]],[[1068,440,0,
20,20,0,0,1,0.5,0.5,0,0,[]],78,1590,[["dva"]],[],[0,"Default",0,1]],[[1045,410,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1591,[["dva"]],[],[0,"Default",0,1]],[[1120,439,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1592,[["dva"]],[],[0,"Default",0,1]],[[1094,409,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1593,[["dva"]],[],[0,"Default",0,1]],[[1168,439,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1594,[["dva"]],[],[0,"Default",0,1]],[[1144,409,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1595,[["dva"]],[],[0,"Default",0,1]],[[1188,408,0,20,20,0,0,1,0.5,
0.5,0,0,[]],78,1596,[["dva"]],[],[0,"Default",0,1]],[[1209,440,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1597,[["dva"]],[],[0,"Default",0,1]],[[1533,973,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,1598,[],[[]],[0,"Default",0,1]],[[1293,1070,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1599,[["dva"]],[],[0,"Default",0,1]],[[1357,1068,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1600,[["dva"]],[],[0,"Default",0,1]],[[1325,1039,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1601,[["dva"]],[],[0,"Default",0,1]],[[1292,1003,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1602,
[["dva"]],[],[0,"Default",0,1]],[[1356,1002,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1603,[["dva"]],[],[0,"Default",0,1]],[[1325,969,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1604,[["dva"]],[],[0,"Default",0,1]],[[2847,331,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1605,[["dva"]],[],[0,"Default",0,1]],[[2894,330,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1606,[["dva"]],[],[0,"Default",0,1]],[[2871,300,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1607,[["dva"]],[],[0,"Default",0,1]],[[2946,329,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1608,[["dva"]],[],[0,
"Default",0,1]],[[2920,299,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1609,[["dva"]],[],[0,"Default",0,1]],[[2994,329,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1610,[["dva"]],[],[0,"Default",0,1]],[[2970,299,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1611,[["dva"]],[],[0,"Default",0,1]],[[3014,298,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1612,[["dva"]],[],[0,"Default",0,1]],[[3084,330,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1613,[["dva"]],[],[0,"Default",0,1]],[[3035,330,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1614,[["dva"]],[],[0,"Default",0,1]],
[[3058,299,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1615,[["dva"]],[],[0,"Default",0,1]],[[3131,329,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1616,[["dva"]],[],[0,"Default",0,1]],[[3108,299,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1617,[["dva"]],[],[0,"Default",0,1]],[[3183,328,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1618,[["dva"]],[],[0,"Default",0,1]],[[3157,298,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1619,[["dva"]],[],[0,"Default",0,1]],[[3231,328,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1620,[["dva"]],[],[0,"Default",0,1]],[[3207,298,0,20,
20,0,0,1,0.5,0.5,0,0,[]],78,1621,[["dva"]],[],[0,"Default",0,1]],[[1517,1148,0,198,703,0,0,1,0,0,0,0,[]],68,1622,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1518,1084,0,324,65,0,0,1,0,0,0,0,[]],75,1623,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1516,1080,0,406.34326171875,16,0,0,1,0,0,0,0,[]],67,1624,[],[],[0,0]],[[2382,1149,0,194,703,0,0,1,0,0,0,0,[]],68,1625,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[2021.3955078125,1084,0,559.6044921875,65,0,0,1,0,0,0,0,[]],75,1626,[],[[1],[1,0,0,1,
0.5,0.2,0,0.01,0,1]],[0,0]],[[1922,1080,0,659,16,0,0,1,0,0,0,0,[]],67,1627,[],[],[0,0]],[[1713,1436,0,670,703,0,0,1,0,0,0,0,[]],68,1628,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1714,1381,0,668.1192626953125,65,0,0,1,0,0,0,0,[]],75,1629,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1712,1377,0,674.1192626953125,16,0,0,1,0,0,0,0,[]],67,1630,[],[],[0,0]],[[1905,1050,0,165.7630004882813,72.80000305175781,0,0,1,0.5058823823928833,0.5,0,0,[]],70,1631,[],[],[0,"Default",0,1]],[[1729,1032,0,131.3986358642578,
109.4988555908203,0,0,1,0.5,0.5,0,0,[]],100,1632,[],[[1,0,1,12,0,0,0,200,0]],[0,"Default",0,1]],[[1955,1059,0,47,41,0,0,1,0.5,0.5,0,0,[]],101,1633,[],[],[1,"Default",0,1]],[[1512,1060,0,46.61544799804688,39.79367446899414,0,0,1,0.5,0.5,0,0,[]],102,1634,[],[],[1,"Default",0,1]],[[3370,1173,0,131.3986358642578,109.4988555908203,0,0,1,0.5,0.5,0,0,[]],100,1635,[],[[1,0,1,12,0,0,0,200,0]],[0,"Default",0,1]],[[3597,1201,0,47,41,0,0,1,0.5,0.5,0,0,[]],101,1636,[],[],[1,"Default",0,1]],[[3153,1201,0,46.61544799804688,
39.79367446899414,0,0,1,0.5,0.5,0,0,[]],102,1637,[],[],[1,"Default",0,1]],[[2080,659,0,131.3986358642578,109.4988555908203,0,0,1,0.5,0.5,0,0,[]],100,1638,[],[[1,0,1,14,0,0,0,240,0]],[0,"Default",0,1]],[[1817,682,0,46.61544799804688,39.79367446899414,0,0,1,0.5,0.5,0,0,[]],102,1639,[],[],[1,"Default",0,1]],[[2340,683,0,47,41,0,0,1,0.5,0.5,0,0,[]],101,1640,[],[],[1,"Default",0,1]],[[780,1136,0,262.1644592285156,81.75020599365234,0,0,1,0.5053763389587402,0.517241358757019,0,0,[]],201,1558,[],[[1],[1,
1,0,1,0.5,0.2,0,0.01,0,1]],[0,"Default",0,1]],[[1024,1136,0,262.1644592285156,81.75020599365234,0,0,1,0.5053763389587402,0.517241358757019,0,0,[]],201,1567,[],[[1],[1,1,0,1,0.5,0.2,0,0.01,0,1]],[0,"Default",0,1]],[[895,1051,0,131.3986358642578,109.4988555908203,0,0,1,0.5,0.5,0,0,[]],100,1641,[],[[1,0,1,12,0,0,0,200,0]],[0,"Default",0,1]],[[1121,1078,0,47,41,0,0,1,0.5,0.5,0,0,[]],101,1642,[],[],[1,"Default",0,1]],[[678,1079,0,46.61544799804688,39.79367446899414,0,0,1,0.5,0.5,0,0,[]],102,1643,[],[],
[1,"Default",0,1]],[[584,639,0,119.4989547729492,119.4989547729492,0,0,1,0.5,0.5,0,0,[]],103,1644,[],[],[0,"Default",0,1]],[[1943,669,0,91.12422943115234,91.12422943115234,0,0.1096227541565895,1,0.5066666603088379,0.5066666603088379,0,0,[]],104,1648,[],[],[0,"Default",0,1]],[[2960,405,0,262.1644592285156,81.75020599365234,0,0,1,0.5053763389587402,0.517241358757019,0,0,[]],201,1560,[],[[1],[1,1,0,1,0.5,0.2,0,0.01,0,1]],[0,"Default",0,1]],[[3205,403,0,262.1644592285156,81.75020599365234,0,0,1,0.5053763389587402,
0.517241358757019,0,0,[]],201,1573,[],[[1],[1,1,0,1,0.5,0.2,0,0.01,0,1]],[0,"Default",0,1]],[[3083,334,0,91.12422943115234,91.12422943115234,0,0.1096227541565895,1,0.5066666603088379,0.5066666603088379,0,0,[]],104,1649,[],[],[0,"Default",0,1]],[[3648,401,0,262.1644592285156,81.75020599365234,0,0,1,0.5053763389587402,0.517241358757019,0,0,[]],201,1572,[],[[1],[1,1,0,1,0.5,0.2,0,0.01,0,1]],[0,"Default",0,1]],[[1110,1506,0,91,341,0,0,1,0.5274725556373596,0.08797653764486313,0,0,[]],96,4824,[],[[1,5,
0,25,0,0,0,180,0]],[0,"Default",0,1]],[[1111,1504,0,91,341,0,3.141592741012573,1,0.5274725556373596,0.08797653764486313,0,0,[]],96,4825,[],[[1,5,0,25,0,0,0,180,0]],[0,"Default",0,1]],[[2848,709,0,91,341,0,0,1,0.5274725556373596,0.08797653764486313,0,0,[]],96,4826,[],[[1,5,0,25,0,0,0,180,0]],[0,"Default",0,1]],[[2849,707,0,91,341,0,3.141592741012573,1,0.5274725556373596,0.08797653764486313,0,0,[]],96,4827,[],[[1,5,0,25,0,0,0,180,0]],[0,"Default",0,1]],[[1371,334,0,91,341,0,0,1,0.5274725556373596,0.08797653764486313,
0,0,[]],96,4828,[],[[1,5,0,25,0,0,0,180,0]],[0,"Default",0,1]],[[1372,332,0,91,341,0,3.141592741012573,1,0.5274725556373596,0.08797653764486313,0,0,[]],96,4829,[],[[1,5,0,25,0,0,0,180,0]],[0,"Default",0,1]],[[1114.332153320313,510.4134521484375,0,262.1644592285156,81.75020599365234,0,0,1,0.5053763389587402,0.517241358757019,0,0,[]],201,1557,[],[[1],[1,1,0,1,0.5,0.2,0,0.01,0,1]],[0,"Default",0,1]],[[481.3321533203125,735.4134521484375,0,262.1644592285156,81.75020599365234,0,0,1,0.5053763389587402,
0.517241358757019,0,0,[]],201,1555,[],[[1],[1,1,0,1,0.5,0.2,0,0.01,0,1]],[0,"Default",0,1]],[[725,735,0,262.1644592285156,81.75020599365234,0,0,1,0.5053763389587402,0.517241358757019,0,0,[]],201,1556,[],[[1],[1,1,0,1,0.5,0.2,0,0.01,0,1]],[0,"Default",0,1]],[[392,1620,0,262.1644592285156,81.75020599365234,0,0,1,0.5053763389587402,0.517241358757019,0,0,[]],201,1568,[],[[1],[1,1,0,1,0.5,0.2,0,0.01,0,1]],[0,"Default",0,1]],[[2299.260986328125,743.00439453125,0,140,82,0,0,1,0.5053763389587402,0.517241358757019,
0,0,[]],201,1570,[],[[1],[1,1,0,1,0.5,0.2,0,0.01,0,1]],[0,"Default",0,1]],[[2204,377,0,262.1644592285156,81.75020599365234,0,0,1,0.5053763389587402,0.517241358757019,0,0,[]],201,1559,[],[[1],[1,1,0,1,0.5,0.2,0,0.01,0,1]],[0,"Default",0,1]],[[3359,753,0,262.1644592285156,81.75020599365234,0,0,1,0.5053763389587402,0.517241358757019,0,0,[]],201,1571,[],[[1],[1,1,0,1,0.5,0.2,0,0.01,0,1]],[0,"Default",0,1]],[[398,1262,0,262.1644592285156,81.75020599365234,0,0,1,0.5053763389587402,0.517241358757019,0,0,
[]],201,5854,[],[[1],[1,1,0,1,0.5,0.2,0,0.01,0,1]],[0,"Default",0,1]],[[399,1132,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,1130,[],[[]],[0,"Default",0,1]],[[254,722,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,1646,[],[[]],[0,"Default",0,1]],[[915,936,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,3102,[],[[]],[0,"Default",0,1]],[[630,1447,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,3109,[],[[]],[0,"Default",0,1]],[[2856,1466,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,3290,[],[[]],[0,"Default",0,1]],[[3592,312,0,124.9327545166016,127.068359375,0,0,1,0.5,
0.5070422291755676,0,0,[]],74,1650,[],[],[0,"Default",0,1]]],[]],["Earth",4,9650444205285888,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[],[]],["Power",5,4577559894725957,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[],[]],["Mouse",6,8473146945794487,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[394,1442,0,64.01953125,53.10530090332031,0,0,1,0.5,1,0,0,[]],42,202,[],[[]],[0,"Default",0,1]],[[393,1453,0,82.02706146240234,93.33332061767578,0,0,1,0.4545454680919647,0.01639344170689583,0,0,[]],45,203,[[150]],[[1],[115,0,35,3,0,
0,1],[0,0,0,0,30,100,0,1],[1,0,0,4,0,0,0,50,0],[1,0,0,4,0,0,0,50,0]],[0,"Default",0,1]],[[394,1451,0,8.829414367675781,-1.735369682312012,0,-1.576729655265808,1,0,0.48828125,0,0,[]],41,204,[],[],[0,"Default",0,1]],[[-31,-253,0,128,128,0,1.57080864906311,1,0,0.5,0,0,[]],44,205,[],[],[5,30,0,70,40,100,5,0,0,0,2,0,-250,0,2,800,0,0,0.7]],[[-131,-251,0,135,200,0,1.570796370506287,1,0,0.5,0,0,[]],43,206,[],[],[15,20,0,70,10,100,50,0,0,0,10,0,70,0,0,800,0,0,0.3]]],[]],["Decortop",7,4830186437636939,!0,[255,
255,255],!0,1,1,1,!1,1,0,0,[[[2152,1048.791625976563,0,183.2527008056641,109.1280059814453,0,0,1,0.5070422291755676,0.5,0,0,[]],82,3481,[],[],[0,"Default",0,1]],[[2198,313.7916259765625,0,261.114013671875,90.45140075683594,0,0,1,0.5046728849411011,0.5135135054588318,0,0,[]],71,3482,[],[],[0,"Default",0,1]],[[640,612.7916259765625,0,-239,210,0,0,1,0.5,0.5047619342803955,0,0,[]],65,3483,[],[],[0,"Default",0,1]],[[1870,667.7916259765625,0,183.2527008056641,109.1280059814453,0,0,1,0.5070422291755676,
0.5,0,0,[]],82,3484,[],[],[0,"Default",0,1]],[[494,654.7916259765625,0,183.2527008056641,109.1280059814453,0,0,1,0.5070422291755676,0.5,0,0,[]],82,3485,[],[],[0,"Default",0,1]],[[367,690,0,388,19.58306884765625,0,0,1,0,0,0,0,[]],199,4830,[],[],[0,0]],[[2893,982.7916259765625,0,239.0609588623047,237.8890991210938,0,0,1,0.5,0.5,0,0,[]],83,3486,[],[],[0,"Default",0,1]],[[1137,452.7916259765625,0,135.1665649414063,77.238037109375,0,0,1,0.5074626803398132,0.5,0,0,[]],69,3487,[],[],[0,"Default",0,1]],[[2436,
1056.791625976563,0,261.113525390625,90.45108795166016,0,0,1,0.5046728849411011,0.5135135054588318,0,0,[]],71,3488,[],[],[0,"Default",0,1]],[[2719,1138.791625976563,0,252,662,0,0,1,0,0,0,0,[]],84,3489,[],[],[0,0]],[[1712,1148.791625976563,0,418,317,0,0,1,0,0,0,0,[]],84,3490,[],[],[0,0]],[[2128,1148.791625976563,0,285,317,0,0,1,0,0,0,0,[]],84,3491,[],[],[0,0]],[[2273,1058,0,71.93170166015625,77.61052703857422,0,0,1,0.5,0.5121951103210449,0,0,[]],195,1470,[],[],[0,"Default",0,1]],[[2967,342,0,71.93170166015625,
77.61052703857422,0,0,1,0.5,0.5121951103210449,0,0,[]],195,1473,[],[],[0,"Default",0,1]],[[3173,1200,0,71.93170166015625,77.61052703857422,0,0,1,0.5,0.5121951103210449,0,0,[]],195,1580,[],[],[0,"Default",0,1]],[[2754,1054,0,71.93170166015625,77.61052703857422,0,0,1,0.5,0.5121951103210449,0,0,[]],195,1585,[],[],[0,"Default",0,1]],[[719.136962890625,1075.374267578125,0,71.93170166015625,77.61052703857422,0,0,1,0.5,0.5121951103210449,0,0,[]],195,4822,[],[],[0,"Default",0,1]],[[2253,313,0,71.93170166015625,
77.61052703857422,0,0,1,0.5,0.5121951103210449,0,0,[]],195,4823,[],[],[0,"Default",0,1]]],[]],["Water",8,496447526748887,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[-894,1845,0,5773,70,0,0,1,0,0,0,0,[]],46,207,[],[[1,1,0,4E3,0,2E3,0,2E3,0]],[0,0]],[[-551,1838,0,5361,910,0,0,1,0,0,0,0,[]],47,208,[],[[1,1,0,4E3,0,2E3,0,2E3,0]],[0,0]],[[-575,1722,0,5390,128,0,0,1,0,0,0,0,[]],48,209,[],[[1,1,0,4E3,0,2E3,0,2E3,0]],[0,0]]],[]],["UI",9,5140301098147997,!0,[255,255,255],!0,0,0,1,!1,1,0,0,[[[129.9325103759766,715.2657470703125,
0,180,180,0,0,1,0.5,0.5,0,0,[]],49,210,[],[],[0,"Default",0,1]],[[134.3137359619141,718.0804443359375,0,120,120,0,0,1,0.4749999940395355,0.4833333194255829,0,0,[]],50,211,[[0]],[[0,1]],[0,"Default",0,1]],[[556.687255859375,833.5537109375,0,50,50,0,0,1,0.5142857432365417,0.5142857432365417,0,0,[]],60,223,[],[],[1,"Default",0,1]],[[448,24,0,-42,51,0,0,1,0.5116279125213623,0.5098039507865906,0,0,[]],52,212,[],[[]],[0,"Default",0,1]],[[153,24,0,43,51,0,0,1,0.5116279125213623,0.5098039507865906,0,0,[]],
52,213,[],[[]],[0,"Default",0,1]],[[298,29,0,273,57,0,0,1,0.5018315315246582,0.5087719559669495,0,0,[]],54,214,[],[],[0,"Default",0,1]],[[217,28,0,172.500732421875,32,0,0,1,0,0.5,0,0,[]],55,215,[],[[]],[0,"Default",0,1]],[[318,29,0,216,43,0,0,1,0.5,0.5116279125213623,0,0,[]],59,216,[],[[]],[0,"Default",0,1]],[[71,43,0,112,72,0,0,1,0.5,0.5,0,0,[]],51,217,[],[],[0,"Default",0,1]],[[534,43,0,112,72,0,0,1,0.5,0.5,0,0,[]],53,218,[],[],[0,"Default",0,1]],[[137,45,0,33.94112396240234,33.94112396240234,0,
0,1,0.5,0.5,0,0,[]],62,219,[],[[]],[0,"Default",0,1]],[[-4,6,0,146.9591674804688,88,0,0,1,0,0,0,0,[]],56,220,[],[[]],["Text",0,"32pt Arial Rounded MT Bold","rgb(255,255,51)",1,1,0,0,0]],[[461,5,0,146.9591674804688,88,0,0,1,0,0,0,0,[]],57,221,[],[[]],["Text",0,"32pt Arial Rounded MT Bold","rgb(204,255,255)",1,1,0,0,0]],[[472,44,0,31.93743896484375,31.93743896484375,0,0,1,0.5,0.5,0,0,[]],267,222,[],[[]],[0,"Default",0,1]]],[]],["Ball",10,0xf76f0539466e7,!0,[255,255,255],!0,0,0,1,!1,1,0,0,[],[]]],[],
[]],["Lewel8",4300,2E3,!1,"Lewel8",9947951031808234,[["BG",0,0xba6677417e209,!0,[44,159,205],!1,1,1,1,!1,1,0,0,[],[]],["BG(sky)",1,0xb724854ce98bd,!0,[255,255,255],!0,0.1000000014901161,0.800000011920929,1,!1,1,0,0,[[[-966,1135,0,6232,254,0,0,1,0,0,0,0,[]],39,225,[],[[1,0,3,70,0,0,0,1024,0]],[0,0]],[[-899,526,0,6054,260,0,0,1,0,0,0,0,[]],38,226,[],[[1,0,3,70,0,0,0,-1024,0]],[0,0]]],[]],["BG(mountian)",2,8224510948702111,!0,[255,255,255],!0,0.1000000014901161,0.800000011920929,1,!1,1,0,0,[[[-544,1319,
0,5389,258,0,0,1,0,0,0,0,[]],40,227,[],[],[0,0]]],[]],["Map",3,0x62f4ea10933fa,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[3378,683,0,262.1644592285156,81.75020599365234,0,0,1,0.5053763389587402,0.517241358757019,0,0,[]],201,1737,[],[[1],[1,1,0,1,0.5,0.2,0,0.01,0,1]],[0,"Default",0,1]],[[3411,618,0,165.7630004882813,72.80000305175781,0,0,1,0.5058823823928833,0.5,0,0,[]],70,1651,[],[],[0,"Default",0,1]],[[3695,338,0,135.1665649414063,77.238037109375,0,0,1,0.5074626803398132,0.5,0,0,[]],69,1652,[],[],[0,
"Default",0,1]],[[2226,880,0,50,50,0,-0.01136865559965372,1,0.5,0.5,0,0,[]],77,1653,[[20]],[],[0,"Default",0,1]],[[601,1570,0,50,50,0,-0.01136865559965372,1,0.5,0.5,0,0,[]],77,1654,[[21]],[],[0,"Default",0,1]],[[1047,-459,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,1655,[],[[]],[0,"Default",0,1]],[[3616,324,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1656,[["dva"]],[],[0,"Default",0,1]],[[3567,324,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1657,[["dva"]],[],[0,"Default",0,1]],[[3590,293,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1658,[["dva"]],
[],[0,"Default",0,1]],[[3663,323,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1659,[["dva"]],[],[0,"Default",0,1]],[[3640,293,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1660,[["dva"]],[],[0,"Default",0,1]],[[3715,322,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1661,[["dva"]],[],[0,"Default",0,1]],[[3689,292,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1662,[["dva"]],[],[0,"Default",0,1]],[[3763,322,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1663,[["dva"]],[],[0,"Default",0,1]],[[3739,292,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1664,[["dva"]],[],[0,"Default",
0,1]],[[3783,291,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1665,[["dva"]],[],[0,"Default",0,1]],[[3709,-201,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,1666,[],[[]],[0,"Default",0,1]],[[3649,870,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1667,[["dva"]],[],[0,"Default",0,1]],[[3713,859,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1668,[["dva"]],[],[0,"Default",0,1]],[[3681,839,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1669,[["dva"]],[],[0,"Default",0,1]],[[3681,901,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1670,[["dva"]],[],[0,"Default",0,1]],[[3648,805,0,
20,20,0,0,1,0.5,0.5,0,0,[]],78,1671,[["dva"]],[],[0,"Default",0,1]],[[3712,804,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1672,[["dva"]],[],[0,"Default",0,1]],[[3681,771,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1673,[["dva"]],[],[0,"Default",0,1]],[[2959,701,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1674,[["dva"]],[],[0,"Default",0,1]],[[3023,699,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1675,[["dva"]],[],[0,"Default",0,1]],[[2991,670,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1676,[["dva"]],[],[0,"Default",0,1]],[[2991,732,0,20,20,0,0,1,0.5,
0.5,0,0,[]],78,1677,[["dva"]],[],[0,"Default",0,1]],[[2958,634,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1678,[["dva"]],[],[0,"Default",0,1]],[[3022,633,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1679,[["dva"]],[],[0,"Default",0,1]],[[2991,600,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1680,[["dva"]],[],[0,"Default",0,1]],[[1167,-495,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,1681,[],[[]],[0,"Default",0,1]],[[262,603,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,1682,[],[[]],[0,"Default",0,1]],[[1878,625,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1683,[["dva"]],
[],[0,"Default",0,1]],[[1925,624,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1684,[["dva"]],[],[0,"Default",0,1]],[[1902,594,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1685,[["dva"]],[],[0,"Default",0,1]],[[1977,623,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1686,[["dva"]],[],[0,"Default",0,1]],[[1951,593,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1687,[["dva"]],[],[0,"Default",0,1]],[[2025,623,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1688,[["dva"]],[],[0,"Default",0,1]],[[2001,593,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1689,[["dva"]],[],[0,"Default",
0,1]],[[2045,592,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1690,[["dva"]],[],[0,"Default",0,1]],[[2115,624,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1691,[["dva"]],[],[0,"Default",0,1]],[[2066,624,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1692,[["dva"]],[],[0,"Default",0,1]],[[2089,593,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1693,[["dva"]],[],[0,"Default",0,1]],[[2162,623,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1694,[["dva"]],[],[0,"Default",0,1]],[[2139,593,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1695,[["dva"]],[],[0,"Default",0,1]],[[2214,622,
0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1696,[["dva"]],[],[0,"Default",0,1]],[[2188,592,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1697,[["dva"]],[],[0,"Default",0,1]],[[2262,622,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1698,[["dva"]],[],[0,"Default",0,1]],[[2238,592,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1699,[["dva"]],[],[0,"Default",0,1]],[[3520,1369,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1700,[["dva"]],[],[0,"Default",0,1]],[[3497,1339,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1701,[["dva"]],[],[0,"Default",0,1]],[[3572,1368,0,20,20,0,0,
1,0.5,0.5,0,0,[]],78,1702,[["dva"]],[],[0,"Default",0,1]],[[3546,1338,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1703,[["dva"]],[],[0,"Default",0,1]],[[3620,1368,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1704,[["dva"]],[],[0,"Default",0,1]],[[3596,1338,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1705,[["dva"]],[],[0,"Default",0,1]],[[3640,1337,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1706,[["dva"]],[],[0,"Default",0,1]],[[3710,1369,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1707,[["dva"]],[],[0,"Default",0,1]],[[3661,1369,0,20,20,0,0,1,0.5,0.5,
0,0,[]],78,1708,[["dva"]],[],[0,"Default",0,1]],[[3684,1338,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1709,[["dva"]],[],[0,"Default",0,1]],[[3757,1368,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1710,[["dva"]],[],[0,"Default",0,1]],[[3734,1338,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1711,[["dva"]],[],[0,"Default",0,1]],[[3809,1367,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1712,[["dva"]],[],[0,"Default",0,1]],[[3783,1337,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1713,[["dva"]],[],[0,"Default",0,1]],[[3857,1367,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,
1714,[["dva"]],[],[0,"Default",0,1]],[[3833,1337,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1715,[["dva"]],[],[0,"Default",0,1]],[[2047,880,0,50,50,0,-0.01136865559965372,1,0.5,0.5,0,0,[]],77,1716,[[22]],[],[0,"Default",0,1]],[[3371,441,0,153,69,0,0,1,0.5046728849411011,0.5,0,0,[]],64,1717,[],[],[0,"Default",1,1]],[[3174,1248,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,1718,[],[],[0,"Default",0,1]],[[256,900,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,1719,[],[],[0,"Default",0,1]],[[1153,1327,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,1720,
[],[],[0,"Default",0,1]],[[2492,684,0,262.1644592285156,81.75020599365234,0,0,1,0.5053763389587402,0.517241358757019,0,0,[]],201,1739,[],[[1],[1,1,0,1,0.5,0.2,0,0.01,0,1]],[0,"Default",0,1]],[[1761,684,0,262.1644592285156,81.75020599365234,0,0,1,0.5053763389587402,0.517241358757019,0,0,[]],201,1740,[],[[1],[1,1,0,1,0.5,0.2,0,0.01,0,1]],[0,"Default",0,1]],[[2005,684,0,262.1644592285156,81.75020599365234,0,0,1,0.5053763389587402,0.517241358757019,0,0,[]],201,1778,[],[[1],[1,1,0,1,0.5,0.2,0,0.01,0,1]],
[0,"Default",0,1]],[[2248,684,0,262.1644592285156,81.75020599365234,0,0,1,0.5053763389587402,0.517241358757019,0,0,[]],201,1779,[],[[1],[1,1,0,1,0.5,0.2,0,0.01,0,1]],[0,"Default",0,1]],[[1747,606,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,1721,[],[],[0,"Default",0,1]],[[3884,189,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,1722,[],[],[0,"Default",0,1]],[[2143,165,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,1723,[],[],[0,"Default",0,1]],[[2619,204,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,1724,[],[],[0,"Default",0,1]],[[2993,1342,0,348,474,
0,0,1,0,0,0,0,[]],68,1733,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[-327,-1332,0,502,3835,0,0,1,0,0,0,0,[]],66,1734,[],[[1,0,0,1,0.5,0.2,0,0.01,0,1],[1]],[0,0]],[[3978,-1280,0,501,3631,0,0,1,0,0,0,0,[]],66,1745,[],[[1,0,0,1,0.5,0.2,0,0.01,0,1],[1]],[0,0]],[[1170,1108,0,262.1644592285156,81.75020599365234,0,0,1,0.5053763389587402,0.517241358757019,0,0,[]],201,1576,[],[[1],[1,1,0,1,0.5,0.2,0,0.01,0,1]],[0,"Default",0,1]],[[927,1108,0,262.1644592285156,81.75020599365234,0,0,1,0.5053763389587402,
0.517241358757019,0,0,[]],201,1725,[],[[1],[1,1,0,1,0.5,0.2,0,0.01,0,1]],[0,"Default",0,1]],[[2144,877,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,1747,[],[],[0,"Default",0,1]],[[3105,1280,0,165.7630004882813,72.80000305175781,0,0,1,0.5058823823928833,0.5,0,0,[]],70,1748,[],[],[0,"Default",0,1]],[[3805,322,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1749,[["dva"]],[],[0,"Default",0,1]],[[2226,793,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,1750,[],[],[0,"Default",0,1]],[[511,695,0,196,744,0,0,1,0,0,0,0,[]],68,1751,[],[[1],[1,0,0,
1,0.5,0.2,0,0.01,0,1]],[0,0]],[[2496,876,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,1752,[],[],[0,"Default",0,1]],[[673,-890,0,225.322998046875,236.7800903320313,0,0,0.699999988079071,0.4406779706478119,0.5,0,0,[[]]],81,1753,[],[[-90,0]],[0,"Default",0,1]],[[417,-941,0,80.23999786376953,75.63999938964844,0,0,1,0.4406779706478119,0.5,0,0,[[]]],81,1754,[],[[180,0]],[0,"Default",0,1]],[[529,259,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1755,[["dva"]],[],[0,"Default",0,1]],[[576,258,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1756,
[["dva"]],[],[0,"Default",0,1]],[[553,228,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1757,[["dva"]],[],[0,"Default",0,1]],[[628,257,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1758,[["dva"]],[],[0,"Default",0,1]],[[602,227,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1759,[["dva"]],[],[0,"Default",0,1]],[[676,257,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1760,[["dva"]],[],[0,"Default",0,1]],[[652,227,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1761,[["dva"]],[],[0,"Default",0,1]],[[696,226,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1762,[["dva"]],[],[0,"Default",
0,1]],[[717,258,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1763,[["dva"]],[],[0,"Default",0,1]],[[1968,1083,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,1764,[],[[]],[0,"Default",0,1]],[[3649,735,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1765,[["dva"]],[],[0,"Default",0,1]],[[3713,733,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1766,[["dva"]],[],[0,"Default",0,1]],[[3681,704,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1767,[["dva"]],[],[0,"Default",0,1]],[[3648,668,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1768,[["dva"]],[],[0,"Default",0,1]],[[3712,667,0,20,
20,0,0,1,0.5,0.5,0,0,[]],78,1769,[["dva"]],[],[0,"Default",0,1]],[[3681,634,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1770,[["dva"]],[],[0,"Default",0,1]],[[2296,893,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1771,[["dva"]],[],[0,"Default",0,1]],[[2316,862,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1772,[["dva"]],[],[0,"Default",0,1]],[[2386,894,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1773,[["dva"]],[],[0,"Default",0,1]],[[2337,894,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1774,[["dva"]],[],[0,"Default",0,1]],[[2360,863,0,20,20,0,0,1,0.5,0.5,
0,0,[]],78,1775,[["dva"]],[],[0,"Default",0,1]],[[2433,893,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1776,[["dva"]],[],[0,"Default",0,1]],[[2410,863,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1777,[["dva"]],[],[0,"Default",0,1]],[[2036,621,0,165.7630004882813,72.80000305175781,0,0,1,0.5058823823928833,0.5,0,0,[]],70,1780,[],[],[0,"Default",0,1]],[[1761,597,0,131.3986358642578,109.4988555908203,0,0,1,0.5,0.5,0,0,[]],100,1781,[],[[1,0,1,12,0,0,0,200,0]],[0,"Default",0,1]],[[2353,600,0,131.3986358642578,109.4988555908203,
0,0,1,0.5,0.5,0,0,[]],100,1782,[],[[1,0,1,14,0,0,0,240,0]],[0,"Default",0,1]],[[1988,625,0,47,41,0,0,1,0.5,0.5,0,0,[]],101,1783,[],[],[1,"Default",0,1]],[[1544,625,0,46.61544799804688,39.79367446899414,0,0,1,0.5,0.5,0,0,[]],102,1784,[],[],[1,"Default",0,1]],[[2090,623,0,46.61544799804688,39.79367446899414,0,0,1,0.5,0.5,0,0,[]],102,1785,[],[],[1,"Default",0,1]],[[2613,624,0,47,41,0,0,1,0.5,0.5,0,0,[]],101,1786,[],[],[1,"Default",0,1]],[[3685,391,0,262.1644592285156,81.75020599365234,0,0,1,0.5053763389587402,
0.517241358757019,0,0,[]],201,1738,[],[[1],[1,1,0,1,0.5,0.2,0,0.01,0,1]],[0,"Default",0,1]],[[3668,303,0,119.4989547729492,119.4989547729492,0,0,1,0.5,0.5,0,0,[]],103,1787,[],[],[0,"Default",0,1]],[[845,748,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,1788,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[1720,1083,0,79.56002807617188,80.92002868652344,0,0,1,0.508474588394165,0.5,0,0,[]],108,1789,[],[],[0,"Default",0,1]],[[1726,1088,0,256,256,0,0,
1,0.5,0.5,0,0,[]],109,1790,[],[[]],[0,"Default",0,1]],[[1101,223,0,79.56002807617188,80.92002868652344,0,0,1,0.508474588394165,0.5,0,0,[]],108,1791,[],[],[0,"Default",0,1]],[[1107,228,0,256,256,0,0,1,0.5,0.5,0,0,[]],109,1792,[],[[]],[0,"Default",0,1]],[[2265,1417,0,79.56002807617188,80.92002868652344,0,0,1,0.508474588394165,0.5,0,0,[]],108,1793,[],[],[0,"Default",0,1]],[[2271,1422,0,256,256,0,0,1,0.5,0.5,0,0,[]],109,1794,[],[[]],[0,"Default",0,1]],[[2630,1089,0,79.56002807617188,80.92002868652344,
0,0,1,0.508474588394165,0.5,0,0,[]],108,1795,[],[],[0,"Default",0,1]],[[2636,1094,0,256,256,0,0,1,0.5,0.5,0,0,[]],109,1796,[],[[]],[0,"Default",0,1]],[[1105,495,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,1799,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[1365,353,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,1800,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[1379,815,0,81.1567153930664,82.54400634765625,
0,0,1,0.5,0.5070422291755676,0,0,[]],107,1801,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[1937,1315,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,1802,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[1642,1403,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,1803,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[1598,393,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,
0,0,[]],107,1804,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[1867,357,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,1805,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[2133,377,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,1806,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[2415,366,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,1807,[],[[1,
0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[1605,216,0,79.56002807617188,80.92002868652344,0,0,1,0.508474588394165,0.5,0,0,[]],108,1808,[],[],[0,"Default",0,1]],[[1607,214,0,256,256,0,0,1,0.5,0.5,0,0,[]],109,1809,[],[[]],[0,"Default",0,1]],[[399,1192,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1810,[["dva"]],[],[0,"Default",0,1]],[[463,1181,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1811,[["dva"]],[],[0,"Default",0,1]],[[431,1161,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1812,[["dva"]],[],[0,"Default",0,1]],[[431,
1223,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1813,[["dva"]],[],[0,"Default",0,1]],[[398,1127,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1814,[["dva"]],[],[0,"Default",0,1]],[[462,1126,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1815,[["dva"]],[],[0,"Default",0,1]],[[431,1093,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1816,[["dva"]],[],[0,"Default",0,1]],[[399,1057,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1817,[["dva"]],[],[0,"Default",0,1]],[[463,1055,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1818,[["dva"]],[],[0,"Default",0,1]],[[431,1026,0,20,20,0,
0,1,0.5,0.5,0,0,[]],78,1819,[["dva"]],[],[0,"Default",0,1]],[[398,990,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1820,[["dva"]],[],[0,"Default",0,1]],[[462,989,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1821,[["dva"]],[],[0,"Default",0,1]],[[431,956,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1822,[["dva"]],[],[0,"Default",0,1]],[[2680,436,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,1823,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[3399,845,0,81.1567153930664,82.54400634765625,
0,0,1,0.5,0.5070422291755676,0,0,[]],107,1824,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[2934,937,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,1825,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[3230,1082,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,1826,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[2524,1308,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,
0,0,[]],107,1827,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[3195,203,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,1828,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[2884,157,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,1829,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[3681,1131,0,79.56002807617188,80.92002868652344,0,0,1,0.508474588394165,0.5,0,0,[]],108,1830,[],
[],[0,"Default",0,1]],[[3687,1136,0,256,256,0,0,1,0.5,0.5,0,0,[]],109,1831,[],[[]],[0,"Default",0,1]],[[2979,425,0,79.56002807617188,80.92002868652344,0,0,1,0.508474588394165,0.5,0,0,[]],108,1832,[],[],[0,"Default",0,1]],[[2985,430,0,256,256,0,0,1,0.5,0.5,0,0,[]],109,1833,[],[[]],[0,"Default",0,1]],[[2383,201,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,1840,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[2549,680,0,61,252,0,0,1,0,0,0,0,[]],75,
1843,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[2496,972,0,262.1644592285156,81.75020599365234,0,0,1,0.5053763389587402,0.517241358757019,0,0,[]],201,1742,[],[[1],[1,1,0,1,0.5,0.2,0,0.01,0,1]],[0,"Default",0,1]],[[1765,972,0,262.1644592285156,81.75020599365234,0,0,1,0.5053763389587402,0.517241358757019,0,0,[]],201,1728,[],[[1],[1,1,0,1,0.5,0.2,0,0.01,0,1]],[0,"Default",0,1]],[[2009,972,0,262.1644592285156,81.75020599365234,0,0,1,0.5053763389587402,0.517241358757019,0,0,[]],201,1736,[],[[1],[1,
1,0,1,0.5,0.2,0,0.01,0,1]],[0,"Default",0,1]],[[2252,972,0,262.1644592285156,81.75020599365234,0,0,1,0.5053763389587402,0.517241358757019,0,0,[]],201,1741,[],[[1],[1,1,0,1,0.5,0.2,0,0.01,0,1]],[0,"Default",0,1]],[[1818,934,0,132,83,0,0,1,0.5,0.5,0,0,[]],105,1844,[],[],[0,"Default",0,1]],[[1925.09130859375,813.3486938476562,0,115.2831802368164,253.9832611083984,0,0,1,0.5,0.5058823823928833,0,0,[]],106,1845,[],[[1]],[0,"Default",0,1]],[[1585,786,0,148.0375213623047,139.5254364013672,0,0,1,-0.09589041024446487,
-0.0972222238779068,0,0,[]],73,1846,[],[],[0,"Default",0,1]],[[722,629,0,262.1644592285156,81.75020599365234,0,0,1,0.5053763389587402,0.517241358757019,0,0,[]],201,1574,[],[[1],[1,1,0,1,0.5,0.2,0,0.01,0,1]],[0,"Default",0,1]],[[479,629,0,262.1644592285156,81.75020599365234,0,0,1,0.5053763389587402,0.517241358757019,0,0,[]],201,1575,[],[[1],[1,1,0,1,0.5,0.2,0,0.01,0,1]],[0,"Default",0,1]],[[1117,845,0,262.1644592285156,81.75020599365234,0,0,1,0.5053763389587402,0.517241358757019,0,0,[]],201,1726,[],
[[1],[1,1,0,1,0.5,0.2,0,0.01,0,1]],[0,"Default",0,1]],[[1166,1415,0,262.1644592285156,81.75020599365234,0,0,1,0.5053763389587402,0.517241358757019,0,0,[]],201,1729,[],[[1],[1,1,0,1,0.5,0.2,0,0.01,0,1]],[0,"Default",0,1]],[[256,1437,0,262.1644592285156,81.75020599365234,0,0,1,0.5053763389587402,0.517241358757019,0,0,[]],201,1730,[],[[1],[1,1,0,1,0.5,0.2,0,0.01,0,1]],[0,"Default",0,1]],[[237,994,0,262.1644592285156,81.75020599365234,0,0,1,0.5053763389587402,0.517241358757019,0,0,[]],201,1735,[],[[1],
[1,1,0,1,0.5,0.2,0,0.01,0,1]],[0,"Default",0,1]],[[609,319,0,262.1644592285156,81.75020599365234,0,0,1,0.5053763389587402,0.517241358757019,0,0,[]],201,1727,[],[[1],[1,1,0,1,0.5,0.2,0,0.01,0,1]],[0,"Default",0,1]],[[1516,684,0,262.1644592285156,81.75020599365234,0,0,1,0.5053763389587402,0.517241358757019,0,0,[]],201,1838,[],[[1],[1,1,0,1,0.5,0.2,0,0.01,0,1]],[0,"Default",0,1]],[[3267,1340,0,215,82,0,0,1,0.5053763389587402,0.517241358757019,0,0,[]],201,1731,[],[[1],[1,1,0,1,0.5,0.2,0,0.01,0,1]],[0,
"Default",0,1]],[[3065.164306640625,1343.00439453125,0,215,82,0,0,1,0.5053763389587402,0.517241358757019,0,0,[]],201,1732,[],[[1],[1,1,0,1,0.5,0.2,0,0.01,0,1]],[0,"Default",0,1]],[[3449,258,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,1645,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[601,1636,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,3310,[],[[]],[0,"Default",0,1]]],[]],["Earth",4,81796509023483,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[],[]],["Power",5,6141124500977856,
!0,[255,255,255],!0,1,1,1,!1,1,0,0,[],[]],["Mouse",6,0x978e379587f07,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[255,1273,0,64.01953125,53.10530090332031,0,0,1,0.5,1,0,0,[]],42,228,[],[[]],[0,"Default",0,1]],[[254,1284,0,82.02706146240234,93.33332061767578,0,0,1,0.4545454680919647,0.01639344170689583,0,0,[]],45,229,[[150]],[[1],[115,0,35,3,0,0,1],[0,0,0,0,30,100,0,1],[1,0,0,4,0,0,0,50,0],[1,0,0,4,0,0,0,50,0]],[0,"Default",0,1]],[[255,1282,0,8.829414367675781,-1.735369682312012,0,-1.576729655265808,1,0,
0.48828125,0,0,[]],41,230,[],[],[0,"Default",0,1]],[[-31,-253,0,128,128,0,1.57080864906311,1,0,0.5,0,0,[]],44,231,[],[],[5,30,0,70,40,100,5,0,0,0,2,0,-250,0,2,800,0,0,0.7]],[[-131,-251,0,135,200,0,1.570796370506287,1,0,0.5,0,0,[]],43,232,[],[],[15,20,0,70,10,100,50,0,0,0,10,0,70,0,0,800,0,0,0.3]]],[]],["Decortop",7,0x62450cdf9a3b9,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[1859,609,0,183.2527008056641,109.1280059814453,0,0,1,0.5070422291755676,0.5,0,0,[]],82,3492,[],[],[0,"Default",0,1]],[[1111,1044,0,
261.113525390625,90.45108795166016,0,0,1,0.5046728849411011,0.5135135054588318,0,0,[]],71,3493,[],[],[0,"Default",0,1]],[[245,871,0,-239,210,0,0,1,0.5,0.5047619342803955,0,0,[]],65,3494,[],[],[0,"Default",0,1]],[[2438,612,0,183.2527008056641,109.1280059814453,0,0,1,0.5070422291755676,0.5,0,0,[]],82,3495,[],[],[0,"Default",0,1]],[[1209,1280,0,239.0609588623047,237.8890991210938,0,0,1,0.5,0.5,0,0,[]],83,3497,[],[],[0,"Default",0,1]],[[3262,1277,0,135.1665649414063,77.238037109375,0,0,1,0.5074626803398132,
0.5,0,0,[]],69,3498,[],[],[0,"Default",0,1]],[[473,559,0,261.113525390625,90.45108795166016,0,0,1,0.5046728849411011,0.5135135054588318,0,0,[]],71,3499,[],[],[0,"Default",0,1]],[[788,502,0,90.9122085571289,208.6848449707031,0,0,1,0.5,0.5049505233764648,0,0,[]],194,1743,[],[],[0,"Default",0,1]],[[3192,1271,0,71.93170166015625,77.61052703857422,0,0,1,0.5,0.5121951103210449,0,0,[]],195,1744,[],[],[0,"Default",0,1]],[[1161,784,0,71.93170166015625,77.61052703857422,0,0,1,0.5,0.5121951103210449,0,0,[]],
195,1839,[],[],[0,"Default",0,1]]],[]],["Water",8,9110118299582744,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[-894,1845,0,5773,70,0,0,1,0,0,0,0,[]],46,233,[],[[1,1,0,4E3,0,2E3,0,2E3,0]],[0,0]],[[-551,1838,0,5361,910,0,0,1,0,0,0,0,[]],47,234,[],[[1,1,0,4E3,0,2E3,0,2E3,0]],[0,0]],[[-575,1722,0,5390,128,0,0,1,0,0,0,0,[]],48,235,[],[[1,1,0,4E3,0,2E3,0,2E3,0]],[0,0]]],[]],["UI",9,5968255280033659,!0,[255,255,255],!0,0,0,1,!1,1,0,0,[[[129.9325103759766,715.2657470703125,0,180,180,0,0,1,0.5,0.5,0,0,[]],49,236,
[],[],[0,"Default",0,1]],[[134.3137359619141,718.0804443359375,0,120,120,0,0,1,0.4749999940395355,0.4833333194255829,0,0,[]],50,237,[[0]],[[0,1]],[0,"Default",0,1]],[[556.687255859375,833.5537109375,0,50,50,0,0,1,0.5142857432365417,0.5142857432365417,0,0,[]],60,249,[],[],[1,"Default",0,1]],[[444,27,0,-42,51,0,0,1,0.5116279125213623,0.5098039507865906,0,0,[]],52,238,[],[[]],[0,"Default",0,1]],[[149,27,0,43,51,0,0,1,0.5116279125213623,0.5098039507865906,0,0,[]],52,239,[],[[]],[0,"Default",0,1]],[[294,
32,0,273,57,0,0,1,0.5018315315246582,0.5087719559669495,0,0,[]],54,240,[],[],[0,"Default",0,1]],[[213,31,0,172.500732421875,32,0,0,1,0,0.5,0,0,[]],55,241,[],[[]],[0,"Default",0,1]],[[314,32,0,216,43,0,0,1,0.5,0.5116279125213623,0,0,[]],59,242,[],[[]],[0,"Default",0,1]],[[67,46,0,112,72,0,0,1,0.5,0.5,0,0,[]],51,243,[],[],[0,"Default",0,1]],[[530,46,0,112,72,0,0,1,0.5,0.5,0,0,[]],53,244,[],[],[0,"Default",0,1]],[[132,48,0,33.94112396240234,33.94112396240234,0,0,1,0.5,0.5,0,0,[]],62,245,[],[[]],[0,"Default",
0,1]],[[-8,9,0,146.9591674804688,88,0,0,1,0,0,0,0,[]],56,246,[],[[]],["Text",0,"32pt Arial Rounded MT Bold","rgb(255,255,51)",1,1,0,0,0]],[[457,8,0,146.9591674804688,88,0,0,1,0,0,0,0,[]],57,247,[],[[]],["Text",0,"32pt Arial Rounded MT Bold","rgb(204,255,255)",1,1,0,0,0]],[[467,47,0,31.93743896484375,31.93743896484375,0,0,1,0.5,0.5,0,0,[]],267,248,[],[[]],[0,"Default",0,1]]],[]],["Ball",10,8058173360642716,!0,[255,255,255],!0,0,0,1,!1,1,0,0,[],[]]],[],[]],["Lewel9",4300,2E3,!1,"Lewel9",9660530971174158,
[["BG",0,0xb09c4c54eafe8,!0,[44,159,205],!1,1,1,1,!1,1,0,0,[],[]],["BG(sky)",1,5524241990897548,!0,[255,255,255],!0,0.1000000014901161,0.800000011920929,1,!1,1,0,0,[[[-966,1135,0,6232,254,0,0,1,0,0,0,0,[]],39,251,[],[[1,0,3,70,0,0,0,1024,0]],[0,0]],[[-899,526,0,6054,260,0,0,1,0,0,0,0,[]],38,252,[],[[1,0,3,70,0,0,0,-1024,0]],[0,0]]],[]],["BG(mountian)",2,0xf5d172cb278a4,!0,[255,255,255],!0,0.1000000014901161,0.800000011920929,1,!1,1,0,0,[[[-544,1319,0,5389,258,0,0,1,0,0,0,0,[]],40,253,[],[],[0,0]]],
[]],["Map",3,0x9a38a7a16db93,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[3345,725,0,262.1644592285156,81.75020599365234,0,0,1,0.5053763389587402,0.517241358757019,0,0,[]],201,1931,[],[[1],[1,1,0,1,0.5,0.2,0,0.01,0,1]],[0,"Default",0,1]],[[3640,390,0,262.1644592285156,81.75020599365234,0,0,1,0.5053763389587402,0.517241358757019,0,0,[]],201,1932,[],[[1],[1,1,0,1,0.5,0.2,0,0.01,0,1]],[0,"Default",0,1]],[[3369,660,0,165.7630004882813,72.80000305175781,0,0,1,0.5058823823928833,0.5,0,0,[]],70,1847,[],[],[0,"Default",
0,1]],[[3653,330,0,135.1665649414063,77.238037109375,0,0,1,0.5074626803398132,0.5,0,0,[]],69,1848,[],[],[0,"Default",0,1]],[[2476,918,0,50,50,0,-0.01136865559965372,1,0.5,0.5,0,0,[]],77,1849,[[27]],[],[0,"Default",0,1]],[[486,1600,0,50,50,0,-0.01136865559965372,1,0.5,0.5,0,0,[]],77,1850,[[28]],[],[0,"Default",0,1]],[[1005,-417,0,26,26,0,0,1,0.5,0.5,0,0,[]],61,1851,[],[[]],[0,"Default",0,1]],[[3574,331,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1852,[["dva"]],[],[0,"Default",0,1]],[[3525,331,0,20,20,0,0,1,0.5,
0.5,0,0,[]],78,1853,[["dva"]],[],[0,"Default",0,1]],[[3548,300,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1854,[["dva"]],[],[0,"Default",0,1]],[[3621,330,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1855,[["dva"]],[],[0,"Default",0,1]],[[3598,300,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1856,[["dva"]],[],[0,"Default",0,1]],[[3673,329,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1857,[["dva"]],[],[0,"Default",0,1]],[[3647,299,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1858,[["dva"]],[],[0,"Default",0,1]],[[3721,329,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,
1859,[["dva"]],[],[0,"Default",0,1]],[[3697,299,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1860,[["dva"]],[],[0,"Default",0,1]],[[3741,298,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1861,[["dva"]],[],[0,"Default",0,1]],[[3667,-159,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,1862,[],[[]],[0,"Default",0,1]],[[3607,912,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1863,[["dva"]],[],[0,"Default",0,1]],[[3671,901,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1864,[["dva"]],[],[0,"Default",0,1]],[[3639,881,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1865,[["dva"]],[],[0,
"Default",0,1]],[[3639,943,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1866,[["dva"]],[],[0,"Default",0,1]],[[3606,847,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1867,[["dva"]],[],[0,"Default",0,1]],[[3670,846,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1868,[["dva"]],[],[0,"Default",0,1]],[[3639,813,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1869,[["dva"]],[],[0,"Default",0,1]],[[2917,743,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1870,[["dva"]],[],[0,"Default",0,1]],[[2981,741,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1871,[["dva"]],[],[0,"Default",0,1]],
[[2949,712,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1872,[["dva"]],[],[0,"Default",0,1]],[[2949,774,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1873,[["dva"]],[],[0,"Default",0,1]],[[2916,676,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1874,[["dva"]],[],[0,"Default",0,1]],[[2980,675,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1875,[["dva"]],[],[0,"Default",0,1]],[[2949,642,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1876,[["dva"]],[],[0,"Default",0,1]],[[1125,-453,0,26,26,0,0,1,0.5,0.5,0,0,[]],61,1877,[],[[]],[0,"Default",0,1]],[[1464,1561,0,20,20,
0,0,1,0.5,0.5,0,0,[]],78,1879,[["dva"]],[],[0,"Default",0,1]],[[1511,1560,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1880,[["dva"]],[],[0,"Default",0,1]],[[1488,1530,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1881,[["dva"]],[],[0,"Default",0,1]],[[1563,1559,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1882,[["dva"]],[],[0,"Default",0,1]],[[1537,1529,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1883,[["dva"]],[],[0,"Default",0,1]],[[1611,1559,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1884,[["dva"]],[],[0,"Default",0,1]],[[1587,1529,0,20,20,0,0,1,0.5,
0.5,0,0,[]],78,1885,[["dva"]],[],[0,"Default",0,1]],[[1631,1528,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1886,[["dva"]],[],[0,"Default",0,1]],[[1701,1560,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1887,[["dva"]],[],[0,"Default",0,1]],[[1652,1560,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1888,[["dva"]],[],[0,"Default",0,1]],[[1675,1529,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1889,[["dva"]],[],[0,"Default",0,1]],[[1748,1559,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1890,[["dva"]],[],[0,"Default",0,1]],[[1725,1529,0,20,20,0,0,1,0.5,0.5,0,0,[]],
78,1891,[["dva"]],[],[0,"Default",0,1]],[[1800,1558,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1892,[["dva"]],[],[0,"Default",0,1]],[[1774,1528,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1893,[["dva"]],[],[0,"Default",0,1]],[[1848,1558,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1894,[["dva"]],[],[0,"Default",0,1]],[[1824,1528,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1895,[["dva"]],[],[0,"Default",0,1]],[[3478,1411,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1896,[["dva"]],[],[0,"Default",0,1]],[[3455,1381,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1897,[["dva"]],
[],[0,"Default",0,1]],[[3530,1410,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1898,[["dva"]],[],[0,"Default",0,1]],[[3504,1380,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1899,[["dva"]],[],[0,"Default",0,1]],[[3578,1410,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1900,[["dva"]],[],[0,"Default",0,1]],[[3554,1380,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1901,[["dva"]],[],[0,"Default",0,1]],[[3598,1379,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1902,[["dva"]],[],[0,"Default",0,1]],[[3668,1411,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1903,[["dva"]],[],[0,"Default",
0,1]],[[3619,1411,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1904,[["dva"]],[],[0,"Default",0,1]],[[3642,1380,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1905,[["dva"]],[],[0,"Default",0,1]],[[3715,1410,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1906,[["dva"]],[],[0,"Default",0,1]],[[3692,1380,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1907,[["dva"]],[],[0,"Default",0,1]],[[3767,1409,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1908,[["dva"]],[],[0,"Default",0,1]],[[3741,1379,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1909,[["dva"]],[],[0,"Default",0,1]],[[3815,
1409,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1910,[["dva"]],[],[0,"Default",0,1]],[[3791,1379,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1911,[["dva"]],[],[0,"Default",0,1]],[[2066,917,0,50,50,0,-0.01136865559965372,1,0.5,0.5,0,0,[]],77,1912,[[26]],[],[0,"Default",0,1]],[[2945,240,0,153,69,0,0,1,0.5046728849411011,0.5,0,0,[]],64,1913,[],[],[0,"Default",1,1]],[[2397,825,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,1914,[],[],[0,"Default",0,1]],[[1388,627,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,1915,[],[],[0,"Default",0,1]],[[1693,249,
0,68,68,0,0,1,0.5,0.5,0,0,[]],79,1916,[],[],[0,"Default",0,1]],[[2115,828,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,1917,[],[],[0,"Default",0,1]],[[2264,829,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,1918,[],[],[0,"Default",0,1]],[[2313,992,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,1919,[],[],[0,"Default",0,1]],[[2215,990,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,1920,[],[],[0,"Default",0,1]],[[2951,1363,0,358,65,0,0,1,0,0,0,0,[]],75,1925,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[2947,1353,0,363,16,0,0,1,0,0,0,0,[]],67,1926,[],
[],[0,0]],[[2956,1426,0,348,432,0,0,1,0,0,0,0,[]],68,1927,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[-369,-1290,0,502,3835,0,0,1,0,0,0,0,[]],66,1928,[],[[1,0,0,1,0.5,0.2,0,0.01,0,1],[1]],[0,0]],[[3936,-1238,0,501,3631,0,0,1,0,0,0,0,[]],66,1939,[],[[1,0,0,1,0.5,0.2,0,0.01,0,1],[1]],[0,0]],[[890,1145,0,162.8885803222656,87.02266693115234,0,0,1,0.5068492889404297,0.5128205418586731,0,0,[]],202,1921,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,"Default",0,1]],[[1063,1148,0,262.1644592285156,81.75020599365234,
0,0,1,0.5053763389587402,0.517241358757019,0,0,[]],201,1922,[],[[1],[1,1,0,1,0.5,0.2,0,0.01,0,1]],[0,"Default",0,1]],[[891,1088,0,116.4450836181641,50.51428604125977,0,0,1,0.5058823823928833,0.5,0,0,[]],70,1940,[],[],[0,"Default",0,1]],[[1303,251,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,1941,[],[],[0,"Default",0,1]],[[3061,1323,0,165.7630004882813,72.80000305175781,0,0,1,0.5058823823928833,0.5,0,0,[]],70,1942,[],[],[0,"Default",0,1]],[[3763,329,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1943,[["dva"]],[],[0,"Default",
0,1]],[[2271,650,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,1944,[],[],[0,"Default",0,1]],[[546,361,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,1945,[],[],[0,"Default",0,1]],[[631,-848,0,225.322998046875,236.7800903320313,0,0,0.699999988079071,0.4406779706478119,0.5,0,0,[[]]],81,1946,[],[[-90,0]],[0,"Default",0,1]],[[375,-899,0,80.23999786376953,75.63999938964844,0,0,1,0.4406779706478119,0.5,0,0,[[]]],81,1947,[],[[180,0]],[0,"Default",0,1]],[[487,361,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1948,[["dva"]],[],[0,"Default",0,1]],
[[534,360,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1949,[["dva"]],[],[0,"Default",0,1]],[[511,330,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1950,[["dva"]],[],[0,"Default",0,1]],[[586,359,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1951,[["dva"]],[],[0,"Default",0,1]],[[560,329,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1952,[["dva"]],[],[0,"Default",0,1]],[[634,359,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1953,[["dva"]],[],[0,"Default",0,1]],[[610,329,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1954,[["dva"]],[],[0,"Default",0,1]],[[654,328,0,20,20,0,0,
1,0.5,0.5,0,0,[]],78,1955,[["dva"]],[],[0,"Default",0,1]],[[675,360,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1956,[["dva"]],[],[0,"Default",0,1]],[[1642,1448,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,1957,[],[[]],[0,"Default",0,1]],[[3607,777,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1958,[["dva"]],[],[0,"Default",0,1]],[[3671,775,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1959,[["dva"]],[],[0,"Default",0,1]],[[3639,746,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1960,[["dva"]],[],[0,"Default",0,1]],[[3606,710,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,
1961,[["dva"]],[],[0,"Default",0,1]],[[3670,709,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1962,[["dva"]],[],[0,"Default",0,1]],[[3639,676,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1963,[["dva"]],[],[0,"Default",0,1]],[[2128,934,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1964,[["dva"]],[],[0,"Default",0,1]],[[2175,933,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1965,[["dva"]],[],[0,"Default",0,1]],[[2152,903,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1966,[["dva"]],[],[0,"Default",0,1]],[[2227,932,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1967,[["dva"]],
[],[0,"Default",0,1]],[[2201,902,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1968,[["dva"]],[],[0,"Default",0,1]],[[2275,932,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1969,[["dva"]],[],[0,"Default",0,1]],[[2251,902,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1970,[["dva"]],[],[0,"Default",0,1]],[[2295,901,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1971,[["dva"]],[],[0,"Default",0,1]],[[2365,933,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1972,[["dva"]],[],[0,"Default",0,1]],[[2316,933,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1973,[["dva"]],[],[0,"Default",
0,1]],[[2339,902,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1974,[["dva"]],[],[0,"Default",0,1]],[[2412,932,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1975,[["dva"]],[],[0,"Default",0,1]],[[2389,902,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1976,[["dva"]],[],[0,"Default",0,1]],[[2024,737,0,262.1644592285156,81.75020599365234,0,0,1,0.5053763389587402,0.517241358757019,0,0,[]],201,1930,[],[[1],[1,1,0,1,0.5,0.2,0,0.01,0,1]],[0,"Default",0,1]],[[2269,737,0,262.1644592285156,81.75020599365234,0,0,1,0.5053763389587402,0.517241358757019,
0,0,[]],201,1933,[],[[1],[1,1,0,1,0.5,0.2,0,0.01,0,1]],[0,"Default",0,1]],[[2516,737,0,262.1644592285156,81.75020599365234,0,0,1,0.5053763389587402,0.517241358757019,0,0,[]],201,1934,[],[[1],[1,1,0,1,0.5,0.2,0,0.01,0,1]],[0,"Default",0,1]],[[2224,670,0,165.7630004882813,72.80000305175781,0,0,1,0.5058823823928833,0.5,0,0,[]],70,1979,[],[],[0,"Default",0,1]],[[2311,648,0,131.3990020751953,109.4990005493164,0,0,1,0.5,0.5,0,0,[]],100,1980,[],[[1,0,1,14,0,0,0,240,0]],[0,"Default",0,1]],[[2048,671,0,46.61544799804688,
39.79367446899414,0,0,1,0.5,0.5,0,0,[]],102,1981,[],[],[1,"Default",0,1]],[[2571,672,0,47,41,0,0,1,0.5,0.5,0,0,[]],101,1982,[],[],[1,"Default",0,1]],[[803,790,0,81.15699768066406,82.54399871826172,0,0,1,0.5,0.5070422291755676,0,0,[]],107,1983,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[3344,385,0,79.56002807617188,80.92002868652344,0,0,1,0.508474588394165,0.5,0,0,[]],108,1988,[],[],[0,"Default",0,1]],[[3350,388,0,256,256,0,0,1,0.5,0.5,0,0,[]],109,1989,[],[[]],[0,"Default",
0,1]],[[1075,822,0,81.15699768066406,82.54399871826172,0,0,1,0.5,0.5070422291755676,0,0,[]],107,1992,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[357,1234,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,1999,[["dva"]],[],[0,"Default",0,1]],[[421,1223,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2E3,[["dva"]],[],[0,"Default",0,1]],[[389,1203,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2001,[["dva"]],[],[0,"Default",0,1]],[[389,1265,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2002,[["dva"]],[],[0,"Default",0,1]],[[356,1169,
0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2003,[["dva"]],[],[0,"Default",0,1]],[[420,1168,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2004,[["dva"]],[],[0,"Default",0,1]],[[389,1135,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2005,[["dva"]],[],[0,"Default",0,1]],[[357,1099,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2006,[["dva"]],[],[0,"Default",0,1]],[[421,1097,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2007,[["dva"]],[],[0,"Default",0,1]],[[389,1068,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2008,[["dva"]],[],[0,"Default",0,1]],[[356,1032,0,20,20,0,0,1,0.5,
0.5,0,0,[]],78,2009,[["dva"]],[],[0,"Default",0,1]],[[420,1031,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2010,[["dva"]],[],[0,"Default",0,1]],[[389,998,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2011,[["dva"]],[],[0,"Default",0,1]],[[3639,1173,0,79.56002807617188,80.92002868652344,0,0,1,0.508474588394165,0.5,0,0,[]],108,2012,[],[],[0,"Default",0,1]],[[3645,1178,0,256,256,0,0,1,0.5,0.5,0,0,[]],109,2013,[],[[]],[0,"Default",0,1]],[[1086,1576,0,79.55999755859375,80.91999816894531,0,0,1,0.508474588394165,0.5,0,0,[]],108,
2014,[],[],[0,"Default",0,1]],[[1091,1584,0,256,256,0,0,1,0.5,0.5,0,0,[]],109,2015,[],[[]],[0,"Default",0,1]],[[3334,655,0,91.12422943115234,91.12422943115234,0,0.1096227541565895,1,0.5066666603088379,0.5066666603088379,0,0,[]],104,2016,[],[],[0,"Default",0,1]],[[3648,321,0,91.12422943115234,91.12422943115234,0,0.1096227541565895,1,0.5066666603088379,0.5066666603088379,0,0,[]],104,2017,[],[],[0,"Default",0,1]],[[1225,-725,0,40,20,0,0,1,0.5,0.5263158082962036,0,0,[]],112,2019,[],[[],[-200,0,0,0,1,
1]],[0,"Default",0,1]],[[1858,552,0,148.0379943847656,139.5249938964844,0,0,1,-0.09589041024446487,-0.0972222238779068,0,0,[]],73,2020,[],[],[0,"Default",0,1]],[[1685,948,0,98.81400299072266,93.3239974975586,0,0,1,0.5,0.5,0,0,[]],113,2021,[],[[30,0,0,200,1E3,2E3,135,0,1,1]],[0,"Default",0,1]],[[1916,1077,0,203,65,0,0,1,0,0,0,0,[]],75,2022,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1947,1077,0,172,16,0,0,1,0,0,0,0,[]],67,2023,[],[],[0,0]],[[2451,404,0,81.15699768066406,82.54399871826172,0,0,1,
0.5,0.5070422291755676,0,0,[]],107,2032,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[2629,229,0,81.15699768066406,82.54399871826172,0,0,1,0.5,0.5070422291755676,0,0,[]],107,2033,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[2694,469,0,81.15699768066406,82.54399871826172,0,0,1,0.5,0.5070422291755676,0,0,[]],107,2034,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[2457,100,0,81.15699768066406,82.54399871826172,0,0,1,0.5,0.5070422291755676,
0,0,[]],107,2035,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[2391,1078,0,228,65,0,0,1,0,0,0,0,[]],75,2036,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[2391,1077,0,200,16,0,0,1,0,0,0,0,[]],67,2037,[],[],[0,0]],[[1916,749,0,32,353,0,0,1,0,0,0,0,[]],75,2038,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[2588,749,0,32,353,0,0,1,0,0,0,0,[]],75,2039,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[2093,996,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2040,[["dva"]],[],[0,"Default",0,1]],[[2157,
994,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2041,[["dva"]],[],[0,"Default",0,1]],[[2125,965,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2042,[["dva"]],[],[0,"Default",0,1]],[[2125,1027,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2043,[["dva"]],[],[0,"Default",0,1]],[[2380,996,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2044,[["dva"]],[],[0,"Default",0,1]],[[2444,994,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2045,[["dva"]],[],[0,"Default",0,1]],[[2412,965,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2046,[["dva"]],[],[0,"Default",0,1]],[[2412,1027,0,20,20,0,
0,1,0.5,0.5,0,0,[]],78,2047,[["dva"]],[],[0,"Default",0,1]],[[2255,1108,0,279.2396240234375,93.79041290283203,0,0,1,0.5038167834281921,0.5,0,0,[]],110,2048,[],[[1]],[0,"Default",0,1]],[[2275,1425,0,81.15699768066406,82.54399871826172,0,0,1,0.5,0.5070422291755676,0,0,[]],107,2050,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[1236,411,0,81.15699768066406,82.54399871826172,0,0,1,0.5,0.5070422291755676,0,0,[]],107,2051,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",
0,1]],[[1069,145,0,81.15699768066406,82.54399871826172,0,0,1,0.5,0.5070422291755676,0,0,[]],107,1993,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[1536,117,0,81.15699768066406,82.54399871826172,0,0,1,0.5,0.5070422291755676,0,0,[]],107,1996,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[1496,299,0,81.15699768066406,82.54399871826172,0,0,1,0.5,0.5070422291755676,0,0,[]],107,2026,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[875,1430,0,
81.15699768066406,82.54399871826172,0,0,1,0.5,0.5070422291755676,0,0,[]],107,1994,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[1499,1261,0,81.15699768066406,82.54399871826172,0,0,1,0.5,0.5070422291755676,0,0,[]],107,1995,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[1351,964,0,81.15699768066406,82.54399871826172,0,0,1,0.5,0.5070422291755676,0,0,[]],107,2031,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[2065,305,0,79.55999755859375,
80.91999816894531,0,0,1,0.508474588394165,0.5,0,0,[]],108,1990,[],[],[0,"Default",0,1]],[[2072,306,0,256,256,0,0,1,0.5,0.5,0,0,[]],109,1991,[],[[]],[0,"Default",0,1]],[[1751,461,0,81.15699768066406,82.54399871826172,0,0,1,0.5,0.5070422291755676,0,0,[]],107,2027,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[2032,484,0,81.15699768066406,82.54399871826172,0,0,1,0.5,0.5070422291755676,0,0,[]],107,2028,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[1912,299,0,
81.15699768066406,82.54399871826172,0,0,1,0.5,0.5070422291755676,0,0,[]],107,2029,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[2074,116,0,81.15699768066406,82.54399871826172,0,0,1,0.5,0.5070422291755676,0,0,[]],107,2030,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[972,465,0,79.55999755859375,80.91999816894531,0,0,1,0.508474588394165,0.5,0,0,[]],108,1997,[],[],[0,"Default",0,1]],[[977,473,0,256,256,0,0,1,0.5,0.5,0,0,[]],109,1998,[],[[]],[0,"Default",0,
1]],[[2660,1420,0,79.56002807617188,80.92002868652344,0,0,1,0.508474588394165,0.5,0,0,[]],108,2024,[],[],[0,"Default",0,1]],[[2666,1425,0,256,256,0,0,1,0.5,0.5,0,0,[]],109,2025,[],[[]],[0,"Default",0,1]],[[572,430,0,262.1644592285156,81.75020599365234,0,0,1,0.5053763389587402,0.517241358757019,0,0,[]],201,1746,[],[[1],[1,1,0,1,0.5,0.2,0,0.01,0,1]],[0,"Default",0,1]],[[387,1400,0,162.8885803222656,87.02266693115234,0,0,1,0.5068492889404297,0.5128205418586731,0,0,[]],202,1841,[],[[1],[1,0,0,1,0.5,0.2,
0,0.01,0,1]],[0,"Default",0,1]],[[560,1403,0,262.1644592285156,81.75020599365234,0,0,1,0.5053763389587402,0.517241358757019,0,0,[]],201,1842,[],[[1],[1,1,0,1,0.5,0.2,0,0.01,0,1]],[0,"Default",0,1]],[[1431,784,0,177.9102478027344,95.04793548583984,0,0,1,0.5068492889404297,0.5128205418586731,0,0,[]],202,1923,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,"Default",0,1]],[[1581,1628,0,162.8885803222656,87.02266693115234,0,0,1,0.5068492889404297,0.5128205418586731,0,0,[]],202,1924,[],[[1],[1,0,0,1,0.5,0.2,
0,0.01,0,1]],[0,"Default",0,1]],[[1754,1631,0,262.1644592285156,81.75020599365234,0,0,1,0.5053763389587402,0.517241358757019,0,0,[]],201,1929,[],[[1],[1,1,0,1,0.5,0.2,0,0.01,0,1]],[0,"Default",0,1]],[[1147,1066,0,100,100,0,0,1,0.5,0.5,0,0,[]],231,1797,[],[[200,6E3,80,1,0,0,1],[-180,0]],[0,"Default",0,1]],[[391,916,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,3311,[],[[]],[0,"Default",0,1]],[[1011,1032,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,4005,[],[[]],[0,"Default",0,1]],[[1206,667,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,
4006,[],[[]],[0,"Default",0,1]],[[1506,514,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,4008,[],[[]],[0,"Default",0,1]],[[2281,471,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,4011,[],[[]],[0,"Default",0,1]]],[]],["Earth",4,6321760976578572,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[],[]],["Power",5,0xea2e8585f0480,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[],[]],["Mouse",6,320823912523296,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[591,1264,0,64.01953125,53.10530090332031,0,0,1,0.5,1,0,0,[]],42,254,[],[[]],[0,"Default",0,1]],[[590,1275,0,
82.02706146240234,93.33332061767578,0,0,1,0.4545454680919647,0.01639344170689583,0,0,[]],45,255,[[150]],[[1],[115,0,35,3,0,0,1],[0,0,0,0,30,100,0,1],[1,0,0,4,0,0,0,50,0],[1,0,0,4,0,0,0,50,0]],[0,"Default",0,1]],[[591,1273,0,8.829414367675781,-1.735369682312012,0,-1.576729655265808,1,0,0.48828125,0,0,[]],41,256,[],[],[0,"Default",0,1]],[[-31,-253,0,128,128,0,1.57080864906311,1,0,0.5,0,0,[]],44,257,[],[],[5,30,0,70,40,100,5,0,0,0,2,0,-250,0,2,800,0,0,0.7]],[[-131,-251,0,135,200,0,1.570796370506287,
1,0,0.5,0,0,[]],43,258,[],[],[15,20,0,70,10,100,50,0,0,0,10,0,70,0,0,800,0,0,0.3]]],[]],["Decortop",7,7767351467523799,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[2039,669,0,146.1903533935547,86.47879791259766,0,0,1,0.5070422291755676,0.5,0,0,[]],82,3500,[],[],[0,"Default",0,1]],[[1061,1094,0,182.6088104248047,63.14509963989258,0,0,1,0.5046728849411011,0.5135135054588318,0,0,[]],71,3501,[],[],[0,"Default",0,1]],[[1401,654,0,-239,210,0,0,1,0.5,0.5047619342803955,0,0,[]],65,3502,[],[],[0,"Default",0,1]],
[[2388,672,0,146.1903533935547,86.47879791259766,0,0,1,0.5070422291755676,0.5,0,0,[]],82,3503,[],[],[0,"Default",0,1]],[[559,363,0,146.1903533935547,86.47879791259766,0,0,1,0.5070422291755676,0.5,0,0,[]],82,3504,[],[],[0,"Default",0,1]],[[1769,1497,0,235.8516387939453,235.8516693115234,0,0,1,0.5,0.5,0,0,[]],83,3505,[],[],[0,"Default",0,1]],[[3212,1337,0,107.8114242553711,61.14677810668945,0,0,1,0.5074626803398132,0.5,0,0,[]],69,3506,[],[],[0,"Default",0,1]],[[399,1349,0,182.6088104248047,63.14509963989258,
0,0,1,0.5046728849411011,0.5135135054588318,0,0,[]],71,3507,[],[],[0,"Default",0,1]]],[]],["Water",8,6806847126998885,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[-894,1845,0,5773,70,0,0,1,0,0,0,0,[]],46,259,[],[[1,1,0,4E3,0,2E3,0,2E3,0]],[0,0]],[[-551,1838,0,5361,910,0,0,1,0,0,0,0,[]],47,260,[],[[1,1,0,4E3,0,2E3,0,2E3,0]],[0,0]],[[-575,1722,0,5390,128,0,0,1,0,0,0,0,[]],48,261,[],[[1,1,0,4E3,0,2E3,0,2E3,0]],[0,0]]],[]],["UI",9,6025713748021568,!0,[255,255,255],!0,0,0,1,!1,1,0,0,[[[129.9325103759766,715.2657470703125,
0,180,180,0,0,1,0.5,0.5,0,0,[]],49,262,[],[],[0,"Default",0,1]],[[134.3137359619141,718.0804443359375,0,120,120,0,0,1,0.4749999940395355,0.4833333194255829,0,0,[]],50,263,[[0]],[[0,1]],[0,"Default",0,1]],[[556.687255859375,833.5537109375,0,50,50,0,0,1,0.5142857432365417,0.5142857432365417,0,0,[]],60,275,[],[],[1,"Default",0,1]],[[443,25,0,-42,51,0,0,1,0.5116279125213623,0.5098039507865906,0,0,[]],52,250,[],[[]],[0,"Default",0,1]],[[148,25,0,43,51,0,0,1,0.5116279125213623,0.5098039507865906,0,0,[]],
52,264,[],[[]],[0,"Default",0,1]],[[293,30,0,273,57,0,0,1,0.5018315315246582,0.5087719559669495,0,0,[]],54,265,[],[],[0,"Default",0,1]],[[212,29,0,172.500732421875,32,0,0,1,0,0.5,0,0,[]],55,266,[],[[]],[0,"Default",0,1]],[[313,30,0,216,43,0,0,1,0.5,0.5116279125213623,0,0,[]],59,267,[],[[]],[0,"Default",0,1]],[[66,44,0,112,72,0,0,1,0.5,0.5,0,0,[]],51,268,[],[],[0,"Default",0,1]],[[529,44,0,112,72,0,0,1,0.5,0.5,0,0,[]],53,269,[],[],[0,"Default",0,1]],[[131,46,0,33.94112396240234,33.94112396240234,0,
0,1,0.5,0.5,0,0,[]],62,270,[],[[]],[0,"Default",0,1]],[[-9,7,0,146.9591674804688,88,0,0,1,0,0,0,0,[]],56,271,[],[[]],["Text",0,"32pt Arial Rounded MT Bold","rgb(255,255,51)",1,1,0,0,0]],[[456,6,0,146.9591674804688,88,0,0,1,0,0,0,0,[]],57,272,[],[[]],["Text",0,"32pt Arial Rounded MT Bold","rgb(204,255,255)",1,1,0,0,0]],[[466,45,0,31.93743896484375,31.93743896484375,0,0,1,0.5,0.5,0,0,[]],267,273,[],[[]],[0,"Default",0,1]]],[]],["Ball",10,8508583861790002,!0,[255,255,255],!0,0,0,1,!1,1,0,0,[],[]]],[],
[]],["Lewel10",4300,2E3,!1,"Lewel10",5183274986868389,[["BG",0,4546929799051974,!0,[44,159,205],!1,1,1,1,!1,1,0,0,[],[]],["BG(sky)",1,0xf52792c68c33f,!0,[255,255,255],!0,0.1000000014901161,0.800000011920929,1,!1,1,0,0,[[[-966,1135,0,6232,254,0,0,1,0,0,0,0,[]],39,277,[],[[1,0,3,70,0,0,0,1024,0]],[0,0]],[[-899,526,0,6054,260,0,0,1,0,0,0,0,[]],38,278,[],[[1,0,3,70,0,0,0,-1024,0]],[0,0]]],[]],["BG(mountian)",2,0xa2e6eb315a8eb,!0,[255,255,255],!0,0.1000000014901161,0.800000011920929,1,!1,1,0,0,[[[-544,
1319,0,5389,258,0,0,1,0,0,0,0,[]],40,279,[],[],[0,0]]],[]],["Map",3,0x861d70c5c5bfd,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[2280.06005859375,342.4282836914063,0,212.8739318847656,52.76362609863281,0,0,1,0.504273533821106,0.517241358757019,0,0,[]],205,3496,[],[],[0,"Default",0,1]],[[3269,545,0,174.6675567626953,43.29367065429688,0,0,1,0.504273533821106,0.517241358757019,0,0,[]],205,3508,[],[],[0,"Default",0,1]],[[3530,188,0,257,37,0,0,1,0,0,0,0,[]],203,2135,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],
[[3548,879,0,241,37,0,0,1,0,0,0,0,[]],203,2137,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[3118,560,0,227.380615234375,37,0,0,1,0,0,0,0,[]],203,2139,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[2421,1194,0,352,37,0,0,1,0,0,0,0,[]],203,2134,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1471,1413,0,390,37,0,0,1,0,0,0,0,[]],203,2133,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1139,739,0,154,37,0,0,1,0,0,0,0,[]],203,2129,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1559,727,0,1130,37,0,0,1,
0,0,0,0,[]],203,2128,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[974,359,0,1718,37,0,0,1,0,0,0,0,[]],203,2127,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[3699,846,0,165.7630004882813,72.80000305175781,0,0,1,0.5058823823928833,0.5,0,0,[]],70,2049,[],[],[0,"Default",0,1]],[[3659,160,0,135.1665649414063,77.238037109375,0,0,1,0.5074626803398132,0.5,0,0,[]],69,2052,[],[],[0,"Default",0,1]],[[2089,676,0,50,50,0,-0.01136865559965372,1,0.5,0.5,0,0,[]],77,2053,[[31]],[],[0,"Default",0,1]],[[480,1393,
0,50,50,0,-0.01136865559965372,1,0.5,0.5,0,0,[]],77,2054,[[29]],[],[0,"Default",0,1]],[[1011,-587,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,2055,[],[[]],[0,"Default",0,1]],[[3580,161,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2056,[["dva"]],[],[0,"Default",0,1]],[[3531,161,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2057,[["dva"]],[],[0,"Default",0,1]],[[3554,130,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2058,[["dva"]],[],[0,"Default",0,1]],[[3627,160,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2059,[["dva"]],[],[0,"Default",0,1]],[[3604,130,0,20,
20,0,0,1,0.5,0.5,0,0,[]],78,2060,[["dva"]],[],[0,"Default",0,1]],[[3679,159,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2061,[["dva"]],[],[0,"Default",0,1]],[[3653,129,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2062,[["dva"]],[],[0,"Default",0,1]],[[3727,159,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2063,[["dva"]],[],[0,"Default",0,1]],[[3703,129,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2064,[["dva"]],[],[0,"Default",0,1]],[[3747,128,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2065,[["dva"]],[],[0,"Default",0,1]],[[1086,886,0,37,37,0,0,1,0.5,0.5,
0,0,[]],61,2066,[],[[]],[0,"Default",0,1]],[[3626,742,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2067,[["dva"]],[],[0,"Default",0,1]],[[3690,731,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2068,[["dva"]],[],[0,"Default",0,1]],[[3658,711,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2069,[["dva"]],[],[0,"Default",0,1]],[[3658,773,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2070,[["dva"]],[],[0,"Default",0,1]],[[3625,677,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2071,[["dva"]],[],[0,"Default",0,1]],[[3689,676,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2072,[["dva"]],
[],[0,"Default",0,1]],[[3658,643,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2073,[["dva"]],[],[0,"Default",0,1]],[[1387,601,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2074,[["dva"]],[],[0,"Default",0,1]],[[1451,599,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2075,[["dva"]],[],[0,"Default",0,1]],[[1419,570,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2076,[["dva"]],[],[0,"Default",0,1]],[[1419,632,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2077,[["dva"]],[],[0,"Default",0,1]],[[1386,534,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2078,[["dva"]],[],[0,"Default",
0,1]],[[1450,533,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2079,[["dva"]],[],[0,"Default",0,1]],[[1416,455,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2080,[["dva"]],[],[0,"Default",0,1]],[[1131,-623,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,2081,[],[[]],[0,"Default",0,1]],[[1791,307,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,2082,[],[[]],[0,"Default",0,1]],[[1470,1391,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2083,[["dva"]],[],[0,"Default",0,1]],[[1517,1390,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2084,[["dva"]],[],[0,"Default",0,1]],[[1494,1360,0,20,
20,0,0,1,0.5,0.5,0,0,[]],78,2085,[["dva"]],[],[0,"Default",0,1]],[[1569,1389,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2086,[["dva"]],[],[0,"Default",0,1]],[[1543,1359,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2087,[["dva"]],[],[0,"Default",0,1]],[[1617,1389,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2088,[["dva"]],[],[0,"Default",0,1]],[[1593,1359,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2089,[["dva"]],[],[0,"Default",0,1]],[[1637,1358,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2090,[["dva"]],[],[0,"Default",0,1]],[[1707,1390,0,20,20,0,0,1,
0.5,0.5,0,0,[]],78,2091,[["dva"]],[],[0,"Default",0,1]],[[1658,1390,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2092,[["dva"]],[],[0,"Default",0,1]],[[1681,1359,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2093,[["dva"]],[],[0,"Default",0,1]],[[1754,1389,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2094,[["dva"]],[],[0,"Default",0,1]],[[1731,1359,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2095,[["dva"]],[],[0,"Default",0,1]],[[1806,1388,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2096,[["dva"]],[],[0,"Default",0,1]],[[1780,1358,0,20,20,0,0,1,0.5,0.5,0,
0,[]],78,2097,[["dva"]],[],[0,"Default",0,1]],[[1854,1388,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2098,[["dva"]],[],[0,"Default",0,1]],[[1830,1358,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2099,[["dva"]],[],[0,"Default",0,1]],[[3484,1241,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2100,[["dva"]],[],[0,"Default",0,1]],[[3461,1211,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2101,[["dva"]],[],[0,"Default",0,1]],[[3536,1240,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2102,[["dva"]],[],[0,"Default",0,1]],[[3510,1210,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,
2103,[["dva"]],[],[0,"Default",0,1]],[[3584,1240,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2104,[["dva"]],[],[0,"Default",0,1]],[[3560,1210,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2105,[["dva"]],[],[0,"Default",0,1]],[[3604,1209,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2106,[["dva"]],[],[0,"Default",0,1]],[[3674,1241,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2107,[["dva"]],[],[0,"Default",0,1]],[[3625,1241,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2108,[["dva"]],[],[0,"Default",0,1]],[[3648,1210,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2109,[["dva"]],
[],[0,"Default",0,1]],[[3721,1240,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2110,[["dva"]],[],[0,"Default",0,1]],[[3698,1210,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2111,[["dva"]],[],[0,"Default",0,1]],[[3773,1239,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2112,[["dva"]],[],[0,"Default",0,1]],[[3747,1209,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2113,[["dva"]],[],[0,"Default",0,1]],[[3821,1239,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2114,[["dva"]],[],[0,"Default",0,1]],[[3797,1209,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2115,[["dva"]],[],[0,"Default",
0,1]],[[1895,989,0,50,50,0,-0.01136865559965372,1,0.5,0.5,0,0,[]],77,2116,[[30]],[],[0,"Default",0,1]],[[2842,388,0,153,69,0,0,1,0.5046728849411011,0.5,0,0,[]],64,2117,[],[],[0,"Default",1,1]],[[1808,1266,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,2118,[],[],[0,"Default",0,1]],[[2109,326,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,2119,[],[],[0,"Default",0,1]],[[3711,1560,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,2120,[],[],[0,"Default",0,1]],[[1423,757,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,2121,[],[],[0,"Default",0,1]],[[3860,197,
0,68,68,0,0,1,0.5,0.5,0,0,[]],79,2122,[],[],[0,"Default",0,1]],[[1974,224,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,2123,[],[],[0,"Default",0,1]],[[3230,233,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,2124,[],[],[0,"Default",0,1]],[[2418,1190,0,363,16,0,0,1,0,0,0,0,[]],67,2130,[],[],[0,0]],[[2423.316162109375,1230.430541992188,0,348,105,0,0,1,0,0,0,0,[]],68,2131,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[-363,-1460,0,502,3835,0,0,1,0,0,0,0,[]],66,2132,[],[[1,0,0,1,0.5,0.2,0,0.01,0,1],[1]],[0,0]],[[3543,874,0,249,
16,0,0,1,0,0,0,0,[]],67,2136,[],[],[0,0]],[[1555,720,0,1137,16,0,0,1,0,0,0,0,[]],67,2138,[],[],[0,0]],[[1464,1412,0,407,16,0,0,1,0,0,0,0,[]],67,2140,[],[],[0,0]],[[3526,184,0,264.3424072265625,15.8963623046875,0,0,1,0,0,0,0,[]],67,2142,[],[],[0,0]],[[3942,-1408,0,501,3631,0,0,1,0,0,0,0,[]],66,2143,[],[[1,0,0,1,0.5,0.2,0,0.01,0,1],[1]],[0,0]],[[828,1E3,0,504,37,0,0,1,0,0,0,0,[]],203,1935,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[826,1001,0,509,16,0,0,1,0,0,0,0,[]],67,1936,[],[],[0,0]],[[3603,
1561,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,2145,[],[],[0,"Default",0,1]],[[3769,159,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2147,[["dva"]],[],[0,"Default",0,1]],[[1827,675,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,2148,[],[],[0,"Default",0,1]],[[3118,597,0,226,610,0,0,1,0,0,0,0,[]],68,2149,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[607,164,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,2150,[],[],[0,"Default",0,1]],[[637,-1018,0,225.322998046875,236.7800903320313,0,0,0.699999988079071,0.4406779706478119,0.5,0,0,[[]]],81,2151,[],
[[-90,0]],[0,"Default",0,1]],[[381,-1069,0,80.23999786376953,75.63999938964844,0,0,1,0.4406779706478119,0.5,0,0,[[]]],81,2152,[],[[180,0]],[0,"Default",0,1]],[[511,324,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2153,[["dva"]],[],[0,"Default",0,1]],[[558,323,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2154,[["dva"]],[],[0,"Default",0,1]],[[535,293,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2155,[["dva"]],[],[0,"Default",0,1]],[[610,322,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2156,[["dva"]],[],[0,"Default",0,1]],[[584,292,0,20,20,0,0,1,
0.5,0.5,0,0,[]],78,2157,[["dva"]],[],[0,"Default",0,1]],[[658,322,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2158,[["dva"]],[],[0,"Default",0,1]],[[634,292,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2159,[["dva"]],[],[0,"Default",0,1]],[[678,291,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2160,[["dva"]],[],[0,"Default",0,1]],[[699,323,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2161,[["dva"]],[],[0,"Default",0,1]],[[391,703,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,2162,[],[[]],[0,"Default",0,1]],[[3626,607,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2163,[["dva"]],
[],[0,"Default",0,1]],[[3690,605,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2164,[["dva"]],[],[0,"Default",0,1]],[[3658,576,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2165,[["dva"]],[],[0,"Default",0,1]],[[3625,540,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2166,[["dva"]],[],[0,"Default",0,1]],[[3689,539,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2167,[["dva"]],[],[0,"Default",0,1]],[[3658,506,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2168,[["dva"]],[],[0,"Default",0,1]],[[1993,1006,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2169,[["dva"]],[],[0,"Default",
0,1]],[[2040,1005,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2170,[["dva"]],[],[0,"Default",0,1]],[[2017,975,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2171,[["dva"]],[],[0,"Default",0,1]],[[2092,1004,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2172,[["dva"]],[],[0,"Default",0,1]],[[2066,974,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2173,[["dva"]],[],[0,"Default",0,1]],[[2140,1004,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2174,[["dva"]],[],[0,"Default",0,1]],[[2116,974,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2175,[["dva"]],[],[0,"Default",0,1]],[[2160,
973,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2176,[["dva"]],[],[0,"Default",0,1]],[[2230,1005,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2177,[["dva"]],[],[0,"Default",0,1]],[[2181,1005,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2178,[["dva"]],[],[0,"Default",0,1]],[[2204,974,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2179,[["dva"]],[],[0,"Default",0,1]],[[2277,1004,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2180,[["dva"]],[],[0,"Default",0,1]],[[2254,974,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2181,[["dva"]],[],[0,"Default",0,1]],[[2329,1003,0,20,20,
0,0,1,0.5,0.5,0,0,[]],78,2182,[["dva"]],[],[0,"Default",0,1]],[[2303,973,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2183,[["dva"]],[],[0,"Default",0,1]],[[2377,1003,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2184,[["dva"]],[],[0,"Default",0,1]],[[2353,973,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2185,[["dva"]],[],[0,"Default",0,1]],[[1136,728,0,160.6591186523438,15.8963623046875,0,0,1,0,0,0,0,[]],67,2187,[],[],[0,0]],[[1887,667,0,131.3986358642578,109.4988555908203,0,0,1,0.5,0.5,0,0,[]],100,2189,[],[[1,0,1,14,0,0,0,240,0]],
[0,"Default",0,1]],[[1624,690,0,46.61544799804688,39.79367446899414,0,0,1,0.5,0.5,0,0,[]],102,2190,[],[],[1,"Default",0,1]],[[2147,691,0,47,41,0,0,1,0.5,0.5,0,0,[]],101,2191,[],[],[1,"Default",0,1]],[[2172,1364,0,79.56002807617188,80.92002868652344,0,0,1,0.508474588394165,0.5,0,0,[]],108,2194,[],[],[0,"Default",0,1]],[[2162,1377,0,256,256,0,0,1,0.5,0.5,0,0,[]],109,2195,[],[[]],[0,"Default",0,1]],[[258,167,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,2196,[],[[1,0,
0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[1475,1172,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,2197,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[363,1064,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2198,[["dva"]],[],[0,"Default",0,1]],[[427,1053,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2199,[["dva"]],[],[0,"Default",0,1]],[[395,1033,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2200,[["dva"]],[],[0,"Default",0,1]],[[395,1095,0,20,20,0,0,1,0.5,0.5,0,0,[]],
78,2201,[["dva"]],[],[0,"Default",0,1]],[[362,999,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2202,[["dva"]],[],[0,"Default",0,1]],[[426,998,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2203,[["dva"]],[],[0,"Default",0,1]],[[395,965,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2204,[["dva"]],[],[0,"Default",0,1]],[[363,929,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2205,[["dva"]],[],[0,"Default",0,1]],[[427,927,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2206,[["dva"]],[],[0,"Default",0,1]],[[395,898,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2207,[["dva"]],[],
[0,"Default",0,1]],[[362,862,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2208,[["dva"]],[],[0,"Default",0,1]],[[426,861,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2209,[["dva"]],[],[0,"Default",0,1]],[[395,828,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2210,[["dva"]],[],[0,"Default",0,1]],[[3657,409,0,79.56002807617188,80.92002868652344,0,0,1,0.508474588394165,0.5,0,0,[]],108,2211,[],[],[0,"Default",0,1]],[[3659,406,0,256,256,0,0,1,0.5,0.5,0,0,[]],109,2212,[],[[]],[0,"Default",0,1]],[[1092,1406,0,79.56002807617188,80.92002868652344,
0,0,1,0.508474588394165,0.5,0,0,[]],108,2213,[],[],[0,"Default",0,1]],[[1098,1411,0,256,256,0,0,1,0.5,0.5,0,0,[]],109,2214,[],[[]],[0,"Default",0,1]],[[3664,841,0,91.12422943115234,91.12422943115234,0,0.1096227541565895,1,0.5066666603088379,0.5066666603088379,0,0,[]],104,2215,[],[],[0,"Default",0,1]],[[3654,151,0,91.12422943115234,91.12422943115234,0,0.1096227541565895,1,0.5066666603088379,0.5066666603088379,0,0,[]],104,2216,[],[],[0,"Default",0,1]],[[1613,569,0,148.0375213623047,139.5254364013672,
0,0,1,-0.09589041024446487,-0.0972222238779068,0,0,[]],73,2217,[],[],[0,"Default",0,1]],[[1073,330,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2218,[["dva"]],[],[0,"Default",0,1]],[[1120,329,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2219,[["dva"]],[],[0,"Default",0,1]],[[1097,299,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2220,[["dva"]],[],[0,"Default",0,1]],[[1172,328,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2221,[["dva"]],[],[0,"Default",0,1]],[[1146,298,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2222,[["dva"]],[],[0,"Default",0,1]],[[1220,328,
0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2223,[["dva"]],[],[0,"Default",0,1]],[[1196,298,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2224,[["dva"]],[],[0,"Default",0,1]],[[1240,297,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2225,[["dva"]],[],[0,"Default",0,1]],[[1310,329,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2226,[["dva"]],[],[0,"Default",0,1]],[[1261,329,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2227,[["dva"]],[],[0,"Default",0,1]],[[1284,298,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2228,[["dva"]],[],[0,"Default",0,1]],[[1357,328,0,20,20,0,0,1,0.5,
0.5,0,0,[]],78,2229,[["dva"]],[],[0,"Default",0,1]],[[1334,298,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2230,[["dva"]],[],[0,"Default",0,1]],[[1409,327,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2231,[["dva"]],[],[0,"Default",0,1]],[[1383,297,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2232,[["dva"]],[],[0,"Default",0,1]],[[1457,327,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2233,[["dva"]],[],[0,"Default",0,1]],[[1433,297,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2234,[["dva"]],[],[0,"Default",0,1]],[[966,355,0,1728,16,0,0,1,0,0,0,0,[]],67,2236,
[],[],[0,0]],[[1038,334,0,165.7630004882813,72.80000305175781,0,0,1,0.5058823823928833,0.5,0,0,[]],70,2237,[],[],[0,"Default",0,1]],[[1221,309,0,131.3986358642578,109.4988555908203,0,0,1,0.5,0.5,0,0,[]],100,2238,[],[[1,0,1,12,0,0,0,200,0]],[0,"Default",0,1]],[[1447,336,0,47,41,0,0,1,0.5,0.5,0,0,[]],101,2239,[],[],[1,"Default",0,1]],[[1004,337,0,46.61544799804688,39.79367446899414,0,0,1,0.5,0.5,0,0,[]],102,2240,[],[],[1,"Default",0,1]],[[1356,321,0,91.12422943115234,91.12422943115234,0,0.1096227541565895,
1,0.5066666603088379,0.5066666603088379,0,0,[]],104,2241,[],[],[0,"Default",0,1]],[[2151,686,0,100,100,0,0,1,0.5,0.5,0,0,[]],114,2242,[],[],[0,"Default",0,1]],[[244,1193,0,504,37,0,0,1,0,0,0,0,[]],203,1937,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[242,1193,0,509,16,0,0,1,0,0,0,0,[]],67,1938,[],[],[0,0]],[[624,1158,0,100,100,0,0,1,0.5,0.5,0,0,[]],114,2244,[],[],[0,"Default",0,1]],[[2453,674,0,131.3986358642578,109.4988555908203,0,0,1,0.5,0.5,0,0,[]],100,2245,[],[[1,0,1,12,0,0,0,200,0]],[0,"Default",
0,1]],[[2658,705,0,47,41,0,0,1,0.5,0.5,0,0,[]],101,2246,[],[],[1,"Default",0,1]],[[2236,702,0,46.61544799804688,39.79367446899414,0,0,1,0.5,0.5,0,0,[]],102,2247,[],[],[1,"Default",0,1]],[[1735,1055,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,2248,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[899,589,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,2249,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,
1]],[[3116,556,0,235,16,0,0,1,0,0,0,0,[]],67,2253,[],[],[0,0]],[[3214,503,0,119.4989547729492,119.4989547729492,0,0,1,0.5,0.5,0,0,[]],103,2254,[],[],[0,"Default",0,1]],[[495,345,0,210,37,0,0,1,0,0,0,0,[]],203,1977,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[493,345,0,215,16,0,0,1,0,0,0,0,[]],67,1978,[],[],[0,0]],[[834,365,0,79.56002807617188,80.92002868652344,0,0,1,0.508474588394165,0.5,0,0,[]],108,2125,[],[],[0,"Default",0,1]],[[837,364,0,256,256,0,0,1,0.5,0.5,0,0,[]],109,2126,[],[[]],[0,"Default",
0,1]],[[1648,312,0,100,100,0,0,1,0.5,0.5,0,0,[]],231,1647,[],[[200,6E3,80,1,0,0,1],[-180,0]],[0,"Default",0,1]],[[2486,314,0,100,100,0,0,1,0.5,0.5,0,0,[]],231,1836,[],[[200,6E3,80,1,0,0,1],[-180,0]],[0,"Default",0,1]],[[371,356,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,4801,[],[[]],[0,"Default",0,1]],[[2598,1503,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,4808,[],[[]],[0,"Default",0,1]],[[3612,1088,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,5845,[],[[]],[0,"Default",0,1]]],[]],["Earth",4,7181166423983564,!0,[255,255,255],!0,1,
1,1,!1,1,0,0,[],[]],["Power",5,6920415284642243,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[],[]],["Mouse",6,0xb14afa2db6a5d,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[718,781,0,64.01953125,53.10530090332031,0,0,1,0.5,1,0,0,[]],42,280,[],[[]],[0,"Default",0,1]],[[717,792,0,82.02706146240234,93.33332061767578,0,0,1,0.4545454680919647,0.01639344170689583,0,0,[]],45,281,[[150]],[[1],[115,0,35,3,0,0,1],[0,0,0,0,30,100,0,1],[1,0,0,4,0,0,0,50,0],[1,0,0,4,0,0,0,50,0]],[0,"Default",0,1]],[[718,790,0,8.829414367675781,
-1.735369682312012,0,-1.576729655265808,1,0,0.48828125,0,0,[]],41,282,[],[],[0,"Default",0,1]],[[-31,-253,0,128,128,0,1.57080864906311,1,0,0.5,0,0,[]],44,283,[],[],[5,30,0,70,40,100,5,0,0,0,2,0,-250,0,2,800,0,0,0.7]],[[-131,-251,0,135,200,0,1.570796370506287,1,0,0.5,0,0,[]],43,284,[],[],[15,20,0,70,10,100,50,0,0,0,10,0,70,0,0,800,0,0,0.3]]],[]],["Decortop",7,859522667919747,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[1095,971,0,261.113525390625,90.45108795166016,0,0,1,0.5046728849411011,0.5135135054588318,
0,0,[]],71,3509,[],[],[0,"Default",0,1]],[[1982,685,0,183.2527008056641,109.1280059814453,0,0,1,0.5070422291755676,0.5,0,0,[]],82,3511,[],[],[0,"Default",0,1]],[[1793,1316,0,239.0609588623047,237.8890991210938,0,0,1,0.5,0.5,0,0,[]],83,3513,[],[],[0,"Default",0,1]],[[2701,1162,0,135.1665649414063,77.238037109375,0,0,1,0.5074626803398132,0.5,0,0,[]],69,3514,[],[],[0,"Default",0,1]],[[423,1167,0,261.113525390625,90.45108795166016,0,0,1,0.5046728849411011,0.5135135054588318,0,0,[]],71,3515,[],[],[0,"Default",
0,1]],[[784,-573,0,220,160,0,0,1,0.5,0.5,0,0,[]],116,3516,[],[],[0,"Default",0,1]],[[1981,269,0,-239,210,0,0,1,0.5,0.5047619342803955,0,0,[]],65,3517,[],[],[0,"Default",0,1]],[[2110,328,0,183.2527008056641,109.1280059814453,0,0,1,0.5070422291755676,0.5,0,0,[]],82,3518,[],[],[0,"Default",0,1]],[[2095,702,0,133.8372192382813,60.8350944519043,0,0,1,0.5064935088157654,0.5142857432365417,0,0,[]],204,2141,[],[],[0,"Default",0,1]],[[2519,1182,0,187.2960815429688,46.4238166809082,0,0,1,0.504273533821106,
0.517241358757019,0,0,[]],205,2144,[],[],[0,"Default",0,1]],[[1571,1402,0,187.2960815429688,46.4238166809082,0,0,1,0.504273533821106,0.517241358757019,0,0,[]],205,2146,[],[],[0,"Default",0,1]],[[1198,657,0,88.88106536865234,155.1061706542969,0,0,1,0.5098039507865906,0.5056179761886597,0,0,[]],206,2186,[],[],[0,"Default",0,1]],[[1792,657,0,88.88106536865234,155.1061706542969,0,0,1,0.5098039507865906,0.5056179761886597,0,0,[]],206,2188,[],[],[0,"Default",0,1]],[[919,987,0,187.2960815429688,46.4238166809082,
0,0,1,0.504273533821106,0.517241358757019,0,0,[]],205,2235,[],[],[0,"Default",0,1]],[[3173,537,0,133.8372192382813,60.8350944519043,0,0,1,0.5064935088157654,0.5142857432365417,0,0,[]],204,2250,[],[],[0,"Default",0,1]],[[2537,709,0,187.2960815429688,46.4238166809082,0,0,1,0.504273533821106,0.517241358757019,0,0,[]],205,2251,[],[],[0,"Default",0,1]],[[2568.093994140625,338.5399169921875,0,249.6410522460938,61.87684631347656,0,0,1,0.504273533821106,0.517241358757019,0,0,[]],205,2252,[],[],[0,"Default",
0,1]]],[]],["Water",8,8995320609564894,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[-894,1845,0,5773,70,0,0,1,0,0,0,0,[]],46,285,[],[[1,1,0,4E3,0,2E3,0,2E3,0]],[0,0]],[[-551,1838,0,5361,910,0,0,1,0,0,0,0,[]],47,286,[],[[1,1,0,4E3,0,2E3,0,2E3,0]],[0,0]],[[-575,1722,0,5390,128,0,0,1,0,0,0,0,[]],48,287,[],[[1,1,0,4E3,0,2E3,0,2E3,0]],[0,0]]],[]],["UI",9,9614838466291176,!0,[255,255,255],!0,0,0,1,!1,1,0,0,[[[129.9325103759766,715.2657470703125,0,180,180,0,0,1,0.5,0.5,0,0,[]],49,288,[],[],[0,"Default",0,1]],[[134.3137359619141,
718.0804443359375,0,120,120,0,0,1,0.4749999940395355,0.4833333194255829,0,0,[]],50,289,[[0]],[[0,1]],[0,"Default",0,1]],[[556.687255859375,833.5537109375,0,50,50,0,0,1,0.5142857432365417,0.5142857432365417,0,0,[]],60,301,[],[],[1,"Default",0,1]],[[443,27,0,-42,51,0,0,1,0.5116279125213623,0.5098039507865906,0,0,[]],52,274,[],[[]],[0,"Default",0,1]],[[148,27,0,43,51,0,0,1,0.5116279125213623,0.5098039507865906,0,0,[]],52,276,[],[[]],[0,"Default",0,1]],[[293,32,0,273,57,0,0,1,0.5018315315246582,0.5087719559669495,
0,0,[]],54,290,[],[],[0,"Default",0,1]],[[212,31,0,172.500732421875,32,0,0,1,0,0.5,0,0,[]],55,291,[],[[]],[0,"Default",0,1]],[[313,32,0,216,43,0,0,1,0.5,0.5116279125213623,0,0,[]],59,292,[],[[]],[0,"Default",0,1]],[[66,46,0,112,72,0,0,1,0.5,0.5,0,0,[]],51,293,[],[],[0,"Default",0,1]],[[529,46,0,112,72,0,0,1,0.5,0.5,0,0,[]],53,294,[],[],[0,"Default",0,1]],[[131,48,0,33.94112396240234,33.94112396240234,0,0,1,0.5,0.5,0,0,[]],62,295,[],[[]],[0,"Default",0,1]],[[-9,9,0,146.9591674804688,88,0,0,1,0,0,0,
0,[]],56,296,[],[[]],["Text",0,"32pt Arial Rounded MT Bold","rgb(255,255,51)",1,1,0,0,0]],[[456,8,0,146.9591674804688,88,0,0,1,0,0,0,0,[]],57,297,[],[[]],["Text",0,"32pt Arial Rounded MT Bold","rgb(204,255,255)",1,1,0,0,0]],[[466,47,0,31.93743896484375,31.93743896484375,0,0,1,0.5,0.5,0,0,[]],267,298,[],[[]],[0,"Default",0,1]]],[]],["Ball",10,8772485965234566,!0,[255,255,255],!0,0,0,1,!1,1,0,0,[],[]]],[],[]],["Lewel11",4300,2E3,!1,"Lewel11",0x56c5ae8b7e4bb,[["BG",0,0x7ba2031caabdf,!0,[44,159,205],
!1,1,1,1,!1,1,0,0,[],[]],["BG(sky)",1,9991174578577448,!0,[255,255,255],!0,0.1000000014901161,0.800000011920929,1,!1,1,0,0,[[[-966,1135,0,6232,254,0,0,1,0,0,0,0,[]],39,303,[],[[1,0,3,70,0,0,0,1024,0]],[0,0]],[[-899,526,0,6054,260,0,0,1,0,0,0,0,[]],38,304,[],[[1,0,3,70,0,0,0,-1024,0]],[0,0]]],[]],["BG(mountian)",2,9907175230161500,!0,[255,255,255],!0,0.1000000014901161,0.800000011920929,1,!1,1,0,0,[[[-544,1319,0,5389,258,0,0,1,0,0,0,0,[]],40,305,[],[],[0,0]]],[]],["Map",3,4567359835970052,!0,[255,
255,255],!0,1,1,1,!1,1,0,0,[[[3475.4150390625,1407.3525390625,0,241,37,0,0,1,0,0,0,0,[]],203,2348,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[3472.4150390625,1396.3525390625,0,247.6591186523438,15.8963623046875,0,0,1,0,0,0,0,[]],67,2349,[],[],[0,0]],[[2292,1248,0,192,49,0,0,1,0,0,0,0,[]],203,2369,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[2289,1237,0,198.6591186523438,15.8963623046875,0,0,1,0,0,0,0,[]],67,2370,[],[],[0,0]],[[2360,898,0,826,37,0,0,1,0,0,0,0,[]],203,2365,[],[[1],[1,0,0,1,0.5,
0.2,0,0.01,0,1]],[0,0]],[[2357,887,0,833,16,0,0,1,0,0,0,0,[]],67,2366,[],[],[0,0]],[[3456,881,0,241,37,0,0,1,0,0,0,0,[]],203,2360,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[3453,870,0,247.6591186523438,15.8963623046875,0,0,1,0,0,0,0,[]],67,2361,[],[],[0,0]],[[2905,480,0,301,37,0,0,1,0,0,0,0,[]],203,2375,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[2902,469,0,307.6591186523438,15.8963623046875,0,0,1,0,0,0,0,[]],67,2376,[],[],[0,0]],[[2280,485,0,277,37,0,0,1,0,0,0,0,[]],203,2367,[],[[1],[1,0,
0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[2277,474,0,283.6591186523438,15.8963623046875,0,0,1,0,0,0,0,[]],67,2368,[],[],[0,0]],[[1374,1584,0,678,37,0,0,1,0,0,0,0,[]],203,2371,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1371,1573,0,684.6591186523438,15.8963623046875,0,0,1,0,0,0,0,[]],67,2372,[],[],[0,0]],[[1187,1179,0,253,37,0,0,1,0,0,0,0,[]],203,2373,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1184,1168,0,259.6591186523438,15.8963623046875,0,0,1,0,0,0,0,[]],67,2374,[],[],[0,0]],[[667,1603,0,237,37,
0,0,1,0,0,0,0,[]],203,2352,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[664,1592,0,243.6591186523438,15.8963623046875,0,0,1,0,0,0,0,[]],67,2353,[],[],[0,0]],[[638,1188,0,237,37,0,0,1,0,0,0,0,[]],203,2350,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[635,1177,0,243.6591186523438,15.8963623046875,0,0,1,0,0,0,0,[]],67,2351,[],[],[0,0]],[[932,813,0,231,37,0,0,1,0,0,0,0,[]],203,3510,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[929,802,0,237.6591186523438,15.8963623046875,0,0,1,0,0,0,0,[]],67,3512,
[],[],[0,0]],[[229,985,0,189,37,0,0,1,0,0,0,0,[]],203,2356,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[226,974,0,195.6591186523438,15.8963623046875,0,0,1,0,0,0,0,[]],67,2357,[],[],[0,0]],[[3605,842,0,165.7630004882813,72.80000305175781,0,0,1,0.5058823823928833,0.5,0,0,[]],70,2259,[],[],[0,"Default",0,1]],[[1051,779,0,135.1665649414063,77.238037109375,0,0,1,0.5074626803398132,0.5,0,0,[]],69,2260,[],[],[0,"Default",0,1]],[[2653,1253,0,50,50,0,-0.01136865559965372,1,0.5,0.5,0,0,[]],77,2261,[[32]],
[],[0,"Default",0,1]],[[2364,451,0,135.1665649414063,77.238037109375,0,0,1,0.5074626803398132,0.5,0,0,[]],69,2262,[],[],[0,"Default",0,1]],[[2834,1088,0,50,50,0,-0.01136865559965372,1,0.5,0.5,0,0,[]],77,2263,[[33]],[],[0,"Default",0,1]],[[3591,1373,0,261.113525390625,90.45108795166016,0,0,1,0.5046728849411011,0.5135135054588318,0,0,[]],71,2264,[],[],[0,"Default",0,1]],[[2504,1158,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,2265,[],[[]],[0,"Default",0,1]],[[2348,457,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2266,[["dva"]],
[],[0,"Default",0,1]],[[2299,457,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2267,[["dva"]],[],[0,"Default",0,1]],[[2322,426,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2268,[["dva"]],[],[0,"Default",0,1]],[[2395,456,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2269,[["dva"]],[],[0,"Default",0,1]],[[2372,426,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2270,[["dva"]],[],[0,"Default",0,1]],[[2447,455,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2271,[["dva"]],[],[0,"Default",0,1]],[[2421,425,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2272,[["dva"]],[],[0,"Default",
0,1]],[[2495,455,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2273,[["dva"]],[],[0,"Default",0,1]],[[2471,425,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2274,[["dva"]],[],[0,"Default",0,1]],[[2515,424,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2275,[["dva"]],[],[0,"Default",0,1]],[[3051,424,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,2276,[],[[]],[0,"Default",0,1]],[[610,850,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2277,[["dva"]],[],[0,"Default",0,1]],[[658,850,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2278,[["dva"]],[],[0,"Default",0,1]],[[634,820,0,20,20,
0,0,1,0.5,0.5,0,0,[]],78,2279,[["dva"]],[],[0,"Default",0,1]],[[704,850,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2280,[["dva"]],[],[0,"Default",0,1]],[[678,819,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2281,[["dva"]],[],[0,"Default",0,1]],[[751,849,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2282,[["dva"]],[],[0,"Default",0,1]],[[728,819,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2283,[["dva"]],[],[0,"Default",0,1]],[[803,848,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2284,[["dva"]],[],[0,"Default",0,1]],[[777,818,0,20,20,0,0,1,0.5,0.5,0,0,[]],
78,2285,[["dva"]],[],[0,"Default",0,1]],[[851,848,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2286,[["dva"]],[],[0,"Default",0,1]],[[827,818,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2287,[["dva"]],[],[0,"Default",0,1]],[[728,738,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,2288,[],[[]],[0,"Default",0,1]],[[1019,1225,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2289,[["dva"]],[],[0,"Default",0,1]],[[1083,1223,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2290,[["dva"]],[],[0,"Default",0,1]],[[1051,1194,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2291,[["dva"]],[],
[0,"Default",0,1]],[[1051,1256,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2292,[["dva"]],[],[0,"Default",0,1]],[[1018,1158,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2293,[["dva"]],[],[0,"Default",0,1]],[[1082,1157,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2294,[["dva"]],[],[0,"Default",0,1]],[[1051,1124,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2295,[["dva"]],[],[0,"Default",0,1]],[[3554,1148,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2296,[["dva"]],[],[0,"Default",0,1]],[[3618,1146,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2297,[["dva"]],[],[0,"Default",
0,1]],[[3586,1117,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2298,[["dva"]],[],[0,"Default",0,1]],[[3586,1179,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2299,[["dva"]],[],[0,"Default",0,1]],[[3553,1081,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2300,[["dva"]],[],[0,"Default",0,1]],[[3617,1080,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2301,[["dva"]],[],[0,"Default",0,1]],[[3586,1047,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2302,[["dva"]],[],[0,"Default",0,1]],[[3479,839,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,2303,[],[[]],[0,"Default",0,1]],[[2421,426,
0,37,37,0,0,1,0.5,0.5,0,0,[]],61,2304,[],[[]],[0,"Default",0,1]],[[1396,1532,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2305,[["dva"]],[],[0,"Default",0,1]],[[1443,1531,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2306,[["dva"]],[],[0,"Default",0,1]],[[1420,1501,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2307,[["dva"]],[],[0,"Default",0,1]],[[1495,1530,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2308,[["dva"]],[],[0,"Default",0,1]],[[1469,1500,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2309,[["dva"]],[],[0,"Default",0,1]],[[1543,1530,0,20,20,0,0,1,
0.5,0.5,0,0,[]],78,2310,[["dva"]],[],[0,"Default",0,1]],[[1519,1500,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2311,[["dva"]],[],[0,"Default",0,1]],[[1563,1499,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2312,[["dva"]],[],[0,"Default",0,1]],[[1633,1531,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2313,[["dva"]],[],[0,"Default",0,1]],[[1584,1531,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2314,[["dva"]],[],[0,"Default",0,1]],[[1607,1500,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2315,[["dva"]],[],[0,"Default",0,1]],[[1680,1530,0,20,20,0,0,1,0.5,0.5,0,
0,[]],78,2316,[["dva"]],[],[0,"Default",0,1]],[[1657,1500,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2317,[["dva"]],[],[0,"Default",0,1]],[[1732,1529,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2318,[["dva"]],[],[0,"Default",0,1]],[[1706,1499,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2319,[["dva"]],[],[0,"Default",0,1]],[[1780,1529,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2320,[["dva"]],[],[0,"Default",0,1]],[[1756,1499,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2321,[["dva"]],[],[0,"Default",0,1]],[[2307,855,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2322,
[["dva"]],[],[0,"Default",0,1]],[[2354,854,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2323,[["dva"]],[],[0,"Default",0,1]],[[2331,824,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2324,[["dva"]],[],[0,"Default",0,1]],[[2406,853,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2325,[["dva"]],[],[0,"Default",0,1]],[[2380,823,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2326,[["dva"]],[],[0,"Default",0,1]],[[2454,853,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2327,[["dva"]],[],[0,"Default",0,1]],[[2430,823,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2328,[["dva"]],[],[0,
"Default",0,1]],[[2474,822,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2329,[["dva"]],[],[0,"Default",0,1]],[[2544,854,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2330,[["dva"]],[],[0,"Default",0,1]],[[2495,854,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2331,[["dva"]],[],[0,"Default",0,1]],[[2518,823,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2332,[["dva"]],[],[0,"Default",0,1]],[[2591,853,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2333,[["dva"]],[],[0,"Default",0,1]],[[2568,823,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2334,[["dva"]],[],[0,"Default",0,1]],
[[2643,852,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2335,[["dva"]],[],[0,"Default",0,1]],[[2617,822,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2336,[["dva"]],[],[0,"Default",0,1]],[[2691,852,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2337,[["dva"]],[],[0,"Default",0,1]],[[2667,822,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2338,[["dva"]],[],[0,"Default",0,1]],[[2744,1170,0,50,50,0,-0.01136865559965372,1,0.5,0.5,0,0,[]],77,2339,[[34]],[],[0,"Default",0,1]],[[428,361,0,153,69,0,0,1,0.5046728849411011,0.5,0,0,[]],64,2340,[],[],[0,"Default",
1,1]],[[3584.693359375,1229.616088867188,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,2341,[],[],[0,"Default",0,1]],[[2653,1164,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,2342,[],[],[0,"Default",0,1]],[[2744,1250,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,2343,[],[],[0,"Default",0,1]],[[799,1537,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,2344,[],[],[0,"Default",0,1]],[[1104,744,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,2345,[],[],[0,"Default",0,1]],[[2831,1162,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,2346,[],[],[0,"Default",0,1]],[[1061,330,0,68,68,0,0,1,
0.5,0.5,0,0,[]],79,2347,[],[],[0,"Default",0,1]],[[2487,1383,0,539,65,0,0,1,0,0,0,0,[]],75,2354,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[2481,1379,0,548.3424072265625,15.8963623046875,0,0,1,0,0,0,0,[]],67,2355,[],[],[0,0]],[[229,1024,0,185,191,0,0,1,0,0,0,0,[]],68,2362,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[-331,-1262,0,414,3835,0,0,1,0,0,0,0,[]],66,2363,[],[[1,0,0,1,0.5,0.2,0,0.01,0,1],[1]],[0,0]],[[2357,933,0,131,96,0,0,1,0,0,0,0,[]],68,2364,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,
0]],[[3974,-1210,0,501,3631,0,0,1,0,0,0,0,[]],66,2379,[],[[1,0,0,1,0.5,0.2,0,0.01,0,1],[1]],[0,0]],[[1268,1096,0,134,159,0,0,1,0.5074626803398132,0.5,0,0,[]],80,2380,[],[],[0,"Default",0,1]],[[781,1567,0,165.7630004882813,72.80000305175781,0,0,1,0.5058823823928833,0.5,0,0,[]],70,2381,[],[],[0,"Default",0,1]],[[1859,1510,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,2382,[],[],[0,"Default",0,1]],[[336,948,0,165.7630004882813,72.80000305175781,0,0,1,0.5058823823928833,0.5,0,0,[]],70,2383,[],[],[0,"Default",0,1]],
[[2537,455,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2384,[["dva"]],[],[0,"Default",0,1]],[[2743,1081,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,2385,[],[],[0,"Default",0,1]],[[2983,369,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,2391,[],[],[0,"Default",0,1]],[[2968,377,0,-239,210,0,0,1,0.5,0.5047619342803955,0,0,[]],65,2386,[],[],[0,"Default",0,1]],[[3025,935,0,161,517,0,0,1,0,0,0,0,[]],68,2387,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[2291,1293,0,195,126,0,0,1,0,0,0,0,[]],68,2388,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,
0]],[[2291,1416,0,896,97,0,0,1,0,0,0,0,[]],68,2389,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[2399,1129,0,98.36795806884766,216.7169036865234,0,0,1,0.5,0.5058823823928833,0,0,[]],89,2390,[],[[1]],[0,"Default",0,1]],[[2117,-296,0,13.45062255859375,12.82989501953125,0,1.738506674766541,1,-0.004000000189989805,0.5,0,0,[]],92,2393,[],[],[0,"Default",0,1]],[[2114,-333,0,1,3,0,0,1,0,0.5,0,0,[]],91,2394,[],[],[0,"Default",0,1]],[[2107,-350,0,1,6,0,0,1,0,0.5,0,0,[]],87,2395,[],[],[0,"Default",0,1]],[[2108,
-371,0,250,6,0,0,1,0,0.5,0,0,[]],88,2396,[],[],[0,"Default",0,1]],[[1445,528,0,148,149,0,0.5235987901687622,1,0.5034482479095459,0.5034482479095459,0,0,[]],86,2397,[],[],[0,"Default",0,1]],[[1637,1220,0,145,144,0,0.2617993950843811,1,0.5034482479095459,0.5034482479095459,0,0,[]],93,2398,[],[],[0,"Default",0,1]],[[1915,768,0,145,144,0,0,1,0.5034482479095459,0.5034482479095459,0,0,[]],94,2399,[],[],[0,"Default",0,1]],[[2347,1029,0,46,59,0,-0.5072021484375,1,0.5,0.508474588394165,0,0,[]],95,2400,[],
[],[0,"Default",0,1]],[[682,-686,0,225.322998046875,236.7800903320313,0,0,0.699999988079071,0.4406779706478119,0.5,0,0,[[]]],81,2401,[],[[-90,0]],[0,"Default",0,1]],[[378,-724,0,80.23999786376953,75.63999938964844,0,0,1,0.4406779706478119,0.5,0,0,[[]]],81,2402,[],[[180,0]],[0,"Default",0,1]],[[748,1161,0,186.0147552490234,47.93017959594727,0,0,1,0.5,0.517241358757019,0,0,[]],115,2403,[],[],[0,"Default",0,1]],[[1813,566,0,79.56002807617188,80.92002868652344,0,0,1,0.508474588394165,0.5,0,0,[]],108,
2404,[],[],[0,"Default",0,1]],[[1815,568,0,256,256,0,0,1,0.5,0.5,0,0,[]],109,2405,[],[[]],[0,"Default",0,1]],[[745,425,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,2406,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[1924,1189,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,2407,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[2746,665,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,
0,0,[]],107,2408,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[3555,148,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,2409,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[414,1393,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,2410,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[1404,244,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,2411,[],[[1,
0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[413,657,0,79.56002807617188,80.92002868652344,0,0,1,0.508474588394165,0.5,0,0,[]],108,2412,[],[],[0,"Default",0,1]],[[407,662,0,256,256,0,0,1,0.5,0.5,0,0,[]],109,2413,[],[[]],[0,"Default",0,1]],[[3099,856,0,91.12422943115234,91.12422943115234,0,0.1096227541565895,1,0.5066666603088379,0.5066666603088379,0,0,[]],104,2414,[],[],[0,"Default",0,1]],[[988,752,0,119.4989547729492,119.4989547729492,0,0,1,0.5,0.5,0,0,[]],103,2415,[],[],[0,"Default",
0,1]],[[1605,806,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,2416,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[1598,1029,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,2417,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[1051,1413,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,2418,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[1806,233,0,
81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,2419,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[1605,415,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,2420,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[2040,408,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,2421,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[2185,237,0,81.1567153930664,82.54400634765625,
0,0,1,0.5,0.5070422291755676,0,0,[]],107,2422,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[1666,1525,0,131.3986358642578,109.4988555908203,0,0,1,0.5,0.5,0,0,[]],100,2423,[],[[1,0,1,14,0,0,0,240,0]],[0,"Default",0,1]],[[1403,1548,0,46.61544799804688,39.79367446899414,0,0,1,0.5,0.5,0,0,[]],102,2424,[],[],[1,"Default",0,1]],[[1926,1549,0,47,41,0,0,1,0.5,0.5,0,0,[]],101,2425,[],[],[1,"Default",0,1]],[[3327,1133,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,
0,[]],107,2427,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[2735,322,0,79.56002807617188,80.92002868652344,0,0,1,0.508474588394165,0.5,0,0,[]],108,2428,[],[],[0,"Default",0,1]],[[2737,324,0,256,256,0,0,1,0.5,0.5,0,0,[]],109,2429,[],[[]],[0,"Default",0,1]],[[3453,478,0,241,37,0,0,1,0,0,0,0,[]],203,2358,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[3450,467,0,247.6591186523438,15.8963623046875,0,0,1,0,0,0,0,[]],67,2359,[],[],[0,0]],[[2774,844,0,100,100,0,0,1,0.5,0.5,0,0,[]],
231,5853,[],[[200,6E3,80,1,0,0,1],[-180,0]],[0,"Default",0,1]],[[773,1469,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,5852,[],[[]],[0,"Default",0,1]],[[1317,1125,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,5855,[],[[]],[0,"Default",0,1]]],[]],["Earth",4,0x78082201e3648,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[],[]],["Power",5,9273262894242360,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[],[]],["Mouse",6,0xe02cf654ee697,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[317,858,0,64.01953125,53.10530090332031,0,0,1,0.5,1,0,0,[]],42,306,[],[[]],[0,
"Default",0,1]],[[316,869,0,82.02706146240234,93.33332061767578,0,0,1,0.4545454680919647,0.01639344170689583,0,0,[]],45,307,[[150]],[[1],[115,0,35,3,0,0,1],[0,0,0,0,30,100,0,1],[1,0,0,4,0,0,0,50,0],[1,0,0,4,0,0,0,50,0]],[0,"Default",0,1]],[[317,867,0,8.829414367675781,-1.735369682312012,0,-1.576729655265808,1,0,0.48828125,0,0,[]],41,308,[],[],[0,"Default",0,1]],[[-31,-253,0,128,128,0,1.57080864906311,1,0,0.5,0,0,[]],44,309,[],[],[5,30,0,70,40,100,5,0,0,0,2,0,-250,0,2,800,0,0,0.7]],[[-131,-251,0,135,
200,0,1.570796370506287,1,0,0.5,0,0,[]],43,310,[],[],[15,20,0,70,10,100,50,0,0,0,10,0,70,0,0,800,0,0,0.3]]],[]],["Decortop",7,0xf9d0ffb9e0a39,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[3151,450,0,133.8372192382813,60.8350944519043,0,0,1,0.5064935088157654,0.5142857432365417,0,0,[]],204,2377,[],[],[0,"Default",0,1]],[[2471,464,0,187.2960815429688,46.4238166809082,0,0,1,0.504273533821106,0.517241358757019,0,0,[]],205,2378,[],[],[0,"Default",0,1]],[[1110,738,0,88.88106536865234,155.1061706542969,0,0,1,0.5098039507865906,
0.5056179761886597,0,0,[]],206,3519,[],[],[0,"Default",0,1]],[[3546,862,0,187.2960815429688,46.4238166809082,0,0,1,0.504273533821106,0.517241358757019,0,0,[]],205,3520,[],[],[0,"Default",0,1]],[[1568,1506,0,88.88106536865234,155.1061706542969,0,0,1,0.5098039507865906,0.5056179761886597,0,0,[]],206,3521,[],[],[0,"Default",0,1]],[[1739,1555,0,133.8372192382813,60.8350944519043,0,0,1,0.5064935088157654,0.5142857432365417,0,0,[]],204,3522,[],[],[0,"Default",0,1]],[[868,1112,0,70,75,0,-0.7853981852531433,
1,-0.02500000037252903,0.5348837375640869,0,0,[]],90,3691,[],[],[0,"Default",0,1]]],[]],["Water",8,9412460103961616,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[-894,1845,0,5773,70,0,0,1,0,0,0,0,[]],46,311,[],[[1,1,0,4E3,0,2E3,0,2E3,0]],[0,0]],[[-551,1838,0,5361,910,0,0,1,0,0,0,0,[]],47,312,[],[[1,1,0,4E3,0,2E3,0,2E3,0]],[0,0]],[[-575,1722,0,5390,128,0,0,1,0,0,0,0,[]],48,313,[],[[1,1,0,4E3,0,2E3,0,2E3,0]],[0,0]]],[]],["UI",9,0x4dd6666aa7fba,!0,[255,255,255],!0,0,0,1,!1,1,0,0,[[[129.9325103759766,715.2657470703125,
0,180,180,0,0,1,0.5,0.5,0,0,[]],49,314,[],[],[0,"Default",0,1]],[[134.3137359619141,718.0804443359375,0,120,120,0,0,1,0.4749999940395355,0.4833333194255829,0,0,[]],50,315,[[0]],[[0,1]],[0,"Default",0,1]],[[556.687255859375,833.5537109375,0,50,50,0,0,1,0.5142857432365417,0.5142857432365417,0,0,[]],60,327,[],[],[1,"Default",0,1]],[[445,28,0,-42,51,0,0,1,0.5116279125213623,0.5098039507865906,0,0,[]],52,316,[],[[]],[0,"Default",0,1]],[[150,28,0,43,51,0,0,1,0.5116279125213623,0.5098039507865906,0,0,[]],
52,317,[],[[]],[0,"Default",0,1]],[[295,33,0,273,57,0,0,1,0.5018315315246582,0.5087719559669495,0,0,[]],54,318,[],[],[0,"Default",0,1]],[[214,32,0,172.500732421875,32,0,0,1,0,0.5,0,0,[]],55,319,[],[[]],[0,"Default",0,1]],[[315,33,0,216,43,0,0,1,0.5,0.5116279125213623,0,0,[]],59,320,[],[[]],[0,"Default",0,1]],[[68,47,0,112,72,0,0,1,0.5,0.5,0,0,[]],51,321,[],[],[0,"Default",0,1]],[[531,47,0,112,72,0,0,1,0.5,0.5,0,0,[]],53,322,[],[],[0,"Default",0,1]],[[133,49,0,33.94112396240234,33.94112396240234,0,
0,1,0.5,0.5,0,0,[]],62,323,[],[[]],[0,"Default",0,1]],[[-7,10,0,146.9591674804688,88,0,0,1,0,0,0,0,[]],56,324,[],[[]],["Text",0,"32pt Arial Rounded MT Bold","rgb(255,255,51)",1,1,0,0,0]],[[458,9,0,146.9591674804688,88,0,0,1,0,0,0,0,[]],57,325,[],[[]],["Text",0,"32pt Arial Rounded MT Bold","rgb(204,255,255)",1,1,0,0,0]],[[468,48,0,31.93743896484375,31.93743896484375,0,0,1,0.5,0.5,0,0,[]],267,326,[],[[]],[0,"Default",0,1]]],[]],["Ball",10,8857757836308527,!0,[255,255,255],!0,0,0,1,!1,1,0,0,[],[]]],
[],[]],["Lewel12",4300,2E3,!1,"Lewel12",0xd893fac287d2e,[["BG",0,0xdc85814a78559,!0,[44,159,205],!1,1,1,1,!1,1,0,0,[],[]],["BG(sky)",1,0xc6a195dcfe0d1,!0,[255,255,255],!0,0.1000000014901161,0.800000011920929,1,!1,1,0,0,[[[-966,1135,0,6232,254,0,0,1,0,0,0,0,[]],39,329,[],[[1,0,3,70,0,0,0,1024,0]],[0,0]],[[-899,526,0,6054,260,0,0,1,0,0,0,0,[]],38,330,[],[[1,0,3,70,0,0,0,-1024,0]],[0,0]]],[]],["BG(mountian)",2,9604011796858808,!0,[255,255,255],!0,0.1000000014901161,0.800000011920929,1,!1,1,0,0,[[[-544,
1319,0,5389,258,0,0,1,0,0,0,0,[]],40,331,[],[],[0,0]]],[]],["Map",3,0x963227f8702d,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[3318,335,0,271,37,0,0,1,0,0,0,0,[]],203,2528,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[3315,324,0,278,16,0,0,1,0,0,0,0,[]],67,2529,[],[],[0,0]],[[2906,985,0,531,37,0,0,1,0,0,0,0,[]],203,2518,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[2903,974,0,538,16,0,0,1,0,0,0,0,[]],67,2519,[],[],[0,0]],[[1879.50146484375,1465,0,1029.882568359375,37,0,0,1,0,0,0,0,[]],203,2524,[],[[1],
[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1876.50146484375,1454,0,1036.882568359375,16,0,0,1,0,0,0,0,[]],67,2525,[],[],[0,0]],[[1950.697998046875,896.2864990234375,0,540.82568359375,32.15533447265625,0,0,1,0,0,0,0,[]],203,2611,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1948.69775390625,885.2864990234375,0,544.91943359375,16,0,0,1,0,0,0,0,[]],67,2612,[],[],[0,0]],[[409,1430,0,752,37,0,0,1,0,0,0,0,[]],203,2520,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[406,1419,0,759,16,0,0,1,0,0,0,0,[]],67,2521,
[],[],[0,0]],[[406,968,0,752,37,0,0,1,0,0,0,0,[]],203,2512,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[403,957,0,759,16,0,0,1,0,0,0,0,[]],67,2513,[],[],[0,0]],[[1444,306,0,215,37,0,0,1,0,0,0,0,[]],203,2522,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1441,295,0,222,16,0,0,1,0,0,0,0,[]],67,2523,[],[],[0,0]],[[1586,266,0,165.7630004882813,72.80000305175781,0,0,1,0.5058823823928833,0.5,0,0,[]],70,2430,[],[],[0,"Default",0,1]],[[3452,302,0,135.1665649414063,77.238037109375,0,0,1,0.5074626803398132,
0.5,0,0,[]],69,2431,[],[],[0,"Default",0,1]],[[963,1398,0,135.1665649414063,77.238037109375,0,0,1,0.5074626803398132,0.5,0,0,[]],69,2432,[],[],[0,"Default",0,1]],[[2380,1395,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,2433,[],[[]],[0,"Default",0,1]],[[947,1404,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2434,[["dva"]],[],[0,"Default",0,1]],[[898,1404,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2435,[["dva"]],[],[0,"Default",0,1]],[[921,1373,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2436,[["dva"]],[],[0,"Default",0,1]],[[994,1403,0,20,20,
0,0,1,0.5,0.5,0,0,[]],78,2437,[["dva"]],[],[0,"Default",0,1]],[[971,1373,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2438,[["dva"]],[],[0,"Default",0,1]],[[1046,1402,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2439,[["dva"]],[],[0,"Default",0,1]],[[1020,1372,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2440,[["dva"]],[],[0,"Default",0,1]],[[1094,1402,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2441,[["dva"]],[],[0,"Default",0,1]],[[1070,1372,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2442,[["dva"]],[],[0,"Default",0,1]],[[1114,1371,0,20,20,0,0,1,0.5,
0.5,0,0,[]],78,2443,[["dva"]],[],[0,"Default",0,1]],[[411,281,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,2444,[],[[]],[0,"Default",0,1]],[[2370,312,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2445,[["dva"]],[],[0,"Default",0,1]],[[2418,312,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2446,[["dva"]],[],[0,"Default",0,1]],[[2394,282,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2447,[["dva"]],[],[0,"Default",0,1]],[[2464,312,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2448,[["dva"]],[],[0,"Default",0,1]],[[2438,281,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2449,[["dva"]],
[],[0,"Default",0,1]],[[2511,311,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2450,[["dva"]],[],[0,"Default",0,1]],[[2488,281,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2451,[["dva"]],[],[0,"Default",0,1]],[[2563,310,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2452,[["dva"]],[],[0,"Default",0,1]],[[2537,280,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2453,[["dva"]],[],[0,"Default",0,1]],[[2611,310,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2454,[["dva"]],[],[0,"Default",0,1]],[[2587,280,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2455,[["dva"]],[],[0,"Default",
0,1]],[[1170,-725,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,2456,[],[[]],[0,"Default",0,1]],[[1516,719,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2457,[["dva"]],[],[0,"Default",0,1]],[[1580,708,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2458,[["dva"]],[],[0,"Default",0,1]],[[1548,688,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2459,[["dva"]],[],[0,"Default",0,1]],[[1548,750,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2460,[["dva"]],[],[0,"Default",0,1]],[[1515,654,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2461,[["dva"]],[],[0,"Default",0,1]],[[1579,653,0,
20,20,0,0,1,0.5,0.5,0,0,[]],78,2462,[["dva"]],[],[0,"Default",0,1]],[[1548,620,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2463,[["dva"]],[],[0,"Default",0,1]],[[3542,1405,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2464,[["dva"]],[],[0,"Default",0,1]],[[3606,1403,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2465,[["dva"]],[],[0,"Default",0,1]],[[3574,1374,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2466,[["dva"]],[],[0,"Default",0,1]],[[3574,1436,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2467,[["dva"]],[],[0,"Default",0,1]],[[3541,1338,0,20,20,0,0,
1,0.5,0.5,0,0,[]],78,2468,[["dva"]],[],[0,"Default",0,1]],[[3605,1337,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2469,[["dva"]],[],[0,"Default",0,1]],[[3574,1304,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2470,[["dva"]],[],[0,"Default",0,1]],[[2920,1257,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,2471,[],[[]],[0,"Default",0,1]],[[2107,-362,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,2472,[],[[]],[0,"Default",0,1]],[[589,543,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2473,[["dva"]],[],[0,"Default",0,1]],[[636,542,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2474,
[["dva"]],[],[0,"Default",0,1]],[[613,512,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2475,[["dva"]],[],[0,"Default",0,1]],[[688,541,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2476,[["dva"]],[],[0,"Default",0,1]],[[662,511,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2477,[["dva"]],[],[0,"Default",0,1]],[[736,541,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2478,[["dva"]],[],[0,"Default",0,1]],[[712,511,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2479,[["dva"]],[],[0,"Default",0,1]],[[756,510,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2480,[["dva"]],[],[0,"Default",
0,1]],[[826,542,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2481,[["dva"]],[],[0,"Default",0,1]],[[777,542,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2482,[["dva"]],[],[0,"Default",0,1]],[[800,511,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2483,[["dva"]],[],[0,"Default",0,1]],[[3333,814,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2484,[["dva"]],[],[0,"Default",0,1]],[[421,935,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2485,[["dva"]],[],[0,"Default",0,1]],[[473,934,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2486,[["dva"]],[],[0,"Default",0,1]],[[447,904,0,20,
20,0,0,1,0.5,0.5,0,0,[]],78,2487,[["dva"]],[],[0,"Default",0,1]],[[521,934,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2488,[["dva"]],[],[0,"Default",0,1]],[[497,904,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2489,[["dva"]],[],[0,"Default",0,1]],[[541,903,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2490,[["dva"]],[],[0,"Default",0,1]],[[611,935,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2491,[["dva"]],[],[0,"Default",0,1]],[[562,935,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2492,[["dva"]],[],[0,"Default",0,1]],[[585,904,0,20,20,0,0,1,0.5,0.5,0,0,
[]],78,2493,[["dva"]],[],[0,"Default",0,1]],[[658,934,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2494,[["dva"]],[],[0,"Default",0,1]],[[635,904,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2495,[["dva"]],[],[0,"Default",0,1]],[[710,933,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2496,[["dva"]],[],[0,"Default",0,1]],[[684,903,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2497,[["dva"]],[],[0,"Default",0,1]],[[758,933,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2498,[["dva"]],[],[0,"Default",0,1]],[[734,903,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2499,[["dva"]],
[],[0,"Default",0,1]],[[3762,192,0,153,69,0,0,1,0.5046728849411011,0.5,0,0,[]],64,2500,[],[],[0,"Default",1,1]],[[3269,1615,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,2501,[],[],[0,"Default",0,1]],[[820,913,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,2502,[],[],[0,"Default",0,1]],[[2643,742,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,2503,[],[],[0,"Default",0,1]],[[717,418,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,2504,[],[],[0,"Default",0,1]],[[3264,1455,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,2505,[],[],[0,"Default",0,1]],[[2259,291,0,68,68,
0,0,1,0.5,0.5,0,0,[]],79,2506,[],[],[0,"Default",0,1]],[[2214,756,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,2507,[],[],[0,"Default",0,1]],[[409,1007,0,750,87,0,0,1,0,0,0,0,[]],68,2516,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[-354,-1532,0,502,3835,0,0,1,0,0,0,0,[]],66,2517,[],[[1,0,0,1,0.5,0.2,0,0.01,0,1],[1]],[0,0]],[[3951,-1480,0,501,3631,0,0,1,0,0,0,0,[]],66,2532,[],[[1,0,0,1,0.5,0.2,0,0.01,0,1],[1]],[0,0]],[[3157,943,0,165.7630004882813,72.80000305175781,0,0,1,0.5058823823928833,0.5,0,0,[]],70,2533,
[],[],[0,"Default",0,1]],[[1136,1402,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2536,[["dva"]],[],[0,"Default",0,1]],[[1495,1334,0,195,483,0,0,1,0,0,0,0,[]],68,2538,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[2741,741,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,2539,[],[],[0,"Default",0,1]],[[2952,816,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2542,[["dva"]],[],[0,"Default",0,1]],[[2999,815,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2543,[["dva"]],[],[0,"Default",0,1]],[[2976,785,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2544,[["dva"]],[],[0,
"Default",0,1]],[[3051,814,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2545,[["dva"]],[],[0,"Default",0,1]],[[3025,784,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2546,[["dva"]],[],[0,"Default",0,1]],[[3099,814,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2547,[["dva"]],[],[0,"Default",0,1]],[[3075,784,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2548,[["dva"]],[],[0,"Default",0,1]],[[3119,783,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2549,[["dva"]],[],[0,"Default",0,1]],[[3189,815,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2550,[["dva"]],[],[0,"Default",0,1]],
[[3140,815,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2551,[["dva"]],[],[0,"Default",0,1]],[[3163,784,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2552,[["dva"]],[],[0,"Default",0,1]],[[3236,814,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2553,[["dva"]],[],[0,"Default",0,1]],[[3213,784,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2554,[["dva"]],[],[0,"Default",0,1]],[[3288,813,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2555,[["dva"]],[],[0,"Default",0,1]],[[3262,783,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2556,[["dva"]],[],[0,"Default",0,1]],[[3312,783,0,20,
20,0,0,1,0.5,0.5,0,0,[]],78,2557,[["dva"]],[],[0,"Default",0,1]],[[3066,920,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,2558,[],[[]],[0,"Default",0,1]],[[1516,584,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2559,[["dva"]],[],[0,"Default",0,1]],[[1580,582,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2560,[["dva"]],[],[0,"Default",0,1]],[[1548,553,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2561,[["dva"]],[],[0,"Default",0,1]],[[1515,517,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2562,[["dva"]],[],[0,"Default",0,1]],[[1579,516,0,20,20,0,0,1,0.5,0.5,0,0,
[]],78,2563,[["dva"]],[],[0,"Default",0,1]],[[1548,483,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2564,[["dva"]],[],[0,"Default",0,1]],[[1886,1418,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2565,[["dva"]],[],[0,"Default",0,1]],[[1933,1417,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2566,[["dva"]],[],[0,"Default",0,1]],[[1910,1387,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2567,[["dva"]],[],[0,"Default",0,1]],[[1985,1416,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2568,[["dva"]],[],[0,"Default",0,1]],[[1959,1386,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2569,
[["dva"]],[],[0,"Default",0,1]],[[2033,1416,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2570,[["dva"]],[],[0,"Default",0,1]],[[2009,1386,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2571,[["dva"]],[],[0,"Default",0,1]],[[2053,1385,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2572,[["dva"]],[],[0,"Default",0,1]],[[2123,1417,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2573,[["dva"]],[],[0,"Default",0,1]],[[2074,1417,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2574,[["dva"]],[],[0,"Default",0,1]],[[2097,1386,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2575,[["dva"]],
[],[0,"Default",0,1]],[[2170,1416,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2576,[["dva"]],[],[0,"Default",0,1]],[[2147,1386,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2577,[["dva"]],[],[0,"Default",0,1]],[[2222,1415,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2578,[["dva"]],[],[0,"Default",0,1]],[[2196,1385,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2579,[["dva"]],[],[0,"Default",0,1]],[[2270,1415,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2580,[["dva"]],[],[0,"Default",0,1]],[[2246,1385,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2581,[["dva"]],[],[0,"Default",
0,1]],[[1374,924,0,100,58,0,0,1,0.5166666507720947,0.5142857432365417,0,0,[]],97,2582,[],[],[0,"Default",0,1]],[[1550,815,0,58,100,0,0,1,0.4857142865657806,0.5,0,0,[]],98,2583,[],[],[0,"Default",0,1]],[[1367,605,0,100,58,0,0,1,0.5166666507720947,0.5142857432365417,0,0,[]],97,2584,[],[],[0,"Default",0,1]],[[2121,763,0,50,50,0,-0.01136865559965372,1,0.5,0.5,0,0,[]],77,2585,[[35]],[],[0,"Default",0,1]],[[2302,758,0,50,50,0,-0.01136865559965372,1,0.5,0.5,0,0,[]],77,2586,[[36]],[],[0,"Default",0,1]],[[1972,
668,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,2587,[],[[]],[0,"Default",0,1]],[[1775,315,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2588,[["dva"]],[],[0,"Default",0,1]],[[1822,314,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2589,[["dva"]],[],[0,"Default",0,1]],[[1799,284,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2590,[["dva"]],[],[0,"Default",0,1]],[[1874,313,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2591,[["dva"]],[],[0,"Default",0,1]],[[1848,283,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2592,[["dva"]],[],[0,"Default",0,1]],[[1922,313,0,20,20,0,0,1,0.5,
0.5,0,0,[]],78,2593,[["dva"]],[],[0,"Default",0,1]],[[1898,283,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2594,[["dva"]],[],[0,"Default",0,1]],[[1942,282,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2595,[["dva"]],[],[0,"Default",0,1]],[[2012,314,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2596,[["dva"]],[],[0,"Default",0,1]],[[1963,314,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2597,[["dva"]],[],[0,"Default",0,1]],[[1986,283,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2598,[["dva"]],[],[0,"Default",0,1]],[[2059,313,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,
2599,[["dva"]],[],[0,"Default",0,1]],[[2036,283,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2600,[["dva"]],[],[0,"Default",0,1]],[[2111,312,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2601,[["dva"]],[],[0,"Default",0,1]],[[2085,282,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2602,[["dva"]],[],[0,"Default",0,1]],[[2159,312,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2603,[["dva"]],[],[0,"Default",0,1]],[[2135,282,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2604,[["dva"]],[],[0,"Default",0,1]],[[2208,677,0,50,50,0,-0.01136865559965372,1,0.5,0.5,0,0,[]],
77,2605,[[37]],[],[0,"Default",0,1]],[[2121,674,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,2606,[],[],[0,"Default",0,1]],[[2299,672,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,2608,[],[],[0,"Default",0,1]],[[1825,443,0,131,96,0,0,1,0,0,0,0,[]],68,2613,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1754,380,0,869,65,0,0,1,0,0,0,0,[]],75,2614,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1754,380,0,867,16,0,0,1,0,0,0,0,[]],67,2615,[],[],[0,0]],[[2875,445,0,33,517,0,0,1,0,0,0,0,[]],68,2617,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,
0,1]],[0,0]],[[1759,803,0,195,126,0,0,1,0,0,0,0,[]],68,2618,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1759,926,0,1147,97,0,0,1,0,0,0,0,[]],68,2619,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1867,639,0,98.36795806884766,216.7169036865234,0,0,1,0.5,0.5058823823928833,0,0,[]],89,2620,[],[[1]],[0,"Default",0,1]],[[1549,375,0,91,341,0,0,1,0.5274725556373596,0.08797653764486313,0,0,[]],96,2623,[],[[1,5,0,17,0,0,0,90,0]],[0,"Default",0,1]],[[836,602,0,91,341,0,-1.570796370506287,1,0.5274725556373596,
0.08797653764486313,0,0,[]],96,2624,[],[[1,5,0,17,0,0,0,90,0]],[0,"Default",0,1]],[[1994,1051,0,91,341,0,0,1,0.5274725556373596,0.08797653764486313,0,0,[]],96,2625,[],[[1,5,0,17,0,0,0,90,0]],[0,"Default",0,1]],[[3454,402,0,91,341,0,0,1,0.5274725556373596,0.08797653764486313,0,0,[]],96,2626,[],[[1,5,0,17,0,0,0,90,0]],[0,"Default",0,1]],[[3466,990,0,91,341,0,-1.570796370506287,1,0.5274725556373596,0.08797653764486313,0,0,[]],96,2627,[],[[1,5,0,17,0,0,0,90,0]],[0,"Default",0,1]],[[2961,338,0,100,58,
0,0,1,0.5166666507720947,0.5142857432365417,0,0,[]],97,2628,[],[],[0,"Default",0,1]],[[3457,795,0,58,100,0,0,1,0.4857142865657806,0.5,0,0,[]],98,2629,[],[],[0,"Default",0,1]],[[2113,1098,0,100,58,0,0,1,0.5166666507720947,0.5142857432365417,0,0,[]],97,2630,[],[],[0,"Default",0,1]],[[2433,1235,0,100,58,0,0,1,0.5166666507720947,0.5142857432365417,0,0,[]],97,2631,[],[],[0,"Default",0,1]],[[2737,1095,0,100,58,0,0,1,0.5166666507720947,0.5142857432365417,0,0,[]],97,2632,[],[],[0,"Default",0,1]],[[2778,380,
0,138,65,0,0,1,0,0,0,0,[]],75,2633,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[2491,443,0,33,517,0,0,1,0,0,0,0,[]],68,2634,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[3426,608,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2635,[["dva"]],[],[0,"Default",0,1]],[[3490,606,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2636,[["dva"]],[],[0,"Default",0,1]],[[3458,577,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2637,[["dva"]],[],[0,"Default",0,1]],[[3458,639,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2638,[["dva"]],[],[0,"Default",0,1]],[[3425,
541,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2639,[["dva"]],[],[0,"Default",0,1]],[[3489,540,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2640,[["dva"]],[],[0,"Default",0,1]],[[3458,507,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2641,[["dva"]],[],[0,"Default",0,1]],[[2877,1052,0,91,341,0,0,1,0.5274725556373596,0.08797653764486313,0,0,[]],96,2642,[],[[1,5,0,17,0,0,0,90,0]],[0,"Default",0,1]],[[3832,989,0,100,58,0,0,1,0.5166666507720947,0.5142857432365417,0,0,[]],97,2643,[],[],[0,"Default",0,1]],[[2523,892,0,352,35,0,0,1,0,0,0,
0,[]],75,2644,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[2517,888,0,364,16,0,0,1,0,0,0,0,[]],67,2645,[],[],[0,0]],[[2633,328,0,131.3986358642578,109.4988555908203,0,0,1,0.5,0.5,0,0,[]],100,2646,[],[[1,0,1,14,0,0,0,240,0]],[0,"Default",0,1]],[[2370,351,0,46.61544799804688,39.79367446899414,0,0,1,0.5,0.5,0,0,[]],102,2647,[],[],[1,"Default",0,1]],[[2893,352,0,47,41,0,0,1,0.5,0.5,0,0,[]],101,2648,[],[],[1,"Default",0,1]],[[2031,331,0,131.3986358642578,109.4988555908203,0,0,1,0.5,0.5,0,0,[]],100,2649,
[],[[1,0,1,14,0,0,0,240,0]],[0,"Default",0,1]],[[1768,354,0,46.61544799804688,39.79367446899414,0,0,1,0.5,0.5,0,0,[]],102,2650,[],[],[1,"Default",0,1]],[[2291,355,0,47,41,0,0,1,0.5,0.5,0,0,[]],101,2651,[],[],[1,"Default",0,1]],[[2496,1407,0,131.3986358642578,109.4988555908203,0,0,1,0.5,0.5,0,0,[]],100,2652,[],[[1,0,1,14,0,0,0,240,0]],[0,"Default",0,1]],[[2233,1431,0,46.61544799804688,39.79367446899414,0,0,1,0.5,0.5,0,0,[]],102,2653,[],[],[1,"Default",0,1]],[[2756,1432,0,47,41,0,0,1,0.5,0.5,0,0,[]],
101,2654,[],[],[1,"Default",0,1]],[[891,912,0,131.3986358642578,109.4988555908203,0,0,1,0.5,0.5,0,0,[]],100,2655,[],[[1,0,1,14,0,0,0,240,0]],[0,"Default",0,1]],[[628,935,0,46.61544799804688,39.79367446899414,0,0,1,0.5,0.5,0,0,[]],102,2656,[],[],[1,"Default",0,1]],[[1151,936,0,47,41,0,0,1,0.5,0.5,0,0,[]],101,2657,[],[],[1,"Default",0,1]],[[3442,273,0,119.4989547729492,119.4989547729492,0,0,1,0.5,0.5,0,0,[]],103,2659,[],[],[0,"Default",0,1]],[[3132,186,0,81.1567153930664,82.54400634765625,0,0,1,0.5,
0.5070422291755676,0,0,[]],107,2660,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[238,1105,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,2661,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[3098,1490,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,2662,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[3861,559,0,100,100,0,0,1,0.5,0.5,0,0,[]],114,2664,[],[],[0,"Default",0,1]],[[968,
1377,0,100,100,0,0,1,0.5,0.5,0,0,[]],114,2666,[],[],[0,"Default",0,1]],[[2331,847,0,100,100,0,0,1,0.5,0.5,0,0,[]],114,2667,[],[],[0,"Default",0,1]],[[3578,1501,0,100,100,0,0,1,0.5,0.5,0,0,[]],114,2668,[],[],[0,"Default",0,1]],[[284,338,0,259,37,0,0,1,0,0,0,0,[]],203,2514,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[281,327,0,266,16,0,0,1,0,0,0,0,[]],67,2515,[],[],[0,0]],[[579,582,0,226,37,0,0,1,0,0,0,0,[]],203,2526,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[576,571,0,233,16,0,0,1,0,0,0,0,[]],
67,2527,[],[],[0,0]],[[1495,1297,0,194,37,0,0,1,0,0,0,0,[]],203,2508,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1492,1286,0,201,16,0,0,1,0,0,0,0,[]],67,2509,[],[],[0,0]],[[1759,756,0,194,46.68634033203125,0,0,1,0,0,0,0,[]],203,2609,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1757,745,0,198.09375,16,0,0,1,0,0,0,0,[]],67,2610,[],[],[0,0]],[[3469,1547,0,255,37,0,0,1,0,0,0,0,[]],203,2530,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[3466,1536,0,262,16,0,0,1,0,0,0,0,[]],67,2531,[],[],[0,0]],[[3598,
607,0,352,37,0,0,1,0,0,0,0,[]],203,2510,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[3595,596,0,359,16,0,0,1,0,0,0,0,[]],67,2511,[],[],[0,0]],[[1056,885,0,88.88106536865234,155.1061706542969,0,0,1,0.5098039507865906,0.5056179761886597,0,0,[]],206,2535,[],[],[0,"Default",0,1]],[[2803.71533203125,361.3795471191406,0,234.26708984375,58.06620407104492,0,0,1,0.504273533821106,0.517241358757019,0,0,[]],205,2621,[],[],[0,"Default",0,1]],[[924,1394,0,133.8372192382813,60.8350944519043,0,0,1,0.5064935088157654,
0.5142857432365417,0,0,[]],204,2622,[],[],[0,"Default",0,1]],[[659,532,0,100,100,0,0,1,0.5,0.5,0,0,[]],114,1878,[],[],[0,"Default",0,1]]],[]],["Earth",4,6759334771326854,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[],[]],["Power",5,861764029550606,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[],[]],["Mouse",6,9912347401359284,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[1593,1150,0,64.01953125,53.10530090332031,0,0,1,0.5,1,0,0,[]],42,332,[],[[]],[0,"Default",0,1]],[[1592,1161,0,82.02706146240234,93.33332061767578,0,0,1,0.4545454680919647,
0.01639344170689583,0,0,[]],45,333,[[150]],[[1],[115,0,35,3,0,0,1],[0,0,0,0,30,100,0,1],[1,0,0,4,0,0,0,50,0],[1,0,0,4,0,0,0,50,0]],[0,"Default",0,1]],[[1593,1159,0,8.829414367675781,-1.735369682312012,0,-1.576729655265808,1,0,0.48828125,0,0,[]],41,334,[],[],[0,"Default",0,1]],[[-31,-253,0,128,128,0,1.57080864906311,1,0,0.5,0,0,[]],44,335,[],[],[5,30,0,70,40,100,5,0,0,0,2,0,-250,0,2,800,0,0,0.7]],[[-131,-251,0,135,200,0,1.570796370506287,1,0,0.5,0,0,[]],43,336,[],[],[15,20,0,70,10,100,50,0,0,0,10,
0,70,0,0,800,0,0,0.3]]],[]],["Decortop",7,311421826741807,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[2781.087646484375,1419.086669921875,0,183.2527008056641,109.1280059814453,0,0,1,0.5070422291755676,0.5,0,0,[]],82,3559,[],[],[0,"Default",0,1]],[[704.087646484375,474.086669921875,0,239.0609588623047,237.8890991210938,0,0,1,0.5,0.5,0,0,[]],83,3561,[],[],[0,"Default",0,1]],[[3395.087646484375,960.086669921875,0,135.1665649414063,77.238037109375,0,0,1,0.5074626803398132,0.5,0,0,[]],69,3562,[],[],[0,"Default",
0,1]],[[3594.087646484375,1517.086669921875,0,261.113525390625,90.45108795166016,0,0,1,0.5046728849411011,0.5135135054588318,0,0,[]],71,3563,[],[],[0,"Default",0,1]],[[2618.087646484375,380.086669921875,0,161.104736328125,64.7850341796875,0,0,1,0,0,0,0,[]],99,3564,[],[],[0,0]],[[2491.087646484375,443.086669921875,0,413.983642578125,491.5653076171875,0,0,1,0,0,0,0,[]],84,3565,[],[],[0,0]],[[2617.087646484375,380.086669921875,0,300.602783203125,16,0,0,1,0,0,0,0,[]],67,3566,[],[],[0,0]],[[514,-1108.5,
0,225.322998046875,236.7800903320313,0,0,0.699999988079071,0.4406779706478119,0.5,0,0,[[]]],81,2540,[],[[-90,0]],[0,"Default",0,1]],[[258,-1159.5,0,80.23999786376953,75.63999938964844,0,0,1,0.4406779706478119,0.5,0,0,[[]]],81,2541,[],[[180,0]],[0,"Default",0,1]],[[2655,375,0,162.7711334228516,40.34498596191406,0,0,1,0.504273533821106,0.517241358757019,0,0,[]],205,3523,[],[],[0,"Default",0,1]],[[2401,873,0,213.3850250244141,52.89031219482422,0,0,1,0.504273533821106,0.517241358757019,0,0,[]],205,3524,
[],[],[0,"Default",0,1]],[[2207,1441,0,213.3850250244141,52.89031219482422,0,0,1,0.504273533821106,0.517241358757019,0,0,[]],205,3525,[],[],[0,"Default",0,1]],[[2968,957,0,133.8372192382813,60.8350944519043,0,0,1,0.5064935088157654,0.5142857432365417,0,0,[]],204,3556,[],[],[0,"Default",0,1]],[[3900,577,0,133.8372192382813,60.8350944519043,0,0,1,0.5064935088157654,0.5142857432365417,0,0,[]],204,3557,[],[],[0,"Default",0,1]],[[2163,319,0,88.88106536865234,155.1061706542969,0,0,1,0.5098039507865906,
0.5056179761886597,0,0,[]],206,3558,[],[],[0,"Default",0,1]],[[3290,913,0,88.88106536865234,155.1061706542969,0,0,1,0.5098039507865906,0.5056179761886597,0,0,[]],206,3560,[],[],[0,"Default",0,1]],[[385,-312,0,220,160,0,0,1,0.5,0.5,0,0,[]],116,2663,[],[],[0,"Default",0,1]]],[]],["Water",8,9926172442382796,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[-894,1845,0,5773,70,0,0,1,0,0,0,0,[]],46,337,[],[[1,1,0,4E3,0,2E3,0,2E3,0]],[0,0]],[[-551,1838,0,5361,910,0,0,1,0,0,0,0,[]],47,338,[],[[1,1,0,4E3,0,2E3,0,2E3,
0]],[0,0]],[[-575,1722,0,5390,128,0,0,1,0,0,0,0,[]],48,339,[],[[1,1,0,4E3,0,2E3,0,2E3,0]],[0,0]]],[]],["UI",9,7264372221659445,!0,[255,255,255],!0,0,0,1,!1,1,0,0,[[[129.9325103759766,715.2657470703125,0,180,180,0,0,1,0.5,0.5,0,0,[]],49,340,[],[],[0,"Default",0,1]],[[134.3137359619141,718.0804443359375,0,120,120,0,0,1,0.4749999940395355,0.4833333194255829,0,0,[]],50,341,[[0]],[[0,1]],[0,"Default",0,1]],[[556.687255859375,833.5537109375,0,50,50,0,0,1,0.5142857432365417,0.5142857432365417,0,0,[]],60,
353,[],[],[1,"Default",0,1]],[[447,29,0,-42,51,0,0,1,0.5116279125213623,0.5098039507865906,0,0,[]],52,342,[],[[]],[0,"Default",0,1]],[[152,29,0,43,51,0,0,1,0.5116279125213623,0.5098039507865906,0,0,[]],52,343,[],[[]],[0,"Default",0,1]],[[297,34,0,273,57,0,0,1,0.5018315315246582,0.5087719559669495,0,0,[]],54,344,[],[],[0,"Default",0,1]],[[216,33,0,172.500732421875,32,0,0,1,0,0.5,0,0,[]],55,345,[],[[]],[0,"Default",0,1]],[[317,34,0,216,43,0,0,1,0.5,0.5116279125213623,0,0,[]],59,346,[],[[]],[0,"Default",
0,1]],[[70,48,0,112,72,0,0,1,0.5,0.5,0,0,[]],51,347,[],[],[0,"Default",0,1]],[[533,48,0,112,72,0,0,1,0.5,0.5,0,0,[]],53,348,[],[],[0,"Default",0,1]],[[135,50,0,33.94112396240234,33.94112396240234,0,0,1,0.5,0.5,0,0,[]],62,349,[],[[]],[0,"Default",0,1]],[[-5,11,0,146.9591674804688,88,0,0,1,0,0,0,0,[]],56,350,[],[[]],["Text",0,"32pt Arial Rounded MT Bold","rgb(255,255,51)",1,1,0,0,0]],[[460,10,0,146.9591674804688,88,0,0,1,0,0,0,0,[]],57,351,[],[[]],["Text",0,"32pt Arial Rounded MT Bold","rgb(204,255,255)",
1,1,0,0,0]],[[471,49,0,31.93743896484375,31.93743896484375,0,0,1,0.5,0.5,0,0,[]],267,352,[],[[]],[0,"Default",0,1]]],[]],["Ball",10,5838196989810723,!0,[255,255,255],!0,0,0,1,!1,1,0,0,[],[]]],[],[]],["Lewel13",4300,2E3,!1,"Lewel13",6797070079907855,[["BG",0,6676490644757504,!0,[44,159,205],!1,1,1,1,!1,1,0,0,[],[]],["BG(sky)",1,0xe42cd6755ea38,!0,[255,255,255],!0,0.1000000014901161,0.800000011920929,1,!1,1,0,0,[[[-966,1135,0,6232,254,0,0,1,0,0,0,0,[]],39,355,[],[[1,0,3,70,0,0,0,1024,0]],[0,0]],[[-899,
526,0,6054,260,0,0,1,0,0,0,0,[]],38,356,[],[[1,0,3,70,0,0,0,-1024,0]],[0,0]]],[]],["BG(mountian)",2,310869002443181,!0,[255,255,255],!0,0.1000000014901161,0.800000011920929,1,!1,1,0,0,[[[-544,1319,0,5389,258,0,0,1,0,0,0,0,[]],40,357,[],[],[0,0]]],[]],["Map",3,7079055494500307,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[1935,677,0,214.1588134765625,53.08210754394531,0,0,1,0.504273533821106,0.517241358757019,0,0,[]],205,3551,[],[],[0,"Default",0,1]],[[3615,987,0,133.8372192382813,60.8350944519043,0,0,1,0.5064935088157654,
0.5142857432365417,0,0,[]],204,3550,[],[],[0,"Default",0,1]],[[3734,301,0,133.8372192382813,60.8350944519043,0,0,1,0.5064935088157654,0.5142857432365417,0,0,[]],204,2670,[],[],[0,"Default",0,1]],[[3546,331,0,260,37,0,0,1,0,0,0,0,[]],203,2753,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[3543,320,0,267,16,0,0,1,0,0,0,0,[]],67,2754,[],[],[0,0]],[[3574,1023,0,227.63427734375,37,0,0,1,0,0,0,0,[]],203,2747,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[3571,1012,0,234.63427734375,16,0,0,1,0,0,0,0,[]],
67,2748,[],[],[0,0]],[[2462,1287,0,347,37,0,0,1,0,0,0,0,[]],203,2867,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[2459,1276,0,354,16,0,0,1,0,0,0,0,[]],67,2868,[],[],[0,0]],[[3140.10302734375,708.0000610351562,0,227.63427734375,37,0,0,1,0,0,0,0,[]],203,2757,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[3137.10302734375,697.0000610351562,0,234.63427734375,16,0,0,1,0,0,0,0,[]],67,2758,[],[],[0,0]],[[1831,705,0,1101,37,0,0,1,0,0,0,0,[]],203,2755,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1828,
694,0,1108,16,0,0,1,0,0,0,0,[]],67,2756,[],[],[0,0]],[[283,1340,0,456,37,0,0,1,0,0,0,0,[]],203,2743,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[280,1329,0,463,16,0,0,1,0,0,0,0,[]],67,2744,[],[],[0,0]],[[825,1090,0,541,37,0,0,1,0,0,0,0,[]],203,2876,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[822,1079,0,548,16,0,0,1,0,0,0,0,[]],67,2877,[],[],[0,0]],[[1028,712,0,624,37,0,0,1,0,0,0,0,[]],203,2804,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1026,311,0,477,37,0,0,1,0,0,0,0,[]],203,3567,[],[[1],
[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1023,300,0,484,16,0,0,1,0,0,0,0,[]],67,3568,[],[],[0,0]],[[3723,984,0,165.7630004882813,72.80000305175781,0,0,1,0.5058823823928833,0.5,0,0,[]],70,2669,[],[],[0,"Default",0,1]],[[2391,655,0,50,50,0,-0.01136865559965372,1,0.5,0.5,0,0,[]],77,2671,[[40]],[],[0,"Default",0,1]],[[1356,643,0,50,50,0,-0.01136865559965372,1,0.5,0.5,0,0,[]],77,2672,[[39]],[],[0,"Default",0,1]],[[1035,-449,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,2673,[],[[]],[0,"Default",0,1]],[[3604,299,0,20,
20,0,0,1,0.5,0.5,0,0,[]],78,2674,[["dva"]],[],[0,"Default",0,1]],[[3555,299,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2675,[["dva"]],[],[0,"Default",0,1]],[[3578,268,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2676,[["dva"]],[],[0,"Default",0,1]],[[3651,298,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2677,[["dva"]],[],[0,"Default",0,1]],[[3628,268,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2678,[["dva"]],[],[0,"Default",0,1]],[[3703,297,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2679,[["dva"]],[],[0,"Default",0,1]],[[3677,267,0,20,20,0,0,1,0.5,0.5,
0,0,[]],78,2680,[["dva"]],[],[0,"Default",0,1]],[[3751,297,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2681,[["dva"]],[],[0,"Default",0,1]],[[3727,267,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2682,[["dva"]],[],[0,"Default",0,1]],[[3771,266,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2683,[["dva"]],[],[0,"Default",0,1]],[[3697,-191,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,2684,[],[[]],[0,"Default",0,1]],[[3650,880,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2685,[["dva"]],[],[0,"Default",0,1]],[[3714,869,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2686,[["dva"]],
[],[0,"Default",0,1]],[[3682,849,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2687,[["dva"]],[],[0,"Default",0,1]],[[3682,911,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2688,[["dva"]],[],[0,"Default",0,1]],[[3649,815,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2689,[["dva"]],[],[0,"Default",0,1]],[[3713,814,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2690,[["dva"]],[],[0,"Default",0,1]],[[3682,781,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2691,[["dva"]],[],[0,"Default",0,1]],[[1669,492,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2692,[["dva"]],[],[0,"Default",
0,1]],[[1733,490,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2693,[["dva"]],[],[0,"Default",0,1]],[[1701,461,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2694,[["dva"]],[],[0,"Default",0,1]],[[1701,523,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2695,[["dva"]],[],[0,"Default",0,1]],[[1668,425,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2696,[["dva"]],[],[0,"Default",0,1]],[[1732,424,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2697,[["dva"]],[],[0,"Default",0,1]],[[1701,391,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2698,[["dva"]],[],[0,"Default",0,1]],[[1155,-485,
0,37,37,0,0,1,0.5,0.5,0,0,[]],61,2699,[],[[]],[0,"Default",0,1]],[[236,624,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,2700,[],[[]],[0,"Default",0,1]],[[1494,1529,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2701,[["dva"]],[],[0,"Default",0,1]],[[1541,1528,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2702,[["dva"]],[],[0,"Default",0,1]],[[1518,1498,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2703,[["dva"]],[],[0,"Default",0,1]],[[1593,1527,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2704,[["dva"]],[],[0,"Default",0,1]],[[1567,1497,0,20,20,0,0,1,0.5,0.5,
0,0,[]],78,2705,[["dva"]],[],[0,"Default",0,1]],[[1641,1527,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2706,[["dva"]],[],[0,"Default",0,1]],[[1617,1497,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2707,[["dva"]],[],[0,"Default",0,1]],[[1661,1496,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2708,[["dva"]],[],[0,"Default",0,1]],[[1731,1528,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2709,[["dva"]],[],[0,"Default",0,1]],[[1682,1528,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2710,[["dva"]],[],[0,"Default",0,1]],[[1705,1497,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,
2711,[["dva"]],[],[0,"Default",0,1]],[[1778,1527,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2712,[["dva"]],[],[0,"Default",0,1]],[[1755,1497,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2713,[["dva"]],[],[0,"Default",0,1]],[[1830,1526,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2714,[["dva"]],[],[0,"Default",0,1]],[[1804,1496,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2715,[["dva"]],[],[0,"Default",0,1]],[[1878,1526,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2716,[["dva"]],[],[0,"Default",0,1]],[[1854,1496,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2717,[["dva"]],
[],[0,"Default",0,1]],[[3508,1379,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2718,[["dva"]],[],[0,"Default",0,1]],[[3485,1349,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2719,[["dva"]],[],[0,"Default",0,1]],[[3560,1378,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2720,[["dva"]],[],[0,"Default",0,1]],[[3534,1348,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2721,[["dva"]],[],[0,"Default",0,1]],[[3608,1378,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2722,[["dva"]],[],[0,"Default",0,1]],[[3584,1348,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2723,[["dva"]],[],[0,"Default",
0,1]],[[3628,1347,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2724,[["dva"]],[],[0,"Default",0,1]],[[3698,1379,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2725,[["dva"]],[],[0,"Default",0,1]],[[3649,1379,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2726,[["dva"]],[],[0,"Default",0,1]],[[3672,1348,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2727,[["dva"]],[],[0,"Default",0,1]],[[3745,1378,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2728,[["dva"]],[],[0,"Default",0,1]],[[3722,1348,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2729,[["dva"]],[],[0,"Default",0,1]],[[3797,
1377,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2730,[["dva"]],[],[0,"Default",0,1]],[[3771,1347,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2731,[["dva"]],[],[0,"Default",0,1]],[[3845,1377,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2732,[["dva"]],[],[0,"Default",0,1]],[[3821,1347,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2733,[["dva"]],[],[0,"Default",0,1]],[[1258,643,0,50,50,0,-0.01136865559965372,1,0.5,0.5,0,0,[]],77,2734,[[38]],[],[0,"Default",0,1]],[[3E3,257,0,153,69,0,0,1,0.5046728849411011,0.5,0,0,[]],64,2735,[],[],[0,"Default",
1,1]],[[2252,1424,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,2736,[],[],[0,"Default",0,1]],[[1585,636,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,2737,[],[],[0,"Default",0,1]],[[1258,534,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,2738,[],[],[0,"Default",0,1]],[[1355,534,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,2739,[],[],[0,"Default",0,1]],[[3919,-3,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,2740,[],[],[0,"Default",0,1]],[[2120,289,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,2741,[],[],[0,"Default",0,1]],[[3252,622,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,2742,[],
[],[0,"Default",0,1]],[[2461,1325,0,348,126,0,0,1,0,0,0,0,[]],68,2749,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[-339,-1322,0,502,3835,0,0,1,0,0,0,0,[]],66,2750,[],[[1,0,0,1,0.5,0.2,0,0.01,0,1],[1]],[0,0]],[[3966,-1270,0,501,3631,0,0,1,0,0,0,0,[]],66,2761,[],[[1,0,0,1,0.5,0.2,0,0.01,0,1],[1]],[0,0]],[[921,1056,0,165.7630004882813,72.80000305175781,0,0,1,0.5058823823928833,0.5,0,0,[]],70,2762,[],[],[0,"Default",0,1]],[[1156,535,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,2763,[],[],[0,"Default",0,1]],[[2568,
1242,0,165.7630004882813,72.80000305175781,0,0,1,0.5058823823928833,0.5,0,0,[]],70,2764,[],[],[0,"Default",0,1]],[[3793,297,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2765,[["dva"]],[],[0,"Default",0,1]],[[2129,654,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,2766,[],[],[0,"Default",0,1]],[[3142,742.493896484375,0,226,622.5060424804688,0,0,1,0,0,0,0,[]],68,2767,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[545,222,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,2768,[],[],[0,"Default",0,1]],[[661,-880,0,225.322998046875,236.7800903320313,
0,0,0.699999988079071,0.4406779706478119,0.5,0,0,[[]]],81,2769,[],[[-90,0]],[0,"Default",0,1]],[[405,-931,0,80.23999786376953,75.63999938964844,0,0,1,0.4406779706478119,0.5,0,0,[[]]],81,2770,[],[[180,0]],[0,"Default",0,1]],[[517,269,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2771,[["dva"]],[],[0,"Default",0,1]],[[564,268,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2772,[["dva"]],[],[0,"Default",0,1]],[[541,238,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2773,[["dva"]],[],[0,"Default",0,1]],[[616,267,0,20,20,0,0,1,0.5,0.5,0,0,[]],
78,2774,[["dva"]],[],[0,"Default",0,1]],[[590,237,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2775,[["dva"]],[],[0,"Default",0,1]],[[664,267,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2776,[["dva"]],[],[0,"Default",0,1]],[[640,237,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2777,[["dva"]],[],[0,"Default",0,1]],[[684,236,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2778,[["dva"]],[],[0,"Default",0,1]],[[705,268,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2779,[["dva"]],[],[0,"Default",0,1]],[[415,841,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,2780,[],[[]],[0,"Default",
0,1]],[[3650,745,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2781,[["dva"]],[],[0,"Default",0,1]],[[3714,743,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2782,[["dva"]],[],[0,"Default",0,1]],[[3682,714,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2783,[["dva"]],[],[0,"Default",0,1]],[[3649,678,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2784,[["dva"]],[],[0,"Default",0,1]],[[3713,677,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2785,[["dva"]],[],[0,"Default",0,1]],[[3682,644,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2786,[["dva"]],[],[0,"Default",0,1]],[[2059,1009,
0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2787,[["dva"]],[],[0,"Default",0,1]],[[2106,1008,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2788,[["dva"]],[],[0,"Default",0,1]],[[2083,978,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2789,[["dva"]],[],[0,"Default",0,1]],[[2158,1007,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2790,[["dva"]],[],[0,"Default",0,1]],[[2132,977,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2791,[["dva"]],[],[0,"Default",0,1]],[[2206,1007,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2792,[["dva"]],[],[0,"Default",0,1]],[[2182,977,0,20,20,0,0,
1,0.5,0.5,0,0,[]],78,2793,[["dva"]],[],[0,"Default",0,1]],[[2226,976,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2794,[["dva"]],[],[0,"Default",0,1]],[[2296,1008,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2795,[["dva"]],[],[0,"Default",0,1]],[[2247,1008,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2796,[["dva"]],[],[0,"Default",0,1]],[[2270,977,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2797,[["dva"]],[],[0,"Default",0,1]],[[2343,1007,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2798,[["dva"]],[],[0,"Default",0,1]],[[2320,977,0,20,20,0,0,1,0.5,0.5,0,
0,[]],78,2799,[["dva"]],[],[0,"Default",0,1]],[[2395,1006,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2800,[["dva"]],[],[0,"Default",0,1]],[[2369,976,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2801,[["dva"]],[],[0,"Default",0,1]],[[2443,1006,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2802,[["dva"]],[],[0,"Default",0,1]],[[2419,976,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2803,[["dva"]],[],[0,"Default",0,1]],[[1060,707,0,591,16,0,0,1,0,0,0,0,[]],67,2805,[],[],[0,0]],[[2102,667,0,165.7630004882813,72.80000305175781,0,0,1,0.5058823823928833,
0.5,0,0,[]],70,2806,[],[],[0,"Default",0,1]],[[2189,646,0,131.3986358642578,109.4988555908203,0,0,1,0.5,0.5,0,0,[]],100,2807,[],[[1,0,1,14,0,0,0,240,0]],[0,"Default",0,1]],[[1926,669,0,46.61544799804688,39.79367446899414,0,0,1,0.5,0.5,0,0,[]],102,2808,[],[],[1,"Default",0,1]],[[2449,670,0,47,41,0,0,1,0.5,0.5,0,0,[]],101,2809,[],[],[1,"Default",0,1]],[[2253,1427,0,79.56002807617188,80.92002868652344,0,0,1,0.508474588394165,0.5,0,0,[]],108,2810,[],[],[0,"Default",0,1]],[[2259,1432,0,256,256,0,0,1,0.5,
0.5,0,0,[]],109,2811,[],[[]],[0,"Default",0,1]],[[282,305,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,2814,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[1499,1310,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,2815,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[387,1202,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2816,[["dva"]],[],[0,"Default",0,1]],[[451,1191,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2817,[["dva"]],
[],[0,"Default",0,1]],[[419,1171,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2818,[["dva"]],[],[0,"Default",0,1]],[[419,1233,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2819,[["dva"]],[],[0,"Default",0,1]],[[386,1137,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2820,[["dva"]],[],[0,"Default",0,1]],[[450,1136,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2821,[["dva"]],[],[0,"Default",0,1]],[[419,1103,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2822,[["dva"]],[],[0,"Default",0,1]],[[387,1067,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2823,[["dva"]],[],[0,"Default",
0,1]],[[451,1065,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2824,[["dva"]],[],[0,"Default",0,1]],[[419,1036,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2825,[["dva"]],[],[0,"Default",0,1]],[[386,1E3,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2826,[["dva"]],[],[0,"Default",0,1]],[[450,999,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2827,[["dva"]],[],[0,"Default",0,1]],[[419,966,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2828,[["dva"]],[],[0,"Default",0,1]],[[1116,1544,0,79.56002807617188,80.92002868652344,0,0,1,0.508474588394165,0.5,0,0,[]],108,2831,
[],[],[0,"Default",0,1]],[[1122,1549,0,256,256,0,0,1,0.5,0.5,0,0,[]],109,2832,[],[[]],[0,"Default",0,1]],[[3688,979,0,91.12422943115234,91.12422943115234,0,0.1096227541565895,1,0.5066666603088379,0.5066666603088379,0,0,[]],104,2833,[],[],[0,"Default",0,1]],[[3678,289,0,91.12422943115234,91.12422943115234,0,0.1096227541565895,1,0.5066666603088379,0.5066666603088379,0,0,[]],104,2834,[],[],[0,"Default",0,1]],[[1915,548,0,148.0375213623047,139.5254364013672,0,0,1,-0.09589041024446487,-0.0972222238779068,
0,0,[]],73,2835,[],[],[0,"Default",0,1]],[[1129,275,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2836,[["dva"]],[],[0,"Default",0,1]],[[1176,274,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2837,[["dva"]],[],[0,"Default",0,1]],[[1153,244,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2838,[["dva"]],[],[0,"Default",0,1]],[[1228,273,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2839,[["dva"]],[],[0,"Default",0,1]],[[1202,243,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2840,[["dva"]],[],[0,"Default",0,1]],[[1276,273,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2841,[["dva"]],
[],[0,"Default",0,1]],[[1252,243,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2842,[["dva"]],[],[0,"Default",0,1]],[[1296,242,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2843,[["dva"]],[],[0,"Default",0,1]],[[1366,274,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2844,[["dva"]],[],[0,"Default",0,1]],[[1317,274,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2845,[["dva"]],[],[0,"Default",0,1]],[[1340,243,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2846,[["dva"]],[],[0,"Default",0,1]],[[1413,273,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2847,[["dva"]],[],[0,"Default",
0,1]],[[1390,243,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2848,[["dva"]],[],[0,"Default",0,1]],[[1465,272,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2849,[["dva"]],[],[0,"Default",0,1]],[[1439,242,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2850,[["dva"]],[],[0,"Default",0,1]],[[1513,272,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2851,[["dva"]],[],[0,"Default",0,1]],[[1489,242,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2852,[["dva"]],[],[0,"Default",0,1]],[[1094,279,0,165.7630004882813,72.80000305175781,0,0,1,0.5058823823928833,0.5,0,0,[]],70,2855,
[],[],[0,"Default",0,1]],[[1277,254,0,131.3986358642578,109.4988555908203,0,0,1,0.5,0.5,0,0,[]],100,2856,[],[[1,0,1,12,0,0,0,200,0]],[0,"Default",0,1]],[[1503,281,0,47,41,0,0,1,0.5,0.5,0,0,[]],101,2857,[],[],[1,"Default",0,1]],[[1060,282,0,46.61544799804688,39.79367446899414,0,0,1,0.5,0.5,0,0,[]],102,2858,[],[],[1,"Default",0,1]],[[1412,266,0,91.12422943115234,91.12422943115234,0,0.1096227541565895,1,0.5066666603088379,0.5066666603088379,0,0,[]],104,2859,[],[],[0,"Default",0,1]],[[2735,646,0,131.3986358642578,
109.4988555908203,0,0,1,0.5,0.5,0,0,[]],100,2860,[],[[1,0,1,12,0,0,0,200,0]],[0,"Default",0,1]],[[2911,673,0,47,41,0,0,1,0.5,0.5,0,0,[]],101,2861,[],[],[1,"Default",0,1]],[[2518,674,0,46.61544799804688,39.79367446899414,0,0,1,0.5,0.5,0,0,[]],102,2862,[],[],[1,"Default",0,1]],[[1769,1138,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,2863,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[720,574,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,
0,0,[]],107,2864,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[436,573,0,79.56002807617188,80.92002868652344,0,0,1,0.508474588394165,0.5,0,0,[]],108,2865,[],[],[0,"Default",0,1]],[[442,578,0,256,256,0,0,1,0.5,0.5,0,0,[]],109,2866,[],[[]],[0,"Default",0,1]],[[3244,645,0,119.4989547729492,119.4989547729492,0,0,1,0.5,0.5,0,0,[]],103,2869,[],[],[0,"Default",0,1]],[[647,730,0,94,103,0,0,1,0.5,0.5,0,0,[]],117,2870,[['"Normal"']],[[30,0,0,140,1E3,2E3,135,0,1,1],[1,0,0,2,0,0,0,18,0],
[1,1,0,3,0,0,0,25,0]],[0,"Default",0,1]],[[2069,290,0,94,103,0,0,1,0.5,0.5,0,0,[]],117,2871,[['"Normal"']],[[30,0,0,140,1E3,2E3,135,0,1,1],[1,0,0,2,0,0,0,18,0],[1,1,0,3,0,0,0,25,0]],[0,"Default",0,1]],[[924,1542,0,94,103,0,0,1,0.5,0.5,0,0,[]],117,2873,[['"Normal"']],[[30,0,0,140,1E3,2E3,135,0,1,1],[1,0,0,2,0,0,0,18,0],[1,1,0,3,0,0,0,25,0]],[0,"Default",0,1]],[[847,322,0,94,103,0,0,1,0.5,0.5,0,0,[]],117,2875,[['"Normal"']],[[30,0,0,140,1E3,2E3,135,0,1,1],[1,0,0,2,0,0,0,18,0],[1,1,0,3,0,0,0,25,0]],
[0,"Default",0,1]],[[1668,1375,0,94,103,0,0,1,0.5,0.5,0,0,[]],117,2878,[['"Normal"']],[[30,0,0,140,1E3,2E3,135,0,1,1],[1,0,0,2,0,0,0,18,0],[1,1,0,3,0,0,0,25,0]],[0,"Default",0,1]],[[617,1115,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,2879,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[1576,932,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,2880,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[2225,
452,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,2881,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[2776,452,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,2882,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[2945,1027,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,2883,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[3518,730,0,81.1567153930664,
82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,2884,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[3514,1186,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,2885,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[3281,153,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,2886,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[1737,197,0,81.1567153930664,82.54400634765625,0,
0,1,0.5,0.5070422291755676,0,0,[]],107,2887,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[467,301,0,259,37,0,0,1,0,0,0,0,[]],203,2745,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[464,290,0,266,16,0,0,1,0,0,0,0,[]],67,2746,[],[],[0,0]],[[1027,344,0,33,374,0,0,1,0,0,0,0,[]],203,2853,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1471,344,0,33,365,0,0,1,0,0,0,0,[]],203,2854,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1472.862060546875,1562,0,434.137939453125,37,0,0,1,0,0,0,
0,[]],203,2751,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1469.862060546875,1551,0,441.137939453125,16,0,0,1,0,0,0,0,[]],67,2752,[],[],[0,0]],[[2310,678,0,214.1588134765625,53.08210754394531,0,0,1,0.504273533821106,0.517241358757019,0,0,[]],205,3552,[],[],[0,"Default",0,1]],[[2706,1258,0,214.1588134765625,53.08210754394531,0,0,1,0.504273533821106,0.517241358757019,0,0,[]],205,3553,[],[],[0,"Default",0,1]]],[]],["Earth",4,4709084578060785,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[],[]],["Power",5,290052215084381,
!0,[255,255,255],!0,1,1,1,!1,1,0,0,[],[]],["Mouse",6,7050534519760074,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[677,1226,0,64.01953125,53.10530090332031,0,0,1,0.5,1,0,0,[]],42,358,[],[[]],[0,"Default",0,1]],[[676,1237,0,82.02706146240234,93.33332061767578,0,0,1,0.4545454680919647,0.01639344170689583,0,0,[]],45,359,[[150]],[[1],[115,0,35,3,0,0,1],[0,0,0,0,30,100,0,1],[1,0,0,4,0,0,0,50,0],[1,0,0,4,0,0,0,50,0]],[0,"Default",0,1]],[[677,1235,0,8.829414367675781,-1.735369682312012,0,-1.576729655265808,1,0,
0.48828125,0,0,[]],41,360,[],[],[0,"Default",0,1]],[[-31,-253,0,128,128,0,1.57080864906311,1,0,0.5,0,0,[]],44,361,[],[],[5,30,0,70,40,100,5,0,0,0,2,0,-250,0,2,800,0,0,0.7]],[[-131,-251,0,135,200,0,1.570796370506287,1,0,0.5,0,0,[]],43,362,[],[],[15,20,0,70,10,100,50,0,0,0,10,0,70,0,0,800,0,0,0.3]],[[1278,1026,0,86,128,0,0,1,0.5098039507865906,0.5,0,0,[]],190,3554,[],[],[0,"Default",0,1]],[[1147,654,0,86,128,0,0,1,0.5098039507865906,0.5,0,0,[]],173,3555,[],[],[0,"Default",0,1]],[[434,726,0,128,128,
0,0,1,0.5,0.5,0,0,[]],188,3999,[],[],[1,"Default",0,1]],[[1144,1358,0,128,128,0,0,1,0.5,0.5,0,0,[]],188,4E3,[],[],[1,"Default",0,1]],[[2198,1238,0,128,128,0,0,1,0.5,0.5,0,0,[]],188,4003,[],[],[1,"Default",0,1]],[[3012,502,0,128,128,0,0,1,0.5,0.5,0,0,[]],188,4004,[],[],[1,"Default",0,1]]],[]],["Decortop",7,6665327350306092,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[1550.212036132813,700.7801513671875,0,148.3648681640625,36.77420425415039,0,0,1,0.504273533821106,0.517241358757019,0,0,[]],205,2759,[],[],
[0,"Default",0,1]],[[553,229,0,88.88106536865234,155.1061706542969,0,0,1,0.5098039507865906,0.5056179761886597,0,0,[]],206,2760,[],[],[0,"Default",0,1]],[[1590,645,0,88.88106536865234,155.1061706542969,0,0,1,0.5098039507865906,0.5056179761886597,0,0,[]],206,3546,[],[],[0,"Default",0,1]],[[395.1781616210938,1315.127075195313,0,214.1588134765625,53.08210754394531,0,0,1,0.504273533821106,0.517241358757019,0,0,[]],205,3547,[],[],[0,"Default",0,1]],[[533,1313,0,133.8372192382813,60.8350944519043,0,0,1,
0.5064935088157654,0.5142857432365417,0,0,[]],204,3548,[],[],[0,"Default",0,1]],[[606,274,0,133.8372192382813,60.8350944519043,0,0,1,0.5064935088157654,0.5142857432365417,0,0,[]],204,3549,[],[],[0,"Default",0,1]]],[]],["Water",8,7714121746161736,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[-894,1845,0,5773,70,0,0,1,0,0,0,0,[]],46,363,[],[[1,1,0,4E3,0,2E3,0,2E3,0]],[0,0]],[[-551,1838,0,5361,910,0,0,1,0,0,0,0,[]],47,364,[],[[1,1,0,4E3,0,2E3,0,2E3,0]],[0,0]],[[-575,1722,0,5390,128,0,0,1,0,0,0,0,[]],48,365,
[],[[1,1,0,4E3,0,2E3,0,2E3,0]],[0,0]]],[]],["UI",9,0xc6b20f4f776ef,!0,[255,255,255],!0,0,0,1,!1,1,0,0,[[[129.9325103759766,715.2657470703125,0,180,180,0,0,1,0.5,0.5,0,0,[]],49,366,[],[],[0,"Default",0,1]],[[134.3137359619141,718.0804443359375,0,120,120,0,0,1,0.4749999940395355,0.4833333194255829,0,0,[]],50,367,[[0]],[[0,1]],[0,"Default",0,1]],[[556.687255859375,833.5537109375,0,50,50,0,0,1,0.5142857432365417,0.5142857432365417,0,0,[]],60,379,[],[],[1,"Default",0,1]],[[446,27,0,-42,51,0,0,1,0.5116279125213623,
0.5098039507865906,0,0,[]],52,368,[],[[]],[0,"Default",0,1]],[[151,27,0,43,51,0,0,1,0.5116279125213623,0.5098039507865906,0,0,[]],52,369,[],[[]],[0,"Default",0,1]],[[296,32,0,273,57,0,0,1,0.5018315315246582,0.5087719559669495,0,0,[]],54,370,[],[],[0,"Default",0,1]],[[215,31,0,172.500732421875,32,0,0,1,0,0.5,0,0,[]],55,371,[],[[]],[0,"Default",0,1]],[[316,32,0,216,43,0,0,1,0.5,0.5116279125213623,0,0,[]],59,372,[],[[]],[0,"Default",0,1]],[[69,46,0,112,72,0,0,1,0.5,0.5,0,0,[]],51,373,[],[],[0,"Default",
0,1]],[[532,46,0,112,72,0,0,1,0.5,0.5,0,0,[]],53,374,[],[],[0,"Default",0,1]],[[135,48,0,33.94112396240234,33.94112396240234,0,0,1,0.5,0.5,0,0,[]],62,375,[],[[]],[0,"Default",0,1]],[[-6,9,0,146.9591674804688,88,0,0,1,0,0,0,0,[]],56,376,[],[[]],["Text",0,"32pt Arial Rounded MT Bold","rgb(255,255,51)",1,1,0,0,0]],[[459,8,0,146.9591674804688,88,0,0,1,0,0,0,0,[]],57,377,[],[[]],["Text",0,"32pt Arial Rounded MT Bold","rgb(204,255,255)",1,1,0,0,0]],[[470,47,0,31.93743896484375,31.93743896484375,0,0,1,0.5,
0.5,0,0,[]],267,378,[],[[]],[0,"Default",0,1]]],[]],["Ball",10,0x56beb10033ced,!0,[255,255,255],!0,0,0,1,!1,1,0,0,[],[]]],[],[]],["Lewel14",4300,2E3,!1,"Lewel14",0x70ab399f3dba6,[["BG",0,7807741743057294,!0,[44,159,205],!1,1,1,1,!1,1,0,0,[],[]],["BG(sky)",1,5743724535459316,!0,[255,255,255],!0,0.1000000014901161,0.800000011920929,1,!1,1,0,0,[[[-966,1135,0,6232,254,0,0,1,0,0,0,0,[]],39,381,[],[[1,0,3,70,0,0,0,1024,0]],[0,0]],[[-899,526,0,6054,260,0,0,1,0,0,0,0,[]],38,382,[],[[1,0,3,70,0,0,0,-1024,
0]],[0,0]]],[]],["BG(mountian)",2,0xd66a9dc07ea9a,!0,[255,255,255],!0,0.1000000014901161,0.800000011920929,1,!1,1,0,0,[[[-544,1319,0,5389,258,0,0,1,0,0,0,0,[]],40,383,[],[],[0,0]]],[]],["Map",3,8553650464631946,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[2676,618,0,214.1588134765625,53.08210754394531,0,0,1,0.504273533821106,0.517241358757019,0,0,[]],205,2981,[],[],[0,"Default",0,1]],[[3580.323974609375,1057.387939453125,0,234.529296875,37,0,0,1,0,0,0,0,[]],203,3080,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],
[0,0]],[[3577.323974609375,1046.387939453125,0,241.529296875,16,0,0,1,0,0,0,0,[]],67,3081,[],[],[0,0]],[[3529,363,0,290,37,0,0,1,0,0,0,0,[]],203,2978,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[3526,352,0,297,16,0,0,1,0,0,0,0,[]],67,2979,[],[],[0,0]],[[2405,1413,0,588,37,0,0,1,0,0,0,0,[]],203,2970,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[2402,1402,0,595,16,0,0,1,0,0,0,0,[]],67,2971,[],[],[0,0]],[[2572,1064,0,349,37,0,0,1,0,0,0,0,[]],203,2964,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[2569,
1053,0,356,16,0,0,1,0,0,0,0,[]],67,2965,[],[],[0,0]],[[2570,647,0,349,37,0,0,1,0,0,0,0,[]],203,2966,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[2567,636,0,356,16,0,0,1,0,0,0,0,[]],67,2967,[],[],[0,0]],[[1138,528,0,1182,37,0,0,1,0,0,0,0,[]],203,4831,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1135,517,0,1189,16,0,0,1,0,0,0,0,[]],67,4832,[],[],[0,0]],[[161,1484,0,383,37,0,0,1,0,0,0,0,[]],203,2962,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[158,1473,0,390,16,0,0,1,0,0,0,0,[]],67,2963,[],[],
[0,0]],[[278,1134,0,530,37,0,0,1,0,0,0,0,[]],203,3068,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[275,1123,0,537,16,0,0,1,0,0,0,0,[]],67,3069,[],[],[0,0]],[[2158,503,0,214.1588134765625,53.08210754394531,0,0,1,0.504273533821106,0.517241358757019,0,0,[]],205,2888,[],[],[0,"Default",0,1]],[[1540,455,0,88.88106536865234,155.1061706542969,0,0,1,0.5098039507865906,0.5056179761886597,0,0,[]],206,2972,[],[],[0,"Default",0,1]],[[591,1102,0,133.8372192382813,60.8350944519043,0,0,1,0.5064935088157654,0.5142857432365417,
0,0,[]],204,2973,[],[],[0,"Default",0,1]],[[3681,331,0,135.1665649414063,77.238037109375,0,0,1,0.5074626803398132,0.5,0,0,[]],69,2889,[],[],[0,"Default",0,1]],[[2085,1152,0,50,50,0,-0.01136865559965372,1,0.5,0.5,0,0,[]],77,2890,[[43]],[],[0,"Default",0,1]],[[1581,1041,0,50,50,0,-0.01136865559965372,1,0.5,0.5,0,0,[]],77,2891,[[41]],[],[0,"Default",0,1]],[[342,1420,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,2892,[],[[]],[0,"Default",0,1]],[[3602,332,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2893,[["dva"]],[],[0,"Default",
0,1]],[[3553,332,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2894,[["dva"]],[],[0,"Default",0,1]],[[3576,301,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2895,[["dva"]],[],[0,"Default",0,1]],[[3649,331,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2896,[["dva"]],[],[0,"Default",0,1]],[[3626,301,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2897,[["dva"]],[],[0,"Default",0,1]],[[3701,330,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2898,[["dva"]],[],[0,"Default",0,1]],[[3675,300,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2899,[["dva"]],[],[0,"Default",0,1]],[[3749,330,
0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2900,[["dva"]],[],[0,"Default",0,1]],[[3725,300,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2901,[["dva"]],[],[0,"Default",0,1]],[[3769,299,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2902,[["dva"]],[],[0,"Default",0,1]],[[2040,235,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,2903,[],[[]],[0,"Default",0,1]],[[3648,913,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2904,[["dva"]],[],[0,"Default",0,1]],[[3712,902,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2905,[["dva"]],[],[0,"Default",0,1]],[[3680,882,0,20,20,0,0,1,0.5,0.5,
0,0,[]],78,2906,[["dva"]],[],[0,"Default",0,1]],[[3680,944,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2907,[["dva"]],[],[0,"Default",0,1]],[[3647,848,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2908,[["dva"]],[],[0,"Default",0,1]],[[3711,847,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2909,[["dva"]],[],[0,"Default",0,1]],[[3680,814,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2910,[["dva"]],[],[0,"Default",0,1]],[[2731,1290,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2911,[["dva"]],[],[0,"Default",0,1]],[[2795,1288,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2912,
[["dva"]],[],[0,"Default",0,1]],[[2763,1259,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2913,[["dva"]],[],[0,"Default",0,1]],[[2763,1321,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2914,[["dva"]],[],[0,"Default",0,1]],[[2730,1223,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2915,[["dva"]],[],[0,"Default",0,1]],[[2794,1222,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2916,[["dva"]],[],[0,"Default",0,1]],[[2763,1189,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2917,[["dva"]],[],[0,"Default",0,1]],[[2763,1363,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,2918,[],[[]],[0,
"Default",0,1]],[[1740,770,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,2919,[],[[]],[0,"Default",0,1]],[[1561,491,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2920,[["dva"]],[],[0,"Default",0,1]],[[1608,490,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2921,[["dva"]],[],[0,"Default",0,1]],[[1585,460,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2922,[["dva"]],[],[0,"Default",0,1]],[[1660,489,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2923,[["dva"]],[],[0,"Default",0,1]],[[1634,459,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2924,[["dva"]],[],[0,"Default",0,1]],[[1708,
489,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2925,[["dva"]],[],[0,"Default",0,1]],[[1684,459,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2926,[["dva"]],[],[0,"Default",0,1]],[[1728,458,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2927,[["dva"]],[],[0,"Default",0,1]],[[1798,490,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2928,[["dva"]],[],[0,"Default",0,1]],[[1749,490,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2929,[["dva"]],[],[0,"Default",0,1]],[[1772,459,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2930,[["dva"]],[],[0,"Default",0,1]],[[1845,489,0,20,20,0,0,
1,0.5,0.5,0,0,[]],78,2931,[["dva"]],[],[0,"Default",0,1]],[[1822,459,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2932,[["dva"]],[],[0,"Default",0,1]],[[1897,488,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2933,[["dva"]],[],[0,"Default",0,1]],[[1871,458,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2934,[["dva"]],[],[0,"Default",0,1]],[[1945,488,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2935,[["dva"]],[],[0,"Default",0,1]],[[1921,458,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2936,[["dva"]],[],[0,"Default",0,1]],[[3506,1412,0,20,20,0,0,1,0.5,0.5,0,0,
[]],78,2937,[["dva"]],[],[0,"Default",0,1]],[[3483,1382,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2938,[["dva"]],[],[0,"Default",0,1]],[[3558,1411,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2939,[["dva"]],[],[0,"Default",0,1]],[[3532,1381,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2940,[["dva"]],[],[0,"Default",0,1]],[[3606,1411,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2941,[["dva"]],[],[0,"Default",0,1]],[[3582,1381,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2942,[["dva"]],[],[0,"Default",0,1]],[[3626,1380,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2943,
[["dva"]],[],[0,"Default",0,1]],[[3696,1412,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2944,[["dva"]],[],[0,"Default",0,1]],[[3647,1412,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2945,[["dva"]],[],[0,"Default",0,1]],[[3670,1381,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2946,[["dva"]],[],[0,"Default",0,1]],[[3743,1411,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2947,[["dva"]],[],[0,"Default",0,1]],[[3720,1381,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2948,[["dva"]],[],[0,"Default",0,1]],[[3795,1410,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2949,[["dva"]],
[],[0,"Default",0,1]],[[3769,1380,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2950,[["dva"]],[],[0,"Default",0,1]],[[3843,1410,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2951,[["dva"]],[],[0,"Default",0,1]],[[3819,1380,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2952,[["dva"]],[],[0,"Default",0,1]],[[1582,1260,0,50,50,0,-0.01136865559965372,1,0.5,0.5,0,0,[]],77,2953,[[42]],[],[0,"Default",0,1]],[[3253,290,0,153,69,0,0,1,0.5046728849411011,0.5,0,0,[]],64,2954,[],[],[0,"Default",1,1]],[[2085,1035,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,
2955,[],[],[0,"Default",0,1]],[[554,687,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,2956,[],[],[0,"Default",0,1]],[[1720,1041,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,2957,[],[],[0,"Default",0,1]],[[2087,1261,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,2958,[],[],[0,"Default",0,1]],[[1443,1037,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,2959,[],[],[0,"Default",0,1]],[[1724,1258,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,2960,[],[],[0,"Default",0,1]],[[1443,1256,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,2961,[],[],[0,"Default",0,1]],[[2570,684,0,348,130,0,
0,1,0,0,0,0,[]],68,2968,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[-341,-1289,0,502,3835,0,0,1,0,0,0,0,[]],66,2969,[],[[1,0,0,1,0.5,0.2,0,0.01,0,1],[1]],[0,0]],[[1158,1326,0,727,65,0,0,1,0,0,0,0,[]],75,2976,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1154,1324,0,734,16,0,0,1,0,0,0,0,[]],67,2977,[],[],[0,0]],[[3964,-1237,0,501,3631,0,0,1,0,0,0,0,[]],66,2980,[],[[1,0,0,1,0.5,0.2,0,0.01,0,1],[1]],[0,0]],[[3702,1498,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,2982,[],[],[0,"Default",0,1]],[[3791,330,0,20,
20,0,0,1,0.5,0.5,0,0,[]],78,2984,[["dva"]],[],[0,"Default",0,1]],[[1400,470,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,2985,[],[],[0,"Default",0,1]],[[3132,680,0,226,620,0,0,1,0,0,0,0,[]],68,2986,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1443,1148,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,2987,[],[],[0,"Default",0,1]],[[659,-847,0,225.322998046875,236.7800903320313,0,0,0.699999988079071,0.4406779706478119,0.5,0,0,[[]]],81,2988,[],[[-90,0]],[0,"Default",0,1]],[[403,-898,0,80.23999786376953,75.63999938964844,0,0,
1,0.4406779706478119,0.5,0,0,[[]]],81,2989,[],[[180,0]],[0,"Default",0,1]],[[2661,1035,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2990,[["dva"]],[],[0,"Default",0,1]],[[2708,1034,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2991,[["dva"]],[],[0,"Default",0,1]],[[2685,1004,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2992,[["dva"]],[],[0,"Default",0,1]],[[2760,1033,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2993,[["dva"]],[],[0,"Default",0,1]],[[2734,1003,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2994,[["dva"]],[],[0,"Default",0,1]],[[2808,1033,0,20,
20,0,0,1,0.5,0.5,0,0,[]],78,2995,[["dva"]],[],[0,"Default",0,1]],[[2784,1003,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2996,[["dva"]],[],[0,"Default",0,1]],[[2828,1002,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2997,[["dva"]],[],[0,"Default",0,1]],[[2849,1034,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2998,[["dva"]],[],[0,"Default",0,1]],[[561,223,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,2999,[],[[]],[0,"Default",0,1]],[[3648,778,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3E3,[["dva"]],[],[0,"Default",0,1]],[[3712,776,0,20,20,0,0,1,0.5,0.5,0,
0,[]],78,3001,[["dva"]],[],[0,"Default",0,1]],[[3680,747,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3002,[["dva"]],[],[0,"Default",0,1]],[[3647,711,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3003,[["dva"]],[],[0,"Default",0,1]],[[3711,710,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3004,[["dva"]],[],[0,"Default",0,1]],[[3680,677,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3005,[["dva"]],[],[0,"Default",0,1]],[[1145,786,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3006,[["dva"]],[],[0,"Default",0,1]],[[1192,785,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3007,[["dva"]],
[],[0,"Default",0,1]],[[1169,755,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3008,[["dva"]],[],[0,"Default",0,1]],[[1244,784,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3009,[["dva"]],[],[0,"Default",0,1]],[[1218,754,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3010,[["dva"]],[],[0,"Default",0,1]],[[1292,784,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3011,[["dva"]],[],[0,"Default",0,1]],[[1268,754,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3012,[["dva"]],[],[0,"Default",0,1]],[[1312,753,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3013,[["dva"]],[],[0,"Default",
0,1]],[[1382,785,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3014,[["dva"]],[],[0,"Default",0,1]],[[1333,785,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3015,[["dva"]],[],[0,"Default",0,1]],[[1356,754,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3016,[["dva"]],[],[0,"Default",0,1]],[[1429,784,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3017,[["dva"]],[],[0,"Default",0,1]],[[1406,754,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3018,[["dva"]],[],[0,"Default",0,1]],[[1481,783,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3019,[["dva"]],[],[0,"Default",0,1]],[[1455,753,
0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3020,[["dva"]],[],[0,"Default",0,1]],[[1529,783,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3021,[["dva"]],[],[0,"Default",0,1]],[[1505,753,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3022,[["dva"]],[],[0,"Default",0,1]],[[1460,469,0,131.3986358642578,109.4988555908203,0,0,1,0.5,0.5,0,0,[]],100,3026,[],[[1,0,1,14,0,0,0,240,0]],[0,"Default",0,1]],[[1197,492,0,46.61544799804688,39.79367446899414,0,0,1,0.5,0.5,0,0,[]],102,3027,[],[],[1,"Default",0,1]],[[1720,493,0,47,41,0,0,1,0.5,0.5,0,0,
[]],101,3028,[],[],[1,"Default",0,1]],[[2422,692,0,79.56002807617188,80.92002868652344,0,0,1,0.508474588394165,0.5,0,0,[]],108,3029,[],[],[0,"Default",0,1]],[[2422,686,0,256,256,0,0,1,0.5,0.5,0,0,[]],109,3030,[],[[]],[0,"Default",0,1]],[[1508,308,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,3031,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[1584,1116,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,3032,[],[[1,0,0,
7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[521,552,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3033,[["dva"]],[],[0,"Default",0,1]],[[585,541,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3034,[["dva"]],[],[0,"Default",0,1]],[[553,521,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3035,[["dva"]],[],[0,"Default",0,1]],[[553,583,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3036,[["dva"]],[],[0,"Default",0,1]],[[520,487,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3037,[["dva"]],[],[0,"Default",0,1]],[[584,486,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3038,
[["dva"]],[],[0,"Default",0,1]],[[553,453,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3039,[["dva"]],[],[0,"Default",0,1]],[[521,417,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3040,[["dva"]],[],[0,"Default",0,1]],[[585,415,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3041,[["dva"]],[],[0,"Default",0,1]],[[553,386,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3042,[["dva"]],[],[0,"Default",0,1]],[[520,350,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3043,[["dva"]],[],[0,"Default",0,1]],[[584,349,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3044,[["dva"]],[],[0,"Default",
0,1]],[[553,316,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3045,[["dva"]],[],[0,"Default",0,1]],[[3679,580,0,80,81,0,0,1,0.508474588394165,0.5,0,0,[]],108,3046,[],[],[0,"Default",0,1]],[[3681,577,0,256,256,0,0,1,0.5,0.5,0,0,[]],109,3047,[],[[]],[0,"Default",0,1]],[[3686,1012,0,91.12422943115234,91.12422943115234,0,0.1096227541565895,1,0.5066666603088379,0.5066666603088379,0,0,[]],104,3048,[],[],[0,"Default",0,1]],[[3676,322,0,91.12422943115234,91.12422943115234,0,0.1096227541565895,1,0.5066666603088379,0.5066666603088379,
0,0,[]],104,3049,[],[],[0,"Default",0,1]],[[1186,369,0,148.0375213623047,139.5254364013672,0,0,1,-0.09589041024446487,-0.0972222238779068,0,0,[]],73,3050,[],[],[0,"Default",0,1]],[[401,1096,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3051,[["dva"]],[],[0,"Default",0,1]],[[448,1095,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3052,[["dva"]],[],[0,"Default",0,1]],[[425,1065,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3053,[["dva"]],[],[0,"Default",0,1]],[[500,1094,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3054,[["dva"]],[],[0,"Default",0,1]],
[[474,1064,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3055,[["dva"]],[],[0,"Default",0,1]],[[548,1094,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3056,[["dva"]],[],[0,"Default",0,1]],[[524,1064,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3057,[["dva"]],[],[0,"Default",0,1]],[[568,1063,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3058,[["dva"]],[],[0,"Default",0,1]],[[638,1095,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3059,[["dva"]],[],[0,"Default",0,1]],[[589,1095,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3060,[["dva"]],[],[0,"Default",0,1]],[[612,1064,0,20,
20,0,0,1,0.5,0.5,0,0,[]],78,3061,[["dva"]],[],[0,"Default",0,1]],[[685,1094,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3062,[["dva"]],[],[0,"Default",0,1]],[[662,1064,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3063,[["dva"]],[],[0,"Default",0,1]],[[737,1093,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3064,[["dva"]],[],[0,"Default",0,1]],[[711,1063,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3065,[["dva"]],[],[0,"Default",0,1]],[[785,1093,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3066,[["dva"]],[],[0,"Default",0,1]],[[761,1063,0,20,20,0,0,1,0.5,0.5,
0,0,[]],78,3067,[["dva"]],[],[0,"Default",0,1]],[[366,1100,0,165.7630004882813,72.80000305175781,0,0,1,0.5058823823928833,0.5,0,0,[]],70,3070,[],[],[0,"Default",0,1]],[[549,1075,0,131.3986358642578,109.4988555908203,0,0,1,0.5,0.5,0,0,[]],100,3071,[],[[1,0,1,12,0,0,0,200,0]],[0,"Default",0,1]],[[775,1102,0,47,41,0,0,1,0.5,0.5,0,0,[]],101,3072,[],[],[1,"Default",0,1]],[[332,1103,0,46.61544799804688,39.79367446899414,0,0,1,0.5,0.5,0,0,[]],102,3073,[],[],[1,"Default",0,1]],[[2056,469,0,131.3986358642578,
109.4988555908203,0,0,1,0.5,0.5,0,0,[]],100,3075,[],[[1,0,1,12,0,0,0,200,0]],[0,"Default",0,1]],[[2282,496,0,47,41,0,0,1,0.5,0.5,0,0,[]],101,3076,[],[],[1,"Default",0,1]],[[1839,497,0,46.61544799804688,39.79367446899414,0,0,1,0.5,0.5,0,0,[]],102,3077,[],[],[1,"Default",0,1]],[[719,766,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,3078,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[2252,230,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,
0,0,[]],107,3079,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[3224,571,0,119.4989547729492,119.4989547729492,0,0,1,0.5,0.5,0,0,[]],103,3082,[],[],[0,"Default",0,1]],[[1147,816,0,869,65,0,0,1,0,0,0,0,[]],75,3086,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1147,816,0,867,16,0,0,1,0,0,0,0,[]],67,3087,[],[],[0,0]],[[2268,881,0,33,517,0,0,1,0,0,0,0,[]],68,3088,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1148,1360,0,1152.339599609375,97,0,0,1,0,0,0,0,[]],68,3089,[],[[1],[1,
0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[2171,816,0,138,65,0,0,1,0,0,0,0,[]],75,3090,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1884,879,0,33,517,0,0,1,0,0,0,0,[]],68,3091,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1916,1328,0,352,35,0,0,1,0,0,0,0,[]],75,3092,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1910,1324,0,364,16,0,0,1,0,0,0,0,[]],67,3093,[],[],[0,0]],[[2170,816,0,142,16,0,0,1,0,0,0,0,[]],67,3094,[],[],[0,0]],[[1147,880,0,160,288,0,0,1,0,0,0,0,[]],68,3095,[],[[1],[1,0,0,1,0.5,0.2,0,
0.01,0,1]],[0,0]],[[836,1152,0,91,341,0,-1.570796370506287,1,0.5274725556373596,0.08797653764486313,0,0,[]],96,3096,[],[[1,5,0,17,0,0,0,90,0]],[0,"Default",0,1]],[[1947,769,0,124.9327545166016,127.068359375,0,0,1,0.5,0.5070422291755676,0,0,[]],74,3097,[],[],[0,"Default",0,1]],[[2742,583,0,124.9327545166016,127.068359375,0,0,1,0.5,0.5070422291755676,0,0,[]],74,3098,[],[],[0,"Default",0,1]],[[2753,200,0,79.56002807617188,80.92002868652344,0,0,1,0.508474588394165,0.5,0,0,[]],108,3103,[],[],[0,"Default",
0,1]],[[2753,194,0,256,256,0,0,1,0.5,0.5,0,0,[]],109,3104,[],[[]],[0,"Default",0,1]],[[758,241,0,79.56002807617188,80.92002868652344,0,0,1,0.508474588394165,0.5,0,0,[]],108,3105,[],[],[0,"Default",0,1]],[[758,235,0,256,256,0,0,1,0.5,0.5,0,0,[]],109,3106,[],[[]],[0,"Default",0,1]],[[3479,578,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,3107,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[3687,1256,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,
0,0,[]],107,3108,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[2759,841,0,91,341,0,0,1,0.5274725556373596,0.08797653764486313,0,0,[]],96,3110,[],[[1,5,0,17,0,0,0,90,0]],[0,"Default",0,1]],[[576,1498,0,91,341,0,-1.570796370506287,1,0.5274725556373596,0.08797653764486313,0,0,[]],96,3111,[],[[1,5,0,17,0,0,0,90,0]],[0,"Default",0,1]],[[1007,768,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,3112,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",
0,1]],[[1005,305,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,3113,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[260,768,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,3114,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[2606,385,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,3115,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[2892,393,0,81.1567153930664,
82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,3116,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[1243,237,0,79.56002807617188,80.92002868652344,0,0,1,0.508474588394165,0.5,0,0,[]],108,3117,[],[],[0,"Default",0,1]],[[1243,231,0,256,256,0,0,1,0.5,0.5,0,0,[]],109,3118,[],[[]],[0,"Default",0,1]],[[462.5903930664063,750.6807861328125,0,199,37,0,0,1,0,0,0,0,[]],203,3023,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[459.5903930664063,739.6807861328125,0,206,16,0,0,1,0,
0,0,0,[]],67,3024,[],[],[0,0]],[[3131,644,0,225,37,0,0,1,0,0,0,0,[]],203,2974,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[3128,633,0,232,16,0,0,1,0,0,0,0,[]],67,2975,[],[],[0,0]],[[829,766,0,58,100,0,0,1,0.4857142865657806,0.5,0,0,[]],98,2665,[],[],[0,"Default",0,1]],[[2420,1367,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4528,[["dva"]],[],[0,"Default",0,1]],[[2468,1367,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4530,[["dva"]],[],[0,"Default",0,1]],[[2444,1337,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4531,[["dva"]],[],[0,
"Default",0,1]],[[2488,1336,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4532,[["dva"]],[],[0,"Default",0,1]],[[2558,1368,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4587,[["dva"]],[],[0,"Default",0,1]],[[2509,1368,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4589,[["dva"]],[],[0,"Default",0,1]],[[2532,1337,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4627,[["dva"]],[],[0,"Default",0,1]],[[2605,1367,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4628,[["dva"]],[],[0,"Default",0,1]],[[2582,1337,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4629,[["dva"]],[],[0,"Default",
0,1]],[[2657,1366,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4669,[["dva"]],[],[0,"Default",0,1]],[[2631,1336,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4696,[["dva"]],[],[0,"Default",0,1]],[[2705,1366,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4697,[["dva"]],[],[0,"Default",0,1]],[[2681,1336,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4713,[["dva"]],[],[0,"Default",0,1]]],[]],["Earth",4,8661794110722336,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[],[]],["Power",5,5053928185775816,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[],[]],["Mouse",6,0x4559b5a47a17d,
!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[214,1346,0,64.01953125,53.10530090332031,0,0,1,0.5,1,0,0,[]],42,384,[],[[]],[0,"Default",0,1]],[[213,1357,0,82.02706146240234,93.33332061767578,0,0,1,0.4545454680919647,0.01639344170689583,0,0,[]],45,385,[[150]],[[1],[115,0,35,3,0,0,1],[0,0,0,0,30,100,0,1],[1,0,0,4,0,0,0,50,0],[1,0,0,4,0,0,0,50,0]],[0,"Default",0,1]],[[214,1355,0,8.829414367675781,-1.735369682312012,0,-1.576729655265808,1,0,0.48828125,0,0,[]],41,386,[],[],[0,"Default",0,1]],[[-31,-253,0,128,128,
0,1.57080864906311,1,0,0.5,0,0,[]],44,387,[],[],[5,30,0,70,40,100,5,0,0,0,2,0,-250,0,2,800,0,0,0.7]],[[-131,-251,0,135,200,0,1.570796370506287,1,0,0.5,0,0,[]],43,388,[],[],[15,20,0,70,10,100,50,0,0,0,10,0,70,0,0,800,0,0,0.3]]],[]],["Decortop",7,0x8d9d9e3302915,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[2690.843994140625,1372.76220703125,0,261.113525390625,90.45108795166016,0,0,1,0.5046728849411011,0.5135135054588318,0,0,[]],71,3533,[],[],[0,"Default",0,1]],[[3274.843994140625,590.7622680664062,0,183.2527008056641,
109.1280059814453,0,0,1,0.5070422291755676,0.5,0,0,[]],82,3536,[],[],[0,"Default",0,1]],[[243.843994140625,1371.76220703125,0,239.0609588623047,237.8890991210938,0,0,1,0.5,0.5,0,0,[]],83,3537,[],[],[0,"Default",0,1]],[[413.843994140625,1460.76220703125,0,261.113525390625,90.45108795166016,0,0,1,0.5046728849411011,0.5135135054588318,0,0,[]],71,3539,[],[],[0,"Default",0,1]],[[2010.843994140625,815.7622680664062,0,161.104736328125,64.7850341796875,0,0,1,0,0,0,0,[]],99,3540,[],[],[0,0]],[[1882.843994140625,
878.7622680664062,0,413.983642578125,491.5653076171875,0,0,1,0,0,0,0,[]],84,3541,[],[],[0,0]],[[2008.843994140625,815.7622680664062,0,172,16,0,0,1,0,0,0,0,[]],67,3542,[],[],[0,0]],[[1146.843994140625,1103.76220703125,0,741,289,0,0,1,0,0,0,0,[]],84,3543,[],[],[0,0]],[[1304.843994140625,880.7622680664062,0,582,224,0,0,1,0,0,0,0,[]],84,3544,[],[],[0,0]],[[2824,625,0,214.1588134765625,53.08210754394531,0,0,1,0.504273533821106,0.517241358757019,0,0,[]],205,2983,[],[],[0,"Default",0,1]],[[1866,807,0,214.1588134765625,
53.08210754394531,0,0,1,0.504273533821106,0.517241358757019,0,0,[]],205,3025,[],[],[0,"Default",0,1]],[[1614,755,0,88.88106536865234,155.1061706542969,0,0,1,0.5098039507865906,0.5056179761886597,0,0,[]],206,3534,[],[],[0,"Default",0,1]],[[3743,985,0,88.88106536865234,155.1061706542969,0,0,1,0.5098039507865906,0.5056179761886597,0,0,[]],206,3535,[],[],[0,"Default",0,1]],[[2253,802,0,133.8372192382813,60.8350944519043,0,0,1,0.5064935088157654,0.5142857432365417,0,0,[]],204,3538,[],[],[0,"Default",0,
1]],[[3669,1031,0,133.8372192382813,60.8350944519043,0,0,1,0.5064935088157654,0.5142857432365417,0,0,[]],204,3545,[],[],[0,"Default",0,1]]],[]],["Water",8,9800087173371480,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[-894,1845,0,5773,70,0,0,1,0,0,0,0,[]],46,389,[],[[1,1,0,4E3,0,2E3,0,2E3,0]],[0,0]],[[-551,1838,0,5361,910,0,0,1,0,0,0,0,[]],47,390,[],[[1,1,0,4E3,0,2E3,0,2E3,0]],[0,0]],[[-575,1722,0,5390,128,0,0,1,0,0,0,0,[]],48,391,[],[[1,1,0,4E3,0,2E3,0,2E3,0]],[0,0]]],[]],["UI",9,0x742922acd4a8a,!0,[255,
255,255],!0,0,0,1,!1,1,0,0,[[[129.9325103759766,715.2657470703125,0,180,180,0,0,1,0.5,0.5,0,0,[]],49,392,[],[],[0,"Default",0,1]],[[134.3137359619141,718.0804443359375,0,120,120,0,0,1,0.4749999940395355,0.4833333194255829,0,0,[]],50,393,[[0]],[[0,1]],[0,"Default",0,1]],[[556.687255859375,833.5537109375,0,50,50,0,0,1,0.5142857432365417,0.5142857432365417,0,0,[]],60,405,[],[],[1,"Default",0,1]],[[445,27,0,-42,51,0,0,1,0.5116279125213623,0.5098039507865906,0,0,[]],52,394,[],[[]],[0,"Default",0,1]],[[150,
27,0,43,51,0,0,1,0.5116279125213623,0.5098039507865906,0,0,[]],52,395,[],[[]],[0,"Default",0,1]],[[295,32,0,273,57,0,0,1,0.5018315315246582,0.5087719559669495,0,0,[]],54,396,[],[],[0,"Default",0,1]],[[214,31,0,172.500732421875,32,0,0,1,0,0.5,0,0,[]],55,397,[],[[]],[0,"Default",0,1]],[[315,32,0,216,43,0,0,1,0.5,0.5116279125213623,0,0,[]],59,398,[],[[]],[0,"Default",0,1]],[[68,46,0,112,72,0,0,1,0.5,0.5,0,0,[]],51,399,[],[],[0,"Default",0,1]],[[531,46,0,112,72,0,0,1,0.5,0.5,0,0,[]],53,400,[],[],[0,"Default",
0,1]],[[133,49,0,33.94112396240234,33.94112396240234,0,0,1,0.5,0.5,0,0,[]],62,401,[],[[]],[0,"Default",0,1]],[[-7,9,0,146.9591674804688,88,0,0,1,0,0,0,0,[]],56,402,[],[[]],["Text",0,"32pt Arial Rounded MT Bold","rgb(255,255,51)",1,1,0,0,0]],[[458,8,0,146.9591674804688,88,0,0,1,0,0,0,0,[]],57,403,[],[[]],["Text",0,"32pt Arial Rounded MT Bold","rgb(204,255,255)",1,1,0,0,0]],[[468,48,0,31.93743896484375,31.93743896484375,0,0,1,0.5,0.5,0,0,[]],267,404,[],[[]],[0,"Default",0,1]]],[]],["Ball",10,0xe403216295ae3,
!0,[255,255,255],!0,0,0,1,!1,1,0,0,[],[]]],[],[]],["Lewel15",4300,2E3,!1,"Lewel15",7448634023966185,[["BG",0,977530520123682,!0,[44,159,205],!1,1,1,1,!1,1,0,0,[],[]],["BG(sky)",1,0x678f01666e3f5,!0,[255,255,255],!0,0.1000000014901161,0.800000011920929,1,!1,1,0,0,[[[-966,1135,0,6232,254,0,0,1,0,0,0,0,[]],39,407,[],[[1,0,3,70,0,0,0,1024,0]],[0,0]],[[-899,526,0,6054,260,0,0,1,0,0,0,0,[]],38,408,[],[[1,0,3,70,0,0,0,-1024,0]],[0,0]]],[]],["BG(mountian)",2,8954755530689107,!0,[255,255,255],!0,0.1000000014901161,
0.800000011920929,1,!1,1,0,0,[[[-544,1319,0,5389,258,0,0,1,0,0,0,0,[]],40,409,[],[],[0,0]]],[]],["Map",3,7974459591280612,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[3123,784,0,385,65,0,0,1,0,0,0,0,[]],209,3181,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[2398,1351,0,514,65,0,0,1,0,0,0,0,[]],209,3186,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[2527,787,0,385,65,0,0,1,0,0,0,0,[]],209,3185,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1373,351.9305419921875,0,867,64,0,0,1,0,0,0,0,[]],209,3238,[],[[1],
[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[456,1058,0,506,64,0,0,1,0,0,0,0,[]],209,3236,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[472.015380859375,358.4567260742188,0,640,63.86114501953125,0,0,1,0,0,0,0,[]],209,3192,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[2701,618,0,50,50,0,-0.01136865559965372,1,0.5,0.5,0,0,[]],77,3119,[[46]],[],[0,"Default",0,1]],[[1807,697,0,50,50,0,-0.01136865559965372,1,0.5,0.5,0,0,[]],77,3120,[[44]],[],[0,"Default",0,1]],[[3198,733,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,3121,
[],[[]],[0,"Default",0,1]],[[1659,1355,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,3122,[],[[]],[0,"Default",0,1]],[[3619,867,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3123,[["dva"]],[],[0,"Default",0,1]],[[3683,856,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3124,[["dva"]],[],[0,"Default",0,1]],[[3651,836,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3125,[["dva"]],[],[0,"Default",0,1]],[[3651,898,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3126,[["dva"]],[],[0,"Default",0,1]],[[3618,802,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3127,[["dva"]],[],[0,"Default",
0,1]],[[3682,801,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3128,[["dva"]],[],[0,"Default",0,1]],[[3651,768,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3129,[["dva"]],[],[0,"Default",0,1]],[[2702,1234,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3130,[["dva"]],[],[0,"Default",0,1]],[[2766,1232,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3131,[["dva"]],[],[0,"Default",0,1]],[[2734,1203,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3132,[["dva"]],[],[0,"Default",0,1]],[[2734,1265,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3133,[["dva"]],[],[0,"Default",0,1]],[[2701,
1167,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3134,[["dva"]],[],[0,"Default",0,1]],[[2765,1166,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3135,[["dva"]],[],[0,"Default",0,1]],[[2734,1133,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3136,[["dva"]],[],[0,"Default",0,1]],[[2734,1317,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,3137,[],[[]],[0,"Default",0,1]],[[1238,-90,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,3138,[],[[]],[0,"Default",0,1]],[[481,332,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3139,[["dva"]],[],[0,"Default",0,1]],[[528,331,0,20,20,0,0,1,0.5,0.5,
0,0,[]],78,3140,[["dva"]],[],[0,"Default",0,1]],[[505,301,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3141,[["dva"]],[],[0,"Default",0,1]],[[580,330,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3142,[["dva"]],[],[0,"Default",0,1]],[[554,300,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3143,[["dva"]],[],[0,"Default",0,1]],[[628,330,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3144,[["dva"]],[],[0,"Default",0,1]],[[604,300,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3145,[["dva"]],[],[0,"Default",0,1]],[[648,299,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3146,[["dva"]],
[],[0,"Default",0,1]],[[718,331,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3147,[["dva"]],[],[0,"Default",0,1]],[[669,331,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3148,[["dva"]],[],[0,"Default",0,1]],[[692,300,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3149,[["dva"]],[],[0,"Default",0,1]],[[765,330,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3150,[["dva"]],[],[0,"Default",0,1]],[[742,300,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3151,[["dva"]],[],[0,"Default",0,1]],[[817,329,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3152,[["dva"]],[],[0,"Default",0,1]],
[[791,299,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3153,[["dva"]],[],[0,"Default",0,1]],[[865,329,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3154,[["dva"]],[],[0,"Default",0,1]],[[841,299,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3155,[["dva"]],[],[0,"Default",0,1]],[[3050,1044,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3156,[["dva"]],[],[0,"Default",0,1]],[[3027,1014,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3157,[["dva"]],[],[0,"Default",0,1]],[[3102,1043,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3158,[["dva"]],[],[0,"Default",0,1]],[[3076,1013,0,20,
20,0,0,1,0.5,0.5,0,0,[]],78,3159,[["dva"]],[],[0,"Default",0,1]],[[3150,1043,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3160,[["dva"]],[],[0,"Default",0,1]],[[3126,1013,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3161,[["dva"]],[],[0,"Default",0,1]],[[3170,1012,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3162,[["dva"]],[],[0,"Default",0,1]],[[3240,1044,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3163,[["dva"]],[],[0,"Default",0,1]],[[3191,1044,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3164,[["dva"]],[],[0,"Default",0,1]],[[3214,1013,0,20,20,0,0,1,
0.5,0.5,0,0,[]],78,3165,[["dva"]],[],[0,"Default",0,1]],[[3287,1043,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3166,[["dva"]],[],[0,"Default",0,1]],[[3264,1013,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3167,[["dva"]],[],[0,"Default",0,1]],[[3339,1042,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3168,[["dva"]],[],[0,"Default",0,1]],[[3313,1012,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3169,[["dva"]],[],[0,"Default",0,1]],[[3387,1042,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3170,[["dva"]],[],[0,"Default",0,1]],[[3363,1012,0,20,20,0,0,1,0.5,0.5,0,
0,[]],78,3171,[["dva"]],[],[0,"Default",0,1]],[[1808,796,0,50,50,0,-0.01136865559965372,1,0.5,0.5,0,0,[]],77,3172,[[45]],[],[0,"Default",0,1]],[[3643,244,0,153,69,0,0,1,0.5046728849411011,0.5,0,0,[]],64,3173,[],[],[0,"Default",1,1]],[[549,1018,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,3174,[],[],[0,"Default",0,1]],[[1804,586,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,3175,[],[],[0,"Default",0,1]],[[1946,697,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,3176,[],[],[0,"Default",0,1]],[[1940,588,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,3177,
[],[],[0,"Default",0,1]],[[1669,693,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,3178,[],[],[0,"Default",0,1]],[[1950,794,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,3179,[],[],[0,"Default",0,1]],[[1669,792,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,3180,[],[],[0,"Default",0,1]],[[-370,-1335,0,502,3835,0,0,1,0,0,0,0,[]],66,3188,[],[[1,0,0,1,0.5,0.2,0,0.01,0,1],[1]],[0,0]],[[3935,-1283,0,501,3631,0,0,1,0,0,0,0,[]],66,3195,[],[[1,0,0,1,0.5,0.2,0,0.01,0,1],[1]],[0,0]],[[3020,814,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,3197,[],[],[0,"Default",
0,1]],[[1667,589,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,3199,[],[],[0,"Default",0,1]],[[3189,1453,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,3200,[],[],[0,"Default",0,1]],[[630,-893,0,225.322998046875,236.7800903320313,0,0,0.699999988079071,0.4406779706478119,0.5,0,0,[[]]],81,3201,[],[[-90,0]],[0,"Default",0,1]],[[374,-944,0,80.23999786376953,75.63999938964844,0,0,1,0.4406779706478119,0.5,0,0,[[]]],81,3202,[],[[180,0]],[0,"Default",0,1]],[[2556,316,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3203,[["dva"]],[],[0,"Default",
0,1]],[[2603,315,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3204,[["dva"]],[],[0,"Default",0,1]],[[2580,285,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3205,[["dva"]],[],[0,"Default",0,1]],[[2655,314,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3206,[["dva"]],[],[0,"Default",0,1]],[[2629,284,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3207,[["dva"]],[],[0,"Default",0,1]],[[2703,314,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3208,[["dva"]],[],[0,"Default",0,1]],[[2679,284,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3209,[["dva"]],[],[0,"Default",0,1]],[[2723,283,
0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3210,[["dva"]],[],[0,"Default",0,1]],[[2744,315,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3211,[["dva"]],[],[0,"Default",0,1]],[[1103,692,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,3212,[],[[]],[0,"Default",0,1]],[[3619,732,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3213,[["dva"]],[],[0,"Default",0,1]],[[3683,730,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3214,[["dva"]],[],[0,"Default",0,1]],[[3651,701,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3215,[["dva"]],[],[0,"Default",0,1]],[[3618,665,0,20,20,0,0,1,0.5,0.5,
0,0,[]],78,3216,[["dva"]],[],[0,"Default",0,1]],[[3682,664,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3217,[["dva"]],[],[0,"Default",0,1]],[[3651,631,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3218,[["dva"]],[],[0,"Default",0,1]],[[1085,1271,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3219,[["dva"]],[],[0,"Default",0,1]],[[1132,1270,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3220,[["dva"]],[],[0,"Default",0,1]],[[1109,1240,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3221,[["dva"]],[],[0,"Default",0,1]],[[1184,1269,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,
3222,[["dva"]],[],[0,"Default",0,1]],[[1158,1239,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3223,[["dva"]],[],[0,"Default",0,1]],[[1232,1269,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3224,[["dva"]],[],[0,"Default",0,1]],[[1208,1239,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3225,[["dva"]],[],[0,"Default",0,1]],[[1252,1238,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3226,[["dva"]],[],[0,"Default",0,1]],[[1322,1270,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3227,[["dva"]],[],[0,"Default",0,1]],[[1273,1270,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3228,[["dva"]],
[],[0,"Default",0,1]],[[1296,1239,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3229,[["dva"]],[],[0,"Default",0,1]],[[1369,1269,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3230,[["dva"]],[],[0,"Default",0,1]],[[1346,1239,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3231,[["dva"]],[],[0,"Default",0,1]],[[1421,1268,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3232,[["dva"]],[],[0,"Default",0,1]],[[1395,1238,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3233,[["dva"]],[],[0,"Default",0,1]],[[1469,1268,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3234,[["dva"]],[],[0,"Default",
0,1]],[[1445,1238,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3235,[["dva"]],[],[0,"Default",0,1]],[[792,313,0,131.3986358642578,109.4988555908203,0,0,1,0.5,0.5,0,0,[]],100,3239,[],[[1,0,1,14,0,0,0,240,0]],[0,"Default",0,1]],[[529,336,0,46.61544799804688,39.79367446899414,0,0,1,0.5,0.5,0,0,[]],102,3240,[],[],[1,"Default",0,1]],[[1052,337,0,47,41,0,0,1,0.5,0.5,0,0,[]],101,3241,[],[],[1,"Default",0,1]],[[3493,1341,0,79.56002807617188,80.92002868652344,0,0,1,0.508474588394165,0.5,0,0,[]],108,3242,[],[],[0,"Default",
0,1]],[[3495,1345,0,256,256,0,0,1,0.5,0.5,0,0,[]],109,3243,[],[[]],[0,"Default",0,1]],[[3827,534,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,3244,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[3337,1206,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,3245,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[1070,1020,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3246,[["dva"]],[],[0,"Default",0,1]],[[1134,1009,
0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3247,[["dva"]],[],[0,"Default",0,1]],[[1102,989,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3248,[["dva"]],[],[0,"Default",0,1]],[[1102,1051,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3249,[["dva"]],[],[0,"Default",0,1]],[[1069,955,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3250,[["dva"]],[],[0,"Default",0,1]],[[1133,954,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3251,[["dva"]],[],[0,"Default",0,1]],[[1102,921,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3252,[["dva"]],[],[0,"Default",0,1]],[[1070,885,0,20,20,0,0,1,
0.5,0.5,0,0,[]],78,3253,[["dva"]],[],[0,"Default",0,1]],[[1134,883,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3254,[["dva"]],[],[0,"Default",0,1]],[[1102,854,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3255,[["dva"]],[],[0,"Default",0,1]],[[1069,818,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3256,[["dva"]],[],[0,"Default",0,1]],[[1133,817,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3257,[["dva"]],[],[0,"Default",0,1]],[[1102,784,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3258,[["dva"]],[],[0,"Default",0,1]],[[3328,638,0,148.0375213623047,139.5254364013672,
0,0,1,-0.09589041024446487,-0.0972222238779068,0,0,[]],73,3259,[],[],[0,"Default",0,1]],[[553,1032,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3260,[["dva"]],[],[0,"Default",0,1]],[[600,1031,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3261,[["dva"]],[],[0,"Default",0,1]],[[577,1001,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3262,[["dva"]],[],[0,"Default",0,1]],[[652,1030,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3263,[["dva"]],[],[0,"Default",0,1]],[[626,1E3,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3264,[["dva"]],[],[0,"Default",0,1]],[[700,1030,
0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3265,[["dva"]],[],[0,"Default",0,1]],[[676,1E3,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3266,[["dva"]],[],[0,"Default",0,1]],[[720,999,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3267,[["dva"]],[],[0,"Default",0,1]],[[790,1031,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3268,[["dva"]],[],[0,"Default",0,1]],[[741,1031,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3269,[["dva"]],[],[0,"Default",0,1]],[[764,1E3,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3270,[["dva"]],[],[0,"Default",0,1]],[[837,1030,0,20,20,0,0,1,0.5,
0.5,0,0,[]],78,3271,[["dva"]],[],[0,"Default",0,1]],[[814,1E3,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3272,[["dva"]],[],[0,"Default",0,1]],[[889,1029,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3273,[["dva"]],[],[0,"Default",0,1]],[[863,999,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3274,[["dva"]],[],[0,"Default",0,1]],[[937,1029,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3275,[["dva"]],[],[0,"Default",0,1]],[[913,999,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3276,[["dva"]],[],[0,"Default",0,1]],[[701,1011,0,131.3986358642578,109.4988555908203,
0,0,1,0.5,0.5,0,0,[]],100,3280,[],[[1,0,1,12,0,0,0,200,0]],[0,"Default",0,1]],[[927,1038,0,47,41,0,0,1,0.5,0.5,0,0,[]],101,3281,[],[],[1,"Default",0,1]],[[484,1039,0,46.61544799804688,39.79367446899414,0,0,1,0.5,0.5,0,0,[]],102,3282,[],[],[1,"Default",0,1]],[[836,1023,0,91.12422943115234,91.12422943115234,0,0.1096227541565895,1,0.5066666603088379,0.5066666603088379,0,0,[]],104,3283,[],[],[0,"Default",0,1]],[[2647,1305,0,131.3986358642578,109.4988555908203,0,0,1,0.5,0.5,0,0,[]],100,3284,[],[[1,0,1,
12,0,0,0,200,0]],[0,"Default",0,1]],[[2873,1332,0,47,41,0,0,1,0.5,0.5,0,0,[]],101,3285,[],[],[1,"Default",0,1]],[[2430,1333,0,46.61544799804688,39.79367446899414,0,0,1,0.5,0.5,0,0,[]],102,3286,[],[],[1,"Default",0,1]],[[2811,579,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,3287,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[2575,579,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,3288,[],[[1,0,0,7,0,0,0,10,0],[1,1,
0,5,0,0,0,14,0]],[0,"Default",0,1]],[[906,308,0,119.4989547729492,119.4989547729492,0,0,1,0.5,0.5,0,0,[]],103,3289,[],[],[0,"Default",0,1]],[[2796,377,0,91,341,0,-1.570796370506287,1,0.5274725556373596,0.08797653764486313,0,0,[]],96,3296,[],[[1,5,0,17,0,0,0,90,0]],[0,"Default",0,1]],[[1762,305,0,124.9327545166016,127.068359375,0,0,1,0.5,0.5070422291755676,0,0,[]],74,3297,[],[],[0,"Default",0,1]],[[2830,741,0,124.9327545166016,127.068359375,0,0,1,0.5,0.5070422291755676,0,0,[]],74,3298,[],[],[0,"Default",
0,1]],[[3275,637,0,79.56002807617188,80.92002868652344,0,0,1,0.508474588394165,0.5,0,0,[]],108,3299,[],[],[0,"Default",0,1]],[[3642,542,0,79.56002807617188,80.92002868652344,0,0,1,0.508474588394165,0.5,0,0,[]],108,3301,[],[],[0,"Default",0,1]],[[3642,536,0,256,256,0,0,1,0.5,0.5,0,0,[]],109,3302,[],[[]],[0,"Default",0,1]],[[3450,532,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,3303,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[3658,1210,0,81.1567153930664,
82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,3304,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[1453,785,0,266.6833190917969,266.6833190917969,0,0,1,0.5,0.5,0,0,[]],118,3307,[],[],[1,"Default",0,1]],[[1451,785,0,98.81387329101562,93.32421112060547,0,0,1,0.5,0.5,0,0,[]],113,3308,[],[[30,0,0,200,1E3,2E3,135,0,1,1]],[0,"Default",0,1]],[[2386,367,0,94,103,0,0,1,0.5,0.5,0,0,[]],117,3309,[['"Normal"']],[[30,0,0,140,1E3,2E3,135,0,1,1],[1,0,0,2,0,0,0,18,0],[1,1,0,3,0,0,
0,25,0]],[0,"Default",0,1]],[[3483,1024,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,3312,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[3494,1506,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,3313,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[1281,385,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,3314,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",
0,1]],[[706,731,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,3315,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[882,1376,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,3316,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[501,1372,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,3317,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[2375,916,0,81.1567153930664,
82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,3318,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[3036,1207,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,3319,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[2070,295,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,3320,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[286,905,0,81.1567153930664,82.54400634765625,0,0,
1,0.5,0.5070422291755676,0,0,[]],107,3321,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[688,1264,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,3325,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[290,1253,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,3326,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[401,689.9305419921875,0,195,64,0,0,1,0,0,0,0,[]],209,3191,[],[[1],[1,0,
0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1374,865,0,867,63,0,0,1,0,0,0,0,[]],209,3193,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1374,418,0,127,288,0,0,1,0,0,0,0,[]],209,3194,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[2142,416,0,98,445,0,0,1,0,0,0,0,[]],209,3277,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1564,1406,0,193,63,0,0,1,0,0,0,0,[]],209,3278,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[2511,343,0,256,65,0,0,1,0,0,0,0,[]],209,3183,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[3125,
237,0,192,65,0,0,1,0,0,0,0,[]],209,3182,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[2645,730,0,61.77911376953125,141.9249877929688,0,0,1,0.5135135054588318,0.5058823823928833,0,0,[]],210,3187,[],[],[0,"Default",0,1]],[[2698,716,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,3190,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[2690,472,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,3196,[],[[1,0,0,7,0,0,0,10,0],[1,
1,0,5,0,0,0,14,0]],[0,"Default",0,1]]],[]],["Earth",4,4558630037734009,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[],[]],["Power",5,9447916134618476,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[],[]],["Mouse",6,421608647217931,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[3207,105,0,64.01953125,53.10530090332031,0,0,1,0.5,1,0,0,[]],42,410,[],[[]],[0,"Default",0,1]],[[3206,116,0,82.02706146240234,93.33332061767578,0,0,1,0.4545454680919647,0.01639344170689583,0,0,[]],45,411,[[150]],[[1],[115,0,35,3,0,0,1],[0,0,0,0,30,100,0,
1],[1,0,0,4,0,0,0,50,0],[1,0,0,4,0,0,0,50,0]],[0,"Default",0,1]],[[3207,114,0,8.829414367675781,-1.735369682312012,0,-1.576729655265808,1,0,0.48828125,0,0,[]],41,412,[],[],[0,"Default",0,1]],[[-31,-253,0,128,128,0,1.57080864906311,1,0,0.5,0,0,[]],44,413,[],[],[5,30,0,70,40,100,5,0,0,0,2,0,-250,0,2,800,0,0,0.7]],[[-131,-251,0,135,200,0,1.570796370506287,1,0,0.5,0,0,[]],43,414,[],[],[15,20,0,70,10,100,50,0,0,0,10,0,70,0,0,800,0,0,0.3]],[[2293,1130,0,128,128,0,0,1,0.5,0.5,0,0,[]],188,4010,[],[],[1,"Default",
0,1]],[[2836,160,0,128,128,0,0,1,0.5,0.5,0,0,[]],188,4012,[],[],[1,"Default",0,1]],[[2077,155,0,128,128,0,0,1,0.5,0.5,0,0,[]],188,4013,[],[],[1,"Default",0,1]]],[]],["Decortop",7,0x652997f0fbbdb,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[440.1176452636719,681.9921264648438,0,62.43365478515625,46.82524108886719,0,0,1,0.5,0.5,0,0,[]],207,3237,[],[],[0,"Default",0,1]],[[460.780517578125,669.5986938476562,0,62.43365478515625,46.82524108886719,0,1.379164576530457,1,0.5,0.5,0,0,[]],207,3527,[],[],[0,"Default",
0,1]],[[478.9617004394531,684.4763793945312,0,62.43365478515625,46.82524108886719,0,2.668848037719727,1,0.5,0.5,0,0,[]],207,4833,[],[],[0,"Default",0,1]],[[549,1029,0,77.3045883178711,85.89399719238281,0,0,1,0.5,0.5,0,0,[]],208,3279,[],[],[0,"Default",0,1]],[[1614,1401,0,62.43365478515625,46.82524108886719,0,2.668848037719727,1,0.5,0.5,0,0,[]],207,3184,[],[],[0,"Default",0,1]],[[1716,1352,0,61.77911376953125,141.9249877929688,0,0,1,0.5135135054588318,0.5058823823928833,0,0,[]],210,3189,[],[],[0,"Default",
0,1]]],[]],["Water",8,0x89a911c8d4809,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[-894,1845,0,5773,70,0,0,1,0,0,0,0,[]],46,415,[],[[1,1,0,4E3,0,2E3,0,2E3,0]],[0,0]],[[-551,1838,0,5361,910,0,0,1,0,0,0,0,[]],47,416,[],[[1,1,0,4E3,0,2E3,0,2E3,0]],[0,0]],[[-575,1722,0,5390,128,0,0,1,0,0,0,0,[]],48,417,[],[[1,1,0,4E3,0,2E3,0,2E3,0]],[0,0]]],[]],["UI",9,7121216967355786,!0,[255,255,255],!0,0,0,1,!1,1,0,0,[[[129.9325103759766,715.2657470703125,0,180,180,0,0,1,0.5,0.5,0,0,[]],49,418,[],[],[0,"Default",0,1]],[[134.3137359619141,
718.0804443359375,0,120,120,0,0,1,0.4749999940395355,0.4833333194255829,0,0,[]],50,419,[[0]],[[0,1]],[0,"Default",0,1]],[[556.687255859375,833.5537109375,0,50,50,0,0,1,0.5142857432365417,0.5142857432365417,0,0,[]],60,431,[],[],[1,"Default",0,1]],[[445,27,0,-42,51,0,0,1,0.5116279125213623,0.5098039507865906,0,0,[]],52,420,[],[[]],[0,"Default",0,1]],[[150,27,0,43,51,0,0,1,0.5116279125213623,0.5098039507865906,0,0,[]],52,421,[],[[]],[0,"Default",0,1]],[[295,32,0,273,57,0,0,1,0.5018315315246582,0.5087719559669495,
0,0,[]],54,422,[],[],[0,"Default",0,1]],[[214,31,0,172.500732421875,32,0,0,1,0,0.5,0,0,[]],55,423,[],[[]],[0,"Default",0,1]],[[315,32,0,216,43,0,0,1,0.5,0.5116279125213623,0,0,[]],59,424,[],[[]],[0,"Default",0,1]],[[68,46,0,112,72,0,0,1,0.5,0.5,0,0,[]],51,425,[],[],[0,"Default",0,1]],[[531,46,0,112,72,0,0,1,0.5,0.5,0,0,[]],53,426,[],[],[0,"Default",0,1]],[[134,49,0,33.94112396240234,33.94112396240234,0,0,1,0.5,0.5,0,0,[]],62,427,[],[[]],[0,"Default",0,1]],[[-7,9,0,146.9591674804688,88,0,0,1,0,0,0,
0,[]],56,428,[],[[]],["Text",0,"32pt Arial Rounded MT Bold","rgb(255,255,51)",1,1,0,0,0]],[[458,8,0,146.9591674804688,88,0,0,1,0,0,0,0,[]],57,429,[],[[]],["Text",0,"32pt Arial Rounded MT Bold","rgb(204,255,255)",1,1,0,0,0]],[[469,48,0,31.93743896484375,31.93743896484375,0,0,1,0.5,0.5,0,0,[]],267,430,[],[[]],[0,"Default",0,1]]],[]],["Ball",10,0xcd9c6f4de9872,!0,[255,255,255],!0,0,0,1,!1,1,0,0,[],[]]],[],[]],["Lewel16",4300,2E3,!1,"Lewel16",0x90aa65c959354,[["BG",0,5208097604360064,!0,[44,159,205],
!1,1,1,1,!1,1,0,0,[],[]],["BG(sky)",1,9311072794999336,!0,[255,255,255],!0,0.1000000014901161,0.800000011920929,1,!1,1,0,0,[[[-966,1135,0,6232,254,0,0,1,0,0,0,0,[]],39,94,[],[[1,0,3,70,0,0,0,1024,0]],[0,0]],[[-899,526,0,6054,260,0,0,1,0,0,0,0,[]],38,433,[],[[1,0,3,70,0,0,0,-1024,0]],[0,0]]],[]],["BG(mountian)",2,9534227010243052,!0,[255,255,255],!0,0.1000000014901161,0.800000011920929,1,!1,1,0,0,[[[-544,1319,0,5389,258,0,0,1,0,0,0,0,[]],40,434,[],[],[0,0]]],[]],["Map",3,0xefdbf4f9db180,!0,[255,255,
255],!0,1,1,1,!1,1,0,0,[[[2476,1408,0,511,64,0,0,1,0,0,0,0,[]],209,3305,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[2474,643,0,640,64,0,0,1,0,0,0,0,[]],209,3295,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1885,842,0,318,64,0,0,1,0,0,0,0,[]],209,3294,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1319,1069,0,320,64,0,0,1,0,0,0,0,[]],209,3292,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[673,1241,0,511,64,0,0,1,0,0,0,0,[]],209,3291,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1099,1549,0,50,
50,0,-0.01136865559965372,1,0.5,0.5,0,0,[]],77,435,[[49]],[],[0,"Default",0,1]],[[2996,944,0,50,50,0,-0.01136865559965372,1,0.5,0.5,0,0,[]],77,436,[[47]],[],[0,"Default",0,1]],[[1460,1023,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,437,[],[[]],[0,"Default",0,1]],[[2345,1444,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,438,[],[[]],[0,"Default",0,1]],[[3289,653,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,439,[["dva"]],[],[0,"Default",0,1]],[[3353,642,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,440,[["dva"]],[],[0,"Default",0,1]],[[3321,622,0,
20,20,0,0,1,0.5,0.5,0,0,[]],78,441,[["dva"]],[],[0,"Default",0,1]],[[3321,684,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,442,[["dva"]],[],[0,"Default",0,1]],[[3288,588,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,443,[["dva"]],[],[0,"Default",0,1]],[[3352,587,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,444,[["dva"]],[],[0,"Default",0,1]],[[3321,554,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,445,[["dva"]],[],[0,"Default",0,1]],[[1542,1341,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,446,[["dva"]],[],[0,"Default",0,1]],[[1606,1339,0,20,20,0,0,1,0.5,0.5,
0,0,[]],78,447,[["dva"]],[],[0,"Default",0,1]],[[1574,1310,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,448,[["dva"]],[],[0,"Default",0,1]],[[1574,1372,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,449,[["dva"]],[],[0,"Default",0,1]],[[1541,1274,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,450,[["dva"]],[],[0,"Default",0,1]],[[1605,1273,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,451,[["dva"]],[],[0,"Default",0,1]],[[1574,1240,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,452,[["dva"]],[],[0,"Default",0,1]],[[2816,1375,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,453,
[],[[]],[0,"Default",0,1]],[[1943,1449,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,454,[],[[]],[0,"Default",0,1]],[[2492,617,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,455,[["dva"]],[],[0,"Default",0,1]],[[2539,616,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,456,[["dva"]],[],[0,"Default",0,1]],[[2516,586,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,457,[["dva"]],[],[0,"Default",0,1]],[[2591,615,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,458,[["dva"]],[],[0,"Default",0,1]],[[2565,585,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,2258,[["dva"]],[],[0,"Default",0,1]],
[[2639,615,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4535,[["dva"]],[],[0,"Default",0,1]],[[2615,585,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4536,[["dva"]],[],[0,"Default",0,1]],[[2659,584,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4537,[["dva"]],[],[0,"Default",0,1]],[[2729,616,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4538,[["dva"]],[],[0,"Default",0,1]],[[2680,616,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4539,[["dva"]],[],[0,"Default",0,1]],[[2703,585,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4540,[["dva"]],[],[0,"Default",0,1]],[[2776,615,0,20,
20,0,0,1,0.5,0.5,0,0,[]],78,4541,[["dva"]],[],[0,"Default",0,1]],[[2753,585,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4542,[["dva"]],[],[0,"Default",0,1]],[[2828,614,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4543,[["dva"]],[],[0,"Default",0,1]],[[2802,584,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4544,[["dva"]],[],[0,"Default",0,1]],[[2876,614,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4545,[["dva"]],[],[0,"Default",0,1]],[[2852,584,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4546,[["dva"]],[],[0,"Default",0,1]],[[890,821,0,20,20,0,0,1,0.5,0.5,
0,0,[]],78,4547,[["dva"]],[],[0,"Default",0,1]],[[867,791,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4548,[["dva"]],[],[0,"Default",0,1]],[[942,820,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4549,[["dva"]],[],[0,"Default",0,1]],[[916,790,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4550,[["dva"]],[],[0,"Default",0,1]],[[990,820,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4551,[["dva"]],[],[0,"Default",0,1]],[[966,790,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4552,[["dva"]],[],[0,"Default",0,1]],[[1010,789,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4553,[["dva"]],
[],[0,"Default",0,1]],[[1080,821,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4554,[["dva"]],[],[0,"Default",0,1]],[[1031,821,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4555,[["dva"]],[],[0,"Default",0,1]],[[1054,790,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4556,[["dva"]],[],[0,"Default",0,1]],[[1127,820,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4557,[["dva"]],[],[0,"Default",0,1]],[[1104,790,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4558,[["dva"]],[],[0,"Default",0,1]],[[1179,819,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4559,[["dva"]],[],[0,"Default",
0,1]],[[1153,789,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4560,[["dva"]],[],[0,"Default",0,1]],[[1227,819,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4561,[["dva"]],[],[0,"Default",0,1]],[[1203,789,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4562,[["dva"]],[],[0,"Default",0,1]],[[2737,946,0,50,50,0,-0.01136865559965372,1,0.5,0.5,0,0,[]],77,4563,[[48]],[],[0,"Default",0,1]],[[3643,244,0,153,69,0,0,1,0.5046728849411011,0.5,0,0,[]],64,4564,[],[],[0,"Default",1,1]],[[2670,1376,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,4565,[],[],[0,"Default",
0,1]],[[2906,777,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,4566,[],[],[0,"Default",0,1]],[[2825,942,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,4567,[],[],[0,"Default",0,1]],[[2822,862,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,4568,[],[],[0,"Default",0,1]],[[3318,1674,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,4569,[],[],[0,"Default",0,1]],[[3483,1671,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,4570,[],[],[0,"Default",0,1]],[[2908,862,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,4571,[],[],[0,"Default",0,1]],[[1885,903,0,318,230,0,0,1,0,0,0,0,[]],68,4578,[],
[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[-370,-1335,0,502,3835,0,0,1,0,0,0,0,[]],66,4579,[],[[1,0,0,1,0.5,0.2,0,0.01,0,1],[1]],[0,0]],[[3935,-1283,0,501,3631,0,0,1,0,0,0,0,[]],66,4586,[],[[1,0,0,1,0.5,0.2,0,0.01,0,1],[1]],[0,0]],[[1391,1021,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,4588,[],[],[0,"Default",0,1]],[[2907,941,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,4590,[],[],[0,"Default",0,1]],[[2822,775,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,4591,[],[],[0,"Default",0,1]],[[630,-893,0,225.322998046875,236.7800903320313,
0,0,0.699999988079071,0.4406779706478119,0.5,0,0,[[]]],81,4592,[],[[-90,0]],[0,"Default",0,1]],[[374,-944,0,80.23999786376953,75.63999938964844,0,0,1,0.4406779706478119,0.5,0,0,[[]]],81,4593,[],[[180,0]],[0,"Default",0,1]],[[3292,1079,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4594,[["dva"]],[],[0,"Default",0,1]],[[3339,1078,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4595,[["dva"]],[],[0,"Default",0,1]],[[3316,1048,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4596,[["dva"]],[],[0,"Default",0,1]],[[3391,1077,0,20,20,0,0,1,0.5,0.5,
0,0,[]],78,4597,[["dva"]],[],[0,"Default",0,1]],[[3365,1047,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4598,[["dva"]],[],[0,"Default",0,1]],[[3439,1077,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4599,[["dva"]],[],[0,"Default",0,1]],[[3415,1047,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4600,[["dva"]],[],[0,"Default",0,1]],[[3459,1046,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4601,[["dva"]],[],[0,"Default",0,1]],[[3480,1078,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4602,[["dva"]],[],[0,"Default",0,1]],[[863,1456,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,
4603,[],[[]],[0,"Default",0,1]],[[3289,518,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4604,[["dva"]],[],[0,"Default",0,1]],[[3353,516,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4605,[["dva"]],[],[0,"Default",0,1]],[[3321,487,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4606,[["dva"]],[],[0,"Default",0,1]],[[3288,451,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4607,[["dva"]],[],[0,"Default",0,1]],[[3352,450,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4608,[["dva"]],[],[0,"Default",0,1]],[[3321,417,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4609,[["dva"]],[],[0,
"Default",0,1]],[[1486,548,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4610,[["dva"]],[],[0,"Default",0,1]],[[1533,547,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4611,[["dva"]],[],[0,"Default",0,1]],[[1510,517,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4612,[["dva"]],[],[0,"Default",0,1]],[[1585,546,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4613,[["dva"]],[],[0,"Default",0,1]],[[1559,516,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4614,[["dva"]],[],[0,"Default",0,1]],[[1633,546,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4615,[["dva"]],[],[0,"Default",0,1]],
[[1609,516,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4616,[["dva"]],[],[0,"Default",0,1]],[[1653,515,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4617,[["dva"]],[],[0,"Default",0,1]],[[1723,547,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4618,[["dva"]],[],[0,"Default",0,1]],[[1674,547,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4619,[["dva"]],[],[0,"Default",0,1]],[[1697,516,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4620,[["dva"]],[],[0,"Default",0,1]],[[1770,546,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4621,[["dva"]],[],[0,"Default",0,1]],[[1747,516,0,20,
20,0,0,1,0.5,0.5,0,0,[]],78,4622,[["dva"]],[],[0,"Default",0,1]],[[1822,545,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4623,[["dva"]],[],[0,"Default",0,1]],[[1796,515,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4624,[["dva"]],[],[0,"Default",0,1]],[[1870,545,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4625,[["dva"]],[],[0,"Default",0,1]],[[1846,515,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4626,[["dva"]],[],[0,"Default",0,1]],[[2803,598,0,131.3986358642578,109.4988555908203,0,0,1,0.5,0.5,0,0,[]],100,4630,[],[[1,0,1,14,0,0,0,240,0]],[0,"Default",
0,1]],[[2540,621,0,46.61544799804688,39.79367446899414,0,0,1,0.5,0.5,0,0,[]],102,4631,[],[],[1,"Default",0,1]],[[3063,622,0,47,41,0,0,1,0.5,0.5,0,0,[]],101,4632,[],[],[1,"Default",0,1]],[[1257,599,0,79.56002807617188,80.92002868652344,0,0,1,0.508474588394165,0.5,0,0,[]],108,4633,[],[],[0,"Default",0,1]],[[1257,593,0,256,256,0,0,1,0.5,0.5,0,0,[]],109,4634,[],[[]],[0,"Default",0,1]],[[3176,526,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,4635,[],[[1,0,0,7,0,0,0,10,0],
[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[1241,1563,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,4636,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[499,583,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4637,[["dva"]],[],[0,"Default",0,1]],[[563,572,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4638,[["dva"]],[],[0,"Default",0,1]],[[531,552,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4639,[["dva"]],[],[0,"Default",0,1]],[[531,614,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4640,[["dva"]],[],
[0,"Default",0,1]],[[498,518,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4641,[["dva"]],[],[0,"Default",0,1]],[[562,517,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4642,[["dva"]],[],[0,"Default",0,1]],[[531,484,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4643,[["dva"]],[],[0,"Default",0,1]],[[499,448,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4644,[["dva"]],[],[0,"Default",0,1]],[[563,446,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4645,[["dva"]],[],[0,"Default",0,1]],[[531,417,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4646,[["dva"]],[],[0,"Default",0,1]],[[498,
381,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4647,[["dva"]],[],[0,"Default",0,1]],[[562,380,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4648,[["dva"]],[],[0,"Default",0,1]],[[531,347,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4649,[["dva"]],[],[0,"Default",0,1]],[[1488,925,0,148.0375213623047,139.5254364013672,0,0,1,-0.09589041024446487,-0.0972222238779068,0,0,[]],73,4650,[],[],[0,"Default",0,1]],[[780,1220,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4651,[["dva"]],[],[0,"Default",0,1]],[[827,1219,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4652,
[["dva"]],[],[0,"Default",0,1]],[[804,1189,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4653,[["dva"]],[],[0,"Default",0,1]],[[879,1218,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4654,[["dva"]],[],[0,"Default",0,1]],[[853,1188,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4655,[["dva"]],[],[0,"Default",0,1]],[[927,1218,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4656,[["dva"]],[],[0,"Default",0,1]],[[903,1188,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4657,[["dva"]],[],[0,"Default",0,1]],[[947,1187,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4658,[["dva"]],[],[0,
"Default",0,1]],[[1017,1219,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4659,[["dva"]],[],[0,"Default",0,1]],[[968,1219,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4660,[["dva"]],[],[0,"Default",0,1]],[[991,1188,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4661,[["dva"]],[],[0,"Default",0,1]],[[1064,1218,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4662,[["dva"]],[],[0,"Default",0,1]],[[1041,1188,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4663,[["dva"]],[],[0,"Default",0,1]],[[1116,1217,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4664,[["dva"]],[],[0,"Default",0,
1]],[[1090,1187,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4665,[["dva"]],[],[0,"Default",0,1]],[[1164,1217,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4666,[["dva"]],[],[0,"Default",0,1]],[[1140,1187,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4667,[["dva"]],[],[0,"Default",0,1]],[[745,1224,0,165.7630004882813,72.80000305175781,0,0,1,0.5058823823928833,0.5,0,0,[]],70,4670,[],[],[0,"Default",0,1]],[[928,1199,0,131.3986358642578,109.4988555908203,0,0,1,0.5,0.5,0,0,[]],100,4671,[],[[1,0,1,12,0,0,0,200,0]],[0,"Default",0,1]],[[1154,
1226,0,47,41,0,0,1,0.5,0.5,0,0,[]],101,4672,[],[],[1,"Default",0,1]],[[711,1227,0,46.61544799804688,39.79367446899414,0,0,1,0.5,0.5,0,0,[]],102,4673,[],[],[1,"Default",0,1]],[[1063,1211,0,91.12422943115234,91.12422943115234,0,0.1096227541565895,1,0.5066666603088379,0.5066666603088379,0,0,[]],104,4674,[],[],[0,"Default",0,1]],[[2729,1363,0,131.3986358642578,109.4988555908203,0,0,1,0.5,0.5,0,0,[]],100,4675,[],[[1,0,1,12,0,0,0,200,0]],[0,"Default",0,1]],[[2955,1390,0,47,41,0,0,1,0.5,0.5,0,0,[]],101,
4676,[],[],[1,"Default",0,1]],[[2512,1391,0,46.61544799804688,39.79367446899414,0,0,1,0.5,0.5,0,0,[]],102,4677,[],[],[1,"Default",0,1]],[[1443,430,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,4678,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[994,1493,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,4679,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[2917,593,0,119.4989547729492,119.4989547729492,
0,0,1,0.5,0.5,0,0,[]],103,4680,[],[],[0,"Default",0,1]],[[3541,1134,0,91,341,0,-1.570796370506287,1,0.5274725556373596,0.08797653764486313,0,0,[]],96,4687,[],[[1,5,0,17,0,0,0,90,0]],[0,"Default",0,1]],[[2035,792,0,124.9327545166016,127.068359375,0,0,1,0.5,0.5070422291755676,0,0,[]],74,4689,[],[],[0,"Default",0,1]],[[2170,242,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,4694,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[719,554,0,81.1567153930664,
82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,4695,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[722,1568,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,4703,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[3628,855,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,4704,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[1837,415,0,81.1567153930664,82.54400634765625,0,0,
1,0.5,0.5070422291755676,0,0,[]],107,4706,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[3321,854,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,4707,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[1634,649,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,4708,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[966,417,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,
0,0,[]],107,4709,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[530,1006,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,4710,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[1124,905,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,4712,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[1384,747,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,4716,[],[[1,
0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[963,686,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,4717,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[695,786,0,79.56002807617188,80.92002868652344,0,0,1,0.508474588394165,0.5,0,0,[]],108,4584,[],[],[0,"Default",0,1]],[[695,780,0,256,256,0,0,1,0.5,0.5,0,0,[]],109,4585,[],[[]],[0,"Default",0,1]],[[2136,1437,0,79.56002807617188,80.92002868652344,0,0,1,0.508474588394165,0.5,0,0,[]],108,
4681,[],[],[0,"Default",0,1]],[[2136,1431,0,256,256,0,0,1,0.5,0.5,0,0,[]],109,4682,[],[[]],[0,"Default",0,1]],[[362,554,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,4683,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[272,1445,0,191,64,0,0,1,0,0,0,0,[]],209,3198,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1478,1415,0,196,64,0,0,1,0,0,0,0,[]],209,3293,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[3258,1101,0,253,64,0,0,1,0,0,0,0,[]],209,3306,
[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[2348,981,0,766,64,0,0,1,0,0,0,0,[]],209,11,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[3051,707,0,62,274,0,0,1,0,0,0,0,[]],209,16,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[2641,874,0,98.36795806884766,216.7169036865234,0,0,1,0.5,0.5058823823928833,0,0,[]],89,17,[],[[1]],[0,"Default",0,1]],[[2634.015869140625,744.3287963867188,0,66.38719177246094,73.46849060058594,0,0,1,0.5066666603088379,0.5060241222381592,0,0,[]],224,18,[],[],[0,"Default",0,
1]]],[]],["Earth",4,326055970139113,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[],[]],["Power",5,319003688052622,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[],[]],["Mouse",6,0xe72204fa35db0,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[2460,857,0,64.01953125,53.10530090332031,0,0,1,0.5,1,0,0,[]],42,4718,[],[[]],[0,"Default",0,1]],[[2459,868,0,82.02706146240234,93.33332061767578,0,0,1,0.4545454680919647,0.01639344170689583,0,0,[]],45,4719,[[150]],[[1],[115,0,35,3,0,0,1],[0,0,0,0,30,100,0,1],[1,0,0,4,0,0,0,50,0],[1,0,0,4,
0,0,0,50,0]],[0,"Default",0,1]],[[2460,866,0,8.829414367675781,-1.735369682312012,0,-1.576729655265808,1,0,0.48828125,0,0,[]],41,4720,[],[],[0,"Default",0,1]],[[-31,-253,0,128,128,0,1.57080864906311,1,0,0.5,0,0,[]],44,4721,[],[],[5,30,0,70,40,100,5,0,0,0,2,0,-250,0,2,800,0,0,0.7]],[[-131,-251,0,135,200,0,1.570796370506287,1,0,0.5,0,0,[]],43,4722,[],[],[15,20,0,70,10,100,50,0,0,0,10,0,70,0,0,800,0,0,0.3]]],[]],["Decortop",7,0xa1717e629623e,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[2991,587,0,61.77911376953125,
141.9249877929688,0,0,1,0.5135135054588318,0.5058823823928833,0,0,[]],210,3322,[],[],[0,"Default",0,1]],[[1951,839,0,62.43365478515625,46.82524108886719,0,2.668848037719727,1,0.5,0.5,0,0,[]],207,3323,[],[],[0,"Default",0,1]],[[429,1416,0,77.3045883178711,85.89399719238281,0,0,1,0.5,0.5,0,0,[]],208,3324,[],[],[0,"Default",0,1]]],[]],["Water",8,6149117632230448,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[-894,1845,0,5773,70,0,0,1,0,0,0,0,[]],46,4730,[],[[1,1,0,4E3,0,2E3,0,2E3,0]],[0,0]],[[-551,1838,0,5361,
910,0,0,1,0,0,0,0,[]],47,4731,[],[[1,1,0,4E3,0,2E3,0,2E3,0]],[0,0]],[[-575,1722,0,5390,128,0,0,1,0,0,0,0,[]],48,4732,[],[[1,1,0,4E3,0,2E3,0,2E3,0]],[0,0]]],[]],["UI",9,8578096532746437,!0,[255,255,255],!0,0,0,1,!1,1,0,0,[[[129.9325103759766,715.2657470703125,0,180,180,0,0,1,0.5,0.5,0,0,[]],49,4733,[],[],[0,"Default",0,1]],[[134.3137359619141,718.0804443359375,0,120,120,0,0,1,0.4749999940395355,0.4833333194255829,0,0,[]],50,4734,[[0]],[[0,1]],[0,"Default",0,1]],[[556.687255859375,833.5537109375,0,
50,50,0,0,1,0.5142857432365417,0.5142857432365417,0,0,[]],60,4746,[],[],[1,"Default",0,1]],[[447,27,0,-42,51,0,0,1,0.5116279125213623,0.5098039507865906,0,0,[]],52,4043,[],[[]],[0,"Default",0,1]],[[152,27,0,43,51,0,0,1,0.5116279125213623,0.5098039507865906,0,0,[]],52,4044,[],[[]],[0,"Default",0,1]],[[297,32,0,273,57,0,0,1,0.5018315315246582,0.5087719559669495,0,0,[]],54,4045,[],[],[0,"Default",0,1]],[[216,31,0,172.500732421875,32,0,0,1,0,0.5,0,0,[]],55,4046,[],[[]],[0,"Default",0,1]],[[317,32,0,216,
43,0,0,1,0.5,0.5116279125213623,0,0,[]],59,4047,[],[[]],[0,"Default",0,1]],[[70,46,0,112,72,0,0,1,0.5,0.5,0,0,[]],51,4048,[],[],[0,"Default",0,1]],[[533,46,0,112,72,0,0,1,0.5,0.5,0,0,[]],53,4049,[],[],[0,"Default",0,1]],[[135,48,0,33.94112396240234,33.94112396240234,0,0,1,0.5,0.5,0,0,[]],62,4050,[],[[]],[0,"Default",0,1]],[[-5,9,0,146.9591674804688,88,0,0,1,0,0,0,0,[]],56,4281,[],[[]],["Text",0,"32pt Arial Rounded MT Bold","rgb(255,255,51)",1,1,0,0,0]],[[460,8,0,146.9591674804688,88,0,0,1,0,0,0,0,
[]],57,4282,[],[[]],["Text",0,"32pt Arial Rounded MT Bold","rgb(204,255,255)",1,1,0,0,0]],[[470,47,0,31.93743896484375,31.93743896484375,0,0,1,0.5,0.5,0,0,[]],267,4283,[],[[]],[0,"Default",0,1]]],[]],["Ball",10,5258570605911242,!0,[255,255,255],!0,0,0,1,!1,1,0,0,[],[]]],[],[]],["Lewel17",4300,2E3,!1,"Lewel17",0xb83a8b66a3627,[["BG",0,0x8f9cc03305567,!0,[44,159,205],!1,1,1,1,!1,1,0,0,[],[]],["BG(sky)",1,0x4bbf6be98ea23,!0,[255,255,255],!0,0.1000000014901161,0.800000011920929,1,!1,1,0,0,[[[-966,1135,
0,6232,254,0,0,1,0,0,0,0,[]],39,3571,[],[[1,0,3,70,0,0,0,1024,0]],[0,0]],[[-899,526,0,6054,260,0,0,1,0,0,0,0,[]],38,3572,[],[[1,0,3,70,0,0,0,-1024,0]],[0,0]]],[]],["BG(mountian)",2,0x4381b120e18cf,!0,[255,255,255],!0,0.1000000014901161,0.800000011920929,1,!1,1,0,0,[[[-544,1319,0,5389,258,0,0,1,0,0,0,0,[]],40,3573,[],[],[0,0]]],[]],["Map",3,6050383699861634,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[2963,1220,0,615,64,0,0,1,0,0,0,0,[]],209,3637,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[3040,777,0,
320,64,0,0,1,0,0,0,0,[]],209,3636,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[2780,438,0,575,64,0,0,1,0,0,0,0,[]],209,3532,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1959,1029,0,664,64,0,0,1,0,0,0,0,[]],209,3531,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[365,325,0,1599,64,0,0,1,0,0,0,0,[]],209,3526,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[77,640,0,1569,64,0,0,1,0,0,0,0,[]],209,3528,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1500,251,0,50,50,0,-0.01136865559965372,1,0.5,0.5,0,
0,[]],77,3574,[[50]],[],[0,"Default",0,1]],[[2284,193,0,50,50,0,-0.01136865559965372,1,0.5,0.5,0,0,[]],77,3575,[[52]],[],[0,"Default",0,1]],[[947,1630,0,50,50,0,0,1,0.5,0.5,0,0,[]],61,3576,[],[[]],[0,"Default",0,1]],[[1174,-131,0,50,50,0,0,1,0.5,0.5,0,0,[]],61,3577,[],[[]],[0,"Default",0,1]],[[3619,867,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3578,[["dva"]],[],[0,"Default",0,1]],[[3683,856,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3579,[["dva"]],[],[0,"Default",0,1]],[[3651,836,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3580,
[["dva"]],[],[0,"Default",0,1]],[[3651,898,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3581,[["dva"]],[],[0,"Default",0,1]],[[3618,802,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3582,[["dva"]],[],[0,"Default",0,1]],[[3682,801,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3583,[["dva"]],[],[0,"Default",0,1]],[[3651,768,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3584,[["dva"]],[],[0,"Default",0,1]],[[3155,318,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3585,[["dva"]],[],[0,"Default",0,1]],[[3219,316,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3586,[["dva"]],[],[0,
"Default",0,1]],[[3187,287,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3587,[["dva"]],[],[0,"Default",0,1]],[[3187,349,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3588,[["dva"]],[],[0,"Default",0,1]],[[3154,251,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3589,[["dva"]],[],[0,"Default",0,1]],[[3218,250,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3590,[["dva"]],[],[0,"Default",0,1]],[[3187,217,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3591,[["dva"]],[],[0,"Default",0,1]],[[3187,401,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,3592,[],[[]],[0,"Default",0,1]],[[995,
578,0,50,50,0,0,1,0.5,0.5,0,0,[]],61,3593,[],[[]],[0,"Default",0,1]],[[2981,1193,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3594,[["dva"]],[],[0,"Default",0,1]],[[3028,1192,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3595,[["dva"]],[],[0,"Default",0,1]],[[3005,1162,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3596,[["dva"]],[],[0,"Default",0,1]],[[3080,1191,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3597,[["dva"]],[],[0,"Default",0,1]],[[3054,1161,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3598,[["dva"]],[],[0,"Default",0,1]],[[3128,1191,0,20,20,0,
0,1,0.5,0.5,0,0,[]],78,3599,[["dva"]],[],[0,"Default",0,1]],[[3104,1161,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3600,[["dva"]],[],[0,"Default",0,1]],[[3148,1160,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3601,[["dva"]],[],[0,"Default",0,1]],[[3218,1192,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3602,[["dva"]],[],[0,"Default",0,1]],[[3169,1192,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3603,[["dva"]],[],[0,"Default",0,1]],[[3192,1161,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3604,[["dva"]],[],[0,"Default",0,1]],[[3265,1191,0,20,20,0,0,1,0.5,0.5,
0,0,[]],78,3605,[["dva"]],[],[0,"Default",0,1]],[[3242,1161,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3606,[["dva"]],[],[0,"Default",0,1]],[[3317,1190,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3607,[["dva"]],[],[0,"Default",0,1]],[[3291,1160,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3608,[["dva"]],[],[0,"Default",0,1]],[[3365,1190,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3609,[["dva"]],[],[0,"Default",0,1]],[[3341,1160,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3610,[["dva"]],[],[0,"Default",0,1]],[[2285,269,0,50,50,0,-0.01136865559965372,1,
0.5,0.5,0,0,[]],77,3627,[[51]],[],[0,"Default",0,1]],[[3643,244,0,153,69,0,0,1,0.5046728849411011,0.5,0,0,[]],64,3628,[],[],[0,"Default",1,1]],[[2335,228,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,3629,[],[],[0,"Default",0,1]],[[845,237,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,3630,[],[],[0,"Default",0,1]],[[2327,62,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,3631,[],[],[0,"Default",0,1]],[[2242,60,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,3632,[],[],[0,"Default",0,1]],[[2329,146,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,3633,[],[],[0,"Default",
0,1]],[[2714,1538,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,3634,[],[],[0,"Default",0,1]],[[2243,226,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,3635,[],[],[0,"Default",0,1]],[[854,1426,0,348,98,0,0,1,0,0,0,0,[]],68,3642,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[-370,-1335,0,502,3835,0,0,1,0,0,0,0,[]],66,3643,[],[[1,0,0,1,0.5,0.2,0,0.01,0,1],[1]],[0,0]],[[3935,-1283,0,501,3631,0,0,1,0,0,0,0,[]],66,3650,[],[[1,0,0,1,0.5,0.2,0,0.01,0,1],[1]],[0,0]],[[1655,911,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,3652,[],[],[0,"Default",
0,1]],[[3232,1174,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,3654,[],[],[0,"Default",0,1]],[[2242,146,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,3655,[],[],[0,"Default",0,1]],[[630,-893,0,225.322998046875,236.7800903320313,0,0,0.699999988079071,0.4406779706478119,0.5,0,0,[[]]],81,3656,[],[[-90,0]],[0,"Default",0,1]],[[374,-944,0,80.23999786376953,75.63999938964844,0,0,1,0.4406779706478119,0.5,0,0,[[]]],81,3657,[],[[180,0]],[0,"Default",0,1]],[[1418,1326,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3658,[["dva"]],[],[0,"Default",
0,1]],[[1465,1325,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3659,[["dva"]],[],[0,"Default",0,1]],[[1442,1295,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3660,[["dva"]],[],[0,"Default",0,1]],[[1517,1324,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3661,[["dva"]],[],[0,"Default",0,1]],[[1491,1294,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3662,[["dva"]],[],[0,"Default",0,1]],[[1565,1324,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3663,[["dva"]],[],[0,"Default",0,1]],[[1541,1294,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3664,[["dva"]],[],[0,"Default",0,1]],[[1585,
1293,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3665,[["dva"]],[],[0,"Default",0,1]],[[1606,1325,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3666,[["dva"]],[],[0,"Default",0,1]],[[3619,732,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3668,[["dva"]],[],[0,"Default",0,1]],[[3683,730,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3669,[["dva"]],[],[0,"Default",0,1]],[[3651,701,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3670,[["dva"]],[],[0,"Default",0,1]],[[3618,665,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3671,[["dva"]],[],[0,"Default",0,1]],[[3682,664,0,20,20,0,
0,1,0.5,0.5,0,0,[]],78,3672,[["dva"]],[],[0,"Default",0,1]],[[3651,631,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3673,[["dva"]],[],[0,"Default",0,1]],[[1196,933,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3674,[["dva"]],[],[0,"Default",0,1]],[[1243,932,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3675,[["dva"]],[],[0,"Default",0,1]],[[1220,902,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3676,[["dva"]],[],[0,"Default",0,1]],[[1295,931,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3677,[["dva"]],[],[0,"Default",0,1]],[[1269,901,0,20,20,0,0,1,0.5,0.5,0,0,
[]],78,3678,[["dva"]],[],[0,"Default",0,1]],[[1343,931,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3679,[["dva"]],[],[0,"Default",0,1]],[[1319,901,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3680,[["dva"]],[],[0,"Default",0,1]],[[1363,900,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3681,[["dva"]],[],[0,"Default",0,1]],[[1433,932,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3682,[["dva"]],[],[0,"Default",0,1]],[[1384,932,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3683,[["dva"]],[],[0,"Default",0,1]],[[1407,901,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3684,[["dva"]],
[],[0,"Default",0,1]],[[1480,931,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3685,[["dva"]],[],[0,"Default",0,1]],[[1457,901,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3686,[["dva"]],[],[0,"Default",0,1]],[[1532,930,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3687,[["dva"]],[],[0,"Default",0,1]],[[1506,900,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3688,[["dva"]],[],[0,"Default",0,1]],[[1580,930,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3689,[["dva"]],[],[0,"Default",0,1]],[[1556,900,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3690,[["dva"]],[],[0,"Default",
0,1]],[[3292,1174,0,131.3986358642578,109.4988555908203,0,0,1,0.5,0.5,0,0,[]],100,3694,[],[[1,0,1,14,0,0,0,240,0]],[0,"Default",0,1]],[[3029,1197,0,46.61544799804688,39.79367446899414,0,0,1,0.5,0.5,0,0,[]],102,3695,[],[],[1,"Default",0,1]],[[3552,1198,0,47,41,0,0,1,0.5,0.5,0,0,[]],101,3696,[],[],[1,"Default",0,1]],[[1283,1522,0,79.56002807617188,80.92002868652344,0,0,1,0.508474588394165,0.5,0,0,[]],108,3697,[],[],[0,"Default",0,1]],[[1283,1516,0,256,256,0,0,1,0.5,0.5,0,0,[]],109,3698,[],[[]],[0,"Default",
0,1]],[[3833,678,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,3699,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[1578,1605,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,3700,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[220,486,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3701,[["dva"]],[],[0,"Default",0,1]],[[284,475,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3702,[["dva"]],[],[0,"Default",0,1]],[[252,455,0,20,
20,0,0,1,0.5,0.5,0,0,[]],78,3703,[["dva"]],[],[0,"Default",0,1]],[[252,517,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3704,[["dva"]],[],[0,"Default",0,1]],[[219,421,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3705,[["dva"]],[],[0,"Default",0,1]],[[283,420,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3706,[["dva"]],[],[0,"Default",0,1]],[[252,387,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3707,[["dva"]],[],[0,"Default",0,1]],[[220,351,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3708,[["dva"]],[],[0,"Default",0,1]],[[284,349,0,20,20,0,0,1,0.5,0.5,0,0,
[]],78,3709,[["dva"]],[],[0,"Default",0,1]],[[252,320,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3710,[["dva"]],[],[0,"Default",0,1]],[[219,284,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3711,[["dva"]],[],[0,"Default",0,1]],[[283,283,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3712,[["dva"]],[],[0,"Default",0,1]],[[252,250,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3713,[["dva"]],[],[0,"Default",0,1]],[[3172,633,0,148.0375213623047,139.5254364013672,0,0,1,-0.09589041024446487,-0.0972222238779068,0,0,[]],73,3714,[],[],[0,"Default",0,1]],
[[2069,1004,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3715,[["dva"]],[],[0,"Default",0,1]],[[2116,1003,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3716,[["dva"]],[],[0,"Default",0,1]],[[2093,973,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3717,[["dva"]],[],[0,"Default",0,1]],[[2168,1002,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3718,[["dva"]],[],[0,"Default",0,1]],[[2142,972,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3719,[["dva"]],[],[0,"Default",0,1]],[[2216,1002,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3720,[["dva"]],[],[0,"Default",0,1]],[[2192,972,
0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3721,[["dva"]],[],[0,"Default",0,1]],[[2236,971,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3722,[["dva"]],[],[0,"Default",0,1]],[[2306,1003,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3723,[["dva"]],[],[0,"Default",0,1]],[[2257,1003,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3724,[["dva"]],[],[0,"Default",0,1]],[[2280,972,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3725,[["dva"]],[],[0,"Default",0,1]],[[2353,1002,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3726,[["dva"]],[],[0,"Default",0,1]],[[2330,972,0,20,20,0,0,
1,0.5,0.5,0,0,[]],78,3727,[["dva"]],[],[0,"Default",0,1]],[[2405,1001,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3728,[["dva"]],[],[0,"Default",0,1]],[[2379,971,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3729,[["dva"]],[],[0,"Default",0,1]],[[2453,1001,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3730,[["dva"]],[],[0,"Default",0,1]],[[2429,971,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3731,[["dva"]],[],[0,"Default",0,1]],[[2217,983,0,131.3986358642578,109.4988555908203,0,0,1,0.5,0.5,0,0,[]],100,3735,[],[[1,0,1,12,0,0,0,200,0]],[0,"Default",
0,1]],[[2443,1010,0,47,41,0,0,1,0.5,0.5,0,0,[]],101,3736,[],[],[1,"Default",0,1]],[[2E3,1011,0,46.61544799804688,39.79367446899414,0,0,1,0.5,0.5,0,0,[]],102,3737,[],[],[1,"Default",0,1]],[[2352,1001,0,91.12422943115234,91.12422943115234,0,0.1096227541565895,1,0.5066666603088379,0.5066666603088379,0,0,[]],104,3738,[],[],[0,"Default",0,1]],[[3100,389,0,131.3986358642578,109.4988555908203,0,0,1,0.5,0.5,0,0,[]],100,3739,[],[[1,0,1,12,0,0,0,200,0]],[0,"Default",0,1]],[[3326,416,0,47,41,0,0,1,0.5,0.5,0,
0,[]],101,3740,[],[],[1,"Default",0,1]],[[2883,417,0,46.61544799804688,39.79367446899414,0,0,1,0.5,0.5,0,0,[]],102,3741,[],[],[1,"Default",0,1]],[[3832,1001,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,3742,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[3466,1008,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,3743,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[3406,1169,0,119.4989547729492,119.4989547729492,
0,0,1,0.5,0.5,0,0,[]],103,3744,[],[],[0,"Default",0,1]],[[1099,1021,0,865,72,0,0,1,0,0,0,0,[]],68,3748,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[692,1203,0,162,322,0,0,1,0,0,0,0,[]],68,3749,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[693,700,0,164,236,0,0,1,0,0,0,0,[]],68,3750,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1657,1386,0,91,341,0,-1.570796370506287,1,0.5274725556373596,0.08797653764486313,0,0,[]],96,3751,[],[[1,5,0,17,0,0,0,90,0]],[0,"Default",0,1]],[[3642,542,0,79.56002807617188,
80.92002868652344,0,0,1,0.508474588394165,0.5,0,0,[]],108,3756,[],[],[0,"Default",0,1]],[[3642,536,0,256,256,0,0,1,0.5,0.5,0,0,[]],109,3757,[],[[]],[0,"Default",0,1]],[[3456,676,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,3758,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[1223,1706,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,3759,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[2133,1476,0,
94,103,0,0,1,0.5,0.5,0,0,[]],117,3764,[['"Normal"']],[[30,0,0,140,1E3,2E3,135,0,1,1],[1,0,0,2,0,0,0,18,0],[1,1,0,3,0,0,0,25,0]],[0,"Default",0,1]],[[2024,1650,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,3767,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[2887,1544,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,3768,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[2869,203,0,81.1567153930664,82.54400634765625,
0,0,1,0.5,0.5070422291755676,0,0,[]],107,3769,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[2509,211,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,3770,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[3262,1523,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,3771,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[528,244,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,
0,0,[]],107,3772,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[3536,-1315,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,3773,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[2547,1548,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,3774,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[1818,241,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,3775,[],
[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[1171,247,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,3776,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[1803,390,0,160,352,0,0,1,0,0,0,0,[]],68,3779,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1503,98,0,81.1567153930664,82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,3780,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[844,87,0,81.1567153930664,
82.54400634765625,0,0,1,0.5,0.5070422291755676,0,0,[]],107,3781,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[2206,308,0,160,533,0,0,1,0,0,0,0,[]],68,3752,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[2622,792,0,160,491,0,0,1,0,0,0,0,[]],68,3753,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[2621,377,0,160,225,0,0,1,0,0,0,0,[]],68,3755,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[472,587,0,131.3986358642578,109.4988555908203,0,0,1,0.5,0.5,0,0,[]],100,3612,[],[[1,0,1,14,0,
0,0,240,0]],[0,"Default",0,1]],[[209,610,0,46.61544799804688,39.79367446899414,0,0,1,0.5,0.5,0,0,[]],102,3613,[],[],[1,"Default",0,1]],[[732,611,0,47,41,0,0,1,0.5,0.5,0,0,[]],101,3614,[],[],[1,"Default",0,1]],[[1258,596,0,131.3986358642578,109.4988555908203,0,0,1,0.5,0.5,0,0,[]],100,3615,[],[[1,0,1,14,0,0,0,240,0]],[0,"Default",0,1]],[[995,619,0,46.61544799804688,39.79367446899414,0,0,1,0.5,0.5,0,0,[]],102,3616,[],[],[1,"Default",0,1]],[[1518,620,0,47,41,0,0,1,0.5,0.5,0,0,[]],101,3617,[],[],[1,"Default",
0,1]],[[1101,960,0,859,64,0,0,1,0,0,0,0,[]],209,3529,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[697,1136,0,156,64,0,0,1,0,0,0,0,[]],209,3530,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[315,1510,0,193,64,0,0,1,0,0,0,0,[]],209,3100,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[856,1364,0,341,64,0,0,1,0,0,0,0,[]],209,3101,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1376,1354,0,251,64,0,0,1,0,0,0,0,[]],209,3300,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[2621,312,0,161,64,0,0,1,0,0,0,0,
[]],209,3638,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1849,853,0,98.36795806884766,216.7169036865234,0,0,1,0.5,0.5058823823928833,0,0,[]],89,1798,[],[[1]],[0,"Default",0,1]],[[1871,939,0,186,47,0,0,1,0.5,0.517241358757019,0,0,[]],233,1834,[],[],[0,"Default",0,1]]],[]],["Earth",4,8588884542643965,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[],[]],["Power",5,5343143134505629,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[],[]],["Mouse",6,5396641924265572,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[414,1278,0,64.01953125,
53.10530090332031,0,0,1,0.5,1,0,0,[]],42,3782,[],[[]],[0,"Default",0,1]],[[413,1289,0,82.02706146240234,93.33332061767578,0,0,1,0.4545454680919647,0.01639344170689583,0,0,[]],45,3783,[[150]],[[1],[115,0,35,3,0,0,1],[0,0,0,0,30,100,0,1],[1,0,0,4,0,0,0,50,0],[1,0,0,4,0,0,0,50,0]],[0,"Default",0,1]],[[414,1287,0,8.829414367675781,-1.735369682312012,0,-1.576729655265808,1,0,0.48828125,0,0,[]],41,3784,[],[],[0,"Default",0,1]],[[-31,-253,0,128,128,0,1.57080864906311,1,0,0.5,0,0,[]],44,3785,[],[],[5,30,
0,70,40,100,5,0,0,0,2,0,-250,0,2,800,0,0,0.7]],[[-131,-251,0,135,200,0,1.570796370506287,1,0,0.5,0,0,[]],43,3786,[],[],[15,20,0,70,10,100,50,0,0,0,10,0,70,0,0,800,0,0,0.3]]],[]],["Decortop",7,0x4c12633fe3c6d,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[772,619,0,135.1665649414063,77.238037109375,0,0,1,0.5074626803398132,0.5,0,0,[]],69,3791,[],[],[0,"Default",0,1]],[[2206,-170.2173461914063,0,160,492,0,0,1,0,0,0,0,[]],84,3611,[],[],[0,0]],[[1542,1210,0,128,128,0,0,1,0.5,0.5,0,0,[]],188,4014,[],[],[1,"Default",
0,1]]],[]],["Water",8,38666573986622,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[-894,1845,0,5773,70,0,0,1,0,0,0,0,[]],46,3794,[],[[1,1,0,4E3,0,2E3,0,2E3,0]],[0,0]],[[-551,1838,0,5361,910,0,0,1,0,0,0,0,[]],47,3795,[],[[1,1,0,4E3,0,2E3,0,2E3,0]],[0,0]],[[-575,1722,0,5390,128,0,0,1,0,0,0,0,[]],48,3796,[],[[1,1,0,4E3,0,2E3,0,2E3,0]],[0,0]]],[]],["UI",9,9730781795715944,!0,[255,255,255],!0,0,0,1,!1,1,0,0,[[[129.9325103759766,715.2657470703125,0,180,180,0,0,1,0.5,0.5,0,0,[]],49,3797,[],[],[0,"Default",0,1]],
[[134.3137359619141,718.0804443359375,0,120,120,0,0,1,0.4749999940395355,0.4833333194255829,0,0,[]],50,3798,[[0]],[[0,1]],[0,"Default",0,1]],[[556.687255859375,833.5537109375,0,50,50,0,0,1,0.5142857432365417,0.5142857432365417,0,0,[]],60,3810,[],[],[1,"Default",0,1]],[[445,27,0,-42,51,0,0,1,0.5116279125213623,0.5098039507865906,0,0,[]],52,3799,[],[[]],[0,"Default",0,1]],[[150,27,0,43,51,0,0,1,0.5116279125213623,0.5098039507865906,0,0,[]],52,3800,[],[[]],[0,"Default",0,1]],[[295,32,0,273,57,0,0,1,
0.5018315315246582,0.5087719559669495,0,0,[]],54,3801,[],[],[0,"Default",0,1]],[[214,31,0,172.500732421875,32,0,0,1,0,0.5,0,0,[]],55,3802,[],[[]],[0,"Default",0,1]],[[315,32,0,216,43,0,0,1,0.5,0.5116279125213623,0,0,[]],59,3803,[],[[]],[0,"Default",0,1]],[[68,46,0,112,72,0,0,1,0.5,0.5,0,0,[]],51,3804,[],[],[0,"Default",0,1]],[[531,46,0,112,72,0,0,1,0.5,0.5,0,0,[]],53,3805,[],[],[0,"Default",0,1]],[[134,49,0,33.94112396240234,33.94112396240234,0,0,1,0.5,0.5,0,0,[]],62,3806,[],[[]],[0,"Default",0,1]],
[[-7,9,0,146.9591674804688,88,0,0,1,0,0,0,0,[]],56,3807,[],[[]],["Text",0,"32pt Arial Rounded MT Bold","rgb(255,255,51)",1,1,0,0,0]],[[458,8,0,146.9591674804688,88,0,0,1,0,0,0,0,[]],57,3808,[],[[]],["Text",0,"32pt Arial Rounded MT Bold","rgb(204,255,255)",1,1,0,0,0]],[[469,48,0,31.93743896484375,31.93743896484375,0,0,1,0.5,0.5,0,0,[]],267,3809,[],[[]],[0,"Default",0,1]]],[]],["Ball",10,8097044102608761,!0,[255,255,255],!0,0,0,1,!1,1,0,0,[],[]]],[],[]],["Lewel18",4300,2E3,!1,"Lewel18",4757591422610042,
[["BG",0,5315908378782438,!0,[44,159,205],!1,1,1,1,!1,1,0,0,[],[]],["BG(sky)",1,4773699923804214,!0,[255,255,255],!0,0.1000000014901161,0.800000011920929,1,!1,1,0,0,[[[-966,1135,0,6232,254,0,0,1,0,0,0,0,[]],39,3812,[],[[1,0,3,70,0,0,0,1024,0]],[0,0]],[[-899,526,0,6054,260,0,0,1,0,0,0,0,[]],38,3813,[],[[1,0,3,70,0,0,0,-1024,0]],[0,0]]],[]],["BG(mountian)",2,8571271141260915,!0,[255,255,255],!0,0.1000000014901161,0.800000011920929,1,!1,1,0,0,[[[-544,1319,0,5389,258,0,0,1,0,0,0,0,[]],40,3814,[],[],[0,
0]]],[]],["Map",3,4801397964436736,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[2778,874,0,494,64,0,0,1,0,0,0,0,[]],209,3647,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[2301,567,0,640,64,0,0,1,0,0,0,0,[]],209,3646,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[980,576,0,640,64,0,0,1,0,0,0,0,[]],209,3641,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[963,1179,0,576,64,0,0,1,0,0,0,0,[]],209,3640,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[640,862,0,702,64,0,0,1,0,0,0,0,[]],209,3639,[],[[1],[1,0,0,1,
0.5,0.2,0,0.01,0,1]],[0,0]],[[1092,808,0,50,50,0,-0.01136865559965372,1,0.5,0.5,0,0,[]],77,3815,[[53]],[],[0,"Default",0,1]],[[2915,813,0,50,50,0,-0.01136865559965372,1,0.5,0.5,0,0,[]],77,3816,[[55]],[],[0,"Default",0,1]],[[1168,1137,0,50,50,0,0,1,0.5,0.5,0,0,[]],61,3817,[],[[]],[0,"Default",0,1]],[[1493,1139,0,50,50,0,0,1,0.5,0.5,0,0,[]],61,3818,[],[[]],[0,"Default",0,1]],[[1714,690,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3819,[["dva"]],[],[0,"Default",0,1]],[[1778,679,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,
3820,[["dva"]],[],[0,"Default",0,1]],[[1746,659,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3821,[["dva"]],[],[0,"Default",0,1]],[[1746,721,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3822,[["dva"]],[],[0,"Default",0,1]],[[1713,625,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3823,[["dva"]],[],[0,"Default",0,1]],[[1777,624,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3824,[["dva"]],[],[0,"Default",0,1]],[[1746,591,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3825,[["dva"]],[],[0,"Default",0,1]],[[1927,1598,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3826,[["dva"]],
[],[0,"Default",0,1]],[[1991,1596,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3827,[["dva"]],[],[0,"Default",0,1]],[[1959,1567,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3828,[["dva"]],[],[0,"Default",0,1]],[[1959,1629,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3829,[["dva"]],[],[0,"Default",0,1]],[[1926,1531,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3830,[["dva"]],[],[0,"Default",0,1]],[[1990,1530,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3831,[["dva"]],[],[0,"Default",0,1]],[[1959,1497,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3832,[["dva"]],[],[0,"Default",
0,1]],[[2922,511,0,50,50,0,0,1,0.5,0.5,0,0,[]],61,3833,[],[[]],[0,"Default",0,1]],[[2875,1111,0,50,50,0,0,1,0.5,0.5,0,0,[]],61,3834,[],[[]],[0,"Default",0,1]],[[994,548,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3835,[["dva"]],[],[0,"Default",0,1]],[[1041,547,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3836,[["dva"]],[],[0,"Default",0,1]],[[1018,517,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3837,[["dva"]],[],[0,"Default",0,1]],[[1093,546,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3838,[["dva"]],[],[0,"Default",0,1]],[[1067,516,0,20,20,
0,0,1,0.5,0.5,0,0,[]],78,3839,[["dva"]],[],[0,"Default",0,1]],[[1141,546,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3840,[["dva"]],[],[0,"Default",0,1]],[[1117,516,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3841,[["dva"]],[],[0,"Default",0,1]],[[1161,515,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3842,[["dva"]],[],[0,"Default",0,1]],[[1231,547,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3843,[["dva"]],[],[0,"Default",0,1]],[[1182,547,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3844,[["dva"]],[],[0,"Default",0,1]],[[1205,516,0,20,20,0,0,1,0.5,0.5,0,
0,[]],78,3845,[["dva"]],[],[0,"Default",0,1]],[[1278,546,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3846,[["dva"]],[],[0,"Default",0,1]],[[1255,516,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3847,[["dva"]],[],[0,"Default",0,1]],[[1330,545,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3848,[["dva"]],[],[0,"Default",0,1]],[[1304,515,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3849,[["dva"]],[],[0,"Default",0,1]],[[1378,545,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3850,[["dva"]],[],[0,"Default",0,1]],[[1354,515,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3851,[["dva"]],
[],[0,"Default",0,1]],[[2491,532,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3852,[["dva"]],[],[0,"Default",0,1]],[[2468,502,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3853,[["dva"]],[],[0,"Default",0,1]],[[2543,531,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3854,[["dva"]],[],[0,"Default",0,1]],[[2517,501,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3855,[["dva"]],[],[0,"Default",0,1]],[[2591,531,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3856,[["dva"]],[],[0,"Default",0,1]],[[2567,501,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3857,[["dva"]],[],[0,"Default",
0,1]],[[2611,500,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3858,[["dva"]],[],[0,"Default",0,1]],[[2681,532,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3859,[["dva"]],[],[0,"Default",0,1]],[[2632,532,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3860,[["dva"]],[],[0,"Default",0,1]],[[2655,501,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3861,[["dva"]],[],[0,"Default",0,1]],[[2728,531,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3862,[["dva"]],[],[0,"Default",0,1]],[[2705,501,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3863,[["dva"]],[],[0,"Default",0,1]],[[2780,530,
0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3864,[["dva"]],[],[0,"Default",0,1]],[[2754,500,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3865,[["dva"]],[],[0,"Default",0,1]],[[2828,530,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3866,[["dva"]],[],[0,"Default",0,1]],[[2804,500,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3867,[["dva"]],[],[0,"Default",0,1]],[[2612,900,0,50,50,0,-0.01136865559965372,1,0.5,0.5,0,0,[]],77,3868,[[54]],[],[0,"Default",0,1]],[[1969,615,0,153,69,0,0,1,0.5046728849411011,0.5,0,0,[]],64,3869,[],[],[0,"Default",1,1]],[[2008,
1146,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,3870,[],[],[0,"Default",0,1]],[[1966,559,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,3871,[],[],[0,"Default",0,1]],[[2010,682,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,3872,[],[],[0,"Default",0,1]],[[2056,1067,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,3873,[],[],[0,"Default",0,1]],[[3173,609,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,3874,[],[],[0,"Default",0,1]],[[1910,1147,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,3875,[],[],[0,"Default",0,1]],[[1861,1065,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,3876,[],[],[0,"Default",
0,1]],[[-370,-1335,0,502,3835,0,0,1,0,0,0,0,[]],66,3884,[],[[1,0,0,1,0.5,0.2,0,0.01,0,1],[1]],[0,0]],[[3935,-1283,0,501,3631,0,0,1,0,0,0,0,[]],66,3891,[],[[1,0,0,1,0.5,0.2,0,0.01,0,1],[1]],[0,0]],[[793,607,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,3893,[],[],[0,"Default",0,1]],[[2476,539,0,165.7630004882813,72.80000305175781,0,0,1,0.5058823823928833,0.5,0,0,[]],70,3894,[],[],[0,"Default",0,1]],[[1958,1068,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,3895,[],[],[0,"Default",0,1]],[[1927,681,0,68,68,0,0,1,0.5,0.5,0,0,[]],
79,3896,[],[],[0,"Default",0,1]],[[630,-893,0,225.322998046875,236.7800903320313,0,0,0.699999988079071,0.4406779706478119,0.5,0,0,[[]]],81,3897,[],[[-90,0]],[0,"Default",0,1]],[[374,-944,0,80.23999786376953,75.63999938964844,0,0,1,0.4406779706478119,0.5,0,0,[[]]],81,3898,[],[[180,0]],[0,"Default",0,1]],[[1871,834,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3899,[["dva"]],[],[0,"Default",0,1]],[[1918,833,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3900,[["dva"]],[],[0,"Default",0,1]],[[1895,803,0,20,20,0,0,1,0.5,0.5,0,
0,[]],78,3901,[["dva"]],[],[0,"Default",0,1]],[[1970,832,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3902,[["dva"]],[],[0,"Default",0,1]],[[1944,802,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3903,[["dva"]],[],[0,"Default",0,1]],[[2018,832,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3904,[["dva"]],[],[0,"Default",0,1]],[[1994,802,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3905,[["dva"]],[],[0,"Default",0,1]],[[2040,801,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3906,[["dva"]],[],[0,"Default",0,1]],[[2062,832,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3907,[["dva"]],
[],[0,"Default",0,1]],[[2477,1112,0,50,50,0,0,1,0.5,0.5,0,0,[]],61,3908,[],[[]],[0,"Default",0,1]],[[1714,555,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3909,[["dva"]],[],[0,"Default",0,1]],[[1778,553,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3910,[["dva"]],[],[0,"Default",0,1]],[[1746,524,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3911,[["dva"]],[],[0,"Default",0,1]],[[1713,488,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3912,[["dva"]],[],[0,"Default",0,1]],[[1777,487,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3913,[["dva"]],[],[0,"Default",0,1]],
[[1746,454,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3914,[["dva"]],[],[0,"Default",0,1]],[[662,825,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3915,[["dva"]],[],[0,"Default",0,1]],[[709,824,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3916,[["dva"]],[],[0,"Default",0,1]],[[686,794,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3917,[["dva"]],[],[0,"Default",0,1]],[[761,823,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3918,[["dva"]],[],[0,"Default",0,1]],[[735,793,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3919,[["dva"]],[],[0,"Default",0,1]],[[809,823,0,20,20,0,
0,1,0.5,0.5,0,0,[]],78,3920,[["dva"]],[],[0,"Default",0,1]],[[785,793,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3921,[["dva"]],[],[0,"Default",0,1]],[[829,792,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3922,[["dva"]],[],[0,"Default",0,1]],[[899,824,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3923,[["dva"]],[],[0,"Default",0,1]],[[850,824,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3924,[["dva"]],[],[0,"Default",0,1]],[[873,793,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3925,[["dva"]],[],[0,"Default",0,1]],[[946,823,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,
3926,[["dva"]],[],[0,"Default",0,1]],[[923,793,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3927,[["dva"]],[],[0,"Default",0,1]],[[998,822,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3928,[["dva"]],[],[0,"Default",0,1]],[[972,792,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3929,[["dva"]],[],[0,"Default",0,1]],[[1046,822,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3930,[["dva"]],[],[0,"Default",0,1]],[[1022,792,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3931,[["dva"]],[],[0,"Default",0,1]],[[1218,543,0,165.7630004882813,72.80000305175781,0,0,1,0.5058823823928833,
0.5,0,0,[]],70,3934,[],[],[0,"Default",0,1]],[[1305,529,0,131.3986358642578,109.4988555908203,0,0,1,0.5,0.5,0,0,[]],100,3935,[],[[1,0,1,14,0,0,0,240,0]],[0,"Default",0,1]],[[1042,552,0,46.61544799804688,39.79367446899414,0,0,1,0.5,0.5,0,0,[]],102,3936,[],[],[1,"Default",0,1]],[[1565,553,0,47,41,0,0,1,0.5,0.5,0,0,[]],101,3937,[],[],[1,"Default",0,1]],[[2151,679,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3942,[["dva"]],[],[0,"Default",0,1]],[[2215,668,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3943,[["dva"]],[],[0,"Default",
0,1]],[[2183,648,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3944,[["dva"]],[],[0,"Default",0,1]],[[2183,710,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3945,[["dva"]],[],[0,"Default",0,1]],[[2150,614,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3946,[["dva"]],[],[0,"Default",0,1]],[[2214,613,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3947,[["dva"]],[],[0,"Default",0,1]],[[2183,580,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3948,[["dva"]],[],[0,"Default",0,1]],[[2151,544,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3949,[["dva"]],[],[0,"Default",0,1]],[[2215,542,
0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3950,[["dva"]],[],[0,"Default",0,1]],[[2183,513,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3951,[["dva"]],[],[0,"Default",0,1]],[[2150,477,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3952,[["dva"]],[],[0,"Default",0,1]],[[2214,476,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3953,[["dva"]],[],[0,"Default",0,1]],[[2183,443,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3954,[["dva"]],[],[0,"Default",0,1]],[[2376,424,0,148.0375213623047,139.5254364013672,0,0,1,-0.09589041024446487,-0.0972222238779068,0,0,[]],73,
3955,[],[],[0,"Default",0,1]],[[3025,829,0,131.3986358642578,109.4988555908203,0,0,1,0.5,0.5,0,0,[]],100,3980,[],[[1,0,1,12,0,0,0,200,0]],[0,"Default",0,1]],[[3251,856,0,47,41,0,0,1,0.5,0.5,0,0,[]],101,3981,[],[],[1,"Default",0,1]],[[2808,857,0,46.61544799804688,39.79367446899414,0,0,1,0.5,0.5,0,0,[]],102,3982,[],[],[1,"Default",0,1]],[[1419,524,0,119.4989547729492,119.4989547729492,0,0,1,0.5,0.5,0,0,[]],103,3985,[],[],[0,"Default",0,1]],[[2128.668701171875,895.9187622070312,0,91,341,0,-1.570796370506287,
1,0.5274725556373596,0.08797653764486313,0,0,[]],96,3992,[],[[1,5,0,17,0,0,0,90,0]],[0,"Default",0,1]],[[973,815,0,124.9327545166016,127.068359375,0,0,1,0.5,0.5070422291755676,0,0,[]],74,3994,[],[],[0,"Default",0,1]],[[283,1286,0,256,256,0,0,1,0.5,0.5,0,0,[]],109,3996,[],[[]],[0,"Default",0,1]],[[2697,1107,0,94,103,0,0,1,0.5,0.5,0,0,[]],117,4007,[['"Normal"']],[[30,0,0,140,1E3,2E3,135,0,1,1],[1,0,0,2,0,0,0,18,0],[1,1,0,3,0,0,0,25,0]],[0,"Default",0,1]],[[1963,372,0,81.1567153930664,82.54400634765625,
0,0,1,0.5,0.5070422291755676,0,0,[]],107,4009,[],[[1,0,0,7,0,0,0,10,0],[1,1,0,5,0,0,0,14,0]],[0,"Default",0,1]],[[1881,1262,0,165,166,0,0,1,0,0,0,0,[]],68,4020,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1813,893,0,91,341,0,0,1,0.5274725556373596,0.08797653764486313,0,0,[]],96,3618,[],[[1,5,0,17,0,0,0,90,0]],[0,"Default",0,1]],[[1327,1149,0,91.12422943115234,91.12422943115234,0,0.1096227541565895,1,0.5066666603088379,0.5066666603088379,0,0,[]],104,3619,[],[],[0,"Default",0,1]],[[2736,537,0,91.12422943115234,
91.12422943115234,0,0.1096227541565895,1,0.5066666603088379,0.5066666603088379,0,0,[]],104,3620,[],[],[0,"Default",0,1]],[[1955,216,0,128,128,0,0,1,0.5,0.5,0,0,[]],188,4015,[],[],[1,"Default",0,1]],[[1054,396,0,94,103,0,0,1,0.5,0.5,0,0,[]],117,4016,[['"Normal"']],[[30,0,0,140,1E3,2E3,135,0,1,1],[1,0,0,2,0,0,0,18,0],[1,1,0,3,0,0,0,25,0]],[0,"Default",0,1]],[[2826,383,0,94,103,0,0,1,0.5,0.5,0,0,[]],117,4017,[['"Normal"']],[[30,0,0,140,1E3,2E3,135,0,1,1],[1,0,0,2,0,0,0,18,0],[1,1,0,3,0,0,0,25,0]],[0,
"Default",0,1]],[[1551,1487,0,94,103,0,0,1,0.5,0.5,0,0,[]],117,4021,[['"Normal"']],[[30,0,0,140,1E3,2E3,135,0,1,1],[1,0,0,2,0,0,0,18,0],[1,1,0,3,0,0,0,25,0]],[0,"Default",0,1]],[[2299,1504,0,94,103,0,0,1,0.5,0.5,0,0,[]],117,4022,[['"Normal"']],[[30,0,0,140,1E3,2E3,135,0,1,1],[1,0,0,2,0,0,0,18,0],[1,1,0,3,0,0,0,25,0]],[0,"Default",0,1]],[[1842.0048828125,863,0,256,64,0,0,1,0,0,0,0,[]],209,3644,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1867.170043945313,1197.844970703125,0,192.735107421875,64,
0,0,1,0,0,0,0,[]],209,3645,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[2405,1172,0,640,64,0,0,1,0,0,0,0,[]],209,3648,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]]],[]],["Earth",4,7511542643882346,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[],[]],["Power",5,8730310850342408,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[],[]],["Mouse",6,5317567026892162,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[1019,1061,0,64.01953125,53.10530090332031,0,0,1,0.5,1,0,0,[]],42,4023,[],[[]],[0,"Default",0,1]],[[1018,1072,0,82.02706146240234,
93.33332061767578,0,0,1,0.4545454680919647,0.01639344170689583,0,0,[]],45,4024,[[150]],[[1],[115,0,35,3,0,0,1],[0,0,0,0,30,100,0,1],[1,0,0,4,0,0,0,50,0],[1,0,0,4,0,0,0,50,0]],[0,"Default",0,1]],[[1019,1070,0,8.829414367675781,-1.735369682312012,0,-1.576729655265808,1,0,0.48828125,0,0,[]],41,4025,[],[],[0,"Default",0,1]],[[-31,-253,0,128,128,0,1.57080864906311,1,0,0.5,0,0,[]],44,4026,[],[],[5,30,0,70,40,100,5,0,0,0,2,0,-250,0,2,800,0,0,0.7]],[[-131,-251,0,135,200,0,1.570796370506287,1,0,0.5,0,0,[]],
43,4027,[],[],[15,20,0,70,10,100,50,0,0,0,10,0,70,0,0,800,0,0,0.3]]],[]],["Decortop",7,8545459905521745,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[],[]],["Water",8,754264063846757,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[-894,1845,0,5773,70,0,0,1,0,0,0,0,[]],46,4035,[],[[1,1,0,4E3,0,2E3,0,2E3,0]],[0,0]],[[-551,1838,0,5361,910,0,0,1,0,0,0,0,[]],47,4036,[],[[1,1,0,4E3,0,2E3,0,2E3,0]],[0,0]],[[-575,1722,0,5390,128,0,0,1,0,0,0,0,[]],48,4037,[],[[1,1,0,4E3,0,2E3,0,2E3,0]],[0,0]]],[]],["UI",9,0x78665c43be418,!0,
[255,255,255],!0,0,0,1,!1,1,0,0,[[[129.9325103759766,715.2657470703125,0,180,180,0,0,1,0.5,0.5,0,0,[]],49,4038,[],[],[0,"Default",0,1]],[[134.3137359619141,718.0804443359375,0,120,120,0,0,1,0.4749999940395355,0.4833333194255829,0,0,[]],50,4039,[[0]],[[0,1]],[0,"Default",0,1]],[[556.687255859375,833.5537109375,0,50,50,0,0,1,0.5142857432365417,0.5142857432365417,0,0,[]],60,4051,[],[],[1,"Default",0,1]],[[446,27,0,-42,51,0,0,1,0.5116279125213623,0.5098039507865906,0,0,[]],52,3979,[],[[]],[0,"Default",
0,1]],[[151,27,0,43,51,0,0,1,0.5116279125213623,0.5098039507865906,0,0,[]],52,3983,[],[[]],[0,"Default",0,1]],[[296,32,0,273,57,0,0,1,0.5018315315246582,0.5087719559669495,0,0,[]],54,3986,[],[],[0,"Default",0,1]],[[215,31,0,172.500732421875,32,0,0,1,0,0.5,0,0,[]],55,4001,[],[[]],[0,"Default",0,1]],[[316,32,0,216,43,0,0,1,0.5,0.5116279125213623,0,0,[]],59,4002,[],[[]],[0,"Default",0,1]],[[69,46,0,112,72,0,0,1,0.5,0.5,0,0,[]],51,4018,[],[],[0,"Default",0,1]],[[532,46,0,112,72,0,0,1,0.5,0.5,0,0,[]],
53,4019,[],[],[0,"Default",0,1]],[[135,48,0,33.94112396240234,33.94112396240234,0,0,1,0.5,0.5,0,0,[]],62,4028,[],[[]],[0,"Default",0,1]],[[-6,9,0,146.9591674804688,88,0,0,1,0,0,0,0,[]],56,4040,[],[[]],["Text",0,"32pt Arial Rounded MT Bold","rgb(255,255,51)",1,1,0,0,0]],[[459,8,0,146.9591674804688,88,0,0,1,0,0,0,0,[]],57,4041,[],[[]],["Text",0,"32pt Arial Rounded MT Bold","rgb(204,255,255)",1,1,0,0,0]],[[470,47,0,31.93743896484375,31.93743896484375,0,0,1,0.5,0.5,0,0,[]],267,4042,[],[[]],[0,"Default",
0,1]]],[]],["Ball",10,5268121409998915,!0,[255,255,255],!0,0,0,1,!1,1,0,0,[],[]]],[],[]],["Lewel19",4300,2E3,!1,"Lewel19",6758788332799743,[["BG",0,0x6c2251282492f,!0,[44,159,205],!1,1,1,1,!1,1,0,0,[],[]],["BG(sky)",1,7107952318766306,!0,[255,255,255],!0,0.1000000014901161,0.800000011920929,1,!1,1,0,0,[[[-966,1135,0,6232,254,0,0,1,0,0,0,0,[]],39,4053,[],[[1,0,3,70,0,0,0,1024,0]],[0,0]],[[-899,526,0,6054,260,0,0,1,0,0,0,0,[]],38,4054,[],[[1,0,3,70,0,0,0,-1024,0]],[0,0]]],[]],["BG(mountian)",2,0x48c76e8a77652,
!0,[255,255,255],!0,0.1000000014901161,0.800000011920929,1,!1,1,0,0,[[[-544,1319,0,5389,258,0,0,1,0,0,0,0,[]],40,4055,[],[],[0,0]]],[]],["Map",3,0xf80e0e4b22c06,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[2528,1253,0,607,64,0,0,1,0,0,0,0,[]],209,3649,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1088,1247,0,551,64,0,0,1,0,0,0,0,[]],209,3622,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1636,643,0,891,64,0,0,1,0,0,0,0,[]],209,3621,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[-370,-1335,0,502,3835,0,
0,1,0,0,0,0,[]],66,4125,[],[[1,0,0,1,0.5,0.2,0,0.01,0,1],[1]],[0,0]],[[3935,-1283,0,501,3631,0,0,1,0,0,0,0,[]],66,4132,[],[[1,0,0,1,0.5,0.2,0,0.01,0,1],[1]],[0,0]],[[630,-893,0,225.322998046875,236.7800903320313,0,0,0.699999988079071,0.4406779706478119,0.5,0,0,[[]]],81,4138,[],[[-90,0]],[0,"Default",0,1]],[[374,-944,0,80.23999786376953,75.63999938964844,0,0,1,0.4406779706478119,0.5,0,0,[[]]],81,4139,[],[[180,0]],[0,"Default",0,1]],[[1639,708,0,165,314,0,0,1,0,0,0,0,[]],68,3623,[],[[1],[1,0,0,1,0.5,
0.2,0,0.01,0,1]],[0,0]],[[2362,708,0,165,321,0,0,1,0,0,0,0,[]],68,3624,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[1230,1222,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3625,[["dva"]],[],[0,"Default",0,1]],[[1277,1221,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3626,[["dva"]],[],[0,"Default",0,1]],[[1254,1191,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3667,[["dva"]],[],[0,"Default",0,1]],[[1329,1220,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3745,[["dva"]],[],[0,"Default",0,1]],[[1303,1190,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3754,[["dva"]],
[],[0,"Default",0,1]],[[1377,1220,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3762,[["dva"]],[],[0,"Default",0,1]],[[1353,1190,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3763,[["dva"]],[],[0,"Default",0,1]],[[1397,1189,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3765,[["dva"]],[],[0,"Default",0,1]],[[1467,1221,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3766,[["dva"]],[],[0,"Default",0,1]],[[1418,1221,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3789,[["dva"]],[],[0,"Default",0,1]],[[1441,1190,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3793,[["dva"]],[],[0,"Default",
0,1]],[[1514,1220,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3883,[["dva"]],[],[0,"Default",0,1]],[[1491,1190,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3889,[["dva"]],[],[0,"Default",0,1]],[[1566,1219,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3890,[["dva"]],[],[0,"Default",0,1]],[[1540,1189,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3938,[["dva"]],[],[0,"Default",0,1]],[[1614,1219,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3939,[["dva"]],[],[0,"Default",0,1]],[[1590,1189,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3940,[["dva"]],[],[0,"Default",0,1]],[[1378,
1201,0,131.3986358642578,109.4988555908203,0,0,1,0.5,0.5,0,0,[]],100,3958,[],[[1,0,1,12,0,0,0,200,0]],[0,"Default",0,1]],[[1604,1228,0,47,41,0,0,1,0.5,0.5,0,0,[]],101,3959,[],[],[1,"Default",0,1]],[[1161,1229,0,46.61544799804688,39.79367446899414,0,0,1,0.5,0.5,0,0,[]],102,3960,[],[],[1,"Default",0,1]],[[1513,1213,0,91.12422943115234,91.12422943115234,0,0.1096227541565895,1,0.5066666603088379,0.5066666603088379,0,0,[]],104,3961,[],[],[0,"Default",0,1]],[[2541,1227,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,
3962,[["dva"]],[],[0,"Default",0,1]],[[2588,1226,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3963,[["dva"]],[],[0,"Default",0,1]],[[2565,1196,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3964,[["dva"]],[],[0,"Default",0,1]],[[2640,1225,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3965,[["dva"]],[],[0,"Default",0,1]],[[2614,1195,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3966,[["dva"]],[],[0,"Default",0,1]],[[2688,1225,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3967,[["dva"]],[],[0,"Default",0,1]],[[2664,1195,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3968,[["dva"]],
[],[0,"Default",0,1]],[[2708,1194,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3969,[["dva"]],[],[0,"Default",0,1]],[[2778,1226,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3970,[["dva"]],[],[0,"Default",0,1]],[[2729,1226,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3971,[["dva"]],[],[0,"Default",0,1]],[[2752,1195,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3972,[["dva"]],[],[0,"Default",0,1]],[[2825,1225,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3973,[["dva"]],[],[0,"Default",0,1]],[[2802,1195,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3974,[["dva"]],[],[0,"Default",
0,1]],[[2877,1224,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3975,[["dva"]],[],[0,"Default",0,1]],[[2851,1194,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3976,[["dva"]],[],[0,"Default",0,1]],[[2925,1224,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3977,[["dva"]],[],[0,"Default",0,1]],[[2901,1194,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3978,[["dva"]],[],[0,"Default",0,1]],[[2792,1208,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,3984,[],[],[0,"Default",0,1]],[[2852,1208,0,131.3986358642578,109.4988555908203,0,0,1,0.5,0.5,0,0,[]],100,3987,[],[[1,0,1,
14,0,0,0,240,0]],[0,"Default",0,1]],[[2589,1231,0,46.61544799804688,39.79367446899414,0,0,1,0.5,0.5,0,0,[]],102,3988,[],[],[1,"Default",0,1]],[[3112,1232,0,47,41,0,0,1,0.5,0.5,0,0,[]],101,3989,[],[],[1,"Default",0,1]],[[2966,1203,0,119.4989547729492,119.4989547729492,0,0,1,0.5,0.5,0,0,[]],103,3990,[],[],[0,"Default",0,1]],[[1639,1241,0,165,314,0,0,1,0,0,0,0,[]],68,3991,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[2362,1243,0,165,314,0,0,1,0,0,0,0,[]],68,3993,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],
[0,0]],[[1681,1130,0,98.36795806884766,216.7169036865234,0,0,1,0.5,0.5058823823928833,0,0,[]],89,3995,[],[[1]],[0,"Default",0,1]],[[1805,1490,0,555,64,0,0,1,0,0,0,0,[]],209,3651,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[2082,282,0,153,69,0,0,1,0.5046728849411011,0.5,0,0,[]],64,4058,[],[],[0,"Default",1,1]],[[2143.5,1341.39990234375,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,4059,[],[],[0,"Default",0,1]],[[2141,1179,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,4061,[],[],[0,"Default",0,1]],[[2191.5,1262.39990234375,
0,68,68,0,0,1,0.5,0.5,0,0,[]],79,4062,[],[],[0,"Default",0,1]],[[2160,492,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,4064,[],[],[0,"Default",0,1]],[[2045.5,1342.39990234375,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,4092,[],[],[0,"Default",0,1]],[[1996.5,1260.39990234375,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,4093,[],[],[0,"Default",0,1]],[[2013,492,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,4094,[],[],[0,"Default",0,1]],[[2093.5,1263.39990234375,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,4096,[],[],[0,"Default",0,1]],[[2043,1178,0,68,68,0,0,
1,0.5,0.5,0,0,[]],79,4097,[],[],[0,"Default",0,1]],[[1987,1088,0,50,50,0,-0.01136865559965372,1,0.5,0.5,0,0,[]],77,4112,[[58]],[],[0,"Default",0,1]],[[2189,1089,0,50,50,0,-0.01136865559965372,1,0.5,0.5,0,0,[]],77,4114,[[56]],[],[0,"Default",0,1]],[[2090,1089,0,50,50,0,-0.01136865559965372,1,0.5,0.5,0,0,[]],77,4752,[[57]],[],[0,"Default",0,1]],[[1999,1456,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4753,[["dva"]],[],[0,"Default",0,1]],[[2046,1455,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4847,[["dva"]],[],[0,"Default",
0,1]],[[2023,1425,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4848,[["dva"]],[],[0,"Default",0,1]],[[2098,1454,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4849,[["dva"]],[],[0,"Default",0,1]],[[2072,1424,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4850,[["dva"]],[],[0,"Default",0,1]],[[2146,1454,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4859,[["dva"]],[],[0,"Default",0,1]],[[2122,1424,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4873,[["dva"]],[],[0,"Default",0,1]],[[2168,1423,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4874,[["dva"]],[],[0,"Default",0,1]],[[2190,
1454,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4875,[["dva"]],[],[0,"Default",0,1]],[[2218,1420,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4887,[["dva"]],[],[0,"Default",0,1]],[[2260,1420,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5296,[["dva"]],[],[0,"Default",0,1]],[[2239,1390,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5308,[["dva"]],[],[0,"Default",0,1]],[[2281,1390,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5345,[["dva"]],[],[0,"Default",0,1]],[[2196,1390,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4876,[["dva"]],[],[0,"Default",0,1]],[[2260,1354,0,20,
20,0,0,1,0.5,0.5,0,0,[]],78,4877,[["dva"]],[],[0,"Default",0,1]],[[2302,1354,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4886,[["dva"]],[],[0,"Default",0,1]],[[2281,1324,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5295,[["dva"]],[],[0,"Default",0,1]],[[2323,1324,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5354,[["dva"]],[],[0,"Default",0,1]],[[2238,1324,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5355,[["dva"]],[],[0,"Default",0,1]],[[1930,1422,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5356,[["dva"]],[],[0,"Default",0,1]],[[1972,1422,0,20,20,0,0,1,
0.5,0.5,0,0,[]],78,5358,[["dva"]],[],[0,"Default",0,1]],[[1951,1392,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5361,[["dva"]],[],[0,"Default",0,1]],[[1993,1392,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5362,[["dva"]],[],[0,"Default",0,1]],[[1908,1392,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5368,[["dva"]],[],[0,"Default",0,1]],[[1888,1358,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5381,[["dva"]],[],[0,"Default",0,1]],[[1930,1358,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5382,[["dva"]],[],[0,"Default",0,1]],[[1909,1328,0,20,20,0,0,1,0.5,0.5,0,
0,[]],78,5383,[["dva"]],[],[0,"Default",0,1]],[[1951,1328,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5384,[["dva"]],[],[0,"Default",0,1]],[[1866,1328,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5385,[["dva"]],[],[0,"Default",0,1]],[[1861.005126953125,1257.421508789063,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5386,[["dva"]],[],[0,"Default",0,1]],[[1925.005126953125,1256.421508789063,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5387,[["dva"]],[],[0,"Default",0,1]],[[1893.005126953125,1226.421508789063,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5388,
[["dva"]],[],[0,"Default",0,1]],[[1893.005126953125,1288.421508789063,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5389,[["dva"]],[],[0,"Default",0,1]],[[1860.005126953125,1192.421508789063,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5390,[["dva"]],[],[0,"Default",0,1]],[[1924.005126953125,1191.421508789063,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5391,[["dva"]],[],[0,"Default",0,1]],[[1893.005126953125,1158.421508789063,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5392,[["dva"]],[],[0,"Default",0,1]],[[1861.005126953125,1122.421508789063,
0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5393,[["dva"]],[],[0,"Default",0,1]],[[1925.005126953125,1120.421508789063,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5394,[["dva"]],[],[0,"Default",0,1]],[[1893.005126953125,1091.421508789063,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5395,[["dva"]],[],[0,"Default",0,1]],[[1860.005126953125,1055.421508789063,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5396,[["dva"]],[],[0,"Default",0,1]],[[1924.005126953125,1054.421508789063,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5397,[["dva"]],[],[0,"Default",0,1]],
[[1893.005126953125,1021.421508789063,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5398,[["dva"]],[],[0,"Default",0,1]],[[2256.35595703125,1253.578002929688,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5399,[["dva"]],[],[0,"Default",0,1]],[[2320.35595703125,1252.578002929688,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5400,[["dva"]],[],[0,"Default",0,1]],[[2288.35595703125,1222.578002929688,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5401,[["dva"]],[],[0,"Default",0,1]],[[2288.35595703125,1284.578002929688,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5402,
[["dva"]],[],[0,"Default",0,1]],[[2255.35595703125,1188.578002929688,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5403,[["dva"]],[],[0,"Default",0,1]],[[2319.35595703125,1187.578002929688,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5404,[["dva"]],[],[0,"Default",0,1]],[[2288.35595703125,1154.578002929688,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5405,[["dva"]],[],[0,"Default",0,1]],[[2256.35595703125,1118.578002929688,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5406,[["dva"]],[],[0,"Default",0,1]],[[2320.35595703125,1116.578002929688,0,20,
20,0,0,1,0.5,0.5,0,0,[]],78,5407,[["dva"]],[],[0,"Default",0,1]],[[2288.35595703125,1087.578002929688,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5408,[["dva"]],[],[0,"Default",0,1]],[[2255.35595703125,1051.578002929688,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5409,[["dva"]],[],[0,"Default",0,1]],[[2319.35595703125,1050.578002929688,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5410,[["dva"]],[],[0,"Default",0,1]],[[2288.35595703125,1017.578002929688,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5411,[["dva"]],[],[0,"Default",0,1]],[[1950.9033203125,
1020.257080078125,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5412,[["dva"]],[],[0,"Default",0,1]],[[1997.9033203125,1019.257080078125,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5413,[["dva"]],[],[0,"Default",0,1]],[[1974.9033203125,989.257080078125,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5414,[["dva"]],[],[0,"Default",0,1]],[[2049.9033203125,1018.257080078125,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5415,[["dva"]],[],[0,"Default",0,1]],[[2023.9033203125,988.257080078125,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5416,[["dva"]],[],[0,"Default",
0,1]],[[2097.9033203125,1018.257080078125,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5417,[["dva"]],[],[0,"Default",0,1]],[[2073.9033203125,988.257080078125,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5418,[["dva"]],[],[0,"Default",0,1]],[[2119.9033203125,987.257080078125,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5672,[["dva"]],[],[0,"Default",0,1]],[[2141.9033203125,1018.257080078125,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5722,[["dva"]],[],[0,"Default",0,1]],[[2165.9033203125,988.257080078125,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5745,
[["dva"]],[],[0,"Default",0,1]],[[1923.9033203125,986.257080078125,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5750,[["dva"]],[],[0,"Default",0,1]],[[2189.3857421875,1018.257080078125,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5759,[["dva"]],[],[0,"Default",0,1]],[[2237.3857421875,1018.257080078125,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5760,[["dva"]],[],[0,"Default",0,1]],[[2213.3857421875,988.257080078125,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5761,[["dva"]],[],[0,"Default",0,1]],[[2259.3857421875,987.257080078125,0,20,20,0,0,
1,0.5,0.5,0,0,[]],78,5780,[["dva"]],[],[0,"Default",0,1]],[[1998,956,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5782,[["dva"]],[],[0,"Default",0,1]],[[1975,926,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5783,[["dva"]],[],[0,"Default",0,1]],[[2050,955,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5784,[["dva"]],[],[0,"Default",0,1]],[[2024,925,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5785,[["dva"]],[],[0,"Default",0,1]],[[2098,955,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5786,[["dva"]],[],[0,"Default",0,1]],[[2074,925,0,20,20,0,0,1,0.5,0.5,0,0,[]],
78,5787,[["dva"]],[],[0,"Default",0,1]],[[2120,924,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5788,[["dva"]],[],[0,"Default",0,1]],[[2142,955,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5789,[["dva"]],[],[0,"Default",0,1]],[[2166,925,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5790,[["dva"]],[],[0,"Default",0,1]],[[2189,955,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5791,[["dva"]],[],[0,"Default",0,1]],[[2213,925,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5792,[["dva"]],[],[0,"Default",0,1]],[[1755,1061,0,94.35399627685547,79.83799743652344,0,3.141592741012573,
1,0.5,0.5,0,0,[]],211,5795,[],[[0,1]],[0,"Default",0,1]],[[2500,1134,0,98.36799621582031,216.7169952392578,0,0,1,0.5,0.5058823823928833,0,0,[]],212,4668,[],[[1]],[0,"Default",0,1]],[[2414,1068,0,94.35399627685547,79.83799743652344,0,3.141592741012573,1,0.5,0.5,0,0,[]],213,3997,[],[[0,1]],[0,"Default",0,1]]],[]],["Earth",4,8824464966091889,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[],[]],["Power",5,0xb21a73dbbda3f,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[],[]],["Mouse",6,0x3ea0d14e249eb,!0,[255,255,255],!0,1,
1,1,!1,1,0,0,[[[1880,530,0,64.01953125,53.10530090332031,0,0,1,0.5,1,0,0,[]],42,4264,[],[[]],[0,"Default",0,1]],[[1879,541,0,82.02706146240234,93.33332061767578,0,0,1,0.4545454680919647,0.01639344170689583,0,0,[]],45,4265,[[150]],[[1],[115,0,35,3,0,0,1],[0,0,0,0,30,100,0,1],[1,0,0,4,0,0,0,50,0],[1,0,0,4,0,0,0,50,0]],[0,"Default",0,1]],[[1880,539,0,8.829414367675781,-1.735369682312012,0,-1.576729655265808,1,0,0.48828125,0,0,[]],41,4266,[],[],[0,"Default",0,1]],[[-31,-253,0,128,128,0,1.57080864906311,
1,0,0.5,0,0,[]],44,4267,[],[],[5,30,0,70,40,100,5,0,0,0,2,0,-250,0,2,800,0,0,0.7]],[[-131,-251,0,135,200,0,1.570796370506287,1,0,0.5,0,0,[]],43,4268,[],[],[15,20,0,70,10,100,50,0,0,0,10,0,70,0,0,800,0,0,0.3]]],[]],["Decortop",7,0x63ffeeeb4d6d,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[],[]],["Water",8,0x4c0dffed5fd75,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[-894,1845,0,5773,70,0,0,1,0,0,0,0,[]],46,4276,[],[[1,1,0,4E3,0,2E3,0,2E3,0]],[0,0]],[[-551,1838,0,5361,910,0,0,1,0,0,0,0,[]],47,4277,[],[[1,1,0,4E3,0,2E3,
0,2E3,0]],[0,0]],[[-575,1722,0,5390,128,0,0,1,0,0,0,0,[]],48,4278,[],[[1,1,0,4E3,0,2E3,0,2E3,0]],[0,0]]],[]],["UI",9,5799195588933991,!0,[255,255,255],!0,0,0,1,!1,1,0,0,[[[129.9325103759766,715.2657470703125,0,180,180,0,0,1,0.5,0.5,0,0,[]],49,4279,[],[],[0,"Default",0,1]],[[134.3137359619141,718.0804443359375,0,120,120,0,0,1,0.4749999940395355,0.4833333194255829,0,0,[]],50,4280,[[0]],[[0,1]],[0,"Default",0,1]],[[556.687255859375,833.5537109375,0,50,50,0,0,1,0.5142857432365417,0.5142857432365417,0,
0,[]],60,4292,[],[],[1,"Default",0,1]],[[445,26,0,-42,51,0,0,1,0.5116279125213623,0.5098039507865906,0,0,[]],52,3792,[],[[]],[0,"Default",0,1]],[[150,26,0,43,51,0,0,1,0.5116279125213623,0.5098039507865906,0,0,[]],52,3811,[],[[]],[0,"Default",0,1]],[[295,31,0,273,57,0,0,1,0.5018315315246582,0.5087719559669495,0,0,[]],54,3877,[],[],[0,"Default",0,1]],[[214,30,0,172.500732421875,32,0,0,1,0,0.5,0,0,[]],55,3878,[],[[]],[0,"Default",0,1]],[[315,31,0,216,43,0,0,1,0.5,0.5116279125213623,0,0,[]],59,3879,[],
[[]],[0,"Default",0,1]],[[68,45,0,112,72,0,0,1,0.5,0.5,0,0,[]],51,3880,[],[],[0,"Default",0,1]],[[531,45,0,112,72,0,0,1,0.5,0.5,0,0,[]],53,3881,[],[],[0,"Default",0,1]],[[134,48,0,33.94112396240234,33.94112396240234,0,0,1,0.5,0.5,0,0,[]],62,3933,[],[[]],[0,"Default",0,1]],[[-7,8,0,146.9591674804688,88,0,0,1,0,0,0,0,[]],56,3941,[],[[]],["Text",0,"32pt Arial Rounded MT Bold","rgb(255,255,51)",1,1,0,0,0]],[[458,7,0,146.9591674804688,88,0,0,1,0,0,0,0,[]],57,3956,[],[[]],["Text",0,"32pt Arial Rounded MT Bold",
"rgb(204,255,255)",1,1,0,0,0]],[[469,47,0,31.93743896484375,31.93743896484375,0,0,1,0.5,0.5,0,0,[]],267,3957,[],[[]],[0,"Default",0,1]]],[]],["Ball",10,0x7a88389fb333,!0,[255,255,255],!0,0,0,1,!1,1,0,0,[],[]]],[],[]],["Lewel21",4300,2E3,!1,"lewel21",0x5f7560163e088,[["BG",0,0x54fcdaf75857b,!0,[4,69,141],!1,1,1,1,!1,1,0,0,[],[]],["BG(sky)",1,0x672e167d58379,!0,[255,255,255],!0,0.1000000014901161,0.800000011920929,1,!1,1,0,0,[[[1166.5,746,0,2333,562,0,0,1,0.5,0.5,0,0,[]],234,2392,[],[],[0,"Default",
0,1]]],[]],["BG(mountian)",2,0x8494e3ee5c45b,!0,[255,255,255],!0,0.1000000014901161,0.800000011920929,1,!1,1,0,0,[[[636,113,0,40,40,0,0,1,0.5,0.5,0,0,[]],235,2537,[],[],[0,"Default",0,1]],[[183,66,0,29.49576187133789,29.49576187133789,0,0,1,0.5,0.5,0,0,[]],236,2534,[],[],[0,"Default",0,1]],[[426,95,0,31.40063667297363,31.40063667297363,0,0,1,0.5,0.5,0,0,[]],237,2607,[],[],[0,"Default",0,1]],[[1218,309,0,40,40,0,0,1,0.5,0.5,0,0,[]],236,2616,[],[],[0,"Default",0,1]],[[63,414,0,27.45906066894531,27.45906066894531,
0,0,1,0.5,0.5,0,0,[]],236,2812,[],[],[0,"Default",0,1]],[[1330,276,0,35.32704162597656,35.32704162597656,0,0,1,0.5,0.5,0,0,[]],236,2813,[],[],[0,"Default",0,1]],[[253.2678527832031,289.2678527832031,0,31.46426582336426,31.46426582336426,0,0,1,0.5,0.5,0,0,[]],235,2829,[],[],[0,"Default",0,1]],[[762,341,0,40,40,0,0,1,0.5,0.5,0,0,[]],236,2830,[],[],[0,"Default",0,1]],[[509,168,0,23.32380676269531,23.32380676269531,0,0,1,0.5,0.5,0,0,[]],236,2874,[],[],[0,"Default",0,1]],[[70.45643615722656,179.4564361572266,
0,22.91287803649902,22.91287803649902,0,0,1,0.5,0.5,0,0,[]],236,3074,[],[],[0,"Default",0,1]],[[1389,117,0,40,40,0,0,1,0.5,0.5,0,0,[]],237,3693,[],[],[0,"Default",0,1]],[[478,275,0,40,40,0,0,1,0.5,0.5,0,0,[]],237,3732,[],[],[0,"Default",0,1]],[[405,389,0,40,40,0,0,1,0.5,0.5,0,0,[]],237,3733,[],[],[0,"Default",0,1]],[[629,284,0,40,40,0,0,1,0.5,0.5,0,0,[]],237,3734,[],[],[0,"Default",0,1]],[[127,315,0,40,40,0,0,1,0.5,0.5,0,0,[]],237,3746,[],[],[0,"Default",0,1]],[[517,422,0,24.67792510986328,24.67792510986328,
0,0,1,0.5,0.5,0,0,[]],235,3777,[],[],[0,"Default",0,1]],[[298,524,0,31.40063667297363,31.40063667297363,0,0,1,0.5,0.5,0,0,[]],237,2872,[],[],[0,"Default",0,1]],[[1080,84,0,23.32380676269531,23.32380676269531,0,0,1,0.5,0.5,0,0,[]],236,4724,[],[],[0,"Default",0,1]],[[941,353,0,22.91287803649902,22.91287803649902,0,0,1,0.5,0.5,0,0,[]],236,4726,[],[],[0,"Default",0,1]],[[637,419,0,29.49576187133789,29.49576187133789,0,0,1,0.5,0.5,0,0,[]],236,4727,[],[],[0,"Default",0,1]],[[1325,362,0,29.49576187133789,
29.49576187133789,0,0,1,0.5,0.5,0,0,[]],236,4728,[],[],[0,"Default",0,1]],[[1235,150,0,29.49576187133789,29.49576187133789,0,0,1,0.5,0.5,0,0,[]],236,4735,[],[],[0,"Default",0,1]],[[1279,460,0,40,40,0,0,1,0.5,0.5,0,0,[]],235,4738,[],[],[0,"Default",0,1]],[[1621,129,0,23.32380676269531,23.32380676269531,0,0,1,0.5,0.5,0,0,[]],236,4739,[],[],[0,"Default",0,1]],[[1482,398,0,22.91287803649902,22.91287803649902,0,0,1,0.5,0.5,0,0,[]],236,4740,[],[],[0,"Default",0,1]]],[]],["Map",3,669122256256056,!0,[255,
255,255],!0,1,1,1,!1,1,0,0,[[[174,192,0,235.5069122314453,236.9696807861328,0,0,1,0.5031055808067322,0.5,0,0,[]],238,3747,[],[[]],[0,"Default",0,1]],[[206,200,0,65.93453979492188,74.77112579345703,0,0,1,0.5051546096801758,0.5,0,0,[]],239,3760,[],[[]],[0,"Default",0,1]],[[172,386,0,122,101,0,0,1,0.5,0.5049505233764648,0,0,[]],240,3761,[],[[]],[0,"Default",0,1]],[[176,572,0,150.9966888427734,176.1627960205078,0,0,1,0.5,0.5042017102241516,0,0,[]],241,3692,[],[[]],[0,"Default",0,1]],[[175,730,0,258,61,
0,0,1,0.5096774101257324,0.5135135054588318,0,0,[]],121,3778,[],[],[0,"Default",0,1]]],[]],["Earth",4,834516764831497,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[],[]],["Power",5,8782492161140804,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[],[]],["Mouse",6,8204643984401406,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[],[]],["Decortop",7,0xe53273ce1600d,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[],[]],["Water",8,0x46cb8f360e82f,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[],[]],["UI",9,4672939901153577,!0,[255,255,255],!0,0,0,0,!1,1,0,0,
[],[]],["Ball",10,5041509117834318,!0,[255,255,255],!0,0,0,1,!1,1,0,0,[[[951,211,0,40,40,0,0,1,0.5,0.5,0,0,[]],235,4525,[],[],[0,"Default",0,1]],[[1098,278,0,40,40,0,0,1,0.5,0.5,0,0,[]],236,4526,[],[],[0,"Default",0,1]],[[857,81,0,23.32380676269531,23.32380676269531,0,0,1,0.5,0.5,0,0,[]],236,4527,[],[],[0,"Default",0,1]],[[1083,415,0,40,40,0,0,1,0.5,0.5,0,0,[]],237,4529,[],[],[0,"Default",0,1]],[[836,454,0,40,40,0,0,1,0.5,0.5,0,0,[]],237,4714,[],[],[0,"Default",0,1]],[[775,221,0,24.67792510986328,
24.67792510986328,0,0,1,0.5,0.5,0,0,[]],235,4723,[],[],[0,"Default",0,1]],[[340,183,0,23.32380676269531,23.32380676269531,0,0,1,0.5,0.5,0,0,[]],236,4736,[],[],[0,"Default",0,1]],[[258,323,0,24.67792510986328,24.67792510986328,0,0,1,0.5,0.5,0,0,[]],235,4737,[],[],[0,"Default",0,1]],[[1492,256,0,40,40,0,0,1,0.5,0.5,0,0,[]],235,4741,[],[],[0,"Default",0,1]],[[1639,323,0,40,40,0,0,1,0.5,0.5,0,0,[]],236,4742,[],[],[0,"Default",0,1]],[[1624,460,0,40,40,0,0,1,0.5,0.5,0,0,[]],237,4743,[],[],[0,"Default",
0,1]]],[]]],[],[]],["Lewel20",1280,4E4,!1,"Lewel20",5563864377309878,[["BG",0,8532288046838789,!0,[44,159,205],!1,1,1,1,!1,1,0,0,[],[]],["BG(sky)",1,0xcc8e5bf06791f,!0,[255,255,255],!0,0.5,0.5,1,!1,1,0,0,[[[-909,5616,0,3034,260,0,0,1,0,0,0,0,[]],38,4295,[],[[1,0,3,70,0,0,0,-1024,0]],[0,0]],[[614,5034,0,100,100,0,0,1,0.5,0.5,0,0,[]],182,4784,[],[[0,0,0,0,1,1],[1,0,0,3,0,0,0,10,0],[1,1,0,4,0,0,0,15,0]],[0,"Default",0,1]],[[402,3879,0,100,100,0,0,1,0.5,0.5,0,0,[]],182,4788,[],[[0,0,0,0,1,1],[1,0,0,3,
0,0,0,10,0],[1,1,0,4,0,0,0,15,0]],[0,"Default",0,1]],[[357,1642,0,100,100,0,0,1,0.5,0.5,0,0,[]],182,4789,[],[[0,0,0,0,1,1],[1,0,0,3,0,0,0,10,0],[1,1,0,4,0,0,0,15,0]],[0,"Default",0,1]],[[494,6524,0,100,100,0,0,1,0.5,0.5,0,0,[]],182,4790,[],[[0,0,0,0,1,1],[1,0,0,3,0,0,0,10,0],[1,1,0,4,0,0,0,15,0]],[0,"Default",0,1]],[[624,7634,0,100,100,0,0,1,0.5,0.5,0,0,[]],182,4791,[],[[0,0,0,0,1,1],[1,0,0,3,0,0,0,10,0],[1,1,0,4,0,0,0,15,0]],[0,"Default",0,1]]],[]],["BG(mountian)",2,0x4ef14e4a2cd6f,!0,[255,255,255],
!0,0.1000000014901161,0.800000011920929,1,!1,1,0,0,[],[]],["Map",3,6865995419610824,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[-278,-663,0,413,40596,0,0,1,0,0,0,0,[]],66,4030,[],[[1,0,0,1,0.5,0.2,0,0.01,0,1],[1]],[0,0]],[[1168,-659,0,431,40509,0,0,1,0,0,0,0,[]],66,4034,[],[[1,0,0,1,0.5,0.2,0,0.01,0,1],[1]],[0,0]],[[654,26889,0,110.8377227783203,147.7836303710938,0,0,1,0.5066666603088379,0.5,0,0,[]],191,4063,[],[[1,1,0,18,0,0,0,250,0]],[0,"Default",0,1]],[[359,33196,0,165.7630004882813,72.80000305175781,
0,0,1,0.5058823823928833,0.5,0,0,[]],70,4065,[],[],[0,"Default",0,1]],[[596,36485,0,135.1665649414063,77.238037109375,0,0,1,0.5074626803398132,0.5,0,0,[]],69,4066,[],[],[0,"Default",0,1]],[[774,35948,0,50,50,0,-0.01136865559965372,1,0.5,0.5,0,0,[]],77,4067,[[17]],[],[0,"Default",0,1]],[[438,39168,0,135.1665649414063,77.238037109375,0,0,1,0.5074626803398132,0.5,0,0,[]],69,4068,[],[],[0,"Default",0,1]],[[453,29553,0,50,50,0,-0.01136865559965372,1,0.5,0.5,0,0,[]],77,4069,[[19]],[],[0,"Default",0,1]],
[[422,39174,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4070,[["dva"]],[],[0,"Default",0,1]],[[373,39174,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4071,[["dva"]],[],[0,"Default",0,1]],[[396,39143,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4072,[["dva"]],[],[0,"Default",0,1]],[[469,39173,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4073,[["dva"]],[],[0,"Default",0,1]],[[446,39143,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4074,[["dva"]],[],[0,"Default",0,1]],[[521,39172,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4075,[["dva"]],[],[0,"Default",0,1]],[[495,39142,
0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4076,[["dva"]],[],[0,"Default",0,1]],[[569,39172,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4077,[["dva"]],[],[0,"Default",0,1]],[[545,39142,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4078,[["dva"]],[],[0,"Default",0,1]],[[589,39141,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4079,[["dva"]],[],[0,"Default",0,1]],[[750,561,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,4080,[],[[]],[0,"Default",0,1]],[[356,26968,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,4081,[],[[]],[0,"Default",0,1]],[[469,26244,0,20,20,0,0,1,0.5,0.5,
0,0,[]],78,4082,[["dva"]],[],[0,"Default",0,1]],[[533,26233,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4083,[["dva"]],[],[0,"Default",0,1]],[[501,26213,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4084,[["dva"]],[],[0,"Default",0,1]],[[501,26275,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4085,[["dva"]],[],[0,"Default",0,1]],[[468,26179,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4086,[["dva"]],[],[0,"Default",0,1]],[[532,26178,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4087,[["dva"]],[],[0,"Default",0,1]],[[501,26145,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,
4088,[["dva"]],[],[0,"Default",0,1]],[[680,32059,0,50,50,0,-0.01136865559965372,1,0.5,0.5,0,0,[]],77,4089,[[18]],[],[0,"Default",0,1]],[[413,300,0,153,69,0,0,1,0.5046728849411011,0.5,0,0,[]],64,4090,[],[],[0,"Default",1,1]],[[546,567,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,4091,[],[],[0,"Default",0,1]],[[504,499,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,4095,[],[],[0,"Default",0,1]],[[426,606,0,327,65,0,0,1,0,0,0,0,[]],75,4098,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[421,606,0,334,16,0,0,1,0,0,0,0,[]],67,4099,
[],[],[0,0]],[[251,39188,0,740,65,0,0,1,0,0,0,0,[]],75,4100,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[250,39187,0,743,16,0,0,1,0,0,0,0,[]],67,4101,[],[],[0,0]],[[275,33225,0,174,65,0,0,1,0,0,0,0,[]],75,4102,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[271,33224,0,181,16,0,0,1,0,0,0,0,[]],67,4103,[],[],[0,0]],[[285,27129,0,129,65,0,0,1,0,0,0,0,[]],75,4104,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[281,27127,0,136,16,0,0,1,0,0,0,0,[]],67,4105,[],[],[0,0]],[[467,36510,0,255,65,0,0,1,0,0,0,
0,[]],75,4106,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[463,36509,0,264.3424072265625,15.8963623046875,0,0,1,0,0,0,0,[]],67,4107,[],[],[0,0]],[[664,29853,0,262,65,0,0,1,0,0,0,0,[]],75,4108,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[663,29851,0,265,16,0,0,1,0,0,0,0,[]],67,4109,[],[],[0,0]],[[466,568,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,4110,[],[],[0,"Default",0,1]],[[611,39172,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4111,[["dva"]],[],[0,"Default",0,1]],[[667,514,0,-239,210,0,0,1,0.5,0.5047619342803955,
0,0,[]],65,4113,[],[],[0,"Default",0,1]],[[-1034,160,0,225.322998046875,236.7800903320313,0,0,0.699999988079071,0.4406779706478119,0.5,0,0,[[]]],81,4115,[],[[-90,0]],[0,"Default",0,1]],[[-1290,109,0,80.23999786376953,75.63999938964844,0,0,1,0.4406779706478119,0.5,0,0,[[]]],81,4116,[],[[180,0]],[0,"Default",0,1]],[[469,26109,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4117,[["dva"]],[],[0,"Default",0,1]],[[533,26107,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4118,[["dva"]],[],[0,"Default",0,1]],[[501,26078,0,20,20,0,0,
1,0.5,0.5,0,0,[]],78,4119,[["dva"]],[],[0,"Default",0,1]],[[468,26042,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4120,[["dva"]],[],[0,"Default",0,1]],[[532,26041,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4121,[["dva"]],[],[0,"Default",0,1]],[[501,26008,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4122,[["dva"]],[],[0,"Default",0,1]],[[468,25973,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4123,[["dva"]],[],[0,"Default",0,1]],[[532,25971,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4124,[["dva"]],[],[0,"Default",0,1]],[[500,25942,0,20,20,0,0,1,0.5,0.5,
0,0,[]],78,4126,[["dva"]],[],[0,"Default",0,1]],[[467,25906,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4127,[["dva"]],[],[0,"Default",0,1]],[[531,25905,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4128,[["dva"]],[],[0,"Default",0,1]],[[500,25872,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4129,[["dva"]],[],[0,"Default",0,1]],[[798,27292,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4130,[["dva"]],[],[0,"Default",0,1]],[[862,27281,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4131,[["dva"]],[],[0,"Default",0,1]],[[830,27261,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,
4133,[["dva"]],[],[0,"Default",0,1]],[[830,27323,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4134,[["dva"]],[],[0,"Default",0,1]],[[797,27227,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4135,[["dva"]],[],[0,"Default",0,1]],[[861,27226,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4136,[["dva"]],[],[0,"Default",0,1]],[[830,27193,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4137,[["dva"]],[],[0,"Default",0,1]],[[798,27157,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4140,[["dva"]],[],[0,"Default",0,1]],[[862,27155,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4141,[["dva"]],
[],[0,"Default",0,1]],[[830,27126,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4142,[["dva"]],[],[0,"Default",0,1]],[[797,27090,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4143,[["dva"]],[],[0,"Default",0,1]],[[861,27089,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4144,[["dva"]],[],[0,"Default",0,1]],[[830,27056,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4145,[["dva"]],[],[0,"Default",0,1]],[[797,27021,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4146,[["dva"]],[],[0,"Default",0,1]],[[861,27019,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4147,[["dva"]],[],[0,"Default",
0,1]],[[829,26990,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4148,[["dva"]],[],[0,"Default",0,1]],[[796,26954,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4149,[["dva"]],[],[0,"Default",0,1]],[[860,26953,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4150,[["dva"]],[],[0,"Default",0,1]],[[829,26920,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4151,[["dva"]],[],[0,"Default",0,1]],[[531,27771,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4152,[["dva"]],[],[0,"Default",0,1]],[[595,27760,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4153,[["dva"]],[],[0,"Default",0,1]],[[563,
27740,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4154,[["dva"]],[],[0,"Default",0,1]],[[563,27802,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4155,[["dva"]],[],[0,"Default",0,1]],[[530,27706,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4156,[["dva"]],[],[0,"Default",0,1]],[[594,27705,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4157,[["dva"]],[],[0,"Default",0,1]],[[563,27672,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4158,[["dva"]],[],[0,"Default",0,1]],[[531,27636,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4159,[["dva"]],[],[0,"Default",0,1]],[[595,27634,0,20,
20,0,0,1,0.5,0.5,0,0,[]],78,4160,[["dva"]],[],[0,"Default",0,1]],[[563,27605,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4161,[["dva"]],[],[0,"Default",0,1]],[[530,27569,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4162,[["dva"]],[],[0,"Default",0,1]],[[594,27568,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4163,[["dva"]],[],[0,"Default",0,1]],[[563,27535,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4164,[["dva"]],[],[0,"Default",0,1]],[[530,27500,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4165,[["dva"]],[],[0,"Default",0,1]],[[594,27498,0,20,20,0,0,1,
0.5,0.5,0,0,[]],78,4166,[["dva"]],[],[0,"Default",0,1]],[[562,27469,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4167,[["dva"]],[],[0,"Default",0,1]],[[529,27433,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4168,[["dva"]],[],[0,"Default",0,1]],[[593,27432,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4169,[["dva"]],[],[0,"Default",0,1]],[[562,27399,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4170,[["dva"]],[],[0,"Default",0,1]],[[879,28476,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4171,[["dva"]],[],[0,"Default",0,1]],[[943,28465,0,20,20,0,0,1,0.5,0.5,0,
0,[]],78,4172,[["dva"]],[],[0,"Default",0,1]],[[911,28445,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4173,[["dva"]],[],[0,"Default",0,1]],[[911,28507,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4174,[["dva"]],[],[0,"Default",0,1]],[[878,28411,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4175,[["dva"]],[],[0,"Default",0,1]],[[942,28410,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4176,[["dva"]],[],[0,"Default",0,1]],[[911,28377,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4177,[["dva"]],[],[0,"Default",0,1]],[[879,28341,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,
4178,[["dva"]],[],[0,"Default",0,1]],[[943,28339,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4179,[["dva"]],[],[0,"Default",0,1]],[[911,28310,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4180,[["dva"]],[],[0,"Default",0,1]],[[878,28274,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4181,[["dva"]],[],[0,"Default",0,1]],[[942,28273,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4182,[["dva"]],[],[0,"Default",0,1]],[[911,28240,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4183,[["dva"]],[],[0,"Default",0,1]],[[878,28205,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4184,[["dva"]],
[],[0,"Default",0,1]],[[942,28203,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4185,[["dva"]],[],[0,"Default",0,1]],[[910,28174,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4186,[["dva"]],[],[0,"Default",0,1]],[[877,28138,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4187,[["dva"]],[],[0,"Default",0,1]],[[941,28137,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4188,[["dva"]],[],[0,"Default",0,1]],[[910,28104,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4189,[["dva"]],[],[0,"Default",0,1]],[[535,29189,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4190,[["dva"]],[],[0,"Default",
0,1]],[[599,29178,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4191,[["dva"]],[],[0,"Default",0,1]],[[567,29158,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4192,[["dva"]],[],[0,"Default",0,1]],[[567,29220,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4193,[["dva"]],[],[0,"Default",0,1]],[[534,29124,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4194,[["dva"]],[],[0,"Default",0,1]],[[598,29123,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4195,[["dva"]],[],[0,"Default",0,1]],[[567,29090,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4196,[["dva"]],[],[0,"Default",0,1]],[[535,
29054,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4197,[["dva"]],[],[0,"Default",0,1]],[[599,29052,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4198,[["dva"]],[],[0,"Default",0,1]],[[567,29023,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4199,[["dva"]],[],[0,"Default",0,1]],[[534,28987,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4200,[["dva"]],[],[0,"Default",0,1]],[[598,28986,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4201,[["dva"]],[],[0,"Default",0,1]],[[567,28953,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4202,[["dva"]],[],[0,"Default",0,1]],[[534,28918,0,20,
20,0,0,1,0.5,0.5,0,0,[]],78,4203,[["dva"]],[],[0,"Default",0,1]],[[598,28916,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4204,[["dva"]],[],[0,"Default",0,1]],[[566,28887,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4205,[["dva"]],[],[0,"Default",0,1]],[[533,28851,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4206,[["dva"]],[],[0,"Default",0,1]],[[597,28850,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4207,[["dva"]],[],[0,"Default",0,1]],[[566,28817,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4208,[["dva"]],[],[0,"Default",0,1]],[[421,30028,0,20,20,0,0,1,
0.5,0.5,0,0,[]],78,4209,[["dva"]],[],[0,"Default",0,1]],[[485,30026,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4210,[["dva"]],[],[0,"Default",0,1]],[[453,29997,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4211,[["dva"]],[],[0,"Default",0,1]],[[453,30059,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4212,[["dva"]],[],[0,"Default",0,1]],[[420,29963,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4213,[["dva"]],[],[0,"Default",0,1]],[[484,29962,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4214,[["dva"]],[],[0,"Default",0,1]],[[453,29929,0,20,20,0,0,1,0.5,0.5,0,
0,[]],78,4215,[["dva"]],[],[0,"Default",0,1]],[[421,29893,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4216,[["dva"]],[],[0,"Default",0,1]],[[485,29891,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4217,[["dva"]],[],[0,"Default",0,1]],[[453,29862,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4218,[["dva"]],[],[0,"Default",0,1]],[[420,29826,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4219,[["dva"]],[],[0,"Default",0,1]],[[484,29825,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4220,[["dva"]],[],[0,"Default",0,1]],[[453,29792,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,
4221,[["dva"]],[],[0,"Default",0,1]],[[420,29757,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4222,[["dva"]],[],[0,"Default",0,1]],[[484,29755,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4223,[["dva"]],[],[0,"Default",0,1]],[[452,29726,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4224,[["dva"]],[],[0,"Default",0,1]],[[419,29690,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4225,[["dva"]],[],[0,"Default",0,1]],[[483,29689,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4226,[["dva"]],[],[0,"Default",0,1]],[[452,29656,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4227,[["dva"]],
[],[0,"Default",0,1]],[[425,30433,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4228,[["dva"]],[],[0,"Default",0,1]],[[489,30431,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4229,[["dva"]],[],[0,"Default",0,1]],[[457,30402,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4230,[["dva"]],[],[0,"Default",0,1]],[[457,30464,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4231,[["dva"]],[],[0,"Default",0,1]],[[424,30368,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4232,[["dva"]],[],[0,"Default",0,1]],[[488,30367,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4233,[["dva"]],[],[0,"Default",
0,1]],[[457,30334,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4234,[["dva"]],[],[0,"Default",0,1]],[[425,30298,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4235,[["dva"]],[],[0,"Default",0,1]],[[489,30296,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4236,[["dva"]],[],[0,"Default",0,1]],[[457,30267,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4237,[["dva"]],[],[0,"Default",0,1]],[[424,30231,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4238,[["dva"]],[],[0,"Default",0,1]],[[488,30230,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4239,[["dva"]],[],[0,"Default",0,1]],[[457,
30197,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4240,[["dva"]],[],[0,"Default",0,1]],[[424,30162,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4241,[["dva"]],[],[0,"Default",0,1]],[[488,30160,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4242,[["dva"]],[],[0,"Default",0,1]],[[456,30131,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4243,[["dva"]],[],[0,"Default",0,1]],[[423,30095,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4244,[["dva"]],[],[0,"Default",0,1]],[[487,30094,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4245,[["dva"]],[],[0,"Default",0,1]],[[932,30550,0,20,
20,0,0,1,0.5,0.5,0,0,[]],78,4246,[["dva"]],[],[0,"Default",0,1]],[[996,30548,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4247,[["dva"]],[],[0,"Default",0,1]],[[964,30519,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4248,[["dva"]],[],[0,"Default",0,1]],[[964,30581,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4249,[["dva"]],[],[0,"Default",0,1]],[[931,30485,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4250,[["dva"]],[],[0,"Default",0,1]],[[995,30484,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4251,[["dva"]],[],[0,"Default",0,1]],[[964,30451,0,20,20,0,0,1,
0.5,0.5,0,0,[]],78,4252,[["dva"]],[],[0,"Default",0,1]],[[932,30415,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4253,[["dva"]],[],[0,"Default",0,1]],[[996,30413,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4254,[["dva"]],[],[0,"Default",0,1]],[[964,30384,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4255,[["dva"]],[],[0,"Default",0,1]],[[931,30348,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4256,[["dva"]],[],[0,"Default",0,1]],[[995,30347,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4257,[["dva"]],[],[0,"Default",0,1]],[[964,30314,0,20,20,0,0,1,0.5,0.5,0,
0,[]],78,4258,[["dva"]],[],[0,"Default",0,1]],[[931,30279,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4259,[["dva"]],[],[0,"Default",0,1]],[[995,30277,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4260,[["dva"]],[],[0,"Default",0,1]],[[963,30248,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4261,[["dva"]],[],[0,"Default",0,1]],[[930,30212,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4262,[["dva"]],[],[0,"Default",0,1]],[[994,30211,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4263,[["dva"]],[],[0,"Default",0,1]],[[963,30178,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,
4269,[["dva"]],[],[0,"Default",0,1]],[[967,30653,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4270,[["dva"]],[],[0,"Default",0,1]],[[934,30617,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4271,[["dva"]],[],[0,"Default",0,1]],[[998,30616,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4272,[["dva"]],[],[0,"Default",0,1]],[[516,31597,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4273,[["dva"]],[],[0,"Default",0,1]],[[580,31595,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4274,[["dva"]],[],[0,"Default",0,1]],[[548,31566,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4275,[["dva"]],
[],[0,"Default",0,1]],[[548,31628,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4297,[["dva"]],[],[0,"Default",0,1]],[[515,31532,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4298,[["dva"]],[],[0,"Default",0,1]],[[579,31531,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4299,[["dva"]],[],[0,"Default",0,1]],[[548,31498,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4300,[["dva"]],[],[0,"Default",0,1]],[[516,31462,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4301,[["dva"]],[],[0,"Default",0,1]],[[580,31460,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4302,[["dva"]],[],[0,"Default",
0,1]],[[548,31431,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4303,[["dva"]],[],[0,"Default",0,1]],[[515,31395,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4304,[["dva"]],[],[0,"Default",0,1]],[[579,31394,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4305,[["dva"]],[],[0,"Default",0,1]],[[548,31361,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4306,[["dva"]],[],[0,"Default",0,1]],[[515,31326,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4307,[["dva"]],[],[0,"Default",0,1]],[[579,31324,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4308,[["dva"]],[],[0,"Default",0,1]],[[547,
31295,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4309,[["dva"]],[],[0,"Default",0,1]],[[514,31259,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4310,[["dva"]],[],[0,"Default",0,1]],[[578,31258,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4311,[["dva"]],[],[0,"Default",0,1]],[[547,31225,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4312,[["dva"]],[],[0,"Default",0,1]],[[551,31700,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4313,[["dva"]],[],[0,"Default",0,1]],[[518,31664,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4314,[["dva"]],[],[0,"Default",0,1]],[[582,31663,0,20,
20,0,0,1,0.5,0.5,0,0,[]],78,4315,[["dva"]],[],[0,"Default",0,1]],[[782,32881,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4316,[["dva"]],[],[0,"Default",0,1]],[[846,32879,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4317,[["dva"]],[],[0,"Default",0,1]],[[814,32850,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4318,[["dva"]],[],[0,"Default",0,1]],[[814,32912,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4319,[["dva"]],[],[0,"Default",0,1]],[[781,32816,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4320,[["dva"]],[],[0,"Default",0,1]],[[845,32815,0,20,20,0,0,1,
0.5,0.5,0,0,[]],78,4321,[["dva"]],[],[0,"Default",0,1]],[[814,32782,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4322,[["dva"]],[],[0,"Default",0,1]],[[782,32746,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4323,[["dva"]],[],[0,"Default",0,1]],[[846,32744,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4324,[["dva"]],[],[0,"Default",0,1]],[[814,32715,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4325,[["dva"]],[],[0,"Default",0,1]],[[781,32679,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4326,[["dva"]],[],[0,"Default",0,1]],[[845,32678,0,20,20,0,0,1,0.5,0.5,0,
0,[]],78,4327,[["dva"]],[],[0,"Default",0,1]],[[814,32645,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4328,[["dva"]],[],[0,"Default",0,1]],[[781,32610,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4329,[["dva"]],[],[0,"Default",0,1]],[[845,32608,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4330,[["dva"]],[],[0,"Default",0,1]],[[813,32579,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4331,[["dva"]],[],[0,"Default",0,1]],[[780,32543,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4332,[["dva"]],[],[0,"Default",0,1]],[[844,32542,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,
4333,[["dva"]],[],[0,"Default",0,1]],[[813,32509,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4334,[["dva"]],[],[0,"Default",0,1]],[[817,32984,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4335,[["dva"]],[],[0,"Default",0,1]],[[784,32948,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4336,[["dva"]],[],[0,"Default",0,1]],[[848,32947,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4337,[["dva"]],[],[0,"Default",0,1]],[[531,34173,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4338,[["dva"]],[],[0,"Default",0,1]],[[595,34171,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4339,[["dva"]],
[],[0,"Default",0,1]],[[563,34142,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4340,[["dva"]],[],[0,"Default",0,1]],[[563,34204,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4341,[["dva"]],[],[0,"Default",0,1]],[[530,34108,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4342,[["dva"]],[],[0,"Default",0,1]],[[594,34107,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4343,[["dva"]],[],[0,"Default",0,1]],[[563,34074,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4344,[["dva"]],[],[0,"Default",0,1]],[[531,34038,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4345,[["dva"]],[],[0,"Default",
0,1]],[[595,34036,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4346,[["dva"]],[],[0,"Default",0,1]],[[563,34007,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4347,[["dva"]],[],[0,"Default",0,1]],[[530,33971,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4348,[["dva"]],[],[0,"Default",0,1]],[[594,33970,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4349,[["dva"]],[],[0,"Default",0,1]],[[563,33937,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4350,[["dva"]],[],[0,"Default",0,1]],[[530,33902,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4351,[["dva"]],[],[0,"Default",0,1]],[[594,
33900,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4352,[["dva"]],[],[0,"Default",0,1]],[[562,33871,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4353,[["dva"]],[],[0,"Default",0,1]],[[529,33835,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4354,[["dva"]],[],[0,"Default",0,1]],[[593,33834,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4355,[["dva"]],[],[0,"Default",0,1]],[[562,33801,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4356,[["dva"]],[],[0,"Default",0,1]],[[566,34276,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4357,[["dva"]],[],[0,"Default",0,1]],[[533,34240,0,20,
20,0,0,1,0.5,0.5,0,0,[]],78,4358,[["dva"]],[],[0,"Default",0,1]],[[597,34239,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4359,[["dva"]],[],[0,"Default",0,1]],[[735,35434,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4360,[["dva"]],[],[0,"Default",0,1]],[[799,35432,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4361,[["dva"]],[],[0,"Default",0,1]],[[767,35403,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4362,[["dva"]],[],[0,"Default",0,1]],[[767,35465,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4363,[["dva"]],[],[0,"Default",0,1]],[[734,35369,0,20,20,0,0,1,
0.5,0.5,0,0,[]],78,4364,[["dva"]],[],[0,"Default",0,1]],[[798,35368,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4365,[["dva"]],[],[0,"Default",0,1]],[[767,35335,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4366,[["dva"]],[],[0,"Default",0,1]],[[735,35299,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4367,[["dva"]],[],[0,"Default",0,1]],[[799,35297,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4368,[["dva"]],[],[0,"Default",0,1]],[[767,35268,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4369,[["dva"]],[],[0,"Default",0,1]],[[734,35232,0,20,20,0,0,1,0.5,0.5,0,
0,[]],78,4370,[["dva"]],[],[0,"Default",0,1]],[[798,35231,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4371,[["dva"]],[],[0,"Default",0,1]],[[767,35198,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4372,[["dva"]],[],[0,"Default",0,1]],[[734,35163,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4373,[["dva"]],[],[0,"Default",0,1]],[[798,35161,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4374,[["dva"]],[],[0,"Default",0,1]],[[766,35132,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4375,[["dva"]],[],[0,"Default",0,1]],[[733,35096,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,
4376,[["dva"]],[],[0,"Default",0,1]],[[797,35095,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4377,[["dva"]],[],[0,"Default",0,1]],[[766,35062,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4378,[["dva"]],[],[0,"Default",0,1]],[[770,35537,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4379,[["dva"]],[],[0,"Default",0,1]],[[737,35501,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4380,[["dva"]],[],[0,"Default",0,1]],[[801,35500,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4381,[["dva"]],[],[0,"Default",0,1]],[[798,38316,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4382,[["dva"]],
[],[0,"Default",0,1]],[[862,38314,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4383,[["dva"]],[],[0,"Default",0,1]],[[830,38285,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4384,[["dva"]],[],[0,"Default",0,1]],[[830,38347,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4385,[["dva"]],[],[0,"Default",0,1]],[[797,38251,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4386,[["dva"]],[],[0,"Default",0,1]],[[861,38250,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4387,[["dva"]],[],[0,"Default",0,1]],[[830,38217,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4388,[["dva"]],[],[0,"Default",
0,1]],[[798,38181,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4389,[["dva"]],[],[0,"Default",0,1]],[[862,38179,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4390,[["dva"]],[],[0,"Default",0,1]],[[830,38150,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4391,[["dva"]],[],[0,"Default",0,1]],[[797,38114,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4392,[["dva"]],[],[0,"Default",0,1]],[[861,38113,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4393,[["dva"]],[],[0,"Default",0,1]],[[830,38080,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4394,[["dva"]],[],[0,"Default",0,1]],[[797,
38045,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4395,[["dva"]],[],[0,"Default",0,1]],[[861,38043,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4396,[["dva"]],[],[0,"Default",0,1]],[[829,38014,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4397,[["dva"]],[],[0,"Default",0,1]],[[796,37978,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4398,[["dva"]],[],[0,"Default",0,1]],[[860,37977,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4399,[["dva"]],[],[0,"Default",0,1]],[[829,37944,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4400,[["dva"]],[],[0,"Default",0,1]],[[833,38419,0,20,
20,0,0,1,0.5,0.5,0,0,[]],78,4401,[["dva"]],[],[0,"Default",0,1]],[[800,38383,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4402,[["dva"]],[],[0,"Default",0,1]],[[864,38382,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4403,[["dva"]],[],[0,"Default",0,1]],[[571,37478,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4404,[["dva"]],[],[0,"Default",0,1]],[[635,37476,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4405,[["dva"]],[],[0,"Default",0,1]],[[603,37447,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4406,[["dva"]],[],[0,"Default",0,1]],[[603,37509,0,20,20,0,0,1,
0.5,0.5,0,0,[]],78,4407,[["dva"]],[],[0,"Default",0,1]],[[570,37413,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4408,[["dva"]],[],[0,"Default",0,1]],[[634,37412,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4409,[["dva"]],[],[0,"Default",0,1]],[[603,37379,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4410,[["dva"]],[],[0,"Default",0,1]],[[571,37343,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4411,[["dva"]],[],[0,"Default",0,1]],[[635,37341,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4412,[["dva"]],[],[0,"Default",0,1]],[[603,37312,0,20,20,0,0,1,0.5,0.5,0,
0,[]],78,4413,[["dva"]],[],[0,"Default",0,1]],[[570,37276,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4414,[["dva"]],[],[0,"Default",0,1]],[[634,37275,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4415,[["dva"]],[],[0,"Default",0,1]],[[603,37242,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4416,[["dva"]],[],[0,"Default",0,1]],[[570,37207,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4417,[["dva"]],[],[0,"Default",0,1]],[[634,37205,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4418,[["dva"]],[],[0,"Default",0,1]],[[602,37176,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,
4419,[["dva"]],[],[0,"Default",0,1]],[[569,37140,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4420,[["dva"]],[],[0,"Default",0,1]],[[633,37139,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4421,[["dva"]],[],[0,"Default",0,1]],[[602,37106,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4422,[["dva"]],[],[0,"Default",0,1]],[[606,37581,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4423,[["dva"]],[],[0,"Default",0,1]],[[573,37545,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4424,[["dva"]],[],[0,"Default",0,1]],[[637,37544,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4425,[["dva"]],
[],[0,"Default",0,1]],[[892,36899,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4426,[["dva"]],[],[0,"Default",0,1]],[[956,36897,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4427,[["dva"]],[],[0,"Default",0,1]],[[924,36868,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4428,[["dva"]],[],[0,"Default",0,1]],[[924,36930,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4429,[["dva"]],[],[0,"Default",0,1]],[[891,36834,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4430,[["dva"]],[],[0,"Default",0,1]],[[955,36833,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4431,[["dva"]],[],[0,"Default",
0,1]],[[924,36800,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4432,[["dva"]],[],[0,"Default",0,1]],[[892,36764,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4433,[["dva"]],[],[0,"Default",0,1]],[[956,36762,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4434,[["dva"]],[],[0,"Default",0,1]],[[924,36733,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4435,[["dva"]],[],[0,"Default",0,1]],[[891,36697,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4436,[["dva"]],[],[0,"Default",0,1]],[[955,36696,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4437,[["dva"]],[],[0,"Default",0,1]],[[924,
36663,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4438,[["dva"]],[],[0,"Default",0,1]],[[891,36628,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4439,[["dva"]],[],[0,"Default",0,1]],[[955,36626,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4440,[["dva"]],[],[0,"Default",0,1]],[[923,36597,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4441,[["dva"]],[],[0,"Default",0,1]],[[890,36561,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4442,[["dva"]],[],[0,"Default",0,1]],[[954,36560,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4443,[["dva"]],[],[0,"Default",0,1]],[[923,36527,0,20,
20,0,0,1,0.5,0.5,0,0,[]],78,4444,[["dva"]],[],[0,"Default",0,1]],[[927,37002,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4445,[["dva"]],[],[0,"Default",0,1]],[[894,36966,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4446,[["dva"]],[],[0,"Default",0,1]],[[958,36965,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4447,[["dva"]],[],[0,"Default",0,1]],[[285,36544,0,37,37,0,0,1,0.5135135054588318,0.5135135054588318,0,0,[]],192,4448,[],[],[0,"Default",0,1]],[[852,39063,0,227,269,0,0,1,0.5,0.5031055808067322,0,0,[]],176,4449,[],[],[0,"Default",
0,1]],[[850,38901,0,37,37,0,0,1,0.5135135054588318,0.5135135054588318,0,0,[]],192,4450,[],[],[0,"Default",0,1]],[[349,37358,0,37,37,0,0,1,0.5135135054588318,0.5135135054588318,0,0,[]],192,4451,[],[],[0,"Default",0,1]],[[387,34919,0,37,37,0,0,1,0.5135135054588318,0.5135135054588318,0,0,[]],192,4452,[],[],[0,"Default",0,1]],[[833,38487,0,37,37,0,0,1,0.5135135054588318,0.5135135054588318,0,0,[]],192,4453,[],[],[0,"Default",0,1]],[[566,28319,0,37,37,0,0,1,0.5135135054588318,0.5135135054588318,0,0,[]],
192,4454,[],[],[0,"Default",0,1]],[[282,31473,0,37,37,0,0,1,0.5135135054588318,0.5135135054588318,0,0,[]],192,4455,[],[],[0,"Default",0,1]],[[1022,33961,0,37,37,0,0,1,0.5135135054588318,0.5135135054588318,0,0,[]],192,4456,[],[],[0,"Default",0,1]],[[828,26075,0,37,37,0,0,1,0.5135135054588318,0.5135135054588318,0,0,[]],192,4457,[],[],[0,"Default",0,1]],[[455,38020,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4458,[["dva"]],[],[0,"Default",0,1]],[[341,38383,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4459,[["dva"]],[],[0,
"Default",0,1]],[[589,38242,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4460,[["dva"]],[],[0,"Default",0,1]],[[311,37634,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4461,[["dva"]],[],[0,"Default",0,1]],[[965,37513,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4462,[["dva"]],[],[0,"Default",0,1]],[[282,37088,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4463,[["dva"]],[],[0,"Default",0,1]],[[550,36895,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4464,[["dva"]],[],[0,"Default",0,1]],[[717,37771,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4465,[["dva"]],[],[0,"Default",
0,1]],[[939,36239,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4466,[["dva"]],[],[0,"Default",0,1]],[[256,36245,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4467,[["dva"]],[],[0,"Default",0,1]],[[580,36275,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4468,[["dva"]],[],[0,"Default",0,1]],[[380,35833,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4469,[["dva"]],[],[0,"Default",0,1]],[[544,35768,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4470,[["dva"]],[],[0,"Default",0,1]],[[217,35477,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4471,[["dva"]],[],[0,"Default",0,1]],[[930,
35387,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4472,[["dva"]],[],[0,"Default",0,1]],[[446,35266,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4473,[["dva"]],[],[0,"Default",0,1]],[[253,34920,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4474,[["dva"]],[],[0,"Default",0,1]],[[920,34714,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4475,[["dva"]],[],[0,"Default",0,1]],[[586,34881,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4476,[["dva"]],[],[0,"Default",0,1]],[[988,35751,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4477,[["dva"]],[],[0,"Default",0,1]],[[311,34302,0,20,
20,0,0,1,0.5,0.5,0,0,[]],78,4478,[["dva"]],[],[0,"Default",0,1]],[[959,34214,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4479,[["dva"]],[],[0,"Default",0,1]],[[302,34534,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4480,[["dva"]],[],[0,"Default",0,1]],[[952,34367,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4481,[["dva"]],[],[0,"Default",0,1]],[[658,34407,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4482,[["dva"]],[],[0,"Default",0,1]],[[390,33676,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4483,[["dva"]],[],[0,"Default",0,1]],[[311,33973,0,20,20,0,0,1,
0.5,0.5,0,0,[]],78,4484,[["dva"]],[],[0,"Default",0,1]],[[276,33509,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4485,[["dva"]],[],[0,"Default",0,1]],[[864,33522,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4486,[["dva"]],[],[0,"Default",0,1]],[[557,33179,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4487,[["dva"]],[],[0,"Default",0,1]],[[1005,32571,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4488,[["dva"]],[],[0,"Default",0,1]],[[354,32702,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4489,[["dva"]],[],[0,"Default",0,1]],[[537,32905,0,20,20,0,0,1,0.5,0.5,
0,0,[]],78,4490,[["dva"]],[],[0,"Default",0,1]],[[449,32417,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4491,[["dva"]],[],[0,"Default",0,1]],[[822,32273,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4492,[["dva"]],[],[0,"Default",0,1]],[[279,32084,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4493,[["dva"]],[],[0,"Default",0,1]],[[962,31650,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4494,[["dva"]],[],[0,"Default",0,1]],[[930,31182,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4495,[["dva"]],[],[0,"Default",0,1]],[[338,30764,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,
4496,[["dva"]],[],[0,"Default",0,1]],[[851,29389,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4497,[["dva"]],[],[0,"Default",0,1]],[[710,30330,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4498,[["dva"]],[],[0,"Default",0,1]],[[779,30863,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4499,[["dva"]],[],[0,"Default",0,1]],[[318,29118,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4500,[["dva"]],[],[0,"Default",0,1]],[[285,28432,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4501,[["dva"]],[],[0,"Default",0,1]],[[645,28027,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4502,[["dva"]],
[],[0,"Default",0,1]],[[580,28547,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4503,[["dva"]],[],[0,"Default",0,1]],[[344,27612,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4504,[["dva"]],[],[0,"Default",0,1]],[[162,26628,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4505,[["dva"]],[],[0,"Default",0,1]],[[864,25770,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4506,[["dva"]],[],[0,"Default",0,1]],[[298,25426,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4507,[["dva"]],[],[0,"Default",0,1]],[[809,25371,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4508,[["dva"]],[],[0,"Default",
0,1]],[[256,26191,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4509,[["dva"]],[],[0,"Default",0,1]],[[1005,26378,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4510,[["dva"]],[],[0,"Default",0,1]],[[763,26270,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4511,[["dva"]],[],[0,"Default",0,1]],[[603,25622,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4512,[["dva"]],[],[0,"Default",0,1]],[[282,28020,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4513,[["dva"]],[],[0,"Default",0,1]],[[230,30013,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4514,[["dva"]],[],[0,"Default",0,1]],[[694,
29586,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4515,[["dva"]],[],[0,"Default",0,1]],[[913,28752,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4516,[["dva"]],[],[0,"Default",0,1]],[[289,31107,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4684,[["dva"]],[],[0,"Default",0,1]],[[913,32009,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4685,[["dva"]],[],[0,"Default",0,1]],[[213,32979,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4686,[["dva"]],[],[0,"Default",0,1]],[[1001,33684,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4688,[["dva"]],[],[0,"Default",0,1]],[[501,36021,0,
20,20,0,0,1,0.5,0.5,0,0,[]],78,4690,[["dva"]],[],[0,"Default",0,1]],[[511,35521,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4691,[["dva"]],[],[0,"Default",0,1]],[[334,36831,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4692,[["dva"]],[],[0,"Default",0,1]],[[426,38723,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4693,[["dva"]],[],[0,"Default",0,1]],[[920,38726,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4698,[["dva"]],[],[0,"Default",0,1]],[[589,38599,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4699,[["dva"]],[],[0,"Default",0,1]],[[956,35018,0,20,20,0,0,
1,0.5,0.5,0,0,[]],78,4700,[["dva"]],[],[0,"Default",0,1]],[[593,33495,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4701,[["dva"]],[],[0,"Default",0,1]],[[465,31928,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4702,[["dva"]],[],[0,"Default",0,1]],[[246,28781,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4705,[["dva"]],[],[0,"Default",0,1]],[[926,27831,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4711,[["dva"]],[],[0,"Default",0,1]],[[637,38652,0,146.0848999023438,121.737419128418,0,0,1,0.5,0.5,0,0,[]],181,4715,[],[[1,0,0,40,0,0,0,500,0],[1,0,0,4,
0,0,0,0,0]],[0,"Default",0,1]],[[622,34664,0,146.0848999023438,121.737419128418,0,0,1,0.5,0.5,0,0,[]],181,4725,[],[[1,0,0,7,0,0,0,50,0],[1,1,0,4,0,0,0,50,0]],[0,"Default",0,1]],[[845,33387,0,146.0848999023438,121.737419128418,0,0,1,0.5,0.5,0,0,[]],181,4729,[],[[1,0,0,7,0,0,0,50,0],[1,1,0,8,0,0,0,150,0]],[0,"Default",0,1]],[[834,31597,0,146.0848999023438,121.737419128418,0,0,1,0.5,0.5,0,0,[]],181,4748,[],[[1,0,0,35,0,0,0,500,0],[1,1,0,4,0,0,0,50,0]],[0,"Default",0,1]],[[337,29617,0,146.0848999023438,
121.737419128418,0,0,1,0.5,0.5,0,0,[]],181,4749,[],[[1,0,0,7,0,0,0,50,0],[1,1,0,4,0,0,0,50,0]],[0,"Default",0,1]],[[454,28032,0,146.0848999023438,121.737419128418,0,0,1,0.5,0.5,0,0,[]],181,4750,[],[[1,0,0,35,0,0,0,500,0],[1,1,0,4,0,0,0,50,0]],[0,"Default",0,1]],[[821,25492,0,146.0848999023438,121.737419128418,0,0,1,0.5,0.5,0,0,[]],181,4751,[],[[1,0,0,7,0,0,0,50,0],[1,1,0,8,0,0,0,150,0]],[0,"Default",0,1]],[[816,30189,0,146.0848999023438,121.737419128418,0,0,1,0.5,0.5,0,0,[]],181,4754,[],[[1,0,0,40,
0,0,0,50,0],[1,0,0,4,0,0,0,25,0]],[0,"Default",0,1]],[[376,26285,0,146.0848999023438,121.737419128418,0,0,1,0.5,0.5,0,0,[]],181,4755,[],[[1,0,0,40,0,0,0,50,0],[1,0,0,4,0,0,0,25,0]],[0,"Default",0,1]],[[598,36601,0,277,19,0,0,1,0.5,0.5,0,0,[]],183,4756,[],[],[0,"Default",0,1]],[[364,33316,0,187,14,0,0,1,0.5,0.5,0,0,[]],183,4757,[],[],[0,"Default",0,1]],[[797,29949,0,285,14,0,0,1,0.5,0.5,0,0,[]],183,4758,[],[],[0,"Default",0,1]],[[350,27216,0,138.8775329589844,14,0,0,1,0.5,0.5,0,0,[]],183,4759,[],[],
[0,"Default",0,1]],[[591,699,0,337,14,0,0,1,0.5,0.5,0,0,[]],183,4760,[],[],[0,"Default",0,1]],[[425,698,0,60,61,0,0,1,0.5,0.5081967115402222,0,0,[]],193,4761,[],[],[0,"Default",0,1]],[[764,697,0,60,61,0,0,1,0.5,0.5081967115402222,0,0,[]],193,4762,[],[],[0,"Default",0,1]],[[277,27216,0,60,61,0,0,1,0.5,0.5081967115402222,0,0,[]],193,4763,[],[],[0,"Default",0,1]],[[430,27219,0,60,61,0,0,1,0.5,0.5081967115402222,0,0,[]],193,4764,[],[],[0,"Default",0,1]],[[655,29946,0,60,61,0,0,1,0.5,0.5081967115402222,
0,0,[]],193,4765,[],[],[0,"Default",0,1]],[[940,29947,0,60,61,0,0,1,0.5,0.5081967115402222,0,0,[]],193,4766,[],[],[0,"Default",0,1]],[[264,33315,0,60,61,0,0,1,0.5,0.5081967115402222,0,0,[]],193,4767,[],[],[0,"Default",0,1]],[[449,33318,0,60,61,0,0,1,0.5,0.5081967115402222,0,0,[]],193,4768,[],[],[0,"Default",0,1]],[[454,36604,0,60,61,0,0,1,0.5,0.5081967115402222,0,0,[]],193,4769,[],[],[0,"Default",0,1]],[[737,36601,0,60,61,0,0,1,0.5,0.5081967115402222,0,0,[]],193,4770,[],[],[0,"Default",0,1]],[[398,
37628,0,146.0848999023438,121.737419128418,0,0,1,0.5,0.5,0,0,[]],181,4771,[],[[1,0,0,40,0,0,0,500,0],[1,0,0,4,0,0,0,0,0]],[0,"Default",0,1]],[[395,36262,0,146.0848999023438,121.737419128418,0,0,1,0.5,0.5,0,0,[]],181,4772,[],[[1,0,0,40,0,0,0,50,0],[1,0,0,4,0,0,0,25,0]],[0,"Default",0,1]],[[505,35133,0,146.0848999023438,121.737419128418,0,0,1,0.5,0.5,0,0,[]],181,4773,[],[[1,0,0,7,0,0,0,50,0],[1,1,0,4,0,0,0,50,0]],[0,"Default",0,1]],[[723,33757,0,146.0848999023438,121.737419128418,0,0,1,0.5,0.5,0,0,
[]],181,4774,[],[[1,0,0,7,0,0,0,50,0],[1,1,0,8,0,0,0,150,0]],[0,"Default",0,1]],[[297,31877,0,146.0848999023438,121.737419128418,0,0,1,0.5,0.5,0,0,[]],181,4775,[],[[1,0,0,35,0,0,0,500,0],[1,1,0,4,0,0,0,50,0]],[0,"Default",0,1]],[[478,30617,0,146.0848999023438,121.737419128418,0,0,1,0.5,0.5,0,0,[]],181,4776,[],[[1,0,0,40,0,0,0,50,0],[1,0,0,4,0,0,0,25,0]],[0,"Default",0,1]],[[490,28810,0,146.0848999023438,121.737419128418,0,0,1,0.5,0.5,0,0,[]],181,4777,[],[[1,0,0,7,0,0,0,50,0],[1,1,0,4,0,0,0,50,0]],
[0,"Default",0,1]],[[660,25848,0,146.0848999023438,121.737419128418,0,0,1,0.5,0.5,0,0,[]],181,4778,[],[[1,0,0,40,0,0,0,50,0],[1,0,0,4,0,0,0,25,0]],[0,"Default",0,1]],[[600,24849,0,110.8377227783203,147.7836303710938,0,0,1,0.5066666603088379,0.5,0,0,[]],191,4851,[],[[1,1,0,18,0,0,0,250,0]],[0,"Default",0,1]],[[836,23564,0,110.8377227783203,147.7836303710938,0,0,1,0.5066666603088379,0.5,0,0,[]],191,4852,[],[[1,1,0,18,0,0,0,250,0]],[0,"Default",0,1]],[[338,22198,0,110.8377227783203,147.7836303710938,
0,0,1,0.5066666603088379,0.5,0,0,[]],191,4853,[],[[1,1,0,18,0,0,0,250,0]],[0,"Default",0,1]],[[452,20650,0,110.8377227783203,147.7836303710938,0,0,1,0.5066666603088379,0.5,0,0,[]],191,4854,[],[[1,1,0,18,0,0,0,250,0]],[0,"Default",0,1]],[[634,19035,0,110.8377227783203,147.7836303710938,0,0,1,0.5066666603088379,0.5,0,0,[]],191,4855,[],[[1,1,0,18,0,0,0,250,0]],[0,"Default",0,1]],[[452,17649,0,110.8377227783203,147.7836303710938,0,0,1,0.5066666603088379,0.5,0,0,[]],191,4856,[],[[1,1,0,18,0,0,0,250,0]],
[0,"Default",0,1]],[[869,15502,0,110.8377227783203,147.7836303710938,0,0,1,0.5066666603088379,0.5,0,0,[]],191,4857,[],[[1,1,0,18,0,0,0,250,0]],[0,"Default",0,1]],[[714,13658,0,110.8377227783203,147.7836303710938,0,0,1,0.5066666603088379,0.5,0,0,[]],191,4858,[],[[1,1,0,18,0,0,0,250,0]],[0,"Default",0,1]],[[419,19965,0,165.7630004882813,72.80000305175781,0,0,1,0.5058823823928833,0.5,0,0,[]],70,4860,[],[],[0,"Default",0,1]],[[656,23254,0,135.1665649414063,77.238037109375,0,0,1,0.5074626803398132,0.5,
0,0,[]],69,4861,[],[],[0,"Default",0,1]],[[834,22717,0,50,50,0,-0.01136865559965372,1,0.5,0.5,0,0,[]],77,4862,[[17]],[],[0,"Default",0,1]],[[513,16322,0,50,50,0,-0.01136865559965372,1,0.5,0.5,0,0,[]],77,4863,[[19]],[],[0,"Default",0,1]],[[416,13737,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,4864,[],[[]],[0,"Default",0,1]],[[529,13013,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4865,[["dva"]],[],[0,"Default",0,1]],[[593,13002,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4866,[["dva"]],[],[0,"Default",0,1]],[[561,12982,0,20,20,0,0,
1,0.5,0.5,0,0,[]],78,4867,[["dva"]],[],[0,"Default",0,1]],[[561,13044,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4868,[["dva"]],[],[0,"Default",0,1]],[[528,12948,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4869,[["dva"]],[],[0,"Default",0,1]],[[592,12947,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4870,[["dva"]],[],[0,"Default",0,1]],[[561,12914,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4871,[["dva"]],[],[0,"Default",0,1]],[[740,18828,0,50,50,0,-0.01136865559965372,1,0.5,0.5,0,0,[]],77,4872,[[18]],[],[0,"Default",0,1]],[[335,19994,0,174,
65,0,0,1,0,0,0,0,[]],75,4878,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[331,19993,0,181,16,0,0,1,0,0,0,0,[]],67,4879,[],[],[0,0]],[[345,13898,0,129,65,0,0,1,0,0,0,0,[]],75,4880,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[341,13896,0,136,16,0,0,1,0,0,0,0,[]],67,4881,[],[],[0,0]],[[527,23279,0,255,65,0,0,1,0,0,0,0,[]],75,4882,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[523,23278,0,264.3424072265625,15.8963623046875,0,0,1,0,0,0,0,[]],67,4883,[],[],[0,0]],[[724,16622,0,262,65,0,0,1,0,0,0,0,
[]],75,4884,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[723,16620,0,265,16,0,0,1,0,0,0,0,[]],67,4885,[],[],[0,0]],[[529,12878,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4888,[["dva"]],[],[0,"Default",0,1]],[[593,12876,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4889,[["dva"]],[],[0,"Default",0,1]],[[561,12847,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4890,[["dva"]],[],[0,"Default",0,1]],[[528,12811,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4891,[["dva"]],[],[0,"Default",0,1]],[[592,12810,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4892,[["dva"]],
[],[0,"Default",0,1]],[[561,12777,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4893,[["dva"]],[],[0,"Default",0,1]],[[528,12742,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4894,[["dva"]],[],[0,"Default",0,1]],[[592,12740,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4895,[["dva"]],[],[0,"Default",0,1]],[[560,12711,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4896,[["dva"]],[],[0,"Default",0,1]],[[527,12675,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4897,[["dva"]],[],[0,"Default",0,1]],[[591,12674,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4898,[["dva"]],[],[0,"Default",
0,1]],[[560,12641,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4899,[["dva"]],[],[0,"Default",0,1]],[[858,14061,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4900,[["dva"]],[],[0,"Default",0,1]],[[922,14050,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4901,[["dva"]],[],[0,"Default",0,1]],[[890,14030,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4902,[["dva"]],[],[0,"Default",0,1]],[[890,14092,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4903,[["dva"]],[],[0,"Default",0,1]],[[857,13996,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4904,[["dva"]],[],[0,"Default",0,1]],[[921,
13995,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4905,[["dva"]],[],[0,"Default",0,1]],[[890,13962,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4906,[["dva"]],[],[0,"Default",0,1]],[[858,13926,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4907,[["dva"]],[],[0,"Default",0,1]],[[922,13924,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4908,[["dva"]],[],[0,"Default",0,1]],[[890,13895,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4909,[["dva"]],[],[0,"Default",0,1]],[[857,13859,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4910,[["dva"]],[],[0,"Default",0,1]],[[921,13858,0,20,
20,0,0,1,0.5,0.5,0,0,[]],78,4911,[["dva"]],[],[0,"Default",0,1]],[[890,13825,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4912,[["dva"]],[],[0,"Default",0,1]],[[857,13790,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4913,[["dva"]],[],[0,"Default",0,1]],[[921,13788,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4914,[["dva"]],[],[0,"Default",0,1]],[[889,13759,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4915,[["dva"]],[],[0,"Default",0,1]],[[856,13723,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4916,[["dva"]],[],[0,"Default",0,1]],[[920,13722,0,20,20,0,0,1,
0.5,0.5,0,0,[]],78,4917,[["dva"]],[],[0,"Default",0,1]],[[889,13689,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4918,[["dva"]],[],[0,"Default",0,1]],[[591,14540,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4919,[["dva"]],[],[0,"Default",0,1]],[[655,14529,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4920,[["dva"]],[],[0,"Default",0,1]],[[623,14509,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4921,[["dva"]],[],[0,"Default",0,1]],[[623,14571,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4922,[["dva"]],[],[0,"Default",0,1]],[[590,14475,0,20,20,0,0,1,0.5,0.5,0,
0,[]],78,4923,[["dva"]],[],[0,"Default",0,1]],[[654,14474,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4924,[["dva"]],[],[0,"Default",0,1]],[[623,14441,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4925,[["dva"]],[],[0,"Default",0,1]],[[591,14405,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4926,[["dva"]],[],[0,"Default",0,1]],[[655,14403,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4927,[["dva"]],[],[0,"Default",0,1]],[[623,14374,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4928,[["dva"]],[],[0,"Default",0,1]],[[590,14338,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,
4929,[["dva"]],[],[0,"Default",0,1]],[[654,14337,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4930,[["dva"]],[],[0,"Default",0,1]],[[623,14304,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4931,[["dva"]],[],[0,"Default",0,1]],[[590,14269,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4932,[["dva"]],[],[0,"Default",0,1]],[[654,14267,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4933,[["dva"]],[],[0,"Default",0,1]],[[622,14238,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4934,[["dva"]],[],[0,"Default",0,1]],[[589,14202,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4935,[["dva"]],
[],[0,"Default",0,1]],[[653,14201,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4936,[["dva"]],[],[0,"Default",0,1]],[[622,14168,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4937,[["dva"]],[],[0,"Default",0,1]],[[939,15245,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4938,[["dva"]],[],[0,"Default",0,1]],[[1003,15234,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4939,[["dva"]],[],[0,"Default",0,1]],[[971,15214,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4940,[["dva"]],[],[0,"Default",0,1]],[[971,15276,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4941,[["dva"]],[],[0,"Default",
0,1]],[[938,15180,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4942,[["dva"]],[],[0,"Default",0,1]],[[1002,15179,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4943,[["dva"]],[],[0,"Default",0,1]],[[971,15146,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4944,[["dva"]],[],[0,"Default",0,1]],[[939,15110,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4945,[["dva"]],[],[0,"Default",0,1]],[[1003,15108,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4946,[["dva"]],[],[0,"Default",0,1]],[[971,15079,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4947,[["dva"]],[],[0,"Default",0,1]],[[938,
15043,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4948,[["dva"]],[],[0,"Default",0,1]],[[1002,15042,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4949,[["dva"]],[],[0,"Default",0,1]],[[971,15009,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4950,[["dva"]],[],[0,"Default",0,1]],[[938,14974,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4951,[["dva"]],[],[0,"Default",0,1]],[[1002,14972,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4952,[["dva"]],[],[0,"Default",0,1]],[[970,14943,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4953,[["dva"]],[],[0,"Default",0,1]],[[937,14907,0,
20,20,0,0,1,0.5,0.5,0,0,[]],78,4954,[["dva"]],[],[0,"Default",0,1]],[[1001,14906,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4955,[["dva"]],[],[0,"Default",0,1]],[[970,14873,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4956,[["dva"]],[],[0,"Default",0,1]],[[595,15958,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4957,[["dva"]],[],[0,"Default",0,1]],[[659,15947,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4958,[["dva"]],[],[0,"Default",0,1]],[[627,15927,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4959,[["dva"]],[],[0,"Default",0,1]],[[627,15989,0,20,20,0,
0,1,0.5,0.5,0,0,[]],78,4960,[["dva"]],[],[0,"Default",0,1]],[[594,15893,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4961,[["dva"]],[],[0,"Default",0,1]],[[658,15892,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4962,[["dva"]],[],[0,"Default",0,1]],[[627,15859,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4963,[["dva"]],[],[0,"Default",0,1]],[[595,15823,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4964,[["dva"]],[],[0,"Default",0,1]],[[659,15821,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4965,[["dva"]],[],[0,"Default",0,1]],[[627,15792,0,20,20,0,0,1,0.5,0.5,
0,0,[]],78,4966,[["dva"]],[],[0,"Default",0,1]],[[594,15756,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4967,[["dva"]],[],[0,"Default",0,1]],[[658,15755,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4968,[["dva"]],[],[0,"Default",0,1]],[[627,15722,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4969,[["dva"]],[],[0,"Default",0,1]],[[594,15687,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4970,[["dva"]],[],[0,"Default",0,1]],[[658,15685,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4971,[["dva"]],[],[0,"Default",0,1]],[[626,15656,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,
4972,[["dva"]],[],[0,"Default",0,1]],[[593,15620,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4973,[["dva"]],[],[0,"Default",0,1]],[[657,15619,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4974,[["dva"]],[],[0,"Default",0,1]],[[626,15586,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4975,[["dva"]],[],[0,"Default",0,1]],[[481,16797,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4976,[["dva"]],[],[0,"Default",0,1]],[[545,16795,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4977,[["dva"]],[],[0,"Default",0,1]],[[513,16766,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4978,[["dva"]],
[],[0,"Default",0,1]],[[513,16828,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4979,[["dva"]],[],[0,"Default",0,1]],[[480,16732,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4980,[["dva"]],[],[0,"Default",0,1]],[[544,16731,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4981,[["dva"]],[],[0,"Default",0,1]],[[513,16698,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4982,[["dva"]],[],[0,"Default",0,1]],[[481,16662,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4983,[["dva"]],[],[0,"Default",0,1]],[[545,16660,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4984,[["dva"]],[],[0,"Default",
0,1]],[[513,16631,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4985,[["dva"]],[],[0,"Default",0,1]],[[480,16595,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4986,[["dva"]],[],[0,"Default",0,1]],[[544,16594,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4987,[["dva"]],[],[0,"Default",0,1]],[[513,16561,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4988,[["dva"]],[],[0,"Default",0,1]],[[480,16526,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4989,[["dva"]],[],[0,"Default",0,1]],[[544,16524,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4990,[["dva"]],[],[0,"Default",0,1]],[[512,
16495,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4991,[["dva"]],[],[0,"Default",0,1]],[[479,16459,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4992,[["dva"]],[],[0,"Default",0,1]],[[543,16458,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4993,[["dva"]],[],[0,"Default",0,1]],[[512,16425,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4994,[["dva"]],[],[0,"Default",0,1]],[[485,17202,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4995,[["dva"]],[],[0,"Default",0,1]],[[549,17200,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4996,[["dva"]],[],[0,"Default",0,1]],[[517,17171,0,20,
20,0,0,1,0.5,0.5,0,0,[]],78,4997,[["dva"]],[],[0,"Default",0,1]],[[517,17233,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4998,[["dva"]],[],[0,"Default",0,1]],[[484,17137,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,4999,[["dva"]],[],[0,"Default",0,1]],[[548,17136,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5E3,[["dva"]],[],[0,"Default",0,1]],[[517,17103,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5001,[["dva"]],[],[0,"Default",0,1]],[[485,17067,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5002,[["dva"]],[],[0,"Default",0,1]],[[549,17065,0,20,20,0,0,1,0.5,
0.5,0,0,[]],78,5003,[["dva"]],[],[0,"Default",0,1]],[[517,17036,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5004,[["dva"]],[],[0,"Default",0,1]],[[484,17E3,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5005,[["dva"]],[],[0,"Default",0,1]],[[548,16999,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5006,[["dva"]],[],[0,"Default",0,1]],[[517,16966,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5007,[["dva"]],[],[0,"Default",0,1]],[[484,16931,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5008,[["dva"]],[],[0,"Default",0,1]],[[548,16929,0,20,20,0,0,1,0.5,0.5,0,0,[]],
78,5009,[["dva"]],[],[0,"Default",0,1]],[[516,16900,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5010,[["dva"]],[],[0,"Default",0,1]],[[483,16864,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5011,[["dva"]],[],[0,"Default",0,1]],[[547,16863,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5012,[["dva"]],[],[0,"Default",0,1]],[[992,17319,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5013,[["dva"]],[],[0,"Default",0,1]],[[1056,17317,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5014,[["dva"]],[],[0,"Default",0,1]],[[1024,17288,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5015,
[["dva"]],[],[0,"Default",0,1]],[[1024,17350,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5016,[["dva"]],[],[0,"Default",0,1]],[[991,17254,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5017,[["dva"]],[],[0,"Default",0,1]],[[1055,17253,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5018,[["dva"]],[],[0,"Default",0,1]],[[1024,17220,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5019,[["dva"]],[],[0,"Default",0,1]],[[992,17184,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5020,[["dva"]],[],[0,"Default",0,1]],[[1056,17182,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5021,[["dva"]],
[],[0,"Default",0,1]],[[1024,17153,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5022,[["dva"]],[],[0,"Default",0,1]],[[991,17117,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5023,[["dva"]],[],[0,"Default",0,1]],[[1055,17116,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5024,[["dva"]],[],[0,"Default",0,1]],[[1024,17083,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5025,[["dva"]],[],[0,"Default",0,1]],[[991,17048,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5026,[["dva"]],[],[0,"Default",0,1]],[[1055,17046,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5027,[["dva"]],[],[0,
"Default",0,1]],[[1023,17017,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5028,[["dva"]],[],[0,"Default",0,1]],[[990,16981,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5029,[["dva"]],[],[0,"Default",0,1]],[[1054,16980,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5030,[["dva"]],[],[0,"Default",0,1]],[[1023,16947,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5031,[["dva"]],[],[0,"Default",0,1]],[[1027,17422,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5032,[["dva"]],[],[0,"Default",0,1]],[[994,17386,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5033,[["dva"]],[],[0,"Default",
0,1]],[[1058,17385,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5034,[["dva"]],[],[0,"Default",0,1]],[[576,18366,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5035,[["dva"]],[],[0,"Default",0,1]],[[640,18364,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5036,[["dva"]],[],[0,"Default",0,1]],[[608,18335,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5037,[["dva"]],[],[0,"Default",0,1]],[[608,18397,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5038,[["dva"]],[],[0,"Default",0,1]],[[575,18301,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5039,[["dva"]],[],[0,"Default",0,1]],[[639,
18300,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5040,[["dva"]],[],[0,"Default",0,1]],[[608,18267,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5041,[["dva"]],[],[0,"Default",0,1]],[[576,18231,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5042,[["dva"]],[],[0,"Default",0,1]],[[640,18229,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5043,[["dva"]],[],[0,"Default",0,1]],[[608,18200,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5044,[["dva"]],[],[0,"Default",0,1]],[[575,18164,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5045,[["dva"]],[],[0,"Default",0,1]],[[639,18163,0,20,
20,0,0,1,0.5,0.5,0,0,[]],78,5046,[["dva"]],[],[0,"Default",0,1]],[[608,18130,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5047,[["dva"]],[],[0,"Default",0,1]],[[575,18095,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5048,[["dva"]],[],[0,"Default",0,1]],[[639,18093,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5049,[["dva"]],[],[0,"Default",0,1]],[[607,18064,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5050,[["dva"]],[],[0,"Default",0,1]],[[574,18028,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5051,[["dva"]],[],[0,"Default",0,1]],[[638,18027,0,20,20,0,0,1,
0.5,0.5,0,0,[]],78,5052,[["dva"]],[],[0,"Default",0,1]],[[607,17994,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5053,[["dva"]],[],[0,"Default",0,1]],[[611,18469,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5054,[["dva"]],[],[0,"Default",0,1]],[[578,18433,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5055,[["dva"]],[],[0,"Default",0,1]],[[642,18432,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5056,[["dva"]],[],[0,"Default",0,1]],[[842,19650,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5057,[["dva"]],[],[0,"Default",0,1]],[[906,19648,0,20,20,0,0,1,0.5,0.5,0,
0,[]],78,5058,[["dva"]],[],[0,"Default",0,1]],[[874,19619,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5059,[["dva"]],[],[0,"Default",0,1]],[[874,19681,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5060,[["dva"]],[],[0,"Default",0,1]],[[841,19585,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5061,[["dva"]],[],[0,"Default",0,1]],[[905,19584,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5062,[["dva"]],[],[0,"Default",0,1]],[[874,19551,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5063,[["dva"]],[],[0,"Default",0,1]],[[842,19515,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,
5064,[["dva"]],[],[0,"Default",0,1]],[[906,19513,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5065,[["dva"]],[],[0,"Default",0,1]],[[874,19484,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5066,[["dva"]],[],[0,"Default",0,1]],[[841,19448,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5067,[["dva"]],[],[0,"Default",0,1]],[[905,19447,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5068,[["dva"]],[],[0,"Default",0,1]],[[874,19414,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5069,[["dva"]],[],[0,"Default",0,1]],[[841,19379,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5070,[["dva"]],
[],[0,"Default",0,1]],[[905,19377,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5071,[["dva"]],[],[0,"Default",0,1]],[[873,19348,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5072,[["dva"]],[],[0,"Default",0,1]],[[840,19312,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5073,[["dva"]],[],[0,"Default",0,1]],[[904,19311,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5074,[["dva"]],[],[0,"Default",0,1]],[[873,19278,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5075,[["dva"]],[],[0,"Default",0,1]],[[877,19753,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5076,[["dva"]],[],[0,"Default",
0,1]],[[844,19717,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5077,[["dva"]],[],[0,"Default",0,1]],[[908,19716,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5078,[["dva"]],[],[0,"Default",0,1]],[[591,20942,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5079,[["dva"]],[],[0,"Default",0,1]],[[655,20940,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5080,[["dva"]],[],[0,"Default",0,1]],[[623,20911,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5081,[["dva"]],[],[0,"Default",0,1]],[[623,20973,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5082,[["dva"]],[],[0,"Default",0,1]],[[590,
20877,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5083,[["dva"]],[],[0,"Default",0,1]],[[654,20876,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5084,[["dva"]],[],[0,"Default",0,1]],[[623,20843,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5085,[["dva"]],[],[0,"Default",0,1]],[[591,20807,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5086,[["dva"]],[],[0,"Default",0,1]],[[655,20805,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5087,[["dva"]],[],[0,"Default",0,1]],[[623,20776,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5088,[["dva"]],[],[0,"Default",0,1]],[[590,20740,0,20,
20,0,0,1,0.5,0.5,0,0,[]],78,5089,[["dva"]],[],[0,"Default",0,1]],[[654,20739,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5090,[["dva"]],[],[0,"Default",0,1]],[[623,20706,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5091,[["dva"]],[],[0,"Default",0,1]],[[590,20671,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5092,[["dva"]],[],[0,"Default",0,1]],[[654,20669,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5093,[["dva"]],[],[0,"Default",0,1]],[[622,20640,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5094,[["dva"]],[],[0,"Default",0,1]],[[589,20604,0,20,20,0,0,1,
0.5,0.5,0,0,[]],78,5095,[["dva"]],[],[0,"Default",0,1]],[[653,20603,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5096,[["dva"]],[],[0,"Default",0,1]],[[622,20570,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5097,[["dva"]],[],[0,"Default",0,1]],[[626,21045,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5098,[["dva"]],[],[0,"Default",0,1]],[[593,21009,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5099,[["dva"]],[],[0,"Default",0,1]],[[657,21008,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5100,[["dva"]],[],[0,"Default",0,1]],[[795,22203,0,20,20,0,0,1,0.5,0.5,0,
0,[]],78,5101,[["dva"]],[],[0,"Default",0,1]],[[859,22201,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5102,[["dva"]],[],[0,"Default",0,1]],[[827,22172,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5103,[["dva"]],[],[0,"Default",0,1]],[[827,22234,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5104,[["dva"]],[],[0,"Default",0,1]],[[794,22138,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5105,[["dva"]],[],[0,"Default",0,1]],[[858,22137,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5106,[["dva"]],[],[0,"Default",0,1]],[[827,22104,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,
5107,[["dva"]],[],[0,"Default",0,1]],[[795,22068,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5108,[["dva"]],[],[0,"Default",0,1]],[[859,22066,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5109,[["dva"]],[],[0,"Default",0,1]],[[827,22037,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5110,[["dva"]],[],[0,"Default",0,1]],[[794,22001,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5111,[["dva"]],[],[0,"Default",0,1]],[[858,22E3,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5112,[["dva"]],[],[0,"Default",0,1]],[[827,21967,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5113,[["dva"]],
[],[0,"Default",0,1]],[[794,21932,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5114,[["dva"]],[],[0,"Default",0,1]],[[858,21930,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5115,[["dva"]],[],[0,"Default",0,1]],[[826,21901,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5116,[["dva"]],[],[0,"Default",0,1]],[[793,21865,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5117,[["dva"]],[],[0,"Default",0,1]],[[857,21864,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5118,[["dva"]],[],[0,"Default",0,1]],[[826,21831,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5119,[["dva"]],[],[0,"Default",
0,1]],[[830,22306,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5120,[["dva"]],[],[0,"Default",0,1]],[[797,22270,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5121,[["dva"]],[],[0,"Default",0,1]],[[861,22269,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5122,[["dva"]],[],[0,"Default",0,1]],[[858,25085,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5123,[["dva"]],[],[0,"Default",0,1]],[[922,25083,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5124,[["dva"]],[],[0,"Default",0,1]],[[890,25054,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5125,[["dva"]],[],[0,"Default",0,1]],[[890,
25116,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5126,[["dva"]],[],[0,"Default",0,1]],[[857,25020,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5127,[["dva"]],[],[0,"Default",0,1]],[[921,25019,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5128,[["dva"]],[],[0,"Default",0,1]],[[890,24986,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5129,[["dva"]],[],[0,"Default",0,1]],[[858,24950,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5130,[["dva"]],[],[0,"Default",0,1]],[[922,24948,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5131,[["dva"]],[],[0,"Default",0,1]],[[890,24919,0,20,
20,0,0,1,0.5,0.5,0,0,[]],78,5132,[["dva"]],[],[0,"Default",0,1]],[[857,24883,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5133,[["dva"]],[],[0,"Default",0,1]],[[921,24882,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5134,[["dva"]],[],[0,"Default",0,1]],[[890,24849,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5135,[["dva"]],[],[0,"Default",0,1]],[[857,24814,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5136,[["dva"]],[],[0,"Default",0,1]],[[921,24812,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5137,[["dva"]],[],[0,"Default",0,1]],[[889,24783,0,20,20,0,0,1,
0.5,0.5,0,0,[]],78,5138,[["dva"]],[],[0,"Default",0,1]],[[856,24747,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5139,[["dva"]],[],[0,"Default",0,1]],[[920,24746,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5140,[["dva"]],[],[0,"Default",0,1]],[[889,24713,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5141,[["dva"]],[],[0,"Default",0,1]],[[893,25188,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5142,[["dva"]],[],[0,"Default",0,1]],[[860,25152,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5143,[["dva"]],[],[0,"Default",0,1]],[[924,25151,0,20,20,0,0,1,0.5,0.5,0,
0,[]],78,5144,[["dva"]],[],[0,"Default",0,1]],[[631,24247,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5145,[["dva"]],[],[0,"Default",0,1]],[[695,24245,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5146,[["dva"]],[],[0,"Default",0,1]],[[663,24216,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5147,[["dva"]],[],[0,"Default",0,1]],[[663,24278,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5148,[["dva"]],[],[0,"Default",0,1]],[[630,24182,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5149,[["dva"]],[],[0,"Default",0,1]],[[694,24181,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,
5150,[["dva"]],[],[0,"Default",0,1]],[[663,24148,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5151,[["dva"]],[],[0,"Default",0,1]],[[631,24112,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5152,[["dva"]],[],[0,"Default",0,1]],[[695,24110,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5153,[["dva"]],[],[0,"Default",0,1]],[[663,24081,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5154,[["dva"]],[],[0,"Default",0,1]],[[630,24045,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5155,[["dva"]],[],[0,"Default",0,1]],[[694,24044,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5156,[["dva"]],
[],[0,"Default",0,1]],[[663,24011,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5157,[["dva"]],[],[0,"Default",0,1]],[[630,23976,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5158,[["dva"]],[],[0,"Default",0,1]],[[694,23974,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5159,[["dva"]],[],[0,"Default",0,1]],[[662,23945,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5160,[["dva"]],[],[0,"Default",0,1]],[[629,23909,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5161,[["dva"]],[],[0,"Default",0,1]],[[693,23908,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5162,[["dva"]],[],[0,"Default",
0,1]],[[662,23875,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5163,[["dva"]],[],[0,"Default",0,1]],[[666,24350,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5164,[["dva"]],[],[0,"Default",0,1]],[[633,24314,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5165,[["dva"]],[],[0,"Default",0,1]],[[697,24313,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5166,[["dva"]],[],[0,"Default",0,1]],[[952,23668,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5167,[["dva"]],[],[0,"Default",0,1]],[[1016,23666,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5168,[["dva"]],[],[0,"Default",0,1]],[[984,
23637,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5169,[["dva"]],[],[0,"Default",0,1]],[[984,23699,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5170,[["dva"]],[],[0,"Default",0,1]],[[951,23603,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5171,[["dva"]],[],[0,"Default",0,1]],[[1015,23602,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5172,[["dva"]],[],[0,"Default",0,1]],[[984,23569,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5173,[["dva"]],[],[0,"Default",0,1]],[[952,23533,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5174,[["dva"]],[],[0,"Default",0,1]],[[1016,23531,0,
20,20,0,0,1,0.5,0.5,0,0,[]],78,5175,[["dva"]],[],[0,"Default",0,1]],[[984,23502,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5176,[["dva"]],[],[0,"Default",0,1]],[[951,23466,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5177,[["dva"]],[],[0,"Default",0,1]],[[1015,23465,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5178,[["dva"]],[],[0,"Default",0,1]],[[984,23432,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5179,[["dva"]],[],[0,"Default",0,1]],[[951,23397,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5180,[["dva"]],[],[0,"Default",0,1]],[[1015,23395,0,20,20,0,
0,1,0.5,0.5,0,0,[]],78,5181,[["dva"]],[],[0,"Default",0,1]],[[983,23366,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5182,[["dva"]],[],[0,"Default",0,1]],[[950,23330,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5183,[["dva"]],[],[0,"Default",0,1]],[[1014,23329,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5184,[["dva"]],[],[0,"Default",0,1]],[[983,23296,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5185,[["dva"]],[],[0,"Default",0,1]],[[987,23771,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5186,[["dva"]],[],[0,"Default",0,1]],[[954,23735,0,20,20,0,0,1,0.5,
0.5,0,0,[]],78,5187,[["dva"]],[],[0,"Default",0,1]],[[1018,23734,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5188,[["dva"]],[],[0,"Default",0,1]],[[345,23313,0,37,37,0,0,1,0.5135135054588318,0.5135135054588318,0,0,[]],192,5189,[],[],[0,"Default",0,1]],[[893,25256,0,37,37,0,0,1,0.5135135054588318,0.5135135054588318,0,0,[]],192,5190,[],[],[0,"Default",0,1]],[[626,15088,0,37,37,0,0,1,0.5135135054588318,0.5135135054588318,0,0,[]],192,5191,[],[],[0,"Default",0,1]],[[342,18242,0,37,37,0,0,1,0.5135135054588318,0.5135135054588318,
0,0,[]],192,5192,[],[],[0,"Default",0,1]],[[1082,20730,0,37,37,0,0,1,0.5135135054588318,0.5135135054588318,0,0,[]],192,5193,[],[],[0,"Default",0,1]],[[888,12844,0,37,37,0,0,1,0.5135135054588318,0.5135135054588318,0,0,[]],192,5194,[],[],[0,"Default",0,1]],[[515,24789,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5195,[["dva"]],[],[0,"Default",0,1]],[[401,25152,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5196,[["dva"]],[],[0,"Default",0,1]],[[649,25011,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5197,[["dva"]],[],[0,"Default",0,1]],
[[371,24403,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5198,[["dva"]],[],[0,"Default",0,1]],[[1025,24282,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5199,[["dva"]],[],[0,"Default",0,1]],[[342,23857,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5200,[["dva"]],[],[0,"Default",0,1]],[[610,23664,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5201,[["dva"]],[],[0,"Default",0,1]],[[777,24540,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5202,[["dva"]],[],[0,"Default",0,1]],[[999,23008,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5203,[["dva"]],[],[0,"Default",0,1]],[[316,23014,
0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5204,[["dva"]],[],[0,"Default",0,1]],[[640,23044,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5205,[["dva"]],[],[0,"Default",0,1]],[[440,22602,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5206,[["dva"]],[],[0,"Default",0,1]],[[604,22537,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5207,[["dva"]],[],[0,"Default",0,1]],[[277,22246,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5208,[["dva"]],[],[0,"Default",0,1]],[[990,22156,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5209,[["dva"]],[],[0,"Default",0,1]],[[506,22035,0,20,20,0,
0,1,0.5,0.5,0,0,[]],78,5210,[["dva"]],[],[0,"Default",0,1]],[[313,21689,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5211,[["dva"]],[],[0,"Default",0,1]],[[980,21483,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5212,[["dva"]],[],[0,"Default",0,1]],[[646,21650,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5213,[["dva"]],[],[0,"Default",0,1]],[[1048,22520,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5214,[["dva"]],[],[0,"Default",0,1]],[[371,21071,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5215,[["dva"]],[],[0,"Default",0,1]],[[1019,20983,0,20,20,0,0,1,0.5,
0.5,0,0,[]],78,5216,[["dva"]],[],[0,"Default",0,1]],[[362,21303,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5217,[["dva"]],[],[0,"Default",0,1]],[[1012,21136,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5218,[["dva"]],[],[0,"Default",0,1]],[[718,21176,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5219,[["dva"]],[],[0,"Default",0,1]],[[450,20445,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5220,[["dva"]],[],[0,"Default",0,1]],[[371,20742,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5221,[["dva"]],[],[0,"Default",0,1]],[[336,20278,0,20,20,0,0,1,0.5,0.5,0,0,
[]],78,5222,[["dva"]],[],[0,"Default",0,1]],[[924,20291,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5223,[["dva"]],[],[0,"Default",0,1]],[[617,19948,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5224,[["dva"]],[],[0,"Default",0,1]],[[1065,19340,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5225,[["dva"]],[],[0,"Default",0,1]],[[414,19471,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5226,[["dva"]],[],[0,"Default",0,1]],[[597,19674,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5227,[["dva"]],[],[0,"Default",0,1]],[[509,19186,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5228,
[["dva"]],[],[0,"Default",0,1]],[[882,19042,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5229,[["dva"]],[],[0,"Default",0,1]],[[339,18853,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5230,[["dva"]],[],[0,"Default",0,1]],[[1022,18419,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5231,[["dva"]],[],[0,"Default",0,1]],[[990,17951,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5232,[["dva"]],[],[0,"Default",0,1]],[[398,17533,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5233,[["dva"]],[],[0,"Default",0,1]],[[911,16158,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5234,[["dva"]],
[],[0,"Default",0,1]],[[770,17099,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5235,[["dva"]],[],[0,"Default",0,1]],[[839,17632,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5236,[["dva"]],[],[0,"Default",0,1]],[[378,15887,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5237,[["dva"]],[],[0,"Default",0,1]],[[345,15201,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5238,[["dva"]],[],[0,"Default",0,1]],[[705,14796,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5239,[["dva"]],[],[0,"Default",0,1]],[[640,15316,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5240,[["dva"]],[],[0,"Default",
0,1]],[[404,14381,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5241,[["dva"]],[],[0,"Default",0,1]],[[924,12539,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5242,[["dva"]],[],[0,"Default",0,1]],[[358,12195,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5243,[["dva"]],[],[0,"Default",0,1]],[[869,12140,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5244,[["dva"]],[],[0,"Default",0,1]],[[316,12960,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5245,[["dva"]],[],[0,"Default",0,1]],[[1065,13147,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5246,[["dva"]],[],[0,"Default",0,1]],[[823,
13039,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5247,[["dva"]],[],[0,"Default",0,1]],[[663,12391,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5248,[["dva"]],[],[0,"Default",0,1]],[[342,14789,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5249,[["dva"]],[],[0,"Default",0,1]],[[290,16782,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5250,[["dva"]],[],[0,"Default",0,1]],[[754,16355,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5251,[["dva"]],[],[0,"Default",0,1]],[[973,15521,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5252,[["dva"]],[],[0,"Default",0,1]],[[349,17876,0,20,
20,0,0,1,0.5,0.5,0,0,[]],78,5253,[["dva"]],[],[0,"Default",0,1]],[[973,18778,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5254,[["dva"]],[],[0,"Default",0,1]],[[273,19748,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5255,[["dva"]],[],[0,"Default",0,1]],[[1061,20453,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5256,[["dva"]],[],[0,"Default",0,1]],[[561,22790,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5257,[["dva"]],[],[0,"Default",0,1]],[[571,22290,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5258,[["dva"]],[],[0,"Default",0,1]],[[394,23600,0,20,20,0,0,1,
0.5,0.5,0,0,[]],78,5259,[["dva"]],[],[0,"Default",0,1]],[[1016,21787,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5260,[["dva"]],[],[0,"Default",0,1]],[[653,20264,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5261,[["dva"]],[],[0,"Default",0,1]],[[525,18697,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5262,[["dva"]],[],[0,"Default",0,1]],[[306,15550,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5263,[["dva"]],[],[0,"Default",0,1]],[[986,14600,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5264,[["dva"]],[],[0,"Default",0,1]],[[682,21433,0,146.0848999023438,121.737419128418,
0,0,1,0.5,0.5,0,0,[]],181,5265,[],[[1,0,0,7,0,0,0,50,0],[1,1,0,4,0,0,0,50,0]],[0,"Default",0,1]],[[905,20156,0,146.0848999023438,121.737419128418,0,0,1,0.5,0.5,0,0,[]],181,5266,[],[[1,0,0,7,0,0,0,50,0],[1,1,0,8,0,0,0,150,0]],[0,"Default",0,1]],[[894,18366,0,146.0848999023438,121.737419128418,0,0,1,0.5,0.5,0,0,[]],181,5267,[],[[1,0,0,35,0,0,0,500,0],[1,1,0,4,0,0,0,50,0]],[0,"Default",0,1]],[[397,16386,0,146.0848999023438,121.737419128418,0,0,1,0.5,0.5,0,0,[]],181,5268,[],[[1,0,0,7,0,0,0,50,0],[1,1,
0,4,0,0,0,50,0]],[0,"Default",0,1]],[[514,14801,0,146.0848999023438,121.737419128418,0,0,1,0.5,0.5,0,0,[]],181,5269,[],[[1,0,0,35,0,0,0,500,0],[1,1,0,4,0,0,0,50,0]],[0,"Default",0,1]],[[881,12261,0,146.0848999023438,121.737419128418,0,0,1,0.5,0.5,0,0,[]],181,5270,[],[[1,0,0,7,0,0,0,50,0],[1,1,0,8,0,0,0,150,0]],[0,"Default",0,1]],[[859,24209,0,146.0848999023438,121.737419128418,0,0,1,0.5,0.5,0,0,[]],181,5271,[],[[1,0,0,40,0,0,0,50,0],[1,0,0,4,0,0,0,25,0]],[0,"Default",0,1]],[[726,22720,0,146.0848999023438,
121.737419128418,0,0,1,0.5,0.5,0,0,[]],181,5272,[],[[1,0,0,40,0,0,0,50,0],[1,0,0,4,0,0,0,25,0]],[0,"Default",0,1]],[[876,16958,0,146.0848999023438,121.737419128418,0,0,1,0.5,0.5,0,0,[]],181,5273,[],[[1,0,0,40,0,0,0,50,0],[1,0,0,4,0,0,0,25,0]],[0,"Default",0,1]],[[436,13054,0,146.0848999023438,121.737419128418,0,0,1,0.5,0.5,0,0,[]],181,5274,[],[[1,0,0,40,0,0,0,50,0],[1,0,0,4,0,0,0,25,0]],[0,"Default",0,1]],[[658,23370,0,277,19,0,0,1,0.5,0.5,0,0,[]],183,5275,[],[],[0,"Default",0,1]],[[424,20085,0,187,
14,0,0,1,0.5,0.5,0,0,[]],183,5276,[],[],[0,"Default",0,1]],[[857,16718,0,285,14,0,0,1,0.5,0.5,0,0,[]],183,5277,[],[],[0,"Default",0,1]],[[410,13985,0,138.8775329589844,14,0,0,1,0.5,0.5,0,0,[]],183,5278,[],[],[0,"Default",0,1]],[[337,13985,0,60,61,0,0,1,0.5,0.5081967115402222,0,0,[]],193,5279,[],[],[0,"Default",0,1]],[[490,13988,0,60,61,0,0,1,0.5,0.5081967115402222,0,0,[]],193,5280,[],[],[0,"Default",0,1]],[[715,16715,0,60,61,0,0,1,0.5,0.5081967115402222,0,0,[]],193,5281,[],[],[0,"Default",0,1]],[[1E3,
16716,0,60,61,0,0,1,0.5,0.5081967115402222,0,0,[]],193,5282,[],[],[0,"Default",0,1]],[[324,20084,0,60,61,0,0,1,0.5,0.5081967115402222,0,0,[]],193,5283,[],[],[0,"Default",0,1]],[[509,20087,0,60,61,0,0,1,0.5,0.5081967115402222,0,0,[]],193,5284,[],[],[0,"Default",0,1]],[[514,23373,0,60,61,0,0,1,0.5,0.5081967115402222,0,0,[]],193,5285,[],[],[0,"Default",0,1]],[[797,23370,0,60,61,0,0,1,0.5,0.5081967115402222,0,0,[]],193,5286,[],[],[0,"Default",0,1]],[[458,24397,0,146.0848999023438,121.737419128418,0,0,
1,0.5,0.5,0,0,[]],181,5287,[],[[1,0,0,40,0,0,0,500,0],[1,0,0,4,0,0,0,0,0]],[0,"Default",0,1]],[[455,23031,0,146.0848999023438,121.737419128418,0,0,1,0.5,0.5,0,0,[]],181,5288,[],[[1,0,0,40,0,0,0,50,0],[1,0,0,4,0,0,0,25,0]],[0,"Default",0,1]],[[565,21902,0,146.0848999023438,121.737419128418,0,0,1,0.5,0.5,0,0,[]],181,5289,[],[[1,0,0,7,0,0,0,50,0],[1,1,0,4,0,0,0,50,0]],[0,"Default",0,1]],[[783,20526,0,146.0848999023438,121.737419128418,0,0,1,0.5,0.5,0,0,[]],181,5290,[],[[1,0,0,7,0,0,0,50,0],[1,1,0,8,
0,0,0,150,0]],[0,"Default",0,1]],[[357,18646,0,146.0848999023438,121.737419128418,0,0,1,0.5,0.5,0,0,[]],181,5291,[],[[1,0,0,35,0,0,0,500,0],[1,1,0,4,0,0,0,50,0]],[0,"Default",0,1]],[[538,17386,0,146.0848999023438,121.737419128418,0,0,1,0.5,0.5,0,0,[]],181,5292,[],[[1,0,0,40,0,0,0,50,0],[1,0,0,4,0,0,0,25,0]],[0,"Default",0,1]],[[550,15579,0,146.0848999023438,121.737419128418,0,0,1,0.5,0.5,0,0,[]],181,5293,[],[[1,0,0,7,0,0,0,50,0],[1,1,0,4,0,0,0,50,0]],[0,"Default",0,1]],[[720,12617,0,146.0848999023438,
121.737419128418,0,0,1,0.5,0.5,0,0,[]],181,5294,[],[[1,0,0,40,0,0,0,50,0],[1,0,0,4,0,0,0,25,0]],[0,"Default",0,1]],[[402,16730,0,91,341,0,0,1,0.5274725556373596,0.08797653764486313,0,0,[]],96,5297,[],[[1,5,0,17,0,0,0,90,0]],[0,"Default",0,1]],[[560,13285,0,91,341,0,0,1,0.5274725556373596,0.08797653764486313,0,0,[]],96,5298,[],[[1,5,0,17,0,0,0,90,0]],[0,"Default",0,1]],[[499,11864,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5301,[["dva"]],[],[0,"Default",0,1]],[[563,11853,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5302,
[["dva"]],[],[0,"Default",0,1]],[[531,11833,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5303,[["dva"]],[],[0,"Default",0,1]],[[531,11895,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5304,[["dva"]],[],[0,"Default",0,1]],[[498,11799,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5305,[["dva"]],[],[0,"Default",0,1]],[[562,11798,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5306,[["dva"]],[],[0,"Default",0,1]],[[531,11765,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5307,[["dva"]],[],[0,"Default",0,1]],[[499,11729,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5309,[["dva"]],
[],[0,"Default",0,1]],[[563,11727,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5310,[["dva"]],[],[0,"Default",0,1]],[[531,11698,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5311,[["dva"]],[],[0,"Default",0,1]],[[498,11662,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5312,[["dva"]],[],[0,"Default",0,1]],[[562,11661,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5313,[["dva"]],[],[0,"Default",0,1]],[[531,11628,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5314,[["dva"]],[],[0,"Default",0,1]],[[498,11593,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5315,[["dva"]],[],[0,"Default",
0,1]],[[562,11591,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5316,[["dva"]],[],[0,"Default",0,1]],[[530,11562,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5317,[["dva"]],[],[0,"Default",0,1]],[[497,11526,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5318,[["dva"]],[],[0,"Default",0,1]],[[561,11525,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5319,[["dva"]],[],[0,"Default",0,1]],[[530,11492,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5320,[["dva"]],[],[0,"Default",0,1]],[[918,11592,0,37,37,0,0,1,0.5135135054588318,0.5135135054588318,0,0,[]],192,5321,[],[],
[0,"Default",0,1]],[[894,11390,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5322,[["dva"]],[],[0,"Default",0,1]],[[328,11046,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5323,[["dva"]],[],[0,"Default",0,1]],[[839,10991,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5324,[["dva"]],[],[0,"Default",0,1]],[[286,11811,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5325,[["dva"]],[],[0,"Default",0,1]],[[1035,11998,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5326,[["dva"]],[],[0,"Default",0,1]],[[793,11890,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5327,[["dva"]],[],[0,"Default",
0,1]],[[633,11242,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5328,[["dva"]],[],[0,"Default",0,1]],[[851,11112,0,146.0848999023438,121.737419128418,0,0,1,0.5,0.5,0,0,[]],181,5329,[],[[1,0,0,7,0,0,0,50,0],[1,1,0,8,0,0,0,150,0]],[0,"Default",0,1]],[[406,11905,0,146.0848999023438,121.737419128418,0,0,1,0.5,0.5,0,0,[]],181,5330,[],[[1,0,0,40,0,0,0,50,0],[1,0,0,4,0,0,0,25,0]],[0,"Default",0,1]],[[690,11468,0,146.0848999023438,121.737419128418,0,0,1,0.5,0.5,0,0,[]],181,5331,[],[[1,0,0,40,0,0,0,50,0],[1,0,0,4,0,0,
0,25,0]],[0,"Default",0,1]],[[630,10469,0,110.8377227783203,147.7836303710938,0,0,1,0.5066666603088379,0.5,0,0,[]],191,5332,[],[[1,1,0,18,0,0,0,250,0]],[0,"Default",0,1]],[[866,9184,0,110.8377227783203,147.7836303710938,0,0,1,0.5066666603088379,0.5,0,0,[]],191,5333,[],[[1,1,0,18,0,0,0,250,0]],[0,"Default",0,1]],[[368,7818,0,110.8377227783203,147.7836303710938,0,0,1,0.5066666603088379,0.5,0,0,[]],191,5334,[],[[1,1,0,18,0,0,0,250,0]],[0,"Default",0,1]],[[482,6270,0,110.8377227783203,147.7836303710938,
0,0,1,0.5066666603088379,0.5,0,0,[]],191,5335,[],[[1,1,0,18,0,0,0,250,0]],[0,"Default",0,1]],[[664,4655,0,110.8377227783203,147.7836303710938,0,0,1,0.5066666603088379,0.5,0,0,[]],191,5336,[],[[1,1,0,18,0,0,0,250,0]],[0,"Default",0,1]],[[482,3269,0,110.8377227783203,147.7836303710938,0,0,1,0.5066666603088379,0.5,0,0,[]],191,5337,[],[[1,1,0,18,0,0,0,250,0]],[0,"Default",0,1]],[[899,1122,0,110.8377227783203,147.7836303710938,0,0,1,0.5066666603088379,0.5,0,0,[]],191,5338,[],[[1,1,0,18,0,0,0,250,0]],[0,
"Default",0,1]],[[744,-722,0,110.8377227783203,147.7836303710938,0,0,1,0.5066666603088379,0.5,0,0,[]],191,5339,[],[[1,1,0,18,0,0,0,250,0]],[0,"Default",0,1]],[[560,10667,0,91,341,0,0,1,0.5274725556373596,0.08797653764486313,0,0,[]],96,5340,[],[[1,5,0,17,0,0,0,90,0]],[0,"Default",0,1]],[[449,5585,0,165.7630004882813,72.80000305175781,0,0,1,0.5058823823928833,0.5,0,0,[]],70,5341,[],[],[0,"Default",0,1]],[[686,8874,0,135.1665649414063,77.238037109375,0,0,1,0.5074626803398132,0.5,0,0,[]],69,5342,[],[],
[0,"Default",0,1]],[[864,8337,0,50,50,0,-0.01136865559965372,1,0.5,0.5,0,0,[]],77,5343,[[17]],[],[0,"Default",0,1]],[[543,1942,0,50,50,0,-0.01136865559965372,1,0.5,0.5,0,0,[]],77,5344,[[19]],[],[0,"Default",0,1]],[[559,-1367,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5346,[["dva"]],[],[0,"Default",0,1]],[[623,-1378,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5347,[["dva"]],[],[0,"Default",0,1]],[[591,-1398,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5348,[["dva"]],[],[0,"Default",0,1]],[[591,-1336,0,20,20,0,0,1,0.5,0.5,0,0,[]],
78,5349,[["dva"]],[],[0,"Default",0,1]],[[558,-1432,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5350,[["dva"]],[],[0,"Default",0,1]],[[622,-1433,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5351,[["dva"]],[],[0,"Default",0,1]],[[591,-1466,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5352,[["dva"]],[],[0,"Default",0,1]],[[770,4448,0,50,50,0,-0.01136865559965372,1,0.5,0.5,0,0,[]],77,5353,[[18]],[],[0,"Default",0,1]],[[753,-1101,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,5357,[],[],[0,"Default",0,1]],[[365,5614,0,174,65,0,0,1,0,0,0,0,[]],75,5359,
[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[361,5613,0,181,16,0,0,1,0,0,0,0,[]],67,5360,[],[],[0,0]],[[557,8899,0,255,65,0,0,1,0,0,0,0,[]],75,5363,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[553,8898,0,264.3424072265625,15.8963623046875,0,0,1,0,0,0,0,[]],67,5364,[],[],[0,0]],[[754,2242,0,262,65,0,0,1,0,0,0,0,[]],75,5365,[],[[1],[1,0,0,1,0.5,0.2,0,0.01,0,1]],[0,0]],[[753,2240,0,265,16,0,0,1,0,0,0,0,[]],67,5366,[],[],[0,0]],[[444,-1918,0,68,68,0,0,1,0.5,0.5,0,0,[]],79,5367,[],[],[0,"Default",
0,1]],[[559,-1502,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5369,[["dva"]],[],[0,"Default",0,1]],[[623,-1504,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5370,[["dva"]],[],[0,"Default",0,1]],[[591,-1533,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5371,[["dva"]],[],[0,"Default",0,1]],[[558,-1569,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5372,[["dva"]],[],[0,"Default",0,1]],[[622,-1570,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5373,[["dva"]],[],[0,"Default",0,1]],[[591,-1603,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5374,[["dva"]],[],[0,"Default",0,1]],[[558,
-1638,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5375,[["dva"]],[],[0,"Default",0,1]],[[622,-1640,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5376,[["dva"]],[],[0,"Default",0,1]],[[590,-1669,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5377,[["dva"]],[],[0,"Default",0,1]],[[557,-1705,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5378,[["dva"]],[],[0,"Default",0,1]],[[621,-1706,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5379,[["dva"]],[],[0,"Default",0,1]],[[590,-1739,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5380,[["dva"]],[],[0,"Default",0,1]],[[969,865,0,20,
20,0,0,1,0.5,0.5,0,0,[]],78,5419,[["dva"]],[],[0,"Default",0,1]],[[1033,854,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5420,[["dva"]],[],[0,"Default",0,1]],[[1001,834,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5421,[["dva"]],[],[0,"Default",0,1]],[[1001,896,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5422,[["dva"]],[],[0,"Default",0,1]],[[968,800,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5423,[["dva"]],[],[0,"Default",0,1]],[[1032,799,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5424,[["dva"]],[],[0,"Default",0,1]],[[1001,766,0,20,20,0,0,1,0.5,0.5,
0,0,[]],78,5425,[["dva"]],[],[0,"Default",0,1]],[[969,730,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5426,[["dva"]],[],[0,"Default",0,1]],[[1033,728,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5427,[["dva"]],[],[0,"Default",0,1]],[[1001,699,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5428,[["dva"]],[],[0,"Default",0,1]],[[968,663,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5429,[["dva"]],[],[0,"Default",0,1]],[[1032,662,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5430,[["dva"]],[],[0,"Default",0,1]],[[1001,629,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5431,[["dva"]],
[],[0,"Default",0,1]],[[968,594,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5432,[["dva"]],[],[0,"Default",0,1]],[[1032,592,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5433,[["dva"]],[],[0,"Default",0,1]],[[1E3,563,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5434,[["dva"]],[],[0,"Default",0,1]],[[967,527,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5435,[["dva"]],[],[0,"Default",0,1]],[[1031,526,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5436,[["dva"]],[],[0,"Default",0,1]],[[1E3,493,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5437,[["dva"]],[],[0,"Default",0,1]],
[[625,1578,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5438,[["dva"]],[],[0,"Default",0,1]],[[689,1567,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5439,[["dva"]],[],[0,"Default",0,1]],[[657,1547,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5440,[["dva"]],[],[0,"Default",0,1]],[[657,1609,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5441,[["dva"]],[],[0,"Default",0,1]],[[624,1513,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5442,[["dva"]],[],[0,"Default",0,1]],[[688,1512,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5443,[["dva"]],[],[0,"Default",0,1]],[[657,1479,0,20,
20,0,0,1,0.5,0.5,0,0,[]],78,5444,[["dva"]],[],[0,"Default",0,1]],[[625,1443,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5445,[["dva"]],[],[0,"Default",0,1]],[[689,1441,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5446,[["dva"]],[],[0,"Default",0,1]],[[657,1412,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5447,[["dva"]],[],[0,"Default",0,1]],[[624,1376,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5448,[["dva"]],[],[0,"Default",0,1]],[[688,1375,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5449,[["dva"]],[],[0,"Default",0,1]],[[657,1342,0,20,20,0,0,1,0.5,0.5,
0,0,[]],78,5450,[["dva"]],[],[0,"Default",0,1]],[[624,1307,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5451,[["dva"]],[],[0,"Default",0,1]],[[688,1305,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5452,[["dva"]],[],[0,"Default",0,1]],[[656,1276,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5453,[["dva"]],[],[0,"Default",0,1]],[[623,1240,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5454,[["dva"]],[],[0,"Default",0,1]],[[687,1239,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5455,[["dva"]],[],[0,"Default",0,1]],[[656,1206,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5456,
[["dva"]],[],[0,"Default",0,1]],[[511,2417,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5457,[["dva"]],[],[0,"Default",0,1]],[[575,2415,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5458,[["dva"]],[],[0,"Default",0,1]],[[543,2386,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5459,[["dva"]],[],[0,"Default",0,1]],[[543,2448,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5460,[["dva"]],[],[0,"Default",0,1]],[[510,2352,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5461,[["dva"]],[],[0,"Default",0,1]],[[574,2351,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5462,[["dva"]],[],[0,
"Default",0,1]],[[543,2318,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5463,[["dva"]],[],[0,"Default",0,1]],[[511,2282,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5464,[["dva"]],[],[0,"Default",0,1]],[[575,2280,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5465,[["dva"]],[],[0,"Default",0,1]],[[543,2251,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5466,[["dva"]],[],[0,"Default",0,1]],[[510,2215,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5467,[["dva"]],[],[0,"Default",0,1]],[[574,2214,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5468,[["dva"]],[],[0,"Default",0,1]],
[[543,2181,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5469,[["dva"]],[],[0,"Default",0,1]],[[510,2146,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5470,[["dva"]],[],[0,"Default",0,1]],[[574,2144,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5471,[["dva"]],[],[0,"Default",0,1]],[[542,2115,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5472,[["dva"]],[],[0,"Default",0,1]],[[509,2079,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5473,[["dva"]],[],[0,"Default",0,1]],[[573,2078,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5474,[["dva"]],[],[0,"Default",0,1]],[[542,2045,0,20,
20,0,0,1,0.5,0.5,0,0,[]],78,5475,[["dva"]],[],[0,"Default",0,1]],[[515,2822,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5476,[["dva"]],[],[0,"Default",0,1]],[[579,2820,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5477,[["dva"]],[],[0,"Default",0,1]],[[547,2791,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5478,[["dva"]],[],[0,"Default",0,1]],[[547,2853,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5479,[["dva"]],[],[0,"Default",0,1]],[[514,2757,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5480,[["dva"]],[],[0,"Default",0,1]],[[578,2756,0,20,20,0,0,1,0.5,0.5,
0,0,[]],78,5481,[["dva"]],[],[0,"Default",0,1]],[[547,2723,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5482,[["dva"]],[],[0,"Default",0,1]],[[515,2687,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5483,[["dva"]],[],[0,"Default",0,1]],[[579,2685,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5484,[["dva"]],[],[0,"Default",0,1]],[[547,2656,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5485,[["dva"]],[],[0,"Default",0,1]],[[514,2620,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5486,[["dva"]],[],[0,"Default",0,1]],[[578,2619,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5487,
[["dva"]],[],[0,"Default",0,1]],[[547,2586,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5488,[["dva"]],[],[0,"Default",0,1]],[[514,2551,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5489,[["dva"]],[],[0,"Default",0,1]],[[578,2549,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5490,[["dva"]],[],[0,"Default",0,1]],[[546,2520,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5491,[["dva"]],[],[0,"Default",0,1]],[[513,2484,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5492,[["dva"]],[],[0,"Default",0,1]],[[577,2483,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5493,[["dva"]],[],[0,
"Default",0,1]],[[1022,2939,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5494,[["dva"]],[],[0,"Default",0,1]],[[1086,2937,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5495,[["dva"]],[],[0,"Default",0,1]],[[1054,2908,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5496,[["dva"]],[],[0,"Default",0,1]],[[1054,2970,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5497,[["dva"]],[],[0,"Default",0,1]],[[1021,2874,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5498,[["dva"]],[],[0,"Default",0,1]],[[1085,2873,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5499,[["dva"]],[],[0,"Default",
0,1]],[[1054,2840,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5500,[["dva"]],[],[0,"Default",0,1]],[[1022,2804,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5501,[["dva"]],[],[0,"Default",0,1]],[[1086,2802,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5502,[["dva"]],[],[0,"Default",0,1]],[[1054,2773,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5503,[["dva"]],[],[0,"Default",0,1]],[[1021,2737,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5504,[["dva"]],[],[0,"Default",0,1]],[[1085,2736,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5505,[["dva"]],[],[0,"Default",0,1]],[[1054,
2703,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5506,[["dva"]],[],[0,"Default",0,1]],[[1021,2668,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5507,[["dva"]],[],[0,"Default",0,1]],[[1085,2666,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5508,[["dva"]],[],[0,"Default",0,1]],[[1053,2637,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5509,[["dva"]],[],[0,"Default",0,1]],[[1020,2601,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5510,[["dva"]],[],[0,"Default",0,1]],[[1084,2600,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5511,[["dva"]],[],[0,"Default",0,1]],[[1053,2567,0,20,
20,0,0,1,0.5,0.5,0,0,[]],78,5512,[["dva"]],[],[0,"Default",0,1]],[[1057,3042,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5513,[["dva"]],[],[0,"Default",0,1]],[[1024,3006,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5514,[["dva"]],[],[0,"Default",0,1]],[[1088,3005,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5515,[["dva"]],[],[0,"Default",0,1]],[[606,3986,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5516,[["dva"]],[],[0,"Default",0,1]],[[670,3984,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5517,[["dva"]],[],[0,"Default",0,1]],[[638,3955,0,20,20,0,0,1,0.5,
0.5,0,0,[]],78,5518,[["dva"]],[],[0,"Default",0,1]],[[638,4017,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5519,[["dva"]],[],[0,"Default",0,1]],[[605,3921,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5520,[["dva"]],[],[0,"Default",0,1]],[[669,3920,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5521,[["dva"]],[],[0,"Default",0,1]],[[638,3887,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5522,[["dva"]],[],[0,"Default",0,1]],[[606,3851,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5523,[["dva"]],[],[0,"Default",0,1]],[[670,3849,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,
5524,[["dva"]],[],[0,"Default",0,1]],[[638,3820,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5525,[["dva"]],[],[0,"Default",0,1]],[[605,3784,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5526,[["dva"]],[],[0,"Default",0,1]],[[669,3783,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5527,[["dva"]],[],[0,"Default",0,1]],[[638,3750,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5528,[["dva"]],[],[0,"Default",0,1]],[[605,3715,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5529,[["dva"]],[],[0,"Default",0,1]],[[669,3713,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5530,[["dva"]],
[],[0,"Default",0,1]],[[637,3684,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5531,[["dva"]],[],[0,"Default",0,1]],[[604,3648,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5532,[["dva"]],[],[0,"Default",0,1]],[[668,3647,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5533,[["dva"]],[],[0,"Default",0,1]],[[637,3614,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5534,[["dva"]],[],[0,"Default",0,1]],[[641,4089,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5535,[["dva"]],[],[0,"Default",0,1]],[[608,4053,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5536,[["dva"]],[],[0,"Default",
0,1]],[[672,4052,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5537,[["dva"]],[],[0,"Default",0,1]],[[872,5270,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5538,[["dva"]],[],[0,"Default",0,1]],[[936,5268,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5539,[["dva"]],[],[0,"Default",0,1]],[[904,5239,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5540,[["dva"]],[],[0,"Default",0,1]],[[904,5301,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5541,[["dva"]],[],[0,"Default",0,1]],[[871,5205,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5542,[["dva"]],[],[0,"Default",0,1]],[[935,5204,
0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5543,[["dva"]],[],[0,"Default",0,1]],[[904,5171,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5544,[["dva"]],[],[0,"Default",0,1]],[[872,5135,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5545,[["dva"]],[],[0,"Default",0,1]],[[936,5133,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5546,[["dva"]],[],[0,"Default",0,1]],[[904,5104,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5547,[["dva"]],[],[0,"Default",0,1]],[[871,5068,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5548,[["dva"]],[],[0,"Default",0,1]],[[935,5067,0,20,20,0,0,1,0.5,
0.5,0,0,[]],78,5549,[["dva"]],[],[0,"Default",0,1]],[[904,5034,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5550,[["dva"]],[],[0,"Default",0,1]],[[871,4999,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5551,[["dva"]],[],[0,"Default",0,1]],[[935,4997,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5552,[["dva"]],[],[0,"Default",0,1]],[[903,4968,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5553,[["dva"]],[],[0,"Default",0,1]],[[870,4932,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5554,[["dva"]],[],[0,"Default",0,1]],[[934,4931,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,
5555,[["dva"]],[],[0,"Default",0,1]],[[903,4898,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5556,[["dva"]],[],[0,"Default",0,1]],[[907,5373,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5557,[["dva"]],[],[0,"Default",0,1]],[[874,5337,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5558,[["dva"]],[],[0,"Default",0,1]],[[938,5336,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5559,[["dva"]],[],[0,"Default",0,1]],[[621,6562,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5560,[["dva"]],[],[0,"Default",0,1]],[[685,6560,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5561,[["dva"]],
[],[0,"Default",0,1]],[[653,6531,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5562,[["dva"]],[],[0,"Default",0,1]],[[653,6593,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5563,[["dva"]],[],[0,"Default",0,1]],[[620,6497,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5564,[["dva"]],[],[0,"Default",0,1]],[[684,6496,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5565,[["dva"]],[],[0,"Default",0,1]],[[653,6463,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5566,[["dva"]],[],[0,"Default",0,1]],[[621,6427,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5567,[["dva"]],[],[0,"Default",
0,1]],[[685,6425,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5568,[["dva"]],[],[0,"Default",0,1]],[[653,6396,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5569,[["dva"]],[],[0,"Default",0,1]],[[620,6360,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5570,[["dva"]],[],[0,"Default",0,1]],[[684,6359,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5571,[["dva"]],[],[0,"Default",0,1]],[[653,6326,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5572,[["dva"]],[],[0,"Default",0,1]],[[620,6291,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5573,[["dva"]],[],[0,"Default",0,1]],[[684,6289,
0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5574,[["dva"]],[],[0,"Default",0,1]],[[652,6260,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5575,[["dva"]],[],[0,"Default",0,1]],[[619,6224,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5576,[["dva"]],[],[0,"Default",0,1]],[[683,6223,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5577,[["dva"]],[],[0,"Default",0,1]],[[652,6190,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5578,[["dva"]],[],[0,"Default",0,1]],[[656,6665,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5579,[["dva"]],[],[0,"Default",0,1]],[[623,6629,0,20,20,0,0,1,0.5,
0.5,0,0,[]],78,5580,[["dva"]],[],[0,"Default",0,1]],[[687,6628,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5581,[["dva"]],[],[0,"Default",0,1]],[[825,7823,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5582,[["dva"]],[],[0,"Default",0,1]],[[889,7821,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5583,[["dva"]],[],[0,"Default",0,1]],[[857,7792,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5584,[["dva"]],[],[0,"Default",0,1]],[[857,7854,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5585,[["dva"]],[],[0,"Default",0,1]],[[824,7758,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,
5586,[["dva"]],[],[0,"Default",0,1]],[[888,7757,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5587,[["dva"]],[],[0,"Default",0,1]],[[857,7724,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5588,[["dva"]],[],[0,"Default",0,1]],[[825,7688,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5589,[["dva"]],[],[0,"Default",0,1]],[[889,7686,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5590,[["dva"]],[],[0,"Default",0,1]],[[857,7657,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5591,[["dva"]],[],[0,"Default",0,1]],[[824,7621,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5592,[["dva"]],
[],[0,"Default",0,1]],[[888,7620,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5593,[["dva"]],[],[0,"Default",0,1]],[[857,7587,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5594,[["dva"]],[],[0,"Default",0,1]],[[824,7552,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5595,[["dva"]],[],[0,"Default",0,1]],[[888,7550,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5596,[["dva"]],[],[0,"Default",0,1]],[[856,7521,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5597,[["dva"]],[],[0,"Default",0,1]],[[823,7485,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5598,[["dva"]],[],[0,"Default",
0,1]],[[887,7484,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5599,[["dva"]],[],[0,"Default",0,1]],[[856,7451,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5600,[["dva"]],[],[0,"Default",0,1]],[[860,7926,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5601,[["dva"]],[],[0,"Default",0,1]],[[827,7890,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5602,[["dva"]],[],[0,"Default",0,1]],[[891,7889,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5603,[["dva"]],[],[0,"Default",0,1]],[[888,10705,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5604,[["dva"]],[],[0,"Default",0,1]],[[952,10703,
0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5605,[["dva"]],[],[0,"Default",0,1]],[[920,10674,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5606,[["dva"]],[],[0,"Default",0,1]],[[920,10736,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5607,[["dva"]],[],[0,"Default",0,1]],[[887,10640,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5608,[["dva"]],[],[0,"Default",0,1]],[[951,10639,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5609,[["dva"]],[],[0,"Default",0,1]],[[920,10606,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5610,[["dva"]],[],[0,"Default",0,1]],[[888,10570,0,20,20,0,
0,1,0.5,0.5,0,0,[]],78,5611,[["dva"]],[],[0,"Default",0,1]],[[952,10568,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5612,[["dva"]],[],[0,"Default",0,1]],[[920,10539,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5613,[["dva"]],[],[0,"Default",0,1]],[[887,10503,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5614,[["dva"]],[],[0,"Default",0,1]],[[951,10502,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5615,[["dva"]],[],[0,"Default",0,1]],[[920,10469,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5616,[["dva"]],[],[0,"Default",0,1]],[[887,10434,0,20,20,0,0,1,0.5,0.5,
0,0,[]],78,5617,[["dva"]],[],[0,"Default",0,1]],[[951,10432,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5618,[["dva"]],[],[0,"Default",0,1]],[[919,10403,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5619,[["dva"]],[],[0,"Default",0,1]],[[886,10367,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5620,[["dva"]],[],[0,"Default",0,1]],[[950,10366,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5621,[["dva"]],[],[0,"Default",0,1]],[[919,10333,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5622,[["dva"]],[],[0,"Default",0,1]],[[923,10808,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,
5623,[["dva"]],[],[0,"Default",0,1]],[[890,10772,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5624,[["dva"]],[],[0,"Default",0,1]],[[954,10771,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5625,[["dva"]],[],[0,"Default",0,1]],[[661,9867,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5626,[["dva"]],[],[0,"Default",0,1]],[[725,9865,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5627,[["dva"]],[],[0,"Default",0,1]],[[693,9836,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5628,[["dva"]],[],[0,"Default",0,1]],[[693,9898,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5629,[["dva"]],
[],[0,"Default",0,1]],[[660,9802,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5630,[["dva"]],[],[0,"Default",0,1]],[[724,9801,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5631,[["dva"]],[],[0,"Default",0,1]],[[693,9768,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5632,[["dva"]],[],[0,"Default",0,1]],[[661,9732,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5633,[["dva"]],[],[0,"Default",0,1]],[[725,9730,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5634,[["dva"]],[],[0,"Default",0,1]],[[693,9701,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5635,[["dva"]],[],[0,"Default",
0,1]],[[660,9665,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5636,[["dva"]],[],[0,"Default",0,1]],[[724,9664,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5637,[["dva"]],[],[0,"Default",0,1]],[[693,9631,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5638,[["dva"]],[],[0,"Default",0,1]],[[660,9596,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5639,[["dva"]],[],[0,"Default",0,1]],[[724,9594,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5640,[["dva"]],[],[0,"Default",0,1]],[[692,9565,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5641,[["dva"]],[],[0,"Default",0,1]],[[659,9529,
0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5642,[["dva"]],[],[0,"Default",0,1]],[[723,9528,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5643,[["dva"]],[],[0,"Default",0,1]],[[692,9495,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5644,[["dva"]],[],[0,"Default",0,1]],[[696,9970,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5645,[["dva"]],[],[0,"Default",0,1]],[[663,9934,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5646,[["dva"]],[],[0,"Default",0,1]],[[727,9933,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5647,[["dva"]],[],[0,"Default",0,1]],[[982,9288,0,20,20,0,0,1,0.5,
0.5,0,0,[]],78,5648,[["dva"]],[],[0,"Default",0,1]],[[1046,9286,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5649,[["dva"]],[],[0,"Default",0,1]],[[1014,9257,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5650,[["dva"]],[],[0,"Default",0,1]],[[1014,9319,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5651,[["dva"]],[],[0,"Default",0,1]],[[981,9223,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5652,[["dva"]],[],[0,"Default",0,1]],[[1045,9222,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5653,[["dva"]],[],[0,"Default",0,1]],[[1014,9189,0,20,20,0,0,1,0.5,0.5,0,0,[]],
78,5654,[["dva"]],[],[0,"Default",0,1]],[[982,9153,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5655,[["dva"]],[],[0,"Default",0,1]],[[1046,9151,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5656,[["dva"]],[],[0,"Default",0,1]],[[1014,9122,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5657,[["dva"]],[],[0,"Default",0,1]],[[981,9086,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5658,[["dva"]],[],[0,"Default",0,1]],[[1045,9085,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5659,[["dva"]],[],[0,"Default",0,1]],[[1014,9052,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5660,[["dva"]],
[],[0,"Default",0,1]],[[981,9017,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5661,[["dva"]],[],[0,"Default",0,1]],[[1045,9015,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5662,[["dva"]],[],[0,"Default",0,1]],[[1013,8986,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5663,[["dva"]],[],[0,"Default",0,1]],[[980,8950,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5664,[["dva"]],[],[0,"Default",0,1]],[[1044,8949,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5665,[["dva"]],[],[0,"Default",0,1]],[[1013,8916,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5666,[["dva"]],[],[0,"Default",
0,1]],[[1017,9391,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5667,[["dva"]],[],[0,"Default",0,1]],[[984,9355,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5668,[["dva"]],[],[0,"Default",0,1]],[[1048,9354,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5669,[["dva"]],[],[0,"Default",0,1]],[[375,8933,0,37,37,0,0,1,0.5135135054588318,0.5135135054588318,0,0,[]],192,5670,[],[],[0,"Default",0,1]],[[384,10897,0,37,37,0,0,1,0.5135135054588318,0.5135135054588318,0,0,[]],192,5671,[],[],[0,"Default",0,1]],[[372,3862,0,37,37,0,0,1,0.5135135054588318,
0.5135135054588318,0,0,[]],192,5673,[],[],[0,"Default",0,1]],[[1112,6350,0,37,37,0,0,1,0.5135135054588318,0.5135135054588318,0,0,[]],192,5674,[],[],[0,"Default",0,1]],[[918,-1536,0,37,37,0,0,1,0.5135135054588318,0.5135135054588318,0,0,[]],192,5675,[],[],[0,"Default",0,1]],[[545,10409,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5676,[["dva"]],[],[0,"Default",0,1]],[[431,10772,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5677,[["dva"]],[],[0,"Default",0,1]],[[679,10631,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5678,[["dva"]],[],[0,
"Default",0,1]],[[401,10023,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5679,[["dva"]],[],[0,"Default",0,1]],[[1055,9902,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5680,[["dva"]],[],[0,"Default",0,1]],[[372,9477,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5681,[["dva"]],[],[0,"Default",0,1]],[[640,9284,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5682,[["dva"]],[],[0,"Default",0,1]],[[807,10160,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5683,[["dva"]],[],[0,"Default",0,1]],[[1029,8628,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5684,[["dva"]],[],[0,"Default",0,
1]],[[346,8634,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5685,[["dva"]],[],[0,"Default",0,1]],[[670,8664,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5686,[["dva"]],[],[0,"Default",0,1]],[[470,8222,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5687,[["dva"]],[],[0,"Default",0,1]],[[634,8157,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5688,[["dva"]],[],[0,"Default",0,1]],[[307,7866,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5689,[["dva"]],[],[0,"Default",0,1]],[[1020,7776,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5690,[["dva"]],[],[0,"Default",0,1]],[[536,7655,
0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5691,[["dva"]],[],[0,"Default",0,1]],[[343,7309,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5692,[["dva"]],[],[0,"Default",0,1]],[[1010,7103,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5693,[["dva"]],[],[0,"Default",0,1]],[[676,7270,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5694,[["dva"]],[],[0,"Default",0,1]],[[1078,8140,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5695,[["dva"]],[],[0,"Default",0,1]],[[401,6691,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5696,[["dva"]],[],[0,"Default",0,1]],[[1049,6603,0,20,20,0,0,
1,0.5,0.5,0,0,[]],78,5697,[["dva"]],[],[0,"Default",0,1]],[[392,6923,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5698,[["dva"]],[],[0,"Default",0,1]],[[1042,6756,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5699,[["dva"]],[],[0,"Default",0,1]],[[748,6796,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5700,[["dva"]],[],[0,"Default",0,1]],[[480,6065,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5701,[["dva"]],[],[0,"Default",0,1]],[[401,6362,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5702,[["dva"]],[],[0,"Default",0,1]],[[366,5898,0,20,20,0,0,1,0.5,0.5,0,0,
[]],78,5703,[["dva"]],[],[0,"Default",0,1]],[[954,5911,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5704,[["dva"]],[],[0,"Default",0,1]],[[647,5568,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5705,[["dva"]],[],[0,"Default",0,1]],[[1095,4960,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5706,[["dva"]],[],[0,"Default",0,1]],[[444,5091,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5707,[["dva"]],[],[0,"Default",0,1]],[[627,5294,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5708,[["dva"]],[],[0,"Default",0,1]],[[539,4806,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5709,[["dva"]],
[],[0,"Default",0,1]],[[912,4662,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5710,[["dva"]],[],[0,"Default",0,1]],[[369,4473,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5711,[["dva"]],[],[0,"Default",0,1]],[[1052,4039,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5712,[["dva"]],[],[0,"Default",0,1]],[[1020,3571,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5713,[["dva"]],[],[0,"Default",0,1]],[[428,3153,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5714,[["dva"]],[],[0,"Default",0,1]],[[941,1778,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5715,[["dva"]],[],[0,"Default",
0,1]],[[800,2719,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5716,[["dva"]],[],[0,"Default",0,1]],[[869,3252,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5717,[["dva"]],[],[0,"Default",0,1]],[[408,1507,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5718,[["dva"]],[],[0,"Default",0,1]],[[375,821,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5719,[["dva"]],[],[0,"Default",0,1]],[[735,416,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5720,[["dva"]],[],[0,"Default",0,1]],[[670,936,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5721,[["dva"]],[],[0,"Default",0,1]],[[954,-1841,
0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5723,[["dva"]],[],[0,"Default",0,1]],[[388,-2185,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5724,[["dva"]],[],[0,"Default",0,1]],[[899,-2240,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5725,[["dva"]],[],[0,"Default",0,1]],[[346,-1420,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5726,[["dva"]],[],[0,"Default",0,1]],[[1095,-1233,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5727,[["dva"]],[],[0,"Default",0,1]],[[853,-1341,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5728,[["dva"]],[],[0,"Default",0,1]],[[693,-1989,0,20,20,
0,0,1,0.5,0.5,0,0,[]],78,5729,[["dva"]],[],[0,"Default",0,1]],[[372,409,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5730,[["dva"]],[],[0,"Default",0,1]],[[320,2402,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5731,[["dva"]],[],[0,"Default",0,1]],[[784,1975,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5732,[["dva"]],[],[0,"Default",0,1]],[[1003,1141,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5733,[["dva"]],[],[0,"Default",0,1]],[[379,3496,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5734,[["dva"]],[],[0,"Default",0,1]],[[1003,4398,0,20,20,0,0,1,0.5,0.5,
0,0,[]],78,5735,[["dva"]],[],[0,"Default",0,1]],[[303,5368,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5736,[["dva"]],[],[0,"Default",0,1]],[[1091,6073,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5737,[["dva"]],[],[0,"Default",0,1]],[[591,8410,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5738,[["dva"]],[],[0,"Default",0,1]],[[601,7910,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5739,[["dva"]],[],[0,"Default",0,1]],[[424,9220,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5740,[["dva"]],[],[0,"Default",0,1]],[[1046,7407,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5741,
[["dva"]],[],[0,"Default",0,1]],[[683,5884,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5742,[["dva"]],[],[0,"Default",0,1]],[[555,4317,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5743,[["dva"]],[],[0,"Default",0,1]],[[336,1170,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,5744,[["dva"]],[],[0,"Default",0,1]],[[716,7117,0,146.0848999023438,121.737419128418,0,0,1,0.5,0.5,0,0,[]],181,5746,[],[[1,0,0,7,0,0,0,50,0],[1,1,0,4,0,0,0,50,0]],[0,"Default",0,1]],[[935,5776,0,146.0848999023438,121.737419128418,0,0,1,0.5,0.5,0,0,[]],181,5747,[],
[[1,0,0,7,0,0,0,50,0],[1,1,0,8,0,0,0,150,0]],[0,"Default",0,1]],[[924,3986,0,146.0848999023438,121.737419128418,0,0,1,0.5,0.5,0,0,[]],181,5748,[],[[1,0,0,35,0,0,0,500,0],[1,1,0,4,0,0,0,50,0]],[0,"Default",0,1]],[[427,2006,0,146.0848999023438,121.737419128418,0,0,1,0.5,0.5,0,0,[]],181,5749,[],[[1,0,0,7,0,0,0,50,0],[1,1,0,4,0,0,0,50,0]],[0,"Default",0,1]],[[911,-2119,0,146.0848999023438,121.737419128418,0,0,1,0.5,0.5,0,0,[]],181,5751,[],[[1,0,0,7,0,0,0,50,0],[1,1,0,8,0,0,0,150,0]],[0,"Default",0,1]],
[[889,9829,0,146.0848999023438,121.737419128418,0,0,1,0.5,0.5,0,0,[]],181,5752,[],[[1,0,0,40,0,0,0,50,0],[1,0,0,4,0,0,0,25,0]],[0,"Default",0,1]],[[756,8340,0,146.0848999023438,121.737419128418,0,0,1,0.5,0.5,0,0,[]],181,5753,[],[[1,0,0,40,0,0,0,50,0],[1,0,0,4,0,0,0,25,0]],[0,"Default",0,1]],[[906,2578,0,146.0848999023438,121.737419128418,0,0,1,0.5,0.5,0,0,[]],181,5754,[],[[1,0,0,40,0,0,0,50,0],[1,0,0,4,0,0,0,25,0]],[0,"Default",0,1]],[[466,-1326,0,146.0848999023438,121.737419128418,0,0,1,0.5,0.5,
0,0,[]],181,5755,[],[[1,0,0,40,0,0,0,50,0],[1,0,0,4,0,0,0,25,0]],[0,"Default",0,1]],[[688,8990,0,277,19,0,0,1,0.5,0.5,0,0,[]],183,5756,[],[],[0,"Default",0,1]],[[454,5705,0,187,14,0,0,1,0.5,0.5,0,0,[]],183,5757,[],[],[0,"Default",0,1]],[[887,2338,0,285,14,0,0,1,0.5,0.5,0,0,[]],183,5758,[],[],[0,"Default",0,1]],[[745,2335,0,60,61,0,0,1,0.5,0.5081967115402222,0,0,[]],193,5762,[],[],[0,"Default",0,1]],[[1030,2336,0,60,61,0,0,1,0.5,0.5081967115402222,0,0,[]],193,5763,[],[],[0,"Default",0,1]],[[354,5704,
0,60,61,0,0,1,0.5,0.5081967115402222,0,0,[]],193,5764,[],[],[0,"Default",0,1]],[[539,5707,0,60,61,0,0,1,0.5,0.5081967115402222,0,0,[]],193,5765,[],[],[0,"Default",0,1]],[[544,8993,0,60,61,0,0,1,0.5,0.5081967115402222,0,0,[]],193,5766,[],[],[0,"Default",0,1]],[[827,8990,0,60,61,0,0,1,0.5,0.5081967115402222,0,0,[]],193,5767,[],[],[0,"Default",0,1]],[[488,10017,0,146.0848999023438,121.737419128418,0,0,1,0.5,0.5,0,0,[]],181,5768,[],[[1,0,0,40,0,0,0,500,0],[1,0,0,4,0,0,0,0,0]],[0,"Default",0,1]],[[485,
8651,0,146.0848999023438,121.737419128418,0,0,1,0.5,0.5,0,0,[]],181,5769,[],[[1,0,0,40,0,0,0,50,0],[1,0,0,4,0,0,0,25,0]],[0,"Default",0,1]],[[595,7522,0,146.0848999023438,121.737419128418,0,0,1,0.5,0.5,0,0,[]],181,5770,[],[[1,0,0,7,0,0,0,50,0],[1,1,0,4,0,0,0,50,0]],[0,"Default",0,1]],[[813,6146,0,146.0848999023438,121.737419128418,0,0,1,0.5,0.5,0,0,[]],181,5771,[],[[1,0,0,7,0,0,0,50,0],[1,1,0,8,0,0,0,150,0]],[0,"Default",0,1]],[[387,4266,0,146.0848999023438,121.737419128418,0,0,1,0.5,0.5,0,0,[]],
181,5772,[],[[1,0,0,35,0,0,0,500,0],[1,1,0,4,0,0,0,50,0]],[0,"Default",0,1]],[[568,3006,0,146.0848999023438,121.737419128418,0,0,1,0.5,0.5,0,0,[]],181,5773,[],[[1,0,0,40,0,0,0,50,0],[1,0,0,4,0,0,0,25,0]],[0,"Default",0,1]],[[580,1199,0,146.0848999023438,121.737419128418,0,0,1,0.5,0.5,0,0,[]],181,5774,[],[[1,0,0,7,0,0,0,50,0],[1,1,0,4,0,0,0,50,0]],[0,"Default",0,1]],[[750,-1763,0,146.0848999023438,121.737419128418,0,0,1,0.5,0.5,0,0,[]],181,5775,[],[[1,0,0,40,0,0,0,50,0],[1,0,0,4,0,0,0,25,0]],[0,"Default",
0,1]],[[928,6519,0,91,341,0,0,1,0.5274725556373596,0.08797653764486313,0,0,[]],96,5776,[],[[1,5,0,17,0,0,0,90,0]],[0,"Default",0,1]],[[907,4238,0,91,341,0,0,1,0.5274725556373596,0.08797653764486313,0,0,[]],96,5777,[],[[1,5,0,17,0,0,0,90,0]],[0,"Default",0,1]],[[432,2350,0,91,341,0,0,1,0.5274725556373596,0.08797653764486313,0,0,[]],96,5778,[],[[1,5,0,17,0,0,0,90,0]],[0,"Default",0,1]],[[1142,-937,0,91,341,0,0,1,0.5274725556373596,0.08797653764486313,0,0,[]],96,5779,[],[[1,5,0,17,0,0,0,90,0]],[0,"Default",
0,1]],[[839,14804,0,91,341,0,0,1,0.5274725556373596,0.08797653764486313,0,0,[]],96,4056,[],[[1,5,0,17,0,0,0,90,0]],[0,"Default",0,1]],[[551,8085,0,91,341,0,0,1,0.5274725556373596,0.08797653764486313,0,0,[]],96,4057,[],[[1,5,0,17,0,0,0,90,0]],[0,"Default",0,1]]],[]],["Earth",4,0xce0a7a45fb871,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[],[]],["Power",5,4629856081553742,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[],[]],["Mouse",6,7407224039913061,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[-56,-307,0,128,128,0,1.57080864906311,
1,0,0.5,0,0,[]],44,4779,[],[],[5,30,0,70,40,100,5,0,0,0,2,0,-250,0,2,800,0,0,0.7]],[[-156,-305,0,135,200,0,1.570796370506287,1,0,0.5,0,0,[]],43,4780,[],[],[15,20,0,70,10,100,50,0,0,0,10,0,70,0,0,800,0,0,0.3]],[[394,38926,0,64.01953125,53.10530090332031,0,0,1,0.5,1,0,0,[]],42,4781,[],[[]],[0,"Default",0,1]],[[393,38937,0,82.02706146240234,93.33332061767578,0,0,1,0.4545454680919647,0.01639344170689583,0,0,[]],45,4782,[[150]],[[1],[115,0,35,3,0,0,1],[0,0,0,0,30,100,0,1],[1,0,0,4,0,0,0,50,0],[1,0,0,4,
0,0,0,50,0]],[0,"Default",0,1]],[[394,38935,0,8.829414367675781,-1.735369682312012,0,-1.576729655265808,1,0,0.48828125,0,0,[]],41,4783,[],[],[0,"Default",0,1]]],[]],["Decortop",7,7522031345237398,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[522,39104,0,-239,210,0,0,1,0.5,0.5047619342803955,0,0,[]],65,4785,[],[],[0,"Default",0,1]],[[336,27032,0,239.0609588623047,237.8890991210938,0,0,1,0.5,0.5,0,0,[]],83,4786,[],[],[0,"Default",0,1]],[[817,29831,0,261.113525390625,90.45108795166016,0,0,1,0.5046728849411011,
0.5135135054588318,0,0,[]],71,4787,[],[],[0,"Default",0,1]],[[396,13801,0,239.0609588623047,237.8890991210938,0,0,1,0.5,0.5,0,0,[]],83,5299,[],[],[0,"Default",0,1]],[[877,16600,0,261.113525390625,90.45108795166016,0,0,1,0.5046728849411011,0.5135135054588318,0,0,[]],71,5300,[],[],[0,"Default",0,1]],[[907,2220,0,261.113525390625,90.45108795166016,0,0,1,0.5046728849411011,0.5135135054588318,0,0,[]],71,5781,[],[],[0,"Default",0,1]]],[]],["Water",8,9736930457480098,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[-984,
39667,0,3786,70,0,0,1,0,0,0,0,[]],46,4517,[],[[1,1,0,4E3,0,2E3,0,2E3,0]],[0,0]],[[-641,39660,0,3374,910,0,0,1,0,0,0,0,[]],47,4518,[],[[1,1,0,4E3,0,2E3,0,2E3,0]],[0,0]],[[-665,39544,0,3403,128,0,0,1,0,0,0,0,[]],48,4519,[],[[1,1,0,4E3,0,2E3,0,2E3,0]],[0,0]]],[]],["UI",9,8799371927231566,!0,[255,255,255],!0,0,0,1,!1,1,0,0,[[[129.9325103759766,715.2657470703125,0,180,180,0,0,1,0.5,0.5,0,0,[]],49,4520,[],[],[0,"Default",0,1]],[[134.3137359619141,718.0804443359375,0,120,120,0,0,1,0.4749999940395355,0.4833333194255829,
0,0,[]],50,4521,[[0]],[[0,1]],[0,"Default",0,1]],[[556.687255859375,833.5537109375,0,50,50,0,0,1,0.5142857432365417,0.5142857432365417,0,0,[]],60,4533,[],[],[1,"Default",0,1]],[[445,27,0,-42,51,0,0,1,0.5116279125213623,0.5098039507865906,0,0,[]],52,299,[],[[]],[0,"Default",0,1]],[[150,27,0,43,51,0,0,1,0.5116279125213623,0.5098039507865906,0,0,[]],52,300,[],[[]],[0,"Default",0,1]],[[295,32,0,273,57,0,0,1,0.5018315315246582,0.5087719559669495,0,0,[]],54,302,[],[],[0,"Default",0,1]],[[214,31,0,172.500732421875,
32,0,0,1,0,0.5,0,0,[]],55,328,[],[[]],[0,"Default",0,1]],[[315,32,0,216,43,0,0,1,0.5,0.5116279125213623,0,0,[]],59,354,[],[[]],[0,"Default",0,1]],[[68,46,0,112,72,0,0,1,0.5,0.5,0,0,[]],51,380,[],[],[0,"Default",0,1]],[[531,46,0,112,72,0,0,1,0.5,0.5,0,0,[]],53,406,[],[],[0,"Default",0,1]],[[134,49,0,33.94112396240234,33.94112396240234,0,0,1,0.5,0.5,0,0,[]],62,432,[],[[]],[0,"Default",0,1]],[[-7,9,0,146.9591674804688,88,0,0,1,0,0,0,0,[]],56,3787,[],[[]],["Text",0,"32pt Arial Rounded MT Bold","rgb(255,255,51)",
1,1,0,0,0]],[[458,8,0,146.9591674804688,88,0,0,1,0,0,0,0,[]],57,3788,[],[[]],["Text",0,"32pt Arial Rounded MT Bold","rgb(204,255,255)",1,1,0,0,0]],[[469,48,0,31.93743896484375,31.93743896484375,0,0,1,0.5,0.5,0,0,[]],267,3790,[],[[]],[0,"Default",0,1]]],[]],["Ball",10,460828497289011,!0,[255,255,255],!0,0,0,1,!1,1,0,0,[],[]]],[],[]],["Elements",1280,1024,!1,null,0xa67dcd777be29,[["Layer 0",0,6325522634973216,!0,[255,255,255],!1,1,1,1,!1,1,0,0,[[[671,1316,0,61,61,0,0,1,0.5081967115402222,0.5081967115402222,
0,0,[]],126,3327,[],[[800,0]],[0,"Default",0,1]],[[-522,-1456,0,2329,1759,0,0,0.8799999952316284,0,0,0,0,[]],127,3328,[],[[0,0,0,0,1]],[0,0]],[[914,1280,0,128,128,0,1.57080864906311,1,0,0.5,0,0,[]],44,3329,[],[],[15,30,0,170,22,100,5,0,0,0,2,0,-350,0,2,800,0,0,0.7]],[[803,1282,0,135,200,0,1.570796370506287,1,0,0.5,0,0,[]],43,3330,[],[],[15,20,0,70,10,100,50,0,0,0,10,0,70,0,0,800,0,0,0.3]],[[1281,-126,0,258,61,0,0,1,0.5096774101257324,0.5135135054588318,0,0,[]],121,3331,[],[],[0,"Default",0,1]],[[1274,
-55,0,258,61,0,0,1,0.5032258033752441,0.5135135054588318,0,0,[]],123,3332,[],[],[0,"Default",0,1]],[[1274,-213,0,258,61,0,0,1,0.5032258033752441,0.5135135054588318,0,0,[]],125,3333,[],[],[0,"Default",0,1]],[[780,1440,0,20,20,0,0,1,0.5,0.5,0,0,[]],78,3334,[["dva"]],[],[0,"Default",0,1]],[[719,1441,0,50,50,0,-0.01136865559965372,1,0.5,0.5,0,0,[]],77,3335,[[1]],[],[0,"Default",0,1]],[[666,1437,0,37,37,0,0,1,0.5,0.5,0,0,[]],61,3336,[],[[]],[0,"Default",0,1]],[[1277,-291,0,269,33,0,0,1,0.5031055808067322,
0.5,0,0,[]],122,3337,[],[[]],[0,"Default",0,1]],[[684,1039,0,100,110,0,0,1,0.5090909004211426,0.5081967115402222,0,0,[]],119,3338,[],[[220,6E4,0,0,0,0,1],[1,0,1,1,1]],[0,"Default",0,0]],[[1272,-355,0,258,61,0,0,1,0.5032258033752441,0.5135135054588318,0,0,[]],124,3339,[],[],[0,"Default",0,1]],[[-287,862,0,128,128,0,-1.568512439727783,1,0,0.5,0,0,[]],151,3340,[],[],[3,360,1,100,46,100,64,0,0,10,10,32,-150,0,45,10,0,0,1]],[[1302,77,0,33,33,0,0,1,0.5151515007019043,0.5151515007019043,0,0,[]],152,3341,
[],[[]],[0,"Default",1,1]],[[1302,124,0,33,33,0,0,1,0.5151515007019043,0.5151515007019043,0,0,[]],153,3342,[],[[]],[0,"Default",0,1]],[[1270,185,0,251,32,0,0,1,0.5,0.5,0,0,[]],149,3343,[],[[1,0,2,1,1]],[0,"Default",0,1]],[[1274,303,0,258,83,0,0,1,0.5027624368667603,0.5,0,0,[]],120,3344,[],[[],[1,0,3,2,1]],[0,"Default",0,1]],[[1271,408,0,258,61,0,0,1,0.5032258033752441,0.5135135054588318,0,0,[]],128,3345,[],[],[0,"Default",0,1]],[[1265,532,0,374,34,0,0,1,0.5026738047599792,0.529411792755127,0,0,[]],
129,3346,[],[],[0,"Default",0,1]],[[1271,565,0,374,2,0,0,1,0.5,0.5,0,0,[]],154,3347,[],[],[0,"Default",0,1]],[[1435,1111,0,225.322998046875,236.7800903320313,0,0,0.699999988079071,0.4406779706478119,0.5,0,0,[[]]],81,3348,[],[[-90,0]],[0,"Default",0,1]],[[1434,967,0,80.23999786376953,75.63999938964844,0,0,1,0.4406779706478119,0.5,0,0,[[]]],81,3349,[],[[180,0]],[0,"Default",0,1]],[[1020,712,0,243.7790374755859,229.4126739501953,0,0,1,0.5035971403121948,0.5034482479095459,0,0,[]],147,3350,[],[[0,0,0,
0,1,1]],[0,"Default",0,1]],[[1060,1049,0,172,117,0,0,1,0.5,0.508474588394165,0,0,[]],148,3351,[],[[400,0,210,0,1,1]],[0,"Default",0,1]],[[1013,898,0,30.29851341247559,14.58817386627197,0,0,1,0.4814814925193787,0.4615384638309479,0,0,[]],165,3352,[],[[150,0,0,0,1,1],[]],[0,"Default",0,1]],[[1087,895,0,30.50346565246582,14.68685436248779,0,0,1,0.4814814925193787,0.4615384638309479,0,0,[]],166,3353,[],[[150,0,0,0,1,1],[]],[0,"Default",0,1]],[[1074,1192,0,200,200,0,0,1,0.5,0.5,0,0,[]],175,3354,[],[[1,
0,0.6,0.3,1]],[0,"Default",0,1]],[[826,858,0,59.88360214233398,50.13811874389648,0,0,1,0.5,0.5,0,0,[]],177,3355,[],[[]],[1,"Default",0,1]],[[-350,583,0,170,80,0,-1.570796489715576,1,0.5,0.5,0,0,[]],178,3356,[],[[1],[150,25,300,40,15,0.75,1,0,1]],[0,"Default",0,1]],[[-200,814,0,10,24,0,0,1,0.5,0.5,0,0,[]],183,3357,[],[],[0,"Default",0,1]],[[608,1149,0,64,64,0,0,1,0,0,0,0,[]],99,3358,[],[],[0,0]],[[929,1193,0,60,55,0,0,1,0.5,0.5151515007019043,0,0,[]],184,3359,[],[[180,1500,1500,650,1500,180,1,1]],
[0,"Default",0,1]],[[124,898,0,110,98,0,0,1,0.5,0.5,0,0,[]],185,3360,[],[[150,0,25,0,1,1],[1,0,4,1,1],[]],[0,"Default",0,1]],[[-185,930,0,91.12422943115234,91.12422943115234,0,0.1096227541565895,1,0.5066666603088379,0.5066666603088379,0,0,[]],104,3361,[],[],[0,"Default",0,1]],[[862,1048,0,117,119,0,0,1,0.5,0.5070422291755676,0,0,[]],107,3362,[],[[1,0,0,4,0,0,0,50,0],[1,0,0,4,0,0,0,50,0]],[0,"Default",0,1]],[[807,1197,0,102.745002746582,74.42400360107422,0,0,1,0.5,0.5,0,0,[]],189,3363,[],[[],[1,1,
0,4,0,0,0,10,0],[1,0,0,3,0,0,0,7,0],[1]],[0,"Default",0,1]],[[1263,690,0,153,69,0,0,1,0.5046728849411011,0.5,0,0,[]],64,3364,[],[],[0,"Default",1,1]],[[491,1175,0,99.81999969482422,99.81999969482422,0,0,1,0.5,0.5,0,0,[]],111,3365,[],[[30,0,0,200,1E3,2E3,135,0,1,1]],[0,"Default",0,1]],[[502,1298,0,98.81400299072266,93.3239974975586,0,0,1,0.5,0.5,0,0,[]],113,3366,[],[[30,0,0,200,1E3,2E3,135,0,1,1]],[0,"Default",0,1]],[[362,1181,0,40,20,0,0,1,0.5,0.5263158082962036,0,0,[]],112,3367,[],[[],[-200,0,0,
0,1,1]],[0,"Default",0,1]],[[373,1294,0,94,103,0,0,1,0.5,0.5,0,0,[]],117,3368,[['"Normal"']],[[30,0,0,140,1E3,2E3,135,0,1,1],[1,0,0,2,0,0,0,18,0],[1,1,0,3,0,0,0,25,0]],[0,"Default",0,1]],[[-230,544,0,220,160,0,0,1,0.5,0.5,0,0,[]],116,3369,[],[],[0,"Default",0,1]],[[684,885,0,119.4990005493164,119.4990005493164,0,0,1,0.5,0.5,0,0,[]],103,3370,[],[],[0,"Default",0,1]],[[482,797,0,86,128,0,0,1,0.5098039507865906,0.5,0,0,[]],190,3371,[],[],[0,"Default",0,1]],[[478,962,0,86,128,0,0,1,0.5098039507865906,
0.5,0,0,[]],173,3372,[],[],[0,"Default",0,1]],[[693,730,0,128,128,0,0,1,0.5,0.5,0,0,[]],188,3373,[],[],[1,"Default",0,1]],[[473,660,0,69.947998046875,74.85600280761719,0,-0.7853981852531433,1,-0.02500000037252903,0.5348837375640869,0,0,[]],90,3374,[],[],[0,"Default",0,1]],[[731,294,0,98.36799621582031,216.7169952392578,0,0,1,0.5,0.5058823823928833,0,0,[]],89,3375,[],[[1]],[0,"Default",0,1]],[[690,561,0,100,58,0,0,1,0.5166666507720947,0.5142857432365417,0,0,[]],97,3376,[],[],[0,"Default",0,1]],[[802,
559,0,58,100,0,0,1,0.4857142865657806,0.5,0,0,[]],98,3377,[],[],[0,"Default",0,1]],[[519,337,0,227,269,0,0,1,0.5,0.5031055808067322,0,0,[]],176,3378,[],[],[0,"Default",0,1]],[[870,370,0,112,133,0,0,1,0.5074626803398132,0.5,0,0,[]],80,3379,[],[],[0,"Default",0,1]],[[892,210,0,100,100,0,0,1,0.5,0.5,0,0,[]],182,3380,[],[[400,0,0,0,1,1],[1,0,0,4,0,0,0,50,0],[1,0,0,4,0,0,0,50,0]],[0,"Default",0,1]],[[1137,1334,0,186,47,0,0,1,0.5,0.517241358757019,0,0,[]],115,3381,[],[],[0,"Default",0,1]],[[598,114,0,274.947998046875,
92.08799743652344,0,0,1,0.5038167834281921,0.5,0,0,[]],110,3382,[],[[1]],[0,"Default",0,1]],[[199,278,0,120,100,0,0,1,0.5,0.5,0,0,[]],181,3383,[],[[1,0,0,4,0,0,0,50,0],[1,0,0,4,0,0,0,50,0]],[0,"Default",0,1]],[[34,468,0,132,83,0,0,1,0.5,0.5,0,0,[]],105,3384,[],[],[0,"Default",0,1]],[[1051,305,0,105.1009979248047,231.5500030517578,0,0,1,0.5,0.5058823823928833,0,0,[]],106,3385,[],[[1]],[0,"Default",0,1]],[[244,622,0,131.3990020751953,109.4990005493164,0,0,1,0.5,0.5,0,0,[]],100,3386,[],[[1,0,1,12,0,
0,0,200,0]],[0,"Default",0,1]],[[1119,359,0,50,50,0,0,1,0.5142857432365417,0.5142857432365417,0,0,[]],140,3387,[],[[400,0,0,1,1,1]],[0,"Default",0,1]],[[1131,447,0,150,44,0,0,1,0.190476194024086,0.5161290168762207,0,0,[]],141,3388,[],[],[0,"Default",0,1]],[[1214,356,0,60,60,0,0,1,0.5,0.5,0,0,[]],150,3389,[],[[20,0],[1,0,2,1,1]],[0,"Default",0,1]],[[1338,1029,0,50,50,0,0,1,0.5142857432365417,0.5142857432365417,0,0,[]],130,3390,[],[[]],[0,"Default",0,1]],[[1338,948,0,50,50,0,0,1,0.5142857432365417,
0.5142857432365417,0,0,[]],132,3391,[],[[]],[0,"Default",0,1]],[[1340,866,0,50,50,0,0,1,0.5142857432365417,0.5142857432365417,0,0,[]],133,3392,[],[[]],[0,"Default",0,1]],[[1340,790,0,50,50,0,0,1,0.5142857432365417,0.5142857432365417,0,0,[]],134,3393,[],[[]],[0,"Default",0,1]],[[1338,715,0,50,50,0,0,1,0.5142857432365417,0.5142857432365417,0,0,[]],135,3394,[],[[]],[0,"Default",0,1]],[[1338,634,0,50,50,0,0,1,0.5142857432365417,0.5142857432365417,0,0,[]],136,3395,[],[[]],[0,"Default",0,1]],[[1338,568,
0,50,50,0,0,1,0.5142857432365417,0.5142857432365417,0,0,[]],137,3396,[],[[]],[0,"Default",0,1]],[[1338,493,0,50,50,0,0,1,0.5142857432365417,0.5142857432365417,0,0,[]],138,3397,[],[[]],[0,"Default",0,1]],[[1338,433,0,50,50,0,0,1,0.5142857432365417,0.5142857432365417,0,0,[]],139,3398,[],[[]],[0,"Default",0,1]],[[1336,363,0,50,50,0,0,1,0.5142857432365417,0.5142857432365417,0,0,[]],131,3399,[],[[]],[0,"Default",0,1]],[[-38,1260,0,742.0447387695312,707.3697509765625,0,0,1,0.5046728849411011,0.5,0,0,[]],
186,3400,[],[[1,0,0,4,0,0,0,25,0],[1,1,0,2,0,0,0,28,0],[30,0,0,200,1E3,2E3,135,0,1,1],[1,0,10,15,1]],[0,"Default",0,1]],[[-62,1203,0,331.1152648925781,313.1227722167969,0,0,1,0.5046728849411011,0.5,0,0,[]],187,3401,[],[[1,0,0,3,0,0,0,20,0],[1,1,0,5,0,0,0,10,0],[30,0,0,200,1E3,2E3,135,0,1,1],[1,0,10,15,1]],[0,"Default",0,1]],[[471,919,0,119.3399963378906,121.379997253418,0,0,1,0.508474588394165,0.5,0,0,[]],108,3402,[],[],[0,"Default",0,1]],[[-226,931,0,256,256,0,0,1,0.5,0.5,0,0,[]],109,3403,[],[[]],
[0,"Default",0,1]],[[302,79,0,71.6240234375,42.72309875488281,0,0,1,0.5087719559669495,0.5,0,0,[]],155,3404,[],[[]],[0,"Default",0,1]],[[386,81,0,71.6240234375,42.72309875488281,0,0,1,0.5087719559669495,0.5,0,0,[]],156,3405,[],[[]],[0,"Default",0,1]],[[307,130,0,71.6240234375,42.72309875488281,0,0,1,0.5087719559669495,0.5,0,0,[]],157,3406,[],[[]],[0,"Default",0,1]],[[387,125,0,71.6240234375,42.72309875488281,0,0,1,0.5087719559669495,0.5,0,0,[]],158,3407,[],[[]],[0,"Default",0,1]],[[307,180,0,71.6240234375,
42.72309875488281,0,0,1,0.5087719559669495,0.5,0,0,[]],159,3408,[],[[]],[0,"Default",0,1]],[[393,181,0,71.6240234375,42.72309875488281,0,0,1,0.5087719559669495,0.5,0,0,[]],142,3409,[],[[]],[0,"Default",0,1]],[[308,227,0,71.6240234375,42.72309875488281,0,0,1,0.5087719559669495,0.5,0,0,[]],143,3410,[],[[]],[0,"Default",0,1]],[[392,234,0,71.6240234375,42.72309875488281,0,0,1,0.5087719559669495,0.5,0,0,[]],144,3411,[],[[]],[0,"Default",0,1]],[[298,280,0,71.6240234375,42.72309875488281,0,0,1,0.5087719559669495,
0.5,0,0,[]],145,3412,[],[[]],[0,"Default",0,1]],[[390,281,0,84.6240234375,42.72309875488281,0,0,1,0.5,0.5,0,0,[]],146,3413,[],[[]],[0,"Default",0,1]],[[5,282,0,13.45062255859375,12.82989501953125,0,1.738506674766541,1,-0.004000000189989805,0.5,0,0,[]],92,3414,[],[],[0,"Default",0,1]],[[2,245,0,1,3,0,0,1,0,0.5,0,0,[]],91,3415,[],[],[0,"Default",0,1]],[[-5,228,0,1,6,0,0,1,0,0.5,0,0,[]],87,3416,[],[],[0,"Default",0,1]],[[-4,207,0,250,6,0,0,1,0,0.5,0,0,[]],88,3417,[],[],[0,"Default",0,1]],[[-8,191,0,
250,6,0,0,1,0,0.5,0,0,[]],160,3418,[],[],[0,"Default",0,1]],[[-6,180,0,250,6,0,0,1,0,0.5,0,0,[]],161,3419,[],[],[0,"Default",0,1]],[[-10,169,0,250,6,0,0,1,0,0.5,0,0,[]],162,3420,[],[],[0,"Default",0,1]],[[-9,157,0,250,6,0,0,1,0,0.5,0,0,[]],163,3421,[],[],[0,"Default",0,1]],[[-10,145,0,250,6,0,0,1,0,0.5,0,0,[]],164,3422,[],[],[0,"Default",0,1]],[[-7,134,0,250,6,0,0,1,0,0.5,0,0,[]],167,3423,[],[],[0,"Default",0,1]],[[518,197,0,145,141.7058868408203,0,-0.7853984832763672,1,0.4794520437717438,0.5068492889404297,
0,0,[]],168,3424,[],[],[0,"Default",0,1]],[[675,220,0,145,141.7058868408203,0,0.5235987901687622,1,0.4794520437717438,0.5068492889404297,0,0,[]],169,3425,[],[],[0,"Default",0,1]],[[815,224,0,145,141.7058868408203,0,-1.308996915817261,1,0.4794520437717438,0.5068492889404297,0,0,[]],170,3426,[],[],[0,"Default",0,1]],[[932,246,0,145,141.7058868408203,0,0.5235987901687622,1,0.4794520437717438,0.5068492889404297,0,0,[]],171,3427,[],[[0,1]],[0,"Default",0,1]],[[1036,245,0,145,141.7058868408203,0,0.5235987901687622,
1,0.4794520437717438,0.5068492889404297,0,0,[]],172,3428,[],[[0,1]],[0,"Default",0,1]],[[392,709,0,250,250,0,0,1,0.5,0.5,0,0,[]],174,3429,[],[],[0,"Default",0,1]],[[807,-1463,0,883,1894,0,0,0,1,0.5,0,0,[]],179,3430,[],[],[0,"Default",0,1]],[[813,-1459,0,810,1858,0,0,0,0,0.5,0,0,[]],180,3431,[],[],[0,"Default",0,1]],[[-262,256,0,75,100,0,0,1,0.5066666603088379,0.5,0,0,[]],191,3432,[],[[1,0,0,4,0,0,0,50,0]],[0,"Default",0,1]],[[-75,382,0,44,44,0,0,1,0.5,0.5,0,0,[]],214,917,[],[],[0,"Default",0,1]]],
[]],["Upgrade",1,7340456370337015,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[47.73713684082031,56.61141967773438,0,192.6017456054688,143.2957000732422,0,0,1,0.5040000081062317,0.5053763389587402,0,0,[]],215,5793,[],[],[0,"Default",0,1]],[[324,-145,0,218.6017456054688,188.2956695556641,0,0,1,0.503311276435852,0.5,0,0,[]],216,5794,[],[],[0,"Default",0,1]],[[729,-39,0,245.6017456054688,184.2956695556641,0,0,1,0.5,0.5,0,0,[]],217,5796,[],[],[0,"Default",0,1]],[[101,346,0,160.7267456054688,81.52967834472656,
0,0,1,0.503496527671814,0.5,0,0,[]],218,5797,[],[],[0,"Default",0,1]],[[320,343,0,160.7267456054688,81.52967834472656,0,0,1,0.503496527671814,0.5,0,0,[]],219,5798,[],[],[0,"Default",0,1]],[[515,346,0,160.7267456054688,81.52967834472656,0,0,1,0.503496527671814,0.5,0,0,[]],220,5799,[],[],[0,"Default",0,1]],[[211,391,0,116,54,0,0,1,0.5,0.5,0,0,[]],221,5800,[],[],[0,"Default",0,1]],[[241,454,0,155,54,0,0,1,0.5032258033752441,0.5,0,0,[]],222,5801,[],[],[0,"Default",0,1]],[[238,518,0,155,54,0,0,1,0.5032258033752441,
0.5,0,0,[]],223,5802,[],[],[0,"Default",0,1]],[[314,599,0,112,67,0,0,1,0.5714285969734192,0.4925373196601868,0,0,[]],225,19,[],[],[0,"Default",0,1]],[[203,594,0,59,52,0,0,1,0.508474588394165,0.5,0,0,[]],226,20,[],[],[0,"Default",0,1]],[[475,586,0,72,53,0,0,1,0.5,0.5094339847564697,0,0,[]],227,21,[],[],[0,"Default",0,1]],[[1144,1416,0,186,47,0,0,1,0.5,0.517241358757019,0,0,[]],233,2257,[],[],[0,"Default",0,1]],[[856,-202,0,45.9129638671875,19.25382232666016,0,0,1,-0.06451612710952759,0.5384615659713745,
0,0,[]],248,4033,[],[[]],[0,"Default",0,1]],[[1115,-207,0,60.39867401123047,30.19933700561523,0,0,1,0.15625,0.4375,0,0,[]],249,4052,[],[[]],[0,"Default",0,1]],[[923,-201,0,47.70613098144531,22.4499454498291,0,0,1,-0.05882352963089943,0.5625,0,0,[]],250,4060,[],[[]],[0,"Default",0,1]],[[986,-203,0,49.14265060424805,22.46521186828613,0,0,1,-0.05714285746216774,0.5,0,0,[]],251,4293,[],[[]],[0,"Default",0,1]],[[1042,-203,0,50.2729377746582,27.29102516174316,0,0,1,-0.02857142873108387,0.5263158082962036,
0,0,[]],252,4534,[],[[]],[0,"Default",0,1]],[[847,-144,0,32.77422714233398,31.21355056762695,0,0,1,0.3333333432674408,0.300000011920929,0,0,[]],253,4572,[],[[]],[0,"Default",0,1]],[[890,-142,0,37.26222991943359,30.78184127807617,0,0,1,0.3043478131294251,0.2631579041481018,0,0,[]],254,4573,[],[[]],[0,"Default",0,1]],[[938,-139,0,30.49590301513672,27.44631195068359,0,0,1,0.3499999940395355,0.2222222238779068,0,0,[]],255,4574,[],[[]],[0,"Default",0,1]],[[891.8666381835938,-255.6000061035156,0,52.31865310668945,
43.3497428894043,0,0,1,0.3714285790920258,0.7931034564971924,0,0,[]],256,4575,[],[[]],[0,"Default",0,1]],[[976.8666381835938,-261.6000061035156,0,78.81700134277344,52.01922988891602,0,0,1,0.4399999976158142,0.6666666865348816,0,0,[]],257,4576,[],[[]],[0,"Default",0,1]],[[1073.86669921875,-266.6000061035156,0,58.33630752563477,41.48359680175781,0,0,1,0.3555555641651154,0.71875,0,0,[]],258,4577,[],[[]],[0,"Default",0,1]],[[1149,-267,0,72.03099822998047,64.52777099609375,0,0,1,0.4583333432674408,0.604651153087616,
0,0,[]],259,4580,[],[[]],[0,"Default",0,1]],[[1246,-263,0,25.22753715515137,16.05388641357422,0,0,1,-0.2272727340459824,0.5,0,0,[]],260,4581,[],[[]],[0,"Default",0,1]],[[1301,-262,0,28.56571388244629,17.85357093811035,0,0,1,-0.2083333283662796,0.5333333611488342,0,0,[]],261,4582,[],[[]],[0,"Default",0,1]],[[1407.86669921875,-253.6000061035156,0,19.77371978759766,19.77371978759766,0,0,1,0.5384615659713745,0.5384615659713745,0,0,[]],262,4583,[],[[]],[0,"Default",0,1]],[[-137,-339,0,166.7476654052734,
78.84967041015625,0,0,1,0.5,0.5,0,0,[]],272,198,[],[],[0,"Default",0,1]],[[42,-339,0,166.7476654052734,78.84967041015625,0,0,1,0.5,0.5,0,0,[]],273,224,[],[],[0,"Default",0,1]],[[1497,625,0,289.2093200683594,94.79638671875,0,0,1,0.5,0.508474588394165,0,0,[]],274,4744,[],[],[0,"Default",0,1]]],[]]],[],[]],["Store",1708,960,!1,"Store",6164711654749857,[["Layer 0",0,9101167735991416,!0,[51,153,204],!1,1,1,1,!1,1,0,0,[[[833,420.5,0,1773,512,0,0,0.6499999761581421,0.5,0.5,0,0,[]],6,66,[],[[1,0,0,40,0,0,
0,50,0]],[0,"Default",0,1]],[[819.5,545,0,-1804,571,0,0,0.4000000059604645,0.5,0.5,0,0,[]],7,93,[],[[1,0,0,20,0,0,0,50,0]],[0,"Default",0,1]]],[]],["Layer 1",1,6109096818719022,!0,[255,255,255],!0,1,1,1,!1,1,0,0,[[[295,77,0,93.9859619140625,104.2389755249023,0,0,1,0.4545454680919647,0.01639344170689583,0,0,[]],243,146,[[150]],[],[0,"Default",0,1]],[[301,368,0,226.9206848144531,263.7952880859375,0,0,1,0.5,0.4354838728904724,0,0,[]],245,3885,[],[[]],[0,"Default",0,1]],[[301,502,0,213.0953979492188,
89.41065979003906,0,0,1,0.503496527671814,0.5,0,0,[]],244,3882,[],[[]],[0,"Default",0,1]],[[509,419,0,97.4268798828125,192.4268798828125,0,0,1,0.5,0.5034013390541077,0,0,[]],246,3886,[],[[]],[0,"Default",0,1]],[[92,416,0,97.4268798828125,192.4268798828125,0,0,1,0.5,0.5034013390541077,0,0,[]],247,3887,[],[[]],[0,"Default",0,1]],[[302,367,0,202,202,0,0,1,0.5,0.5,0,0,[]],263,4029,[],[[]],[0,"Default",0,1]],[[305,601,0,213.0950012207031,89.41100311279297,0,0,1,0.5174825191497803,0.4833333194255829,0,
0,[]],264,4031,[],[[]],[0,"Default",0,1]],[[302,775,0,213.0950012207031,89.41100311279297,0,0,1,0.468531459569931,0.5,0,0,[]],265,4032,[],[],[0,"Default",0,1]],[[295.8222351074219,61.76673889160156,0,66.4326171875,49.28871917724609,0,0,1,0.5,1,0,0,[]],269,3932,[],[[]],[0,"Default",0,1]],[[296.0623168945313,76.26093292236328,0,15.79399108886719,-2.438392639160156,0,-1.576729655265808,1,0,0.48828125,0,0,[]],270,172,[],[[]],[0,"Default",0,1]],[[300,191,0,840.2077026367188,173.3761901855469,0,0,1,0.5,
0.5,0,0,[]],271,120,[],[[]],[0,"Default",0,1]]],[]]],[],[]]],[["Click to play",[[1,"orientation",0,1,!1,!1,0x72cf7b9c07b33,!1],[1,"banya",0,2,!1,!1,7670737075692071,!1],[1,"SETGLOBALS",0,0,!1,!1,7217728440045851,!1],[0,null,!1,null,0xe9f9ca7e758c9,[[2,cr.plugins_.Browser.prototype.cnds.IsPortraitLandscape,null,0,!1,!1,!1,6436387528943592,!1,[[3,0]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0x9f1463ec1ba95,!1,[[11,"orientation"],[7,[0,1]]]]]],[0,null,!1,null,9205904341108938,[[2,cr.plugins_.Browser.prototype.cnds.IsPortraitLandscape,
null,0,!1,!1,!1,7745596332765253,!1,[[3,1]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,8704312422089471,!1,[[11,"orientation"],[7,[0,2]]]]]],[0,null,!1,null,6901522369098689,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xcf6e6093ea0fe,!1,[[11,"orientation"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8550652404856694,!1]],[[-1,cr.system_object.prototype.acts.Wait,null,4739481008263329,!1,[[0,[1,1]]]],[9,cr.plugins_.Sprite.prototype.acts.SetPos,
null,9591104377069960,!1,[[0,[4,[19,cr.system_object.prototype.exps.viewportleft,[[0,4]]],[0,69]]],[0,[4,[19,cr.system_object.prototype.exps.viewporttop,[[0,4]]],[0,261]]]]],[10,cr.plugins_.Sprite.prototype.acts.SetPos,null,6741572390310652,!1,[[0,[4,[19,cr.system_object.prototype.exps.viewportleft,[[0,4]]],[0,230]]],[0,[4,[19,cr.system_object.prototype.exps.viewporttop,[[0,4]]],[0,109]]]]],[266,cr.plugins_.Sprite.prototype.acts.SetPos,null,8621351792433066,!1,[[0,[5,[19,cr.system_object.prototype.exps.viewportright,
[[0,4]]],[0,69]]],[0,[4,[19,cr.system_object.prototype.exps.viewporttop,[[0,4]]],[0,137]]]]],[8,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xc0cecb7ed8595,!1,[[0,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,4]]],[0,200]]],[0,[5,[19,cr.system_object.prototype.exps.viewportbottom,[[0,4]]],[0,200]]]]],[11,cr.plugins_.Sprite.prototype.acts.SetPos,null,7170514561488678,!1,[[0,[7,[4,[20,9,cr.plugins_.Sprite.prototype.exps.X,!1,null],[20,266,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,
2]]],[0,[4,[20,9,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,40]]]]],[228,cr.plugins_.Sprite.prototype.acts.SetPos,null,8295686725167564,!1,[[0,[7,[4,[20,9,cr.plugins_.Sprite.prototype.exps.X,!1,null],[20,266,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,2]]],[0,[4,[20,11,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,160]]]]]]],[0,null,!1,null,0xed8b657f49455,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6907928719727793,!1,[[11,"orientation"],[8,0],[7,[0,2]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,6105556959033456,!1]],[[-1,cr.system_object.prototype.acts.Wait,null,0xa548e031ec8b5,!1,[[0,[1,1]]]],[9,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xfd2977f239e,!1,[[0,[4,[19,cr.system_object.prototype.exps.viewportleft,[[0,4]]],[0,69]]],[0,[4,[19,cr.system_object.prototype.exps.viewporttop,[[0,4]]],[0,261]]]]],[10,cr.plugins_.Sprite.prototype.acts.SetPos,null,4565034696060259,!1,[[0,[4,[19,cr.system_object.prototype.exps.viewportleft,[[0,4]]],[0,230]]],[0,[4,[19,cr.system_object.prototype.exps.viewporttop,
[[0,4]]],[0,109]]]]],[266,cr.plugins_.Sprite.prototype.acts.SetPos,null,6708784111363832,!1,[[0,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,4]]],[0,69]]],[0,[4,[19,cr.system_object.prototype.exps.viewporttop,[[0,4]]],[0,137]]]]],[8,cr.plugins_.Sprite.prototype.acts.SetPos,null,8752583597824736,!1,[[0,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,4]]],[0,300]]],[0,[5,[19,cr.system_object.prototype.exps.viewportbottom,[[0,4]]],[0,250]]]]],[11,cr.plugins_.Sprite.prototype.acts.SetPos,
null,0x8f3b1c6110ff5,!1,[[0,[7,[4,[20,9,cr.plugins_.Sprite.prototype.exps.X,!1,null],[20,266,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,2]]],[0,[7,[20,8,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,2]]]]],[228,cr.plugins_.Sprite.prototype.acts.SetPos,null,8546603075176991,!1,[[0,[7,[4,[20,9,cr.plugins_.Sprite.prototype.exps.X,!1,null],[20,266,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,2]]],[0,[4,[20,11,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,160]]]]]]],[0,null,!1,null,9867633304906616,
[[0,cr.plugins_.WebStorage.prototype.cnds.CompareKeyNumber,null,0,!1,!1,!1,5611378888305055,!1,[[1,[2,"SETGLOBALSSave"]],[8,0],[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,8579249881968237,!1,[[11,"SETGLOBALS"],[7,[0,1]]]]]],[0,null,!1,null,0x7823a5ad9823f,[[1,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,9852938790802906,!1,[[4,11]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xd8beac73db09,!1,[[11,"SETGLOBALS"],[8,0],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0x49ff2d1ce3907,!1,[[4,127],[5,[0,9]],[0,[0,0]],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,6885850065464838,!1,[[4,126],[5,[0,9]],[0,[7,[4,[20,9,cr.plugins_.Sprite.prototype.exps.X,!1,null],[20,266,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,2]]],[0,[0,470]]]],[-1,cr.system_object.prototype.acts.SetVar,null,488430238249195,!1,[[11,"chooser"],[7,[0,1]]]],[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,951547173440907,!1,[[1,[2,"play"]],[7,[23,"chooser"]]]],
[-1,cr.system_object.prototype.acts.Wait,null,8354049022616652,!1,[[0,[1,0.2]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,6542417520346994,!1,[[6,"Chooselevel"]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x3e9ecf95e0be8,!1,[[11,"SETGLOBALS"],[7,[0,1]]]],[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,9753292561521478,!1,[[1,[2,"SETGLOBALSSave"]],[7,[23,"SETGLOBALS"]]]]]],[0,null,!1,null,7660933885342499,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,
0x5b40c7107aa05,!1,[[4,11]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8020072944892915,!1,[[11,"SETGLOBALS"],[8,0],[7,[0,1]]]]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0xd98ebae5ec809,!1,[[4,127],[5,[0,9]],[0,[0,0]],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x49c0aa26ecff3,!1,[[4,126],[5,[0,9]],[0,[7,[4,[20,9,cr.plugins_.Sprite.prototype.exps.X,!1,null],[20,266,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,2]]],[0,[0,470]]]],[-1,cr.system_object.prototype.acts.SetVar,
null,549671193354116,!1,[[11,"chooser"],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"play"]]]]]],[-1,cr.system_object.prototype.acts.Wait,null,506185705299492,!1,[[0,[1,0.2]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,7254381537931896,!1,[[6,"Chooselevel"]]]]],[0,null,!1,null,512719521068352,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,6305675337881077,!1,[[4,228]]]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0x447252964c773,!1,
[[4,127],[5,[0,9]],[0,[0,0]],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xa3f24ac4b0181,!1,[[4,126],[5,[0,9]],[0,[7,[4,[20,9,cr.plugins_.Sprite.prototype.exps.X,!1,null],[20,266,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,2]]],[0,[0,470]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xa4c6b4828cccf,!1,[[0,[1,0.2]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,5047411095084941,!1,[[6,"Tutorial"]]]]],[0,null,!1,null,0x75322aec84556,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,
null,1,!1,!1,!1,7006353803943554,!1]],[[3,cr.plugins_.Audio.prototype.acts.StopAll,null,8647080749172231,!1]],[[0,null,!1,null,0xabd581b778fd9,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,85701282400186,!1,[[11,"Sound"],[8,0],[7,[0,1]]]]],[[3,cr.plugins_.Audio.prototype.acts.PlayByName,null,0xa3a1f572c32f6,!1,[[3,0],[1,[2,"menu"]],[3,1],[0,[0,0]],[1,[2,"menu"]]]]]]]],[0,null,!1,null,0xb7dc839dad4da,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,4722332396811312,
!1]],[[4,cr.plugins_.CJSAds.prototype.acts.ShowBanner,null,0xf087012c8a39c,!1,[[3,1]]],[4,cr.plugins_.CJSAds.prototype.acts.ShowFullscreen,null,0xe2bc29f63b169,!1]]]]],["Chooselevel",[[1,"Levelstars1",0,0,!1,!1,7368806205133332,!1],[1,"Levelstars2",0,0,!1,!1,0x6245da03d6e48,!1],[1,"Levelstars3",0,0,!1,!1,4975526159876257,!1],[1,"Levelstars4",0,0,!1,!1,6058514475085899,!1],[1,"Levelstars5",0,0,!1,!1,402135890384521,!1],[1,"Levelstars6",0,0,!1,!1,6510762436337339,!1],[1,"Levelstars7",0,0,!1,!1,0xc8d8de0900bdb,
!1],[1,"Levelstars8",0,0,!1,!1,6549018672401544,!1],[1,"Levelstars9",0,0,!1,!1,7519098647143405,!1],[1,"Levelstars10",0,0,!1,!1,9194819792731056,!1],[1,"Levelstars11",0,0,!1,!1,0xb51a7350a0d7d,!1],[1,"Levelstars12",0,0,!1,!1,0x4567b223e906f,!1],[1,"Levelstars13",0,0,!1,!1,8915086003614466,!1],[1,"Levelstars14",0,0,!1,!1,7660386689110068,!1],[1,"Levelstars15",0,0,!1,!1,9254048044596344,!1],[1,"Levelstars16",0,0,!1,!1,0x838a566c8ba2a,!1],[1,"Levelstars17",0,0,!1,!1,5589198005517984,!1],[1,"Levelstars18",
0,0,!1,!1,5704095234959795,!1],[1,"Levelstars19",0,0,!1,!1,0x73896d60ac202,!1],[1,"Levelstars20",0,0,!1,!1,0x4e78311be11b6,!1],[0,null,!1,null,0x93b6768ba91df,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,6495411934823715,!1]],[[37,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0xa4859c195ebcc,!1,[[4,36],[3,1]]],[37,cr.behaviors.Pin.prototype.acts.Pin,"Pin",5027956153863993,!1,[[4,36],[3,1]]],[14,cr.behaviors.Pin.prototype.acts.Pin,"Pin",9062752671748436,!1,[[4,25],[3,1]]],[23,cr.behaviors.Pin.prototype.acts.Pin,
"Pin",0xd0232d9b0c7ce,!1,[[4,25],[3,1]]],[26,cr.behaviors.Pin.prototype.acts.Pin,"Pin",6316297527865591,!1,[[4,25],[3,1]]],[27,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0xf7fcf5c44e26d,!1,[[4,25],[3,1]]],[28,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0x52c4acbed1ddd,!1,[[4,25],[3,1]]],[29,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0x7d0629acda458,!1,[[4,25],[3,1]]],[30,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0xe4709a0c09919,!1,[[4,25],[3,1]]],[31,cr.behaviors.Pin.prototype.acts.Pin,"Pin",329901678857521,
!1,[[4,25],[3,1]]],[13,cr.behaviors.Pin.prototype.acts.Pin,"Pin",8979252205302516,!1,[[4,25],[3,1]]],[12,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0x631287c0ec937,!1,[[4,25],[3,1]]],[15,cr.behaviors.Pin.prototype.acts.Pin,"Pin",6708243133927368,!1,[[4,25],[3,1]]],[16,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0x9a0edce3da896,!1,[[4,25],[3,1]]],[17,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0x8396fc9eb2f71,!1,[[4,25],[3,1]]],[18,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0xcf3ba1fe9e561,!1,[[4,25],[3,
1]]],[19,cr.behaviors.Pin.prototype.acts.Pin,"Pin",6608727470135136,!1,[[4,25],[3,1]]],[20,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0xdb3578d5ecc97,!1,[[4,25],[3,1]]],[21,cr.behaviors.Pin.prototype.acts.Pin,"Pin",8060356619503214,!1,[[4,25],[3,1]]],[22,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0xe8154241b9073,!1,[[4,25],[3,1]]],[24,cr.behaviors.Pin.prototype.acts.Pin,"Pin",7835047741892823,!1,[[4,25],[3,1]]],[32,cr.behaviors.Pin.prototype.acts.Pin,"Pin",8692478877083659,!1,[[4,25],[3,1]]],[33,cr.behaviors.Pin.prototype.acts.Pin,
"Pin",8682380440233636,!1,[[4,25],[3,1]]],[34,cr.behaviors.Pin.prototype.acts.Pin,"Pin",611627668364668,!1,[[4,25],[3,1]]],[35,cr.behaviors.Pin.prototype.acts.Pin,"Pin",5950106420901686,!1,[[4,25],[3,1]]]]],[0,null,!1,null,9512570405612986,[[2,cr.plugins_.Browser.prototype.cnds.IsPortraitLandscape,null,0,!1,!1,!1,5971376558585241,!1,[[3,0]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0x633453606e8df,!1,[[11,"orientation"],[7,[0,1]]]]]],[0,null,!1,null,7916190856912198,[[2,cr.plugins_.Browser.prototype.cnds.IsPortraitLandscape,
null,0,!1,!1,!1,0x91db0df541917,!1,[[3,1]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,7344431716148385,!1,[[11,"orientation"],[7,[0,2]]]]]],[0,null,!1,null,6300262048841198,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8602186533809366,!1,[[11,"orientation"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xf9565c8152db5,!1]],[[-1,cr.system_object.prototype.acts.Wait,null,8106506178046973,!1,[[0,[1,1]]]],[36,cr.plugins_.Sprite.prototype.acts.SetPos,
null,0xdc5fb931ef0ba,!1,[[0,[4,[19,cr.system_object.prototype.exps.viewportleft,[[0,1]]],[0,50]]],[0,[4,[19,cr.system_object.prototype.exps.viewporttop,[[0,1]]],[0,68]]]]],[227,cr.plugins_.Sprite.prototype.acts.SetPos,null,5416467302084459,!1,[[0,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,50]]],[0,[4,[19,cr.system_object.prototype.exps.viewporttop,[[0,0]]],[0,70]]]]],[225,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x3ab8c831f3220,!1,[[0,[5,[20,227,cr.plugins_.Sprite.prototype.exps.X,
!1,null],[0,90]]],[0,[4,[19,cr.system_object.prototype.exps.viewporttop,[[0,0]]],[0,70]]]]],[226,cr.plugins_.Sprite.prototype.acts.SetPos,null,5555399308431332,!1,[[0,[5,[20,225,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,95]]],[0,[4,[19,cr.system_object.prototype.exps.viewporttop,[[0,0]]],[0,70]]]]],[25,cr.plugins_.Sprite.prototype.acts.SetPos,null,9505833556778480,!1,[[0,[7,[4,[20,36,cr.plugins_.Sprite.prototype.exps.X,!1,null],[20,227,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,2]]],[0,
[4,[19,cr.system_object.prototype.exps.viewporttop,[[0,0]]],[0,191]]]]]]],[0,null,!1,null,411757778335923,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xfa24e055ef78f,!1,[[11,"orientation"],[8,0],[7,[0,2]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xa49da4f4078c9,!1]],[[-1,cr.system_object.prototype.acts.Wait,null,0x98cd7a27b021d,!1,[[0,[1,1]]]],[36,cr.plugins_.Sprite.prototype.acts.SetPos,null,5860252513451183,!1,[[0,[4,[19,cr.system_object.prototype.exps.viewportleft,
[[0,1]]],[0,50]]],[0,[4,[19,cr.system_object.prototype.exps.viewporttop,[[0,1]]],[0,68]]]]],[227,cr.plugins_.Sprite.prototype.acts.SetPos,null,9661879200151854,!1,[[0,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,0]]],[0,50]]],[0,[4,[19,cr.system_object.prototype.exps.viewporttop,[[0,0]]],[0,70]]]]],[225,cr.plugins_.Sprite.prototype.acts.SetPos,null,5588145735724793,!1,[[0,[5,[20,227,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,90]]],[0,[4,[19,cr.system_object.prototype.exps.viewporttop,
[[0,0]]],[0,70]]]]],[226,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x74c2323ecdf79,!1,[[0,[5,[20,225,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,95]]],[0,[4,[19,cr.system_object.prototype.exps.viewporttop,[[0,0]]],[0,70]]]]],[25,cr.plugins_.Sprite.prototype.acts.SetPos,null,7912167485382174,!1,[[0,[7,[4,[20,36,cr.plugins_.Sprite.prototype.exps.X,!1,null],[20,227,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,2]]],[0,[4,[19,cr.system_object.prototype.exps.viewporttop,[[0,0]]],[0,191]]]]]]],
[0,null,!1,null,6080304562467573,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7311797625574044,!1,[[11,"orientation"],[8,0],[7,[0,2]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,488485476895735,!1]],[[-1,cr.system_object.prototype.acts.Wait,null,8729552276703353,!1,[[0,[1,1]]]]]],[0,null,!1,null,0x63ced87279de8,[[1,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,4633335411705733,!1,[[4,14]]],[-1,cr.system_object.prototype.cnds.Compare,null,
0,!1,!1,!1,7264310454570417,!1,[[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"play"]]]],[8,3],[7,[0,1]]]]],[[-1,cr.system_object.prototype.acts.GoToLayout,null,5703938913147601,!1,[[6,"Level1"]]]]],[0,null,!1,null,8756118530037064,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,6341185918549272,!1]],[],[[0,null,!1,null,7753715850999871,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,916881574265488,!1,[[11,"Sound"],[8,0],[7,[0,0]]]]],[[225,
cr.plugins_.Sprite.prototype.acts.SetAnim,null,5805795177134535,!1,[[1,[2,"off"]],[3,1]]]]]]],[0,null,!1,null,960384118196224,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0xa580a34dadc73,!1,[[4,226]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,5665290721664371,!1,[[11,"Sound"],[7,[0,1]]]],[225,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xe761d5b9122c1,!1,[[1,[2,"on"]],[3,1]]]],[[0,null,!1,null,6138024894651829,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,
!1,!1,!1,0xfa7b1e8632df3,!1,[[11,"Sound"],[8,0],[7,[0,1]]]]],[[3,cr.plugins_.Audio.prototype.acts.PlayByName,null,5842120867010498,!1,[[3,0],[1,[2,"menu"]],[3,1],[0,[0,0]],[1,[2,"menu"]]]]]]]],[0,null,!1,null,5477192717286542,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0xd4680b41c0dfe,!1,[[4,227]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0x66aa4f12c7f71,!1,[[11,"Sound"],[7,[0,0]]]],[225,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5046418387819556,!1,[[1,[2,"off"]],
[3,1]]]],[[0,null,!1,null,6134546214824117,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6651909131047111,!1,[[11,"Sound"],[8,0],[7,[0,0]]]]],[[3,cr.plugins_.Audio.prototype.acts.StopAll,null,7649819087318137,!1]]]]],[0,[!0,"Stars count level 1"],!1,null,5325033110818041,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,5325033110818041,!1,[[1,[2,"Stars count level 1"]]]]],[],[[0,null,!1,null,4783692882426734,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,
1,!1,!1,!1,5395181991772391,!1]],[[-1,cr.system_object.prototype.acts.SetVar,null,7253916541463792,!1,[[11,"Levelstars1"],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"1levelsave"]]]]]]]],[0,null,!1,null,5028525408702395,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x4f5c87394da8f,!1,[[11,"Levelstars1"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x4fec9b78730e3,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0x616bb23ba1895,!1,[[4,155],[5,[0,0]],[0,[20,14,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,14,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[155,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0x6ce5c8b7c656e,!1,[[4,14],[3,1]]]]],[0,null,!1,null,8089876091396177,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7811968340777611,!1,[[11,"Levelstars1"],[8,0],[7,[0,2]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9386293568455328,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,4974215413160354,!1,[[4,156],[5,[0,0]],[0,[20,14,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,14,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[156,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0x51e97cd8b55d3,!1,[[4,14],[3,1]]]]],[0,null,!1,null,0x4ab6876637dfd,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4561877340426057,!1,[[11,"Levelstars1"],[8,0],[7,[0,3]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8225998482201509,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0x7504681cc8419,!1,[[4,157],[5,[0,0]],[0,[20,14,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,14,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[157,cr.behaviors.Pin.prototype.acts.Pin,"Pin",5365015079298712,!1,[[4,14],[3,1]]]]],[0,null,!1,null,301363955256304,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9874358923019016,!1,[[11,"Levelstars1"],[8,0],[7,[0,4]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5829226290557858,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,9158271358174238,!1,[[4,158],[5,[0,0]],[0,[20,14,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,14,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[158,cr.behaviors.Pin.prototype.acts.Pin,"Pin",8503383953602438,!1,[[4,14],[3,1]]]]],[0,null,!1,null,0xdb0f7adc087c3,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6313600349695464,!1,[[11,"Levelstars1"],[8,0],[7,[0,5]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6185250168865346,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,654899625197488,!1,[[4,159],[5,[0,0]],[0,[20,14,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,14,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[159,cr.behaviors.Pin.prototype.acts.Pin,"Pin",5193306877934814,!1,[[4,14],[3,1]]]]],[0,null,!1,null,0xef4fd6e37fbad,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x662d3c34dff77,!1,[[11,"Levelstars1"],[8,0],[7,[0,6]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xbbf24b5683731,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0xb6a1a91678f8e,!1,[[4,142],[5,[0,0]],[0,[20,14,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,14,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[142,cr.behaviors.Pin.prototype.acts.Pin,"Pin",5183484096416324,!1,[[4,14],[3,1]]]]],[0,null,!1,null,0x9742577755e2d,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5214868325973064,!1,[[11,"Levelstars1"],[8,0],[7,[0,7]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x4b653676bfacf,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0x4bbb0a6fd180b,!1,[[4,143],[5,[0,0]],[0,[20,14,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,14,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[143,cr.behaviors.Pin.prototype.acts.Pin,"Pin",6178968425912236,!1,[[4,14],[3,1]]]]],[0,null,!1,null,0xf978a030ba6ff,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8583588899407482,!1,[[11,"Levelstars1"],[8,0],[7,[0,8]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5010095294775598,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0xdb6a462ee3c88,!1,[[4,144],[5,[0,0]],[0,[20,14,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,14,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[144,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0xf8e86918f3f15,!1,[[4,14],[3,1]]]]],[0,null,!1,null,78867479120405,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8714193384580679,!1,[[11,"Levelstars1"],[8,0],[7,[0,9]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8452225584364688,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,4882047272453704,!1,[[4,145],[5,[0,0]],[0,[20,14,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,14,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[145,cr.behaviors.Pin.prototype.acts.Pin,"Pin",6438164937255216,!1,[[4,14],[3,1]]]]],[0,null,!1,null,5890372406018224,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6272371147212152,!1,[[11,"Levelstars1"],[8,0],[7,[0,10]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x47caf61079610,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,4624724153145098,!1,[[4,146],[5,[0,0]],[0,[20,14,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,14,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[146,cr.behaviors.Pin.prototype.acts.Pin,"Pin",4561224272102025,!1,[[4,14],[3,1]]]]]]],[0,[!0,"Stars count level 2"],!1,null,4686864477450879,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,4686864477450879,!1,[[1,[2,"Stars count level 2"]]]]],[],[[0,null,!1,null,4783692882426734,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,
null,1,!1,!1,!1,5395181991772391,!1]],[[-1,cr.system_object.prototype.acts.SetVar,null,7253916541463792,!1,[[11,"Levelstars2"],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"2levelsave"]]]]]]]],[0,null,!1,null,5028525408702395,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x4f5c87394da8f,!1,[[11,"Levelstars2"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x4fec9b78730e3,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0x616bb23ba1895,!1,[[4,155],[5,[0,0]],[0,[20,23,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,23,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[155,cr.behaviors.Pin.prototype.acts.Pin,"Pin",435178153838067,!1,[[4,23],[3,1]]]]],[0,null,!1,null,8089876091396177,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7811968340777611,!1,[[11,"Levelstars2"],[8,0],[7,[0,2]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9386293568455328,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,4974215413160354,!1,[[4,156],[5,[0,0]],[0,[20,23,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,23,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[156,cr.behaviors.Pin.prototype.acts.Pin,"Pin",340911721913662,!1,[[4,23],[3,1]]]]],[0,null,!1,null,0x4ab6876637dfd,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4561877340426057,!1,[[11,"Levelstars2"],[8,0],[7,[0,3]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8225998482201509,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0x7504681cc8419,!1,[[4,157],[5,[0,0]],[0,[20,23,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,23,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[157,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0xf12c88f1e68b,!1,[[4,23],[3,1]]]]],[0,null,!1,null,301363955256304,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9874358923019016,!1,[[11,"Levelstars2"],[8,0],[7,[0,4]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5829226290557858,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,9158271358174238,!1,[[4,158],[5,[0,0]],[0,[20,23,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,23,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[158,cr.behaviors.Pin.prototype.acts.Pin,"Pin",700495271785842,!1,[[4,23],[3,1]]]]],[0,null,!1,null,0xdb0f7adc087c3,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6313600349695464,!1,[[11,"Levelstars2"],[8,0],[7,[0,5]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6185250168865346,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,654899625197488,!1,[[4,159],[5,[0,0]],[0,[20,23,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,23,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[159,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0x87b9f9105049e,!1,[[4,23],[3,1]]]]],[0,null,!1,null,0xef4fd6e37fbad,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x662d3c34dff77,!1,[[11,"Levelstars2"],[8,0],[7,[0,6]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xbbf24b5683731,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0xb6a1a91678f8e,!1,[[4,142],[5,[0,0]],[0,[20,23,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,23,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[142,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0xf097541c8ca5b,!1,[[4,23],[3,1]]]]],[0,null,!1,null,0x9742577755e2d,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5214868325973064,!1,[[11,"Levelstars2"],[8,0],[7,[0,7]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x4b653676bfacf,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0x4bbb0a6fd180b,!1,[[4,143],[5,[0,0]],[0,[20,23,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,23,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[143,cr.behaviors.Pin.prototype.acts.Pin,"Pin",1701199395206,!1,[[4,23],[3,1]]]]],[0,null,!1,null,0xf978a030ba6ff,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8583588899407482,!1,[[11,"Levelstars2"],[8,0],[7,[0,8]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5010095294775598,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0xdb6a462ee3c88,!1,[[4,144],[5,[0,0]],[0,[20,23,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,23,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[144,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0x448df66fbaa82,!1,[[4,23],[3,1]]]]],[0,null,!1,null,78867479120405,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8714193384580679,!1,[[11,"Levelstars2"],[8,0],[7,[0,9]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8452225584364688,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,4882047272453704,!1,[[4,145],[5,[0,0]],[0,[20,23,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,23,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[145,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0xc244949301658,!1,[[4,23],[3,1]]]]],[0,null,!1,null,5890372406018224,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6272371147212152,!1,[[11,"Levelstars2"],[8,0],[7,[0,10]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x47caf61079610,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,4624724153145098,!1,[[4,146],[5,[0,0]],[0,[20,23,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,23,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[146,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0xf9833c55f9b9d,!1,[[4,23],[3,1]]]]]]],[0,[!0,"Stars count level 3"],!1,null,734128552135918,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,734128552135918,!1,[[1,[2,"Stars count level 3"]]]]],[],[[0,null,!1,null,4783692882426734,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,
null,1,!1,!1,!1,5395181991772391,!1]],[[-1,cr.system_object.prototype.acts.SetVar,null,7253916541463792,!1,[[11,"Levelstars3"],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"3levelsave"]]]]]]]],[0,null,!1,null,5028525408702395,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x4f5c87394da8f,!1,[[11,"Levelstars3"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x4fec9b78730e3,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0x616bb23ba1895,!1,[[4,155],[5,[0,0]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,25,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[155,cr.behaviors.Pin.prototype.acts.Pin,"Pin",5102891596449996,!1,[[4,25],[3,1]]]]],[0,null,!1,null,8089876091396177,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7811968340777611,!1,[[11,"Levelstars3"],[8,0],[7,[0,2]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9386293568455328,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,4974215413160354,!1,[[4,156],[5,[0,0]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,25,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[156,cr.behaviors.Pin.prototype.acts.Pin,"Pin",7924915314891229,!1,[[4,25],[3,1]]]]],[0,null,!1,null,0x4ab6876637dfd,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4561877340426057,!1,[[11,"Levelstars3"],[8,0],[7,[0,3]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8225998482201509,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0x7504681cc8419,!1,[[4,157],[5,[0,0]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,25,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[157,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0xcc95c84c68bd9,!1,[[4,25],[3,1]]]]],[0,null,!1,null,301363955256304,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9874358923019016,!1,[[11,"Levelstars3"],[8,0],[7,[0,4]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5829226290557858,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,9158271358174238,!1,[[4,158],[5,[0,0]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,25,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[158,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0xd0519a5dfb518,!1,[[4,25],[3,1]]]]],[0,null,!1,null,0xdb0f7adc087c3,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6313600349695464,!1,[[11,"Levelstars3"],[8,0],[7,[0,5]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6185250168865346,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,654899625197488,!1,[[4,159],[5,[0,0]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,25,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[159,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0x728cb4a24c1e7,!1,[[4,25],[3,1]]]]],[0,null,!1,null,0xef4fd6e37fbad,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x662d3c34dff77,!1,[[11,"Levelstars3"],[8,0],[7,[0,6]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xbbf24b5683731,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0xb6a1a91678f8e,!1,[[4,142],[5,[0,0]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,25,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[142,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0x4c466fdc2d9ef,!1,[[4,25],[3,1]]]]],[0,null,!1,null,0x9742577755e2d,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5214868325973064,!1,[[11,"Levelstars3"],[8,0],[7,[0,7]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x4b653676bfacf,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0x4bbb0a6fd180b,!1,[[4,143],[5,[0,0]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,25,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[143,cr.behaviors.Pin.prototype.acts.Pin,"Pin",8688505116379292,!1,[[4,25],[3,1]]]]],[0,null,!1,null,0xf978a030ba6ff,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8583588899407482,!1,[[11,"Levelstars3"],[8,0],[7,[0,8]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5010095294775598,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0xdb6a462ee3c88,!1,[[4,144],[5,[0,0]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,25,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[144,cr.behaviors.Pin.prototype.acts.Pin,"Pin",9365059564229562,!1,[[4,25],[3,1]]]]],[0,null,!1,null,78867479120405,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8714193384580679,!1,[[11,"Levelstars3"],[8,0],[7,[0,9]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8452225584364688,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,4882047272453704,!1,[[4,145],[5,[0,0]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,25,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[145,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0xd1b4cd386e3b3,!1,[[4,25],[3,1]]]]],[0,null,!1,null,5890372406018224,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6272371147212152,!1,[[11,"Levelstars3"],[8,0],[7,[0,10]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x47caf61079610,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,4624724153145098,!1,[[4,146],[5,[0,0]],[0,[20,25,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,25,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[146,cr.behaviors.Pin.prototype.acts.Pin,"Pin",8529450906633351,!1,[[4,25],[3,1]]]]]]],[0,[!0,"Stars count level 4"],!1,null,8482815039947357,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,8482815039947357,!1,[[1,[2,"Stars count level 4"]]]]],[],[[0,null,!1,null,4783692882426734,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,
null,1,!1,!1,!1,5395181991772391,!1]],[[-1,cr.system_object.prototype.acts.SetVar,null,7253916541463792,!1,[[11,"Levelstars4"],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"4levelsave"]]]]]]]],[0,null,!1,null,5028525408702395,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x4f5c87394da8f,!1,[[11,"Levelstars4"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x4fec9b78730e3,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0x616bb23ba1895,!1,[[4,155],[5,[0,0]],[0,[20,26,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,26,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[155,cr.behaviors.Pin.prototype.acts.Pin,"Pin",9388869312043014,!1,[[4,26],[3,1]]]]],[0,null,!1,null,8089876091396177,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7811968340777611,!1,[[11,"Levelstars4"],[8,0],[7,[0,2]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9386293568455328,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,4974215413160354,!1,[[4,156],[5,[0,0]],[0,[20,26,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,26,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[156,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0x9894ee6ec9993,!1,[[4,26],[3,1]]]]],[0,null,!1,null,0x4ab6876637dfd,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4561877340426057,!1,[[11,"Levelstars4"],[8,0],[7,[0,3]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8225998482201509,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0x7504681cc8419,!1,[[4,157],[5,[0,0]],[0,[20,26,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,26,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[157,cr.behaviors.Pin.prototype.acts.Pin,"Pin",9992003146076908,!1,[[4,26],[3,1]]]]],[0,null,!1,null,301363955256304,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9874358923019016,!1,[[11,"Levelstars4"],[8,0],[7,[0,4]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5829226290557858,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,9158271358174238,!1,[[4,158],[5,[0,0]],[0,[20,26,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,26,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[158,cr.behaviors.Pin.prototype.acts.Pin,"Pin",7629094622600976,!1,[[4,26],[3,1]]]]],[0,null,!1,null,0xdb0f7adc087c3,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6313600349695464,!1,[[11,"Levelstars4"],[8,0],[7,[0,5]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6185250168865346,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,654899625197488,!1,[[4,159],[5,[0,0]],[0,[20,26,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,26,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[159,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0x91f62394f1603,!1,[[4,26],[3,1]]]]],[0,null,!1,null,0xef4fd6e37fbad,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x662d3c34dff77,!1,[[11,"Levelstars4"],[8,0],[7,[0,6]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xbbf24b5683731,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0xb6a1a91678f8e,!1,[[4,142],[5,[0,0]],[0,[20,26,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,26,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[142,cr.behaviors.Pin.prototype.acts.Pin,"Pin",9960736619050732,!1,[[4,26],[3,1]]]]],[0,null,!1,null,0x9742577755e2d,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5214868325973064,!1,[[11,"Levelstars4"],[8,0],[7,[0,7]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x4b653676bfacf,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0x4bbb0a6fd180b,!1,[[4,143],[5,[0,0]],[0,[20,26,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,26,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[143,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0xd7c39de04ccd7,!1,[[4,26],[3,1]]]]],[0,null,!1,null,0xf978a030ba6ff,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8583588899407482,!1,[[11,"Levelstars4"],[8,0],[7,[0,8]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5010095294775598,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0xdb6a462ee3c88,!1,[[4,144],[5,[0,0]],[0,[20,26,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,26,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[144,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0xba586e3579305,!1,[[4,26],[3,1]]]]],[0,null,!1,null,78867479120405,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8714193384580679,!1,[[11,"Levelstars4"],[8,0],[7,[0,9]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8452225584364688,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,4882047272453704,!1,[[4,145],[5,[0,0]],[0,[20,26,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,26,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[145,cr.behaviors.Pin.prototype.acts.Pin,"Pin",5399185487990027,!1,[[4,26],[3,1]]]]],[0,null,!1,null,5890372406018224,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6272371147212152,!1,[[11,"Levelstars4"],[8,0],[7,[0,10]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x47caf61079610,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,4624724153145098,!1,[[4,146],[5,[0,0]],[0,[20,26,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,26,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[146,cr.behaviors.Pin.prototype.acts.Pin,"Pin",866966023983184,!1,[[4,26],[3,1]]]]]]],[0,[!0,"Stars count level 5"],!1,null,9460881066789956,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,9460881066789956,!1,[[1,[2,"Stars count level 5"]]]]],[],[[0,null,!1,null,4783692882426734,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,
null,1,!1,!1,!1,5395181991772391,!1]],[[-1,cr.system_object.prototype.acts.SetVar,null,7253916541463792,!1,[[11,"Levelstars5"],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"5levelsave"]]]]]]]],[0,null,!1,null,5028525408702395,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x4f5c87394da8f,!1,[[11,"Levelstars5"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x4fec9b78730e3,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0x616bb23ba1895,!1,[[4,155],[5,[0,0]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[155,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0xae22155ca0fe4,!1,[[4,27],[3,1]]]]],[0,null,!1,null,8089876091396177,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7811968340777611,!1,[[11,"Levelstars5"],[8,0],[7,[0,2]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9386293568455328,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,4974215413160354,!1,[[4,156],[5,[0,0]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[156,cr.behaviors.Pin.prototype.acts.Pin,"Pin",9180227748598544,!1,[[4,27],[3,1]]]]],[0,null,!1,null,0x4ab6876637dfd,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4561877340426057,!1,[[11,"Levelstars5"],[8,0],[7,[0,3]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8225998482201509,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0x7504681cc8419,!1,[[4,157],[5,[0,0]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[157,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0x667b4a9db8c1f,!1,[[4,27],[3,1]]]]],[0,null,!1,null,301363955256304,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9874358923019016,!1,[[11,"Levelstars5"],[8,0],[7,[0,4]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5829226290557858,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,9158271358174238,!1,[[4,158],[5,[0,0]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[158,cr.behaviors.Pin.prototype.acts.Pin,"Pin",9125879140715864,!1,[[4,27],[3,1]]]]],[0,null,!1,null,0xdb0f7adc087c3,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6313600349695464,!1,[[11,"Levelstars5"],[8,0],[7,[0,5]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6185250168865346,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,654899625197488,!1,[[4,159],[5,[0,0]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[159,cr.behaviors.Pin.prototype.acts.Pin,"Pin",8341734512454874,!1,[[4,27],[3,1]]]]],[0,null,!1,null,0xef4fd6e37fbad,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x662d3c34dff77,!1,[[11,"Levelstars5"],[8,0],[7,[0,6]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xbbf24b5683731,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0xb6a1a91678f8e,!1,[[4,142],[5,[0,0]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[142,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0x90700cdcf7360,!1,[[4,27],[3,1]]]]],[0,null,!1,null,0x9742577755e2d,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5214868325973064,!1,[[11,"Levelstars5"],[8,0],[7,[0,7]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x4b653676bfacf,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0x4bbb0a6fd180b,!1,[[4,143],[5,[0,0]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[143,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0x8195746949546,!1,[[4,27],[3,1]]]]],[0,null,!1,null,0xf978a030ba6ff,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8583588899407482,!1,[[11,"Levelstars5"],[8,0],[7,[0,8]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5010095294775598,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0xdb6a462ee3c88,!1,[[4,144],[5,[0,0]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[144,cr.behaviors.Pin.prototype.acts.Pin,"Pin",6740508652919972,!1,[[4,27],[3,1]]]]],[0,null,!1,null,78867479120405,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8714193384580679,!1,[[11,"Levelstars5"],[8,0],[7,[0,9]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8452225584364688,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,4882047272453704,!1,[[4,145],[5,[0,0]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[145,cr.behaviors.Pin.prototype.acts.Pin,"Pin",5014330665701336,!1,[[4,27],[3,1]]]]],[0,null,!1,null,5890372406018224,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6272371147212152,!1,[[11,"Levelstars5"],[8,0],[7,[0,10]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x47caf61079610,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,4624724153145098,!1,[[4,146],[5,[0,0]],[0,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[146,cr.behaviors.Pin.prototype.acts.Pin,"Pin",7926501105684598,!1,[[4,27],[3,1]]]]]]],[0,[!0,"Stars count level 6"],!1,null,6627921841728133,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,6627921841728133,!1,[[1,[2,"Stars count level 6"]]]]],[],[[0,null,!1,null,4783692882426734,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,
null,1,!1,!1,!1,5395181991772391,!1]],[[-1,cr.system_object.prototype.acts.SetVar,null,7253916541463792,!1,[[11,"Levelstars6"],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"6levelsave"]]]]]]]],[0,null,!1,null,5028525408702395,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x4f5c87394da8f,!1,[[11,"Levelstars6"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x4fec9b78730e3,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0x616bb23ba1895,!1,[[4,155],[5,[0,0]],[0,[20,28,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,28,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[155,cr.behaviors.Pin.prototype.acts.Pin,"Pin",727232070730309,!1,[[4,28],[3,1]]]]],[0,null,!1,null,8089876091396177,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7811968340777611,!1,[[11,"Levelstars6"],[8,0],[7,[0,2]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9386293568455328,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,4974215413160354,!1,[[4,156],[5,[0,0]],[0,[20,28,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,28,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[156,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0xda75d7f40e75f,!1,[[4,28],[3,1]]]]],[0,null,!1,null,0x4ab6876637dfd,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4561877340426057,!1,[[11,"Levelstars6"],[8,0],[7,[0,3]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8225998482201509,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0x7504681cc8419,!1,[[4,157],[5,[0,0]],[0,[20,28,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,28,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[157,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0x546a25f64ccaa,!1,[[4,28],[3,1]]]]],[0,null,!1,null,301363955256304,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9874358923019016,!1,[[11,"Levelstars6"],[8,0],[7,[0,4]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5829226290557858,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,9158271358174238,!1,[[4,158],[5,[0,0]],[0,[20,28,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,28,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[158,cr.behaviors.Pin.prototype.acts.Pin,"Pin",7095489678131876,!1,[[4,28],[3,1]]]]],[0,null,!1,null,0xdb0f7adc087c3,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6313600349695464,!1,[[11,"Levelstars6"],[8,0],[7,[0,5]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6185250168865346,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,654899625197488,!1,[[4,159],[5,[0,0]],[0,[20,28,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,28,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[159,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0x57361e0c75d25,!1,[[4,28],[3,1]]]]],[0,null,!1,null,0xef4fd6e37fbad,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x662d3c34dff77,!1,[[11,"Levelstars6"],[8,0],[7,[0,6]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xbbf24b5683731,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0xb6a1a91678f8e,!1,[[4,142],[5,[0,0]],[0,[20,28,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,28,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[142,cr.behaviors.Pin.prototype.acts.Pin,"Pin",6110910088420534,!1,[[4,28],[3,1]]]]],[0,null,!1,null,0x9742577755e2d,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5214868325973064,!1,[[11,"Levelstars6"],[8,0],[7,[0,7]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x4b653676bfacf,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0x4bbb0a6fd180b,!1,[[4,143],[5,[0,0]],[0,[20,28,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,28,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[143,cr.behaviors.Pin.prototype.acts.Pin,"Pin",9638193996183324,!1,[[4,28],[3,1]]]]],[0,null,!1,null,0xf978a030ba6ff,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8583588899407482,!1,[[11,"Levelstars6"],[8,0],[7,[0,8]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5010095294775598,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0xdb6a462ee3c88,!1,[[4,144],[5,[0,0]],[0,[20,28,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,28,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[144,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0x86ef2a4e06004,!1,[[4,28],[3,1]]]]],[0,null,!1,null,78867479120405,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8714193384580679,!1,[[11,"Levelstars6"],[8,0],[7,[0,9]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8452225584364688,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,4882047272453704,!1,[[4,145],[5,[0,0]],[0,[20,28,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,28,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[145,cr.behaviors.Pin.prototype.acts.Pin,"Pin",8505393280136965,!1,[[4,28],[3,1]]]]],[0,null,!1,null,5890372406018224,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6272371147212152,!1,[[11,"Levelstars6"],[8,0],[7,[0,10]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x47caf61079610,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,4624724153145098,!1,[[4,146],[5,[0,0]],[0,[20,28,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,28,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[146,cr.behaviors.Pin.prototype.acts.Pin,"Pin",6536061291914641,!1,[[4,28],[3,1]]]]]]],[0,[!0,"Stars count level 7"],!1,null,5545738870878932,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,5545738870878932,!1,[[1,[2,"Stars count level 7"]]]]],[],[[0,null,!1,null,4783692882426734,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,
null,1,!1,!1,!1,5395181991772391,!1]],[[-1,cr.system_object.prototype.acts.SetVar,null,7253916541463792,!1,[[11,"Levelstars7"],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"7levelsave"]]]]]]]],[0,null,!1,null,5028525408702395,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x4f5c87394da8f,!1,[[11,"Levelstars7"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x4fec9b78730e3,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0x616bb23ba1895,!1,[[4,155],[5,[0,0]],[0,[20,29,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,29,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[155,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0x89f048387215c,!1,[[4,29],[3,1]]]]],[0,null,!1,null,8089876091396177,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7811968340777611,!1,[[11,"Levelstars7"],[8,0],[7,[0,2]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9386293568455328,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,4974215413160354,!1,[[4,156],[5,[0,0]],[0,[20,29,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,29,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[156,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0x7eec09a6f7594,!1,[[4,29],[3,1]]]]],[0,null,!1,null,0x4ab6876637dfd,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4561877340426057,!1,[[11,"Levelstars7"],[8,0],[7,[0,3]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8225998482201509,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0x7504681cc8419,!1,[[4,157],[5,[0,0]],[0,[20,29,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,29,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[157,cr.behaviors.Pin.prototype.acts.Pin,"Pin",7204041014699064,!1,[[4,29],[3,1]]]]],[0,null,!1,null,301363955256304,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9874358923019016,!1,[[11,"Levelstars7"],[8,0],[7,[0,4]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5829226290557858,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,9158271358174238,!1,[[4,158],[5,[0,0]],[0,[20,29,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,29,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[158,cr.behaviors.Pin.prototype.acts.Pin,"Pin",7784747200076719,!1,[[4,29],[3,1]]]]],[0,null,!1,null,0xdb0f7adc087c3,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6313600349695464,!1,[[11,"Levelstars7"],[8,0],[7,[0,5]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6185250168865346,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,654899625197488,!1,[[4,159],[5,[0,0]],[0,[20,29,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,29,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[159,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0x3b3cbe2a40d29,!1,[[4,29],[3,1]]]]],[0,null,!1,null,0xef4fd6e37fbad,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x662d3c34dff77,!1,[[11,"Levelstars7"],[8,0],[7,[0,6]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xbbf24b5683731,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0xb6a1a91678f8e,!1,[[4,142],[5,[0,0]],[0,[20,29,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,29,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[142,cr.behaviors.Pin.prototype.acts.Pin,"Pin",7571308673214783,!1,[[4,29],[3,1]]]]],[0,null,!1,null,0x9742577755e2d,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5214868325973064,!1,[[11,"Levelstars7"],[8,0],[7,[0,7]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x4b653676bfacf,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0x4bbb0a6fd180b,!1,[[4,143],[5,[0,0]],[0,[20,29,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,29,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[143,cr.behaviors.Pin.prototype.acts.Pin,"Pin",9463573871520072,!1,[[4,29],[3,1]]]]],[0,null,!1,null,0xf978a030ba6ff,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8583588899407482,!1,[[11,"Levelstars7"],[8,0],[7,[0,8]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5010095294775598,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0xdb6a462ee3c88,!1,[[4,144],[5,[0,0]],[0,[20,29,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,29,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[144,cr.behaviors.Pin.prototype.acts.Pin,"Pin",8864388928698192,!1,[[4,29],[3,1]]]]],[0,null,!1,null,78867479120405,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8714193384580679,!1,[[11,"Levelstars7"],[8,0],[7,[0,9]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8452225584364688,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,4882047272453704,!1,[[4,145],[5,[0,0]],[0,[20,29,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,29,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[145,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0x69a06962cee0e,!1,[[4,29],[3,1]]]]],[0,null,!1,null,5890372406018224,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6272371147212152,!1,[[11,"Levelstars7"],[8,0],[7,[0,10]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x47caf61079610,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,4624724153145098,!1,[[4,146],[5,[0,0]],[0,[20,29,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,29,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[146,cr.behaviors.Pin.prototype.acts.Pin,"Pin",4570033947696569,!1,[[4,29],[3,1]]]]]]],[0,[!0,"Stars count level 8"],!1,null,7528176114553032,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,7528176114553032,!1,[[1,[2,"Stars count level 8"]]]]],[],[[0,null,!1,null,4783692882426734,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,
null,1,!1,!1,!1,5395181991772391,!1]],[[-1,cr.system_object.prototype.acts.SetVar,null,7253916541463792,!1,[[11,"Levelstars8"],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"8levelsave"]]]]]]]],[0,null,!1,null,5028525408702395,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x4f5c87394da8f,!1,[[11,"Levelstars8"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x4fec9b78730e3,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0x616bb23ba1895,!1,[[4,155],[5,[0,0]],[0,[20,30,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,30,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[155,cr.behaviors.Pin.prototype.acts.Pin,"Pin",9308793845883918,!1,[[4,30],[3,1]]]]],[0,null,!1,null,8089876091396177,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7811968340777611,!1,[[11,"Levelstars8"],[8,0],[7,[0,2]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9386293568455328,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,4974215413160354,!1,[[4,156],[5,[0,0]],[0,[20,30,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,30,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[156,cr.behaviors.Pin.prototype.acts.Pin,"Pin",408945907170371,!1,[[4,30],[3,1]]]]],[0,null,!1,null,0x4ab6876637dfd,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4561877340426057,!1,[[11,"Levelstars8"],[8,0],[7,[0,3]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8225998482201509,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0x7504681cc8419,!1,[[4,157],[5,[0,0]],[0,[20,30,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,30,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[157,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0x90392824c5b29,!1,[[4,30],[3,1]]]]],[0,null,!1,null,301363955256304,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9874358923019016,!1,[[11,"Levelstars8"],[8,0],[7,[0,4]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5829226290557858,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,9158271358174238,!1,[[4,158],[5,[0,0]],[0,[20,30,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,30,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[158,cr.behaviors.Pin.prototype.acts.Pin,"Pin",8806416265930178,!1,[[4,30],[3,1]]]]],[0,null,!1,null,0xdb0f7adc087c3,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6313600349695464,!1,[[11,"Levelstars8"],[8,0],[7,[0,5]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6185250168865346,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,654899625197488,!1,[[4,159],[5,[0,0]],[0,[20,30,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,30,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[159,cr.behaviors.Pin.prototype.acts.Pin,"Pin",8148674259959293,!1,[[4,30],[3,1]]]]],[0,null,!1,null,0xef4fd6e37fbad,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x662d3c34dff77,!1,[[11,"Levelstars8"],[8,0],[7,[0,6]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xbbf24b5683731,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0xb6a1a91678f8e,!1,[[4,142],[5,[0,0]],[0,[20,30,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,30,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[142,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0x763eeeaa9891e,!1,[[4,30],[3,1]]]]],[0,null,!1,null,0x9742577755e2d,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5214868325973064,!1,[[11,"Levelstars8"],[8,0],[7,[0,7]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x4b653676bfacf,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0x4bbb0a6fd180b,!1,[[4,143],[5,[0,0]],[0,[20,30,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,30,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[143,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0x51ba8e2517552,!1,[[4,30],[3,1]]]]],[0,null,!1,null,0xf978a030ba6ff,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8583588899407482,!1,[[11,"Levelstars8"],[8,0],[7,[0,8]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5010095294775598,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0xdb6a462ee3c88,!1,[[4,144],[5,[0,0]],[0,[20,30,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,30,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[144,cr.behaviors.Pin.prototype.acts.Pin,"Pin",5497870962563274,!1,[[4,30],[3,1]]]]],[0,null,!1,null,78867479120405,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8714193384580679,!1,[[11,"Levelstars8"],[8,0],[7,[0,9]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8452225584364688,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,4882047272453704,!1,[[4,145],[5,[0,0]],[0,[20,30,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,30,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[145,cr.behaviors.Pin.prototype.acts.Pin,"Pin",8152048958349385,!1,[[4,30],[3,1]]]]],[0,null,!1,null,5890372406018224,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6272371147212152,!1,[[11,"Levelstars8"],[8,0],[7,[0,10]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x47caf61079610,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,4624724153145098,!1,[[4,146],[5,[0,0]],[0,[20,30,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,30,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[146,cr.behaviors.Pin.prototype.acts.Pin,"Pin",4655863879147503,!1,[[4,30],[3,1]]]]]]],[0,[!0,"Stars count level 9"],!1,null,5218089369431522,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,5218089369431522,!1,[[1,[2,"Stars count level 9"]]]]],[],[[0,null,!1,null,4783692882426734,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,
null,1,!1,!1,!1,5395181991772391,!1]],[[-1,cr.system_object.prototype.acts.SetVar,null,7253916541463792,!1,[[11,"Levelstars9"],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"9levelsave"]]]]]]]],[0,null,!1,null,5028525408702395,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x4f5c87394da8f,!1,[[11,"Levelstars9"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x4fec9b78730e3,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0x616bb23ba1895,!1,[[4,155],[5,[0,0]],[0,[20,31,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,31,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[155,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0xcd5f9fbb141a5,!1,[[4,31],[3,1]]]]],[0,null,!1,null,8089876091396177,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7811968340777611,!1,[[11,"Levelstars9"],[8,0],[7,[0,2]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9386293568455328,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,4974215413160354,!1,[[4,156],[5,[0,0]],[0,[20,31,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,31,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[156,cr.behaviors.Pin.prototype.acts.Pin,"Pin",5876794974520238,!1,[[4,31],[3,1]]]]],[0,null,!1,null,0x4ab6876637dfd,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4561877340426057,!1,[[11,"Levelstars9"],[8,0],[7,[0,3]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8225998482201509,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0x7504681cc8419,!1,[[4,157],[5,[0,0]],[0,[20,31,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,31,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[157,cr.behaviors.Pin.prototype.acts.Pin,"Pin",7804105657447275,!1,[[4,31],[3,1]]]]],[0,null,!1,null,301363955256304,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9874358923019016,!1,[[11,"Levelstars9"],[8,0],[7,[0,4]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5829226290557858,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,9158271358174238,!1,[[4,158],[5,[0,0]],[0,[20,31,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,31,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[158,cr.behaviors.Pin.prototype.acts.Pin,"Pin",883546127979981,!1,[[4,31],[3,1]]]]],[0,null,!1,null,0xdb0f7adc087c3,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6313600349695464,!1,[[11,"Levelstars9"],[8,0],[7,[0,5]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6185250168865346,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,654899625197488,!1,[[4,159],[5,[0,0]],[0,[20,31,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,31,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[159,cr.behaviors.Pin.prototype.acts.Pin,"Pin",5165307128381048,!1,[[4,31],[3,1]]]]],[0,null,!1,null,0xef4fd6e37fbad,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x662d3c34dff77,!1,[[11,"Levelstars9"],[8,0],[7,[0,6]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xbbf24b5683731,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0xb6a1a91678f8e,!1,[[4,142],[5,[0,0]],[0,[20,31,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,31,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[142,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0xdd067cddb9b0b,!1,[[4,31],[3,1]]]]],[0,null,!1,null,0x9742577755e2d,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5214868325973064,!1,[[11,"Levelstars9"],[8,0],[7,[0,7]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x4b653676bfacf,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0x4bbb0a6fd180b,!1,[[4,143],[5,[0,0]],[0,[20,31,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,31,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[143,cr.behaviors.Pin.prototype.acts.Pin,"Pin",5754883810791219,!1,[[4,31],[3,1]]]]],[0,null,!1,null,0xf978a030ba6ff,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8583588899407482,!1,[[11,"Levelstars9"],[8,0],[7,[0,8]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5010095294775598,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0xdb6a462ee3c88,!1,[[4,144],[5,[0,0]],[0,[20,31,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,31,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[144,cr.behaviors.Pin.prototype.acts.Pin,"Pin",7113727547636176,!1,[[4,31],[3,1]]]]],[0,null,!1,null,78867479120405,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8714193384580679,!1,[[11,"Levelstars9"],[8,0],[7,[0,9]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8452225584364688,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,4882047272453704,!1,[[4,145],[5,[0,0]],[0,[20,31,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,31,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[145,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0xa7b74e43b0537,!1,[[4,31],[3,1]]]]],[0,null,!1,null,5890372406018224,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6272371147212152,!1,[[11,"Levelstars9"],[8,0],[7,[0,10]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x47caf61079610,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,4624724153145098,!1,[[4,146],[5,[0,0]],[0,[20,31,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,31,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[146,cr.behaviors.Pin.prototype.acts.Pin,"Pin",9145574473248192,!1,[[4,31],[3,1]]]]]]],[0,[!0,"Stars count level 10"],!1,null,9889160215749208,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,9889160215749208,!1,[[1,[2,"Stars count level 10"]]]]],[],[[0,null,!1,null,4783692882426734,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,
null,1,!1,!1,!1,5395181991772391,!1]],[[-1,cr.system_object.prototype.acts.SetVar,null,7253916541463792,!1,[[11,"Levelstars10"],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"10levelsave"]]]]]]]],[0,null,!1,null,5028525408702395,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x4f5c87394da8f,!1,[[11,"Levelstars10"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x4fec9b78730e3,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0x616bb23ba1895,!1,[[4,155],[5,[0,0]],[0,[20,13,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,13,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[155,cr.behaviors.Pin.prototype.acts.Pin,"Pin",6790545364436997,!1,[[4,13],[3,1]]]]],[0,null,!1,null,8089876091396177,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7811968340777611,!1,[[11,"Levelstars10"],[8,0],[7,[0,2]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9386293568455328,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,4974215413160354,!1,[[4,156],[5,[0,0]],[0,[20,13,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,13,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[156,cr.behaviors.Pin.prototype.acts.Pin,"Pin",4546079107931645,!1,[[4,13],[3,1]]]]],[0,null,!1,null,0x4ab6876637dfd,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4561877340426057,!1,[[11,"Levelstars10"],[8,0],[7,[0,3]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8225998482201509,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0x7504681cc8419,!1,[[4,157],[5,[0,0]],[0,[20,13,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,13,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[157,cr.behaviors.Pin.prototype.acts.Pin,"Pin",6218298517776273,!1,[[4,13],[3,1]]]]],[0,null,!1,null,301363955256304,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9874358923019016,!1,[[11,"Levelstars10"],[8,0],[7,[0,4]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5829226290557858,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,9158271358174238,!1,[[4,158],[5,[0,0]],[0,[20,13,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,13,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[158,cr.behaviors.Pin.prototype.acts.Pin,"Pin",4729673779475779,!1,[[4,13],[3,1]]]]],[0,null,!1,null,0xdb0f7adc087c3,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6313600349695464,!1,[[11,"Levelstars10"],[8,0],[7,[0,5]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6185250168865346,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,654899625197488,!1,[[4,159],[5,[0,0]],[0,[20,13,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,13,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[159,cr.behaviors.Pin.prototype.acts.Pin,"Pin",5421502785253843,!1,[[4,13],[3,1]]]]],[0,null,!1,null,0xef4fd6e37fbad,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x662d3c34dff77,!1,[[11,"Levelstars10"],[8,0],[7,[0,6]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xbbf24b5683731,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0xb6a1a91678f8e,!1,[[4,142],[5,[0,0]],[0,[20,13,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,13,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[142,cr.behaviors.Pin.prototype.acts.Pin,"Pin",8572719477635848,!1,[[4,13],[3,1]]]]],[0,null,!1,null,0x9742577755e2d,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5214868325973064,!1,[[11,"Levelstars10"],[8,0],[7,[0,7]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x4b653676bfacf,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0x4bbb0a6fd180b,!1,[[4,143],[5,[0,0]],[0,[20,13,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,13,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[143,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0x6866755218335,!1,[[4,13],[3,1]]]]],[0,null,!1,null,0xf978a030ba6ff,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8583588899407482,!1,[[11,"Levelstars10"],[8,0],[7,[0,8]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5010095294775598,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0xdb6a462ee3c88,!1,[[4,144],[5,[0,0]],[0,[20,13,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,13,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[144,cr.behaviors.Pin.prototype.acts.Pin,"Pin",9774040300059308,!1,[[4,13],[3,1]]]]],[0,null,!1,null,78867479120405,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8714193384580679,!1,[[11,"Levelstars10"],[8,0],[7,[0,9]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8452225584364688,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,4882047272453704,!1,[[4,145],[5,[0,0]],[0,[20,13,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,13,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[145,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0x615ddd4b1cde6,!1,[[4,13],[3,1]]]]],[0,null,!1,null,5890372406018224,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6272371147212152,!1,[[11,"Levelstars10"],[8,0],[7,[0,10]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x47caf61079610,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,4624724153145098,!1,[[4,146],[5,[0,0]],[0,[20,13,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,13,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[146,cr.behaviors.Pin.prototype.acts.Pin,"Pin",8552867004284394,!1,[[4,13],[3,1]]]]]]],[0,[!0,"Stars count level 11"],!1,null,9230147727554384,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,9230147727554384,!1,[[1,[2,"Stars count level 11"]]]]],[],[[0,null,!1,null,4783692882426734,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,
null,1,!1,!1,!1,5395181991772391,!1]],[[-1,cr.system_object.prototype.acts.SetVar,null,7253916541463792,!1,[[11,"Levelstars11"],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"11levelsave"]]]]]]]],[0,null,!1,null,5028525408702395,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x4f5c87394da8f,!1,[[11,"Levelstars11"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x4fec9b78730e3,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0x616bb23ba1895,!1,[[4,155],[5,[0,0]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[155,cr.behaviors.Pin.prototype.acts.Pin,"Pin",7865233538882162,!1,[[4,12],[3,1]]]]],[0,null,!1,null,8089876091396177,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7811968340777611,!1,[[11,"Levelstars11"],[8,0],[7,[0,2]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9386293568455328,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,4974215413160354,!1,[[4,156],[5,[0,0]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[156,cr.behaviors.Pin.prototype.acts.Pin,"Pin",7697782054215197,!1,[[4,12],[3,1]]]]],[0,null,!1,null,0x4ab6876637dfd,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4561877340426057,!1,[[11,"Levelstars11"],[8,0],[7,[0,3]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8225998482201509,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0x7504681cc8419,!1,[[4,157],[5,[0,0]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[157,cr.behaviors.Pin.prototype.acts.Pin,"Pin",6404006519690774,!1,[[4,12],[3,1]]]]],[0,null,!1,null,301363955256304,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9874358923019016,!1,[[11,"Levelstars11"],[8,0],[7,[0,4]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5829226290557858,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,9158271358174238,!1,[[4,158],[5,[0,0]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[158,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0x5a9daa3edcfda,!1,[[4,12],[3,1]]]]],[0,null,!1,null,0xdb0f7adc087c3,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6313600349695464,!1,[[11,"Levelstars11"],[8,0],[7,[0,5]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6185250168865346,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,654899625197488,!1,[[4,159],[5,[0,0]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[159,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0x9ad55ff3e55f7,!1,[[4,12],[3,1]]]]],[0,null,!1,null,0xef4fd6e37fbad,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x662d3c34dff77,!1,[[11,"Levelstars11"],[8,0],[7,[0,6]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xbbf24b5683731,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0xb6a1a91678f8e,!1,[[4,142],[5,[0,0]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[142,cr.behaviors.Pin.prototype.acts.Pin,"Pin",9122420809698412,!1,[[4,12],[3,1]]]]],[0,null,!1,null,0x9742577755e2d,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5214868325973064,!1,[[11,"Levelstars11"],[8,0],[7,[0,7]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x4b653676bfacf,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0x4bbb0a6fd180b,!1,[[4,143],[5,[0,0]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[143,cr.behaviors.Pin.prototype.acts.Pin,"Pin",8881985320669887,!1,[[4,12],[3,1]]]]],[0,null,!1,null,0xf978a030ba6ff,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8583588899407482,!1,[[11,"Levelstars11"],[8,0],[7,[0,8]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5010095294775598,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0xdb6a462ee3c88,!1,[[4,144],[5,[0,0]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[144,cr.behaviors.Pin.prototype.acts.Pin,"Pin",8797570247935771,!1,[[4,12],[3,1]]]]],[0,null,!1,null,78867479120405,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8714193384580679,!1,[[11,"Levelstars11"],[8,0],[7,[0,9]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8452225584364688,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,4882047272453704,!1,[[4,145],[5,[0,0]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[145,cr.behaviors.Pin.prototype.acts.Pin,"Pin",7492471951176439,!1,[[4,12],[3,1]]]]],[0,null,!1,null,5890372406018224,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6272371147212152,!1,[[11,"Levelstars11"],[8,0],[7,[0,10]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x47caf61079610,!1]],[[-1,
cr.system_object.prototype.acts.CreateObject,null,4624724153145098,!1,[[4,146],[5,[0,0]],[0,[20,12,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,12,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[146,cr.behaviors.Pin.prototype.acts.Pin,"Pin",5674705126328019,!1,[[4,12],[3,1]]]]]]],[0,[!0,"Stars count level 12"],!1,null,0xa140b56c3135b,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,0xa140b56c3135b,!1,[[1,[2,"Stars count level 12"]]]]],[],[[0,null,!1,null,4783692882426734,
[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,5395181991772391,!1]],[[-1,cr.system_object.prototype.acts.SetVar,null,7253916541463792,!1,[[11,"Levelstars12"],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"12levelsave"]]]]]]]],[0,null,!1,null,5028525408702395,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x4f5c87394da8f,!1,[[11,"Levelstars12"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x4fec9b78730e3,
!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0x616bb23ba1895,!1,[[4,155],[5,[0,0]],[0,[20,15,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,15,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[155,cr.behaviors.Pin.prototype.acts.Pin,"Pin",8757870119119547,!1,[[4,15],[3,1]]]]],[0,null,!1,null,8089876091396177,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7811968340777611,!1,[[11,"Levelstars12"],[8,0],[7,[0,2]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,9386293568455328,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,4974215413160354,!1,[[4,156],[5,[0,0]],[0,[20,15,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,15,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[156,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0x82ca45e940e60,!1,[[4,15],[3,1]]]]],[0,null,!1,null,0x4ab6876637dfd,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4561877340426057,!1,[[11,"Levelstars12"],[8,0],[7,[0,3]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,8225998482201509,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0x7504681cc8419,!1,[[4,157],[5,[0,0]],[0,[20,15,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,15,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[157,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0x9acf2d0993e,!1,[[4,15],[3,1]]]]],[0,null,!1,null,301363955256304,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9874358923019016,!1,[[11,"Levelstars12"],[8,0],[7,[0,4]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,5829226290557858,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,9158271358174238,!1,[[4,158],[5,[0,0]],[0,[20,15,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,15,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[158,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0x8d2fb76139897,!1,[[4,15],[3,1]]]]],[0,null,!1,null,0xdb0f7adc087c3,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6313600349695464,!1,[[11,"Levelstars12"],[8,0],[7,[0,5]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,6185250168865346,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,654899625197488,!1,[[4,159],[5,[0,0]],[0,[20,15,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,15,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[159,cr.behaviors.Pin.prototype.acts.Pin,"Pin",6076998324891256,!1,[[4,15],[3,1]]]]],[0,null,!1,null,0xef4fd6e37fbad,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x662d3c34dff77,!1,[[11,"Levelstars12"],[8,0],[7,[0,6]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,0xbbf24b5683731,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0xb6a1a91678f8e,!1,[[4,142],[5,[0,0]],[0,[20,15,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,15,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[142,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0xa505330639f81,!1,[[4,15],[3,1]]]]],[0,null,!1,null,0x9742577755e2d,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5214868325973064,!1,[[11,"Levelstars12"],[8,0],[7,[0,7]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,0x4b653676bfacf,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0x4bbb0a6fd180b,!1,[[4,143],[5,[0,0]],[0,[20,15,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,15,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[143,cr.behaviors.Pin.prototype.acts.Pin,"Pin",5902939276145603,!1,[[4,15],[3,1]]]]],[0,null,!1,null,0xf978a030ba6ff,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8583588899407482,!1,[[11,"Levelstars12"],[8,0],[7,[0,8]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,5010095294775598,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0xdb6a462ee3c88,!1,[[4,144],[5,[0,0]],[0,[20,15,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,15,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[144,cr.behaviors.Pin.prototype.acts.Pin,"Pin",5132806868806916,!1,[[4,15],[3,1]]]]],[0,null,!1,null,78867479120405,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8714193384580679,!1,[[11,"Levelstars12"],[8,0],[7,[0,9]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,8452225584364688,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,4882047272453704,!1,[[4,145],[5,[0,0]],[0,[20,15,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,15,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[145,cr.behaviors.Pin.prototype.acts.Pin,"Pin",9857323796601528,!1,[[4,15],[3,1]]]]],[0,null,!1,null,5890372406018224,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6272371147212152,!1,[[11,"Levelstars12"],[8,5],[7,[0,10]]]],[-1,
cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x47caf61079610,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,4624724153145098,!1,[[4,146],[5,[0,0]],[0,[20,15,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,15,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[146,cr.behaviors.Pin.prototype.acts.Pin,"Pin",715219907459387,!1,[[4,15],[3,1]]]]]]],[0,[!0,"Stars count level 13"],!1,null,0x8353341a5ebea,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,
!1,!1,0x8353341a5ebea,!1,[[1,[2,"Stars count level 13"]]]]],[],[[0,null,!1,null,4783692882426734,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,5395181991772391,!1]],[[-1,cr.system_object.prototype.acts.SetVar,null,7253916541463792,!1,[[11,"Levelstars13"],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"13levelsave"]]]]]]]],[0,null,!1,null,5028525408702395,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x4f5c87394da8f,!1,[[11,"Levelstars13"],
[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x4fec9b78730e3,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0x616bb23ba1895,!1,[[4,155],[5,[0,0]],[0,[20,16,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,16,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[155,cr.behaviors.Pin.prototype.acts.Pin,"Pin",5890479810703218,!1,[[4,16],[3,1]]]]],[0,null,!1,null,8089876091396177,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,
7811968340777611,!1,[[11,"Levelstars13"],[8,0],[7,[0,2]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9386293568455328,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,4974215413160354,!1,[[4,156],[5,[0,0]],[0,[20,16,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,16,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[156,cr.behaviors.Pin.prototype.acts.Pin,"Pin",7446817684543556,!1,[[4,16],[3,1]]]]],[0,null,!1,null,0x4ab6876637dfd,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,4561877340426057,!1,[[11,"Levelstars13"],[8,0],[7,[0,3]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8225998482201509,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0x7504681cc8419,!1,[[4,157],[5,[0,0]],[0,[20,16,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,16,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[157,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0x475428f1b6f65,!1,[[4,16],[3,1]]]]],[0,null,!1,null,301363955256304,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,9874358923019016,!1,[[11,"Levelstars13"],[8,0],[7,[0,4]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5829226290557858,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,9158271358174238,!1,[[4,158],[5,[0,0]],[0,[20,16,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,16,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[158,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0xe8c20de3972ad,!1,[[4,16],[3,1]]]]],[0,null,!1,null,0xdb0f7adc087c3,[[-1,
cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6313600349695464,!1,[[11,"Levelstars13"],[8,0],[7,[0,5]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6185250168865346,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,654899625197488,!1,[[4,159],[5,[0,0]],[0,[20,16,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,16,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[159,cr.behaviors.Pin.prototype.acts.Pin,"Pin",8621071287549561,!1,[[4,16],[3,1]]]]],
[0,null,!1,null,0xef4fd6e37fbad,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x662d3c34dff77,!1,[[11,"Levelstars13"],[8,0],[7,[0,6]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xbbf24b5683731,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0xb6a1a91678f8e,!1,[[4,142],[5,[0,0]],[0,[20,16,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,16,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[142,cr.behaviors.Pin.prototype.acts.Pin,"Pin",
9115523996398600,!1,[[4,16],[3,1]]]]],[0,null,!1,null,0x9742577755e2d,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5214868325973064,!1,[[11,"Levelstars13"],[8,0],[7,[0,7]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x4b653676bfacf,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0x4bbb0a6fd180b,!1,[[4,143],[5,[0,0]],[0,[20,16,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,16,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[143,
cr.behaviors.Pin.prototype.acts.Pin,"Pin",0xc9d074a0a7874,!1,[[4,16],[3,1]]]]],[0,null,!1,null,0xf978a030ba6ff,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8583588899407482,!1,[[11,"Levelstars13"],[8,0],[7,[0,8]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5010095294775598,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0xdb6a462ee3c88,!1,[[4,144],[5,[0,0]],[0,[20,16,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,16,cr.plugins_.Sprite.prototype.exps.Y,
!1,null],[0,35]]]]],[144,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0x9a0b4bc04aea5,!1,[[4,16],[3,1]]]]],[0,null,!1,null,78867479120405,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8714193384580679,!1,[[11,"Levelstars13"],[8,0],[7,[0,9]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8452225584364688,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,4882047272453704,!1,[[4,145],[5,[0,0]],[0,[20,16,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,
16,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[145,cr.behaviors.Pin.prototype.acts.Pin,"Pin",7854446411736433,!1,[[4,16],[3,1]]]]],[0,null,!1,null,5890372406018224,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6272371147212152,!1,[[11,"Levelstars13"],[8,0],[7,[0,10]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x47caf61079610,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,4624724153145098,!1,[[4,146],[5,[0,0]],[0,[20,16,cr.plugins_.Sprite.prototype.exps.X,
!1,null]],[0,[4,[20,16,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[146,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0xda97daa968cb9,!1,[[4,16],[3,1]]]]]]],[0,[!0,"Stars count level 14"],!1,null,0x90e60bb906acf,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,0x90e60bb906acf,!1,[[1,[2,"Stars count level 14"]]]]],[],[[0,null,!1,null,4783692882426734,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,5395181991772391,!1]],[[-1,cr.system_object.prototype.acts.SetVar,
null,7253916541463792,!1,[[11,"Levelstars14"],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"14levelsave"]]]]]]]],[0,null,!1,null,5028525408702395,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x4f5c87394da8f,!1,[[11,"Levelstars14"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x4fec9b78730e3,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0x616bb23ba1895,!1,[[4,155],[5,[0,0]],[0,[20,17,cr.plugins_.Sprite.prototype.exps.X,
!1,null]],[0,[4,[20,17,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[155,cr.behaviors.Pin.prototype.acts.Pin,"Pin",7237760786969187,!1,[[4,17],[3,1]]]]],[0,null,!1,null,8089876091396177,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7811968340777611,!1,[[11,"Levelstars14"],[8,0],[7,[0,2]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9386293568455328,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,4974215413160354,!1,[[4,156],[5,[0,0]],[0,
[20,17,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,17,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[156,cr.behaviors.Pin.prototype.acts.Pin,"Pin",7744534066999773,!1,[[4,17],[3,1]]]]],[0,null,!1,null,0x4ab6876637dfd,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4561877340426057,!1,[[11,"Levelstars14"],[8,0],[7,[0,3]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8225998482201509,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,
0x7504681cc8419,!1,[[4,157],[5,[0,0]],[0,[20,17,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,17,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[157,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0x875e27018e759,!1,[[4,17],[3,1]]]]],[0,null,!1,null,301363955256304,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9874358923019016,!1,[[11,"Levelstars14"],[8,0],[7,[0,4]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5829226290557858,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,9158271358174238,!1,[[4,158],[5,[0,0]],[0,[20,17,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,17,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[158,cr.behaviors.Pin.prototype.acts.Pin,"Pin",9728603973126440,!1,[[4,17],[3,1]]]]],[0,null,!1,null,0xdb0f7adc087c3,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6313600349695464,!1,[[11,"Levelstars14"],[8,0],[7,[0,5]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6185250168865346,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,654899625197488,!1,[[4,159],[5,[0,0]],[0,[20,17,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,17,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[159,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0x4109629e68a02,!1,[[4,17],[3,1]]]]],[0,null,!1,null,0xef4fd6e37fbad,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x662d3c34dff77,!1,[[11,"Levelstars14"],[8,0],[7,[0,6]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xbbf24b5683731,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0xb6a1a91678f8e,!1,[[4,142],[5,[0,0]],[0,[20,17,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,17,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[142,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0xba9f2c5f4d31e,!1,[[4,17],[3,1]]]]],[0,null,!1,null,0x9742577755e2d,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5214868325973064,!1,[[11,"Levelstars14"],[8,0],[7,[0,7]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x4b653676bfacf,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0x4bbb0a6fd180b,!1,[[4,143],[5,[0,0]],[0,[20,17,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,17,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[143,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0xf70086e7d768f,!1,[[4,17],[3,1]]]]],[0,null,!1,null,0xf978a030ba6ff,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8583588899407482,!1,[[11,"Levelstars14"],[8,0],[7,[0,8]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5010095294775598,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0xdb6a462ee3c88,!1,[[4,144],[5,[0,0]],[0,[20,17,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,17,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[144,cr.behaviors.Pin.prototype.acts.Pin,"Pin",8906357993419512,!1,[[4,17],[3,1]]]]],[0,null,!1,null,78867479120405,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8714193384580679,!1,[[11,"Levelstars14"],[8,0],[7,[0,9]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8452225584364688,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,4882047272453704,!1,[[4,145],[5,[0,0]],[0,[20,17,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,17,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[145,cr.behaviors.Pin.prototype.acts.Pin,"Pin",679582351027339,!1,[[4,17],[3,1]]]]],[0,null,!1,null,5890372406018224,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6272371147212152,!1,[[11,"Levelstars14"],[8,0],[7,[0,10]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x47caf61079610,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,4624724153145098,!1,[[4,146],[5,[0,0]],[0,[20,17,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,17,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[146,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0x3bff1286122ba,!1,[[4,17],[3,1]]]]]]],[0,[!0,"Stars count level 15"],!1,null,950472324992437,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,950472324992437,!1,[[1,[2,"Stars count level 15"]]]]],[],[[0,null,!1,null,4783692882426734,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,
null,1,!1,!1,!1,5395181991772391,!1]],[[-1,cr.system_object.prototype.acts.SetVar,null,7253916541463792,!1,[[11,"Levelstars15"],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"15levelsave"]]]]]]]],[0,null,!1,null,5028525408702395,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x4f5c87394da8f,!1,[[11,"Levelstars15"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x4fec9b78730e3,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0x616bb23ba1895,!1,[[4,155],[5,[0,0]],[0,[20,18,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,18,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[155,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0xe21fb9833ddd2,!1,[[4,18],[3,1]]]]],[0,null,!1,null,8089876091396177,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7811968340777611,!1,[[11,"Levelstars15"],[8,0],[7,[0,2]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9386293568455328,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,4974215413160354,!1,[[4,156],[5,[0,0]],[0,[20,18,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,18,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[156,cr.behaviors.Pin.prototype.acts.Pin,"Pin",8582782027106599,!1,[[4,18],[3,1]]]]],[0,null,!1,null,0x4ab6876637dfd,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4561877340426057,!1,[[11,"Levelstars15"],[8,0],[7,[0,3]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8225998482201509,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0x7504681cc8419,!1,[[4,157],[5,[0,0]],[0,[20,18,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,18,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[157,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0x67c4d6b745afd,!1,[[4,18],[3,1]]]]],[0,null,!1,null,301363955256304,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9874358923019016,!1,[[11,"Levelstars15"],[8,0],[7,[0,4]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5829226290557858,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,9158271358174238,!1,[[4,158],[5,[0,0]],[0,[20,18,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,18,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[158,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0x634c939de6bc4,!1,[[4,18],[3,1]]]]],[0,null,!1,null,0xdb0f7adc087c3,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6313600349695464,!1,[[11,"Levelstars15"],[8,0],[7,[0,5]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6185250168865346,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,654899625197488,!1,[[4,159],[5,[0,0]],[0,[20,18,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,18,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[159,cr.behaviors.Pin.prototype.acts.Pin,"Pin",9604767919973488,!1,[[4,18],[3,1]]]]],[0,null,!1,null,0xef4fd6e37fbad,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x662d3c34dff77,!1,[[11,"Levelstars15"],[8,0],[7,[0,6]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xbbf24b5683731,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0xb6a1a91678f8e,!1,[[4,142],[5,[0,0]],[0,[20,18,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,18,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[142,cr.behaviors.Pin.prototype.acts.Pin,"Pin",9912960239821036,!1,[[4,18],[3,1]]]]],[0,null,!1,null,0x9742577755e2d,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5214868325973064,!1,[[11,"Levelstars15"],[8,0],[7,[0,7]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x4b653676bfacf,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0x4bbb0a6fd180b,!1,[[4,143],[5,[0,0]],[0,[20,18,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,18,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[143,cr.behaviors.Pin.prototype.acts.Pin,"Pin",9120017663992926,!1,[[4,18],[3,1]]]]],[0,null,!1,null,0xf978a030ba6ff,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8583588899407482,!1,[[11,"Levelstars15"],[8,0],[7,[0,8]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5010095294775598,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0xdb6a462ee3c88,!1,[[4,144],[5,[0,0]],[0,[20,18,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,18,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[144,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0xc93a9f16eb740,!1,[[4,18],[3,1]]]]],[0,null,!1,null,78867479120405,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8714193384580679,!1,[[11,"Levelstars15"],[8,0],[7,[0,9]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8452225584364688,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,4882047272453704,!1,[[4,145],[5,[0,0]],[0,[20,18,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,18,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[145,cr.behaviors.Pin.prototype.acts.Pin,"Pin",6065349905067521,!1,[[4,18],[3,1]]]]],[0,null,!1,null,5890372406018224,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6272371147212152,!1,[[11,"Levelstars15"],[8,0],[7,[0,10]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x47caf61079610,!1]],[[-1,
cr.system_object.prototype.acts.CreateObject,null,4624724153145098,!1,[[4,146],[5,[0,0]],[0,[20,18,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,18,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[146,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0xc6288b8e28939,!1,[[4,18],[3,1]]]]]]],[0,[!0,"Stars count level 16"],!1,null,8642072024528255,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,8642072024528255,!1,[[1,[2,"Stars count level 16"]]]]],[],[[0,null,!1,null,4783692882426734,
[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,5395181991772391,!1]],[[-1,cr.system_object.prototype.acts.SetVar,null,7253916541463792,!1,[[11,"Levelstars16"],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"16levelsave"]]]]]]]],[0,null,!1,null,5028525408702395,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x4f5c87394da8f,!1,[[11,"Levelstars16"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x4fec9b78730e3,
!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0x616bb23ba1895,!1,[[4,155],[5,[0,0]],[0,[20,19,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,19,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[155,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0x65ac2c9046e73,!1,[[4,19],[3,1]]]]],[0,null,!1,null,8089876091396177,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7811968340777611,!1,[[11,"Levelstars16"],[8,0],[7,[0,2]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,9386293568455328,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,4974215413160354,!1,[[4,156],[5,[0,0]],[0,[20,19,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,19,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[156,cr.behaviors.Pin.prototype.acts.Pin,"Pin",7557580106525335,!1,[[4,19],[3,1]]]]],[0,null,!1,null,0x4ab6876637dfd,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4561877340426057,!1,[[11,"Levelstars16"],[8,0],[7,[0,3]]]],[-1,
cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8225998482201509,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0x7504681cc8419,!1,[[4,157],[5,[0,0]],[0,[20,19,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,19,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[157,cr.behaviors.Pin.prototype.acts.Pin,"Pin",7249683983841777,!1,[[4,19],[3,1]]]]],[0,null,!1,null,301363955256304,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9874358923019016,!1,
[[11,"Levelstars16"],[8,0],[7,[0,4]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5829226290557858,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,9158271358174238,!1,[[4,158],[5,[0,0]],[0,[20,19,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,19,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[158,cr.behaviors.Pin.prototype.acts.Pin,"Pin",5093143244281615,!1,[[4,19],[3,1]]]]],[0,null,!1,null,0xdb0f7adc087c3,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,6313600349695464,!1,[[11,"Levelstars16"],[8,0],[7,[0,5]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6185250168865346,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,654899625197488,!1,[[4,159],[5,[0,0]],[0,[20,19,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,19,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[159,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0xb71a223c3eb53,!1,[[4,19],[3,1]]]]],[0,null,!1,null,0xef4fd6e37fbad,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,0x662d3c34dff77,!1,[[11,"Levelstars16"],[8,0],[7,[0,6]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xbbf24b5683731,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0xb6a1a91678f8e,!1,[[4,142],[5,[0,0]],[0,[20,19,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,19,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[142,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0x7cf8e41738acc,!1,[[4,19],[3,1]]]]],[0,null,!1,null,0x9742577755e2d,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,5214868325973064,!1,[[11,"Levelstars16"],[8,0],[7,[0,7]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x4b653676bfacf,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0x4bbb0a6fd180b,!1,[[4,143],[5,[0,0]],[0,[20,19,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,19,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[143,cr.behaviors.Pin.prototype.acts.Pin,"Pin",5624700304875889,!1,[[4,19],[3,1]]]]],[0,null,!1,null,0xf978a030ba6ff,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,8583588899407482,!1,[[11,"Levelstars16"],[8,0],[7,[0,8]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5010095294775598,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0xdb6a462ee3c88,!1,[[4,144],[5,[0,0]],[0,[20,19,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,19,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[144,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0x69922bde21546,!1,[[4,19],[3,1]]]]],[0,null,!1,null,78867479120405,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,8714193384580679,!1,[[11,"Levelstars16"],[8,0],[7,[0,9]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8452225584364688,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,4882047272453704,!1,[[4,145],[5,[0,0]],[0,[20,19,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,19,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[145,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0x56236912f677a,!1,[[4,19],[3,1]]]]],[0,null,!1,null,5890372406018224,[[-1,
cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6272371147212152,!1,[[11,"Levelstars16"],[8,0],[7,[0,10]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x47caf61079610,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,4624724153145098,!1,[[4,146],[5,[0,0]],[0,[20,19,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,19,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[146,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0xce1aa6e763dc9,!1,[[4,19],[3,1]]]]]]],
[0,[!0,"Stars count level 17"],!1,null,7858858609595871,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,7858858609595871,!1,[[1,[2,"Stars count level 17"]]]]],[],[[0,null,!1,null,4783692882426734,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,5395181991772391,!1]],[[-1,cr.system_object.prototype.acts.SetVar,null,7253916541463792,!1,[[11,"Levelstars17"],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"17levelsave"]]]]]]]],[0,null,!1,null,
5028525408702395,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x4f5c87394da8f,!1,[[11,"Levelstars17"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x4fec9b78730e3,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0x616bb23ba1895,!1,[[4,155],[5,[0,0]],[0,[20,20,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,20,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[155,cr.behaviors.Pin.prototype.acts.Pin,"Pin",658755250253957,
!1,[[4,20],[3,1]]]]],[0,null,!1,null,8089876091396177,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7811968340777611,!1,[[11,"Levelstars17"],[8,0],[7,[0,2]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9386293568455328,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,4974215413160354,!1,[[4,156],[5,[0,0]],[0,[20,20,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,20,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[156,cr.behaviors.Pin.prototype.acts.Pin,
"Pin",74384337101801,!1,[[4,20],[3,1]]]]],[0,null,!1,null,0x4ab6876637dfd,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4561877340426057,!1,[[11,"Levelstars17"],[8,0],[7,[0,3]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8225998482201509,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0x7504681cc8419,!1,[[4,157],[5,[0,0]],[0,[20,20,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,20,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],
[157,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0xa29fcc8bc367e,!1,[[4,20],[3,1]]]]],[0,null,!1,null,301363955256304,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9874358923019016,!1,[[11,"Levelstars17"],[8,0],[7,[0,4]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5829226290557858,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,9158271358174238,!1,[[4,158],[5,[0,0]],[0,[20,20,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,20,cr.plugins_.Sprite.prototype.exps.Y,
!1,null],[0,35]]]]],[158,cr.behaviors.Pin.prototype.acts.Pin,"Pin",992812433590813,!1,[[4,20],[3,1]]]]],[0,null,!1,null,0xdb0f7adc087c3,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6313600349695464,!1,[[11,"Levelstars17"],[8,0],[7,[0,5]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6185250168865346,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,654899625197488,!1,[[4,159],[5,[0,0]],[0,[20,20,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,
20,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[159,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0x64bb44a077e73,!1,[[4,20],[3,1]]]]],[0,null,!1,null,0xef4fd6e37fbad,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x662d3c34dff77,!1,[[11,"Levelstars17"],[8,0],[7,[0,6]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xbbf24b5683731,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0xb6a1a91678f8e,!1,[[4,142],[5,[0,0]],[0,[20,20,cr.plugins_.Sprite.prototype.exps.X,
!1,null]],[0,[4,[20,20,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[142,cr.behaviors.Pin.prototype.acts.Pin,"Pin",6019116217635732,!1,[[4,20],[3,1]]]]],[0,null,!1,null,0x9742577755e2d,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5214868325973064,!1,[[11,"Levelstars17"],[8,0],[7,[0,7]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x4b653676bfacf,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0x4bbb0a6fd180b,!1,[[4,143],[5,[0,0]],[0,[20,
20,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,20,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[143,cr.behaviors.Pin.prototype.acts.Pin,"Pin",7166816258493615,!1,[[4,20],[3,1]]]]],[0,null,!1,null,0xf978a030ba6ff,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8583588899407482,!1,[[11,"Levelstars17"],[8,0],[7,[0,8]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5010095294775598,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0xdb6a462ee3c88,
!1,[[4,144],[5,[0,0]],[0,[20,20,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,20,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[144,cr.behaviors.Pin.prototype.acts.Pin,"Pin",5008820021583836,!1,[[4,20],[3,1]]]]],[0,null,!1,null,78867479120405,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8714193384580679,!1,[[11,"Levelstars17"],[8,0],[7,[0,9]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8452225584364688,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,4882047272453704,!1,[[4,145],[5,[0,0]],[0,[20,20,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,20,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[145,cr.behaviors.Pin.prototype.acts.Pin,"Pin",5847518771198421,!1,[[4,20],[3,1]]]]],[0,null,!1,null,5890372406018224,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6272371147212152,!1,[[11,"Levelstars17"],[8,0],[7,[0,10]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x47caf61079610,!1]],[[-1,
cr.system_object.prototype.acts.CreateObject,null,4624724153145098,!1,[[4,146],[5,[0,0]],[0,[20,20,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,20,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[146,cr.behaviors.Pin.prototype.acts.Pin,"Pin",7459352872267091,!1,[[4,20],[3,1]]]]]]],[0,[!0,"Stars count level 18"],!1,null,4571703588988149,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,4571703588988149,!1,[[1,[2,"Stars count level 18"]]]]],[],[[0,null,!1,null,4783692882426734,
[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,5395181991772391,!1]],[[-1,cr.system_object.prototype.acts.SetVar,null,7253916541463792,!1,[[11,"Levelstars18"],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"18levelsave"]]]]]]]],[0,null,!1,null,5028525408702395,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x4f5c87394da8f,!1,[[11,"Levelstars18"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x4fec9b78730e3,
!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0x616bb23ba1895,!1,[[4,155],[5,[0,0]],[0,[20,21,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,21,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[155,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0xb0efcc20bd981,!1,[[4,21],[3,1]]]]],[0,null,!1,null,8089876091396177,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7811968340777611,!1,[[11,"Levelstars18"],[8,0],[7,[0,2]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,9386293568455328,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,4974215413160354,!1,[[4,156],[5,[0,0]],[0,[20,21,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,21,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[156,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0xd072c8407b1b1,!1,[[4,21],[3,1]]]]],[0,null,!1,null,0x4ab6876637dfd,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4561877340426057,!1,[[11,"Levelstars18"],[8,0],[7,[0,3]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,8225998482201509,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0x7504681cc8419,!1,[[4,157],[5,[0,0]],[0,[20,21,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,21,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[157,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0x80dbaf498bfbb,!1,[[4,21],[3,1]]]]],[0,null,!1,null,301363955256304,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9874358923019016,!1,[[11,"Levelstars18"],[8,0],[7,[0,4]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,5829226290557858,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,9158271358174238,!1,[[4,158],[5,[0,0]],[0,[20,21,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,21,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[158,cr.behaviors.Pin.prototype.acts.Pin,"Pin",8917615524104561,!1,[[4,21],[3,1]]]]],[0,null,!1,null,0xdb0f7adc087c3,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6313600349695464,!1,[[11,"Levelstars18"],[8,0],[7,[0,5]]]],[-1,
cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6185250168865346,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,654899625197488,!1,[[4,159],[5,[0,0]],[0,[20,21,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,21,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[159,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0x82b20e6dbab4c,!1,[[4,21],[3,1]]]]],[0,null,!1,null,0xef4fd6e37fbad,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x662d3c34dff77,!1,[[11,
"Levelstars18"],[8,0],[7,[0,6]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xbbf24b5683731,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0xb6a1a91678f8e,!1,[[4,142],[5,[0,0]],[0,[20,21,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,21,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[142,cr.behaviors.Pin.prototype.acts.Pin,"Pin",7790524851857736,!1,[[4,21],[3,1]]]]],[0,null,!1,null,0x9742577755e2d,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,5214868325973064,!1,[[11,"Levelstars18"],[8,0],[7,[0,7]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x4b653676bfacf,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0x4bbb0a6fd180b,!1,[[4,143],[5,[0,0]],[0,[20,21,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,21,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[143,cr.behaviors.Pin.prototype.acts.Pin,"Pin",9831086986786506,!1,[[4,21],[3,1]]]]],[0,null,!1,null,0xf978a030ba6ff,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,8583588899407482,!1,[[11,"Levelstars18"],[8,0],[7,[0,8]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5010095294775598,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0xdb6a462ee3c88,!1,[[4,144],[5,[0,0]],[0,[20,21,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,21,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[144,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0x606f0aa3e449f,!1,[[4,21],[3,1]]]]],[0,null,!1,null,78867479120405,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,8714193384580679,!1,[[11,"Levelstars18"],[8,0],[7,[0,9]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8452225584364688,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,4882047272453704,!1,[[4,145],[5,[0,0]],[0,[20,21,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,21,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[145,cr.behaviors.Pin.prototype.acts.Pin,"Pin",686223629934508,!1,[[4,21],[3,1]]]]],[0,null,!1,null,5890372406018224,[[-1,
cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6272371147212152,!1,[[11,"Levelstars18"],[8,0],[7,[0,10]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x47caf61079610,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,4624724153145098,!1,[[4,146],[5,[0,0]],[0,[20,21,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,21,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[146,cr.behaviors.Pin.prototype.acts.Pin,"Pin",6971892393523048,!1,[[4,21],[3,
1]]]]]]],[0,[!0,"Stars count level 19"],!1,null,0xb88e384862139,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,0xb88e384862139,!1,[[1,[2,"Stars count level 19"]]]]],[],[[0,null,!1,null,4783692882426734,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,5395181991772391,!1]],[[-1,cr.system_object.prototype.acts.SetVar,null,7253916541463792,!1,[[11,"Levelstars19"],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"19levelsave"]]]]]]]],[0,null,
!1,null,5028525408702395,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x4f5c87394da8f,!1,[[11,"Levelstars19"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x4fec9b78730e3,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0x616bb23ba1895,!1,[[4,155],[5,[0,0]],[0,[20,22,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,22,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[155,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0xd1ef2f498a9a7,
!1,[[4,22],[3,1]]]]],[0,null,!1,null,8089876091396177,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7811968340777611,!1,[[11,"Levelstars19"],[8,0],[7,[0,2]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9386293568455328,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,4974215413160354,!1,[[4,156],[5,[0,0]],[0,[20,22,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,22,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[156,cr.behaviors.Pin.prototype.acts.Pin,
"Pin",0x5b0e0cacd231,!1,[[4,22],[3,1]]]]],[0,null,!1,null,0x4ab6876637dfd,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4561877340426057,!1,[[11,"Levelstars19"],[8,0],[7,[0,3]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8225998482201509,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0x7504681cc8419,!1,[[4,157],[5,[0,0]],[0,[20,22,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,22,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],
[157,cr.behaviors.Pin.prototype.acts.Pin,"Pin",6025396184298197,!1,[[4,22],[3,1]]]]],[0,null,!1,null,301363955256304,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9874358923019016,!1,[[11,"Levelstars19"],[8,0],[7,[0,4]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5829226290557858,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,9158271358174238,!1,[[4,158],[5,[0,0]],[0,[20,22,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,22,cr.plugins_.Sprite.prototype.exps.Y,
!1,null],[0,35]]]]],[158,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0xa5946f8995416,!1,[[4,22],[3,1]]]]],[0,null,!1,null,0xdb0f7adc087c3,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6313600349695464,!1,[[11,"Levelstars19"],[8,0],[7,[0,5]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6185250168865346,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,654899625197488,!1,[[4,159],[5,[0,0]],[0,[20,22,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,
22,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[159,cr.behaviors.Pin.prototype.acts.Pin,"Pin",778884822096017,!1,[[4,22],[3,1]]]]],[0,null,!1,null,0xef4fd6e37fbad,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x662d3c34dff77,!1,[[11,"Levelstars19"],[8,0],[7,[0,6]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xbbf24b5683731,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0xb6a1a91678f8e,!1,[[4,142],[5,[0,0]],[0,[20,22,cr.plugins_.Sprite.prototype.exps.X,
!1,null]],[0,[4,[20,22,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[142,cr.behaviors.Pin.prototype.acts.Pin,"Pin",7539957801816936,!1,[[4,22],[3,1]]]]],[0,null,!1,null,0x9742577755e2d,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5214868325973064,!1,[[11,"Levelstars19"],[8,0],[7,[0,7]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x4b653676bfacf,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0x4bbb0a6fd180b,!1,[[4,143],[5,[0,0]],[0,[20,
22,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,22,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[143,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0x852845bcad519,!1,[[4,22],[3,1]]]]],[0,null,!1,null,0xf978a030ba6ff,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8583588899407482,!1,[[11,"Levelstars19"],[8,0],[7,[0,8]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5010095294775598,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0xdb6a462ee3c88,
!1,[[4,144],[5,[0,0]],[0,[20,22,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,22,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[144,cr.behaviors.Pin.prototype.acts.Pin,"Pin",5976872399381897,!1,[[4,22],[3,1]]]]],[0,null,!1,null,78867479120405,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8714193384580679,!1,[[11,"Levelstars19"],[8,0],[7,[0,9]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8452225584364688,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,4882047272453704,!1,[[4,145],[5,[0,0]],[0,[20,22,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,22,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[145,cr.behaviors.Pin.prototype.acts.Pin,"Pin",394163219088003,!1,[[4,22],[3,1]]]]],[0,null,!1,null,5890372406018224,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6272371147212152,!1,[[11,"Levelstars19"],[8,0],[7,[0,10]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x47caf61079610,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,4624724153145098,!1,[[4,146],[5,[0,0]],[0,[20,22,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,22,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[146,cr.behaviors.Pin.prototype.acts.Pin,"Pin",5403144288923634,!1,[[4,22],[3,1]]]]]]],[0,[!0,"Stars count level 20"],!1,null,356035486849107,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,356035486849107,!1,[[1,[2,"Stars count level 20"]]]]],[],[[0,null,!1,null,4783692882426734,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,
null,1,!1,!1,!1,5395181991772391,!1]],[[-1,cr.system_object.prototype.acts.SetVar,null,7253916541463792,!1,[[11,"Levelstars20"],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"20levelsave"]]]]]]]],[0,null,!1,null,5028525408702395,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x4f5c87394da8f,!1,[[11,"Levelstars20"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x4fec9b78730e3,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0x616bb23ba1895,!1,[[4,155],[5,[0,0]],[0,[20,24,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,24,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[155,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0xdb20ef14fea41,!1,[[4,24],[3,1]]]]],[0,null,!1,null,8089876091396177,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7811968340777611,!1,[[11,"Levelstars20"],[8,0],[7,[0,2]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9386293568455328,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,4974215413160354,!1,[[4,156],[5,[0,0]],[0,[20,24,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,24,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[156,cr.behaviors.Pin.prototype.acts.Pin,"Pin",958094707119678,!1,[[4,24],[3,1]]]]],[0,null,!1,null,0x4ab6876637dfd,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4561877340426057,!1,[[11,"Levelstars20"],[8,0],[7,[0,3]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8225998482201509,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0x7504681cc8419,!1,[[4,157],[5,[0,0]],[0,[20,24,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,24,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[157,cr.behaviors.Pin.prototype.acts.Pin,"Pin",5949564060708431,!1,[[4,24],[3,1]]]]],[0,null,!1,null,301363955256304,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9874358923019016,!1,[[11,"Levelstars20"],[8,0],[7,[0,4]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5829226290557858,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,9158271358174238,!1,[[4,158],[5,[0,0]],[0,[20,24,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,24,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[158,cr.behaviors.Pin.prototype.acts.Pin,"Pin",687564205004253,!1,[[4,24],[3,1]]]]],[0,null,!1,null,0xdb0f7adc087c3,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6313600349695464,!1,[[11,"Levelstars20"],[8,0],[7,[0,5]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6185250168865346,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,654899625197488,!1,[[4,159],[5,[0,0]],[0,[20,24,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,24,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[159,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0x635a3b947e071,!1,[[4,24],[3,1]]]]],[0,null,!1,null,0xef4fd6e37fbad,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x662d3c34dff77,!1,[[11,"Levelstars20"],[8,0],[7,[0,6]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xbbf24b5683731,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0xb6a1a91678f8e,!1,[[4,142],[5,[0,0]],[0,[20,24,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,24,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[142,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0x4a9382110c8bb,!1,[[4,24],[3,1]]]]],[0,null,!1,null,0x9742577755e2d,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5214868325973064,!1,[[11,"Levelstars20"],[8,0],[7,[0,7]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x4b653676bfacf,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0x4bbb0a6fd180b,!1,[[4,143],[5,[0,0]],[0,[20,24,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,24,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[143,cr.behaviors.Pin.prototype.acts.Pin,"Pin",8510027705850945,!1,[[4,24],[3,1]]]]],[0,null,!1,null,0xf978a030ba6ff,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8583588899407482,!1,[[11,"Levelstars20"],[8,0],[7,[0,8]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5010095294775598,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0xdb6a462ee3c88,!1,[[4,144],[5,[0,0]],[0,[20,24,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,24,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[144,cr.behaviors.Pin.prototype.acts.Pin,"Pin",302625349495258,!1,[[4,24],[3,1]]]]],[0,null,!1,null,78867479120405,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8714193384580679,!1,[[11,"Levelstars20"],[8,0],[7,[0,9]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8452225584364688,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,4882047272453704,!1,[[4,145],[5,[0,0]],[0,[20,24,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,24,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[145,cr.behaviors.Pin.prototype.acts.Pin,"Pin",5016586188291158,!1,[[4,24],[3,1]]]]],[0,null,!1,null,5890372406018224,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6272371147212152,!1,[[11,"Levelstars20"],[8,0],[7,[0,10]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x47caf61079610,!1]],[[-1,
cr.system_object.prototype.acts.CreateObject,null,4624724153145098,!1,[[4,146],[5,[0,0]],[0,[20,24,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,24,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,35]]]]],[146,cr.behaviors.Pin.prototype.acts.Pin,"Pin",7454844515846655,!1,[[4,24],[3,1]]]]]]],[0,[!0,"Set button"],!1,null,6336156247103045,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,6336156247103045,!1,[[1,[2,"Set button"]]]]],[],[[0,null,!1,null,6021976847354031,[[-1,
cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x7cd0cbc7f3fe5,!1,[[11,"chooser"],[8,5],[7,[0,1]]]]],[[14,cr.plugins_.Sprite.prototype.acts.SetVisible,null,0xee8b7b878591b,!1,[[3,1]]]]],[0,null,!1,null,8264683109372652,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8716072223308682,!1,[[11,"chooser"],[8,5],[7,[0,2]]]]],[[23,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,9484687317432936,!1,[[0,[0,0]]]]]],[0,null,!1,null,0xe01d79a68266b,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,995423967225464,!1,[[11,"chooser"],[8,5],[7,[0,3]]]]],[[25,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,7770754575894378,!1,[[0,[0,0]]]]]],[0,null,!1,null,0x9aaac33f01cac,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xe235aece698f4,!1,[[11,"chooser"],[8,5],[7,[0,4]]]]],[[26,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,5418059153559353,!1,[[0,[0,0]]]]]],[0,null,!1,null,0xd1ea9398a3a1f,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x5c8cb2fe8b2cf,
!1,[[11,"chooser"],[8,5],[7,[0,5]]]]],[[27,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0x4cc852dcb206d,!1,[[0,[0,0]]]]]],[0,null,!1,null,0x6a8d9bfb73ea9,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8150441864892985,!1,[[11,"chooser"],[8,5],[7,[0,6]]]]],[[28,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0xe53feaf762b65,!1,[[0,[0,0]]]]]],[0,null,!1,null,5999010284073429,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xbcfc2312587b3,!1,[[11,"chooser"],
[8,5],[7,[0,7]]]]],[[29,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,4615855262002826,!1,[[0,[0,0]]]]]],[0,null,!1,null,902427741579109,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4869605470060216,!1,[[11,"chooser"],[8,5],[7,[0,8]]]]],[[30,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,8599744898902226,!1,[[0,[0,0]]]]]],[0,null,!1,null,6741401821238655,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5460525969728091,!1,[[11,"chooser"],[8,5],[7,[0,9]]]]],
[[31,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,6859886318682235,!1,[[0,[0,0]]]]]],[0,null,!1,null,5815365580498396,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xefb3184ca956,!1,[[11,"chooser"],[8,5],[7,[0,10]]]]],[[13,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,9069816590558628,!1,[[0,[0,0]]]]]],[0,null,!1,null,4937678492126005,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x73422af381bab,!1,[[11,"chooser"],[8,5],[7,[0,11]]]]],[[12,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
null,0x8d7cbebb7eb86,!1,[[0,[0,0]]]]]],[0,null,!1,null,0x3d39f5d66bf02,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,696992020546473,!1,[[11,"chooser"],[8,5],[7,[0,12]]]]],[[15,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,483315655511316,!1,[[0,[0,0]]]]]],[0,null,!1,null,0x6edae8158d5c3,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9083593505295842,!1,[[11,"chooser"],[8,5],[7,[0,13]]]]],[[16,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0x893eb3c7ec8bc,
!1,[[0,[0,0]]]]]],[0,null,!1,null,6102641740538357,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,887041045840935,!1,[[11,"chooser"],[8,5],[7,[0,14]]]]],[[17,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,5453867704968577,!1,[[0,[0,0]]]]]],[0,null,!1,null,8572647693394611,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7372591872579426,!1,[[11,"chooser"],[8,5],[7,[0,15]]]]],[[18,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,8887262416567377,!1,[[0,[0,0]]]]]],
[0,null,!1,null,0xe029738523a5f,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7410671039041321,!1,[[11,"chooser"],[8,5],[7,[0,16]]]]],[[19,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0x8abd274fc4d53,!1,[[0,[0,0]]]]]],[0,null,!1,null,4584989663785443,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x8479828fc2308,!1,[[11,"chooser"],[8,5],[7,[0,17]]]]],[[20,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,8467182698985505,!1,[[0,[0,0]]]]]],[0,null,!1,null,
8665307618443943,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5960290638201144,!1,[[11,"chooser"],[8,5],[7,[0,18]]]]],[[21,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0xefc2313e690a3,!1,[[0,[0,0]]]]]],[0,null,!1,null,0x97b1169a183a3,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6062712704240127,!1,[[11,"chooser"],[8,5],[7,[0,19]]]]],[[22,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,8344918654766798,!1,[[0,[0,0]]]]]],[0,null,!1,null,8698545803287316,
[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9918257272033380,!1,[[11,"chooser"],[8,5],[7,[0,20]]]]],[[24,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,7418560176454287,!1,[[0,[0,0]]]]]]]],[0,[!0,"Choose level"],!1,null,0xb4dc616642bf1,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,0xb4dc616642bf1,!1,[[1,[2,"Choose level"]]]]],[],[[0,null,!1,null,371511433233341,[[1,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,0xb50a7c620e778,!1,[[4,
14]]]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0x8b4dd8438863b,!1,[[4,127],[5,[0,9]],[0,[0,0]],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,5877051667067974,!1,[[4,126],[5,[0,9]],[0,[7,[4,[20,36,cr.plugins_.Sprite.prototype.exps.X,!1,null],[20,227,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,2]]],[0,[0,470]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x9fe67854a3a89,!1,[[0,[1,0.5]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,0x9d9a6ab77a94e,!1,
[[6,"Level1"]]]]],[0,null,!1,null,9106687748835254,[[1,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,738805497047117,!1,[[4,23]]],[23,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,8757351638872489,!1,[[8,0],[0,[0,0]]]]],[[-1,cr.system_object.prototype.acts.CreateObject,null,5512716376277449,!1,[[4,127],[5,[0,9]],[0,[0,0]],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x865c77e99d65c,!1,[[4,126],[5,[0,9]],[0,[7,[4,[20,36,cr.plugins_.Sprite.prototype.exps.X,
!1,null],[20,227,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,2]]],[0,[0,470]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x8b7cbda894f32,!1,[[0,[1,0.5]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,0xc1adc1f863a8d,!1,[[6,"Lewel2"]]]]],[0,null,!1,null,8637923678103184,[[1,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,5293103703741116,!1,[[4,25]]],[25,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,8510973472584964,!1,[[8,0],[0,[0,0]]]]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0x86b76ac16e2b5,!1,[[4,127],[5,[0,9]],[0,[0,0]],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xa183ae096eacd,!1,[[4,126],[5,[0,9]],[0,[7,[4,[20,36,cr.plugins_.Sprite.prototype.exps.X,!1,null],[20,227,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,2]]],[0,[0,470]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x61d84b7460667,!1,[[0,[1,0.5]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,8174350000705009,!1,[[6,"Lewel3"]]]]],[0,null,!1,null,0x9573758f38656,[[1,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
null,0,!1,!1,!1,7117626257251043,!1,[[4,26]]],[26,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,0xfa8e64c107a2d,!1,[[8,0],[0,[0,0]]]]],[[-1,cr.system_object.prototype.acts.CreateObject,null,5740699219566653,!1,[[4,127],[5,[0,9]],[0,[0,0]],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,6009474812302177,!1,[[4,126],[5,[0,9]],[0,[7,[4,[20,36,cr.plugins_.Sprite.prototype.exps.X,!1,null],[20,227,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,2]]],[0,[0,470]]]],[-1,
cr.system_object.prototype.acts.Wait,null,0xa425df22cb6ac,!1,[[0,[1,0.5]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,0x75a29573b313f,!1,[[6,"Lewel4"]]]]],[0,null,!1,null,0x586efa04aee70,[[1,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,5608846506738468,!1,[[4,27]]],[27,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,0xb8893c3262ad9,!1,[[8,0],[0,[0,0]]]]],[[-1,cr.system_object.prototype.acts.CreateObject,null,4773542615272739,!1,[[4,127],[5,[0,9]],[0,[0,
0]],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,6660725345812458,!1,[[4,126],[5,[0,9]],[0,[7,[4,[20,36,cr.plugins_.Sprite.prototype.exps.X,!1,null],[20,227,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,2]]],[0,[0,470]]]],[-1,cr.system_object.prototype.acts.Wait,null,7118942190748005,!1,[[0,[1,0.5]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,6929204067876479,!1,[[6,"Lewel5"]]]]],[0,null,!1,null,0xb085a5df21ead,[[1,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
null,0,!1,!1,!1,8599735228466808,!1,[[4,28]]],[28,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,0xb647744b9f0a9,!1,[[8,0],[0,[0,0]]]]],[[-1,cr.system_object.prototype.acts.CreateObject,null,9161819415684068,!1,[[4,127],[5,[0,9]],[0,[0,0]],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,572757148365196,!1,[[4,126],[5,[0,9]],[0,[7,[4,[20,36,cr.plugins_.Sprite.prototype.exps.X,!1,null],[20,227,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,2]]],[0,[0,470]]]],[-1,
cr.system_object.prototype.acts.Wait,null,0xab79cab32c869,!1,[[0,[1,0.5]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,6572824921823797,!1,[[6,"Lewel6"]]]]],[0,null,!1,null,8142694327052881,[[1,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,0xc475e6960474a,!1,[[4,29]]],[29,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,342847678179753,!1,[[8,0],[0,[0,0]]]]],[[-1,cr.system_object.prototype.acts.CreateObject,null,6414995457685871,!1,[[4,127],[5,[0,9]],[0,
[0,0]],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,679754365837765,!1,[[4,126],[5,[0,9]],[0,[7,[4,[20,36,cr.plugins_.Sprite.prototype.exps.X,!1,null],[20,227,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,2]]],[0,[0,470]]]],[-1,cr.system_object.prototype.acts.Wait,null,6279345626829928,!1,[[0,[1,0.5]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,0x5f8619fbf6dcc,!1,[[6,"Lewel7"]]]]],[0,null,!1,null,5073904439532815,[[1,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
null,0,!1,!1,!1,5396972633386853,!1,[[4,30]]],[30,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,0xc753696a3025f,!1,[[8,0],[0,[0,0]]]]],[[-1,cr.system_object.prototype.acts.CreateObject,null,6956437507601862,!1,[[4,127],[5,[0,9]],[0,[0,0]],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x50157b6d0fad2,!1,[[4,126],[5,[0,9]],[0,[7,[4,[20,36,cr.plugins_.Sprite.prototype.exps.X,!1,null],[20,227,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,2]]],[0,[0,470]]]],[-1,
cr.system_object.prototype.acts.Wait,null,7662948645608082,!1,[[0,[1,0.5]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,0xcf30bb4b5e32,!1,[[6,"Lewel8"]]]]],[0,null,!1,null,4755461648314788,[[1,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,0x3f68f6ce48d1b,!1,[[4,31]]],[31,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,7477411884581617,!1,[[8,0],[0,[0,0]]]]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0x72247c41c8990,!1,[[4,127],[5,[0,9]],[0,[0,
0]],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,4580419663373343,!1,[[4,126],[5,[0,9]],[0,[7,[4,[20,36,cr.plugins_.Sprite.prototype.exps.X,!1,null],[20,227,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,2]]],[0,[0,470]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xd5b713e93ae19,!1,[[0,[1,0.5]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,7784678925653814,!1,[[6,"Lewel9"]]]]],[0,null,!1,null,8991385873347723,[[1,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
null,0,!1,!1,!1,8289334974432682,!1,[[4,13]]],[13,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,6021930553036979,!1,[[8,0],[0,[0,0]]]]],[[-1,cr.system_object.prototype.acts.CreateObject,null,8799913820846212,!1,[[4,127],[5,[0,9]],[0,[0,0]],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xbb4d8221ce047,!1,[[4,126],[5,[0,9]],[0,[7,[4,[20,36,cr.plugins_.Sprite.prototype.exps.X,!1,null],[20,227,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,2]]],[0,[0,470]]]],[-1,
cr.system_object.prototype.acts.Wait,null,9208211822945832,!1,[[0,[1,0.5]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,0xfdf0aff10d3c7,!1,[[6,"Lewel10"]]]]],[0,null,!1,null,0x4a1b38f7cd27b,[[1,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,0x4f7b9aa55ec6a,!1,[[4,12]]],[12,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,8096909371825944,!1,[[8,0],[0,[0,0]]]]],[[-1,cr.system_object.prototype.acts.CreateObject,null,7549802350861283,!1,[[4,127],[5,[0,9]],[0,
[0,0]],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xa6837c426ae42,!1,[[4,126],[5,[0,9]],[0,[7,[4,[20,36,cr.plugins_.Sprite.prototype.exps.X,!1,null],[20,227,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,2]]],[0,[0,470]]]],[-1,cr.system_object.prototype.acts.Wait,null,978895454201194,!1,[[0,[1,0.5]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,0xf70c20ab6857,!1,[[6,"Lewel11"]]]]],[0,null,!1,null,5227961926606031,[[1,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
null,0,!1,!1,!1,7291810950018343,!1,[[4,15]]],[15,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,7216959666249006,!1,[[8,0],[0,[0,0]]]]],[[-1,cr.system_object.prototype.acts.CreateObject,null,9243153733618588,!1,[[4,127],[5,[0,9]],[0,[0,0]],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,8346588397390781,!1,[[4,126],[5,[0,9]],[0,[7,[4,[20,36,cr.plugins_.Sprite.prototype.exps.X,!1,null],[20,227,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,2]]],[0,[0,470]]]],[-1,
cr.system_object.prototype.acts.Wait,null,0x67451033586f9,!1,[[0,[1,0.5]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,7987136392685429,!1,[[6,"Lewel12"]]]]],[0,null,!1,null,0xaf7ff5820653f,[[1,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,0xf498eb8632158,!1,[[4,16]]],[16,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,6652522935576858,!1,[[8,0],[0,[0,0]]]]],[[-1,cr.system_object.prototype.acts.CreateObject,null,5763534515990696,!1,[[4,127],[5,[0,9]],[0,
[0,0]],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,6248152714806452,!1,[[4,126],[5,[0,9]],[0,[7,[4,[20,36,cr.plugins_.Sprite.prototype.exps.X,!1,null],[20,227,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,2]]],[0,[0,470]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x40f0dec4172c8,!1,[[0,[1,0.5]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,0x60ca7451f4ac2,!1,[[6,"Lewel13"]]]]],[0,null,!1,null,5782298644370459,[[1,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
null,0,!1,!1,!1,6791883666361265,!1,[[4,17]]],[17,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,0xbfa54ad7acd90,!1,[[8,0],[0,[0,0]]]]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0x3b9bd21c7bc9f,!1,[[4,127],[5,[0,9]],[0,[0,0]],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x8bf543aa837b4,!1,[[4,126],[5,[0,9]],[0,[7,[4,[20,36,cr.plugins_.Sprite.prototype.exps.X,!1,null],[20,227,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,2]]],[0,[0,470]]]],[-1,cr.system_object.prototype.acts.Wait,
null,9555375532172952,!1,[[0,[1,0.5]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,0x9025d58d8c2f5,!1,[[6,"Lewel14"]]]]],[0,null,!1,null,5616143266249708,[[1,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,9738021361125324,!1,[[4,18]]],[18,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,0x8292f7b48fc09,!1,[[8,0],[0,[0,0]]]]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0x4accc7f1e0d5b,!1,[[4,127],[5,[0,9]],[0,[0,0]],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.CreateObject,
null,0x9cc6f6d79ff3a,!1,[[4,126],[5,[0,9]],[0,[7,[4,[20,36,cr.plugins_.Sprite.prototype.exps.X,!1,null],[20,227,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,2]]],[0,[0,470]]]],[-1,cr.system_object.prototype.acts.Wait,null,6356158753454506,!1,[[0,[1,0.5]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,7900583207820452,!1,[[6,"Lewel15"]]]]],[0,null,!1,null,4528609167273684,[[1,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,0x8629eb0267222,!1,[[4,19]]],[19,cr.plugins_.Sprite.prototype.cnds.CompareFrame,
null,0,!1,!1,!1,0x62a55c260f2a5,!1,[[8,0],[0,[0,0]]]]],[[-1,cr.system_object.prototype.acts.CreateObject,null,9831702025284948,!1,[[4,127],[5,[0,9]],[0,[0,0]],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,9427308918023472,!1,[[4,126],[5,[0,9]],[0,[7,[4,[20,36,cr.plugins_.Sprite.prototype.exps.X,!1,null],[20,227,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,2]]],[0,[0,470]]]],[-1,cr.system_object.prototype.acts.Wait,null,7787814206378431,!1,[[0,[1,0.5]]]],[-1,cr.system_object.prototype.acts.GoToLayout,
null,7241201860149521,!1,[[6,"Lewel16"]]]]],[0,null,!1,null,0xa39abf7dd5d55,[[1,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,0x57fbea3a988da,!1,[[4,20]]],[20,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,0x86a7047db595b,!1,[[8,0],[0,[0,0]]]]],[[-1,cr.system_object.prototype.acts.CreateObject,null,4686136570002045,!1,[[4,127],[5,[0,9]],[0,[0,0]],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,6888289627425371,!1,[[4,126],[5,[0,9]],[0,[7,[4,[20,
36,cr.plugins_.Sprite.prototype.exps.X,!1,null],[20,227,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,2]]],[0,[0,470]]]],[-1,cr.system_object.prototype.acts.Wait,null,9452834369571292,!1,[[0,[1,0.5]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,0xc79eaf8647081,!1,[[6,"Lewel17"]]]]],[0,null,!1,null,7167321877682975,[[1,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,4962449975789398,!1,[[4,21]]],[21,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,8090124641573904,
!1,[[8,0],[0,[0,0]]]]],[[-1,cr.system_object.prototype.acts.CreateObject,null,5900579240433529,!1,[[4,127],[5,[0,9]],[0,[0,0]],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x9c54987d21165,!1,[[4,126],[5,[0,9]],[0,[7,[4,[20,36,cr.plugins_.Sprite.prototype.exps.X,!1,null],[20,227,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,2]]],[0,[0,470]]]],[-1,cr.system_object.prototype.acts.Wait,null,4982521520749629,!1,[[0,[1,0.5]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,
4784007181288106,!1,[[6,"Lewel18"]]]]],[0,null,!1,null,0xb3ca102f283f3,[[1,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,7620035554056306,!1,[[4,22]]],[22,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,5917357207732892,!1,[[8,0],[0,[0,0]]]]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0xbc76448601f9f,!1,[[4,127],[5,[0,9]],[0,[0,0]],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,6063923748924546,!1,[[4,126],[5,[0,9]],[0,[7,[4,[20,36,
cr.plugins_.Sprite.prototype.exps.X,!1,null],[20,227,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,2]]],[0,[0,470]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xca428453ab025,!1,[[0,[1,0.5]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,6159094489315565,!1,[[6,"Lewel19"]]]]],[0,null,!1,null,8384213119558591,[[1,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,0x8cbb01571e85e,!1,[[4,24]]],[24,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,0x4e59d7a36c715,
!1,[[8,0],[0,[0,0]]]]],[[-1,cr.system_object.prototype.acts.CreateObject,null,5253336103016966,!1,[[4,127],[5,[0,9]],[0,[0,0]],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,449402632919217,!1,[[4,126],[5,[0,9]],[0,[7,[4,[20,36,cr.plugins_.Sprite.prototype.exps.X,!1,null],[20,227,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,2]]],[0,[0,470]]]],[-1,cr.system_object.prototype.acts.Wait,null,568137388485597,!1,[[0,[1,0.5]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,5855770987140793,
!1,[[6,"Lewel20"]]]]]]],[0,[!0,"Money global"],!1,null,8788983094341533,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,8788983094341533,!1,[[1,[2,"Money global"]]]]],[],[[0,null,!1,null,394,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,395,!1]],[[37,cr.plugins_.Text.prototype.acts.SetText,null,396,!1,[[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"MSave"]]]]]],[-1,cr.system_object.prototype.acts.SetVar,null,7117191954989921,!1,[[11,
"Moneyforupgrade"],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"MSave"]]]]]],[-1,cr.system_object.prototype.acts.SetVar,null,8867401925532005,!1,[[11,"Upgrade1"],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"Upgrade1Save"]]]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xb0855d997cf43,!1,[[11,"Upgrade2"],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"Upgrade2Save"]]]]]],[-1,cr.system_object.prototype.acts.SetVar,null,
7383696126715426,!1,[[11,"Upgrade3"],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"Upgrade3Save"]]]]]]]]]],[0,[!0,"Upgrades"],!1,null,8575885993773849,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,8575885993773849,!1,[[1,[2,"Upgrades"]]]]],[],[[0,null,!1,null,954914613938189,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8814610300309908,!1,[[11,"Upgrade1"],[8,0],[7,[0,1]]]]],[[218,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9318466671502288,
!1,[[1,[2,"Sales"]],[3,1]]],[221,cr.plugins_.Sprite.prototype.acts.Destroy,null,5729721287386544,!1]]],[0,null,!1,null,5939157559232735,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6881200831097328,!1,[[11,"Upgrade2"],[8,0],[7,[0,1]]]]],[[219,cr.plugins_.Sprite.prototype.acts.SetAnim,null,938059686481668,!1,[[1,[2,"Sales"]],[3,1]]],[222,cr.plugins_.Sprite.prototype.acts.Destroy,null,414455352852784,!1]]],[0,null,!1,null,0x99e90e549a7d4,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,4807923144101567,!1,[[11,"Upgrade3"],[8,0],[7,[0,1]]]]],[[220,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xb1ae4d691b8ff,!1,[[1,[2,"Sales"]],[3,1]]],[223,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xef2cb5df5d0ad,!1]]],[0,null,!1,null,8359043402607335,[[1,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,7660316375582164,!1,[[4,214]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x9755e097965d0,!1]],[[127,cr.plugins_.TiledBg.prototype.acts.Destroy,
null,9218303569209068,!1],[214,cr.plugins_.Sprite.prototype.acts.Destroy,null,7046292723154389,!1],[215,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x5c7f43cb9f3c1,!1],[218,cr.plugins_.Sprite.prototype.acts.Destroy,null,8481969139201556,!1],[216,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x643c5ef16d582,!1],[219,cr.plugins_.Sprite.prototype.acts.Destroy,null,7151237482743545,!1],[217,cr.plugins_.Sprite.prototype.acts.Destroy,null,7236375348406617,!1],[220,cr.plugins_.Sprite.prototype.acts.Destroy,
null,0x674151565d8b7,!1],[221,cr.plugins_.Sprite.prototype.acts.Destroy,null,7037991157365005,!1],[222,cr.plugins_.Sprite.prototype.acts.Destroy,null,7338420463896174,!1],[223,cr.plugins_.Sprite.prototype.acts.Destroy,null,5780051959602233,!1],[274,cr.plugins_.Sprite.prototype.acts.Destroy,null,7667986951982195,!1],[32,cr.plugins_.Sprite.prototype.acts.SetPos,null,620478158371928,!1,[[0,[0,88]],[0,[0,662]]]],[33,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xe636f3703ed45,!1,[[0,[0,231]],[0,[0,662]]]],
[34,cr.plugins_.Sprite.prototype.acts.SetPos,null,6051057041141559,!1,[[0,[0,372]],[0,[0,662]]]],[35,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xc2dd34e050c6c,!1,[[0,[0,514]],[0,[0,662]]]],[-1,cr.system_object.prototype.acts.Wait,null,8669509360103057,!1,[[0,[1,1]]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,0x696779b64e249,!1,[[1,[2,"Choose level"]],[3,1]]]]],[0,null,!1,null,463814607663388,[[1,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,9940062534354228,!1,
[[4,33]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7874776827312855,!1]],[[-1,cr.system_object.prototype.acts.SetGroupActive,null,7804201691144399,!1,[[1,[2,"Choose level"]],[3,0]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x395535c9d42e9,!1,[[4,127],[5,[0,0]],[0,[0,0]],[0,[0,0]]]],[127,cr.plugins_.TiledBg.prototype.acts.MoveToTop,null,0x8188b27ebe913,!1],[-1,cr.system_object.prototype.acts.CreateObject,null,0x79576be5fae3b,!1,[[4,214],[5,[0,1]],[0,[0,0]],[0,[0,
0]]]],[214,cr.plugins_.Sprite.prototype.acts.SetPos,null,9463387112710268,!1,[[0,[5,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,20]]],[0,[5,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,50]]]]],[32,cr.plugins_.Sprite.prototype.acts.SetPos,null,8466743320129655,!1,[[0,[0,-1E3]],[0,[0,-1E3]]]],[33,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x8a75abcc67ef3,!1,[[0,[0,-1E3]],[0,[0,-1E3]]]],[34,cr.plugins_.Sprite.prototype.acts.SetPos,null,7819712187182123,!1,[[0,[0,-1E3]],[0,[0,
-1E3]]]],[35,cr.plugins_.Sprite.prototype.acts.SetPos,null,7116514442180795,!1,[[0,[0,-1E3]],[0,[0,-1E3]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,5657089698077486,!1,[[4,215],[5,[0,1]],[0,[19,cr.system_object.prototype.exps.canvastolayerx,[[0,1],[7,[19,cr.system_object.prototype.exps.windowwidth],[0,2]],[7,[19,cr.system_object.prototype.exps.windowwidth],[0,2]]]]],[0,[19,cr.system_object.prototype.exps.canvastolayery,[[0,1],[7,[19,cr.system_object.prototype.exps.windowheight],[0,2]],
[7,[19,cr.system_object.prototype.exps.windowheight],[1,2.6]]]]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,9185929746089498,!1,[[4,218],[5,[0,1]],[0,[20,215,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,215,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,220]]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,5499426541316176,!1,[[4,221],[5,[0,1]],[0,[20,215,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,215,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,130]]]]]],
[[0,null,!1,null,8340736753865164,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xc36e6f1e6fead,!1,[[11,"Moneyforupgrade"],[8,5],[7,[0,500]]]]],[[215,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7345353202078901,!1,[[1,[2,"Activ"]],[3,1]]],[218,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xa486865659925,!1,[[1,[2,"Activ"]],[3,1]]]]]]],[0,null,!1,null,9860317642433004,[[1,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,0x93570415877f8,!1,[[4,32]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,0xa50b6c6087375,!1]],[[-1,cr.system_object.prototype.acts.SetGroupActive,null,0xb5bbc3855bd94,!1,[[1,[2,"Choose level"]],[3,0]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xbfd56c73bdaed,!1,[[4,127],[5,[0,0]],[0,[0,0]],[0,[0,0]]]],[127,cr.plugins_.TiledBg.prototype.acts.MoveToTop,null,5221358522988021,!1],[-1,cr.system_object.prototype.acts.CreateObject,null,9739817066596484,!1,[[4,214],[5,[0,1]],[0,[0,0]],[0,[0,0]]]],[214,cr.plugins_.Sprite.prototype.acts.SetPos,null,
0x8c0672c253da6,!1,[[0,[5,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,20]]],[0,[5,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,50]]]]],[32,cr.plugins_.Sprite.prototype.acts.SetPos,null,8736919293214325,!1,[[0,[0,-1E3]],[0,[0,-1E3]]]],[33,cr.plugins_.Sprite.prototype.acts.SetPos,null,8739844257914054,!1,[[0,[0,-1E3]],[0,[0,-1E3]]]],[34,cr.plugins_.Sprite.prototype.acts.SetPos,null,7688765022230193,!1,[[0,[0,-1E3]],[0,[0,-1E3]]]],[35,cr.plugins_.Sprite.prototype.acts.SetPos,null,
7309436008101436,!1,[[0,[0,-1E3]],[0,[0,-1E3]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,9011198268126284,!1,[[4,216],[5,[0,1]],[0,[19,cr.system_object.prototype.exps.canvastolayerx,[[0,1],[7,[19,cr.system_object.prototype.exps.windowwidth],[0,2]],[7,[19,cr.system_object.prototype.exps.windowwidth],[0,2]]]]],[0,[19,cr.system_object.prototype.exps.canvastolayery,[[0,1],[7,[19,cr.system_object.prototype.exps.windowheight],[0,2]],[7,[19,cr.system_object.prototype.exps.windowheight],[1,
2.6]]]]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,6893149187702115,!1,[[4,219],[5,[0,1]],[0,[20,216,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,216,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,220]]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,9550560603651664,!1,[[4,222],[5,[0,1]],[0,[20,216,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,216,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,130]]]]]],[[0,null,!1,null,0xed7c58c10dca,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,9419557745001292,!1,[[11,"Moneyforupgrade"],[8,5],[7,[0,1E3]]]]],[[216,cr.plugins_.Sprite.prototype.acts.SetAnim,null,491809494193317,!1,[[1,[2,"Activ"]],[3,1]]],[219,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x7231667395a50,!1,[[1,[2,"Activ"]],[3,1]]]]]]],[0,null,!1,null,9498176859709384,[[1,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,6546437753433628,!1,[[4,34]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9471063200947154,!1]],[[-1,
cr.system_object.prototype.acts.SetGroupActive,null,0x58109db69336b,!1,[[1,[2,"Choose level"]],[3,0]]],[-1,cr.system_object.prototype.acts.CreateObject,null,5125125179998544,!1,[[4,127],[5,[0,0]],[0,[0,0]],[0,[0,0]]]],[127,cr.plugins_.TiledBg.prototype.acts.MoveToTop,null,4840683137775028,!1],[127,cr.plugins_.TiledBg.prototype.acts.MoveToTop,null,5645457700963299,!1],[-1,cr.system_object.prototype.acts.CreateObject,null,0xde512c2cad895,!1,[[4,214],[5,[0,1]],[0,[0,0]],[0,[0,0]]]],[214,cr.plugins_.Sprite.prototype.acts.SetPos,
null,0xf687abdde9d27,!1,[[0,[5,[20,27,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,20]]],[0,[5,[20,27,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,50]]]]],[32,cr.plugins_.Sprite.prototype.acts.SetPos,null,6954354764561311,!1,[[0,[0,-1E3]],[0,[0,-1E3]]]],[33,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x86abbf8cf1e37,!1,[[0,[0,-1E3]],[0,[0,-1E3]]]],[34,cr.plugins_.Sprite.prototype.acts.SetPos,null,455340786167568,!1,[[0,[0,-1E3]],[0,[0,-1E3]]]],[35,cr.plugins_.Sprite.prototype.acts.SetPos,
null,5562135443904357,!1,[[0,[0,-1E3]],[0,[0,-1E3]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xb2b428caccadf,!1,[[4,217],[5,[0,1]],[0,[19,cr.system_object.prototype.exps.canvastolayerx,[[0,1],[7,[19,cr.system_object.prototype.exps.windowwidth],[0,2]],[7,[19,cr.system_object.prototype.exps.windowwidth],[0,2]]]]],[0,[19,cr.system_object.prototype.exps.canvastolayery,[[0,1],[7,[19,cr.system_object.prototype.exps.windowheight],[0,2]],[7,[19,cr.system_object.prototype.exps.windowheight],
[1,2.3]]]]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,938212813660918,!1,[[4,220],[5,[0,1]],[0,[20,217,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,217,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,220]]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xf582f9c2658ab,!1,[[4,223],[5,[0,1]],[0,[20,217,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,217,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,130]]]]],[-1,cr.system_object.prototype.acts.CreateObject,
null,7856911827843882,!1,[[4,274],[5,[0,1]],[0,[19,cr.system_object.prototype.exps.canvastolayerx,[[0,1],[7,[19,cr.system_object.prototype.exps.windowwidth],[0,2]],[7,[19,cr.system_object.prototype.exps.windowwidth],[0,2]]]]],[0,[5,[20,217,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,145]]]]]],[[0,null,!1,null,5998664608225811,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,770832214816673,!1,[[11,"Moneyforupgrade"],[8,5],[7,[0,1500]]]]],[[217,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,0xa779fdd51ae41,!1,[[1,[2,"Activ"]],[3,1]]],[220,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9579356215309704,!1,[[1,[2,"Activ"]],[3,1]]]]]]],[0,null,!1,null,6200767801636094,[[1,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,9024300764779836,!1,[[4,35]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xc462c534ba117,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,5071845794332808,!1,[[4,127],[5,[0,9]],[0,[0,0]],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.CreateObject,
null,8770971926555549,!1,[[4,126],[5,[0,9]],[0,[7,[4,[20,36,cr.plugins_.Sprite.prototype.exps.X,!1,null],[20,227,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,2]]],[0,[0,470]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x7679cfd0dccbd,!1,[[0,[1,0.2]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,7154035140240341,!1,[[6,"Store"]]]]]]],[0,[!0,"Buy"],!1,null,4879526517984016,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,4879526517984016,!1,[[1,[2,"Buy"]]]]],[],[[0,
null,!1,null,0xe030b27d44b0d,[[1,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,6565233238052026,!1,[[4,218]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9774915550749204,!1],[218,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,591760142326772,!1,[[1,[2,"Activ"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,7705188392385178,!1,[[11,"Upgrade1"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0x74137c374d5e7,!1,[[11,"Moneyforupgrade"],
[7,[0,500]]]],[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,9668482809557072,!1,[[1,[2,"MSave"]],[7,[23,"Moneyforupgrade"]]]],[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0xdebed4443c041,!1,[[1,[2,"Upgrade1Save"]],[7,[23,"Upgrade1"]]]],[37,cr.plugins_.Text.prototype.acts.SetText,null,0xf7a49af6607ea,!1,[[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"MSave"]]]]]]]],[0,null,!1,null,756498476654421,[[1,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,
0,!1,!1,!1,389468932267469,!1,[[4,219]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7634204304011865,!1],[219,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,0x9611679ed2bfc,!1,[[1,[2,"Activ"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,6779538670292065,!1,[[11,"Upgrade2"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,8654909716125035,!1,[[11,"Moneyforupgrade"],[7,[0,1E3]]]],[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,8406142876650484,
!1,[[1,[2,"MSave"]],[7,[23,"Moneyforupgrade"]]]],[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0xfd3cd685b2739,!1,[[1,[2,"Upgrade2Save"]],[7,[23,"Upgrade2"]]]],[37,cr.plugins_.Text.prototype.acts.SetText,null,8273868497723893,!1,[[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"MSave"]]]]]]]],[0,null,!1,null,7993450992617458,[[1,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,5172393391290174,!1,[[4,220]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,7210025417129138,!1],[220,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,6933140414051804,!1,[[1,[2,"Activ"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0xefff8f3c8474e,!1,[[11,"Upgrade3"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SubVar,null,0xb103936923271,!1,[[11,"Moneyforupgrade"],[7,[0,1500]]]],[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,6297454775531495,!1,[[1,[2,"MSave"]],[7,[23,"Moneyforupgrade"]]]],[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,
null,0x965ff91686ee1,!1,[[1,[2,"Upgrade3Save"]],[7,[23,"Upgrade3"]]]],[37,cr.plugins_.Text.prototype.acts.SetText,null,9245749011142068,!1,[[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"MSave"]]]]]]]]]],[0,null,!1,null,0x7225ad2ea674f,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,979219640678154,!1]],[[4,cr.plugins_.CJSAds.prototype.acts.ShowFullscreen,null,0x6edf02b8d6f3f,!1],[4,cr.plugins_.CJSAds.prototype.acts.ShowBanner,null,4868440880217744,!1,[[3,
1]]]]]]],["Level1",[[2,"Generalcode",!1],[0,null,!1,null,0xe8dbba76c452f,[[-1,cr.system_object.prototype.cnds.OnLayoutEnd,null,1,!1,!1,!1,7239701551435245,!1]],[[-1,cr.system_object.prototype.acts.SetTimescale,null,6774203125345587,!1,[[0,[1,1]]]]]],[0,[!0,"Webstorage"],!1,null,0x624ef3945fd09,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,0x624ef3945fd09,!1,[[1,[2,"Webstorage"]]]]],[],[[0,null,!1,null,344,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,345,!1,
[[11,"win"],[8,0],[7,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,346,!1,[[11,"currentlevel"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,9671081516935244,!1,[[6,"Lewel2"]]]]],[0,null,!1,null,348,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,349,!1,[[11,"win"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,350,!1,[[11,"chooser"],[8,3],[7,[23,"currentlevel"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,351,
!1,[[11,"chooser"],[7,[0,2]]]],[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,352,!1,[[1,[2,"play"]],[7,[23,"chooser"]]]]]]]],[0,[!0,"Setlevelstars"],!1,null,4911926655387023,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,4911926655387023,!1,[[1,[2,"Setlevelstars"]]]]],[],[[0,null,!1,null,8681228674549992,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4663435795376083,!1,[[11,"Localstars"],[8,0],[7,[0,0]]]]],[]],[0,null,!1,null,9695190985629874,[[81,
cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0x84532d1859c27,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xa43ead62a07e8,!1,[[11,"Localstars"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5676324341630972,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"1levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,7499423908582247,!1,[[1,[2,"1levelsave"]],
[7,[2,"1"]]]]]],[0,null,!1,null,0xff1a66837ca31,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,9456307144332184,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x44e5c2eec3a2f,!1,[[11,"Localstars"],[8,0],[7,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9138337384616682,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"1levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,
null,0xd9827f6801e06,!1,[[1,[2,"1levelsave"]],[7,[2,"2"]]]]]],[0,null,!1,null,0x6ffee63d61a90,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,7020655668559464,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x803c72af9d8df,!1,[[11,"Localstars"],[8,0],[7,[0,3]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xcc6f84a109aae,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"1levelsave"]]]]]]],
[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,6722985989722826,!1,[[1,[2,"1levelsave"]],[7,[2,"3"]]]]]],[0,null,!1,null,8215270079014353,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,649415691174397,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xdbb06564404c0,!1,[[11,"Localstars"],[8,0],[7,[0,4]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4936928710810593,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,
!0,null,[[2,"1levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,6530480531054009,!1,[[1,[2,"1levelsave"]],[7,[2,"4"]]]]]],[0,null,!1,null,0xaaa3b089912db,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,4986866076773617,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5793512094550283,!1,[[11,"Localstars"],[8,0],[7,[0,5]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x4039460df2c26,!1,[[11,"Localstars"],[8,
4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"1levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,6395044065508057,!1,[[1,[2,"1levelsave"]],[7,[2,"5"]]]]]],[0,null,!1,null,0x433155f05c453,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,5928467561928081,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6046921966377136,!1,[[11,"Localstars"],[8,0],[7,[0,6]]]],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,5927601912220196,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"1levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0xf91ee20a2db37,!1,[[1,[2,"1levelsave"]],[7,[2,"6"]]]]]],[0,null,!1,null,0x48ed73898165a,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0xec068c6ca0473,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9212638345935980,!1,[[11,"Localstars"],[8,0],
[7,[0,7]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,49768516685202,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"1levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,9986845479154604,!1,[[1,[2,"1levelsave"]],[7,[2,"7"]]]]]],[0,null,!1,null,0xa48380b592fc7,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0x8bb649eb9d45d,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,
0,!1,!1,!1,0xab8f91bee2eb8,!1,[[11,"Localstars"],[8,0],[7,[0,8]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5934338420537089,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"1levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,7430002871490654,!1,[[1,[2,"1levelsave"]],[7,[2,"8"]]]]]],[0,null,!1,null,5022265689391525,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,7511802540651761,!1,
[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xbfa8078d7b54a,!1,[[11,"Localstars"],[8,0],[7,[0,9]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9012979533595894,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"1levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,7680101809029509,!1,[[1,[2,"1levelsave"]],[7,[2,"9"]]]]]],[0,null,!1,null,8784321392611864,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,
null,0,!1,!1,!0,0xc67b5a2073dd1,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4541281578481927,!1,[[11,"Localstars"],[8,0],[7,[0,10]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xbe6d759e5459,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"1levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0x45009ff5ffb52,!1,[[1,[2,"1levelsave"]],[7,[2,"10"]]]]]]]]]],["Lewel2",[[2,"Generalcode",
!1],[0,null,!1,null,0x9132a2f329c42,[[-1,cr.system_object.prototype.cnds.OnLayoutEnd,null,1,!1,!1,!1,0xbe91397bff4b9,!1]],[[-1,cr.system_object.prototype.acts.SetTimescale,null,4789286692872877,!1,[[0,[1,1]]]]]],[0,[!0,"Webstorage2"],!1,null,5571232310507669,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,5571232310507669,!1,[[1,[2,"Webstorage2"]]]]],[],[[0,null,!1,null,344,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,345,!1,[[11,"win"],[8,0],[7,[0,1]]]]],[[-1,
cr.system_object.prototype.acts.SetVar,null,346,!1,[[11,"currentlevel"],[7,[0,3]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,7615161369444529,!1,[[6,"Lewel3"]]]]],[0,null,!1,null,348,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,349,!1,[[11,"win"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,350,!1,[[11,"chooser"],[8,3],[7,[23,"currentlevel"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,351,!1,[[11,"chooser"],[7,[0,3]]]],[0,
cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,352,!1,[[1,[2,"play"]],[7,[23,"chooser"]]]]]]]],[0,[!0,"Setlevelstars2"],!1,null,0x3e69052e25db7,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,0x3e69052e25db7,!1,[[1,[2,"Setlevelstars2"]]]]],[],[[0,null,!1,null,8681228674549992,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4663435795376083,!1,[[11,"Localstars"],[8,0],[7,[0,0]]]]],[]],[0,null,!1,null,9695190985629874,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,
null,0,!1,!1,!0,0x84532d1859c27,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xa43ead62a07e8,!1,[[11,"Localstars"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5676324341630972,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"2levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,7499423908582247,!1,[[1,[2,"2levelsave"]],[7,[2,"1"]]]]]],[0,null,!1,null,0xff1a66837ca31,
[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,9456307144332184,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x44e5c2eec3a2f,!1,[[11,"Localstars"],[8,0],[7,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9138337384616682,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"2levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0xd9827f6801e06,!1,[[1,[2,"2levelsave"]],
[7,[2,"2"]]]]]],[0,null,!1,null,0x6ffee63d61a90,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,7020655668559464,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x803c72af9d8df,!1,[[11,"Localstars"],[8,0],[7,[0,3]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xcc6f84a109aae,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"2levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,
null,6722985989722826,!1,[[1,[2,"2levelsave"]],[7,[2,"3"]]]]]],[0,null,!1,null,8215270079014353,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,649415691174397,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xdbb06564404c0,!1,[[11,"Localstars"],[8,0],[7,[0,4]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4936928710810593,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"2levelsave"]]]]]]],
[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,6530480531054009,!1,[[1,[2,"2levelsave"]],[7,[2,"4"]]]]]],[0,null,!1,null,0xaaa3b089912db,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,4986866076773617,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5793512094550283,!1,[[11,"Localstars"],[8,0],[7,[0,5]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x4039460df2c26,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,
!0,null,[[2,"2levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,6395044065508057,!1,[[1,[2,"2levelsave"]],[7,[2,"5"]]]]]],[0,null,!1,null,0x433155f05c453,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,5928467561928081,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6046921966377136,!1,[[11,"Localstars"],[8,0],[7,[0,6]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5927601912220196,!1,[[11,"Localstars"],[8,
4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"2levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0xf91ee20a2db37,!1,[[1,[2,"2levelsave"]],[7,[2,"6"]]]]]],[0,null,!1,null,0x48ed73898165a,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0xec068c6ca0473,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9212638345935980,!1,[[11,"Localstars"],[8,0],[7,[0,7]]]],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,49768516685202,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"2levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,9986845479154604,!1,[[1,[2,"2levelsave"]],[7,[2,"7"]]]]]],[0,null,!1,null,0xa48380b592fc7,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0x8bb649eb9d45d,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xab8f91bee2eb8,!1,[[11,"Localstars"],[8,0],[7,
[0,8]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5934338420537089,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"2levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,7430002871490654,!1,[[1,[2,"2levelsave"]],[7,[2,"8"]]]]]],[0,null,!1,null,5022265689391525,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,7511802540651761,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,
0,!1,!1,!1,0xbfa8078d7b54a,!1,[[11,"Localstars"],[8,0],[7,[0,9]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9012979533595894,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"2levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,7680101809029509,!1,[[1,[2,"2levelsave"]],[7,[2,"9"]]]]]],[0,null,!1,null,8784321392611864,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0xc67b5a2073dd1,!1,[[4,
45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4541281578481927,!1,[[11,"Localstars"],[8,0],[7,[0,10]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xbe6d759e5459,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"2levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0x45009ff5ffb52,!1,[[1,[2,"2levelsave"]],[7,[2,"10"]]]]]]]]]],["Lewel3",[[2,"Generalcode",!1],[0,null,!1,null,5000510561124624,
[[-1,cr.system_object.prototype.cnds.OnLayoutEnd,null,1,!1,!1,!1,0x8513d18d8a3b8,!1]],[[-1,cr.system_object.prototype.acts.SetTimescale,null,0xe36c99e8adb31,!1,[[0,[1,1]]]]]],[0,[!0,"Webstorage3"],!1,null,0xb1725a8934b0a,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,0xb1725a8934b0a,!1,[[1,[2,"Webstorage3"]]]]],[],[[0,null,!1,null,344,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,345,!1,[[11,"win"],[8,0],[7,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SetVar,
null,346,!1,[[11,"currentlevel"],[7,[0,4]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,8517101667946793,!1,[[6,"Lewel4"]]]]],[0,null,!1,null,348,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,349,!1,[[11,"win"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,350,!1,[[11,"chooser"],[8,3],[7,[23,"currentlevel"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,351,!1,[[11,"chooser"],[7,[0,4]]]],[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,
null,352,!1,[[1,[2,"play"]],[7,[23,"chooser"]]]]]]]],[0,[!0,"Setlevelstars3"],!1,null,8309919207103706,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,8309919207103706,!1,[[1,[2,"Setlevelstars3"]]]]],[],[[0,null,!1,null,8681228674549992,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4663435795376083,!1,[[11,"Localstars"],[8,0],[7,[0,0]]]]],[]],[0,null,!1,null,9695190985629874,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0x84532d1859c27,!1,
[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xa43ead62a07e8,!1,[[11,"Localstars"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5676324341630972,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"3levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,7499423908582247,!1,[[1,[2,"3levelsave"]],[7,[2,"1"]]]]]],[0,null,!1,null,0xff1a66837ca31,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,
null,0,!1,!1,!0,9456307144332184,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x44e5c2eec3a2f,!1,[[11,"Localstars"],[8,0],[7,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9138337384616682,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"3levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0xd9827f6801e06,!1,[[1,[2,"3levelsave"]],[7,[2,"2"]]]]]],[0,null,!1,null,0x6ffee63d61a90,
[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,7020655668559464,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x803c72af9d8df,!1,[[11,"Localstars"],[8,0],[7,[0,3]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xcc6f84a109aae,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"3levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,6722985989722826,!1,[[1,[2,"3levelsave"]],
[7,[2,"3"]]]]]],[0,null,!1,null,8215270079014353,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,649415691174397,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xdbb06564404c0,!1,[[11,"Localstars"],[8,0],[7,[0,4]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4936928710810593,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"3levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,
null,6530480531054009,!1,[[1,[2,"3levelsave"]],[7,[2,"4"]]]]]],[0,null,!1,null,0xaaa3b089912db,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,4986866076773617,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5793512094550283,!1,[[11,"Localstars"],[8,0],[7,[0,5]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x4039460df2c26,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"3levelsave"]]]]]]],
[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,6395044065508057,!1,[[1,[2,"3levelsave"]],[7,[2,"5"]]]]]],[0,null,!1,null,0x433155f05c453,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,5928467561928081,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6046921966377136,!1,[[11,"Localstars"],[8,0],[7,[0,6]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5927601912220196,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,
!0,null,[[2,"3levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0xf91ee20a2db37,!1,[[1,[2,"3levelsave"]],[7,[2,"6"]]]]]],[0,null,!1,null,0x48ed73898165a,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0xec068c6ca0473,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9212638345935980,!1,[[11,"Localstars"],[8,0],[7,[0,7]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,49768516685202,!1,[[11,"Localstars"],[8,4],
[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"3levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,9986845479154604,!1,[[1,[2,"3levelsave"]],[7,[2,"7"]]]]]],[0,null,!1,null,0xa48380b592fc7,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0x8bb649eb9d45d,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xab8f91bee2eb8,!1,[[11,"Localstars"],[8,0],[7,[0,8]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,
0,!1,!1,!1,5934338420537089,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"3levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,7430002871490654,!1,[[1,[2,"3levelsave"]],[7,[2,"8"]]]]]],[0,null,!1,null,5022265689391525,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,7511802540651761,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xbfa8078d7b54a,!1,[[11,"Localstars"],[8,0],[7,
[0,9]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9012979533595894,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"3levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,7680101809029509,!1,[[1,[2,"3levelsave"]],[7,[2,"9"]]]]]],[0,null,!1,null,8784321392611864,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0xc67b5a2073dd1,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,
0,!1,!1,!1,4541281578481927,!1,[[11,"Localstars"],[8,0],[7,[0,10]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xbe6d759e5459,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"3levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0x45009ff5ffb52,!1,[[1,[2,"3levelsave"]],[7,[2,"10"]]]]]]]],[0,[!0,"Lazzzzer"],!1,null,9409254972863880,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,9409254972863880,
!1,[[1,[2,"Lazzzzer"]]]]],[],[[0,null,!1,null,0xa6d7d569e5967,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x8a8c069a98f71,!1,[[4,86]]]],[[86,cr.plugins_.Sprite.prototype.acts.SetAngle,null,0xd0cefda926313,!1,[[0,[4,[20,86,cr.plugins_.Sprite.prototype.exps.Angle,!1,null],[0,15]]]]]]],[0,null,!1,null,8965296988750026,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,7454435894755995,!1,[[4,93]]]],[[93,cr.plugins_.Sprite.prototype.acts.SetAngle,null,6571941090357095,
!1,[[0,[4,[20,93,cr.plugins_.Sprite.prototype.exps.Angle,!1,null],[0,15]]]]]]],[0,null,!1,null,0x5594c34354b13,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,6083164635322425,!1,[[4,94]]]],[[94,cr.plugins_.Sprite.prototype.acts.SetAngle,null,0x4ce778b0840df,!1,[[0,[4,[20,94,cr.plugins_.Sprite.prototype.exps.Angle,!1,null],[0,15]]]]]]],[0,null,!1,null,0x4bf7d7c9c0fe4,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,8083638857477658,!1,[[4,168]]]],[[168,cr.plugins_.Sprite.prototype.acts.SetAngle,
null,718335206040012,!1,[[0,[4,[20,168,cr.plugins_.Sprite.prototype.exps.Angle,!1,null],[0,15]]]]]]],[0,null,!1,null,9904471309865902,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,6314642092052472,!1,[[4,169]]]],[[169,cr.plugins_.Sprite.prototype.acts.SetAngle,null,0x4fc62d14bdabe,!1,[[0,[4,[20,169,cr.plugins_.Sprite.prototype.exps.Angle,!1,null],[0,15]]]]]]],[0,null,!1,null,7431692765172851,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,8285529278056576,!1,
[[4,170]]]],[[170,cr.plugins_.Sprite.prototype.acts.SetAngle,null,0x8611839eb3db4,!1,[[0,[4,[20,170,cr.plugins_.Sprite.prototype.exps.Angle,!1,null],[0,15]]]]]]],[0,null,!1,null,509496495456147,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0xf96e015a22671,!1,[[4,171]]]],[[171,cr.plugins_.Sprite.prototype.acts.SetAngle,null,7112681096408116,!1,[[0,[4,[20,171,cr.plugins_.Sprite.prototype.exps.Angle,!1,null],[0,15]]]]]]],[0,null,!1,null,7264504891766275,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,
null,1,!1,!1,!1,9560308362527556,!1,[[4,172]]]],[[172,cr.plugins_.Sprite.prototype.acts.SetAngle,null,5310458087051841,!1,[[0,[4,[20,172,cr.plugins_.Sprite.prototype.exps.Angle,!1,null],[0,15]]]]]]],[0,[!0,"Laser1"],!1,null,5004211670429572,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,5004211670429572,!1,[[1,[2,"Laser1"]]]]],[],[[0,[!0,"laserfinish"],!1,null,6028163539361862,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,6028163539361862,!1,[[1,[2,"laserfinish"]]]]],
[],[[0,null,!1,null,8776133826202773,[[88,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,6969250938461531,!1,[[4,95]]]],[[89,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7472353589043607,!1,[[1,[2,"Open"]],[3,1]]]]]]],[0,null,!0,null,0xf180ac092a7df,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,424563435559644,!1,[[0,[1,1]]]],[1,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,0x442a504c6224b,!1,[[4,86]]],[1,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
null,0,!1,!1,!1,8784202084042867,!1,[[4,93]]],[1,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,7841058787611559,!1,[[4,94]]]],[[92,cr.plugins_.Sprite.prototype.acts.SetSize,null,6146427124463585,!1,[[0,[0,1]],[0,[0,3]]]],[91,cr.plugins_.Sprite.prototype.acts.SetSize,null,6595363565539859,!1,[[0,[0,1]],[0,[0,3]]]],[87,cr.plugins_.Sprite.prototype.acts.SetSize,null,0xa174c06304f55,!1,[[0,[0,1]],[0,[0,3]]]],[88,cr.plugins_.Sprite.prototype.acts.SetSize,null,8263963069842233,!1,[[0,
[0,1]],[0,[0,3]]]],[92,cr.plugins_.Sprite.prototype.acts.SetPosToObject,null,6282740208316904,!1,[[4,90],[7,[0,0]]]],[92,cr.plugins_.Sprite.prototype.acts.SetAngle,null,4815789840681927,!1,[[0,[20,90,cr.plugins_.Sprite.prototype.exps.Angle,!1,null]]]]]],[0,null,!1,null,8561956363127302,[[-1,cr.system_object.prototype.cnds.Repeat,null,0,!0,!1,!1,0xc2f1473571c63,!1,[[0,[0,15]]]],[92,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!0,!1,0x4b2e8f76a73ed,!1,[[4,86]]]],[[92,cr.plugins_.Sprite.prototype.acts.SetWidth,
null,6016597086280364,!1,[[0,[4,[20,92,cr.plugins_.Sprite.prototype.exps.Width,!1,null],[0,90]]]]]]]]],[0,[!0,"Laser2"],!1,null,4946684251060743,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,4946684251060743,!1,[[1,[2,"Laser2"]]]]],[],[[0,null,!1,null,9240398875433766,[[-1,cr.system_object.prototype.cnds.Repeat,null,0,!0,!1,!1,285503122212654,!1,[[0,[0,3]]]],[91,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!0,!1,0xbea879b097685,!1,[[4,93]]]],[[91,cr.plugins_.Sprite.prototype.acts.SetWidth,
null,6644493854698456,!1,[[0,[4,[20,91,cr.plugins_.Sprite.prototype.exps.Width,!1,null],[0,240]]]]]]],[0,null,!1,null,5801871657151971,[[92,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,6111277299734148,!1,[[4,86]]]],[[91,cr.plugins_.Sprite.prototype.acts.SetPosToObject,null,0xf0a9b22f0ad27,!1,[[4,86],[7,[0,0]]]],[91,cr.plugins_.Sprite.prototype.acts.SetAngle,null,510146554391733,!1,[[0,[5,[20,86,cr.plugins_.Sprite.prototype.exps.Angle,!1,null],[5,[20,92,cr.plugins_.Sprite.prototype.exps.Angle,
!1,null],[20,86,cr.plugins_.Sprite.prototype.exps.Angle,!1,null]]]]]]]],[0,null,!1,null,4897138187567394,[[-1,cr.system_object.prototype.cnds.Else,null,0,!1,!1,!1,9848890832433568,!1]],[[91,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xb8764144984aa,!1,[[0,[0,-1E3]],[0,[0,-1E3]]]],[91,cr.plugins_.Sprite.prototype.acts.SetWidth,null,0x5e67e88684d43,!1,[[0,[0,3]]]]]]]],[0,[!0,"Laser3"],!1,null,0x5bf0921f9ec6b,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,0x5bf0921f9ec6b,!1,[[1,
[2,"Laser3"]]]]],[],[[0,null,!1,null,9240398875433766,[[-1,cr.system_object.prototype.cnds.Repeat,null,0,!0,!1,!1,285503122212654,!1,[[0,[0,3]]]],[87,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!0,!1,0xbea879b097685,!1,[[4,94]]]],[[87,cr.plugins_.Sprite.prototype.acts.SetWidth,null,6644493854698456,!1,[[0,[4,[20,87,cr.plugins_.Sprite.prototype.exps.Width,!1,null],[0,240]]]]]]],[0,null,!1,null,5801871657151971,[[91,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,6111277299734148,
!1,[[4,93]]]],[[87,cr.plugins_.Sprite.prototype.acts.SetPosToObject,null,0xf0a9b22f0ad27,!1,[[4,93],[7,[0,0]]]],[87,cr.plugins_.Sprite.prototype.acts.SetAngle,null,510146554391733,!1,[[0,[5,[20,93,cr.plugins_.Sprite.prototype.exps.Angle,!1,null],[5,[20,91,cr.plugins_.Sprite.prototype.exps.Angle,!1,null],[20,93,cr.plugins_.Sprite.prototype.exps.Angle,!1,null]]]]]]]],[0,null,!1,null,4897138187567394,[[-1,cr.system_object.prototype.cnds.Else,null,0,!1,!1,!1,9848890832433568,!1]],[[87,cr.plugins_.Sprite.prototype.acts.SetPos,
null,0xb8764144984aa,!1,[[0,[0,-1E3]],[0,[0,-1E3]]]],[87,cr.plugins_.Sprite.prototype.acts.SetWidth,null,0x5e67e88684d43,!1,[[0,[0,3]]]]]]]],[0,[!0,"Laser4"],!1,null,0x8d6850475782b,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,0x8d6850475782b,!1,[[1,[2,"Laser4"]]]]],[],[[0,null,!1,null,9240398875433766,[[-1,cr.system_object.prototype.cnds.Repeat,null,0,!0,!1,!1,285503122212654,!1,[[0,[0,6]]]],[88,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!0,!1,7378494092535569,
!1,[[4,95]]]],[[88,cr.plugins_.Sprite.prototype.acts.SetWidth,null,6644493854698456,!1,[[0,[4,[20,88,cr.plugins_.Sprite.prototype.exps.Width,!1,null],[0,200]]]]]]],[0,null,!1,null,5801871657151971,[[87,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,6111277299734148,!1,[[4,94]]]],[[88,cr.plugins_.Sprite.prototype.acts.SetPosToObject,null,0xf0a9b22f0ad27,!1,[[4,94],[7,[0,0]]]],[88,cr.plugins_.Sprite.prototype.acts.SetAngle,null,510146554391733,!1,[[0,[5,[20,94,cr.plugins_.Sprite.prototype.exps.Angle,
!1,null],[5,[20,87,cr.plugins_.Sprite.prototype.exps.Angle,!1,null],[20,94,cr.plugins_.Sprite.prototype.exps.Angle,!1,null]]]]]]]],[0,null,!1,null,4897138187567394,[[-1,cr.system_object.prototype.cnds.Else,null,0,!1,!1,!1,9848890832433568,!1]],[[88,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xb8764144984aa,!1,[[0,[0,-1E3]],[0,[0,-1E3]]]],[88,cr.plugins_.Sprite.prototype.acts.SetWidth,null,0x5e67e88684d43,!1,[[0,[0,3]]]]]]]]]]]],["Lewel4",[[2,"Generalcode",!1],[0,null,!1,null,8971710484065038,[[-1,
cr.system_object.prototype.cnds.OnLayoutEnd,null,1,!1,!1,!1,8694848206451143,!1]],[[-1,cr.system_object.prototype.acts.SetTimescale,null,934436695821186,!1,[[0,[1,1]]]]]],[0,[!0,"Webstorage4"],!1,null,7631917697151298,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,7631917697151298,!1,[[1,[2,"Webstorage4"]]]]],[],[[0,null,!1,null,344,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,345,!1,[[11,"win"],[8,0],[7,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SetVar,
null,346,!1,[[11,"currentlevel"],[7,[0,5]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,9132577107127988,!1,[[6,"Lewel5"]]]]],[0,null,!1,null,348,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,349,!1,[[11,"win"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,350,!1,[[11,"chooser"],[8,3],[7,[23,"currentlevel"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,351,!1,[[11,"chooser"],[7,[0,5]]]],[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,
null,352,!1,[[1,[2,"play"]],[7,[23,"chooser"]]]]]]]],[0,[!0,"Setlevelstars4"],!1,null,6307153244983447,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,6307153244983447,!1,[[1,[2,"Setlevelstars4"]]]]],[],[[0,null,!1,null,8681228674549992,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4663435795376083,!1,[[11,"Localstars"],[8,0],[7,[0,0]]]]],[]],[0,null,!1,null,9695190985629874,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0x84532d1859c27,!1,
[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xa43ead62a07e8,!1,[[11,"Localstars"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5676324341630972,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"4levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,7499423908582247,!1,[[1,[2,"4levelsave"]],[7,[2,"1"]]]]]],[0,null,!1,null,0xff1a66837ca31,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,
null,0,!1,!1,!0,9456307144332184,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x44e5c2eec3a2f,!1,[[11,"Localstars"],[8,0],[7,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9138337384616682,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"4levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0xd9827f6801e06,!1,[[1,[2,"4levelsave"]],[7,[2,"2"]]]]]],[0,null,!1,null,0x6ffee63d61a90,
[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,7020655668559464,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x803c72af9d8df,!1,[[11,"Localstars"],[8,0],[7,[0,3]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xcc6f84a109aae,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"4levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,6722985989722826,!1,[[1,[2,"4levelsave"]],
[7,[2,"3"]]]]]],[0,null,!1,null,8215270079014353,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,649415691174397,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xdbb06564404c0,!1,[[11,"Localstars"],[8,0],[7,[0,4]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4936928710810593,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"4levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,
null,6530480531054009,!1,[[1,[2,"4levelsave"]],[7,[2,"4"]]]]]],[0,null,!1,null,0xaaa3b089912db,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,4986866076773617,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5793512094550283,!1,[[11,"Localstars"],[8,0],[7,[0,5]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x4039460df2c26,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"4levelsave"]]]]]]],
[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,6395044065508057,!1,[[1,[2,"4levelsave"]],[7,[2,"5"]]]]]],[0,null,!1,null,0x433155f05c453,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,5928467561928081,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6046921966377136,!1,[[11,"Localstars"],[8,0],[7,[0,6]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5927601912220196,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,
!0,null,[[2,"4levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0xf91ee20a2db37,!1,[[1,[2,"4levelsave"]],[7,[2,"6"]]]]]],[0,null,!1,null,0x48ed73898165a,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0xec068c6ca0473,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9212638345935980,!1,[[11,"Localstars"],[8,0],[7,[0,7]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,49768516685202,!1,[[11,"Localstars"],[8,4],
[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"4levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,9986845479154604,!1,[[1,[2,"4levelsave"]],[7,[2,"7"]]]]]],[0,null,!1,null,0xa48380b592fc7,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0x8bb649eb9d45d,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xab8f91bee2eb8,!1,[[11,"Localstars"],[8,0],[7,[0,8]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,
0,!1,!1,!1,5934338420537089,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"4levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,7430002871490654,!1,[[1,[2,"4levelsave"]],[7,[2,"8"]]]]]],[0,null,!1,null,5022265689391525,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,7511802540651761,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xbfa8078d7b54a,!1,[[11,"Localstars"],[8,0],[7,
[0,9]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9012979533595894,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"4levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,7680101809029509,!1,[[1,[2,"4levelsave"]],[7,[2,"9"]]]]]],[0,null,!1,null,8784321392611864,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0xc67b5a2073dd1,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,
0,!1,!1,!1,4541281578481927,!1,[[11,"Localstars"],[8,0],[7,[0,10]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xbe6d759e5459,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"4levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0x45009ff5ffb52,!1,[[1,[2,"4levelsave"]],[7,[2,"10"]]]]]]]]]],["Lewel5",[[2,"Generalcode",!1],[0,null,!1,null,6605856295976749,[[-1,cr.system_object.prototype.cnds.OnLayoutEnd,null,
1,!1,!1,!1,7368318643371581,!1]],[[-1,cr.system_object.prototype.acts.SetTimescale,null,5231780919104838,!1,[[0,[1,1]]]]]],[0,[!0,"Webstorage5"],!1,null,338701865259388,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,338701865259388,!1,[[1,[2,"Webstorage5"]]]]],[],[[0,null,!1,null,344,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,345,!1,[[11,"win"],[8,0],[7,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,346,!1,[[11,"currentlevel"],[7,[0,6]]]],[-1,cr.system_object.prototype.acts.GoToLayout,
null,0x49feb6cac2019,!1,[[6,"Lewel6"]]]]],[0,null,!1,null,348,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,349,!1,[[11,"win"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,350,!1,[[11,"chooser"],[8,3],[7,[23,"currentlevel"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,351,!1,[[11,"chooser"],[7,[0,6]]]],[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,352,!1,[[1,[2,"play"]],[7,[23,"chooser"]]]]]]]],[0,[!0,"Setlevelstars5"],!1,null,
9228270141951944,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,9228270141951944,!1,[[1,[2,"Setlevelstars5"]]]]],[],[[0,null,!1,null,8681228674549992,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4663435795376083,!1,[[11,"Localstars"],[8,0],[7,[0,0]]]]],[]],[0,null,!1,null,9695190985629874,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0x84532d1859c27,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xa43ead62a07e8,
!1,[[11,"Localstars"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5676324341630972,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"5levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,7499423908582247,!1,[[1,[2,"5levelsave"]],[7,[2,"1"]]]]]],[0,null,!1,null,0xff1a66837ca31,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,9456307144332184,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,0x44e5c2eec3a2f,!1,[[11,"Localstars"],[8,0],[7,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9138337384616682,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"5levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0xd9827f6801e06,!1,[[1,[2,"5levelsave"]],[7,[2,"2"]]]]]],[0,null,!1,null,0x6ffee63d61a90,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,7020655668559464,
!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x803c72af9d8df,!1,[[11,"Localstars"],[8,0],[7,[0,3]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xcc6f84a109aae,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"5levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,6722985989722826,!1,[[1,[2,"5levelsave"]],[7,[2,"3"]]]]]],[0,null,!1,null,8215270079014353,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,
null,0,!1,!1,!0,649415691174397,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xdbb06564404c0,!1,[[11,"Localstars"],[8,0],[7,[0,4]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4936928710810593,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"5levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,6530480531054009,!1,[[1,[2,"5levelsave"]],[7,[2,"4"]]]]]],[0,null,!1,null,0xaaa3b089912db,
[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,4986866076773617,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5793512094550283,!1,[[11,"Localstars"],[8,0],[7,[0,5]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x4039460df2c26,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"5levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,6395044065508057,!1,[[1,[2,"5levelsave"]],
[7,[2,"5"]]]]]],[0,null,!1,null,0x433155f05c453,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,5928467561928081,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6046921966377136,!1,[[11,"Localstars"],[8,0],[7,[0,6]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5927601912220196,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"5levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,
null,0xf91ee20a2db37,!1,[[1,[2,"5levelsave"]],[7,[2,"6"]]]]]],[0,null,!1,null,0x48ed73898165a,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0xec068c6ca0473,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9212638345935980,!1,[[11,"Localstars"],[8,0],[7,[0,7]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,49768516685202,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"5levelsave"]]]]]]],
[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,9986845479154604,!1,[[1,[2,"5levelsave"]],[7,[2,"7"]]]]]],[0,null,!1,null,0xa48380b592fc7,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0x8bb649eb9d45d,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xab8f91bee2eb8,!1,[[11,"Localstars"],[8,0],[7,[0,8]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5934338420537089,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,
!0,null,[[2,"5levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,7430002871490654,!1,[[1,[2,"5levelsave"]],[7,[2,"8"]]]]]],[0,null,!1,null,5022265689391525,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,7511802540651761,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xbfa8078d7b54a,!1,[[11,"Localstars"],[8,0],[7,[0,9]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9012979533595894,!1,[[11,"Localstars"],[8,
4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"5levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,7680101809029509,!1,[[1,[2,"5levelsave"]],[7,[2,"9"]]]]]],[0,null,!1,null,8784321392611864,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0xc67b5a2073dd1,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4541281578481927,!1,[[11,"Localstars"],[8,0],[7,[0,10]]]],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,0xbe6d759e5459,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"5levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0x45009ff5ffb52,!1,[[1,[2,"5levelsave"]],[7,[2,"10"]]]]]]]]]],["Lewel6",[[2,"Generalcode",!1],[0,null,!1,null,0xfdfdb5c4acd0f,[[-1,cr.system_object.prototype.cnds.OnLayoutEnd,null,1,!1,!1,!1,0x3c3d0c36410ed,!1]],[[-1,cr.system_object.prototype.acts.SetTimescale,null,7197609203313928,!1,[[0,[1,
1]]]]]],[0,[!0,"Webstorage6"],!1,null,8059462278808349,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,8059462278808349,!1,[[1,[2,"Webstorage6"]]]]],[],[[0,null,!1,null,344,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,345,!1,[[11,"win"],[8,0],[7,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,346,!1,[[11,"currentlevel"],[7,[0,7]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,9086008701588060,!1,[[6,"Lewel7"]]]]],[0,null,!1,null,348,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,349,!1,[[11,"win"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,350,!1,[[11,"chooser"],[8,3],[7,[23,"currentlevel"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,351,!1,[[11,"chooser"],[7,[0,7]]]],[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,352,!1,[[1,[2,"play"]],[7,[23,"chooser"]]]]]]]],[0,[!0,"Setlevelstars6"],!1,null,0x68c37fd5a5a1f,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,0x68c37fd5a5a1f,!1,[[1,[2,
"Setlevelstars6"]]]]],[],[[0,null,!1,null,8681228674549992,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4663435795376083,!1,[[11,"Localstars"],[8,0],[7,[0,0]]]]],[]],[0,null,!1,null,9695190985629874,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0x84532d1859c27,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xa43ead62a07e8,!1,[[11,"Localstars"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5676324341630972,
!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"6levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,7499423908582247,!1,[[1,[2,"6levelsave"]],[7,[2,"1"]]]]]],[0,null,!1,null,0xff1a66837ca31,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,9456307144332184,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x44e5c2eec3a2f,!1,[[11,"Localstars"],[8,0],[7,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,9138337384616682,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"6levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0xd9827f6801e06,!1,[[1,[2,"6levelsave"]],[7,[2,"2"]]]]]],[0,null,!1,null,0x6ffee63d61a90,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,7020655668559464,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x803c72af9d8df,!1,[[11,"Localstars"],[8,0],
[7,[0,3]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xcc6f84a109aae,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"6levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,6722985989722826,!1,[[1,[2,"6levelsave"]],[7,[2,"3"]]]]]],[0,null,!1,null,8215270079014353,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,649415691174397,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,0xdbb06564404c0,!1,[[11,"Localstars"],[8,0],[7,[0,4]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4936928710810593,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"6levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,6530480531054009,!1,[[1,[2,"6levelsave"]],[7,[2,"4"]]]]]],[0,null,!1,null,0xaaa3b089912db,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,4986866076773617,
!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5793512094550283,!1,[[11,"Localstars"],[8,0],[7,[0,5]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x4039460df2c26,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"6levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,6395044065508057,!1,[[1,[2,"6levelsave"]],[7,[2,"5"]]]]]],[0,null,!1,null,0x433155f05c453,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,
null,0,!1,!1,!0,5928467561928081,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6046921966377136,!1,[[11,"Localstars"],[8,0],[7,[0,6]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5927601912220196,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"6levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0xf91ee20a2db37,!1,[[1,[2,"6levelsave"]],[7,[2,"6"]]]]]],[0,null,!1,null,0x48ed73898165a,
[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0xec068c6ca0473,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9212638345935980,!1,[[11,"Localstars"],[8,0],[7,[0,7]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,49768516685202,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"6levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,9986845479154604,!1,[[1,[2,"6levelsave"]],
[7,[2,"7"]]]]]],[0,null,!1,null,0xa48380b592fc7,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0x8bb649eb9d45d,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xab8f91bee2eb8,!1,[[11,"Localstars"],[8,0],[7,[0,8]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5934338420537089,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"6levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,
null,7430002871490654,!1,[[1,[2,"6levelsave"]],[7,[2,"8"]]]]]],[0,null,!1,null,5022265689391525,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,7511802540651761,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xbfa8078d7b54a,!1,[[11,"Localstars"],[8,0],[7,[0,9]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9012979533595894,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"6levelsave"]]]]]]],
[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,7680101809029509,!1,[[1,[2,"6levelsave"]],[7,[2,"9"]]]]]],[0,null,!1,null,8784321392611864,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0xc67b5a2073dd1,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4541281578481927,!1,[[11,"Localstars"],[8,0],[7,[0,10]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xbe6d759e5459,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,
!0,null,[[2,"6levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0x45009ff5ffb52,!1,[[1,[2,"6levelsave"]],[7,[2,"10"]]]]]]]]]],["Lewel7",[[2,"Generalcode",!1],[0,null,!1,null,0xbd8bb9181337d,[[-1,cr.system_object.prototype.cnds.OnLayoutEnd,null,1,!1,!1,!1,5806990008472737,!1]],[[-1,cr.system_object.prototype.acts.SetTimescale,null,6801684887910874,!1,[[0,[1,1]]]]]],[0,[!0,"Webstorage7"],!1,null,0x477ce43b1df39,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,
!1,0x477ce43b1df39,!1,[[1,[2,"Webstorage7"]]]]],[],[[0,null,!1,null,344,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,345,!1,[[11,"win"],[8,0],[7,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,346,!1,[[11,"currentlevel"],[7,[0,8]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,481016573803885,!1,[[6,"Lewel8"]]]]],[0,null,!1,null,348,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,349,!1,[[11,"win"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,350,!1,[[11,"chooser"],[8,3],[7,[23,"currentlevel"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,351,!1,[[11,"chooser"],[7,[0,8]]]],[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,352,!1,[[1,[2,"play"]],[7,[23,"chooser"]]]]]]]],[0,[!0,"Setlevelstars7"],!1,null,4534080941007046,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,4534080941007046,!1,[[1,[2,"Setlevelstars7"]]]]],[],[[0,null,!1,null,8681228674549992,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,4663435795376083,!1,[[11,"Localstars"],[8,0],[7,[0,0]]]]],[]],[0,null,!1,null,9695190985629874,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0x84532d1859c27,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xa43ead62a07e8,!1,[[11,"Localstars"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5676324341630972,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,
"7levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,7499423908582247,!1,[[1,[2,"7levelsave"]],[7,[2,"1"]]]]]],[0,null,!1,null,0xff1a66837ca31,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,9456307144332184,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x44e5c2eec3a2f,!1,[[11,"Localstars"],[8,0],[7,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9138337384616682,!1,[[11,"Localstars"],[8,4],[7,[20,0,
cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"7levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0xd9827f6801e06,!1,[[1,[2,"7levelsave"]],[7,[2,"2"]]]]]],[0,null,!1,null,0x6ffee63d61a90,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,7020655668559464,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x803c72af9d8df,!1,[[11,"Localstars"],[8,0],[7,[0,3]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,
!1,!1,0xcc6f84a109aae,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"7levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,6722985989722826,!1,[[1,[2,"7levelsave"]],[7,[2,"3"]]]]]],[0,null,!1,null,8215270079014353,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,649415691174397,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xdbb06564404c0,!1,[[11,"Localstars"],[8,0],[7,[0,4]]]],
[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4936928710810593,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"7levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,6530480531054009,!1,[[1,[2,"7levelsave"]],[7,[2,"4"]]]]]],[0,null,!1,null,0xaaa3b089912db,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,4986866076773617,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,
!1,5793512094550283,!1,[[11,"Localstars"],[8,0],[7,[0,5]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x4039460df2c26,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"7levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,6395044065508057,!1,[[1,[2,"7levelsave"]],[7,[2,"5"]]]]]],[0,null,!1,null,0x433155f05c453,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,5928467561928081,!1,[[4,45]]],
[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6046921966377136,!1,[[11,"Localstars"],[8,0],[7,[0,6]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5927601912220196,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"7levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0xf91ee20a2db37,!1,[[1,[2,"7levelsave"]],[7,[2,"6"]]]]]],[0,null,!1,null,0x48ed73898165a,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,
null,0,!1,!1,!0,0xec068c6ca0473,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9212638345935980,!1,[[11,"Localstars"],[8,0],[7,[0,7]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,49768516685202,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"7levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,9986845479154604,!1,[[1,[2,"7levelsave"]],[7,[2,"7"]]]]]],[0,null,!1,null,0xa48380b592fc7,
[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0x8bb649eb9d45d,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xab8f91bee2eb8,!1,[[11,"Localstars"],[8,0],[7,[0,8]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5934338420537089,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"7levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,7430002871490654,!1,[[1,[2,"7levelsave"]],
[7,[2,"8"]]]]]],[0,null,!1,null,5022265689391525,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,7511802540651761,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xbfa8078d7b54a,!1,[[11,"Localstars"],[8,0],[7,[0,9]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9012979533595894,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"7levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,
null,7680101809029509,!1,[[1,[2,"7levelsave"]],[7,[2,"9"]]]]]],[0,null,!1,null,8784321392611864,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0xc67b5a2073dd1,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4541281578481927,!1,[[11,"Localstars"],[8,0],[7,[0,10]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xbe6d759e5459,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"7levelsave"]]]]]]],
[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0x45009ff5ffb52,!1,[[1,[2,"7levelsave"]],[7,[2,"10"]]]]]]]]]],["Lewel8",[[2,"Generalcode",!1],[0,null,!1,null,8064939800628074,[[-1,cr.system_object.prototype.cnds.OnLayoutEnd,null,1,!1,!1,!1,0xe307f649c4988,!1]],[[-1,cr.system_object.prototype.acts.SetTimescale,null,7453800456721416,!1,[[0,[1,1]]]]]],[0,[!0,"Webstorage8"],!1,null,0x8894b4d2f2b24,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,0x8894b4d2f2b24,!1,[[1,[2,"Webstorage8"]]]]],
[],[[0,null,!1,null,344,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,345,!1,[[11,"win"],[8,0],[7,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,346,!1,[[11,"currentlevel"],[7,[0,9]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,0xd9f27e8821daa,!1,[[6,"Lewel9"]]]]],[0,null,!1,null,348,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,349,!1,[[11,"win"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,350,!1,[[11,"chooser"],
[8,3],[7,[23,"currentlevel"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,351,!1,[[11,"chooser"],[7,[0,9]]]],[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,352,!1,[[1,[2,"play"]],[7,[23,"chooser"]]]]]]]],[0,[!0,"Setlevelstars8"],!1,null,5167418439441716,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,5167418439441716,!1,[[1,[2,"Setlevelstars8"]]]]],[],[[0,null,!1,null,8681228674549992,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4663435795376083,
!1,[[11,"Localstars"],[8,0],[7,[0,0]]]]],[]],[0,null,!1,null,9695190985629874,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0x84532d1859c27,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xa43ead62a07e8,!1,[[11,"Localstars"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5676324341630972,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"8levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,
null,7499423908582247,!1,[[1,[2,"8levelsave"]],[7,[2,"1"]]]]]],[0,null,!1,null,0xff1a66837ca31,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,9456307144332184,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x44e5c2eec3a2f,!1,[[11,"Localstars"],[8,0],[7,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9138337384616682,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"8levelsave"]]]]]]],
[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0xd9827f6801e06,!1,[[1,[2,"8levelsave"]],[7,[2,"2"]]]]]],[0,null,!1,null,0x6ffee63d61a90,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,7020655668559464,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x803c72af9d8df,!1,[[11,"Localstars"],[8,0],[7,[0,3]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xcc6f84a109aae,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,
!0,null,[[2,"8levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,6722985989722826,!1,[[1,[2,"8levelsave"]],[7,[2,"3"]]]]]],[0,null,!1,null,8215270079014353,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,649415691174397,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xdbb06564404c0,!1,[[11,"Localstars"],[8,0],[7,[0,4]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4936928710810593,!1,[[11,"Localstars"],[8,
4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"8levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,6530480531054009,!1,[[1,[2,"8levelsave"]],[7,[2,"4"]]]]]],[0,null,!1,null,0xaaa3b089912db,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,4986866076773617,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5793512094550283,!1,[[11,"Localstars"],[8,0],[7,[0,5]]]],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,0x4039460df2c26,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"8levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,6395044065508057,!1,[[1,[2,"8levelsave"]],[7,[2,"5"]]]]]],[0,null,!1,null,0x433155f05c453,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,5928467561928081,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6046921966377136,!1,[[11,"Localstars"],[8,0],
[7,[0,6]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5927601912220196,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"8levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0xf91ee20a2db37,!1,[[1,[2,"8levelsave"]],[7,[2,"6"]]]]]],[0,null,!1,null,0x48ed73898165a,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0xec068c6ca0473,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,
0,!1,!1,!1,9212638345935980,!1,[[11,"Localstars"],[8,0],[7,[0,7]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,49768516685202,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"8levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,9986845479154604,!1,[[1,[2,"8levelsave"]],[7,[2,"7"]]]]]],[0,null,!1,null,0xa48380b592fc7,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0x8bb649eb9d45d,!1,[[4,
45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xab8f91bee2eb8,!1,[[11,"Localstars"],[8,0],[7,[0,8]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5934338420537089,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"8levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,7430002871490654,!1,[[1,[2,"8levelsave"]],[7,[2,"8"]]]]]],[0,null,!1,null,5022265689391525,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,
null,0,!1,!1,!0,7511802540651761,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xbfa8078d7b54a,!1,[[11,"Localstars"],[8,0],[7,[0,9]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9012979533595894,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"8levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,7680101809029509,!1,[[1,[2,"8levelsave"]],[7,[2,"9"]]]]]],[0,null,!1,null,8784321392611864,
[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0xc67b5a2073dd1,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4541281578481927,!1,[[11,"Localstars"],[8,0],[7,[0,10]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xbe6d759e5459,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"8levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0x45009ff5ffb52,!1,[[1,[2,"8levelsave"]],
[7,[2,"10"]]]]]]]]]],["Lewel9",[[2,"Generalcode",!1],[0,null,!1,null,0xe9512d2eee199,[[-1,cr.system_object.prototype.cnds.OnLayoutEnd,null,1,!1,!1,!1,0xc0edcc3f8d5fe,!1]],[[-1,cr.system_object.prototype.acts.SetTimescale,null,5952007901404139,!1,[[0,[1,1]]]]]],[0,[!0,"Webstorage9"],!1,null,9757611238602548,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,9757611238602548,!1,[[1,[2,"Webstorage9"]]]]],[],[[0,null,!1,null,344,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,
!1,!1,345,!1,[[11,"win"],[8,0],[7,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,346,!1,[[11,"currentlevel"],[7,[0,10]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,6079596092460066,!1,[[6,"Lewel10"]]]]],[0,null,!1,null,348,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,349,!1,[[11,"win"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,350,!1,[[11,"chooser"],[8,3],[7,[23,"currentlevel"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,
null,351,!1,[[11,"chooser"],[7,[0,10]]]],[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,352,!1,[[1,[2,"play"]],[7,[23,"chooser"]]]]]]]],[0,[!0,"Setlevelstars9"],!1,null,7481027247225172,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,7481027247225172,!1,[[1,[2,"Setlevelstars9"]]]]],[],[[0,null,!1,null,8681228674549992,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4663435795376083,!1,[[11,"Localstars"],[8,0],[7,[0,0]]]]],[]],[0,null,!1,null,9695190985629874,
[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0x84532d1859c27,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xa43ead62a07e8,!1,[[11,"Localstars"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5676324341630972,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"9levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,7499423908582247,!1,[[1,[2,"9levelsave"]],
[7,[2,"1"]]]]]],[0,null,!1,null,0xff1a66837ca31,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,9456307144332184,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x44e5c2eec3a2f,!1,[[11,"Localstars"],[8,0],[7,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9138337384616682,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"9levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,
null,0xd9827f6801e06,!1,[[1,[2,"9levelsave"]],[7,[2,"2"]]]]]],[0,null,!1,null,0x6ffee63d61a90,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,7020655668559464,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x803c72af9d8df,!1,[[11,"Localstars"],[8,0],[7,[0,3]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xcc6f84a109aae,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"9levelsave"]]]]]]],
[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,6722985989722826,!1,[[1,[2,"9levelsave"]],[7,[2,"3"]]]]]],[0,null,!1,null,8215270079014353,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,649415691174397,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xdbb06564404c0,!1,[[11,"Localstars"],[8,0],[7,[0,4]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4936928710810593,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,
!0,null,[[2,"9levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,6530480531054009,!1,[[1,[2,"9levelsave"]],[7,[2,"4"]]]]]],[0,null,!1,null,0xaaa3b089912db,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,4986866076773617,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5793512094550283,!1,[[11,"Localstars"],[8,0],[7,[0,5]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x4039460df2c26,!1,[[11,"Localstars"],[8,
4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"9levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,6395044065508057,!1,[[1,[2,"9levelsave"]],[7,[2,"5"]]]]]],[0,null,!1,null,0x433155f05c453,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,5928467561928081,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6046921966377136,!1,[[11,"Localstars"],[8,0],[7,[0,6]]]],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,5927601912220196,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"9levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0xf91ee20a2db37,!1,[[1,[2,"9levelsave"]],[7,[2,"6"]]]]]],[0,null,!1,null,0x48ed73898165a,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0xec068c6ca0473,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9212638345935980,!1,[[11,"Localstars"],[8,0],
[7,[0,7]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,49768516685202,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"9levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,9986845479154604,!1,[[1,[2,"9levelsave"]],[7,[2,"7"]]]]]],[0,null,!1,null,0xa48380b592fc7,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0x8bb649eb9d45d,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,
0,!1,!1,!1,0xab8f91bee2eb8,!1,[[11,"Localstars"],[8,0],[7,[0,8]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5934338420537089,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"9levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,7430002871490654,!1,[[1,[2,"9levelsave"]],[7,[2,"8"]]]]]],[0,null,!1,null,5022265689391525,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,7511802540651761,!1,
[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xbfa8078d7b54a,!1,[[11,"Localstars"],[8,0],[7,[0,9]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9012979533595894,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"9levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,7680101809029509,!1,[[1,[2,"9levelsave"]],[7,[2,"9"]]]]]],[0,null,!1,null,8784321392611864,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,
null,0,!1,!1,!0,0xc67b5a2073dd1,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4541281578481927,!1,[[11,"Localstars"],[8,0],[7,[0,10]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xbe6d759e5459,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"9levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0x45009ff5ffb52,!1,[[1,[2,"9levelsave"]],[7,[2,"10"]]]]]]]]]],["Lewel10",[[2,"Generalcode",
!1],[0,null,!1,null,0xaedb8591bb289,[[-1,cr.system_object.prototype.cnds.OnLayoutEnd,null,1,!1,!1,!1,0x98662c30626bf,!1]],[[-1,cr.system_object.prototype.acts.SetTimescale,null,0x5d4c51377aaa2,!1,[[0,[1,1]]]]]],[0,[!0,"Webstorage10"],!1,null,9929818656648412,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,9929818656648412,!1,[[1,[2,"Webstorage10"]]]]],[],[[0,null,!1,null,344,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,345,!1,[[11,"win"],[8,0],[7,[0,1]]]]],[[-1,
cr.system_object.prototype.acts.SetVar,null,346,!1,[[11,"currentlevel"],[7,[0,11]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,6341349257506624,!1,[[6,"Lewel11"]]]]],[0,null,!1,null,348,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,349,!1,[[11,"win"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,350,!1,[[11,"chooser"],[8,3],[7,[23,"currentlevel"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,351,!1,[[11,"chooser"],[7,[0,11]]]],
[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,352,!1,[[1,[2,"play"]],[7,[23,"chooser"]]]]]]]],[0,[!0,"Setlevelstars10"],!1,null,905842768097037,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,905842768097037,!1,[[1,[2,"Setlevelstars10"]]]]],[],[[0,null,!1,null,8681228674549992,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4663435795376083,!1,[[11,"Localstars"],[8,0],[7,[0,0]]]]],[]],[0,null,!1,null,9695190985629874,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,
null,0,!1,!1,!0,0x84532d1859c27,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xa43ead62a07e8,!1,[[11,"Localstars"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5676324341630972,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"10levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,7499423908582247,!1,[[1,[2,"10levelsave"]],[7,[2,"1"]]]]]],[0,null,!1,null,0xff1a66837ca31,
[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,9456307144332184,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x44e5c2eec3a2f,!1,[[11,"Localstars"],[8,0],[7,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9138337384616682,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"10levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0xd9827f6801e06,!1,[[1,[2,"10levelsave"]],
[7,[2,"2"]]]]]],[0,null,!1,null,0x6ffee63d61a90,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,7020655668559464,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x803c72af9d8df,!1,[[11,"Localstars"],[8,0],[7,[0,3]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xcc6f84a109aae,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"10levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,
null,6722985989722826,!1,[[1,[2,"10levelsave"]],[7,[2,"3"]]]]]],[0,null,!1,null,8215270079014353,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,649415691174397,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xdbb06564404c0,!1,[[11,"Localstars"],[8,0],[7,[0,4]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4936928710810593,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"10levelsave"]]]]]]],
[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,6530480531054009,!1,[[1,[2,"10levelsave"]],[7,[2,"4"]]]]]],[0,null,!1,null,0xaaa3b089912db,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,4986866076773617,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5793512094550283,!1,[[11,"Localstars"],[8,0],[7,[0,5]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x4039460df2c26,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,
!0,null,[[2,"10levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,6395044065508057,!1,[[1,[2,"10levelsave"]],[7,[2,"5"]]]]]],[0,null,!1,null,0x433155f05c453,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,5928467561928081,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6046921966377136,!1,[[11,"Localstars"],[8,0],[7,[0,6]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5927601912220196,!1,[[11,"Localstars"],
[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"10levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0xf91ee20a2db37,!1,[[1,[2,"10levelsave"]],[7,[2,"6"]]]]]],[0,null,!1,null,0x48ed73898165a,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0xec068c6ca0473,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9212638345935980,!1,[[11,"Localstars"],[8,0],[7,[0,7]]]],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,49768516685202,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"10levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,9986845479154604,!1,[[1,[2,"10levelsave"]],[7,[2,"7"]]]]]],[0,null,!1,null,0xa48380b592fc7,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0x8bb649eb9d45d,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xab8f91bee2eb8,!1,[[11,"Localstars"],[8,0],
[7,[0,8]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5934338420537089,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"10levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,7430002871490654,!1,[[1,[2,"10levelsave"]],[7,[2,"8"]]]]]],[0,null,!1,null,5022265689391525,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,7511802540651761,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,0xbfa8078d7b54a,!1,[[11,"Localstars"],[8,0],[7,[0,9]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9012979533595894,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"10levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,7680101809029509,!1,[[1,[2,"10levelsave"]],[7,[2,"9"]]]]]],[0,null,!1,null,8784321392611864,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0xc67b5a2073dd1,
!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4541281578481927,!1,[[11,"Localstars"],[8,0],[7,[0,10]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xbe6d759e5459,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"10levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0x45009ff5ffb52,!1,[[1,[2,"10levelsave"]],[7,[2,"10"]]]]]]]]]],["Lewel11",[[2,"Generalcode",!1],[0,null,!1,null,
5718840703890431,[[-1,cr.system_object.prototype.cnds.OnLayoutEnd,null,1,!1,!1,!1,4932719013250089,!1]],[[-1,cr.system_object.prototype.acts.SetTimescale,null,658293166341929,!1,[[0,[1,1]]]]]],[0,[!0,"Webstorage11"],!1,null,5610531747732022,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,5610531747732022,!1,[[1,[2,"Webstorage11"]]]]],[],[[0,null,!1,null,344,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,345,!1,[[11,"win"],[8,0],[7,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SetVar,
null,346,!1,[[11,"currentlevel"],[7,[0,12]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,4510520375898922,!1,[[6,"Lewel12"]]]]],[0,null,!1,null,348,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,349,!1,[[11,"win"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,350,!1,[[11,"chooser"],[8,3],[7,[23,"currentlevel"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,351,!1,[[11,"chooser"],[7,[0,12]]]],[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,
null,352,!1,[[1,[2,"play"]],[7,[23,"chooser"]]]]]]]],[0,[!0,"Setlevelstars11"],!1,null,6509730777849609,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,6509730777849609,!1,[[1,[2,"Setlevelstars11"]]]]],[],[[0,null,!1,null,8681228674549992,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4663435795376083,!1,[[11,"Localstars"],[8,0],[7,[0,0]]]]],[]],[0,null,!1,null,9695190985629874,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0x84532d1859c27,!1,
[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xa43ead62a07e8,!1,[[11,"Localstars"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5676324341630972,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"11levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,7499423908582247,!1,[[1,[2,"11levelsave"]],[7,[2,"1"]]]]]],[0,null,!1,null,0xff1a66837ca31,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,
null,0,!1,!1,!0,9456307144332184,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x44e5c2eec3a2f,!1,[[11,"Localstars"],[8,0],[7,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9138337384616682,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"11levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0xd9827f6801e06,!1,[[1,[2,"11levelsave"]],[7,[2,"2"]]]]]],[0,null,!1,null,0x6ffee63d61a90,
[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,7020655668559464,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x803c72af9d8df,!1,[[11,"Localstars"],[8,0],[7,[0,3]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xcc6f84a109aae,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"11levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,6722985989722826,!1,[[1,[2,"11levelsave"]],
[7,[2,"3"]]]]]],[0,null,!1,null,8215270079014353,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,649415691174397,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xdbb06564404c0,!1,[[11,"Localstars"],[8,0],[7,[0,4]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4936928710810593,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"11levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,
null,6530480531054009,!1,[[1,[2,"11levelsave"]],[7,[2,"4"]]]]]],[0,null,!1,null,0xaaa3b089912db,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,4986866076773617,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5793512094550283,!1,[[11,"Localstars"],[8,0],[7,[0,5]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x4039460df2c26,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"11levelsave"]]]]]]],
[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,6395044065508057,!1,[[1,[2,"11levelsave"]],[7,[2,"5"]]]]]],[0,null,!1,null,0x433155f05c453,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,5928467561928081,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6046921966377136,!1,[[11,"Localstars"],[8,0],[7,[0,6]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5927601912220196,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,
!0,null,[[2,"11levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0xf91ee20a2db37,!1,[[1,[2,"11levelsave"]],[7,[2,"6"]]]]]],[0,null,!1,null,0x48ed73898165a,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0xec068c6ca0473,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9212638345935980,!1,[[11,"Localstars"],[8,0],[7,[0,7]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,49768516685202,!1,[[11,"Localstars"],[8,4],
[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"11levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,9986845479154604,!1,[[1,[2,"11levelsave"]],[7,[2,"7"]]]]]],[0,null,!1,null,0xa48380b592fc7,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0x8bb649eb9d45d,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xab8f91bee2eb8,!1,[[11,"Localstars"],[8,0],[7,[0,8]]]],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,5934338420537089,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"11levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,7430002871490654,!1,[[1,[2,"11levelsave"]],[7,[2,"8"]]]]]],[0,null,!1,null,5022265689391525,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,7511802540651761,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xbfa8078d7b54a,!1,[[11,"Localstars"],[8,
0],[7,[0,9]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9012979533595894,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"11levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,7680101809029509,!1,[[1,[2,"11levelsave"]],[7,[2,"9"]]]]]],[0,null,!1,null,8784321392611864,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0xc67b5a2073dd1,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,4541281578481927,!1,[[11,"Localstars"],[8,0],[7,[0,10]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xbe6d759e5459,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"11levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0x45009ff5ffb52,!1,[[1,[2,"11levelsave"]],[7,[2,"10"]]]]]]]],[0,[!0,"Lazzzzer2"],!1,null,0x9730d71bb382f,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,
0x9730d71bb382f,!1,[[1,[2,"Lazzzzer2"]]]]],[],[[0,null,!1,null,0xa6d7d569e5967,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x8a8c069a98f71,!1,[[4,86]]]],[[86,cr.plugins_.Sprite.prototype.acts.SetAngle,null,0xd0cefda926313,!1,[[0,[4,[20,86,cr.plugins_.Sprite.prototype.exps.Angle,!1,null],[0,15]]]]]]],[0,null,!1,null,8965296988750026,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,7454435894755995,!1,[[4,93]]]],[[93,cr.plugins_.Sprite.prototype.acts.SetAngle,
null,6571941090357095,!1,[[0,[4,[20,93,cr.plugins_.Sprite.prototype.exps.Angle,!1,null],[0,15]]]]]]],[0,null,!1,null,0x5594c34354b13,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,6083164635322425,!1,[[4,94]]]],[[94,cr.plugins_.Sprite.prototype.acts.SetAngle,null,0x4ce778b0840df,!1,[[0,[4,[20,94,cr.plugins_.Sprite.prototype.exps.Angle,!1,null],[0,15]]]]]]],[0,null,!1,null,0x4bf7d7c9c0fe4,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,8083638857477658,!1,[[4,
168]]]],[[168,cr.plugins_.Sprite.prototype.acts.SetAngle,null,718335206040012,!1,[[0,[4,[20,168,cr.plugins_.Sprite.prototype.exps.Angle,!1,null],[0,15]]]]]]],[0,null,!1,null,9904471309865902,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,6314642092052472,!1,[[4,169]]]],[[169,cr.plugins_.Sprite.prototype.acts.SetAngle,null,0x4fc62d14bdabe,!1,[[0,[4,[20,169,cr.plugins_.Sprite.prototype.exps.Angle,!1,null],[0,15]]]]]]],[0,null,!1,null,7431692765172851,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,
null,1,!1,!1,!1,8285529278056576,!1,[[4,170]]]],[[170,cr.plugins_.Sprite.prototype.acts.SetAngle,null,0x8611839eb3db4,!1,[[0,[4,[20,170,cr.plugins_.Sprite.prototype.exps.Angle,!1,null],[0,15]]]]]]],[0,null,!1,null,509496495456147,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0xf96e015a22671,!1,[[4,171]]]],[[171,cr.plugins_.Sprite.prototype.acts.SetAngle,null,7112681096408116,!1,[[0,[4,[20,171,cr.plugins_.Sprite.prototype.exps.Angle,!1,null],[0,15]]]]]]],[0,null,!1,null,7264504891766275,
[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,9560308362527556,!1,[[4,172]]]],[[172,cr.plugins_.Sprite.prototype.acts.SetAngle,null,5310458087051841,!1,[[0,[4,[20,172,cr.plugins_.Sprite.prototype.exps.Angle,!1,null],[0,15]]]]]]],[0,[!0,"Laser9"],!1,null,5004211670429572,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,5004211670429572,!1,[[1,[2,"Laser9"]]]]],[],[[0,[!0,"laserfinish2"],!1,null,6028163539361862,[[-1,cr.system_object.prototype.cnds.IsGroupActive,
null,0,!1,!1,!1,6028163539361862,!1,[[1,[2,"laserfinish2"]]]]],[],[[0,null,!1,null,8776133826202773,[[87,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,6969250938461531,!1,[[4,95]]]],[[89,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7472353589043607,!1,[[1,[2,"Open"]],[3,1]]]]]]],[0,null,!0,null,0xf180ac092a7df,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,424563435559644,!1,[[0,[1,1]]]],[1,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,0x442a504c6224b,
!1,[[4,86]]],[1,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,8784202084042867,!1,[[4,93]]],[1,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,7841058787611559,!1,[[4,94]]],[1,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,6519805178468025,!1,[[4,168]]]],[[92,cr.plugins_.Sprite.prototype.acts.SetSize,null,6146427124463585,!1,[[0,[0,1]],[0,[0,3]]]],[91,cr.plugins_.Sprite.prototype.acts.SetSize,null,6595363565539859,!1,[[0,[0,1]],[0,[0,3]]]],
[87,cr.plugins_.Sprite.prototype.acts.SetSize,null,0xa174c06304f55,!1,[[0,[0,1]],[0,[0,3]]]],[88,cr.plugins_.Sprite.prototype.acts.SetSize,null,8263963069842233,!1,[[0,[0,1]],[0,[0,3]]]],[92,cr.plugins_.Sprite.prototype.acts.SetPosToObject,null,6282740208316904,!1,[[4,90],[7,[0,0]]]],[92,cr.plugins_.Sprite.prototype.acts.SetAngle,null,4815789840681927,!1,[[0,[20,90,cr.plugins_.Sprite.prototype.exps.Angle,!1,null]]]]]],[0,null,!1,null,8561956363127302,[[-1,cr.system_object.prototype.cnds.Repeat,null,
0,!0,!1,!1,0xc2f1473571c63,!1,[[0,[0,15]]]],[92,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!0,!1,0x4b2e8f76a73ed,!1,[[4,86]]],[115,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,6844695467420171,!1,[[1,[2,"Buttpress"]]]]],[[92,cr.plugins_.Sprite.prototype.acts.SetWidth,null,6016597086280364,!1,[[0,[4,[20,92,cr.plugins_.Sprite.prototype.exps.Width,!1,null],[0,90]]]]]]],[0,null,!1,null,8014502709939545,[[184,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,
!0,0x5fb1cc68b6834,!1,[[4,115]]]],[[115,cr.plugins_.Sprite.prototype.acts.SetAnim,null,4886841154985183,!1,[[1,[2,"Buttpress"]],[3,1]]]]]]],[0,[!0,"Laser9"],!1,null,4946684251060743,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,4946684251060743,!1,[[1,[2,"Laser9"]]]]],[],[[0,null,!1,null,9240398875433766,[[-1,cr.system_object.prototype.cnds.Repeat,null,0,!0,!1,!1,285503122212654,!1,[[0,[0,3]]]],[91,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!0,!1,0xbea879b097685,
!1,[[4,93]]]],[[91,cr.plugins_.Sprite.prototype.acts.SetWidth,null,6644493854698456,!1,[[0,[4,[20,91,cr.plugins_.Sprite.prototype.exps.Width,!1,null],[0,240]]]]]]],[0,null,!1,null,5801871657151971,[[92,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,6111277299734148,!1,[[4,86]]]],[[91,cr.plugins_.Sprite.prototype.acts.SetPosToObject,null,0xf0a9b22f0ad27,!1,[[4,86],[7,[0,0]]]],[91,cr.plugins_.Sprite.prototype.acts.SetAngle,null,510146554391733,!1,[[0,[5,[20,86,cr.plugins_.Sprite.prototype.exps.Angle,
!1,null],[5,[20,92,cr.plugins_.Sprite.prototype.exps.Angle,!1,null],[20,86,cr.plugins_.Sprite.prototype.exps.Angle,!1,null]]]]]]]],[0,null,!1,null,4897138187567394,[[-1,cr.system_object.prototype.cnds.Else,null,0,!1,!1,!1,9848890832433568,!1]],[[91,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xb8764144984aa,!1,[[0,[0,-1E3]],[0,[0,-1E3]]]],[91,cr.plugins_.Sprite.prototype.acts.SetWidth,null,0x5e67e88684d43,!1,[[0,[0,3]]]]]]]],[0,[!0,"Laser9"],!1,null,0x5bf0921f9ec6b,[[-1,cr.system_object.prototype.cnds.IsGroupActive,
null,0,!1,!1,!1,0x5bf0921f9ec6b,!1,[[1,[2,"Laser9"]]]]],[],[[0,null,!1,null,9240398875433766,[[-1,cr.system_object.prototype.cnds.Repeat,null,0,!0,!1,!1,285503122212654,!1,[[0,[0,3]]]],[87,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!0,!1,0xbea879b097685,!1,[[4,95]]]],[[87,cr.plugins_.Sprite.prototype.acts.SetWidth,null,6644493854698456,!1,[[0,[4,[20,87,cr.plugins_.Sprite.prototype.exps.Width,!1,null],[0,240]]]]]]],[0,null,!1,null,5801871657151971,[[91,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
null,0,!1,!1,!1,6111277299734148,!1,[[4,93]]]],[[87,cr.plugins_.Sprite.prototype.acts.SetPosToObject,null,0xf0a9b22f0ad27,!1,[[4,93],[7,[0,0]]]],[87,cr.plugins_.Sprite.prototype.acts.SetAngle,null,510146554391733,!1,[[0,[5,[20,93,cr.plugins_.Sprite.prototype.exps.Angle,!1,null],[5,[20,91,cr.plugins_.Sprite.prototype.exps.Angle,!1,null],[20,93,cr.plugins_.Sprite.prototype.exps.Angle,!1,null]]]]]]]],[0,null,!1,null,4897138187567394,[[-1,cr.system_object.prototype.cnds.Else,null,0,!1,!1,!1,9848890832433568,
!1]],[[87,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xb8764144984aa,!1,[[0,[0,-1E3]],[0,[0,-1E3]]]],[87,cr.plugins_.Sprite.prototype.acts.SetWidth,null,0x5e67e88684d43,!1,[[0,[0,3]]]]]]]],[0,[!0,"Laser9"],!1,null,0x8d6850475782b,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,0x8d6850475782b,!1,[[1,[2,"Laser9"]]]]],[],[[0,null,!1,null,9240398875433766,[[-1,cr.system_object.prototype.cnds.Repeat,null,0,!0,!1,!1,285503122212654,!1,[[0,[0,6]]]],[88,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
null,0,!1,!0,!1,7378494092535569,!1,[[4,95]]]],[[88,cr.plugins_.Sprite.prototype.acts.SetWidth,null,6644493854698456,!1,[[0,[4,[20,88,cr.plugins_.Sprite.prototype.exps.Width,!1,null],[0,200]]]]]]],[0,null,!1,null,5801871657151971,[[87,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,6111277299734148,!1,[[4,94]]]],[[88,cr.plugins_.Sprite.prototype.acts.SetPosToObject,null,0xf0a9b22f0ad27,!1,[[4,94],[7,[0,0]]]],[88,cr.plugins_.Sprite.prototype.acts.SetAngle,null,510146554391733,!1,[[0,
[5,[20,94,cr.plugins_.Sprite.prototype.exps.Angle,!1,null],[5,[20,87,cr.plugins_.Sprite.prototype.exps.Angle,!1,null],[20,94,cr.plugins_.Sprite.prototype.exps.Angle,!1,null]]]]]]]],[0,null,!1,null,4897138187567394,[[-1,cr.system_object.prototype.cnds.Else,null,0,!1,!1,!1,9848890832433568,!1]],[[88,cr.plugins_.Sprite.prototype.acts.SetPos,null,0xb8764144984aa,!1,[[0,[0,-1E3]],[0,[0,-1E3]]]],[88,cr.plugins_.Sprite.prototype.acts.SetWidth,null,0x5e67e88684d43,!1,[[0,[0,3]]]]]]]]]]]],["Lewel12",[[2,"Generalcode",
!1],[0,null,!1,null,0x876117fbd35f2,[[-1,cr.system_object.prototype.cnds.OnLayoutEnd,null,1,!1,!1,!1,0x736807f670db9,!1]],[[-1,cr.system_object.prototype.acts.SetTimescale,null,0xb3a61347e83a2,!1,[[0,[1,1]]]]]],[0,[!0,"Webstorage12"],!1,null,6538946940822644,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,6538946940822644,!1,[[1,[2,"Webstorage12"]]]]],[],[[0,null,!1,null,344,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,345,!1,[[11,"win"],[8,0],[7,[0,1]]]]],[[-1,
cr.system_object.prototype.acts.SetVar,null,346,!1,[[11,"currentlevel"],[7,[0,13]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,6079596092460066,!1,[[6,"Lewel13"]]]]],[0,null,!1,null,348,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,349,!1,[[11,"win"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,350,!1,[[11,"chooser"],[8,3],[7,[23,"currentlevel"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,351,!1,[[11,"chooser"],[7,[0,13]]]],
[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,352,!1,[[1,[2,"play"]],[7,[23,"chooser"]]]]]]]],[0,[!0,"Setlevelstars12"],!1,null,0x52b87beb2342f,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,0x52b87beb2342f,!1,[[1,[2,"Setlevelstars12"]]]]],[],[[0,null,!1,null,8681228674549992,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4663435795376083,!1,[[11,"Localstars"],[8,0],[7,[0,0]]]]],[]],[0,null,!1,null,9695190985629874,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,
null,0,!1,!1,!0,0x84532d1859c27,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xa43ead62a07e8,!1,[[11,"Localstars"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5676324341630972,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"12levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,7499423908582247,!1,[[1,[2,"12levelsave"]],[7,[2,"1"]]]]]],[0,null,!1,null,0xff1a66837ca31,
[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,9456307144332184,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x44e5c2eec3a2f,!1,[[11,"Localstars"],[8,0],[7,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9138337384616682,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"12levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0xd9827f6801e06,!1,[[1,[2,"12levelsave"]],
[7,[2,"2"]]]]]],[0,null,!1,null,0x6ffee63d61a90,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,7020655668559464,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x803c72af9d8df,!1,[[11,"Localstars"],[8,0],[7,[0,3]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xcc6f84a109aae,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"12levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,
null,6722985989722826,!1,[[1,[2,"12levelsave"]],[7,[2,"3"]]]]]],[0,null,!1,null,8215270079014353,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,649415691174397,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xdbb06564404c0,!1,[[11,"Localstars"],[8,0],[7,[0,4]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4936928710810593,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"12levelsave"]]]]]]],
[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,6530480531054009,!1,[[1,[2,"12levelsave"]],[7,[2,"4"]]]]]],[0,null,!1,null,0xaaa3b089912db,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,4986866076773617,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5793512094550283,!1,[[11,"Localstars"],[8,0],[7,[0,5]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x4039460df2c26,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,
!0,null,[[2,"12levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,6395044065508057,!1,[[1,[2,"12levelsave"]],[7,[2,"5"]]]]]],[0,null,!1,null,0x433155f05c453,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,5928467561928081,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6046921966377136,!1,[[11,"Localstars"],[8,0],[7,[0,6]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5927601912220196,!1,[[11,"Localstars"],
[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"12levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0xf91ee20a2db37,!1,[[1,[2,"12levelsave"]],[7,[2,"6"]]]]]],[0,null,!1,null,0x48ed73898165a,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0xec068c6ca0473,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9212638345935980,!1,[[11,"Localstars"],[8,0],[7,[0,7]]]],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,49768516685202,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"12levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,9986845479154604,!1,[[1,[2,"12levelsave"]],[7,[2,"7"]]]]]],[0,null,!1,null,0xa48380b592fc7,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0x8bb649eb9d45d,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xab8f91bee2eb8,!1,[[11,"Localstars"],[8,0],
[7,[0,8]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5934338420537089,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"12levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,7430002871490654,!1,[[1,[2,"12levelsave"]],[7,[2,"8"]]]]]],[0,null,!1,null,5022265689391525,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,7511802540651761,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,0xbfa8078d7b54a,!1,[[11,"Localstars"],[8,0],[7,[0,9]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9012979533595894,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"12levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,7680101809029509,!1,[[1,[2,"12levelsave"]],[7,[2,"9"]]]]]],[0,null,!1,null,8784321392611864,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0xc67b5a2073dd1,
!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4541281578481927,!1,[[11,"Localstars"],[8,0],[7,[0,10]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xbe6d759e5459,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"12levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0x45009ff5ffb52,!1,[[1,[2,"12levelsave"]],[7,[2,"10"]]]]]]]],[0,null,!1,null,8799914296905523,[[175,cr.plugins_.Sprite.prototype.cnds.OnCollision,
null,0,!1,!1,!0,0x550e358e3348c,!1,[[4,89]]]],[[89,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x4e0020fbbeb8d,!1,[[1,[2,"Open"]],[3,1]]]]]]],["Lewel13",[[2,"Generalcode",!1],[0,null,!1,null,693416833483527,[[-1,cr.system_object.prototype.cnds.OnLayoutEnd,null,1,!1,!1,!1,7366133055780486,!1]],[[-1,cr.system_object.prototype.acts.SetTimescale,null,0xfa3bceb71cb60,!1,[[0,[1,1]]]]]],[0,[!0,"Webstorage13"],!1,null,0x4dac1a482fde5,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,0x4dac1a482fde5,
!1,[[1,[2,"Webstorage13"]]]]],[],[[0,null,!1,null,344,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,345,!1,[[11,"win"],[8,0],[7,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,346,!1,[[11,"currentlevel"],[7,[0,14]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,6079596092460066,!1,[[6,"Lewel14"]]]]],[0,null,!1,null,348,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,349,!1,[[11,"win"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,350,!1,[[11,"chooser"],[8,3],[7,[23,"currentlevel"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,351,!1,[[11,"chooser"],[7,[0,14]]]],[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,352,!1,[[1,[2,"play"]],[7,[23,"chooser"]]]]]]]],[0,[!0,"Setlevelstars13"],!1,null,668528056405119,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,668528056405119,!1,[[1,[2,"Setlevelstars13"]]]]],[],[[0,null,!1,null,8681228674549992,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,4663435795376083,!1,[[11,"Localstars"],[8,0],[7,[0,0]]]]],[]],[0,null,!1,null,9695190985629874,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0x84532d1859c27,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xa43ead62a07e8,!1,[[11,"Localstars"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5676324341630972,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,
"13levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,7499423908582247,!1,[[1,[2,"13levelsave"]],[7,[2,"1"]]]]]],[0,null,!1,null,0xff1a66837ca31,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,9456307144332184,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x44e5c2eec3a2f,!1,[[11,"Localstars"],[8,0],[7,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9138337384616682,!1,[[11,"Localstars"],[8,4],[7,[20,
0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"13levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0xd9827f6801e06,!1,[[1,[2,"13levelsave"]],[7,[2,"2"]]]]]],[0,null,!1,null,0x6ffee63d61a90,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,7020655668559464,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x803c72af9d8df,!1,[[11,"Localstars"],[8,0],[7,[0,3]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,
!1,!1,!1,0xcc6f84a109aae,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"13levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,6722985989722826,!1,[[1,[2,"13levelsave"]],[7,[2,"3"]]]]]],[0,null,!1,null,8215270079014353,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,649415691174397,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xdbb06564404c0,!1,[[11,"Localstars"],[8,0],[7,[0,
4]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4936928710810593,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"13levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,6530480531054009,!1,[[1,[2,"13levelsave"]],[7,[2,"4"]]]]]],[0,null,!1,null,0xaaa3b089912db,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,4986866076773617,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,
0,!1,!1,!1,5793512094550283,!1,[[11,"Localstars"],[8,0],[7,[0,5]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x4039460df2c26,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"13levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,6395044065508057,!1,[[1,[2,"13levelsave"]],[7,[2,"5"]]]]]],[0,null,!1,null,0x433155f05c453,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,5928467561928081,!1,
[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6046921966377136,!1,[[11,"Localstars"],[8,0],[7,[0,6]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5927601912220196,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"13levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0xf91ee20a2db37,!1,[[1,[2,"13levelsave"]],[7,[2,"6"]]]]]],[0,null,!1,null,0x48ed73898165a,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,
null,0,!1,!1,!0,0xec068c6ca0473,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9212638345935980,!1,[[11,"Localstars"],[8,0],[7,[0,7]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,49768516685202,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"13levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,9986845479154604,!1,[[1,[2,"13levelsave"]],[7,[2,"7"]]]]]],[0,null,!1,null,0xa48380b592fc7,
[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0x8bb649eb9d45d,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xab8f91bee2eb8,!1,[[11,"Localstars"],[8,0],[7,[0,8]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5934338420537089,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"13levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,7430002871490654,!1,[[1,[2,"13levelsave"]],
[7,[2,"8"]]]]]],[0,null,!1,null,5022265689391525,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,7511802540651761,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xbfa8078d7b54a,!1,[[11,"Localstars"],[8,0],[7,[0,9]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9012979533595894,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"13levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,
null,7680101809029509,!1,[[1,[2,"13levelsave"]],[7,[2,"9"]]]]]],[0,null,!1,null,8784321392611864,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0xc67b5a2073dd1,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4541281578481927,!1,[[11,"Localstars"],[8,0],[7,[0,10]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xbe6d759e5459,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"13levelsave"]]]]]]],
[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0x45009ff5ffb52,!1,[[1,[2,"13levelsave"]],[7,[2,"10"]]]]]]]]]],["Lewel14",[[2,"Generalcode",!1],[0,null,!1,null,7984586074505121,[[-1,cr.system_object.prototype.cnds.OnLayoutEnd,null,1,!1,!1,!1,0xb7ec4c710fef2,!1]],[[-1,cr.system_object.prototype.acts.SetTimescale,null,0x9eb32085bdc59,!1,[[0,[1,1]]]]]],[0,[!0,"Webstorage14"],!1,null,0x7519a7126f6c3,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,0x7519a7126f6c3,!1,[[1,[2,
"Webstorage14"]]]]],[],[[0,null,!1,null,344,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,345,!1,[[11,"win"],[8,0],[7,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,346,!1,[[11,"currentlevel"],[7,[0,15]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,6079596092460066,!1,[[6,"Lewel15"]]]]],[0,null,!1,null,348,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,349,!1,[[11,"win"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,
!1,!1,!1,350,!1,[[11,"chooser"],[8,3],[7,[23,"currentlevel"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,351,!1,[[11,"chooser"],[7,[0,15]]]],[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,352,!1,[[1,[2,"play"]],[7,[23,"chooser"]]]]]]]],[0,[!0,"Setlevelstars14"],!1,null,0x57da98fa82c59,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,0x57da98fa82c59,!1,[[1,[2,"Setlevelstars14"]]]]],[],[[0,null,!1,null,8681228674549992,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,4663435795376083,!1,[[11,"Localstars"],[8,0],[7,[0,0]]]]],[]],[0,null,!1,null,9695190985629874,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0x84532d1859c27,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xa43ead62a07e8,!1,[[11,"Localstars"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5676324341630972,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,
"14levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,7499423908582247,!1,[[1,[2,"14levelsave"]],[7,[2,"1"]]]]]],[0,null,!1,null,0xff1a66837ca31,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,9456307144332184,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x44e5c2eec3a2f,!1,[[11,"Localstars"],[8,0],[7,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9138337384616682,!1,[[11,"Localstars"],[8,4],[7,[20,
0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"14levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0xd9827f6801e06,!1,[[1,[2,"14levelsave"]],[7,[2,"2"]]]]]],[0,null,!1,null,0x6ffee63d61a90,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,7020655668559464,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x803c72af9d8df,!1,[[11,"Localstars"],[8,0],[7,[0,3]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,
!1,!1,!1,0xcc6f84a109aae,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"14levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,6722985989722826,!1,[[1,[2,"14levelsave"]],[7,[2,"3"]]]]]],[0,null,!1,null,8215270079014353,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,649415691174397,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xdbb06564404c0,!1,[[11,"Localstars"],[8,0],[7,[0,
4]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4936928710810593,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"14levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,6530480531054009,!1,[[1,[2,"14levelsave"]],[7,[2,"4"]]]]]],[0,null,!1,null,0xaaa3b089912db,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,4986866076773617,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,
0,!1,!1,!1,5793512094550283,!1,[[11,"Localstars"],[8,0],[7,[0,5]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x4039460df2c26,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"14levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,6395044065508057,!1,[[1,[2,"14levelsave"]],[7,[2,"5"]]]]]],[0,null,!1,null,0x433155f05c453,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,5928467561928081,!1,
[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6046921966377136,!1,[[11,"Localstars"],[8,0],[7,[0,6]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5927601912220196,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"14levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0xf91ee20a2db37,!1,[[1,[2,"14levelsave"]],[7,[2,"6"]]]]]],[0,null,!1,null,0x48ed73898165a,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,
null,0,!1,!1,!0,0xec068c6ca0473,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9212638345935980,!1,[[11,"Localstars"],[8,0],[7,[0,7]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,49768516685202,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"14levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,9986845479154604,!1,[[1,[2,"14levelsave"]],[7,[2,"7"]]]]]],[0,null,!1,null,0xa48380b592fc7,
[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0x8bb649eb9d45d,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xab8f91bee2eb8,!1,[[11,"Localstars"],[8,0],[7,[0,8]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5934338420537089,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"14levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,7430002871490654,!1,[[1,[2,"14levelsave"]],
[7,[2,"8"]]]]]],[0,null,!1,null,5022265689391525,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,7511802540651761,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xbfa8078d7b54a,!1,[[11,"Localstars"],[8,0],[7,[0,9]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9012979533595894,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"14levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,
null,7680101809029509,!1,[[1,[2,"14levelsave"]],[7,[2,"9"]]]]]],[0,null,!1,null,8784321392611864,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0xc67b5a2073dd1,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4541281578481927,!1,[[11,"Localstars"],[8,0],[7,[0,10]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xbe6d759e5459,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"14levelsave"]]]]]]],
[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0x45009ff5ffb52,!1,[[1,[2,"14levelsave"]],[7,[2,"10"]]]]]]]]]],["Lewel15",[[2,"Generalcode",!1],[0,null,!1,null,0xb17104d1ed534,[[-1,cr.system_object.prototype.cnds.OnLayoutEnd,null,1,!1,!1,!1,7961594466407536,!1]],[[-1,cr.system_object.prototype.acts.SetTimescale,null,0x8c7ad24ade3ba,!1,[[0,[1,1]]]]]],[0,[!0,"Webstorage15"],!1,null,6870997709730105,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,6870997709730105,!1,[[1,
[2,"Webstorage15"]]]]],[],[[0,null,!1,null,344,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,345,!1,[[11,"win"],[8,0],[7,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,346,!1,[[11,"currentlevel"],[7,[0,16]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,6079596092460066,!1,[[6,"Lewel16"]]]]],[0,null,!1,null,348,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,349,!1,[[11,"win"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,
0,!1,!1,!1,350,!1,[[11,"chooser"],[8,3],[7,[23,"currentlevel"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,351,!1,[[11,"chooser"],[7,[0,16]]]],[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,352,!1,[[1,[2,"play"]],[7,[23,"chooser"]]]]]]]],[0,[!0,"Setlevelstars15"],!1,null,8130676079100906,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,8130676079100906,!1,[[1,[2,"Setlevelstars15"]]]]],[],[[0,null,!1,null,8681228674549992,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,4663435795376083,!1,[[11,"Localstars"],[8,0],[7,[0,0]]]]],[]],[0,null,!1,null,9695190985629874,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0x84532d1859c27,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xa43ead62a07e8,!1,[[11,"Localstars"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5676324341630972,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,
"15levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,7499423908582247,!1,[[1,[2,"15levelsave"]],[7,[2,"1"]]]]]],[0,null,!1,null,0xff1a66837ca31,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,9456307144332184,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x44e5c2eec3a2f,!1,[[11,"Localstars"],[8,0],[7,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9138337384616682,!1,[[11,"Localstars"],[8,4],[7,[20,
0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"15levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0xd9827f6801e06,!1,[[1,[2,"15levelsave"]],[7,[2,"2"]]]]]],[0,null,!1,null,0x6ffee63d61a90,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,7020655668559464,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x803c72af9d8df,!1,[[11,"Localstars"],[8,0],[7,[0,3]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,
!1,!1,!1,0xcc6f84a109aae,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"15levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,6722985989722826,!1,[[1,[2,"15levelsave"]],[7,[2,"3"]]]]]],[0,null,!1,null,8215270079014353,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,649415691174397,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xdbb06564404c0,!1,[[11,"Localstars"],[8,0],[7,[0,
4]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4936928710810593,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"15levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,6530480531054009,!1,[[1,[2,"15levelsave"]],[7,[2,"4"]]]]]],[0,null,!1,null,0xaaa3b089912db,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,4986866076773617,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,
0,!1,!1,!1,5793512094550283,!1,[[11,"Localstars"],[8,0],[7,[0,5]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x4039460df2c26,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"15levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,6395044065508057,!1,[[1,[2,"15levelsave"]],[7,[2,"5"]]]]]],[0,null,!1,null,0x433155f05c453,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,5928467561928081,!1,
[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6046921966377136,!1,[[11,"Localstars"],[8,0],[7,[0,6]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5927601912220196,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"15levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0xf91ee20a2db37,!1,[[1,[2,"15levelsave"]],[7,[2,"6"]]]]]],[0,null,!1,null,0x48ed73898165a,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,
null,0,!1,!1,!0,0xec068c6ca0473,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9212638345935980,!1,[[11,"Localstars"],[8,0],[7,[0,7]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,49768516685202,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"15levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,9986845479154604,!1,[[1,[2,"15levelsave"]],[7,[2,"7"]]]]]],[0,null,!1,null,0xa48380b592fc7,
[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0x8bb649eb9d45d,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xab8f91bee2eb8,!1,[[11,"Localstars"],[8,0],[7,[0,8]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5934338420537089,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"15levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,7430002871490654,!1,[[1,[2,"15levelsave"]],
[7,[2,"8"]]]]]],[0,null,!1,null,5022265689391525,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,7511802540651761,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xbfa8078d7b54a,!1,[[11,"Localstars"],[8,0],[7,[0,9]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9012979533595894,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"15levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,
null,7680101809029509,!1,[[1,[2,"15levelsave"]],[7,[2,"9"]]]]]],[0,null,!1,null,8784321392611864,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0xc67b5a2073dd1,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4541281578481927,!1,[[11,"Localstars"],[8,0],[7,[0,10]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xbe6d759e5459,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"15levelsave"]]]]]]],
[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0x45009ff5ffb52,!1,[[1,[2,"15levelsave"]],[7,[2,"10"]]]]]]]]]],["Lewel16",[[2,"Generalcode",!1],[0,null,!1,null,0x4a5eb29f768a9,[[-1,cr.system_object.prototype.cnds.OnLayoutEnd,null,1,!1,!1,!1,0xece2a7cebb939,!1]],[[-1,cr.system_object.prototype.acts.SetTimescale,null,0x589eab9f402e6,!1,[[0,[1,1]]]]]],[0,[!0,"Webstorage16"],!1,null,9631327356438782,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,9631327356438782,!1,[[1,[2,
"Webstorage16"]]]]],[],[[0,null,!1,null,344,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,345,!1,[[11,"win"],[8,0],[7,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,346,!1,[[11,"currentlevel"],[7,[0,17]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,6079596092460066,!1,[[6,"Lewel17"]]]]],[0,null,!1,null,348,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,349,!1,[[11,"win"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,
!1,!1,!1,350,!1,[[11,"chooser"],[8,3],[7,[23,"currentlevel"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,351,!1,[[11,"chooser"],[7,[0,17]]]],[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,352,!1,[[1,[2,"play"]],[7,[23,"chooser"]]]]]]]],[0,[!0,"Setlevelstars16"],!1,null,9635522940210412,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,9635522940210412,!1,[[1,[2,"Setlevelstars16"]]]]],[],[[0,null,!1,null,8681228674549992,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,4663435795376083,!1,[[11,"Localstars"],[8,0],[7,[0,0]]]]],[]],[0,null,!1,null,9695190985629874,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0x84532d1859c27,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xa43ead62a07e8,!1,[[11,"Localstars"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5676324341630972,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,
"16levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,7499423908582247,!1,[[1,[2,"16levelsave"]],[7,[2,"1"]]]]]],[0,null,!1,null,0xff1a66837ca31,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,9456307144332184,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x44e5c2eec3a2f,!1,[[11,"Localstars"],[8,0],[7,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9138337384616682,!1,[[11,"Localstars"],[8,4],[7,[20,
0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"16levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0xd9827f6801e06,!1,[[1,[2,"16levelsave"]],[7,[2,"2"]]]]]],[0,null,!1,null,0x6ffee63d61a90,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,7020655668559464,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x803c72af9d8df,!1,[[11,"Localstars"],[8,0],[7,[0,3]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,
!1,!1,!1,0xcc6f84a109aae,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"16levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,6722985989722826,!1,[[1,[2,"16levelsave"]],[7,[2,"3"]]]]]],[0,null,!1,null,8215270079014353,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,649415691174397,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xdbb06564404c0,!1,[[11,"Localstars"],[8,0],[7,[0,
4]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4936928710810593,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"16levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,6530480531054009,!1,[[1,[2,"16levelsave"]],[7,[2,"4"]]]]]],[0,null,!1,null,0xaaa3b089912db,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,4986866076773617,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,
0,!1,!1,!1,5793512094550283,!1,[[11,"Localstars"],[8,0],[7,[0,5]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x4039460df2c26,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"16levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,6395044065508057,!1,[[1,[2,"16levelsave"]],[7,[2,"5"]]]]]],[0,null,!1,null,0x433155f05c453,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,5928467561928081,!1,
[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6046921966377136,!1,[[11,"Localstars"],[8,0],[7,[0,6]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5927601912220196,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"16levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0xf91ee20a2db37,!1,[[1,[2,"16levelsave"]],[7,[2,"6"]]]]]],[0,null,!1,null,0x48ed73898165a,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,
null,0,!1,!1,!0,0xec068c6ca0473,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9212638345935980,!1,[[11,"Localstars"],[8,0],[7,[0,7]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,49768516685202,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"16levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,9986845479154604,!1,[[1,[2,"16levelsave"]],[7,[2,"7"]]]]]],[0,null,!1,null,0xa48380b592fc7,
[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0x8bb649eb9d45d,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xab8f91bee2eb8,!1,[[11,"Localstars"],[8,0],[7,[0,8]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5934338420537089,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"16levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,7430002871490654,!1,[[1,[2,"16levelsave"]],
[7,[2,"8"]]]]]],[0,null,!1,null,5022265689391525,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,7511802540651761,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xbfa8078d7b54a,!1,[[11,"Localstars"],[8,0],[7,[0,9]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9012979533595894,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"16levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,
null,7680101809029509,!1,[[1,[2,"16levelsave"]],[7,[2,"9"]]]]]],[0,null,!1,null,8784321392611864,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0xc67b5a2073dd1,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4541281578481927,!1,[[11,"Localstars"],[8,0],[7,[0,10]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xbe6d759e5459,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"16levelsave"]]]]]]],
[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0x45009ff5ffb52,!1,[[1,[2,"16levelsave"]],[7,[2,"10"]]]]]]]]]],["Generalcode",[[1,"pause",0,0,!1,!1,6420215529696418,!1],[1,"Hand",0,1,!1,!1,9104591967720844,!1],[1,"Sound",0,1,!1,!1,9423869592730264,!1],[1,"Upgrade3",0,0,!1,!1,8337833144584408,!1],[1,"Upgrade2",0,0,!1,!1,0x8b978ad71fa05,!1],[1,"Upgrade1",0,0,!1,!1,0xe2d9739243926,!1],[1,"InvertControl",0,1,!1,!1,6155191591780859,!1],[1,"chooser",0,1,!1,!1,0x7190ae4078653,!1],[1,"Localstars",
0,0,!1,!1,0x90f7fa7751548,!1],[1,"Ballss",0,0,!1,!1,0xd249e45e9044b,!1],[1,"BulletValue",0,0,!1,!1,7354930628429065,!1],[1,"Catapult",0,0,!1,!1,7032709700413852,!1],[1,"EnergyValue",0,0,!1,!1,4900095453156533,!1],[1,"currentlevel",0,1,!1,!1,7884816853511984,!1],[1,"win",0,0,!1,!1,9300444477455916,!1],[1,"Lifes",0,3,!1,!1,0x787adaf12fd45,!1],[1,"Countdown",0,0,!1,!1,0xf837a4ddae12d,!1],[1,"Accleration",0,200,!1,!1,0xdc249f1b3d66b,!1],[1,"Moneyforupgrade",0,0,!1,!1,6417057962989518,!1],[1,"Money",0,
0,!1,!1,0x9d1e542eb161f,!1],[1,"Moneybuffer",0,0,!1,!1,0x741c38d3b7e9f,!1],[1,"Power2",0,0,!1,!1,0x7278bfedffdbd,!1],[1,"Smoke",0,0,!1,!1,0xda012ba71c9cf,!1],[1,"Alien",0,0,!1,!1,4824161764386156,!1],[1,"Roach",0,0,!1,!1,8821676879639238,!1],[1,"Slizen",0,0,!1,!1,6635655131260583,!1],[1,"Green",0,0,!1,!1,0xd9a4318c05332,!1],[1,"Kaktus",0,0,!1,!1,4898225718420632,!1],[1,"Batman",0,0,!1,!1,23504612728527,!1],[1,"Dragon",0,0,!1,!1,6591823949598064,!1],[1,"Boo",0,0,!1,!1,6245744931775051,!1],[1,"Ghost",
0,0,!1,!1,4597977920303493,!1],[1,"Hypno",0,0,!1,!1,7041085728311969,!1],[1,"Haha",0,0,!1,!1,9364887315877634,!1],[1,"Robot",0,0,!1,!1,8929235437118519,!1],[1,"Special1Countdown",0,0,!1,!1,719687267051506,!1],[1,"Special2Countdown",0,0,!1,!1,7297044475865393,!1],[1,"Special3Countdown",0,0,!1,!1,9731367769743998,!1],[1,"Special4Countdown",0,0,!1,!1,8213618311244447,!1],[1,"MoneyCountdown",0,0,!1,!1,7097419142917013,!1],[1,"MoneyCountdown2",0,0,!1,!1,823634504641489,!1],[1,"RV",0,0,!1,!1,7627885789149506,
!1],[0,null,!1,null,0xf08c083c16881,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,5113543991924502,!1]],[[52,cr.behaviors.Pin.prototype.acts.Pin,"Pin",4669593816161484,!1,[[4,54],[3,1]]],[59,cr.behaviors.Pin.prototype.acts.Pin,"Pin",7900162629228239,!1,[[4,54],[3,1]]],[55,cr.behaviors.Pin.prototype.acts.Pin,"Pin",5639556101391896,!1,[[4,54],[3,1]]],[56,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0x755554886bd5,!1,[[4,51],[3,1]]],[57,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0xada59ffbed8d5,
!1,[[4,53],[3,1]]],[62,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0x87b845dbae0c9,!1,[[4,51],[3,1]]],[267,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0x54a3e8f3c3dad,!1,[[4,53],[3,1]]]]],[0,null,!1,null,693837153867681,[[2,cr.plugins_.Browser.prototype.cnds.IsPortraitLandscape,null,0,!1,!1,!1,5948064482080502,!1,[[3,0]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,9213531913767268,!1,[[11,"orientation"],[7,[0,1]]]]]],[0,null,!1,null,0x8228d2cbbd6b9,[[2,cr.plugins_.Browser.prototype.cnds.IsPortraitLandscape,
null,0,!1,!1,!1,950473907198796,!1,[[3,1]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0xa29bba9df8ab7,!1,[[11,"orientation"],[7,[0,2]]]]]],[0,null,!1,null,8958565025451846,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7014263948460132,!1,[[11,"orientation"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x9003a31a8ed09,!1]],[[-1,cr.system_object.prototype.acts.Wait,null,9567493692076034,!1,[[0,[1,1]]]],[51,cr.plugins_.Sprite.prototype.acts.SetPos,
null,6508354467801443,!1,[[0,[4,[19,cr.system_object.prototype.exps.viewportleft,[[0,9]]],[0,66]]],[0,[4,[19,cr.system_object.prototype.exps.viewporttop,[[0,9]]],[0,45]]]]],[53,cr.plugins_.Sprite.prototype.acts.SetPos,null,6510636945232221,!1,[[0,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,9]]],[0,66]]],[0,[4,[19,cr.system_object.prototype.exps.viewporttop,[[0,9]]],[0,45]]]]],[54,cr.plugins_.Sprite.prototype.acts.SetPos,null,8880554758718072,!1,[[0,[7,[4,[20,51,cr.plugins_.Sprite.prototype.exps.X,
!1,null],[20,53,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,2]]],[0,[4,[19,cr.system_object.prototype.exps.viewporttop,[[0,9]]],[0,32]]]]],[49,cr.plugins_.Sprite.prototype.acts.SetScale,null,0x9eb8d18266788,!1,[[0,[0,1]]]],[50,cr.plugins_.Sprite.prototype.acts.SetScale,null,0xce6b3006b0939,!1,[[0,[0,1]]]],[60,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x9daf0baeb1f84,!1,[[0,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,9]]],[0,50]]],[0,[5,[19,cr.system_object.prototype.exps.viewportbottom,
[[0,9]]],[0,60]]]]]],[[0,null,!1,null,5147219047791923,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,848193577724376,!1,[[11,"Hand"],[8,0],[7,[0,1]]]]],[[49,cr.plugins_.Sprite.prototype.acts.SetX,null,6639771917994142,!1,[[0,[4,[19,cr.system_object.prototype.exps.viewportleft,[[0,9]]],[0,135]]]]],[49,cr.plugins_.Sprite.prototype.acts.SetY,null,0xe2544b54fc8e,!1,[[0,[5,[19,cr.system_object.prototype.exps.viewportbottom,[[0,9]]],[0,135]]]]],[50,cr.plugins_.Sprite.prototype.acts.SetPosToObject,
null,9386656092295356,!1,[[4,49],[7,[0,0]]]]]],[0,null,!1,null,0x3d20c28b4bbd5,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x3cca2adc5be65,!1,[[11,"Hand"],[8,0],[7,[0,3]]]]],[[49,cr.plugins_.Sprite.prototype.acts.SetX,null,6445528563765822,!1,[[0,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,9]]],[0,135]]]]],[49,cr.plugins_.Sprite.prototype.acts.SetY,null,8357115049393136,!1,[[0,[5,[19,cr.system_object.prototype.exps.viewportbottom,[[0,9]]],[0,135]]]]],[50,cr.plugins_.Sprite.prototype.acts.SetPosToObject,
null,8640354588587328,!1,[[4,49],[7,[0,0]]]]]]]],[0,null,!1,null,8599406691428248,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9272657446106256,!1,[[11,"orientation"],[8,0],[7,[0,2]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6961737956917123,!1]],[[-1,cr.system_object.prototype.acts.Wait,null,0xa415f82a64e9b,!1,[[0,[1,1]]]],[51,cr.plugins_.Sprite.prototype.acts.SetPos,null,5770824550940408,!1,[[0,[4,[19,cr.system_object.prototype.exps.viewportleft,[[0,9]]],
[0,66]]],[0,[4,[19,cr.system_object.prototype.exps.viewporttop,[[0,9]]],[0,45]]]]],[53,cr.plugins_.Sprite.prototype.acts.SetPos,null,9994305603044036,!1,[[0,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,9]]],[0,66]]],[0,[4,[19,cr.system_object.prototype.exps.viewporttop,[[0,9]]],[0,45]]]]],[54,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x9891560c826e2,!1,[[0,[7,[4,[20,51,cr.plugins_.Sprite.prototype.exps.X,!1,null],[20,53,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,2]]],[0,[4,[19,
cr.system_object.prototype.exps.viewporttop,[[0,9]]],[0,32]]]]],[49,cr.plugins_.Sprite.prototype.acts.SetScale,null,6348282749174594,!1,[[0,[1,1.5]]]],[50,cr.plugins_.Sprite.prototype.acts.SetScale,null,0x48a8aa69beb10,!1,[[0,[1,1.5]]]],[60,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x9b327e97cec4b,!1,[[0,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,9]]],[0,50]]],[0,[5,[19,cr.system_object.prototype.exps.viewportbottom,[[0,9]]],[0,60]]]]]],[[0,null,!1,null,5564144589549042,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,8697204387307955,!1,[[11,"Hand"],[8,0],[7,[0,1]]]]],[[49,cr.plugins_.Sprite.prototype.acts.SetX,null,0xa68ab809c6ea8,!1,[[0,[4,[19,cr.system_object.prototype.exps.viewportleft,[[0,9]]],[0,165]]]]],[49,cr.plugins_.Sprite.prototype.acts.SetY,null,7799920535628556,!1,[[0,[5,[19,cr.system_object.prototype.exps.viewportbottom,[[0,9]]],[0,165]]]]],[50,cr.plugins_.Sprite.prototype.acts.SetPosToObject,null,0x72246fb4a1236,!1,[[4,49],[7,[0,0]]]]]],[0,null,!1,null,8839130545318421,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,679173946934637,!1,[[11,"Hand"],[8,0],[7,[0,3]]]]],[[49,cr.plugins_.Sprite.prototype.acts.SetX,null,0x5540755186035,!1,[[0,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,9]]],[0,165]]]]],[49,cr.plugins_.Sprite.prototype.acts.SetY,null,0x6e1aed8d83e7b,!1,[[0,[5,[19,cr.system_object.prototype.exps.viewportbottom,[[0,9]]],[0,165]]]]],[50,cr.plugins_.Sprite.prototype.acts.SetPosToObject,null,7515331303453441,!1,[[4,49],[7,[0,0]]]]]]]],[0,null,!1,null,0x51006721e2b6c,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,
null,1,!1,!1,!1,9765026206260394,!1]],[[-1,cr.system_object.prototype.acts.SetVar,null,8671601645953545,!1,[[11,"Localstars"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,7317684204458063,!1,[[11,"Countdown"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x7b73d082139a,!1,[[11,"Ballss"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,9640201990481100,!1,[[11,"Accleration"],[7,[0,200]]]],[-1,cr.system_object.prototype.acts.SetVar,null,667681411380896,!1,[[11,
"EnergyValue"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,4673161912696319,!1,[[11,"Money"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,6791539873573325,!1,[[11,"Moneybuffer"],[7,[0,0]]]],[3,cr.plugins_.Audio.prototype.acts.StopAll,null,5776006669094137,!1]],[[0,null,!1,null,526814581663422,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8927132082910741,!1,[[11,"Sound"],[8,0],[7,[0,1]]]]],[[3,cr.plugins_.Audio.prototype.acts.PlayByName,null,441194971685859,
!1,[[3,0],[1,[2,"based"]],[3,1],[0,[0,0]],[1,[2,"based"]]]]]]]],[0,null,!1,null,8863263909755072,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,9732416192149686,!1]],[],[[0,null,!1,null,5964203021611681,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,861574171278243,!1,[[11,"Upgrade1"],[8,0],[7,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,979788182428829,!1,[[11,"Lifes"],[7,[0,3]]]]]],[0,null,!1,null,0xa72ca5ec80a05,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,542999237635358,!1,[[11,"Upgrade1"],[8,1],[7,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0xcfcfba76cebf,!1,[[11,"Lifes"],[7,[0,2]]]]]]]],[0,null,!1,null,0x6a644d69d1040,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,671135851460267,!1]],[],[[0,null,!1,null,9066722652132658,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x4b3f8ba8774d0,!1,[[11,"Upgrade2"],[8,0],[7,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SetGroupActive,null,
5092404650266429,!1,[[1,[2,"Fuelcount2"]],[3,1]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,0xceb08f74f6150,!1,[[1,[2,"Fuelcount"]],[3,0]]]]],[0,null,!1,null,9445141629204956,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xe1dee5307f2f,!1,[[11,"Upgrade2"],[8,1],[7,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SetGroupActive,null,9894946777549600,!1,[[1,[2,"Fuelcount2"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,5869709742057312,!1,[[1,[2,"Fuelcount"]],
[3,1]]]]]]],[0,null,!1,null,0xbabd27b74d0b1,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,0x7f92c9b507a61,!1]],[],[[0,null,!1,null,5924792657663161,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7368019556222092,!1,[[11,"Upgrade3"],[8,0],[7,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SetGroupActive,null,6496620674387586,!1,[[1,[2,"BallsCatapult"]],[3,1]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,7911535969389554,!1,[[1,[2,"Catapult"]],[3,1]]]]],
[0,null,!1,null,6301984283164373,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xdf3d7c21fba1e,!1,[[11,"Upgrade3"],[8,1],[7,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SetGroupActive,null,5371736768114772,!1,[[1,[2,"BallsCatapult"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,0xc99e670b81b2b,!1,[[1,[2,"Catapult"]],[3,0]]]]]]],[0,[!0,"Store"],!1,null,8699187873847359,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,8699187873847359,!1,[[1,
[2,"Store"]]]]],[],[[0,[!0,"pinshapky"],!1,null,8274859785421587,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,8274859785421587,!1,[[1,[2,"pinshapky"]]]]],[],[[0,null,!1,null,6800836631362409,[[-1,cr.system_object.prototype.cnds.Compare,null,0,!1,!1,!1,8530393952088467,!1,[[7,[20,50,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,0]]]],[8,4],[7,[20,49,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,0]]]]]],[1,cr.plugins_.Touch.prototype.cnds.IsInTouch,null,
0,!1,!1,!1,5222984726351432,!1]],[[256,cr.plugins_.Sprite.prototype.acts.SetMirrored,null,0xe0112a6d9e664,!1,[[3,1]]],[257,cr.plugins_.Sprite.prototype.acts.SetMirrored,null,0x695724cec24c1,!1,[[3,1]]],[258,cr.plugins_.Sprite.prototype.acts.SetMirrored,null,4666489259629144,!1,[[3,1]]],[259,cr.plugins_.Sprite.prototype.acts.SetMirrored,null,0x5548734fcacf5,!1,[[3,1]]]]],[0,null,!1,null,0xdb38fce923eb6,[[-1,cr.system_object.prototype.cnds.Compare,null,0,!1,!1,!1,4998958581499368,!1,[[7,[20,50,cr.plugins_.Sprite.prototype.exps.ImagePointX,
!1,null,[[0,0]]]],[8,3],[7,[20,49,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,0]]]]]],[1,cr.plugins_.Touch.prototype.cnds.IsInTouch,null,0,!1,!1,!1,6066126038266482,!1]],[[256,cr.plugins_.Sprite.prototype.acts.SetMirrored,null,6669660490418366,!1,[[3,0]]],[257,cr.plugins_.Sprite.prototype.acts.SetMirrored,null,5148344762636972,!1,[[3,0]]],[258,cr.plugins_.Sprite.prototype.acts.SetMirrored,null,5742401046590619,!1,[[3,0]]],[259,cr.plugins_.Sprite.prototype.acts.SetMirrored,null,5230715778754188,
!1,[[3,0]]]]],[0,null,!1,null,9573339805389072,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,0x95fe069c517f9,!1]],[],[[0,null,!1,null,4814517435979109,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,644217918317065,!1,[[11,"Store9"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x4fb9781e57f7d,!1]],[[-1,cr.system_object.prototype.acts.Wait,null,8647100631039445,!1,[[0,[1,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,
null,6173757953080494,!1,[[4,256],[5,[0,6]],[0,[20,45,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,6]]]],[0,[20,45,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,6]]]]]],[256,cr.behaviors.Pin.prototype.acts.Pin,"Pin",51964650085411,!1,[[4,45],[3,1]]]],[[0,null,!1,null,380130289425909,[[45,cr.plugins_.Sprite.prototype.cnds.IsMirrored,null,0,!1,!1,!1,0xfc08f38104caf,!1]],[[256,cr.plugins_.Sprite.prototype.acts.SetMirrored,null,9175459270582734,!1,[[3,0]]]]]]],[0,null,!1,null,
0x8032fe35e945e,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6602956652181008,!1,[[11,"Store10"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x6927925f68107,!1]],[[-1,cr.system_object.prototype.acts.Wait,null,5137957367159541,!1,[[0,[1,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,8575804975453139,!1,[[4,257],[5,[0,6]],[0,[20,45,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,6]]]],[0,[20,45,cr.plugins_.Sprite.prototype.exps.ImagePointY,
!1,null,[[0,6]]]]]],[257,cr.behaviors.Pin.prototype.acts.Pin,"Pin",4671960382692513,!1,[[4,45],[3,1]]]],[[0,null,!1,null,701655481298662,[[45,cr.plugins_.Sprite.prototype.cnds.IsMirrored,null,0,!1,!1,!1,0xf77391d6213b6,!1]],[[257,cr.plugins_.Sprite.prototype.acts.SetMirrored,null,9154166566041940,!1,[[3,0]]]]]]],[0,null,!1,null,0x4d5f00ae7ad24,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9281351830963136,!1,[[11,"Store11"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,6320461031193608,!1]],[[-1,cr.system_object.prototype.acts.Wait,null,618917474655339,!1,[[0,[1,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,7620035917044454,!1,[[4,258],[5,[0,6]],[0,[20,45,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,6]]]],[0,[20,45,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,6]]]]]],[258,cr.behaviors.Pin.prototype.acts.Pin,"Pin",8542905105438013,!1,[[4,45],[3,1]]]],[[0,null,!1,null,525564968283064,[[45,cr.plugins_.Sprite.prototype.cnds.IsMirrored,
null,0,!1,!1,!1,4581552742153681,!1]],[[258,cr.plugins_.Sprite.prototype.acts.SetMirrored,null,8546861841666833,!1,[[3,0]]]]]]],[0,null,!1,null,0xaa7bd369f91d1,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xe23e61bfa5846,!1,[[11,"Store12"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x453a4060c9ed4,!1]],[[-1,cr.system_object.prototype.acts.Wait,null,0x759f457a4b482,!1,[[0,[1,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,7431738644462561,
!1,[[4,259],[5,[0,6]],[0,[20,45,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,6]]]],[0,[20,45,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,6]]]]]],[259,cr.behaviors.Pin.prototype.acts.Pin,"Pin",408610660743265,!1,[[4,45],[3,1]]]],[[0,null,!1,null,0x4a934da545d2a,[[45,cr.plugins_.Sprite.prototype.cnds.IsMirrored,null,0,!1,!1,!1,0xf118ec725b070,!1]],[[259,cr.plugins_.Sprite.prototype.acts.SetMirrored,null,0xdb5aba207e521,!1,[[3,0]]]]]]]]]]],[0,[!0,"pinochki"],!1,null,928659038121125,
[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,928659038121125,!1,[[1,[2,"pinochki"]]]]],[],[[0,null,!1,null,6800836631362409,[[-1,cr.system_object.prototype.cnds.Compare,null,0,!1,!1,!1,8530393952088467,!1,[[7,[20,50,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,0]]]],[8,4],[7,[20,49,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,0]]]]]],[1,cr.plugins_.Touch.prototype.cnds.IsInTouch,null,0,!1,!1,!1,5222984726351432,!1]],[[248,cr.plugins_.Sprite.prototype.acts.SetMirrored,
null,0xe0112a6d9e664,!1,[[3,1]]],[249,cr.plugins_.Sprite.prototype.acts.SetMirrored,null,0x695724cec24c1,!1,[[3,1]]],[250,cr.plugins_.Sprite.prototype.acts.SetMirrored,null,4666489259629144,!1,[[3,1]]],[251,cr.plugins_.Sprite.prototype.acts.SetMirrored,null,0xb9f0bb436a350,!1,[[3,1]]],[252,cr.plugins_.Sprite.prototype.acts.SetMirrored,null,6343524302247946,!1,[[3,1]]]]],[0,null,!1,null,0xdb38fce923eb6,[[-1,cr.system_object.prototype.cnds.Compare,null,0,!1,!1,!1,4998958581499368,!1,[[7,[20,50,cr.plugins_.Sprite.prototype.exps.ImagePointX,
!1,null,[[0,0]]]],[8,3],[7,[20,49,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,0]]]]]],[1,cr.plugins_.Touch.prototype.cnds.IsInTouch,null,0,!1,!1,!1,6066126038266482,!1]],[[248,cr.plugins_.Sprite.prototype.acts.SetMirrored,null,6669660490418366,!1,[[3,0]]],[249,cr.plugins_.Sprite.prototype.acts.SetMirrored,null,5148344762636972,!1,[[3,0]]],[250,cr.plugins_.Sprite.prototype.acts.SetMirrored,null,5742401046590619,!1,[[3,0]]],[251,cr.plugins_.Sprite.prototype.acts.SetMirrored,null,9381357579097172,
!1,[[3,0]]],[252,cr.plugins_.Sprite.prototype.acts.SetMirrored,null,0xf88c34dfa657c,!1,[[3,0]]]]],[0,null,!1,null,9573339805389072,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,0x95fe069c517f9,!1]],[],[[0,null,!1,null,4814517435979109,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,644217918317065,!1,[[11,"Store1"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x4fb9781e57f7d,!1]],[[-1,cr.system_object.prototype.acts.Wait,null,
8647100631039445,!1,[[0,[1,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,6173757953080494,!1,[[4,248],[5,[0,6]],[0,[20,45,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,4]]]],[0,[20,45,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,4]]]]]],[248,cr.behaviors.Pin.prototype.acts.Pin,"Pin",51964650085411,!1,[[4,45],[3,1]]]],[[0,null,!1,null,380130289425909,[[45,cr.plugins_.Sprite.prototype.cnds.IsMirrored,null,0,!1,!1,!1,0xfc08f38104caf,!1]],[[248,cr.plugins_.Sprite.prototype.acts.SetMirrored,
null,9175459270582734,!1,[[3,0]]]]]]],[0,null,!1,null,0x8032fe35e945e,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6602956652181008,!1,[[11,"Store2"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x6927925f68107,!1]],[[-1,cr.system_object.prototype.acts.Wait,null,5137957367159541,!1,[[0,[1,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,8575804975453139,!1,[[4,249],[5,[0,6]],[0,[20,45,cr.plugins_.Sprite.prototype.exps.ImagePointX,
!1,null,[[0,4]]]],[0,[20,45,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,4]]]]]],[249,cr.behaviors.Pin.prototype.acts.Pin,"Pin",4671960382692513,!1,[[4,45],[3,1]]]],[[0,null,!1,null,701655481298662,[[45,cr.plugins_.Sprite.prototype.cnds.IsMirrored,null,0,!1,!1,!1,0xf77391d6213b6,!1]],[[249,cr.plugins_.Sprite.prototype.acts.SetMirrored,null,9154166566041940,!1,[[3,0]]]]]]],[0,null,!1,null,0x4d5f00ae7ad24,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9281351830963136,
!1,[[11,"Store3"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6320461031193608,!1]],[[-1,cr.system_object.prototype.acts.Wait,null,618917474655339,!1,[[0,[1,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,7620035917044454,!1,[[4,250],[5,[0,6]],[0,[20,45,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,4]]]],[0,[20,45,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,4]]]]]],[250,cr.behaviors.Pin.prototype.acts.Pin,"Pin",8542905105438013,
!1,[[4,45],[3,1]]]],[[0,null,!1,null,525564968283064,[[45,cr.plugins_.Sprite.prototype.cnds.IsMirrored,null,0,!1,!1,!1,4581552742153681,!1]],[[250,cr.plugins_.Sprite.prototype.acts.SetMirrored,null,8546861841666833,!1,[[3,0]]]]]]],[0,null,!1,null,4724937828996431,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9767355332706220,!1,[[11,"Store4"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x87d29da0e3d0b,!1]],[[-1,cr.system_object.prototype.acts.Wait,
null,9532535937078260,!1,[[0,[1,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xb7e64b64fab2b,!1,[[4,251],[5,[0,6]],[0,[20,45,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,4]]]],[0,[20,45,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,4]]]]]],[251,cr.behaviors.Pin.prototype.acts.Pin,"Pin",4625940659341433,!1,[[4,45],[3,1]]]],[[0,null,!1,null,0xc6d5b5ee03bb1,[[45,cr.plugins_.Sprite.prototype.cnds.IsMirrored,null,0,!1,!1,!1,0xdb056b83148c0,!1]],[[251,cr.plugins_.Sprite.prototype.acts.SetMirrored,
null,7158045991501524,!1,[[3,0]]]]]]],[0,null,!1,null,688325713970316,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7822777240791648,!1,[[11,"Store5"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6373315448196999,!1]],[[-1,cr.system_object.prototype.acts.Wait,null,9073728261901364,!1,[[0,[1,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x685459579188b,!1,[[4,252],[5,[0,6]],[0,[20,45,cr.plugins_.Sprite.prototype.exps.ImagePointX,
!1,null,[[0,4]]]],[0,[20,45,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,4]]]]]],[252,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0xecb77c2a97cf7,!1,[[4,45],[3,1]]]],[[0,null,!1,null,0x8bc8964f9f7e3,[[45,cr.plugins_.Sprite.prototype.cnds.IsMirrored,null,0,!1,!1,!1,4899576121519307,!1]],[[252,cr.plugins_.Sprite.prototype.acts.SetMirrored,null,9603828665026134,!1,[[3,0]]]]]]]]]]],[0,[!0,"pintapki"],!1,null,0x7bf6b33185235,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,
0x7bf6b33185235,!1,[[1,[2,"pintapki"]]]]],[],[[0,null,!1,null,6800836631362409,[[-1,cr.system_object.prototype.cnds.Compare,null,0,!1,!1,!1,8530393952088467,!1,[[7,[20,50,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,0]]]],[8,4],[7,[20,49,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,0]]]]]],[1,cr.plugins_.Touch.prototype.cnds.IsInTouch,null,0,!1,!1,!1,5222984726351432,!1]],[[253,cr.plugins_.Sprite.prototype.acts.SetMirrored,null,0xe0112a6d9e664,!1,[[3,1]]],[254,cr.plugins_.Sprite.prototype.acts.SetMirrored,
null,0x695724cec24c1,!1,[[3,1]]],[255,cr.plugins_.Sprite.prototype.acts.SetMirrored,null,4666489259629144,!1,[[3,1]]]]],[0,null,!1,null,0xdb38fce923eb6,[[-1,cr.system_object.prototype.cnds.Compare,null,0,!1,!1,!1,4998958581499368,!1,[[7,[20,50,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,0]]]],[8,3],[7,[20,49,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,0]]]]]],[1,cr.plugins_.Touch.prototype.cnds.IsInTouch,null,0,!1,!1,!1,6066126038266482,!1]],[[253,cr.plugins_.Sprite.prototype.acts.SetMirrored,
null,6669660490418366,!1,[[3,0]]],[254,cr.plugins_.Sprite.prototype.acts.SetMirrored,null,5148344762636972,!1,[[3,0]]],[255,cr.plugins_.Sprite.prototype.acts.SetMirrored,null,5742401046590619,!1,[[3,0]]]]],[0,null,!1,null,9573339805389072,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,0x95fe069c517f9,!1]],[],[[0,null,!1,null,4814517435979109,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,644217918317065,!1,[[11,"Store6"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,0x4fb9781e57f7d,!1]],[[-1,cr.system_object.prototype.acts.Wait,null,8647100631039445,!1,[[0,[1,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,6173757953080494,!1,[[4,253],[5,[0,6]],[0,[20,45,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,5]]]],[0,[20,45,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,5]]]]]],[253,cr.behaviors.Pin.prototype.acts.Pin,"Pin",51964650085411,!1,[[4,45],[3,1]]]],[[0,null,!1,null,380130289425909,[[45,cr.plugins_.Sprite.prototype.cnds.IsMirrored,
null,0,!1,!1,!1,0xfc08f38104caf,!1]],[[253,cr.plugins_.Sprite.prototype.acts.SetMirrored,null,9175459270582734,!1,[[3,0]]]]]]],[0,null,!1,null,0x8032fe35e945e,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6602956652181008,!1,[[11,"Store7"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x6927925f68107,!1]],[[-1,cr.system_object.prototype.acts.Wait,null,5137957367159541,!1,[[0,[1,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,8575804975453139,
!1,[[4,254],[5,[0,6]],[0,[20,45,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,5]]]],[0,[20,45,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,5]]]]]],[254,cr.behaviors.Pin.prototype.acts.Pin,"Pin",4671960382692513,!1,[[4,45],[3,1]]]],[[0,null,!1,null,701655481298662,[[45,cr.plugins_.Sprite.prototype.cnds.IsMirrored,null,0,!1,!1,!1,0xf77391d6213b6,!1]],[[254,cr.plugins_.Sprite.prototype.acts.SetMirrored,null,9154166566041940,!1,[[3,0]]]]]]],[0,null,!1,null,0x4d5f00ae7ad24,[[-1,
cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9281351830963136,!1,[[11,"Store8"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6320461031193608,!1]],[[-1,cr.system_object.prototype.acts.Wait,null,618917474655339,!1,[[0,[1,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,7620035917044454,!1,[[4,255],[5,[0,6]],[0,[20,45,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,5]]]],[0,[20,45,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,
null,[[0,5]]]]]],[255,cr.behaviors.Pin.prototype.acts.Pin,"Pin",8542905105438013,!1,[[4,45],[3,1]]]],[[0,null,!1,null,525564968283064,[[45,cr.plugins_.Sprite.prototype.cnds.IsMirrored,null,0,!1,!1,!1,4581552742153681,!1]],[[255,cr.plugins_.Sprite.prototype.acts.SetMirrored,null,8546861841666833,!1,[[3,0]]]]]]]]]]],[0,[!0,"pinbanty"],!1,null,7815148366764987,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,7815148366764987,!1,[[1,[2,"pinbanty"]]]]],[],[[0,null,!1,null,6800836631362409,
[[-1,cr.system_object.prototype.cnds.Compare,null,0,!1,!1,!1,8530393952088467,!1,[[7,[20,50,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,0]]]],[8,4],[7,[20,49,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,0]]]]]],[1,cr.plugins_.Touch.prototype.cnds.IsInTouch,null,0,!1,!1,!1,5222984726351432,!1]],[[260,cr.plugins_.Sprite.prototype.acts.SetMirrored,null,0x695724cec24c1,!1,[[3,1]]],[261,cr.plugins_.Sprite.prototype.acts.SetMirrored,null,4666489259629144,!1,[[3,1]]]]],[0,null,
!1,null,0xdb38fce923eb6,[[-1,cr.system_object.prototype.cnds.Compare,null,0,!1,!1,!1,4998958581499368,!1,[[7,[20,50,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,0]]]],[8,3],[7,[20,49,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,0]]]]]],[1,cr.plugins_.Touch.prototype.cnds.IsInTouch,null,0,!1,!1,!1,6066126038266482,!1]],[[260,cr.plugins_.Sprite.prototype.acts.SetMirrored,null,5148344762636972,!1,[[3,0]]],[261,cr.plugins_.Sprite.prototype.acts.SetMirrored,null,5742401046590619,
!1,[[3,0]]]]],[0,null,!1,null,9573339805389072,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,0x95fe069c517f9,!1]],[],[[0,null,!1,null,0x8032fe35e945e,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6602956652181008,!1,[[11,"Store13"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x6927925f68107,!1]],[[-1,cr.system_object.prototype.acts.Wait,null,5137957367159541,!1,[[0,[1,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,
null,8575804975453139,!1,[[4,260],[5,[0,6]],[0,[20,45,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,7]]]],[0,[20,45,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,7]]]]]],[260,cr.behaviors.Pin.prototype.acts.Pin,"Pin",4671960382692513,!1,[[4,45],[3,1]]]],[[0,null,!1,null,701655481298662,[[45,cr.plugins_.Sprite.prototype.cnds.IsMirrored,null,0,!1,!1,!1,0xf77391d6213b6,!1]],[[260,cr.plugins_.Sprite.prototype.acts.SetMirrored,null,9154166566041940,!1,[[3,0]]]]]]],[0,null,!1,null,
4814517435979109,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,644217918317065,!1,[[11,"Store14"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x4fb9781e57f7d,!1]],[[-1,cr.system_object.prototype.acts.Wait,null,8647100631039445,!1,[[0,[1,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,6173757953080494,!1,[[4,261],[5,[0,6]],[0,[20,45,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,7]]]],[0,[20,45,cr.plugins_.Sprite.prototype.exps.ImagePointY,
!1,null,[[0,7]]]]]],[261,cr.behaviors.Pin.prototype.acts.Pin,"Pin",51964650085411,!1,[[4,45],[3,1]]]],[[0,null,!1,null,380130289425909,[[45,cr.plugins_.Sprite.prototype.cnds.IsMirrored,null,0,!1,!1,!1,0xfc08f38104caf,!1]],[[261,cr.plugins_.Sprite.prototype.acts.SetMirrored,null,9175459270582734,!1,[[3,0]]]]]]]]]]],[0,[!0,"pinnos"],!1,null,6701825555925345,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,6701825555925345,!1,[[1,[2,"pinnos"]]]]],[],[[0,null,!1,null,6800836631362409,
[[-1,cr.system_object.prototype.cnds.Compare,null,0,!1,!1,!1,8530393952088467,!1,[[7,[20,50,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,0]]]],[8,4],[7,[20,49,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,0]]]]]],[1,cr.plugins_.Touch.prototype.cnds.IsInTouch,null,0,!1,!1,!1,5222984726351432,!1]],[[262,cr.plugins_.Sprite.prototype.acts.SetMirrored,null,0x695724cec24c1,!1,[[3,1]]]]],[0,null,!1,null,0xdb38fce923eb6,[[-1,cr.system_object.prototype.cnds.Compare,null,0,!1,!1,!1,
4998958581499368,!1,[[7,[20,50,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,0]]]],[8,3],[7,[20,49,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,0]]]]]],[1,cr.plugins_.Touch.prototype.cnds.IsInTouch,null,0,!1,!1,!1,6066126038266482,!1]],[[262,cr.plugins_.Sprite.prototype.acts.SetMirrored,null,5148344762636972,!1,[[3,0]]]]],[0,null,!1,null,9573339805389072,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,0x95fe069c517f9,!1]],[],[[0,null,!1,null,0x8032fe35e945e,
[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6602956652181008,!1,[[11,"Store13"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x6927925f68107,!1]],[[-1,cr.system_object.prototype.acts.Wait,null,5137957367159541,!1,[[0,[1,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,8575804975453139,!1,[[4,262],[5,[0,6]],[0,[20,45,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,8]]]],[0,[20,45,cr.plugins_.Sprite.prototype.exps.ImagePointY,
!1,null,[[0,8]]]]]],[262,cr.behaviors.Pin.prototype.acts.Pin,"Pin",4671960382692513,!1,[[4,45],[3,1]]]],[[0,null,!1,null,701655481298662,[[45,cr.plugins_.Sprite.prototype.cnds.IsMirrored,null,0,!1,!1,!1,0xf77391d6213b6,!1]],[[262,cr.plugins_.Sprite.prototype.acts.SetMirrored,null,9154166566041940,!1,[[3,0]]]]]]]]]]]]],[0,[!0,"Mouse control"],!1,null,0x3911d0663ce9e,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,0x3911d0663ce9e,!1,[[1,[2,"Mouse control"]]]]],[],[[0,[!0,"Static Angle Joystick(sang)"],
!1,null,0xb85db9daa2ce9,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,0xb85db9daa2ce9,!1,[[1,[2,"Static Angle Joystick(sang)"]]]]],[],[[0,null,!1,null,9975431810400932,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,5409137609924547,!1]],[[50,cr.plugins_.Sprite.prototype.acts.SetPosToObject,null,5960003389878063,!1,[[4,49],[7,[0,0]]]]]],[0,null,!1,null,0xc7354b5441773,[[50,cr.behaviors.DragnDrop.prototype.cnds.IsDragging,"DragDrop",0,!1,!1,!1,7660713452075288,
!1]],[[50,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,871671802617061,!1,[[10,0],[7,[19,cr.system_object.prototype.exps.angle,[[20,49,cr.plugins_.Sprite.prototype.exps.X,!1,null],[20,49,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[20,50,cr.plugins_.Sprite.prototype.exps.X,!1,null],[20,50,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]]],[45,cr.behaviors.EightDir.prototype.acts.SetMaxSpeed,"8Direction",9074217863496806,!1,[[0,[0,200]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xb1cd38fd41936,
!1,[[0,[1,0.5]]]],[45,cr.behaviors.EightDir.prototype.acts.SetMaxSpeed,"8Direction",5292064425886448,!1,[[0,[0,250]]]]]],[0,null,!1,null,5902781157521047,[[50,cr.behaviors.DragnDrop.prototype.cnds.OnDrop,"DragDrop",1,!1,!1,!1,0x3efb47cf0562f,!1]],[[50,cr.plugins_.Sprite.prototype.acts.SetPosToObject,null,9830759297507362,!1,[[4,49],[7,[0,0]]]],[50,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xabb7de49ff9fa,!1,[[10,0],[7,[0,0]]]],[50,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,
0x834924ffa4d29,!1,[[10,0],[7,[19,cr.system_object.prototype.exps["int"],[[2,""]]]]]],[45,cr.behaviors.EightDir.prototype.acts.SetMaxSpeed,"8Direction",0x9518b58d0841,!1,[[0,[0,10]]]]]],[0,null,!1,null,550548558458397,[[50,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,8484918601185983,!1,[[10,0],[8,1],[7,[0,0]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7005256174674194,!1,[[11,"Accleration"],[8,5],[7,[0,0]]]]],[[45,cr.behaviors.EightDir.prototype.acts.SetVectorX,
"8Direction",0xf0e8508d5be6e,!1,[[0,[6,[6,[6,[19,cr.system_object.prototype.exps.cos,[[21,50,!1,null,0]]],[19,cr.system_object.prototype.exps.abs,[[5,[20,49,cr.plugins_.Sprite.prototype.exps.X,!1,null],[20,50,cr.plugins_.Sprite.prototype.exps.X,!1,null]]]]],[0,3]],[23,"InvertControl"]]]]],[45,cr.behaviors.EightDir.prototype.acts.SetVectorY,"8Direction",0x929f62100c645,!1,[[0,[6,[6,[6,[19,cr.system_object.prototype.exps.sin,[[21,50,!1,null,0]]],[19,cr.system_object.prototype.exps.abs,[[5,[20,49,cr.plugins_.Sprite.prototype.exps.Y,
!1,null],[20,50,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[0,3]],[23,"InvertControl"]]]]]]]]],[0,[!0,"Add gravity"],!1,null,4620881056563825,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,4620881056563825,!1,[[1,[2,"Add gravity"]]]]],[],[[0,null,!1,null,0xd48efbd83f59b,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0xf7980e489861,!1,[[4,50]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8168027944498808,!1,[[11,"Accleration"],[8,4],
[7,[0,0]]]]],[[45,cr.behaviors.Platform.prototype.acts.SetEnabled,"Platform",7194900776055375,!1,[[3,0]]]]],[0,null,!0,null,6571774430808801,[[1,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,9703103089279552,!1,[[4,50]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4945954768373069,!1,[[11,"Accleration"],[8,3],[7,[0,0]]]]],[[45,cr.behaviors.Platform.prototype.acts.SetEnabled,"Platform",639631592613997,!1,[[3,1]]]]]]],[0,[!0,"mouse baloons"],!1,null,8563055956366599,
[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,8563055956366599,!1,[[1,[2,"mouse baloons"]]]]],[],[[0,null,!1,null,7971351134187333,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,0xa3035649f248f,!1]],[[42,cr.behaviors.Pin.prototype.acts.Pin,"Pin",5223459061691714,!1,[[4,45],[3,0]]]]],[0,null,!1,null,0xc0133def7d927,[[-1,cr.system_object.prototype.cnds.EveryTick,null,0,!1,!1,!1,7502536561697447,!1]],[[41,cr.plugins_.Sprite.prototype.acts.SetPosToObject,null,
8394652126695884,!1,[[4,42],[7,[0,0]]]],[41,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,8898614217567129,!1,[[0,[20,45,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,45,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[41,cr.plugins_.Sprite.prototype.acts.SetWidth,null,0xb1ac9690e0f8f,!1,[[0,[19,cr.system_object.prototype.exps.distance,[[20,42,cr.plugins_.Sprite.prototype.exps.X,!1,null],[20,42,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[20,45,cr.plugins_.Sprite.prototype.exps.X,
!1,null],[20,45,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]]]]],[0,null,!1,null,0xf3badd602ecf7,[[-1,cr.system_object.prototype.cnds.Compare,null,0,!1,!1,!1,5614928626681959,!1,[[7,[20,50,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,0]]]],[8,4],[7,[20,49,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,0]]]]]],[1,cr.plugins_.Touch.prototype.cnds.IsInTouch,null,0,!1,!1,!1,64106641117195,!1]],[[45,cr.plugins_.Sprite.prototype.acts.SetMirrored,null,0x5b802d2b41e67,!1,[[3,1]]],
[42,cr.plugins_.Sprite.prototype.acts.SetMirrored,null,0x9d4b3d711a748,!1,[[3,1]]]]],[0,null,!1,null,6884462673351559,[[-1,cr.system_object.prototype.cnds.Compare,null,0,!1,!1,!1,5063532030097165,!1,[[7,[20,50,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,0]]]],[8,3],[7,[20,49,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,0]]]]]],[1,cr.plugins_.Touch.prototype.cnds.IsInTouch,null,0,!1,!1,!1,0x999ce4b386629,!1]],[[45,cr.plugins_.Sprite.prototype.acts.SetMirrored,null,8397626977039265,
!1,[[3,0]]],[42,cr.plugins_.Sprite.prototype.acts.SetMirrored,null,0xc7827a5c21de3,!1,[[3,0]]]]],[0,null,!1,null,4948267208133683,[[41,cr.plugins_.Sprite.prototype.cnds.CompareWidth,null,0,!1,!1,!1,6641983208756694,!1,[[8,5],[0,[0,100]]]]],[[41,cr.plugins_.Sprite.prototype.acts.Destroy,null,6759447771386122,!1]]]]],[0,[!0,"Rocketsmoke"],!1,null,5808023765680549,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,5808023765680549,!1,[[1,[2,"Rocketsmoke"]]]]],[],[[0,null,!1,null,6227011265367922,
[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,6977786274805074,!1]],[[43,cr.plugins_.Particles.prototype.acts.SetSpraying,null,9987313671140244,!1,[[3,0]]]]],[0,null,!1,null,0x8cf6c4546b09c,[[-1,cr.system_object.prototype.cnds.EveryTick,null,0,!1,!1,!1,6449043145713746,!1]],[[43,cr.plugins_.Particles.prototype.acts.SetPosToObject,null,5101493645107086,!1,[[4,45],[7,[0,1]]]]]],[0,null,!1,null,5507431749376363,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,0x6176b60ba10ff,
!1]],[[44,cr.plugins_.Particles.prototype.acts.SetSpraying,null,822207098040242,!1,[[3,0]]]]],[0,null,!1,null,7945078255572605,[[-1,cr.system_object.prototype.cnds.EveryTick,null,0,!1,!1,!1,5156732439398013,!1]],[[44,cr.plugins_.Particles.prototype.acts.SetPosToObject,null,9107160970061020,!1,[[4,45],[7,[0,2]]]]]],[0,null,!1,null,9075552034748504,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,6901407701755961,!1,[[4,50]]]],[[43,cr.plugins_.Particles.prototype.acts.SetSpraying,
null,0xa9488203e3d35,!1,[[3,1]]],[44,cr.plugins_.Particles.prototype.acts.SetSpraying,null,8817621756320876,!1,[[3,1]]]]],[0,null,!0,null,0x5bdba1e79fca1,[[1,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,734201392066794,!1,[[4,50]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x9a6035004a190,!1,[[11,"Accleration"],[8,3],[7,[0,0]]]]],[[43,cr.plugins_.Particles.prototype.acts.SetSpraying,null,577052116054012,!1,[[3,0]]],[44,cr.plugins_.Particles.prototype.acts.SetSpraying,
null,887829865267065,!1,[[3,0]]]]]]],[0,[!0,"Fuel"],!1,null,0x58b654360d4c2,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,0x58b654360d4c2,!1,[[1,[2,"Fuel"]]]]],[],[[0,[!0,"Countdown"],!1,null,0xd07d97b474709,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,0xd07d97b474709,!1,[[1,[2,"Countdown"]]]]],[],[[0,null,!1,null,182,[[1,cr.plugins_.Touch.prototype.cnds.IsInTouch,null,0,!1,!1,!1,183,!1]],[[-1,cr.system_object.prototype.acts.SetVar,null,184,!1,[[11,"Countdown"],
[7,[0,2]]]]]],[0,null,!1,null,0x558bebad07d96,[[45,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,5312597746982465,!1,[[4,72],[0,[0,0]],[0,[0,20]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,9386251136791744,!1,[[11,"Countdown"],[7,[0,0]]]]]],[0,null,!1,null,185,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,186,!1,[[11,"Countdown"],[8,4],[7,[0,0]]]],[-1,cr.system_object.prototype.cnds.EveryTick,null,0,!1,!1,!1,187,!1]],[[-1,cr.system_object.prototype.acts.SetVar,
null,189,!1,[[11,"Countdown"],[7,[19,cr.system_object.prototype.exps.max,[[0,0],[5,[23,"Countdown"],[19,cr.system_object.prototype.exps.dt]]]]]]]]],[0,null,!1,null,190,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,191,!1]],[[-1,cr.system_object.prototype.acts.SetVar,null,193,!1,[[11,"Countdown"],[7,[0,1]]]]]]]],[0,[!0,"Fuelcount"],!1,null,8137038919793396,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,8137038919793396,!1,[[1,[2,"Fuelcount"]]]]],[],[[0,null,
!1,null,7278613359268805,[[50,cr.behaviors.DragnDrop.prototype.cnds.IsDragging,"DragDrop",0,!1,!1,!1,7974126204124608,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x9f86fff8355,!1,[[11,"Accleration"],[8,5],[7,[0,0]]]]],[[55,cr.plugins_.Sprite.prototype.acts.SetWidth,null,6681020815180835,!1,[[0,[21,45,!1,null,0]]]]],[[0,null,!0,null,0xfb3645ac52965,[[45,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,7053394634266285,!1,[[4,67],[0,[0,0]],[0,[0,20]]]],[45,
cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0xf55d65a1021b5,!1,[[4,201],[0,[0,0]],[0,[0,20]]]],[45,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0x7ec8959ff7275,!1,[[4,209],[0,[0,0]],[0,[0,20]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,0xf6d9d0f0fd24c,!1,[[11,"Accleration"],[7,[6,[19,cr.system_object.prototype.exps.dt],[0,1]]]]],[45,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,4689771312974751,!1,[[10,0],[7,[6,[19,cr.system_object.prototype.exps.dt],
[0,1]]]]]]],[0,null,!0,null,9885470750866656,[[45,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!0,!1,0x8e59da8cf332,!1,[[4,67],[0,[0,0]],[0,[0,20]]]],[45,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0x634f236cbe9fb,!1,[[4,201],[0,[0,0]],[0,[0,20]]]],[45,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,9353678711468888,!1,[[4,209],[0,[0,0]],[0,[0,20]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,6738241399913636,!1,[[11,"Accleration"],
[7,[6,[19,cr.system_object.prototype.exps.dt],[0,10]]]]],[45,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,9671003926893804,!1,[[10,0],[7,[6,[19,cr.system_object.prototype.exps.dt],[0,10]]]]]]]]],[0,null,!1,null,9972531931531574,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xdc90a08edadc7,!1,[[11,"Countdown"],[8,3],[7,[0,1]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,9281521209813644,!1,[[11,"Accleration"],[7,[6,[19,cr.system_object.prototype.exps.dt],[0,15]]]]],
[45,cr.plugins_.Sprite.prototype.acts.AddInstanceVar,null,9859199655787516,!1,[[10,0],[7,[6,[19,cr.system_object.prototype.exps.dt],[0,15]]]]],[55,cr.plugins_.Sprite.prototype.acts.SetWidth,null,9093379519558136,!1,[[0,[21,45,!1,null,0]]]]]],[0,null,!1,null,36140121365634,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7181826027560619,!1,[[11,"Countdown"],[8,3],[7,[0,1]]]]],[],[[0,null,!0,null,5675450167959943,[[45,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,
!1,0xe56ff47b20c4e,!1,[[4,72],[0,[0,0]],[0,[0,20]]]],[45,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,5877962793063706,!1,[[4,201],[0,[0,0]],[0,[0,20]]]],[45,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,8154212081887455,!1,[[4,209],[0,[0,0]],[0,[0,20]]]],[45,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,9100721054856038,!1,[[4,67],[0,[0,0]],[0,[0,20]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,7015088761282034,!1,[[11,
"Accleration"],[7,[6,[19,cr.system_object.prototype.exps.dt],[0,80]]]]],[45,cr.plugins_.Sprite.prototype.acts.AddInstanceVar,null,0x4fb35afc6ba2e,!1,[[10,0],[7,[6,[19,cr.system_object.prototype.exps.dt],[0,80]]]]],[55,cr.plugins_.Sprite.prototype.acts.SetWidth,null,9022937452899818,!1,[[0,[21,45,!1,null,0]]]]]]]],[0,null,!1,null,6122478607363785,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xf9c8135864e19,!1,[[11,"Accleration"],[8,5],[7,[0,201]]]]],[[-1,cr.system_object.prototype.acts.SetVar,
null,0x98fb21372fdb7,!1,[[11,"Accleration"],[7,[0,200]]]],[45,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,984512102729459,!1,[[10,0],[7,[0,200]]]]]]]],[0,[!0,"Fuelcount2"],!1,null,6018035421692663,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,6018035421692663,!1,[[1,[2,"Fuelcount2"]]]]],[],[[0,null,!1,null,7278613359268805,[[50,cr.behaviors.DragnDrop.prototype.cnds.IsDragging,"DragDrop",0,!1,!1,!1,7974126204124608,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,
0,!1,!1,!1,0x9f86fff8355,!1,[[11,"Accleration"],[8,5],[7,[0,0]]]]],[[55,cr.plugins_.Sprite.prototype.acts.SetWidth,null,6681020815180835,!1,[[0,[21,45,!1,null,0]]]]],[[0,null,!0,null,0xfb3645ac52965,[[45,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,7053394634266285,!1,[[4,67],[0,[0,0]],[0,[0,20]]]],[45,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0xf55d65a1021b5,!1,[[4,201],[0,[0,0]],[0,[0,20]]]],[45,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,
null,0,!1,!1,!1,0x7ec8959ff7275,!1,[[4,209],[0,[0,0]],[0,[0,20]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,0xf6d9d0f0fd24c,!1,[[11,"Accleration"],[7,[6,[19,cr.system_object.prototype.exps.dt],[0,1]]]]],[45,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,4689771312974751,!1,[[10,0],[7,[6,[19,cr.system_object.prototype.exps.dt],[0,1]]]]]]],[0,null,!0,null,9885470750866656,[[45,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!0,!1,0x8e59da8cf332,!1,[[4,67],[0,[0,0]],[0,
[0,20]]]],[45,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0x634f236cbe9fb,!1,[[4,201],[0,[0,0]],[0,[0,20]]]],[45,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,9353678711468888,!1,[[4,209],[0,[0,0]],[0,[0,20]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,6738241399913636,!1,[[11,"Accleration"],[7,[6,[19,cr.system_object.prototype.exps.dt],[0,5]]]]],[45,cr.plugins_.Sprite.prototype.acts.SubInstanceVar,null,9671003926893804,!1,[[10,0],[7,[6,[19,
cr.system_object.prototype.exps.dt],[0,5]]]]]]]]],[0,null,!1,null,9972531931531574,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xdc90a08edadc7,!1,[[11,"Countdown"],[8,3],[7,[0,1]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,9281521209813644,!1,[[11,"Accleration"],[7,[6,[19,cr.system_object.prototype.exps.dt],[0,20]]]]],[45,cr.plugins_.Sprite.prototype.acts.AddInstanceVar,null,9859199655787516,!1,[[10,0],[7,[6,[19,cr.system_object.prototype.exps.dt],[0,20]]]]],[55,cr.plugins_.Sprite.prototype.acts.SetWidth,
null,9093379519558136,!1,[[0,[21,45,!1,null,0]]]]]],[0,null,!1,null,36140121365634,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7181826027560619,!1,[[11,"Countdown"],[8,3],[7,[0,1]]]]],[],[[0,null,!0,null,5675450167959943,[[45,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,0xe56ff47b20c4e,!1,[[4,72],[0,[0,0]],[0,[0,20]]]],[45,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,5877962793063706,!1,[[4,201],[0,[0,0]],[0,[0,20]]]],[45,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,
null,0,!1,!1,!1,8154212081887455,!1,[[4,209],[0,[0,0]],[0,[0,20]]]],[45,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,9100721054856038,!1,[[4,67],[0,[0,0]],[0,[0,20]]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,7015088761282034,!1,[[11,"Accleration"],[7,[6,[19,cr.system_object.prototype.exps.dt],[0,80]]]]],[45,cr.plugins_.Sprite.prototype.acts.AddInstanceVar,null,0x4fb35afc6ba2e,!1,[[10,0],[7,[6,[19,cr.system_object.prototype.exps.dt],[0,80]]]]],[55,cr.plugins_.Sprite.prototype.acts.SetWidth,
null,9022937452899818,!1,[[0,[21,45,!1,null,0]]]]]]]],[0,null,!1,null,6122478607363785,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xf9c8135864e19,!1,[[11,"Accleration"],[8,5],[7,[0,201]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0x98fb21372fdb7,!1,[[11,"Accleration"],[7,[0,200]]]],[45,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,984512102729459,!1,[[10,0],[7,[0,200]]]]]]]],[0,[!0,"Addfuel"],!1,null,4688416174061741,[[-1,cr.system_object.prototype.cnds.IsGroupActive,
null,0,!1,!1,!1,4688416174061741,!1,[[1,[2,"Addfuel"]]]]],[],[[0,null,!1,null,0x6faae124ae571,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,0x5ec631cc15b0a,!1]],[[57,cr.plugins_.Text.prototype.acts.SetText,null,9315592106528640,!1,[[7,[2,""]]]]]],[0,null,!1,null,0xd397d69ce51f0,[[45,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,8117407065855012,!1,[[4,61]]]],[[61,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x9bdf77e17a855,!1],[-1,cr.system_object.prototype.acts.SetVar,
null,5049586928403819,!1,[[11,"Accleration"],[7,[0,200]]]],[45,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,8431753130746562,!1,[[10,0],[7,[0,200]]]],[-1,cr.system_object.prototype.acts.AddVar,null,872660161447252,!1,[[11,"EnergyValue"],[7,[0,1]]]],[57,cr.plugins_.Text.prototype.acts.SetText,null,9540419562586080,!1,[[7,[23,"EnergyValue"]]]],[55,cr.plugins_.Sprite.prototype.acts.SetWidth,null,6628452288046488,!1,[[0,[21,45,!1,null,0]]]]]],[0,null,!1,null,905522536108029,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,5594020885599276,!1,[[11,"Accleration"],[8,3],[7,[0,5]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5022515301511722,!1,[[11,"EnergyValue"],[8,4],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,8378739913887986,!1,[[11,"Accleration"],[7,[0,200]]]],[45,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0xdafc9a35186dc,!1,[[10,0],[7,[0,200]]]],[-1,cr.system_object.prototype.acts.SubVar,null,7480152786214687,!1,[[11,"EnergyValue"],[7,[0,1]]]],[57,
cr.plugins_.Text.prototype.acts.SetText,null,5980280027891798,!1,[[7,[23,"EnergyValue"]]]],[55,cr.plugins_.Sprite.prototype.acts.SetWidth,null,497097416459595,!1,[[0,[21,45,!1,null,0]]]]]],[0,null,!1,null,0x592962a84e158,[[1,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,5677076842546682,!1,[[4,53]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,362463835162095,!1,[[11,"EnergyValue"],[8,5],[7,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,5994744638639486,
!1,[[11,"Accleration"],[7,[0,200]]]],[45,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x6693cef25db24,!1,[[10,0],[7,[0,200]]]],[-1,cr.system_object.prototype.acts.SubVar,null,5620207064497117,!1,[[11,"EnergyValue"],[7,[0,1]]]],[57,cr.plugins_.Text.prototype.acts.SetText,null,0x7f67a272bc7b6,!1,[[7,[23,"EnergyValue"]]]],[55,cr.plugins_.Sprite.prototype.acts.SetWidth,null,0x3c92ae61b885b,!1,[[0,[21,45,!1,null,0]]]]]]]]]]]],[0,[!0,"PlayerWin"],!1,null,5992848851009061,[[-1,cr.system_object.prototype.cnds.IsGroupActive,
null,0,!1,!1,!1,5992848851009061,!1,[[1,[2,"PlayerWin"]]]]],[],[[0,null,!1,null,0xde311a83d7b64,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,8012424087184301,!1]],[[-1,cr.system_object.prototype.acts.SetVar,null,0xb3984f1e76f4a,!1,[[11,"win"],[7,[0,0]]]]]],[0,null,!1,null,5391417255223085,[[1,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,4971542447225524,!1,[[4,128]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xd7ad555bd9277,!1],[1,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
null,0,!1,!0,!1,5000581381863442,!1,[[4,50]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,960246797421334,!1,[[11,"win"],[7,[0,1]]]],[123,cr.plugins_.Sprite.prototype.acts.Destroy,null,8264052634197703,!1],[121,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x5fb5f4a4a0f63,!1],[125,cr.plugins_.Sprite.prototype.acts.Destroy,null,7395207191074469,!1],[128,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x511e86e2fb009,!1],[-1,cr.system_object.prototype.acts.SetGroupActive,null,7511704640289018,
!1,[[1,[2,"Mouse control"]],[3,1]]]]],[0,null,!1,null,5890819798472598,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9381842765683294,!1,[[11,"Localstars"],[8,5],[7,[0,3]]]],[64,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,9350567393570988,!1],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8657704308146275,!1]],[[64,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,7060173054675443,!1,[[0,[0,0]]]],[81,cr.plugins_.Sprite.prototype.acts.SetPosToObject,
null,988434496771324,!1,[[4,64],[7,[0,0]]]]]],[0,null,!1,null,5143219939722564,[[45,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,9322869316170614,!1,[[4,64]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8289305445267434,!1,[[11,"Localstars"],[8,2],[7,[0,3]]]]],[[-1,cr.system_object.prototype.acts.CreateObject,null,9330911321728280,!1,[[4,149],[5,[0,6]],[0,[20,64,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,64,cr.plugins_.Sprite.prototype.exps.Y,!1,null],
[0,60]]]]]]],[0,null,!1,null,8347064089277006,[[45,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0x3db770ca7e3e9,!1,[[4,81]]]],[[4,cr.plugins_.CJSAds.prototype.acts.ShowFullscreen,null,305373630250823,!1],[-1,cr.system_object.prototype.acts.SetGroupActive,null,6940366517728592,!1,[[1,[2,"Mouse control"]],[3,0]]],[-1,cr.system_object.prototype.acts.CreateObject,null,8651098828296072,!1,[[4,127],[5,[0,9]],[0,[0,0]],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,7832235468640775,
!1,[[4,123],[5,[0,9]],[0,[19,cr.system_object.prototype.exps.canvastolayerx,[[0,9],[7,[19,cr.system_object.prototype.exps.windowwidth],[0,2]],[7,[19,cr.system_object.prototype.exps.windowwidth],[0,2]]]]],[0,[19,cr.system_object.prototype.exps.canvastolayery,[[0,9],[7,[19,cr.system_object.prototype.exps.windowheight],[0,2]],[7,[19,cr.system_object.prototype.exps.windowheight],[0,3]]]]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,9689617471520132,!1,[[4,121],[5,[0,9]],[0,[19,cr.system_object.prototype.exps.canvastolayerx,
[[0,9],[7,[19,cr.system_object.prototype.exps.windowwidth],[0,2]],[7,[19,cr.system_object.prototype.exps.windowwidth],[0,2]]]]],[0,[4,[20,123,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,65]]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,5947685575424418,!1,[[4,128],[5,[0,9]],[0,[19,cr.system_object.prototype.exps.canvastolayerx,[[0,9],[7,[19,cr.system_object.prototype.exps.windowwidth],[0,2]],[7,[19,cr.system_object.prototype.exps.windowwidth],[0,2]]]]],[0,[4,[20,123,cr.plugins_.Sprite.prototype.exps.Y,
!1,null],[0,250]]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,5746138749073495,!1,[[4,129],[5,[0,9]],[0,[4,[20,123,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,8]]],[0,[5,[20,123,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,160]]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,8043752782192071,!1,[[4,154],[5,[0,9]],[0,[4,[20,123,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,8]]],[0,[5,[20,123,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,70]]]]],[-1,cr.system_object.prototype.acts.CreateObject,
null,0xc91d3742e0a6a,!1,[[4,154],[5,[0,9]],[0,[4,[20,123,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,8]]],[0,[4,[20,123,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,135]]]]],[122,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xe9cb17015399a,!1],[56,cr.plugins_.Text.prototype.acts.SetFontColor,null,8432948714603482,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,44],[0,159],[0,205]]]]]],[56,cr.plugins_.Text.prototype.acts.MoveToLayer,null,6679047265178151,!1,[[5,[0,10]]]],[56,cr.plugins_.Text.prototype.acts.SetPos,
null,6908606842685952,!1,[[0,[5,[20,123,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,73]]],[0,[4,[20,123,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,143]]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,883775324246549,!1,[[4,62],[5,[0,9]],[0,[20,123,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,123,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,135]]]]],[-1,cr.system_object.prototype.acts.SetTimescale,null,0x900c8d18600b8,!1,[[0,[0,0]]]],[152,cr.plugins_.Sprite.prototype.acts.MoveToLayer,
null,0xe1e9138063885,!1,[[5,[0,10]]]],[152,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,4744593666091269,!1,[[0,[0,0]]]],[153,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,6264996740933174,!1,[[5,[0,10]]]],[153,cr.plugins_.Sprite.prototype.acts.SetY,null,9298897451569456,!1,[[0,[5,[20,123,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,110]]]]],[152,cr.plugins_.Sprite.prototype.acts.SetY,null,0xbc34d01b87308,!1,[[0,[5,[20,123,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,110]]]]]]]]],
[0,[!0,"Pause"],!1,null,5734211974073352,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,5734211974073352,!1,[[1,[2,"Pause"]]]]],[],[[0,null,!1,null,0xb8a7904920981,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,9837431750319996,!1]],[[4,cr.plugins_.CJSAds.prototype.acts.ShowFullscreen,null,7693119670934153,!1],[4,cr.plugins_.CJSAds.prototype.acts.HideBanner,null,837412392059799,!1],[-1,cr.system_object.prototype.acts.Wait,null,329227615156231,!1,[[0,[1,0.2]]]],
[-1,cr.system_object.prototype.acts.CreateObject,null,6487383115758209,!1,[[4,122],[5,[0,9]],[0,[4,[20,54,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,8]]],[0,[4,[20,54,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,90]]]]],[122,cr.behaviors.Pin.prototype.acts.Pin,"Pin",7417797605007922,!1,[[4,54],[3,1]]]]],[0,null,!1,null,8081205094862283,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0xfe2f4b1d0e5ed,!1,[[4,122]]]],[[-1,cr.system_object.prototype.acts.SetGroupActive,null,
0xccc38e902a485,!1,[[1,[2,"Mouse control"]],[3,0]]],[-1,cr.system_object.prototype.acts.CreateObject,null,5302020339598132,!1,[[4,127],[5,[0,9]],[0,[0,0]],[0,[0,0]]]],[127,cr.plugins_.TiledBg.prototype.acts.MoveToTop,null,9239071726270312,!1],[-1,cr.system_object.prototype.acts.Wait,null,6905325426432507,!1,[[0,[1,0.3]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,6141130870376944,!1,[[4,123],[5,[0,9]],[0,[7,[4,[19,cr.system_object.prototype.exps.viewportleft,[[0,9]]],[19,cr.system_object.prototype.exps.viewportright,
[[0,9]]]],[0,2]]],[0,[4,[19,cr.system_object.prototype.exps.viewporttop,[[0,9]]],[0,90]]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,8367745166848695,!1,[[4,121],[5,[0,9]],[0,[19,cr.system_object.prototype.exps.canvastolayerx,[[0,9],[7,[19,cr.system_object.prototype.exps.windowwidth],[0,2]],[7,[19,cr.system_object.prototype.exps.windowwidth],[0,2]]]]],[0,[4,[20,123,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,90]]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xf8577105f50df,
!1,[[4,125],[5,[0,9]],[0,[19,cr.system_object.prototype.exps.canvastolayerx,[[0,9],[7,[19,cr.system_object.prototype.exps.windowwidth],[0,2]],[7,[19,cr.system_object.prototype.exps.windowwidth],[0,2]]]]],[0,[4,[20,121,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,120]]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x83a6a6c4ac1f3,!1,[[4,225],[5,[0,9]],[0,[19,cr.system_object.prototype.exps.canvastolayerx,[[0,9],[7,[19,cr.system_object.prototype.exps.windowwidth],[0,2]],[7,[19,cr.system_object.prototype.exps.windowwidth],
[0,2]]]]],[0,[4,[20,121,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,300]]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,7598316790289371,!1,[[4,226],[5,[0,9]],[0,[5,[20,225,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,95]]],[0,[4,[20,121,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,300]]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x69d3f3077c026,!1,[[4,227],[5,[0,9]],[0,[4,[20,225,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,95]]],[0,[4,[20,121,cr.plugins_.Sprite.prototype.exps.Y,
!1,null],[0,300]]]]],[-1,cr.system_object.prototype.acts.SetTimescale,null,6506648621716124,!1,[[0,[0,0]]]],[122,cr.plugins_.Sprite.prototype.acts.Destroy,null,8032260146967033,!1],[-1,cr.system_object.prototype.acts.SetGroupActive,null,6579654938164217,!1,[[1,[2,"Lazzzzer"]],[3,0]]],[4,cr.plugins_.CJSAds.prototype.acts.ShowBanner,null,5265046667779374,!1,[[3,1]]],[4,cr.plugins_.CJSAds.prototype.acts.ShowFullscreen,null,375787767229858,!1],[-1,cr.system_object.prototype.acts.CreateObject,null,0x3c6ab108c9c5a,
!1,[[4,272],[5,[0,9]],[0,[5,[7,[4,[19,cr.system_object.prototype.exps.viewportleft,[[0,9]]],[19,cr.system_object.prototype.exps.viewportright,[[0,9]]]],[0,2]],[0,100]]],[0,[4,[20,121,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,420]]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,7083813087233666,!1,[[4,273],[5,[0,9]],[0,[4,[7,[4,[19,cr.system_object.prototype.exps.viewportleft,[[0,9]]],[19,cr.system_object.prototype.exps.viewportright,[[0,9]]]],[0,2]],[0,100]]],[0,[4,[20,121,cr.plugins_.Sprite.prototype.exps.Y,
!1,null],[0,420]]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xc8cce410c0e9d,!1,[[11,"pause"],[7,[0,1]]]]],[[0,null,!1,null,7264474834538081,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x9f8e04fc933fb,!1,[[11,"Sound"],[8,0],[7,[0,0]]]]],[[225,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7247930780064361,!1,[[1,[2,"off"]],[3,1]]]]]]],[0,null,!1,null,0xae0fbb72fff06,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,9198284984120662,!1,[[4,125]]],[1,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
null,0,!1,!0,!1,7848694514294084,!1,[[4,50]]]],[[4,cr.plugins_.CJSAds.prototype.acts.ShowBanner,null,6955298938669771,!1,[[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,null,21080920634189,!1,[[11,"Smoke"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,6069792609304485,!1,[[1,[2,"Mouse control"]],[3,1]]],[127,cr.plugins_.TiledBg.prototype.acts.Destroy,null,607420188201079,!1],[123,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x6a626a95b82d,!1],[121,cr.plugins_.Sprite.prototype.acts.Destroy,
null,6289122232264763,!1],[125,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x46794ef4b4f40,!1],[128,cr.plugins_.Sprite.prototype.acts.Destroy,null,8325575473432583,!1],[272,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x7719e7ef4c29b,!1],[273,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x96149fd00138c,!1],[225,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xe38ec86baa38c,!1],[226,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xa2878542e9d37,!1],[227,cr.plugins_.Sprite.prototype.acts.Destroy,
null,5017552317175779,!1],[-1,cr.system_object.prototype.acts.SetTimescale,null,6079637335198485,!1,[[0,[0,1]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,4807110956914721,!1,[[4,122],[5,[0,9]],[0,[4,[20,54,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,8]]],[0,[4,[20,54,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,90]]]]],[122,cr.behaviors.Pin.prototype.acts.Pin,"Pin",6267636718701729,!1,[[4,54],[3,1]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,6640390667207967,!1,[[1,
[2,"Lazzzzer"]],[3,1]]],[-1,cr.system_object.prototype.acts.SetVar,null,407950926720463,!1,[[11,"pause"],[7,[0,0]]]]]],[0,null,!1,null,0xff223ce013733,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,6923523842199319,!1,[[4,123]]],[1,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,0x920dd646500e9,!1,[[4,50]]]],[[4,cr.plugins_.CJSAds.prototype.acts.ShowBanner,null,5202476178816811,!1,[[3,0]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xc20243e0a2522,!1,[[11,
"Smoke"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,613919727898314,!1,[[1,[2,"Mouse control"]],[3,1]]],[123,cr.plugins_.Sprite.prototype.acts.Destroy,null,8517982141897068,!1],[121,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xd8997861292b3,!1],[125,cr.plugins_.Sprite.prototype.acts.Destroy,null,9775514521624388,!1],[128,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x68f1ad943481c,!1],[272,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x623ea07c5b4ff,!1],[273,cr.plugins_.Sprite.prototype.acts.Destroy,
null,8303593456592426,!1],[225,cr.plugins_.Sprite.prototype.acts.Destroy,null,5621726647458744,!1],[226,cr.plugins_.Sprite.prototype.acts.Destroy,null,8957768384286962,!1],[227,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x949673e34ec25,!1],[-1,cr.system_object.prototype.acts.SetTimescale,null,4562565319518882,!1,[[0,[0,1]]]],[-1,cr.system_object.prototype.acts.RestartLayout,null,0xfef3924a63bdc,!1],[-1,cr.system_object.prototype.acts.SetGroupActive,null,9728087628302916,!1,[[1,[2,"Lazzzzer"]],
[3,1]]],[-1,cr.system_object.prototype.acts.SetVar,null,8776201249893989,!1,[[11,"pause"],[7,[0,0]]]]]],[0,null,!1,null,0x6ff9447713631,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0xc454323b312ae,!1,[[4,121]]],[1,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,8106069325940175,!1,[[4,50]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,5548703008674396,!1,[[11,"Smoke"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,7803648537895221,
!1,[[1,[2,"Mouse control"]],[3,1]]],[45,cr.plugins_.Sprite.prototype.acts.Destroy,null,5529457549048432,!1],[-1,cr.system_object.prototype.acts.SetTimescale,null,7711028868377816,!1,[[0,[1,1]]]],[127,cr.plugins_.TiledBg.prototype.acts.SetOpacity,null,9038339327750156,!1,[[0,[0,100]]]],[127,cr.plugins_.TiledBg.prototype.acts.MoveToLayer,null,9777628913043980,!1,[[5,[0,10]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x7181db980a3f5,!1,[[4,126],[5,[0,10]],[0,[0,300]],[0,[0,470]]]],[123,
cr.plugins_.Sprite.prototype.acts.Destroy,null,8691112913078918,!1],[121,cr.plugins_.Sprite.prototype.acts.Destroy,null,4704112465075241,!1],[125,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xb5e0d2ad0bc62,!1],[128,cr.plugins_.Sprite.prototype.acts.Destroy,null,5780085097933171,!1],[124,cr.plugins_.Sprite.prototype.acts.Destroy,null,9313715575019036,!1],[41,cr.plugins_.Sprite.prototype.acts.Destroy,null,901542285526094,!1],[-1,cr.system_object.prototype.acts.Wait,null,9572058116591512,!1,[[0,[0,
2]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,0x7cbda0849b630,!1,[[6,"Click to play"]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,0x3f61588ef0c56,!1,[[1,[2,"Lazzzzer"]],[3,1]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xac7b2afa0c4e,!1,[[11,"pause"],[7,[0,0]]]]]],[0,null,!1,null,820293292759149,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0xf97e2cecae98a,!1,[[4,226]]],[1,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,6880904732001752,
!1,[[4,50]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0x93c25855806d6,!1,[[11,"Sound"],[7,[0,1]]]],[225,cr.plugins_.Sprite.prototype.acts.SetAnim,null,441346270211571,!1,[[1,[2,"on"]],[3,1]]]],[[0,null,!1,null,7610997132992463,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5162347356002373,!1,[[11,"Sound"],[8,0],[7,[0,1]]]]],[[3,cr.plugins_.Audio.prototype.acts.PlayByName,null,0x7cc0a41bbb0d7,!1,[[3,0],[1,[2,"based"]],[3,1],[0,[0,0]],[1,[2,"based"]]]]]]]],[0,null,!1,null,
8145776787566588,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,5162005410264603,!1,[[4,227]]],[1,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,0xfdf52cd936e82,!1,[[4,50]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,6563799892871169,!1,[[11,"Sound"],[7,[0,0]]]],[225,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xbf2ef1e311883,!1,[[1,[2,"off"]],[3,1]]]],[[0,null,!1,null,423738288133346,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,
5769176520100399,!1,[[11,"Sound"],[8,0],[7,[0,0]]]]],[[3,cr.plugins_.Audio.prototype.acts.StopAll,null,4833091535972773,!1]]]]],[0,null,!1,null,6659230557709713,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,9396693410254644,!1,[[4,272]]],[1,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,8054026762856591,!1,[[4,50]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,7638388991996783,!1,[[11,"Hand"],[7,[0,1]]]]]],[0,null,!1,null,429821510863896,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,
null,1,!1,!1,!1,7986071158075006,!1,[[4,273]]],[1,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!0,!1,8447082756681315,!1,[[4,50]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,7329133308884635,!1,[[11,"Hand"],[7,[0,3]]]]]],[0,null,!1,null,0xd72eb4e3f866b,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6481941851050414,!1,[[11,"Hand"],[8,0],[7,[0,1]]]]],[[272,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,0x7ddfd15558369,!1,[[0,[0,50]]]],[273,cr.plugins_.Sprite.prototype.acts.SetOpacity,
null,9907852362156408,!1,[[0,[0,100]]]]]],[0,null,!1,null,0x52759ecf57876,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9689535548576276,!1,[[11,"Hand"],[8,0],[7,[0,3]]]]],[[272,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,9862996934648912,!1,[[0,[0,100]]]],[273,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,6376045476089944,!1,[[0,[0,50]]]]]]]],[0,[!0,"Wave"],!1,null,9326029425459392,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,9326029425459392,!1,
[[1,[2,"Wave"]]]]],[],[[0,null,!1,null,5952298500151041,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,7615201841692903,!1]],[[48,cr.behaviors.Sin.prototype.acts.SetActive,"Sine3",7530535737788918,!1,[[3,0]]],[46,cr.behaviors.Sin.prototype.acts.SetActive,"Sine",5441574249264205,!1,[[3,0]]],[47,cr.behaviors.Sin.prototype.acts.SetActive,"Sine",8071409209476631,!1,[[3,0]]],[-1,cr.system_object.prototype.acts.Wait,null,8018287607633668,!1,[[0,[0,13]]]],[48,cr.behaviors.Sin.prototype.acts.SetActive,
"Sine3",0x9c65c92ab5bbb,!1,[[3,1]]],[46,cr.behaviors.Sin.prototype.acts.SetActive,"Sine",9884747670958456,!1,[[3,1]]],[47,cr.behaviors.Sin.prototype.acts.SetActive,"Sine",446367044148591,!1,[[3,1]]]]],[0,null,!1,null,7581297324856001,[[45,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,5075732131962783,!1,[[4,46]]]],[[45,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x8dba829b0623b,!1],[45,cr.plugins_.Sprite.prototype.acts.Spawn,null,9637802500627948,!1,[[4,119],[5,[0,6]],[7,[0,0]]]],
[119,cr.behaviors.EightDir.prototype.acts.SimulateControl,"8Direction",0xd7405d3e6ff02,!1,[[3,2]]],[42,cr.plugins_.Sprite.prototype.acts.Destroy,null,5156986618047502,!1],[41,cr.plugins_.Sprite.prototype.acts.Destroy,null,4644978169317402,!1]]]]],[0,[!0,"BallsCatapult"],!1,null,0xb3fb378f847b,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,0xb3fb378f847b,!1,[[1,[2,"BallsCatapult"]]]]],[],[[0,null,!1,null,6380245174250381,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,
!1,!1,!1,0x5f5a2c8c1fdf5,!1]],[[-1,cr.system_object.prototype.acts.Wait,null,0x69d95d18d450d,!1,[[0,[1,1.1]]]],[-1,cr.system_object.prototype.acts.Wait,null,9476380963572284,!1,[[0,[1,0.1]]]],[-1,cr.system_object.prototype.acts.SetVar,null,5638049324228123,!1,[[11,"Ballss"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.Wait,null,7448406867634134,!1,[[0,[1,0.1]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x88a594bc89c1c,!1,[[11,"Ballss"],[7,[0,2]]]],[-1,cr.system_object.prototype.acts.Wait,
null,9839619277819684,!1,[[0,[1,0.1]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xc5e02523a64e1,!1,[[11,"Ballss"],[7,[0,3]]]],[-1,cr.system_object.prototype.acts.Wait,null,7925993497368334,!1,[[0,[1,0.1]]]],[-1,cr.system_object.prototype.acts.SetVar,null,8546396435650341,!1,[[11,"Ballss"],[7,[0,4]]]]]],[0,null,!1,null,8912349524687672,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6286003702964865,!1,[[11,"Ballss"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,5637855234283711,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0xed8e440dedb5b,!1,[[4,130],[5,[0,9]],[0,[20,60,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[5,[20,60,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,60]]]]],[130,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0x78a0aa446a05a,!1,[[4,60],[3,1]]]]],[0,null,!1,null,8957704877635785,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xc5278c15c80e8,!1,[[11,"Ballss"],[8,0],[7,[0,2]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,659975703605911,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,9848979761825632,!1,[[4,132],[5,[0,9]],[0,[20,60,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[5,[20,60,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,120]]]]],[132,cr.behaviors.Pin.prototype.acts.Pin,"Pin",9383658512861812,!1,[[4,60],[3,1]]]]],[0,null,!1,null,7056880899290399,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,886239565013014,!1,[[11,"Ballss"],[8,0],[7,[0,3]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,6630888686474012,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,7364297601853129,!1,[[4,133],[5,[0,9]],[0,[20,60,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[5,[20,60,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,180]]]]],[133,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0x47cb140bd1d68,!1,[[4,60],[3,1]]]]],[0,null,!1,null,7293641111452968,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8550283133240844,!1,[[11,"Ballss"],[8,0],[7,[0,4]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,5049538682379029,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0x9b7b05dcc8dc0,!1,[[4,134],[5,[0,9]],[0,[20,60,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[5,[20,60,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,240]]]]],[134,cr.behaviors.Pin.prototype.acts.Pin,"Pin",7737191966899497,!1,[[4,60],[3,1]]]]],[0,null,!1,null,9327797698425948,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8609637485297537,!1,[[11,"Ballss"],[8,0],[7,[0,5]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,5046647960528543,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,9919633325473676,!1,[[4,135],[5,[0,9]],[0,[20,60,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[5,[20,60,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,300]]]]],[135,cr.behaviors.Pin.prototype.acts.Pin,"Pin",7529873261896174,!1,[[4,60],[3,1]]]]],[0,null,!1,null,5884195672010842,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9954613349364016,!1,[[11,"Ballss"],[8,0],[7,[0,6]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,0x7f14c78b72b88,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,7185907360933747,!1,[[4,136],[5,[0,9]],[0,[20,60,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[5,[20,60,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,360]]]]],[136,cr.behaviors.Pin.prototype.acts.Pin,"Pin",8756808621569928,!1,[[4,60],[3,1]]]]],[0,null,!1,null,6042839117399706,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5741064167898416,!1,[[11,"Ballss"],[8,0],[7,[0,7]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,5679357695381705,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0xfecd2c47820df,!1,[[4,137],[5,[0,9]],[0,[20,60,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[5,[20,60,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,420]]]]],[137,cr.behaviors.Pin.prototype.acts.Pin,"Pin",7373590355964761,!1,[[4,60],[3,1]]]]],[0,null,!1,null,0xf483c25c95ec8,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xe6d4bc481422c,!1,[[11,"Ballss"],[8,0],[7,[0,8]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,4907565652688478,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,6751030341886357,!1,[[4,138],[5,[0,9]],[0,[20,60,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[5,[20,60,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,480]]]]],[138,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0x7eaa8d0b2f824,!1,[[4,60],[3,1]]]]],[0,null,!1,null,5295863926235343,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,819938285768273,!1,[[11,"Ballss"],[8,0],[7,[0,9]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,0xd36946b68f6a3,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,7054538875331061,!1,[[4,139],[5,[0,9]],[0,[20,60,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[5,[20,60,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,540]]]]],[139,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0xa60998744f2bf,!1,[[4,60],[3,1]]]]],[0,null,!1,null,0x7b9da2bcfc762,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x506b35883849f,!1,[[11,"Ballss"],[8,0],[7,[0,10]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,0xcb304e80d5797,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,9250890947166418,!1,[[4,131],[5,[0,9]],[0,[20,60,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[5,[20,60,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,600]]]]],[131,cr.behaviors.Pin.prototype.acts.Pin,"Pin",7626360178331436,!1,[[4,60],[3,1]]]]],[0,null,!1,null,7188408937043878,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4818796796684042,!1,[[11,"Ballss"],[8,3],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetGroupActive,
null,5801789062796618,!1,[[1,[2,"Catapult"]],[3,0]]]]],[0,null,!1,null,8924591784447006,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4907259261317385,!1,[[11,"Ballss"],[8,4],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetGroupActive,null,6893795152320628,!1,[[1,[2,"Catapult"]],[3,1]]]]]]],[0,[!0,"Catapult"],!1,null,7405803753541937,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,7405803753541937,!1,[[1,[2,"Catapult"]]]]],[],[[0,null,!1,null,0x9a91fd402f051,
[[1,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,7309573846436891,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8538538101761766,!1,[[11,"BulletValue"],[8,3],[7,[0,0]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7734270145759539,!1,[[11,"Catapult"],[8,3],[7,[0,0]]]]],[[140,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xf472cb541225d,!1],[-1,cr.system_object.prototype.acts.CreateObject,null,0x96d139fcee487,!1,[[4,140],[5,[0,
6]],[0,[20,45,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,45,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,7193619897036523,!1,[[4,141],[5,[0,6]],[0,[0,0]],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xf8d24d2472c5a,!1,[[11,"BulletValue"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,0x65a33581e23c7,!1,[[1,[2,"acell"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetLayoutScale,null,442047680210818,
!1,[[0,[1,0.9]]]],[-1,cr.system_object.prototype.acts.SetLayerOpacity,null,9171374341062480,!1,[[5,[0,9]],[0,[0,0]]]]]],[0,null,!1,null,4576534154336011,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4758332387924312,!1,[[11,"BulletValue"],[8,0],[7,[0,1]]]]],[[140,cr.plugins_.Sprite.prototype.acts.SetPosToObject,null,0xbaa07572dc90d,!1,[[4,45],[7,[0,0]]]],[141,cr.plugins_.Sprite.prototype.acts.SetPosToObject,null,6697092418898207,!1,[[4,45],[7,[0,0]]]],[45,cr.behaviors.EightDir.prototype.acts.SetEnabled,
"8Direction",0x4d556861f975f,!1,[[3,0]]],[45,cr.behaviors.Platform.prototype.acts.SetEnabled,"Platform",6273973116930616,!1,[[3,0]]]],[[0,null,!1,null,0xc16372f7593cd,[[1,cr.plugins_.Touch.prototype.cnds.IsInTouch,null,0,!1,!1,!1,0xdbd90f4b0695,!1]],[[140,cr.plugins_.Sprite.prototype.acts.SetAngle,null,9203178280654564,!1,[[0,[19,cr.system_object.prototype.exps.angle,[[20,1,cr.plugins_.Touch.prototype.exps.X,!1,null],[20,1,cr.plugins_.Touch.prototype.exps.Y,!1,null],[20,45,cr.plugins_.Sprite.prototype.exps.X,
!1,null],[20,45,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]]],[141,cr.plugins_.Sprite.prototype.acts.SetAngle,null,8959541432737965,!1,[[0,[19,cr.system_object.prototype.exps.angle,[[20,1,cr.plugins_.Touch.prototype.exps.X,!1,null],[20,1,cr.plugins_.Touch.prototype.exps.Y,!1,null],[20,45,cr.plugins_.Sprite.prototype.exps.X,!1,null],[20,45,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]]],[140,cr.plugins_.Sprite.prototype.acts.MoveAtAngle,null,585950928888972,!1,[[0,[4,[20,140,cr.plugins_.Sprite.prototype.exps.Angle,
!1,null],[0,180]]],[0,[6,[19,cr.system_object.prototype.exps.min,[[7,[19,cr.system_object.prototype.exps.distance,[[20,1,cr.plugins_.Touch.prototype.exps.X,!1,null],[20,1,cr.plugins_.Touch.prototype.exps.Y,!1,null],[20,45,cr.plugins_.Sprite.prototype.exps.X,!1,null],[20,45,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]],[0,3]],[0,45]]],[1,1.5]]]]],[141,cr.plugins_.Sprite.prototype.acts.MoveAtAngle,null,5554308387957117,!1,[[0,[4,[20,141,cr.plugins_.Sprite.prototype.exps.Angle,!1,null],[0,180]]],[0,
[19,cr.system_object.prototype.exps.min,[[7,[3,[19,cr.system_object.prototype.exps.distance,[[20,1,cr.plugins_.Touch.prototype.exps.X,!1,null],[20,1,cr.plugins_.Touch.prototype.exps.Y,!1,null],[20,45,cr.plugins_.Sprite.prototype.exps.X,!1,null],[20,45,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[0,6]],[0,45]]]]]]]],[0,null,!1,null,780657530498492,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,4848850005126735,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,
0x9212773915da3,!1,[[11,"Ballss"],[8,5],[7,[0,10]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,5972724643374611,!1,[[11,"Ballss"],[7,[0,9]]]],[131,cr.plugins_.Sprite.prototype.acts.Destroy,null,5616344612223439,!1],[-1,cr.system_object.prototype.acts.SetVar,null,0xf0b10826dcd82,!1,[[11,"Catapult"],[7,[0,1]]]],[141,cr.plugins_.Sprite.prototype.acts.Destroy,null,8429793269135656,!1],[140,cr.behaviors.Bullet.prototype.acts.SetAcceleration,"Bullet",0x5e68cd1206f79,!1,[[0,[7,[19,cr.system_object.prototype.exps.distance,
[[20,140,cr.plugins_.Sprite.prototype.exps.X,!1,null],[20,140,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[20,45,cr.plugins_.Sprite.prototype.exps.X,!1,null],[20,45,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]],[1,3.8]]]]],[-1,cr.system_object.prototype.acts.SetVar,null,5385303257551759,!1,[[11,"BulletValue"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.Wait,null,6506366673654602,!1,[[0,[1,0.5]]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,9856649646882688,!1,[[1,[2,"acell"]],[3,
1]]],[45,cr.behaviors.EightDir.prototype.acts.SetEnabled,"8Direction",5913089761222226,!1,[[3,1]]],[45,cr.behaviors.Platform.prototype.acts.SetEnabled,"Platform",7849357280193685,!1,[[3,1]]],[-1,cr.system_object.prototype.acts.Wait,null,6342097236158599,!1,[[0,[0,2]]]],[140,cr.plugins_.Sprite.prototype.acts.Destroy,null,9550279454231596,!1],[-1,cr.system_object.prototype.acts.SetVar,null,0x7b48c36ddcef4,!1,[[11,"Catapult"],[7,[0,0]]]],[140,cr.plugins_.Sprite.prototype.acts.Spawn,null,347275049166007,
!1,[[4,150],[5,[0,6]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetLayoutScale,null,0xbd11489dd68e5,!1,[[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetLayerOpacity,null,0xe052eb3102c86,!1,[[5,[0,9]],[0,[0,100]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x879a16ee3b83f,!1,[[0,[1,0.6]]]],[150,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xc9c66de505254,!1]]],[0,null,!1,null,0x9520cb81f326c,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,9898951568233464,!1],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,8147431382209457,!1,[[11,"Ballss"],[8,0],[7,[0,9]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,732426310484427,!1,[[11,"Ballss"],[7,[0,1]]]],[139,cr.plugins_.Sprite.prototype.acts.Destroy,null,5580300022008863,!1],[-1,cr.system_object.prototype.acts.SetVar,null,0x6bf817ac86cc3,!1,[[11,"Catapult"],[7,[0,1]]]],[141,cr.plugins_.Sprite.prototype.acts.Destroy,null,8700918347484424,!1],[-1,cr.system_object.prototype.acts.SetVar,null,0xa4be98701f49,!1,[[11,"BulletValue"],[7,[0,0]]]],
[-1,cr.system_object.prototype.acts.Wait,null,6155613995303672,!1,[[0,[1,0.5]]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,0x7d9d046daddd9,!1,[[1,[2,"acell"]],[3,1]]],[45,cr.behaviors.EightDir.prototype.acts.SetEnabled,"8Direction",0xcb5a7fd36c980,!1,[[3,1]]],[45,cr.behaviors.Platform.prototype.acts.SetEnabled,"Platform",0x94bfc67c7fc2e,!1,[[3,1]]],[-1,cr.system_object.prototype.acts.Wait,null,0xfb42e1d2a723a,!1,[[0,[0,2]]]],[140,cr.plugins_.Sprite.prototype.acts.Destroy,null,7985391645760182,
!1],[-1,cr.system_object.prototype.acts.SetVar,null,6751092699721388,!1,[[11,"Catapult"],[7,[0,0]]]],[140,cr.plugins_.Sprite.prototype.acts.Spawn,null,6955349784767693,!1,[[4,150],[5,[0,6]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetLayoutScale,null,0xb888f92927c53,!1,[[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetLayerOpacity,null,0x3cfc724cd275c,!1,[[5,[0,9]],[0,[0,100]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xaefcb2fc44450,!1,[[0,[1,0.6]]]],[150,cr.plugins_.Sprite.prototype.acts.Destroy,
null,5422148379089504,!1]]],[0,null,!1,null,8867608275031819,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,0x52cfee9f5cdab,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5913312903211912,!1,[[11,"Ballss"],[8,0],[7,[0,8]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,0x85fac7d52b9d6,!1,[[11,"Ballss"],[7,[0,1]]]],[138,cr.plugins_.Sprite.prototype.acts.Destroy,null,9782465986960202,!1],[-1,cr.system_object.prototype.acts.SetVar,null,5985183894740308,!1,[[11,
"Catapult"],[7,[0,1]]]],[141,cr.plugins_.Sprite.prototype.acts.Destroy,null,665883417184262,!1],[-1,cr.system_object.prototype.acts.SetVar,null,9135508982636444,!1,[[11,"BulletValue"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.Wait,null,81377029558515,!1,[[0,[1,0.5]]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,8618656115374485,!1,[[1,[2,"acell"]],[3,1]]],[45,cr.behaviors.EightDir.prototype.acts.SetEnabled,"8Direction",4552536274787845,!1,[[3,1]]],[45,cr.behaviors.Platform.prototype.acts.SetEnabled,
"Platform",0x491940d0cde5d,!1,[[3,1]]],[-1,cr.system_object.prototype.acts.Wait,null,6449167287636507,!1,[[0,[0,2]]]],[140,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x784c1a03fbfe8,!1],[-1,cr.system_object.prototype.acts.SetVar,null,6591316323846917,!1,[[11,"Catapult"],[7,[0,0]]]],[140,cr.plugins_.Sprite.prototype.acts.Spawn,null,5270257731823131,!1,[[4,150],[5,[0,6]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetLayoutScale,null,0x9475ce4e9e3b1,!1,[[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetLayerOpacity,
null,0x50d3a41489bbd,!1,[[5,[0,9]],[0,[0,100]]]],[-1,cr.system_object.prototype.acts.Wait,null,5671691110894786,!1,[[0,[1,0.6]]]],[150,cr.plugins_.Sprite.prototype.acts.Destroy,null,707946213271677,!1]]],[0,null,!1,null,7683215844295981,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,5999273528491385,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9912607046353460,!1,[[11,"Ballss"],[8,0],[7,[0,7]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,500662614415883,
!1,[[11,"Ballss"],[7,[0,1]]]],[137,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x98b0ad31838c5,!1],[-1,cr.system_object.prototype.acts.SetVar,null,6293791876185379,!1,[[11,"Catapult"],[7,[0,1]]]],[141,cr.plugins_.Sprite.prototype.acts.Destroy,null,5020036449729845,!1],[-1,cr.system_object.prototype.acts.SetVar,null,0x97bce2f0cbada,!1,[[11,"BulletValue"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xa452e62f01a1,!1,[[0,[1,0.5]]]],[-1,cr.system_object.prototype.acts.SetGroupActive,
null,5368844313438303,!1,[[1,[2,"acell"]],[3,1]]],[45,cr.behaviors.EightDir.prototype.acts.SetEnabled,"8Direction",9245514888899916,!1,[[3,1]]],[45,cr.behaviors.Platform.prototype.acts.SetEnabled,"Platform",5850950791552495,!1,[[3,1]]],[-1,cr.system_object.prototype.acts.Wait,null,6420165184311771,!1,[[0,[0,2]]]],[140,cr.plugins_.Sprite.prototype.acts.Destroy,null,9572052916892348,!1],[-1,cr.system_object.prototype.acts.SetVar,null,9746089756595714,!1,[[11,"Catapult"],[7,[0,0]]]],[140,cr.plugins_.Sprite.prototype.acts.Spawn,
null,674407224657617,!1,[[4,150],[5,[0,6]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetLayoutScale,null,0xc9c738a63ec55,!1,[[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetLayerOpacity,null,7846717336625695,!1,[[5,[0,9]],[0,[0,100]]]],[-1,cr.system_object.prototype.acts.Wait,null,84323271834957,!1,[[0,[1,0.6]]]],[150,cr.plugins_.Sprite.prototype.acts.Destroy,null,7663196488648759,!1]]],[0,null,!1,null,0x6d6be2d495fea,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,0x849e55d7fe054,
!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7713648012915004,!1,[[11,"Ballss"],[8,0],[7,[0,6]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,0x84a18cae355cf,!1,[[11,"Ballss"],[7,[0,1]]]],[136,cr.plugins_.Sprite.prototype.acts.Destroy,null,6580366983784025,!1],[-1,cr.system_object.prototype.acts.SetVar,null,9718659955344020,!1,[[11,"Catapult"],[7,[0,1]]]],[141,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xd13ebd4190ce7,!1],[-1,cr.system_object.prototype.acts.SetVar,
null,8184874714424458,!1,[[11,"BulletValue"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x5a746daf2b59a,!1,[[0,[1,0.5]]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,8256151216722692,!1,[[1,[2,"acell"]],[3,1]]],[45,cr.behaviors.EightDir.prototype.acts.SetEnabled,"8Direction",8318385457265375,!1,[[3,1]]],[45,cr.behaviors.Platform.prototype.acts.SetEnabled,"Platform",9398981358877052,!1,[[3,1]]],[-1,cr.system_object.prototype.acts.Wait,null,4597715662310459,!1,[[0,[0,2]]]],
[140,cr.plugins_.Sprite.prototype.acts.Destroy,null,7321837181923542,!1],[-1,cr.system_object.prototype.acts.SetVar,null,9092806618309E3,!1,[[11,"Catapult"],[7,[0,0]]]],[140,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xc223a4067f63c,!1,[[4,150],[5,[0,6]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetLayoutScale,null,5729261936515852,!1,[[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetLayerOpacity,null,455154924103754,!1,[[5,[0,9]],[0,[0,100]]]],[-1,cr.system_object.prototype.acts.Wait,null,
5403304582965885,!1,[[0,[1,0.6]]]],[150,cr.plugins_.Sprite.prototype.acts.Destroy,null,8562602372311235,!1]]],[0,null,!1,null,6874721013800994,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,9872004452277044,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4806728275286403,!1,[[11,"Ballss"],[8,0],[7,[0,5]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,0xf191c759e50c6,!1,[[11,"Ballss"],[7,[0,1]]]],[135,cr.plugins_.Sprite.prototype.acts.Destroy,null,5102061219499449,
!1],[-1,cr.system_object.prototype.acts.SetVar,null,5541334043568423,!1,[[11,"Catapult"],[7,[0,1]]]],[141,cr.plugins_.Sprite.prototype.acts.Destroy,null,9202271508047360,!1],[-1,cr.system_object.prototype.acts.SetVar,null,6578095766330072,!1,[[11,"BulletValue"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xf3904c92296a,!1,[[0,[1,0.5]]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,7522231789387516,!1,[[1,[2,"acell"]],[3,1]]],[45,cr.behaviors.EightDir.prototype.acts.SetEnabled,
"8Direction",7075810572028055,!1,[[3,1]]],[45,cr.behaviors.Platform.prototype.acts.SetEnabled,"Platform",6178314987033165,!1,[[3,1]]],[-1,cr.system_object.prototype.acts.Wait,null,0x8cc6cc2391646,!1,[[0,[0,2]]]],[140,cr.plugins_.Sprite.prototype.acts.Destroy,null,8227024933298695,!1],[-1,cr.system_object.prototype.acts.SetVar,null,0xc297c0692c835,!1,[[11,"Catapult"],[7,[0,0]]]],[140,cr.plugins_.Sprite.prototype.acts.Spawn,null,6409643323599144,!1,[[4,150],[5,[0,6]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetLayoutScale,
null,0xc6e75330ee4b1,!1,[[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetLayerOpacity,null,5903813499343808,!1,[[5,[0,9]],[0,[0,100]]]],[-1,cr.system_object.prototype.acts.Wait,null,9987370770891948,!1,[[0,[1,0.6]]]],[150,cr.plugins_.Sprite.prototype.acts.Destroy,null,6566830405607664,!1]]],[0,null,!1,null,4756298423204731,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,6887410991654201,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x79be1a9e083b6,!1,[[11,"Ballss"],
[8,0],[7,[0,4]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,0xc8950dd71283,!1,[[11,"Ballss"],[7,[0,1]]]],[134,cr.plugins_.Sprite.prototype.acts.Destroy,null,7838008338021977,!1],[-1,cr.system_object.prototype.acts.SetVar,null,0x8ac516994f505,!1,[[11,"Catapult"],[7,[0,1]]]],[141,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x937bdcfd8bcbd,!1],[-1,cr.system_object.prototype.acts.SetVar,null,0x4bc430ea0e145,!1,[[11,"BulletValue"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xa11c8bdd9b3b0,
!1,[[0,[1,0.5]]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,326777833693369,!1,[[1,[2,"acell"]],[3,1]]],[45,cr.behaviors.EightDir.prototype.acts.SetEnabled,"8Direction",883071103822606,!1,[[3,1]]],[45,cr.behaviors.Platform.prototype.acts.SetEnabled,"Platform",9326089318789372,!1,[[3,1]]],[-1,cr.system_object.prototype.acts.Wait,null,8658518244882735,!1,[[0,[0,2]]]],[140,cr.plugins_.Sprite.prototype.acts.Destroy,null,7437756617830053,!1],[-1,cr.system_object.prototype.acts.SetVar,null,
8105381937256684,!1,[[11,"Catapult"],[7,[0,0]]]],[140,cr.plugins_.Sprite.prototype.acts.Spawn,null,9493631623123800,!1,[[4,150],[5,[0,6]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetLayoutScale,null,0x6b8993a5e26e5,!1,[[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetLayerOpacity,null,0x8ec32d1d8a695,!1,[[5,[0,9]],[0,[0,100]]]],[-1,cr.system_object.prototype.acts.Wait,null,4924060903772979,!1,[[0,[1,0.6]]]],[150,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x68b25240b895c,!1]]],[0,null,
!1,null,4932527447584806,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,5218159722007462,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9956821158402508,!1,[[11,"Ballss"],[8,0],[7,[0,3]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,5638321380322284,!1,[[11,"Ballss"],[7,[0,1]]]],[133,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xb439d544fa447,!1],[-1,cr.system_object.prototype.acts.SetVar,null,7860057454726493,!1,[[11,"Catapult"],[7,[0,1]]]],[141,cr.plugins_.Sprite.prototype.acts.Destroy,
null,8195997312429837,!1],[-1,cr.system_object.prototype.acts.SetVar,null,5296921303251587,!1,[[11,"BulletValue"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.Wait,null,7574128723925026,!1,[[0,[1,0.5]]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,5576023656626271,!1,[[1,[2,"acell"]],[3,1]]],[45,cr.behaviors.EightDir.prototype.acts.SetEnabled,"8Direction",0xb92bbdf9df9ed,!1,[[3,1]]],[45,cr.behaviors.Platform.prototype.acts.SetEnabled,"Platform",0xe9d6973bdf663,!1,[[3,1]]],[-1,cr.system_object.prototype.acts.Wait,
null,0xc8a8f510802f7,!1,[[0,[0,2]]]],[140,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x6b7eb72adcb77,!1],[-1,cr.system_object.prototype.acts.SetVar,null,0xcd712a82d451e,!1,[[11,"Catapult"],[7,[0,0]]]],[140,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xe34484bccf836,!1,[[4,150],[5,[0,6]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetLayoutScale,null,8371247210502788,!1,[[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetLayerOpacity,null,0xa22c0030c4edb,!1,[[5,[0,9]],[0,[0,100]]]],[-1,cr.system_object.prototype.acts.Wait,
null,6446622921858632,!1,[[0,[1,0.6]]]],[150,cr.plugins_.Sprite.prototype.acts.Destroy,null,8973170862505858,!1]]],[0,null,!1,null,7437596909347786,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,710593990372374,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8168579086976205,!1,[[11,"Ballss"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,4839815018138279,!1,[[11,"Ballss"],[7,[0,1]]]],[132,cr.plugins_.Sprite.prototype.acts.Destroy,null,9375672254135972,
!1],[-1,cr.system_object.prototype.acts.SetVar,null,695317878281757,!1,[[11,"Catapult"],[7,[0,1]]]],[141,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x9980b7115f279,!1],[-1,cr.system_object.prototype.acts.SetVar,null,5613330559741182,!1,[[11,"BulletValue"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.Wait,null,602143629064265,!1,[[0,[1,0.5]]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,9001055633632208,!1,[[1,[2,"acell"]],[3,1]]],[45,cr.behaviors.EightDir.prototype.acts.SetEnabled,
"8Direction",6968416662123591,!1,[[3,1]]],[45,cr.behaviors.Platform.prototype.acts.SetEnabled,"Platform",0x51ccab89b5871,!1,[[3,1]]],[-1,cr.system_object.prototype.acts.Wait,null,0x6925c71768d6,!1,[[0,[0,2]]]],[140,cr.plugins_.Sprite.prototype.acts.Destroy,null,6711053035602432,!1],[-1,cr.system_object.prototype.acts.SetVar,null,0xc6a6a417711a5,!1,[[11,"Catapult"],[7,[0,0]]]],[140,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x6c965f3cdcefd,!1,[[4,150],[5,[0,6]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetLayoutScale,
null,0xc9daff58bcaf8,!1,[[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetLayerOpacity,null,0x59dc4a5906633,!1,[[5,[0,9]],[0,[0,100]]]],[-1,cr.system_object.prototype.acts.Wait,null,5589437935385923,!1,[[0,[1,0.6]]]],[150,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x7051213257d15,!1]]],[0,null,!1,null,8304067313380087,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchEnd,null,1,!1,!1,!1,8592067920440549,!1],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7255991685308009,!1,[[11,"Ballss"],
[8,0],[7,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,0x7120b325f4fb9,!1,[[11,"Ballss"],[7,[0,1]]]],[130,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x40102d49bc9fc,!1],[-1,cr.system_object.prototype.acts.SetVar,null,6188799226354155,!1,[[11,"Catapult"],[7,[0,1]]]],[141,cr.plugins_.Sprite.prototype.acts.Destroy,null,970108562565994,!1],[-1,cr.system_object.prototype.acts.SetVar,null,0xd0fe9ced378fe,!1,[[11,"BulletValue"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.Wait,null,8031183916073658,
!1,[[0,[1,0.5]]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,0x8fe5f68026c85,!1,[[1,[2,"acell"]],[3,1]]],[45,cr.behaviors.EightDir.prototype.acts.SetEnabled,"8Direction",6079397986253368,!1,[[3,1]]],[45,cr.behaviors.Platform.prototype.acts.SetEnabled,"Platform",8054127800493682,!1,[[3,1]]],[-1,cr.system_object.prototype.acts.Wait,null,7003740839547385,!1,[[0,[0,2]]]],[140,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x6d9469de4dc1b,!1],[-1,cr.system_object.prototype.acts.SetVar,null,
0xae6970c726380,!1,[[11,"Catapult"],[7,[0,0]]]],[140,cr.plugins_.Sprite.prototype.acts.Spawn,null,7812375539633102,!1,[[4,150],[5,[0,6]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetLayoutScale,null,0xf09fb870e1435,!1,[[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetLayerOpacity,null,4966134957938076,!1,[[5,[0,9]],[0,[0,100]]]],[-1,cr.system_object.prototype.acts.Wait,null,5027414887416866,!1,[[0,[1,0.6]]]],[150,cr.plugins_.Sprite.prototype.acts.Destroy,null,8343859686841733,!1]]]]]]],[0,
[!0,"Startop"],!1,null,0x6faad6bef02eb,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,0x6faad6bef02eb,!1,[[1,[2,"Startop"]]]]],[],[[0,null,!0,null,583075993703677,[[45,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0x5e9aab0f66e93,!1,[[4,79]]],[178,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0xf37aeae160160,!1,[[4,79]]]],[[79,cr.plugins_.Sprite.prototype.acts.Destroy,null,9920146292759064,!1],[-1,cr.system_object.prototype.acts.AddVar,null,8681495472637082,
!1,[[11,"Localstars"],[7,[0,1]]]]]],[0,null,!1,null,8088155631045169,[[153,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0x51ac230c801b7,!1,[[4,152]]]],[[152,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xb321563b5f905,!1]]],[0,null,!1,null,9357101013890886,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,7105417010185599,!1]],[[-1,cr.system_object.prototype.acts.Wait,null,7409677964388314,!1,[[0,[1,0.3]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,
4674962391433204,!1,[[4,152],[5,[0,9]],[0,[5,[20,54,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,156]]],[0,[4,[20,54,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,50]]]]],[152,cr.behaviors.Pin.prototype.acts.Pin,"Pin",9764657727102468,!1,[[4,54],[3,1]]],[-1,cr.system_object.prototype.acts.CreateObject,null,6317009473475701,!1,[[4,152],[5,[0,9]],[0,[5,[20,54,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,120]]],[0,[4,[20,54,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,50]]]]],[152,cr.behaviors.Pin.prototype.acts.Pin,
"Pin",7383349820749621,!1,[[4,54],[3,1]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x7b164be60a1f8,!1,[[4,152],[5,[0,9]],[0,[5,[20,54,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,84]]],[0,[4,[20,54,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,50]]]]],[152,cr.behaviors.Pin.prototype.acts.Pin,"Pin",5475284110637993,!1,[[4,54],[3,1]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xfdf4b3cbcab52,!1,[[4,152],[5,[0,9]],[0,[5,[20,54,cr.plugins_.Sprite.prototype.exps.X,!1,null],
[0,48]]],[0,[4,[20,54,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,50]]]]],[152,cr.behaviors.Pin.prototype.acts.Pin,"Pin",4730747660915226,!1,[[4,54],[3,1]]],[-1,cr.system_object.prototype.acts.CreateObject,null,9926287243546128,!1,[[4,152],[5,[0,9]],[0,[5,[20,54,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,12]]],[0,[4,[20,54,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,50]]]]],[152,cr.behaviors.Pin.prototype.acts.Pin,"Pin",4555710141312167,!1,[[4,54],[3,1]]],[-1,cr.system_object.prototype.acts.CreateObject,
null,4679797732726667,!1,[[4,152],[5,[0,9]],[0,[4,[20,54,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,24]]],[0,[4,[20,54,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,50]]]]],[152,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0x3bca53e4d9b81,!1,[[4,54],[3,1]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x73b093424f9e,!1,[[4,152],[5,[0,9]],[0,[4,[20,54,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,60]]],[0,[4,[20,54,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,50]]]]],[152,cr.behaviors.Pin.prototype.acts.Pin,
"Pin",7018444180334836,!1,[[4,54],[3,1]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x74b2f6b53151,!1,[[4,152],[5,[0,9]],[0,[4,[20,54,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,96]]],[0,[4,[20,54,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,50]]]]],[152,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0xeefc26388019a,!1,[[4,54],[3,1]]],[-1,cr.system_object.prototype.acts.CreateObject,null,8479396397185561,!1,[[4,152],[5,[0,9]],[0,[4,[20,54,cr.plugins_.Sprite.prototype.exps.X,!1,null],
[0,132]]],[0,[4,[20,54,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,50]]]]],[152,cr.behaviors.Pin.prototype.acts.Pin,"Pin",8653681320251221,!1,[[4,54],[3,1]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x9dfc8123fe902,!1,[[4,152],[5,[0,9]],[0,[4,[20,54,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,168]]],[0,[4,[20,54,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,50]]]]],[152,cr.behaviors.Pin.prototype.acts.Pin,"Pin",5301008092596651,!1,[[4,54],[3,1]]]]],[0,null,!1,null,0x476a5af285f9a,
[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x4b7befd1e4a23,!1,[[11,"Localstars"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x7925b2c011330,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0x62934045789ad,!1,[[4,153],[5,[0,9]],[0,[5,[20,54,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,156]]],[0,[4,[20,54,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,50]]]]],[153,cr.behaviors.Pin.prototype.acts.Pin,"Pin",4969073523344176,!1,
[[4,54],[3,1]]],[153,cr.plugins_.Sprite.prototype.acts.MoveToBottom,null,9798561458295628,!1],[153,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x86013caa2a4a6,!1,[[4,151],[5,[0,9]],[7,[0,0]]]]]],[0,null,!1,null,7550802862101467,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7890033462061881,!1,[[11,"Localstars"],[8,0],[7,[0,2]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x48f0b3f29a90f,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,8918004675789338,
!1,[[4,153],[5,[0,9]],[0,[5,[20,54,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,120]]],[0,[4,[20,54,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,50]]]]],[153,cr.behaviors.Pin.prototype.acts.Pin,"Pin",8514703939172151,!1,[[4,54],[3,1]]],[153,cr.plugins_.Sprite.prototype.acts.MoveToBottom,null,0x7878c757ba15b,!1],[153,cr.plugins_.Sprite.prototype.acts.Spawn,null,8790957608675544,!1,[[4,151],[5,[0,9]],[7,[0,0]]]]]],[0,null,!1,null,5064816587883261,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,0xc9bc5df3da4f2,!1,[[11,"Localstars"],[8,0],[7,[0,3]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x87dcad46d6667,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0xac00d7e3b2193,!1,[[4,153],[5,[0,9]],[0,[5,[20,54,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,84]]],[0,[4,[20,54,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,50]]]]],[153,cr.behaviors.Pin.prototype.acts.Pin,"Pin",9243006941953958,!1,[[4,54],[3,1]]],[153,cr.plugins_.Sprite.prototype.acts.MoveToBottom,
null,0xc5bfeaca71d1d,!1],[153,cr.plugins_.Sprite.prototype.acts.Spawn,null,5347336459286811,!1,[[4,151],[5,[0,9]],[7,[0,0]]]]]],[0,null,!1,null,0x54acf28b23c43,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7786339665969329,!1,[[11,"Localstars"],[8,0],[7,[0,4]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5186745705972482,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,6569390691943782,!1,[[4,153],[5,[0,9]],[0,[5,[20,54,cr.plugins_.Sprite.prototype.exps.X,
!1,null],[0,48]]],[0,[4,[20,54,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,50]]]]],[153,cr.behaviors.Pin.prototype.acts.Pin,"Pin",417608421109526,!1,[[4,54],[3,1]]],[153,cr.plugins_.Sprite.prototype.acts.MoveToBottom,null,0xdbc781ef04d1c,!1],[153,cr.plugins_.Sprite.prototype.acts.Spawn,null,6116844310953201,!1,[[4,151],[5,[0,9]],[7,[0,0]]]]]],[0,null,!1,null,8726207591022167,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5586192749104173,!1,[[11,"Localstars"],[8,0],[7,[0,5]]]],
[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,352530372936274,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,7594649279272313,!1,[[4,153],[5,[0,9]],[0,[5,[20,54,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,12]]],[0,[4,[20,54,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,50]]]]],[153,cr.behaviors.Pin.prototype.acts.Pin,"Pin",566001114659739,!1,[[4,54],[3,1]]],[153,cr.plugins_.Sprite.prototype.acts.MoveToBottom,null,0xd75e903a64a9b,!1],[153,cr.plugins_.Sprite.prototype.acts.Spawn,
null,0xc1546c3e61889,!1,[[4,151],[5,[0,9]],[7,[0,0]]]]]],[0,null,!1,null,5308210859069395,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8489887516858533,!1,[[11,"Localstars"],[8,0],[7,[0,6]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6448232249309689,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0x81978c677044a,!1,[[4,153],[5,[0,9]],[0,[4,[20,54,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,24]]],[0,[4,[20,54,cr.plugins_.Sprite.prototype.exps.Y,
!1,null],[0,50]]]]],[153,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0xfb1388efdf844,!1,[[4,54],[3,1]]],[153,cr.plugins_.Sprite.prototype.acts.MoveToBottom,null,0x541a7de103438,!1],[153,cr.plugins_.Sprite.prototype.acts.Spawn,null,8858027504064976,!1,[[4,151],[5,[0,9]],[7,[0,0]]]]]],[0,null,!1,null,8771801644867145,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5836073379719874,!1,[[11,"Localstars"],[8,0],[7,[0,7]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xe86d8a5f94eaa,
!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,5153387777692579,!1,[[4,153],[5,[0,9]],[0,[4,[20,54,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,60]]],[0,[4,[20,54,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,50]]]]],[153,cr.behaviors.Pin.prototype.acts.Pin,"Pin",8656320365806163,!1,[[4,54],[3,1]]],[153,cr.plugins_.Sprite.prototype.acts.MoveToBottom,null,9734695438736932,!1],[153,cr.plugins_.Sprite.prototype.acts.Spawn,null,7183931956712463,!1,[[4,151],[5,[0,9]],[7,[0,0]]]]]],[0,
null,!1,null,0x45e520191d780,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8605379598382407,!1,[[11,"Localstars"],[8,0],[7,[0,8]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,4856493253145018,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,6742349121136591,!1,[[4,153],[5,[0,9]],[0,[4,[20,54,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,96]]],[0,[4,[20,54,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,50]]]]],[153,cr.behaviors.Pin.prototype.acts.Pin,
"Pin",0x533c8ca816e6b,!1,[[4,54],[3,1]]],[153,cr.plugins_.Sprite.prototype.acts.MoveToBottom,null,6301733228249219,!1],[153,cr.plugins_.Sprite.prototype.acts.Spawn,null,8238536982216236,!1,[[4,151],[5,[0,9]],[7,[0,0]]]]]],[0,null,!1,null,0x8ca7fe59245d8,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,321078975026526,!1,[[11,"Localstars"],[8,0],[7,[0,9]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x52ebee1120c56,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,5033945535750791,!1,[[4,153],[5,[0,9]],[0,[4,[20,54,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,132]]],[0,[4,[20,54,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,50]]]]],[153,cr.behaviors.Pin.prototype.acts.Pin,"Pin",8711954852367868,!1,[[4,54],[3,1]]],[153,cr.plugins_.Sprite.prototype.acts.MoveToBottom,null,8042171958235988,!1],[153,cr.plugins_.Sprite.prototype.acts.Spawn,null,4780814671883213,!1,[[4,151],[5,[0,9]],[7,[0,0]]]]]],[0,null,!1,null,0x6c819f5db555,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,9963138222831308,!1,[[11,"Localstars"],[8,0],[7,[0,10]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,6159413849997357,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,5205242289541596,!1,[[4,153],[5,[0,9]],[0,[4,[20,54,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,168]]],[0,[4,[20,54,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,50]]]]],[153,cr.behaviors.Pin.prototype.acts.Pin,"Pin",5798539035792917,!1,[[4,54],[3,1]]],[153,cr.plugins_.Sprite.prototype.acts.MoveToBottom,
null,7504968324925931,!1],[153,cr.plugins_.Sprite.prototype.acts.Spawn,null,8912180910512746,!1,[[4,151],[5,[0,9]],[7,[0,0]]]]]]]],[0,[!0,"Fakewall"],!1,null,6172726071465069,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,6172726071465069,!1,[[1,[2,"Fakewall"]]]]],[],[[0,null,!1,null,7971072546582407,[[45,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,8699482853492004,!1,[[4,84]]]],[[84,cr.plugins_.TiledBg.prototype.acts.SetOpacity,null,905980695279633,!1,[[0,
[0,0]]]]]],[0,null,!1,null,68274422315776,[[45,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0xb0b712299dc09,!1,[[4,85]]]],[[85,cr.plugins_.TiledBg.prototype.acts.SetOpacity,null,0x96961d8f3a93d,!1,[[0,[0,0]]]]]],[0,null,!1,null,8071296692216256,[[45,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0xb7fddd707151b,!1,[[4,99]]]],[[99,cr.plugins_.TiledBg.prototype.acts.SetOpacity,null,0x4c763ec48e2db,!1,[[0,[0,0]]]]]]]],[0,[!0,"Gameover"],!1,null,0x946634340515c,[[-1,
cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,0x946634340515c,!1,[[1,[2,"Gameover"]]]]],[],[[0,null,!1,null,5793744813118787,[[119,cr.behaviors.Fade.prototype.cnds.OnFadeOutEnd,"Fade",1,!1,!1,!1,551465610578746,!1]],[[-1,cr.system_object.prototype.acts.SetLayoutScale,null,0xab05dbcb59cf7,!1,[[0,[0,1]]]],[-1,cr.system_object.prototype.acts.SetLayerOpacity,null,7934367074303174,!1,[[5,[0,9]],[0,[0,100]]]],[-1,cr.system_object.prototype.acts.SetVar,null,4653722060336442,!1,[[11,"Catapult"],
[7,[0,0]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xc4319318d8c33,!1,[[4,127],[5,[0,9]],[0,[0,0]],[0,[0,0]]]],[122,cr.plugins_.Sprite.prototype.acts.Destroy,null,745871677137491,!1],[-1,cr.system_object.prototype.acts.CreateObject,null,8310990950563837,!1,[[4,123],[5,[0,9]],[0,[19,cr.system_object.prototype.exps.canvastolayerx,[[0,9],[7,[19,cr.system_object.prototype.exps.windowwidth],[0,2]],[7,[19,cr.system_object.prototype.exps.windowwidth],[0,2]]]]],[0,[19,cr.system_object.prototype.exps.canvastolayery,
[[0,9],[7,[19,cr.system_object.prototype.exps.windowheight],[0,2]],[7,[19,cr.system_object.prototype.exps.windowheight],[0,2]]]]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,5239668004131837,!1,[[4,121],[5,[0,9]],[0,[19,cr.system_object.prototype.exps.canvastolayerx,[[0,9],[7,[19,cr.system_object.prototype.exps.windowwidth],[0,2]],[7,[19,cr.system_object.prototype.exps.windowwidth],[0,2]]]]],[0,[4,[20,123,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,90]]]]],[-1,cr.system_object.prototype.acts.CreateObject,
null,9358262114640708,!1,[[4,124],[5,[0,9]],[0,[19,cr.system_object.prototype.exps.canvastolayerx,[[0,9],[7,[19,cr.system_object.prototype.exps.windowwidth],[0,2]],[7,[19,cr.system_object.prototype.exps.windowwidth],[0,2]]]]],[0,[5,[20,123,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,160]]]]],[-1,cr.system_object.prototype.acts.SetTimescale,null,8794496477938547,!1,[[0,[0,0]]]],[4,cr.plugins_.CJSAds.prototype.acts.ShowFullscreen,null,5479452267868094,!1],[4,cr.plugins_.CJSAds.prototype.acts.ShowBanner,
null,8587529200010604,!1,[[3,1]]]]],[0,null,!1,null,8776516068155964,[[119,cr.plugins_.Sprite.prototype.cnds.OnCreated,null,1,!1,!1,!1,4507371858577626,!1]],[[248,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xb2f4106db77a,!1],[249,cr.plugins_.Sprite.prototype.acts.Destroy,null,8165920206840329,!1],[250,cr.plugins_.Sprite.prototype.acts.Destroy,null,8946736104770063,!1],[251,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x41a8157e03c0d,!1],[252,cr.plugins_.Sprite.prototype.acts.Destroy,null,8558780279777336,
!1],[253,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x6f83067a1c402,!1],[254,cr.plugins_.Sprite.prototype.acts.Destroy,null,9110091037541608,!1],[255,cr.plugins_.Sprite.prototype.acts.Destroy,null,5494231681218585,!1],[256,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xeb02116428a63,!1],[257,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xb48eecde63e50,!1],[258,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xf98b04d079ba1,!1],[259,cr.plugins_.Sprite.prototype.acts.Destroy,null,4691481056526864,
!1],[260,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x9e0c5f9104a1b,!1],[261,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xa24ef0b1bfbf3,!1],[262,cr.plugins_.Sprite.prototype.acts.Destroy,null,785826375203017,!1]]]]],[0,[!0,"Lifes"],!1,null,5384645046973188,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,5384645046973188,!1,[[1,[2,"Lifes"]]]]],[],[[0,[!0,"Lifes Substract"],!1,null,8940601271009092,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,8940601271009092,
!1,[[1,[2,"Lifes Substract"]]]]],[],[[0,null,!0,null,8994332498631284,[[42,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,713879175739054,!1,[[4,75]]],[42,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,4568370366024014,!1,[[4,203]]],[42,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,6437853113845545,!1,[[4,209]]],[42,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,7114485536715919,!1,[[4,201]]],[42,cr.plugins_.Sprite.prototype.cnds.OnCollision,
null,0,!1,!1,!0,0xbd3535a7e4721,!1,[[4,202]]]],[[50,cr.behaviors.DragnDrop.prototype.acts.Drop,"DragDrop",4679188974728308,!1],[50,cr.plugins_.Sprite.prototype.acts.SetPosToObject,null,0x6dc2308631c1c,!1,[[4,49],[7,[0,0]]]],[50,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,7022864803070731,!1,[[10,0],[7,[0,0]]]],[50,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,681667986550644,!1,[[10,0],[7,[19,cr.system_object.prototype.exps["int"],[[2,""]]]]]],[-1,cr.system_object.prototype.acts.SubVar,
null,0x84540299bd595,!1,[[11,"Lifes"],[7,[0,1]]]],[45,cr.plugins_.Sprite.prototype.acts.SetY,null,0x51a70fa2fbcb2,!1,[[0,[4,[20,45,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,60]]]]],[42,cr.plugins_.Sprite.prototype.acts.Spawn,null,4682623816730704,!1,[[4,150],[5,[0,6]],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xce775a2964a7e,!1,[[0,[1,0.7]]]],[150,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x9fd1505627d26,!1]]]]],[0,[!0,"Lifes Mouse"],!1,null,9188360503055942,[[-1,cr.system_object.prototype.cnds.IsGroupActive,
null,0,!1,!1,!1,9188360503055942,!1,[[1,[2,"Lifes Mouse"]]]]],[],[[0,null,!1,null,79087391458953,[[-1,cr.system_object.prototype.cnds.Compare,null,0,!1,!1,!1,6913390523894645,!1,[[7,[23,"Lifes"]],[8,0],[7,[0,3]]]]],[[42,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xade0f52947ce1,!1,[[1,[2,"tri"]],[3,1]]]]],[0,null,!1,null,9839243708574016,[[-1,cr.system_object.prototype.cnds.Compare,null,0,!1,!1,!1,9570777700486404,!1,[[7,[23,"Lifes"]],[8,0],[7,[0,2]]]]],[[42,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,7439744671393668,!1,[[1,[2,"dva"]],[3,1]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,0x4e2805f0916a1,!1,[[1,[2,"Lifes Substract"]],[3,0]]],[-1,cr.system_object.prototype.acts.Wait,null,4534350195431318,!1,[[0,[1,1]]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,0x4b0cc82e3bc86,!1,[[1,[2,"Lifes Substract"]],[3,1]]]]],[0,null,!1,null,0x51e37e59e4c3c,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,563339693033557,!1,[[11,"Lifes"],[8,0],[7,[0,1]]]]],[[42,
cr.plugins_.Sprite.prototype.acts.SetAnim,null,8753764375861071,!1,[[1,[2,"odin"]],[3,1]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,9269327416280404,!1,[[1,[2,"Lifes Substract"]],[3,0]]],[-1,cr.system_object.prototype.acts.Wait,null,0x7d21c25619e7c,!1,[[0,[1,1]]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,6818756177850551,!1,[[1,[2,"Lifes Substract"]],[3,1]]]]],[0,null,!1,null,7846078926628037,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xc299cf9173ee2,
!1,[[11,"Lifes"],[8,3],[7,[0,0]]]]],[[45,cr.plugins_.Sprite.prototype.acts.Destroy,null,5428603672050557,!1],[45,cr.plugins_.Sprite.prototype.acts.Spawn,null,8724667299328105,!1,[[4,119],[5,[0,6]],[7,[0,0]]]],[119,cr.behaviors.EightDir.prototype.acts.SimulateControl,"8Direction",7836217198087688,!1,[[3,2]]],[42,cr.plugins_.Sprite.prototype.acts.Destroy,null,8309533151481565,!1],[41,cr.plugins_.Sprite.prototype.acts.Destroy,null,9155926665864576,!1]]]]]]],[0,[!0,"Teleportmirror"],!1,null,0xbcc0c32e744e4,
[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,0xbcc0c32e744e4,!1,[[1,[2,"Teleportmirror"]]]]],[],[[0,null,!1,null,80231384357538,[[45,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,985971839181286,!1,[[4,190]]]],[],[[0,null,!1,null,0x7538691742673,[[45,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,0xc017122e09a5b,!1,[[1,[2,"Ghost"]]]]],[[45,cr.plugins_.Sprite.prototype.acts.SetPos,null,7120143995882772,!1,[[0,[0,1300]],[0,[0,549]]]]]]]],[0,null,
!1,null,5637193049315123,[[45,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,7002262790509113,!1,[[4,173]]]],[],[[0,null,!1,null,497750477773274,[[45,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,0xa36bbcca6746b,!1,[[1,[2,"Ghost"]]]]],[[45,cr.plugins_.Sprite.prototype.acts.SetPos,null,6931032739366829,!1,[[0,[0,1155]],[0,[0,956]]]]]]]]]],[0,[!0,"Angelsgate2"],!1,null,5981018210872659,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,5981018210872659,
!1,[[1,[2,"Angelsgate2"]]]]],[],[[0,null,!1,null,7631491030277375,[[45,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0xd69c5c34f3171,!1,[[4,110]]]],[],[[0,null,!1,null,0xf67b45f19a05d,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5369082230351417,!1,[[11,"Lifes"],[8,0],[7,[0,1]]]]],[[110,cr.plugins_.Sprite.prototype.acts.Destroy,null,9376154361504860,!1],[-1,cr.system_object.prototype.acts.SetVar,null,6583057583927681,!1,[[11,"Lifes"],[7,[0,3]]]]]]]]]],[0,[!0,"Gatepress"],
!1,null,9427156105336494,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,9427156105336494,!1,[[1,[2,"Gatepress"]]]]],[],[[0,null,!1,null,642355864039979,[[1,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,5032171230320934,!1,[[4,105]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7485546929688944,!1]],[],[[0,null,!1,null,8419951699735462,[[106,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,9324594433833508,!1,[[8,0],[0,[0,4]]]],
[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,779858164145844,!1]],[[-1,cr.system_object.prototype.acts.Wait,null,7429234932380457,!1,[[0,[1,0.1]]]],[106,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0xd44833d61714,!1,[[0,[0,3]]]],[106,cr.plugins_.Sprite.prototype.acts.StartAnim,null,0xfbd9bf70ac49d,!1,[[3,0]]]]],[0,null,!1,null,0xe2db6c7b4f1e5,[[106,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,4657289977628763,!1,[[8,0],[0,[0,3]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,0xe244caa7897ba,!1]],[[-1,cr.system_object.prototype.acts.Wait,null,0xf9d8dadc06c55,!1,[[0,[1,0.1]]]],[106,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,7142879008107227,!1,[[0,[0,2]]]],[106,cr.plugins_.Sprite.prototype.acts.StartAnim,null,5611765595009672,!1,[[3,0]]]]],[0,null,!1,null,7276146892957168,[[106,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,6130147973104499,!1,[[8,0],[0,[0,2]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7145603896878123,
!1]],[[-1,cr.system_object.prototype.acts.Wait,null,0xdd7d46e82f94d,!1,[[0,[1,0.1]]]],[106,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,5078626881890203,!1,[[0,[0,1]]]],[106,cr.plugins_.Sprite.prototype.acts.StartAnim,null,0x754e7693ccee9,!1,[[3,0]]]]],[0,null,!1,null,0x97a8df349a100,[[106,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,0x5c95947400620,!1,[[8,0],[0,[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x966b590b6370a,!1]],[[-1,cr.system_object.prototype.acts.Wait,
null,0xa82161b8e37d7,!1,[[0,[1,0.1]]]],[106,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0xc472a9d259c0b,!1,[[0,[0,0]]]],[106,cr.plugins_.Sprite.prototype.acts.StartAnim,null,6651026185926337,!1,[[3,0]]]]],[0,null,!1,null,0xf8478f9fb6ee8,[[106,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,0x3e5bc502031c6,!1,[[8,0],[0,[0,0]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8671174055705197,!1]],[[-1,cr.system_object.prototype.acts.Wait,null,393328678012558,
!1,[[0,[1,0.1]]]],[106,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0x3b33b6488b4b6,!1,[[0,[0,0]]]],[106,cr.plugins_.Sprite.prototype.acts.StopAnim,null,7277135403566845,!1]]]]]]],[0,[!0,"Gateelectric"],!1,null,0x9054fb6ad2291,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,0x9054fb6ad2291,!1,[[1,[2,"Gateelectric"]]]]],[],[[0,null,!0,null,7954294718166698,[[140,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0x58569d8023ebd,!1,[[4,224]]],[45,cr.plugins_.Sprite.prototype.cnds.OnCollision,
null,0,!1,!1,!0,8653806866494382,!1,[[4,233]]]],[[233,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x991e704d93a5d,!1,[[1,[2,"Buttpress"]],[3,1]]],[224,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xcdd38f6bca9ac,!1],[224,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xbf99c4d01be13,!1,[[4,150],[5,[0,4]],[7,[0,0]]]],[89,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x3da70e7e93e2b,!1,[[1,[2,"Open"]],[3,1]]],[-1,cr.system_object.prototype.acts.Wait,null,330822079353632,!1,[[0,[1,0.6]]]],[150,cr.plugins_.Sprite.prototype.acts.Destroy,
null,9719485754628684,!1]]]]],[0,[!0,"Roach"],!1,null,9946650285749936,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,9946650285749936,!1,[[1,[2,"Roach"]]]]],[],[[0,null,!1,null,6224548948203062,[[-1,cr.system_object.prototype.cnds.Compare,null,0,!1,!1,!1,9040884299067366,!1,[[7,[19,cr.system_object.prototype.exps.distance,[[20,73,cr.plugins_.Sprite.prototype.exps.X,!1,null],[20,73,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[20,45,cr.plugins_.Sprite.prototype.exps.X,!1,null],
[20,45,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[8,2],[7,[0,500]]]],[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,8678762411950026,!1,[[0,[0,2]]]]],[[73,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x4340ed89095c0,!1,[[1,[2,"Ractiv"]],[3,1]]],[-1,cr.system_object.prototype.acts.Wait,null,758280050949943,!1,[[0,[1,0.45]]]],[73,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x72b97f415051,!1,[[4,76],[5,[0,4]],[7,[0,0]]]],[76,cr.behaviors.Bullet.prototype.acts.SetAngleOfMotion,"Bullet",
377274335027159,!1,[[0,[0,-120]]]],[76,cr.behaviors.Bullet.prototype.acts.SetGravity,"Bullet",671751392011324,!1,[[0,[0,200]]]],[76,cr.behaviors.Bullet.prototype.acts.SetSpeed,"Bullet",0xddc05b70f7ee6,!1,[[0,[0,270]]]]]],[0,null,!1,null,0x735506956fd15,[[76,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0xb31d18c04600d,!1,[[4,45]]]],[[76,cr.behaviors.Bullet.prototype.acts.Bounce,"Bullet",0x3a58bcd1879b8,!1,[[4,45]]],[50,cr.behaviors.DragnDrop.prototype.acts.Drop,"DragDrop",0xc8af74f9c1ea5,
!1],[50,cr.plugins_.Sprite.prototype.acts.SetPosToObject,null,8051343908311075,!1,[[4,49],[7,[0,0]]]],[50,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,7575807852858205,!1,[[10,0],[7,[0,0]]]],[50,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,8122601938564325,!1,[[10,0],[7,[19,cr.system_object.prototype.exps["int"],[[2,""]]]]]],[45,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,569686029462143,!1,[[0,[0,1]]]],[50,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",8803240054107775,
!1,[[3,0]]],[-1,cr.system_object.prototype.acts.Wait,null,5280310755326362,!1,[[0,[0,2]]]],[45,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,6998656797650504,!1,[[0,[0,0]]]],[50,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",9026414645894080,!1,[[3,1]]]]],[0,null,!1,null,9989185290773564,[[76,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0x99cbdf11cd15,!1,[[4,42]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,0x862e18ec68bd3,!1,[[11,"Lifes"],[7,[0,1]]]],[76,
cr.behaviors.Bullet.prototype.acts.Bounce,"Bullet",0xd494cfbf28307,!1,[[4,42]]]]],[0,null,!1,null,0xe60dacbe216ff,[[73,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,0x8b948c457a9b,!1,[[8,5],[0,[4,[20,45,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,500]]]]]],[[73,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8277431804819416,!1,[[1,[2,"Rpass"]],[3,1]]]]],[0,null,!0,null,8163631666090382,[[73,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,9215002414879968,!1,[[4,45]]],
[73,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,8580788835442885,!1,[[4,140]]]],[[73,cr.plugins_.Sprite.prototype.acts.Destroy,null,6386280254127524,!1],[-1,cr.system_object.prototype.acts.SetVar,null,0xc94cc79a89318,!1,[[11,"Roach"],[7,[0,0]]]],[73,cr.plugins_.Sprite.prototype.acts.Spawn,null,8607008569772751,!1,[[4,150],[5,[0,4]],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.Wait,null,6229212385093771,!1,[[0,[1,0.6]]]],[150,cr.plugins_.Sprite.prototype.acts.Destroy,null,6903926908131362,
!1]]]]],[0,[!0,"Boo"],!1,null,0x4a4776b4e88b8,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,0x4a4776b4e88b8,!1,[[1,[2,"Boo"]]]]],[],[[0,null,!1,null,786,[[-1,cr.system_object.prototype.cnds.Compare,null,0,!1,!1,!1,0x5fbae1ff79e5f,!1,[[7,[19,cr.system_object.prototype.exps.distance,[[20,74,cr.plugins_.Sprite.prototype.exps.X,!1,null],[20,74,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[20,45,cr.plugins_.Sprite.prototype.exps.X,!1,null],[20,45,cr.plugins_.Sprite.prototype.exps.Y,
!1,null]]]],[8,2],[7,[0,300]]]],[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,788,!1,[[0,[0,5]]]]],[[74,cr.plugins_.Sprite.prototype.acts.SetAnim,null,789,!1,[[1,[2,"BooActive"]],[3,1]]],[-1,cr.system_object.prototype.acts.Wait,null,790,!1,[[0,[1,0.45]]]],[-1,cr.system_object.prototype.acts.Wait,null,851,!1,[[0,[1,0.0010]]]],[74,cr.plugins_.Sprite.prototype.acts.Spawn,null,791,!1,[[4,147],[5,[0,3]],[7,[0,0]]]],[147,cr.plugins_.Sprite.prototype.acts.SetAngle,null,794,!1,[[0,[0,0]]]],[-1,
cr.system_object.prototype.acts.Wait,null,907,!1,[[0,[1,0.7]]]],[147,cr.plugins_.Sprite.prototype.acts.Destroy,null,908,!1]]],[0,null,!1,null,909,[[147,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,910,!1,[[4,45]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0xe0120cabe96fe,!1,[[11,"Lifes"],[7,[0,0]]]]]],[0,null,!1,null,8969034078944001,[[-1,cr.system_object.prototype.cnds.Compare,null,0,!1,!1,!1,6727395509807326,!1,[[7,[19,cr.system_object.prototype.exps.distance,[[20,74,cr.plugins_.Sprite.prototype.exps.X,
!1,null],[20,74,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[20,45,cr.plugins_.Sprite.prototype.exps.X,!1,null],[20,45,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[8,5],[7,[0,300]]]]],[[74,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8493158266753321,!1,[[1,[2,"Boo"]],[3,1]]]]],[0,null,!0,null,900403803818564,[[45,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,9090598319659868,!1,[[4,74]]],[140,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,9203389180148746,!1,
[[4,74]]]],[[74,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xf3b772e6810b2,!1],[74,cr.plugins_.Sprite.prototype.acts.Spawn,null,6464241499336687,!1,[[4,150],[5,[0,4]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.Wait,null,5297526929622306,!1,[[0,[1,0.6]]]],[150,cr.plugins_.Sprite.prototype.acts.Destroy,null,7960598830944388,!1],[-1,cr.system_object.prototype.acts.SetVar,null,0xee0836af393a9,!1,[[11,"Smoke"],[7,[0,0]]]]]]]],[0,[!0,"Shark"],!1,null,0x5b431f4d45ec9,[[-1,cr.system_object.prototype.cnds.IsGroupActive,
null,0,!1,!1,!1,0x5b431f4d45ec9,!1,[[1,[2,"Shark"]]]]],[],[[0,null,!1,null,941995272964831,[[45,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,7206744805947614,!1,[[4,48]]]],[[-1,cr.system_object.prototype.acts.Wait,null,7240922310350088,!1,[[0,[19,cr.system_object.prototype.exps.random,[[1,0.3],[1,1.5]]]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xce816357c09c1,!1,[[4,148],[5,[0,5]],[0,[20,45,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,45,cr.plugins_.Sprite.prototype.exps.Y,
!1,null],[0,360]]]]],[-1,cr.system_object.prototype.acts.Wait,null,7040662695792716,!1,[[0,[1,0.2]]]],[148,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,0x8f0ee034093de,!1,[[0,[19,cr.system_object.prototype.exps.random,[[20,45,cr.plugins_.Sprite.prototype.exps.X,!1,null],[4,[20,45,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,25]]]]],[0,[19,cr.system_object.prototype.exps.random,[[20,45,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[4,[20,45,cr.plugins_.Sprite.prototype.exps.Y,!1,null],
[0,50]]]]]]],[-1,cr.system_object.prototype.acts.Wait,null,798728982647014,!1,[[0,[0,5]]]],[148,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x6268c3fe873d0,!1]]],[0,null,!1,null,0x9b3d5a5391e25,[[148,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,8440206666741951,!1,[[4,45]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,6292693346206894,!1,[[11,"Lifes"],[7,[0,0]]]]]]]],[0,[!0,"Kaktus"],!1,null,9176446587571196,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,
!1,9176446587571196,!1,[[1,[2,"Kaktus"]]]]],[],[[0,null,!1,null,611,[[80,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,612,!1,[[8,2],[0,[4,[20,45,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,700]]]]],[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,613,!1,[[0,[0,5]]]]],[[80,cr.plugins_.Sprite.prototype.acts.SetAnim,null,615,!1,[[1,[2,"KaktusActive"]],[3,1]]],[-1,cr.system_object.prototype.acts.Wait,null,625,!1,[[0,[1,0.45]]]],[80,cr.plugins_.Sprite.prototype.acts.Spawn,null,
619,!1,[[4,165],[5,[0,3]],[7,[0,1]]]],[80,cr.plugins_.Sprite.prototype.acts.Spawn,null,626,!1,[[4,166],[5,[0,3]],[7,[0,2]]]],[165,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,620,!1,[[0,[20,45,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,45,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[166,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,631,!1,[[0,[20,45,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[5,[20,45,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,100]]]]]]],
[0,null,!1,null,659,[[80,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,660,!1,[[8,5],[0,[4,[20,45,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,700]]]]]],[[80,cr.plugins_.Sprite.prototype.acts.SetAnim,null,661,!1,[[1,[2,"Kaktus"]],[3,1]]]]],[0,null,!1,null,632,[[80,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,633,!1,[[8,3],[0,[20,45,cr.plugins_.Sprite.prototype.exps.X,!1,null]]]]],[[80,cr.plugins_.Sprite.prototype.acts.SetMirrored,null,634,!1,[[3,0]]]]],[0,null,!1,null,
635,[[80,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,636,!1,[[8,4],[0,[20,45,cr.plugins_.Sprite.prototype.exps.X,!1,null]]]]],[[80,cr.plugins_.Sprite.prototype.acts.SetMirrored,null,637,!1,[[3,1]]]]],[0,null,!1,null,638,[[166,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,639,!1,[[4,42]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,645,!1,[[11,"Lifes"],[7,[0,1]]]],[166,cr.plugins_.Sprite.prototype.acts.Destroy,null,641,!1],[166,cr.plugins_.Sprite.prototype.acts.Spawn,
null,642,!1,[[4,150],[5,[0,3]],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.Wait,null,643,!1,[[0,[1,0.6]]]],[150,cr.plugins_.Sprite.prototype.acts.Destroy,null,644,!1]]],[0,null,!1,null,646,[[165,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,647,!1,[[4,42]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,648,!1,[[11,"Lifes"],[7,[0,1]]]],[165,cr.plugins_.Sprite.prototype.acts.Destroy,null,649,!1],[165,cr.plugins_.Sprite.prototype.acts.Spawn,null,650,!1,[[4,150],[5,[0,3]],[7,[0,
1]]]],[-1,cr.system_object.prototype.acts.Wait,null,651,!1,[[0,[1,0.6]]]],[150,cr.plugins_.Sprite.prototype.acts.Destroy,null,652,!1]]],[0,null,!0,null,653,[[80,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,654,!1,[[4,45]]],[80,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0x6db6dd4871861,!1,[[4,140]]]],[[80,cr.plugins_.Sprite.prototype.acts.Destroy,null,655,!1],[80,cr.plugins_.Sprite.prototype.acts.Spawn,null,656,!1,[[4,150],[5,[0,3]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.Wait,
null,657,!1,[[0,[1,0.6]]]],[150,cr.plugins_.Sprite.prototype.acts.Destroy,null,658,!1]]]]],[0,[!0,"Vily"],!1,null,6641270376312515,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,6641270376312515,!1,[[1,[2,"Vily"]]]]],[],[[0,null,!1,null,0x92cbc335013,[[140,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0x4c47fed432791,!1,[[4,100]]]],[[100,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xc6eb7d785b2d4,!1],[100,cr.plugins_.Sprite.prototype.acts.Spawn,null,7666898325674932,
!1,[[4,150],[5,[0,4]],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.Wait,null,6191640028527535,!1,[[0,[1,0.6]]]],[150,cr.plugins_.Sprite.prototype.acts.Destroy,null,5462216833916369,!1]]],[0,null,!1,null,5806502385168084,[[45,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0x8c55a0baa9100,!1,[[4,100]]],[100,cr.plugins_.Sprite.prototype.cnds.IsMirrored,null,0,!1,!0,!1,0x3fe428d19be80,!1]],[],[[0,null,!1,null,6046154315433999,[[45,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,
!1,!1,536344382598087,!1,[[8,4],[0,[20,100,cr.plugins_.Sprite.prototype.exps.X,!1,null]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0x46812f1e98046,!1,[[11,"Lifes"],[7,[0,0]]]]]],[0,null,!1,null,9053432486319028,[[45,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,0xa9dfa649e22ad,!1,[[8,2],[0,[20,100,cr.plugins_.Sprite.prototype.exps.X,!1,null]]]]],[[100,cr.plugins_.Sprite.prototype.acts.Destroy,null,6011802132451274,!1],[100,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xfe5d4a11272a8,
!1,[[4,150],[5,[0,4]],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x797db0397acc2,!1,[[0,[1,0.6]]]],[150,cr.plugins_.Sprite.prototype.acts.Destroy,null,9839236324266114,!1]]]]],[0,null,!1,null,0xfba859e7a3bc1,[[45,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0x50ca335656ef3,!1,[[4,100]]],[100,cr.plugins_.Sprite.prototype.cnds.IsMirrored,null,0,!1,!1,!1,0x9145071884bb0,!1]],[],[[0,null,!1,null,0x4630deabfee91,[[45,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,
!1,!1,7065547625026825,!1,[[8,2],[0,[20,100,cr.plugins_.Sprite.prototype.exps.X,!1,null]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,737398268403285,!1,[[11,"Lifes"],[7,[0,0]]]]]],[0,null,!1,null,6911506646130998,[[45,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,794730976357618,!1,[[8,4],[0,[20,100,cr.plugins_.Sprite.prototype.exps.X,!1,null]]]]],[[100,cr.plugins_.Sprite.prototype.acts.Destroy,null,339297125521049,!1],[100,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xc9c6125a36e30,
!1,[[4,150],[5,[0,4]],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xee298c99bb12,!1,[[0,[1,0.6]]]],[150,cr.plugins_.Sprite.prototype.acts.Destroy,null,6967019316913959,!1]]]]],[0,null,!1,null,0x397152641a3eb,[[100,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,4737152981068578,!1,[[4,101]]]],[[100,cr.plugins_.Sprite.prototype.acts.SetMirrored,null,0x42bc37fb916c0,!1,[[3,0]]]]],[0,null,!1,null,0x93f7e9e500d27,[[100,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,
!1,!0,0xad8eb777c5c8f,!1,[[4,102]]]],[[100,cr.plugins_.Sprite.prototype.acts.SetMirrored,null,9475962439749532,!1,[[3,1]]]]]]],[0,[!0,"Hypno"],!1,null,5897572725352027,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,5897572725352027,!1,[[1,[2,"Hypno"]]]]],[],[[0,null,!1,null,1038,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,1039,!1]],[[184,cr.plugins_.Sprite.prototype.acts.Destroy,null,1040,!1]]],[0,null,!1,null,1022,[[103,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,
null,0,!1,!1,!1,0xe91bd68f4549,!1]],[[103,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1024,!1,[[1,[2,"HypnoActive"]],[3,1]]]]],[0,null,!1,null,1028,[[103,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!0,!1,577403778636694,!1]],[[103,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1030,!1,[[1,[2,"Hypno"]],[3,1]]]]],[0,null,!1,null,1031,[[103,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,0x6d4a89e74b452,!1],[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,1034,!1,
[[0,[0,2]]]]],[[-1,cr.system_object.prototype.acts.CreateObject,null,1033,!1,[[4,184],[5,[0,4]],[0,[4,[20,45,cr.plugins_.Sprite.prototype.exps.X,!1,null],[19,cr.system_object.prototype.exps.random,[[0,-200],[0,200]]]]],[0,[5,[20,45,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,600]]]]],[-1,cr.system_object.prototype.acts.Wait,null,1050,!1,[[0,[0,4]]]],[184,cr.plugins_.Sprite.prototype.acts.Destroy,null,1051,!1],[184,cr.plugins_.Sprite.prototype.acts.Spawn,null,1052,!1,[[4,150],[5,[0,4]],[7,[0,0]]]],
[-1,cr.system_object.prototype.acts.Wait,null,1048,!1,[[0,[1,0.6]]]],[150,cr.plugins_.Sprite.prototype.acts.Destroy,null,1049,!1]]],[0,null,!0,null,1042,[[45,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,1043,!1,[[4,103]]],[140,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,6825407424874522,!1,[[4,103]]]],[[103,cr.plugins_.Sprite.prototype.acts.Destroy,null,1044,!1],[-1,cr.system_object.prototype.acts.SetVar,null,0xcae0e6d396af9,!1,[[11,"Hypno"],[7,[0,0]]]],[103,cr.plugins_.Sprite.prototype.acts.Spawn,
null,1045,!1,[[4,150],[5,[0,4]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.Wait,null,1046,!1,[[0,[1,0.6]]]],[-1,cr.system_object.prototype.acts.SetVar,null,5777301253566661,!1,[[11,"Hypno"],[7,[0,0]]]],[150,cr.plugins_.Sprite.prototype.acts.Destroy,null,1047,!1]]],[0,null,!1,null,1053,[[184,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,1054,!1,[[4,42]]]],[[184,cr.plugins_.Sprite.prototype.acts.Destroy,null,1055,!1],[184,cr.plugins_.Sprite.prototype.acts.Spawn,null,1059,!1,[[4,
150],[5,[0,4]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SubVar,null,1056,!1,[[11,"Lifes"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.Wait,null,1057,!1,[[0,[1,0.6]]]],[150,cr.plugins_.Sprite.prototype.acts.Destroy,null,1058,!1]]]]],[0,[!0,"Slizen"],!1,null,5674170159448286,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,5674170159448286,!1,[[1,[2,"Slizen"]]]]],[],[[0,null,!1,null,8225420761725385,[[104,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,0xbcbf4afd8d35b,
!1],[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,8695753062601543,!1,[[0,[0,4]]]]],[[104,cr.plugins_.Sprite.prototype.acts.Spawn,null,614642479620601,!1,[[4,185],[5,[0,6]],[7,[0,0]]]],[185,cr.plugins_.Sprite.prototype.acts.SetTowardPosition,null,0xdf16074f884d5,!1,[[0,[20,45,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,45,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]]],[0,null,!1,null,428388539726113,[[185,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,8608455081676054,
!1,[[4,45]]]],[[185,cr.plugins_.Sprite.prototype.acts.SetPosToObject,null,0x8c50f6b4e69e1,!1,[[4,45],[7,[0,3]]]],[185,cr.plugins_.Sprite.prototype.acts.SetAngle,null,8820686779167577,!1,[[0,[20,45,cr.plugins_.Sprite.prototype.exps.Angle,!1,null]]]],[185,cr.behaviors.Pin.prototype.acts.Pin,"Pin",8774709538354093,!1,[[4,45],[3,0]]],[45,cr.behaviors.Sin.prototype.acts.SetActive,"Sine",0x8c66bd9c9a96b,!1,[[3,1]]],[45,cr.behaviors.Sin.prototype.acts.SetActive,"Sine2",5615327989573891,!1,[[3,1]]]]],[0,
null,!1,null,8865087612843772,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,6418886525827368,!1,[[0,[0,4]]]]],[],[[0,null,!1,null,6782946050404083,[[45,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!0,!1,8157666482884721,!1,[[4,185]]]],[[45,cr.behaviors.Sin.prototype.acts.SetActive,"Sine",0x6f457ef3180e4,!1,[[3,0]]],[45,cr.behaviors.Sin.prototype.acts.SetActive,"Sine2",6560783237622763,!1,[[3,0]]]]]]],[0,null,!0,null,0xff360b374e432,[[45,cr.plugins_.Sprite.prototype.cnds.OnCollision,
null,0,!1,!1,!0,6711954959098483,!1,[[4,104]]],[140,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,5269098518916087,!1,[[4,104]]]],[[104,cr.plugins_.Sprite.prototype.acts.Destroy,null,5030182139008449,!1],[-1,cr.system_object.prototype.acts.SetVar,null,0x4d0f19a4d9a54,!1,[[11,"Hypno"],[7,[0,0]]]],[104,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xba711d1f477a1,!1,[[4,150],[5,[0,4]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.Wait,null,5540683777045537,!1,[[0,[1,0.6]]]],[-1,cr.system_object.prototype.acts.SetVar,
null,5498547227369263,!1,[[11,"Hypno"],[7,[0,0]]]],[150,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x8f1d87e78154c,!1]]]]],[0,[!0,"Robot"],!1,null,0xe99900d981636,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,0xe99900d981636,!1,[[1,[2,"Robot"]]]]],[],[[0,null,!1,null,8407385443950324,[[191,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,5013772555845783,!1,[[8,3],[0,[20,45,cr.plugins_.Sprite.prototype.exps.X,!1,null]]]]],[[191,cr.plugins_.Sprite.prototype.acts.SetMirrored,
null,0x4e141fa20a449,!1,[[3,0]]]]],[0,null,!1,null,658294247073521,[[191,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,0xe50a27306d5db,!1,[[8,4],[0,[20,45,cr.plugins_.Sprite.prototype.exps.X,!1,null]]]]],[[191,cr.plugins_.Sprite.prototype.acts.SetMirrored,null,0x7f01d56d12a6,!1,[[3,1]]]]],[0,null,!1,null,5467424839662474,[[191,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,7097015855673522,!1,[[1,[2,"robot"]]]]],[[-1,cr.system_object.prototype.acts.Wait,null,290672586784347,
!1,[[0,[0,5]]]],[191,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x72a6604016ee4,!1,[[1,[2,"Robotlaser"]],[3,1]]]]],[0,null,!1,null,1241,[[191,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,5567191922703629,!1,[[8,0],[0,[0,24]]]]],[[-1,cr.system_object.prototype.acts.Wait,null,1248,!1,[[0,[1,3.5]]]],[191,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xf42d7b8e68b04,!1,[[1,[2,"Robot"]],[3,1]]]]],[0,null,!1,null,1261,[[191,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,
!1,!1,7075823324237272,!1,[[8,0],[0,[0,24]]]]],[],[[0,null,!1,null,9986957069285732,[[191,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,6964796195459653,!1,[[4,45]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,9985817058169162,!1,[[11,"Lifes"],[7,[0,0]]]]]]]],[0,null,!1,null,1266,[[191,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,327047156046538,!1,[[8,0],[0,[0,24]]]]],[],[[0,null,!1,null,6463482693274169,[[191,cr.plugins_.Sprite.prototype.cnds.OnCollision,
null,0,!1,!1,!0,9604221623606648,!1,[[4,42]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,1268,!1,[[11,"Lifes"],[7,[0,1]]]]]]]]]],[0,[!0,"Smoke"],!1,null,6294019983452476,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,6294019983452476,!1,[[1,[2,"Smoke"]]]]],[],[[0,null,!0,null,6765932303372402,[[45,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,6252477935436376,!1,[[4,107]]],[42,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0x39b5def78f5d4,
!1,[[4,107]]]],[[107,cr.plugins_.Sprite.prototype.acts.Destroy,null,348676461461246,!1],[107,cr.plugins_.Sprite.prototype.acts.Spawn,null,7653633731925311,!1,[[4,150],[5,[0,3]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SubVar,null,7476535378713651,!1,[[11,"Lifes"],[7,[0,1]]]]]],[0,null,!1,null,1137,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,1138,!1]],[[186,cr.plugins_.Sprite.prototype.acts.Destroy,null,1166,!1],[187,cr.plugins_.Sprite.prototype.acts.Destroy,null,1167,
!1]]],[0,null,!1,null,1134,[[45,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,1135,!1,[[4,109]]]],[],[[0,null,!1,null,0x89475de8241a2,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9793847104943324,!1,[[11,"Smoke"],[8,1],[7,[0,1]]]]],[[108,cr.plugins_.Sprite.prototype.acts.SetAnim,null,1190,!1,[[1,[2,"SmokeActive"]],[3,1]]],[-1,cr.system_object.prototype.acts.SetVar,null,6654689859142283,!1,[[11,"Smoke"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.Wait,null,1191,
!1,[[0,[0,1]]]],[109,cr.plugins_.Sprite.prototype.acts.Spawn,null,1176,!1,[[4,186],[5,[0,7]],[7,[0,0]]]],[109,cr.plugins_.Sprite.prototype.acts.Spawn,null,1181,!1,[[4,187],[5,[0,7]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xf38f7573cc76b,!1,[[0,[0,10]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xf89084c702a77,!1,[[11,"Smoke"],[7,[0,0]]]],[108,cr.plugins_.Sprite.prototype.acts.SetAnim,null,4940209165711716,!1,[[1,[2,"Smoke"]],[3,1]]]]]]],[0,null,!1,null,1149,[[-1,cr.system_object.prototype.cnds.Every,
null,0,!1,!1,!1,1150,!1,[[0,[1,0.5]]]]],[[186,cr.behaviors.Pathfinding.prototype.acts.FindPath,"Pathfinding",1170,!1,[[0,[20,45,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,45,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[187,cr.behaviors.Pathfinding.prototype.acts.FindPath,"Pathfinding",1171,!1,[[0,[20,45,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,45,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]]],[0,null,!1,null,1172,[[186,cr.behaviors.Pathfinding.prototype.cnds.OnPathFound,
"Pathfinding",1,!1,!1,!1,1173,!1]],[[186,cr.behaviors.Pathfinding.prototype.acts.StartMoving,"Pathfinding",1174,!1],[186,cr.behaviors.Pathfinding.prototype.acts.SetMaxSpeed,"Pathfinding",1175,!1,[[0,[0,300]]]]]],[0,null,!1,null,1177,[[187,cr.behaviors.Pathfinding.prototype.cnds.OnPathFound,"Pathfinding",1,!1,!1,!1,1178,!1]],[[187,cr.behaviors.Pathfinding.prototype.acts.StartMoving,"Pathfinding",1179,!1],[187,cr.behaviors.Pathfinding.prototype.acts.SetMaxSpeed,"Pathfinding",1180,!1,[[0,[0,270]]]]]]]],
[0,[!0,"Dragon"],!1,null,0xbe9d6f01c1a64,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,0xbe9d6f01c1a64,!1,[[1,[2,"Dragon"]]]]],[],[[0,null,!1,null,717,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,718,!1]],[]],[0,null,!1,null,719,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,720,!1,[[0,[1,0.5]]]]],[[111,cr.behaviors.Pathfinding.prototype.acts.FindPath,"Pathfinding",721,!1,[[0,[7,[4,[20,45,cr.plugins_.Sprite.prototype.exps.X,!1,null],[19,cr.system_object.prototype.exps.layoutwidth]],
[0,3]]],[0,[20,42,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]]],[0,null,!1,null,722,[[111,cr.behaviors.Pathfinding.prototype.cnds.OnPathFound,"Pathfinding",1,!1,!1,!1,723,!1]],[[111,cr.behaviors.Pathfinding.prototype.acts.StartMoving,"Pathfinding",725,!1],[111,cr.behaviors.Pathfinding.prototype.acts.SetMaxSpeed,"Pathfinding",726,!1,[[0,[0,85]]]]]],[0,null,!1,null,727,[[111,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,728,!1,[[4,42]]]],[[-1,cr.system_object.prototype.acts.Wait,
null,730,!1,[[0,[1,0.01]]]],[-1,cr.system_object.prototype.acts.SubVar,null,731,!1,[[11,"Lifes"],[7,[0,1]]]],[111,cr.plugins_.Sprite.prototype.acts.Destroy,null,746,!1],[111,cr.plugins_.Sprite.prototype.acts.Spawn,null,747,!1,[[4,150],[5,[0,4]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.Wait,null,748,!1,[[0,[1,0.6]]]],[150,cr.plugins_.Sprite.prototype.acts.Destroy,null,749,!1]]],[0,null,!0,null,737,[[111,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,738,!1,[[4,45]]],[111,cr.plugins_.Sprite.prototype.cnds.OnCollision,
null,0,!1,!1,!0,0xaf8f1d75e4aef,!1,[[4,140]]]],[[111,cr.plugins_.Sprite.prototype.acts.Destroy,null,739,!1],[-1,cr.system_object.prototype.acts.SetVar,null,8789191288690908,!1,[[11,"Dragon"],[7,[0,0]]]],[111,cr.plugins_.Sprite.prototype.acts.Spawn,null,740,!1,[[4,150],[5,[0,4]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.Wait,null,741,!1,[[0,[1,0.6]]]],[150,cr.plugins_.Sprite.prototype.acts.Destroy,null,742,!1]]],[0,null,!1,null,752,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,753,
!1,[[0,[0,2]]]]],[[111,cr.plugins_.Sprite.prototype.acts.Spawn,null,754,!1,[[4,112],[5,[0,4]],[7,[0,1]]]]]],[0,null,!1,null,757,[[112,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,758,!1,[[4,42]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,760,!1,[[11,"Lifes"],[7,[0,1]]]],[112,cr.plugins_.Sprite.prototype.acts.Destroy,null,759,!1],[112,cr.plugins_.Sprite.prototype.acts.Spawn,null,761,!1,[[4,150],[5,[0,4]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.Wait,null,762,!1,[[0,
[1,0.6]]]],[150,cr.plugins_.Sprite.prototype.acts.Destroy,null,763,!1]]],[0,null,!1,null,764,[[112,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,765,!1,[[4,45]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,766,!1,[[11,"Lifes"],[7,[0,1]]]],[112,cr.plugins_.Sprite.prototype.acts.Destroy,null,767,!1],[112,cr.plugins_.Sprite.prototype.acts.Spawn,null,768,!1,[[4,150],[5,[0,2]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.Wait,null,769,!1,[[0,[1,0.6]]]],[150,cr.plugins_.Sprite.prototype.acts.Destroy,
null,770,!1]]]]],[0,[!0,"Green"],!1,null,0x600e1b4a7900c,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,0x600e1b4a7900c,!1,[[1,[2,"Green"]]]]],[],[[0,null,!0,null,0xc90a4a0c400dc,[[45,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,5467762193042798,!1,[[4,114]]],[140,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,363991391823772,!1,[[4,114]]]],[[114,cr.plugins_.Sprite.prototype.acts.Destroy,null,7328663267943242,!1],[-1,cr.system_object.prototype.acts.SetVar,
null,377894485627907,!1,[[11,"Hypno"],[7,[0,0]]]],[114,cr.plugins_.Sprite.prototype.acts.Spawn,null,6481262068770898,!1,[[4,150],[5,[0,4]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x91a71649ea35,!1,[[0,[1,0.6]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xd0a6ad46a4761,!1,[[11,"Hypno"],[7,[0,0]]]],[150,cr.plugins_.Sprite.prototype.acts.Destroy,null,4757693039000343,!1]]],[0,null,!1,null,6235454454535245,[[114,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,7164431978554605,
!1,[[8,3],[0,[20,45,cr.plugins_.Sprite.prototype.exps.X,!1,null]]]]],[[114,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x9591b3d6dc77f,!1,[[1,[2,"Right"]],[3,1]]]]],[0,null,!1,null,0x3c89e991b914f,[[114,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,5416944851218484,!1,[[8,4],[0,[20,45,cr.plugins_.Sprite.prototype.exps.X,!1,null]]]]],[[114,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5360195201643453,!1,[[1,[2,"Left"]],[3,1]]]]],[0,null,!1,null,5291413949082733,[[45,cr.plugins_.Sprite.prototype.cnds.OnCollision,
null,0,!1,!1,!0,7028033581143138,!1,[[4,116]]]],[[116,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xc340882e8b9b6,!1,[[1,[2,"greenactive"]],[3,1]]]]],[0,null,!1,null,4795472023502189,[[45,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,7047809217578806,!1,[[4,116]]]],[],[[0,null,!1,null,9031591367126298,[[116,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,0xea5c93f431ac7,!1,[[8,0],[0,[0,3]]]]],[[45,cr.behaviors.Sin.prototype.acts.SetActive,"Sine",8713943805410049,
!1,[[3,0]]],[45,cr.behaviors.Sin.prototype.acts.SetActive,"Sine2",7001000783698238,!1,[[3,0]]],[45,cr.plugins_.Sprite.prototype.acts.SetPos,null,5141818882029585,!1,[[0,[20,116,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[5,[20,116,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,45]]]]],[42,cr.plugins_.Sprite.prototype.acts.SetPos,null,8482256140209684,!1,[[0,[20,116,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[5,[20,116,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,85]]]]],[41,cr.plugins_.Sprite.prototype.acts.SetPos,
null,5981270481729811,!1,[[0,[20,116,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[5,[20,116,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,57]]]]]],[[0,null,!1,null,5867083800784806,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,676381043831418,!1]],[[-1,cr.system_object.prototype.acts.Wait,null,0xf3a7b55b4cd0,!1,[[0,[0,6]]]],[116,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5531201195037708,!1,[[1,[2,"green"]],[3,1]]]]]]]]],[0,null,!1,null,0x9a16711180a46,[[-1,cr.system_object.prototype.cnds.Every,
null,0,!1,!1,!1,5886973488858976,!1,[[0,[0,2]]]]],[],[[0,null,!1,null,0xb98aff1fff447,[[45,cr.plugins_.Sprite.prototype.cnds.IsOverlappingOffset,null,0,!1,!1,!1,935653609830662,!1,[[4,67],[0,[0,0]],[0,[0,20]]]],[114,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,9378398731797812,!1]],[[116,cr.plugins_.Sprite.prototype.acts.SetX,null,812234822982488,!1,[[0,[0,0]]]],[116,cr.plugins_.Sprite.prototype.acts.SetPos,null,0x91cd810419ab2,!1,[[0,[20,45,cr.plugins_.Sprite.prototype.exps.X,!1,
null]],[0,[5,[20,67,cr.plugins_.TiledBg.prototype.exps.Y,!1,null],[0,35]]]]]]]]]]],[0,[!0,"Ghost"],!1,null,0xf7d03e76c78d4,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,0xf7d03e76c78d4,!1,[[1,[2,"Ghost"]]]]],[],[[0,[!0,"change state"],!1,null,965,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,965,!1,[[1,[2,"change state"]]]]],[],[[0,null,!1,null,0x595540c5881e6,[[-1,cr.system_object.prototype.cnds.OnLayoutEnd,null,1,!1,!1,!1,5482635901872914,!1]],[[45,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,0x809dc6e9b701e,!1,[[1,[2,"Based"]],[3,1]]],[-1,cr.system_object.prototype.acts.SetVar,null,6635927478959423,!1,[[11,"InvertControl"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SetLayerOpacity,null,8402242797439624,!1,[[5,[0,3]],[0,[0,100]]]],[-1,cr.system_object.prototype.acts.SetLayerOpacity,null,7149565327610009,!1,[[5,[0,7]],[0,[0,100]]]]],[[0,null,!1,null,9350480675717236,[[-1,cr.system_object.prototype.cnds.PickAll,null,0,!1,!1,!1,5511805186923423,!1,[[4,188]]]],[[188,cr.plugins_.Sprite.prototype.acts.SetVisible,
null,0xda780801594c2,!1,[[3,0]]]]]]],[0,null,!1,null,0x9b3cb25072265,[[117,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,4905748661509861,!1,[[4,45]]]],[[117,cr.plugins_.Sprite.prototype.acts.Destroy,null,9154606694929374,!1],[45,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7671494301517948,!1,[[1,[2,"Ghost"]],[3,1]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xa2bf8e9e77fba,!1,[[11,"InvertControl"],[7,[0,-1]]]],[-1,cr.system_object.prototype.acts.SetLayerOpacity,null,7097193234713539,
!1,[[5,[0,3]],[0,[0,20]]]],[-1,cr.system_object.prototype.acts.SetLayerOpacity,null,5466510170541769,!1,[[5,[0,7]],[0,[0,20]]]],[188,cr.plugins_.Sprite.prototype.acts.SetVisible,null,5473203828321102,!1,[[3,1]]]]],[0,null,!1,null,0x7850507c84f69,[[45,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0x49c95d272a122,!1,[[4,188]]]],[[45,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x826e9290ec7d3,!1,[[1,[2,"Based"]],[3,1]]],[-1,cr.system_object.prototype.acts.SetVar,null,7288034886873705,
!1,[[11,"InvertControl"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SetLayerOpacity,null,8529505707007145,!1,[[5,[0,3]],[0,[0,100]]]],[-1,cr.system_object.prototype.acts.SetLayerOpacity,null,7389019603015068,!1,[[5,[0,7]],[0,[0,100]]]]],[[0,null,!1,null,0xc04479e2e4737,[[-1,cr.system_object.prototype.cnds.PickAll,null,0,!1,!1,!1,5144254648143548,!1,[[4,188]]]],[[188,cr.plugins_.Sprite.prototype.acts.SetVisible,null,6878844988664568,!1,[[3,0]]]]]]],[0,null,!1,null,992,[[117,cr.plugins_.Sprite.prototype.cnds.PickDistance,
null,0,!1,!1,!0,993,!1,[[3,0],[0,[20,45,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,45,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[],[[0,null,!1,null,966,[[-1,cr.system_object.prototype.cnds.Compare,null,0,!1,!1,!1,967,!1,[[7,[19,cr.system_object.prototype.exps.distance,[[20,117,cr.plugins_.Sprite.prototype.exps.X,!1,null],[20,117,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[20,45,cr.plugins_.Sprite.prototype.exps.X,!1,null],[20,45,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[8,
2],[7,[0,200]]]],[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,1004,!1,[[0,[1,1]]]]],[[117,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,968,!1,[[10,0],[7,[2,"Alarm"]]]],[117,cr.behaviors.Pathfinding.prototype.acts.FindPath,"Pathfinding",1005,!1,[[0,[20,45,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,45,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,50]]]]]]],[0,null,!1,null,972,[[-1,cr.system_object.prototype.cnds.Compare,null,0,!1,!1,!1,973,!1,[[7,[19,cr.system_object.prototype.exps.distance,
[[20,117,cr.plugins_.Sprite.prototype.exps.X,!1,null],[20,117,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[20,45,cr.plugins_.Sprite.prototype.exps.X,!1,null],[20,45,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[8,5],[7,[0,200]]]]],[[117,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,974,!1,[[10,0],[7,[2,"Normal"]]]]]]]]]],[0,null,!1,null,942,[[117,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,943,!1,[[8,2],[0,[20,45,cr.plugins_.Sprite.prototype.exps.X,!1,null]]]]],[[117,cr.plugins_.Sprite.prototype.acts.SetMirrored,
null,944,!1,[[3,0]]]]],[0,null,!1,null,945,[[117,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,946,!1,[[8,5],[0,[20,45,cr.plugins_.Sprite.prototype.exps.X,!1,null]]]]],[[117,cr.plugins_.Sprite.prototype.acts.SetMirrored,null,947,!1,[[3,1]]]]],[0,null,!1,null,959,[[117,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,960,!1,[[10,0],[8,0],[7,[2,"Normal"]]]]],[[117,cr.plugins_.Sprite.prototype.acts.SetAnim,null,963,!1,[[1,[2,"Ghost"]],[3,1]]],[117,cr.plugins_.Sprite.prototype.acts.SetOpacity,
null,969,!1,[[0,[0,30]]]]]],[0,null,!1,null,961,[[117,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,null,0,!1,!1,!1,962,!1,[[10,0],[8,0],[7,[2,"Alarm"]]]]],[[117,cr.plugins_.Sprite.prototype.acts.SetAnim,null,964,!1,[[1,[2,"GhostActive"]],[3,1]]],[117,cr.plugins_.Sprite.prototype.acts.SetOpacity,null,975,!1,[[0,[0,100]]]]]],[0,null,!1,null,1006,[[117,cr.behaviors.Pathfinding.prototype.cnds.OnPathFound,"Pathfinding",1,!1,!1,!1,1007,!1],[117,cr.plugins_.Sprite.prototype.cnds.CompareInstanceVar,
null,0,!1,!1,!1,1010,!1,[[10,0],[8,0],[7,[2,"Alarm"]]]]],[[117,cr.behaviors.Pathfinding.prototype.acts.StartMoving,"Pathfinding",1008,!1],[117,cr.behaviors.Pathfinding.prototype.acts.SetMaxSpeed,"Pathfinding",1009,!1,[[0,[0,150]]]]]],[0,null,!1,null,7698916597287497,[[140,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,8981640092489836,!1,[[4,117]]]],[[117,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x9727bec86d6a3,!1],[117,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xb2595c7b94380,
!1,[[4,150],[5,[0,4]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.Wait,null,5993971388702582,!1,[[0,[1,0.6]]]],[150,cr.plugins_.Sprite.prototype.acts.Destroy,null,4732897592409286,!1],[-1,cr.system_object.prototype.acts.SetVar,null,7672844575670848,!1,[[11,"Smoke"],[7,[0,0]]]]]]]],[0,[!0,"Haha"],!1,null,7890859668586567,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,7890859668586567,!1,[[1,[2,"Haha"]]]]],[],[[0,null,!0,null,7516893517824191,[[45,cr.plugins_.Sprite.prototype.cnds.OnCollision,
null,0,!1,!1,!0,9490575537941148,!1,[[4,231]]],[140,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0x8a5b9134d7f51,!1,[[4,231]]]],[],[[0,null,!1,null,0x3f05a67d9bd39,[[231,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,7334339847689614,!1,[[1,[2,"Passiv"]]]]],[[231,cr.plugins_.Sprite.prototype.acts.Destroy,null,4578054712299892,!1],[-1,cr.system_object.prototype.acts.SetVar,null,0x630c440eae2e1,!1,[[11,"Hypno"],[7,[0,0]]]],[231,cr.plugins_.Sprite.prototype.acts.Spawn,
null,0x860f5e03afef,!1,[[4,150],[5,[0,4]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xb3cf52330e531,!1,[[0,[1,0.6]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xaa4d9368513a7,!1,[[11,"Hypno"],[7,[0,0]]]],[150,cr.plugins_.Sprite.prototype.acts.Destroy,null,9568908777280304,!1]]]]],[0,null,!1,null,0x773410325604f,[[45,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,6775489527840698,!1,[[4,231]]]],[],[[0,null,!1,null,0xd7c6f9838231c,[[231,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,
null,0,!1,!1,!1,6767568316640447,!1,[[1,[2,"Activ"]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,0xaedd29cd4e562,!1,[[11,"Lifes"],[7,[0,1]]]],[42,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xa0bbb410bd87a,!1,[[4,150],[5,[0,3]],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.Wait,null,8930675898933516,!1,[[0,[1,0.6]]]],[150,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xacedf17ad882d,!1],[50,cr.behaviors.DragnDrop.prototype.acts.Drop,"DragDrop",9263995711859076,!1],[50,cr.plugins_.Sprite.prototype.acts.SetPosToObject,
null,5356195244170909,!1,[[4,49],[7,[0,0]]]],[50,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,0x98bab894e0827,!1,[[10,0],[7,[0,0]]]],[50,cr.plugins_.Sprite.prototype.acts.SetInstanceVar,null,7053243828213398,!1,[[10,0],[7,[19,cr.system_object.prototype.exps["int"],[[2,""]]]]]],[45,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,6586854451253524,!1,[[0,[0,1]]]],[50,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",4942315297039187,!1,[[3,0]]],[-1,cr.system_object.prototype.acts.Wait,
null,0xd7d9d12dff1e0,!1,[[0,[0,3]]]],[45,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0x52ebcbf5789c9,!1,[[0,[0,0]]]],[50,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",0x755966060fc50,!1,[[3,1]]]]]]],[0,null,!1,null,5382902304920505,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,8055287336058922,!1]],[[231,cr.behaviors.Rotate.prototype.acts.SetSpeed,"Rotate",5473275929203842,!1,[[0,[0,0]]]]]],[0,null,!1,null,0xaa94b6e023217,[[231,cr.plugins_.Sprite.prototype.cnds.CompareY,
null,0,!1,!1,!1,6446690658317071,!1,[[8,4],[0,[4,[20,45,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,8]]]]]],[],[[0,null,!1,null,8549652654670118,[[231,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,4883639303468675,!1],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7862031010741815,!1]],[[-1,cr.system_object.prototype.acts.Wait,null,0x83e83242a6b2b,!1,[[0,[1,0.9]]]],[231,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6246985920547332,!1,[[1,[2,"Activ"]],[3,1]]],
[231,cr.behaviors.Rotate.prototype.acts.SetSpeed,"Rotate",7664680380951062,!1,[[0,[0,-180]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xa59c413ed8d95,!1,[[0,[0,3]]]],[231,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x618ee57e90955,!1,[[1,[2,"Passiv"]],[3,1]]],[231,cr.behaviors.Rotate.prototype.acts.SetSpeed,"Rotate",0x9ff8b6db23935,!1,[[0,[0,0]]]],[231,cr.plugins_.Sprite.prototype.acts.SetAngle,null,0x4efeaaecc5310,!1,[[0,[0,0]]]]]]]],[0,null,!1,null,8410624296848179,[[231,cr.plugins_.Sprite.prototype.cnds.CompareX,
null,0,!1,!1,!1,5281141141113971,!1,[[8,3],[0,[20,45,cr.plugins_.Sprite.prototype.exps.X,!1,null]]]]],[[231,cr.plugins_.Sprite.prototype.acts.SetMirrored,null,0x927650b0ae8f4,!1,[[3,0]]]],[[0,null,!1,null,6607364661426201,[[231,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,0xfbb4c22b88263,!1,[[1,[2,"Activ"]]]]],[[231,cr.plugins_.Sprite.prototype.acts.SetY,null,0x9ad12c8ee7e39,!1,[[0,[4,[20,231,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,6]]]]]],[[0,null,!1,null,0xe890f0304dc11,
[[231,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,0x3ca83e663d242,!1,[[8,1],[0,[0,2]]]]],[[231,cr.behaviors.EightDir.prototype.acts.SimulateControl,"8Direction",69387669937961,!1,[[3,1]]]]]]]]],[0,null,!1,null,0xdbeab5875575c,[[231,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,9232690198358864,!1,[[8,4],[0,[20,45,cr.plugins_.Sprite.prototype.exps.X,!1,null]]]]],[[231,cr.plugins_.Sprite.prototype.acts.SetMirrored,null,9518939341624472,!1,[[3,1]]]],[[0,null,!1,null,7918905540188912,
[[231,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,8693220509349657,!1,[[1,[2,"Activ"]]]]],[[231,cr.plugins_.Sprite.prototype.acts.SetY,null,8992616574582654,!1,[[0,[4,[20,231,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,6]]]]]],[[0,null,!1,null,9368762224547984,[[231,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,7829952477264312,!1,[[8,1],[0,[0,2]]]]],[[231,cr.behaviors.EightDir.prototype.acts.SimulateControl,"8Direction",36173807773707,!1,[[3,0]]]]]]]]]]],
[0,[!0,"Opponent1"],!1,null,0xa1be59efc29a,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,0xa1be59efc29a,!1,[[1,[2,"Opponent1"]]]]],[],[[0,null,!1,null,294,[[-1,cr.system_object.prototype.cnds.Every,null,0,!1,!1,!1,295,!1,[[0,[1,1]]]]],[[113,cr.behaviors.Pathfinding.prototype.acts.FindPath,"Pathfinding",296,!1,[[0,[20,42,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[5,[20,42,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,20]]]]]]],[0,null,!1,null,297,[[113,cr.behaviors.Pathfinding.prototype.cnds.OnPathFound,
"Pathfinding",1,!1,!1,!1,298,!1],[113,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,299,!1]],[[113,cr.behaviors.Pathfinding.prototype.acts.StartMoving,"Pathfinding",300,!1],[113,cr.behaviors.Pathfinding.prototype.acts.SetMaxSpeed,"Pathfinding",301,!1,[[0,[0,100]]]]]],[0,null,!1,null,302,[[113,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,303,!1,[[4,42]]]],[[113,cr.plugins_.Sprite.prototype.acts.Destroy,null,9572736778109772,!1],[-1,cr.system_object.prototype.acts.SubVar,
null,9669635246500298,!1,[[11,"Lifes"],[7,[0,1]]]],[113,cr.plugins_.Sprite.prototype.acts.Spawn,null,9589402870424194,!1,[[4,150],[5,[0,4]],[7,[0,0]]]],[113,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xd637a251847e8,!1,[[4,189],[5,[0,4]],[7,[0,0]]]],[189,cr.behaviors.Flash.prototype.acts.Flash,"Flash",7327972641175373,!1,[[0,[1,0.1]],[0,[1,0.1]],[0,[0,1]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x58cefd91fe268,!1,[[0,[0,6]]]],[189,cr.behaviors.Flash.prototype.acts.Flash,"Flash",0xc2c8574d91c83,
!1,[[0,[1,0.1]],[0,[1,0.1]],[0,[0,1]]]],[-1,cr.system_object.prototype.acts.Wait,null,7975962281874832,!1,[[0,[1,0.7]]]],[189,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x4b4cdcad7be27,!1],[189,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xc2544b8011ed2,!1,[[4,113],[5,[0,4]],[7,[0,0]]]]]],[0,null,!1,null,312,[[113,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,313,!1,[[4,45]]]],[[113,cr.plugins_.Sprite.prototype.acts.Destroy,null,314,!1],[113,cr.plugins_.Sprite.prototype.acts.Spawn,
null,427,!1,[[4,189],[5,[0,4]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.Wait,null,428,!1,[[0,[0,6]]]],[189,cr.behaviors.Flash.prototype.acts.Flash,"Flash",0xc9d35ed7eace5,!1,[[0,[1,0.1]],[0,[1,0.1]],[0,[0,1]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x609b1f12aeb9f,!1,[[0,[1,0.7]]]],[189,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x51828abdd1ce3,!1],[189,cr.plugins_.Sprite.prototype.acts.Spawn,null,7963808433701163,!1,[[4,113],[5,[0,4]],[7,[0,0]]]]]],[0,null,!0,null,0x39f229e81e73f,
[[113,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0xfee98b757b8d3,!1,[[4,148]]],[189,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,9648980157766598,!1,[[4,148]]]],[[113,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x9a9ee8413c046,!1],[189,cr.plugins_.Sprite.prototype.acts.Destroy,null,7017268121900652,!1],[148,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x7846420cf71d5,!1,[[4,150],[5,[0,4]],[7,[0,1]]]]]],[0,null,!1,null,9394712257383796,[[45,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
null,0,!1,!1,!1,0xff6fcc9a2019b,!1,[[4,118]]]],[[113,cr.plugins_.Sprite.prototype.acts.SetPosToObject,null,9616114695075268,!1,[[4,118],[7,[0,0]]]],[189,cr.plugins_.Sprite.prototype.acts.SetPosToObject,null,9694188181391140,!1,[[4,118],[7,[0,0]]]]]]]],[0,[!0,"LaserRotate"],!1,null,9577074755774360,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,9577074755774360,!1,[[1,[2,"LaserRotate"]]]]],[],[[0,null,!1,null,0xfb799e1fa21c1,[[96,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,
0,!1,!1,!0,0xa68e827a3ed21,!1,[[4,45]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0xa74ef1a032260,!1,[[11,"Lifes"],[7,[0,0]]]]]],[0,null,!1,null,0x7abc93fdee662,[[96,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,6101217399844108,!1,[[4,42]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,6584425220881786,!1,[[11,"Lifes"],[7,[0,1]]]]]]]],[0,[!0,"Mines"],!1,null,0x4eeb2e2b41a7c,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,0x4eeb2e2b41a7c,!1,[[1,[2,"Mines"]]]]],
[],[[0,null,!1,null,0xbfcf54ed00622,[[77,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,9083569537606256,!1,[[4,175]]]],[[77,cr.plugins_.Sprite.prototype.acts.Destroy,null,5652401901596166,!1]]],[0,null,!1,null,9434978501946224,[[79,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,7276207366419451,!1,[[4,175]]]],[[79,cr.plugins_.Sprite.prototype.acts.Destroy,null,8981846789554825,!1]]],[0,null,!1,null,0x80e4c38fb08be,[[107,cr.plugins_.Sprite.prototype.cnds.OnCollision,
null,0,!1,!1,!0,5893843019939304,!1,[[4,175]]]],[[107,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x56229c1db4894,!1],[107,cr.plugins_.Sprite.prototype.acts.Spawn,null,9004790431617939,!1,[[4,150],[5,[0,4]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xf23a0c8e7b577,!1,[[0,[1,0.6]]]],[150,cr.plugins_.Sprite.prototype.acts.Destroy,null,5288910717995684,!1]]],[0,null,!1,null,0xf669f765716f0,[[100,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,4535478655207431,!1,[[4,
175]]]],[[100,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xba60f76461b4a,!1],[100,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xeb0c07474825e,!1,[[4,150],[5,[0,4]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.Wait,null,0x8d45c60590a50,!1,[[0,[1,0.6]]]],[150,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x63495bd3af45b,!1]]],[0,null,!1,null,7156302135160803,[[96,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,5723631657444007,!1,[[4,175]]]],[[96,cr.plugins_.Sprite.prototype.acts.Destroy,
null,0x75fadb2cba67c,!1],[96,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xc374ded7b84ef,!1,[[4,150],[5,[0,4]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.Wait,null,8281038887319805,!1,[[0,[1,0.6]]]],[150,cr.plugins_.Sprite.prototype.acts.Destroy,null,6918917267205602,!1]]],[0,null,!1,null,0xf906d1ef27d4,[[97,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,4908485866178266,!1,[[4,175]]]],[[97,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xe131c0bff2de9,!1],[97,cr.plugins_.Sprite.prototype.acts.Spawn,
null,826603118888161,!1,[[4,175],[5,[0,7]],[7,[0,0]]]]]],[0,null,!1,null,0x4dcaa01e28686,[[98,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0xb446a76c52bdc,!1,[[4,175]]]],[[98,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xd4a7126146f63,!1],[98,cr.plugins_.Sprite.prototype.acts.Spawn,null,5605459836552018,!1,[[4,175],[5,[0,7]],[7,[0,0]]]]]],[0,null,!0,null,9635780711292988,[[45,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,9399283948490284,!1,[[4,175]]],[42,cr.plugins_.Sprite.prototype.cnds.OnCollision,
null,0,!1,!1,!0,7495417916275212,!1,[[4,175]]]],[[45,cr.plugins_.Sprite.prototype.acts.Destroy,null,5281637039314568,!1],[45,cr.plugins_.Sprite.prototype.acts.Spawn,null,8796565051993694,!1,[[4,119],[5,[0,6]],[7,[0,0]]]],[119,cr.behaviors.EightDir.prototype.acts.SimulateControl,"8Direction",6556206613773306,!1,[[3,2]]],[42,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x3a6873da6fa6b,!1],[41,cr.plugins_.Sprite.prototype.acts.Destroy,null,7936379157500237,!1]]],[0,null,!0,null,5904523570782166,[[45,
cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0xf9b3c2fbbf504,!1,[[4,97]]],[42,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,7317626739177847,!1,[[4,97]]]],[[97,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8818521205498302,!1,[[1,[2,"Active"]],[3,1]]]]],[0,null,!1,null,0xe1c5b23b57cf7,[[97,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,9119004273145432,!1,[[1,[2,"Active"]]]]],[],[[0,null,!1,null,9283668623244800,[[97,cr.plugins_.Sprite.prototype.cnds.CompareFrame,
null,0,!1,!1,!1,5384720483936152,!1,[[8,5],[0,[0,24]]]]],[[97,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x8c2c60e27d218,!1],[97,cr.plugins_.Sprite.prototype.acts.Spawn,null,7475611387638819,!1,[[4,175],[5,[0,7]],[7,[0,0]]]]]]]],[0,null,!0,null,9720297687599508,[[45,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0x778853612643f,!1,[[4,98]]],[42,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0x61eacdb5b6a90,!1,[[4,98]]]],[[98,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,0xb0099a8640253,!1,[[1,[2,"Active"]],[3,1]]],[-1,cr.system_object.prototype.acts.Wait,null,8540197618992236,!1,[[0,[0,8]]]],[98,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x833efc8e0964a,!1]]],[0,null,!1,null,0xc560958ff5cfa,[[98,cr.plugins_.Sprite.prototype.cnds.IsAnimPlaying,null,0,!1,!1,!1,0xc9ab2c8223c36,!1,[[1,[2,"Active"]]]]],[],[[0,null,!1,null,4768110542015933,[[98,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,8391558186350805,!1,[[8,5],[0,[0,24]]]]],[[98,cr.plugins_.Sprite.prototype.acts.Destroy,
null,8994783858629297,!1],[98,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xe9f1ce5bdaf62,!1,[[4,175],[5,[0,7]],[7,[0,0]]]]]]]],[0,null,!1,null,9306777051849876,[[45,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0x4263cd1840f6d,!1,[[4,98]]]],[],[[0,null,!1,null,9035085392282288,[[45,cr.plugins_.Sprite.prototype.cnds.CompareY,null,0,!1,!1,!1,9039336349418152,!1,[[8,2],[0,[20,98,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[98,cr.plugins_.Sprite.prototype.acts.SetY,null,0xbbf643929d614,
!1,[[0,[4,[20,98,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,25]]]]]]],[0,null,!1,null,6502348410402149,[[45,cr.plugins_.Sprite.prototype.cnds.CompareY,null,0,!1,!1,!1,0x9d5f4778c34fb,!1,[[8,4],[0,[20,98,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]]],[[98,cr.plugins_.Sprite.prototype.acts.SetY,null,8343300709503639,!1,[[0,[5,[20,98,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,25]]]]]]]]],[0,null,!1,null,0x3c12ce35493ce,[[45,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,7983763239544861,
!1,[[4,97]]]],[],[[0,null,!1,null,7518817921070921,[[45,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,9587991546685518,!1,[[8,2],[0,[20,97,cr.plugins_.Sprite.prototype.exps.X,!1,null]]]]],[[97,cr.plugins_.Sprite.prototype.acts.SetX,null,403517482165782,!1,[[0,[4,[20,97,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,25]]]]]]],[0,null,!1,null,6339688719361917,[[45,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,0xab8793004efd,!1,[[8,4],[0,[20,97,cr.plugins_.Sprite.prototype.exps.X,
!1,null]]]]],[[97,cr.plugins_.Sprite.prototype.acts.SetX,null,5229587034643339,!1,[[0,[5,[20,97,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,25]]]]]]]]]]],[0,[!0,"Money20"],!1,null,9129305095379100,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,9129305095379100,!1,[[1,[2,"Money20"]]]]],[],[[0,null,!1,null,8754667844014301,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,7476651035325545,!1]],[[-1,cr.system_object.prototype.acts.SetVar,null,8852968247114666,
!1,[[11,"Money"],[7,[0,0]]]],[56,cr.plugins_.Text.prototype.acts.SetText,null,889460787808828,!1,[[7,[2,"x"]]]]]],[0,null,!0,null,0x6361d42aa9d66,[[45,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0x468f73d819135,!1,[[4,77]]],[178,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,4765517072717474,!1,[[4,77]]]],[[77,cr.plugins_.Sprite.prototype.acts.Destroy,null,9084520583725504,!1],[77,cr.plugins_.Sprite.prototype.acts.Spawn,null,6652286545027424,!1,[[4,151],[5,[0,
6]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.AddVar,null,0xf5af1757d75ab,!1,[[11,"Money"],[7,[0,50]]]],[56,cr.plugins_.Text.prototype.acts.SetText,null,0x8f67452d77e32,!1,[[7,[10,[2,"x "],[23,"Money"]]]]],[37,cr.plugins_.Text.prototype.acts.SetText,null,4618118607992897,!1,[[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"MSave"]]]]]]]],[0,null,!0,null,0xe590938cf3609,[[45,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0x3b1aee9f0d504,!1,[[4,78]]],[178,
cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,9679585596658752,!1,[[4,78]]]],[[78,cr.plugins_.Sprite.prototype.acts.Destroy,null,9921657624766254,!1],[78,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x45cabe5946a48,!1,[[4,151],[5,[0,3]],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.AddVar,null,0xb7c1a35c06a9b,!1,[[11,"Money"],[7,[0,1]]]],[56,cr.plugins_.Text.prototype.acts.SetText,null,0x6cf8f0afefdf8,!1,[[7,[10,[2,"x "],[23,"Money"]]]]],[37,cr.plugins_.Text.prototype.acts.SetText,
null,0x73e995046e17c,!1,[[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"MSave"]]]]]]]],[0,null,!1,null,0x5eacf65a2ee53,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0x8b64a27db97e6,!1,[[4,45]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,415394770738465,!1,[[11,"Moneybuffer"],[7,[19,cr.system_object.prototype.exps["int"],[[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"MSave"]]]]]]]],[-1,cr.system_object.prototype.acts.SetVar,
null,7004172435454716,!1,[[11,"Money"],[7,[4,[23,"Money"],[23,"Moneybuffer"]]]]],[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,4976475946591737,!1,[[1,[2,"MSave"]],[7,[23,"Money"]]]],[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,9800192796339028,!1,[[1,[2,"savedd"]],[7,[20,63,cr.plugins_.Arr.prototype.exps.AsJSON,!0,null]]]]]]]],[0,[!0,"MoneyDestroy20"],!1,null,0x52ac3efa03f6b,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,0x52ac3efa03f6b,!1,[[1,[2,"MoneyDestroy20"]]]]],
[],[[0,null,!1,null,5476332929245538,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,0x9bee91b0fb0c,!1]],[[63,cr.plugins_.Arr.prototype.acts.JSONLoad,null,5451903564369836,!1,[[1,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"savedd"]]]]]]],[[0,null,!1,null,9750338384306338,[[-1,cr.system_object.prototype.cnds.ForEach,null,0,!0,!1,!1,8335464279856785,!1,[[4,77]]],[63,cr.plugins_.Arr.prototype.cnds.CompareX,null,0,!1,!1,!1,0xc702417af3077,!1,[[0,[21,77,!1,null,
0]],[8,0],[7,[0,1]]]]],[[77,cr.plugins_.Sprite.prototype.acts.Destroy,null,6137344412420757,!1]]]]],[0,null,!1,null,0x5c77e3da392db,[[45,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,0x64e7f7f6d6dde,!1,[[4,77]]]],[[77,cr.plugins_.Sprite.prototype.acts.Destroy,null,9172897835529374,!1]]],[0,null,!1,null,601946558857069,[[77,cr.plugins_.Sprite.prototype.cnds.OnDestroyed,null,1,!1,!1,!1,0xf1c0dd348dc8c,!1]],[[63,cr.plugins_.Arr.prototype.acts.SetX,null,0xe456deadfa6f2,!1,[[0,[21,77,
!1,null,0]],[7,[0,1]]]]]]]],[0,null,!1,null,0x663ddc02d619,[[1,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,0x93a2cef3f0e,!1,[[4,241]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,8470254110437145,!1]],[[2,cr.plugins_.Browser.prototype.acts.GoToURLWindow,null,0x456337bdae226,!1,[[1,[2,"http://dan-it.ru/positivejet"]],[1,[2,"NewWindow"]]]]]],[0,null,!1,null,7391832868985663,[[125,cr.plugins_.Sprite.prototype.cnds.OnDestroyed,null,1,!1,!1,!1,8322991250965074,
!1]],[],[[0,null,!1,null,8171579810309491,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x4cbb3c4ad9b16,!1,[[11,"Hand"],[8,0],[7,[0,1]]]]],[[49,cr.plugins_.Sprite.prototype.acts.SetX,null,0x5fa3ecb1c2c5f,!1,[[0,[4,[19,cr.system_object.prototype.exps.viewportleft,[[0,9]]],[0,135]]]]],[49,cr.plugins_.Sprite.prototype.acts.SetY,null,0xb28846585ab9a,!1,[[0,[5,[19,cr.system_object.prototype.exps.viewportbottom,[[0,9]]],[0,135]]]]],[50,cr.plugins_.Sprite.prototype.acts.SetPosToObject,
null,9046381689598832,!1,[[4,49],[7,[0,0]]]]]],[0,null,!1,null,4875257248138439,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7786784047358865,!1,[[11,"Hand"],[8,0],[7,[0,3]]]]],[[49,cr.plugins_.Sprite.prototype.acts.SetX,null,8716933600362984,!1,[[0,[5,[19,cr.system_object.prototype.exps.viewportright,[[0,9]]],[0,135]]]]],[49,cr.plugins_.Sprite.prototype.acts.SetY,null,8878769505066915,!1,[[0,[5,[19,cr.system_object.prototype.exps.viewportbottom,[[0,9]]],[0,135]]]]],[50,cr.plugins_.Sprite.prototype.acts.SetPosToObject,
null,5207906926771909,!1,[[4,49],[7,[0,0]]]]]]]],[0,null,!1,null,7328677163102082,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5911645148596315,!1,[[11,"pause"],[8,0],[7,[0,0]]]]],[[4,cr.plugins_.CJSAds.prototype.acts.HideBanner,null,0x5b9d942b0e9f6,!1]]],[0,null,!1,null,0x8e36740eb9b14,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xe58d18a070023,!1,[[11,"pause"],[8,0],[7,[0,1]]]]],[[4,cr.plugins_.CJSAds.prototype.acts.ShowBanner,null,0xc3dc80758b1b,!1,[[3,1]]]]]]],
["Lewel17",[[2,"Generalcode",!1],[0,null,!1,null,0x5767abe04a5b5,[[-1,cr.system_object.prototype.cnds.OnLayoutEnd,null,1,!1,!1,!1,896863255708705,!1]],[[-1,cr.system_object.prototype.acts.SetTimescale,null,0x9762f71434e98,!1,[[0,[1,1]]]]]],[0,[!0,"Webstorage17"],!1,null,0x438dfdc23c658,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,0x438dfdc23c658,!1,[[1,[2,"Webstorage17"]]]]],[],[[0,null,!1,null,344,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,345,!1,[[11,"win"],
[8,0],[7,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,346,!1,[[11,"currentlevel"],[7,[0,18]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,6079596092460066,!1,[[6,"Lewel18"]]]]],[0,null,!1,null,348,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,349,!1,[[11,"win"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,350,!1,[[11,"chooser"],[8,3],[7,[23,"currentlevel"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,351,!1,[[11,
"chooser"],[7,[0,18]]]],[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,352,!1,[[1,[2,"play"]],[7,[23,"chooser"]]]]]]]],[0,[!0,"Setlevelstars17"],!1,null,9228674645254462,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,9228674645254462,!1,[[1,[2,"Setlevelstars17"]]]]],[],[[0,null,!1,null,8681228674549992,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4663435795376083,!1,[[11,"Localstars"],[8,0],[7,[0,0]]]]],[]],[0,null,!1,null,9695190985629874,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,
null,0,!1,!1,!0,0x84532d1859c27,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xa43ead62a07e8,!1,[[11,"Localstars"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5676324341630972,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"17levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,7499423908582247,!1,[[1,[2,"17levelsave"]],[7,[2,"1"]]]]]],[0,null,!1,null,0xff1a66837ca31,
[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,9456307144332184,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x44e5c2eec3a2f,!1,[[11,"Localstars"],[8,0],[7,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9138337384616682,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"17levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0xd9827f6801e06,!1,[[1,[2,"17levelsave"]],
[7,[2,"2"]]]]]],[0,null,!1,null,0x6ffee63d61a90,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,7020655668559464,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x803c72af9d8df,!1,[[11,"Localstars"],[8,0],[7,[0,3]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xcc6f84a109aae,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"17levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,
null,6722985989722826,!1,[[1,[2,"17levelsave"]],[7,[2,"3"]]]]]],[0,null,!1,null,8215270079014353,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,649415691174397,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xdbb06564404c0,!1,[[11,"Localstars"],[8,0],[7,[0,4]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4936928710810593,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"17levelsave"]]]]]]],
[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,6530480531054009,!1,[[1,[2,"17levelsave"]],[7,[2,"4"]]]]]],[0,null,!1,null,0xaaa3b089912db,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,4986866076773617,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5793512094550283,!1,[[11,"Localstars"],[8,0],[7,[0,5]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x4039460df2c26,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,
!0,null,[[2,"17levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,6395044065508057,!1,[[1,[2,"17levelsave"]],[7,[2,"5"]]]]]],[0,null,!1,null,0x433155f05c453,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,5928467561928081,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6046921966377136,!1,[[11,"Localstars"],[8,0],[7,[0,6]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5927601912220196,!1,[[11,"Localstars"],
[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"17levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0xf91ee20a2db37,!1,[[1,[2,"17levelsave"]],[7,[2,"6"]]]]]],[0,null,!1,null,0x48ed73898165a,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0xec068c6ca0473,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9212638345935980,!1,[[11,"Localstars"],[8,0],[7,[0,7]]]],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,49768516685202,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"17levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,9986845479154604,!1,[[1,[2,"17levelsave"]],[7,[2,"7"]]]]]],[0,null,!1,null,0xa48380b592fc7,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0x8bb649eb9d45d,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xab8f91bee2eb8,!1,[[11,"Localstars"],[8,0],
[7,[0,8]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5934338420537089,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"17levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,7430002871490654,!1,[[1,[2,"17levelsave"]],[7,[2,"8"]]]]]],[0,null,!1,null,5022265689391525,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,7511802540651761,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,0xbfa8078d7b54a,!1,[[11,"Localstars"],[8,0],[7,[0,9]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9012979533595894,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"17levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,7680101809029509,!1,[[1,[2,"17levelsave"]],[7,[2,"9"]]]]]],[0,null,!1,null,8784321392611864,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0xc67b5a2073dd1,
!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4541281578481927,!1,[[11,"Localstars"],[8,0],[7,[0,10]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xbe6d759e5459,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"17levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0x45009ff5ffb52,!1,[[1,[2,"17levelsave"]],[7,[2,"10"]]]]]]]]]],["Lewel18",[[2,"Generalcode",!1],[0,null,!1,null,
9353323632825816,[[-1,cr.system_object.prototype.cnds.OnLayoutEnd,null,1,!1,!1,!1,5769079427297769,!1]],[[-1,cr.system_object.prototype.acts.SetTimescale,null,5290951476199169,!1,[[0,[1,1]]]]]],[0,[!0,"Webstorage18"],!1,null,0x98618753feb91,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,0x98618753feb91,!1,[[1,[2,"Webstorage18"]]]]],[],[[0,null,!1,null,344,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,345,!1,[[11,"win"],[8,0],[7,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SetVar,
null,346,!1,[[11,"currentlevel"],[7,[0,19]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,6341349257506624,!1,[[6,"Lewel19"]]]]],[0,null,!1,null,348,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,349,!1,[[11,"win"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,350,!1,[[11,"chooser"],[8,3],[7,[23,"currentlevel"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,351,!1,[[11,"chooser"],[7,[0,19]]]],[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,
null,352,!1,[[1,[2,"play"]],[7,[23,"chooser"]]]]]]]],[0,[!0,"Setlevelstars18"],!1,null,0x62f808e44e8d6,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,0x62f808e44e8d6,!1,[[1,[2,"Setlevelstars18"]]]]],[],[[0,null,!1,null,8681228674549992,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4663435795376083,!1,[[11,"Localstars"],[8,0],[7,[0,0]]]]],[]],[0,null,!1,null,9695190985629874,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0x84532d1859c27,!1,
[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xa43ead62a07e8,!1,[[11,"Localstars"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5676324341630972,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"18levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,7499423908582247,!1,[[1,[2,"18levelsave"]],[7,[2,"1"]]]]]],[0,null,!1,null,0xff1a66837ca31,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,
null,0,!1,!1,!0,9456307144332184,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x44e5c2eec3a2f,!1,[[11,"Localstars"],[8,0],[7,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9138337384616682,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"18levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0xd9827f6801e06,!1,[[1,[2,"18levelsave"]],[7,[2,"2"]]]]]],[0,null,!1,null,0x6ffee63d61a90,
[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,7020655668559464,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x803c72af9d8df,!1,[[11,"Localstars"],[8,0],[7,[0,3]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xcc6f84a109aae,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"18levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,6722985989722826,!1,[[1,[2,"18levelsave"]],
[7,[2,"3"]]]]]],[0,null,!1,null,8215270079014353,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,649415691174397,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xdbb06564404c0,!1,[[11,"Localstars"],[8,0],[7,[0,4]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4936928710810593,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"18levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,
null,6530480531054009,!1,[[1,[2,"18levelsave"]],[7,[2,"4"]]]]]],[0,null,!1,null,0xaaa3b089912db,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,4986866076773617,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5793512094550283,!1,[[11,"Localstars"],[8,0],[7,[0,5]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x4039460df2c26,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"18levelsave"]]]]]]],
[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,6395044065508057,!1,[[1,[2,"18levelsave"]],[7,[2,"5"]]]]]],[0,null,!1,null,0x433155f05c453,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,5928467561928081,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6046921966377136,!1,[[11,"Localstars"],[8,0],[7,[0,6]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5927601912220196,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,
!0,null,[[2,"18levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0xf91ee20a2db37,!1,[[1,[2,"18levelsave"]],[7,[2,"6"]]]]]],[0,null,!1,null,0x48ed73898165a,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0xec068c6ca0473,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9212638345935980,!1,[[11,"Localstars"],[8,0],[7,[0,7]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,49768516685202,!1,[[11,"Localstars"],[8,4],
[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"18levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,9986845479154604,!1,[[1,[2,"18levelsave"]],[7,[2,"7"]]]]]],[0,null,!1,null,0xa48380b592fc7,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0x8bb649eb9d45d,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xab8f91bee2eb8,!1,[[11,"Localstars"],[8,0],[7,[0,8]]]],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,5934338420537089,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"18levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,7430002871490654,!1,[[1,[2,"18levelsave"]],[7,[2,"8"]]]]]],[0,null,!1,null,5022265689391525,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,7511802540651761,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xbfa8078d7b54a,!1,[[11,"Localstars"],[8,
0],[7,[0,9]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9012979533595894,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"18levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,7680101809029509,!1,[[1,[2,"18levelsave"]],[7,[2,"9"]]]]]],[0,null,!1,null,8784321392611864,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0xc67b5a2073dd1,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,4541281578481927,!1,[[11,"Localstars"],[8,0],[7,[0,10]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xbe6d759e5459,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"18levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0x45009ff5ffb52,!1,[[1,[2,"18levelsave"]],[7,[2,"10"]]]]]]]]]],["Lewel19",[[2,"Generalcode",!1],[0,null,!1,null,535907099352154,[[-1,cr.system_object.prototype.cnds.OnLayoutEnd,
null,1,!1,!1,!1,0xdb689f8fa76d,!1]],[[-1,cr.system_object.prototype.acts.SetTimescale,null,0xf04485a57b9c8,!1,[[0,[1,1]]]]]],[0,[!0,"Webstorage19"],!1,null,5243045734437846,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,5243045734437846,!1,[[1,[2,"Webstorage19"]]]]],[],[[0,null,!1,null,344,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,345,!1,[[11,"win"],[8,0],[7,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,346,!1,[[11,"currentlevel"],[7,[0,20]]]],
[-1,cr.system_object.prototype.acts.GoToLayout,null,6341349257506624,!1,[[6,"Lewel20"]]]]],[0,null,!1,null,348,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,349,!1,[[11,"win"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,350,!1,[[11,"chooser"],[8,3],[7,[23,"currentlevel"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,351,!1,[[11,"chooser"],[7,[0,20]]]],[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,352,!1,[[1,[2,"play"]],[7,[23,
"chooser"]]]]]]]],[0,[!0,"Setlevelstars19"],!1,null,40477611333236,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,40477611333236,!1,[[1,[2,"Setlevelstars19"]]]]],[],[[0,null,!1,null,8681228674549992,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4663435795376083,!1,[[11,"Localstars"],[8,0],[7,[0,0]]]]],[]],[0,null,!1,null,9695190985629874,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0x84532d1859c27,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,0xa43ead62a07e8,!1,[[11,"Localstars"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5676324341630972,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"19levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,7499423908582247,!1,[[1,[2,"19levelsave"]],[7,[2,"1"]]]]]],[0,null,!1,null,0xff1a66837ca31,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,9456307144332184,
!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x44e5c2eec3a2f,!1,[[11,"Localstars"],[8,0],[7,[0,2]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9138337384616682,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"19levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0xd9827f6801e06,!1,[[1,[2,"19levelsave"]],[7,[2,"2"]]]]]],[0,null,!1,null,0x6ffee63d61a90,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,
null,0,!1,!1,!0,7020655668559464,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x803c72af9d8df,!1,[[11,"Localstars"],[8,0],[7,[0,3]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xcc6f84a109aae,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"19levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,6722985989722826,!1,[[1,[2,"19levelsave"]],[7,[2,"3"]]]]]],[0,null,!1,null,8215270079014353,
[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,649415691174397,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xdbb06564404c0,!1,[[11,"Localstars"],[8,0],[7,[0,4]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4936928710810593,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"19levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,6530480531054009,!1,[[1,[2,"19levelsave"]],
[7,[2,"4"]]]]]],[0,null,!1,null,0xaaa3b089912db,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,4986866076773617,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5793512094550283,!1,[[11,"Localstars"],[8,0],[7,[0,5]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x4039460df2c26,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"19levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,
null,6395044065508057,!1,[[1,[2,"19levelsave"]],[7,[2,"5"]]]]]],[0,null,!1,null,0x433155f05c453,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,5928467561928081,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6046921966377136,!1,[[11,"Localstars"],[8,0],[7,[0,6]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5927601912220196,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"19levelsave"]]]]]]],
[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0xf91ee20a2db37,!1,[[1,[2,"19levelsave"]],[7,[2,"6"]]]]]],[0,null,!1,null,0x48ed73898165a,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0xec068c6ca0473,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9212638345935980,!1,[[11,"Localstars"],[8,0],[7,[0,7]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,49768516685202,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,
!0,null,[[2,"19levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,9986845479154604,!1,[[1,[2,"19levelsave"]],[7,[2,"7"]]]]]],[0,null,!1,null,0xa48380b592fc7,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0x8bb649eb9d45d,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xab8f91bee2eb8,!1,[[11,"Localstars"],[8,0],[7,[0,8]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5934338420537089,!1,[[11,"Localstars"],[8,
4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"19levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,7430002871490654,!1,[[1,[2,"19levelsave"]],[7,[2,"8"]]]]]],[0,null,!1,null,5022265689391525,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,7511802540651761,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xbfa8078d7b54a,!1,[[11,"Localstars"],[8,0],[7,[0,9]]]],[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,9012979533595894,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"19levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,7680101809029509,!1,[[1,[2,"19levelsave"]],[7,[2,"9"]]]]]],[0,null,!1,null,8784321392611864,[[81,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0xc67b5a2073dd1,!1,[[4,45]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4541281578481927,!1,[[11,"Localstars"],[8,
0],[7,[0,10]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xbe6d759e5459,!1,[[11,"Localstars"],[8,4],[7,[20,0,cr.plugins_.WebStorage.prototype.exps.LocalValue,!0,null,[[2,"19levelsave"]]]]]]],[[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0x45009ff5ffb52,!1,[[1,[2,"19levelsave"]],[7,[2,"10"]]]]]]]],[0,[!0,"Gateelectro"],!1,null,0x697ab5acbc3a2,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,0x697ab5acbc3a2,!1,[[1,[2,"Gateelectro"]]]]],[],[[0,null,
!1,null,6153676231447885,[[211,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!0,!1,0x99560ed66de7,!1,[[4,89]]],[213,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!0,!1,0xe610d7b936270,!1,[[4,212]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5498888327336191,!1]],[[89,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x535a0742fa4e5,!1,[[1,[2,"Open"]],[3,1]]],[212,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8061974002621241,!1,[[1,[2,"Open"]],[3,1]]]]],
[0,null,!1,null,4609873241611023,[[213,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!0,!1,0x6be4d6048c9ec,!1,[[4,212]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x7f4a19247bb77,!1]],[[213,cr.plugins_.Sprite.prototype.acts.SetAnim,null,728968213636614,!1,[[1,[2,"Passiv"]],[3,1]]]]],[0,null,!1,null,6256422570021709,[[213,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!1,!1,4591138647635602,!1,[[4,212]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,
0,!1,!1,!1,0x46314d7ce3167,!1]],[[213,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8081135318797263,!1,[[1,[2,"Activ"]],[3,1]]]]],[0,null,!1,null,5084793643065514,[[211,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,null,0,!1,!0,!1,9025931708695776,!1,[[4,89]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7658752382553061,!1]],[[211,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x5233966ac227e,!1,[[1,[2,"Passiv"]],[3,1]]]]],[0,null,!1,null,6225236458977291,[[211,cr.plugins_.Sprite.prototype.cnds.IsOverlapping,
null,0,!1,!1,!1,8085111446172875,!1,[[4,89]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7613514187348003,!1]],[[211,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6650785421610241,!1,[[1,[2,"Activ"]],[3,1]]]]]]]]],["Lewel20",[[2,"Generalcode",!1],[0,null,!1,null,7924628490666017,[[-1,cr.system_object.prototype.cnds.OnLayoutEnd,null,1,!1,!1,!1,4974926232382208,!1]],[[-1,cr.system_object.prototype.acts.SetTimescale,null,7441083627508372,!1,[[0,[1,1]]]]]],[0,[!0,"Webstorage20"],
!1,null,8585149703663597,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,8585149703663597,!1,[[1,[2,"Webstorage20"]]]]],[],[[0,null,!1,null,344,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,345,!1,[[11,"win"],[8,0],[7,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,346,!1,[[11,"currentlevel"],[7,[0,21]]]],[-1,cr.system_object.prototype.acts.GoToLayout,null,6341349257506624,!1,[[6,"Lewel21"]]]]],[0,null,!1,null,348,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,349,!1,[[11,"win"],[8,0],[7,[0,1]]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,350,!1,[[11,"chooser"],[8,3],[7,[23,"currentlevel"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,351,!1,[[11,"chooser"],[7,[0,21]]]],[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,352,!1,[[1,[2,"play"]],[7,[23,"chooser"]]]]]]]],[0,[!0,"Rocket"],!1,null,0x8365d6d631d69,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,0x8365d6d631d69,!1,[[1,[2,"Rocket"]]]]],
[],[[0,null,!1,null,0x41551e17d52d2,[[178,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,7816222414748489,!1,[[4,192]]]],[[192,cr.plugins_.Sprite.prototype.acts.Destroy,null,5979859221374226,!1],[-1,cr.system_object.prototype.acts.AddVar,null,5453252482156677,!1,[[11,"RV"],[7,[0,1]]]]],[[0,null,!1,null,0xcd43f4ce00c18,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6386617981609139,!1,[[11,"RV"],[8,0],[7,[0,0]]]]],[[178,cr.plugins_.Sprite.prototype.acts.SetAnim,null,
870919149666394,!1,[[1,[2,"U0"]],[3,1]]],[178,cr.behaviors.Car.prototype.acts.SetMaxSpeed,"Car",8326422769443631,!1,[[0,[0,150]]]],[178,cr.behaviors.Car.prototype.acts.SetAcceleration,"Car",5778442295224288,!1,[[0,[0,25]]]],[178,cr.behaviors.Car.prototype.acts.SetSteerSpeed,"Car",5977745592602805,!1,[[0,[0,40]]]],[178,cr.behaviors.Car.prototype.acts.SetDriftRecover,"Car",9800340698874744,!1,[[0,[0,15]]]],[178,cr.behaviors.Car.prototype.acts.SetFriction,"Car",7679772702910716,!1,[[0,[1,0.75]]]]]],
[0,null,!1,null,0x63b07238e036b,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5505952160839871,!1,[[11,"RV"],[8,0],[7,[0,1]]]]],[[178,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xe4d91a20231e8,!1,[[1,[2,"U1"]],[3,1]]],[178,cr.behaviors.Car.prototype.acts.SetMaxSpeed,"Car",0x7779d536263ec,!1,[[0,[0,160]]]],[178,cr.behaviors.Car.prototype.acts.SetAcceleration,"Car",0x41b4a4dfe4383,!1,[[0,[0,35]]]],[178,cr.behaviors.Car.prototype.acts.SetSteerSpeed,"Car",8784594715070729,!1,[[0,
[0,60]]]],[178,cr.behaviors.Car.prototype.acts.SetDriftRecover,"Car",0xb5a542d697a84,!1,[[0,[0,30]]]],[178,cr.behaviors.Car.prototype.acts.SetFriction,"Car",0xa0b25cf2419ef,!1,[[0,[1,0.5]]]]]],[0,null,!1,null,9510137446782812,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x78f40200958cc,!1,[[11,"RV"],[8,0],[7,[0,2]]]]],[[178,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8360653974851657,!1,[[1,[2,"U2"]],[3,1]]],[178,cr.behaviors.Car.prototype.acts.SetMaxSpeed,"Car",7146735940577156,
!1,[[0,[0,170]]]],[178,cr.behaviors.Car.prototype.acts.SetAcceleration,"Car",9367828912143720,!1,[[0,[0,45]]]],[178,cr.behaviors.Car.prototype.acts.SetSteerSpeed,"Car",0x453e2036e4cd4,!1,[[0,[0,70]]]],[178,cr.behaviors.Car.prototype.acts.SetDriftRecover,"Car",0xa7a3742b633db,!1,[[0,[0,40]]]],[178,cr.behaviors.Car.prototype.acts.SetFriction,"Car",7860574130137146,!1,[[0,[1,0.4]]]]]],[0,null,!1,null,6608478077552174,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x9af280364bf9d,!1,
[[11,"RV"],[8,0],[7,[0,3]]]]],[[178,cr.plugins_.Sprite.prototype.acts.SetAnim,null,4728471224367476,!1,[[1,[2,"U3"]],[3,1]]],[178,cr.behaviors.Car.prototype.acts.SetMaxSpeed,"Car",7863529000977023,!1,[[0,[0,175]]]],[178,cr.behaviors.Car.prototype.acts.SetAcceleration,"Car",0xcc83ed9d58e20,!1,[[0,[0,50]]]],[178,cr.behaviors.Car.prototype.acts.SetSteerSpeed,"Car",414065026832357,!1,[[0,[0,80]]]],[178,cr.behaviors.Car.prototype.acts.SetDriftRecover,"Car",0xdcd82501580b0,!1,[[0,[0,50]]]],[178,cr.behaviors.Car.prototype.acts.SetFriction,
"Car",7225529038523642,!1,[[0,[1,0.3]]]]]],[0,null,!1,null,0x3bebdeac29369,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8734075078489123,!1,[[11,"RV"],[8,0],[7,[0,4]]]]],[[178,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x4d51ce37d38da,!1,[[1,[2,"U4"]],[3,1]]],[178,cr.behaviors.Car.prototype.acts.SetMaxSpeed,"Car",8090755776939242,!1,[[0,[0,180]]]],[178,cr.behaviors.Car.prototype.acts.SetAcceleration,"Car",0xe28823d6489b8,!1,[[0,[0,60]]]],[178,cr.behaviors.Car.prototype.acts.SetSteerSpeed,
"Car",6859370597296008,!1,[[0,[0,90]]]],[178,cr.behaviors.Car.prototype.acts.SetDriftRecover,"Car",0x5a14caad45cde,!1,[[0,[0,60]]]],[178,cr.behaviors.Car.prototype.acts.SetFriction,"Car",9081196208880836,!1,[[0,[1,0.2]]]]]]]],[0,null,!1,null,5802206805098562,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,5519605400314023,!1]],[[-1,cr.system_object.prototype.acts.SetGroupActive,null,0x8180ff6e2898c,!1,[[1,[2,"water"]],[3,0]]]]],[0,null,!1,null,7391330387858599,[[45,cr.plugins_.Sprite.prototype.cnds.OnCollision,
null,0,!1,!1,!0,9049093877066504,!1,[[4,176]]]],[[176,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6122745415371869,!1,[[1,[2,"Start"]],[3,1]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x65b36b1498932,!1,[[4,178],[5,[0,6]],[0,[20,176,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,176,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[45,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x5d8844b4a1175,!1],[42,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xaff46fc2c76bc,!1],[-1,cr.system_object.prototype.acts.SetGroupActive,
null,9019734570498114,!1,[[1,[2,"Mouse control"]],[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,0xbe153353509da,!1,[[1,[2,"water"]],[3,1]]],[49,cr.plugins_.Sprite.prototype.acts.SetVisible,null,4836175620968214,!1,[[3,0]]],[50,cr.plugins_.Sprite.prototype.acts.SetVisible,null,0xfa8e6bd2b4194,!1,[[3,0]]],[50,cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",4926995637244724,!1,[[3,0]]],[41,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x53aaf574b08bb,!1],[43,cr.plugins_.Particles.prototype.acts.SetSpraying,
null,0x9472640d58297,!1,[[3,1]]],[44,cr.plugins_.Particles.prototype.acts.SetSpraying,null,6254334011251379,!1,[[3,1]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x7428d9132b99,!1,[[4,179],[5,[0,9]],[0,[19,cr.system_object.prototype.exps.canvastolayerx,[[0,9],[7,[19,cr.system_object.prototype.exps.windowwidth],[0,2]],[7,[19,cr.system_object.prototype.exps.windowwidth],[0,2]]]]],[0,[19,cr.system_object.prototype.exps.canvastolayery,[[0,9],[7,[19,cr.system_object.prototype.exps.windowheight],
[0,2]],[7,[19,cr.system_object.prototype.exps.windowheight],[0,2]]]]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x8252d253f05fe,!1,[[4,180],[5,[0,9]],[0,[19,cr.system_object.prototype.exps.canvastolayerx,[[0,9],[7,[19,cr.system_object.prototype.exps.windowwidth],[0,2]],[7,[19,cr.system_object.prototype.exps.windowwidth],[0,2]]]]],[0,[19,cr.system_object.prototype.exps.canvastolayery,[[0,9],[7,[19,cr.system_object.prototype.exps.windowheight],[0,2]],[7,[19,cr.system_object.prototype.exps.windowheight],
[0,2]]]]]]],[178,cr.plugins_.Sprite.prototype.acts.Spawn,null,9067660824001884,!1,[[4,177],[5,[0,6]],[7,[0,3]]]],[177,cr.behaviors.Pin.prototype.acts.Pin,"Pin",9694516524544028,!1,[[4,178],[3,0]]]]],[0,null,!1,null,5973855883788631,[[178,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,7508787161435833,!1,[[4,181]]]],[[181,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x3d8196a16d3b1,!1],[-1,cr.system_object.prototype.acts.SubVar,null,6204030037465815,!1,[[11,"RV"],[7,[0,1]]]],[178,
cr.behaviors.scrollto.prototype.acts.Shake,"ScrollTo",6024714728325426,!1,[[0,[0,20]],[0,[0,2]],[3,0]]],[181,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x52195f904477f,!1,[[4,150],[5,[0,3]],[7,[0,0]]]]],[[0,null,!1,null,5538327360809376,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x51c3a57653b8c,!1,[[11,"RV"],[8,3],[7,[0,-1]]]]],[[178,cr.plugins_.Sprite.prototype.acts.Destroy,null,5589086963449992,!1],[178,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xcca597489ecab,!1,[[4,119],
[5,[0,6]],[7,[0,0]]]],[119,cr.plugins_.Sprite.prototype.acts.SetAngle,null,0xdc3f4eb3b07c5,!1,[[0,[0,0]]]],[119,cr.behaviors.EightDir.prototype.acts.SimulateControl,"8Direction",6977443660268878,!1,[[3,2]]],[43,cr.plugins_.Particles.prototype.acts.SetSpraying,null,8823344839810137,!1,[[3,0]]],[44,cr.plugins_.Particles.prototype.acts.SetSpraying,null,7868736255450724,!1,[[3,0]]],[177,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xbd3904c62e68,!1]]],[0,null,!1,null,6809266488694113,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,0xac6137672614f,!1,[[11,"RV"],[8,0],[7,[0,0]]]]],[[178,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8362248113697377,!1,[[1,[2,"U0"]],[3,1]]],[178,cr.behaviors.Car.prototype.acts.SetMaxSpeed,"Car",7311591447568323,!1,[[0,[0,150]]]],[178,cr.behaviors.Car.prototype.acts.SetAcceleration,"Car",6043962135064044,!1,[[0,[0,25]]]],[178,cr.behaviors.Car.prototype.acts.SetSteerSpeed,"Car",0xb59496c0f46c5,!1,[[0,[0,40]]]],[178,cr.behaviors.Car.prototype.acts.SetDriftRecover,"Car",6454220889111158,
!1,[[0,[0,15]]]],[178,cr.behaviors.Car.prototype.acts.SetFriction,"Car",8107375984477874,!1,[[0,[1,0.75]]]]]],[0,null,!1,null,9385360685062792,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xf6f264f107550,!1,[[11,"RV"],[8,0],[7,[0,1]]]]],[[178,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5681102704335315,!1,[[1,[2,"U1"]],[3,1]]],[178,cr.behaviors.Car.prototype.acts.SetMaxSpeed,"Car",7193641256850495,!1,[[0,[0,160]]]],[178,cr.behaviors.Car.prototype.acts.SetAcceleration,"Car",9726955370421848,
!1,[[0,[0,35]]]],[178,cr.behaviors.Car.prototype.acts.SetSteerSpeed,"Car",0xc808491a68e29,!1,[[0,[0,60]]]],[178,cr.behaviors.Car.prototype.acts.SetDriftRecover,"Car",6524859743304496,!1,[[0,[0,30]]]],[178,cr.behaviors.Car.prototype.acts.SetFriction,"Car",8354152638326671,!1,[[0,[1,0.5]]]]]],[0,null,!1,null,0xdb64f9786a8e0,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7043225106220666,!1,[[11,"RV"],[8,0],[7,[0,2]]]]],[[178,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7985104247155016,
!1,[[1,[2,"U2"]],[3,1]]],[178,cr.behaviors.Car.prototype.acts.SetMaxSpeed,"Car",0x9716379eb7317,!1,[[0,[0,170]]]],[178,cr.behaviors.Car.prototype.acts.SetAcceleration,"Car",0x6eb176ee31ed7,!1,[[0,[0,45]]]],[178,cr.behaviors.Car.prototype.acts.SetSteerSpeed,"Car",7021464491952129,!1,[[0,[0,70]]]],[178,cr.behaviors.Car.prototype.acts.SetDriftRecover,"Car",0xb74fdd5831450,!1,[[0,[0,40]]]],[178,cr.behaviors.Car.prototype.acts.SetFriction,"Car",0x8a593e8571b98,!1,[[0,[1,0.4]]]]]],[0,null,!1,null,9075938113805658,
[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x87e1f0f2c9307,!1,[[11,"RV"],[8,0],[7,[0,3]]]]],[[178,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8731509701610969,!1,[[1,[2,"U3"]],[3,1]]],[178,cr.behaviors.Car.prototype.acts.SetMaxSpeed,"Car",0x9d723317781c6,!1,[[0,[0,175]]]],[178,cr.behaviors.Car.prototype.acts.SetAcceleration,"Car",0xaad3e5a305f6,!1,[[0,[0,50]]]],[178,cr.behaviors.Car.prototype.acts.SetSteerSpeed,"Car",6993733381353484,!1,[[0,[0,80]]]],[178,cr.behaviors.Car.prototype.acts.SetDriftRecover,
"Car",836987280809581,!1,[[0,[0,50]]]],[178,cr.behaviors.Car.prototype.acts.SetFriction,"Car",0xbb13ea68cf011,!1,[[0,[1,0.3]]]]]],[0,null,!1,null,0xc3b3d62b3586,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4947794923487945,!1,[[11,"RV"],[8,0],[7,[0,4]]]]],[[178,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x946f2c1d2eef1,!1,[[1,[2,"U4"]],[3,1]]],[178,cr.behaviors.Car.prototype.acts.SetMaxSpeed,"Car",0x492938ba554d6,!1,[[0,[0,180]]]],[178,cr.behaviors.Car.prototype.acts.SetAcceleration,
"Car",7654050435331291,!1,[[0,[0,60]]]],[178,cr.behaviors.Car.prototype.acts.SetSteerSpeed,"Car",6743731263487004,!1,[[0,[0,90]]]],[178,cr.behaviors.Car.prototype.acts.SetDriftRecover,"Car",9221635647860128,!1,[[0,[0,60]]]],[178,cr.behaviors.Car.prototype.acts.SetFriction,"Car",0xb7abad462a37f,!1,[[0,[1,0.2]]]]]]]],[0,null,!1,null,0xb65f6e4a330c4,[[178,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0x96f1a9e8ff6e6,!1,[[4,182]]]],[[182,cr.plugins_.Sprite.prototype.acts.Destroy,null,
0x7b66027656e60,!1],[-1,cr.system_object.prototype.acts.SubVar,null,9078635908876436,!1,[[11,"RV"],[7,[0,1]]]],[178,cr.behaviors.scrollto.prototype.acts.Shake,"ScrollTo",303777343050933,!1,[[0,[0,20]],[0,[0,2]],[3,0]]],[182,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xe11fc7268dc26,!1,[[4,150],[5,[0,3]],[7,[0,0]]]]],[[0,null,!1,null,7142598937253786,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xcaf5dcc824b59,!1,[[11,"RV"],[8,3],[7,[0,-1]]]]],[[178,cr.plugins_.Sprite.prototype.acts.Destroy,
null,0xf9a5542478090,!1],[178,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xe60e7e5360a08,!1,[[4,119],[5,[0,6]],[7,[0,0]]]],[119,cr.plugins_.Sprite.prototype.acts.SetAngle,null,9326243347473256,!1,[[0,[0,0]]]],[119,cr.behaviors.EightDir.prototype.acts.SimulateControl,"8Direction",9319657394016672,!1,[[3,2]]],[43,cr.plugins_.Particles.prototype.acts.SetSpraying,null,0x8b18ca40a974d,!1,[[3,0]]],[44,cr.plugins_.Particles.prototype.acts.SetSpraying,null,5127987820734782,!1,[[3,0]]],[177,cr.plugins_.Sprite.prototype.acts.Destroy,
null,9393040397341856,!1]]],[0,null,!1,null,5840723551529424,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x9deea3951796c,!1,[[11,"RV"],[8,0],[7,[0,0]]]]],[[178,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x48a7ca59710b1,!1,[[1,[2,"U0"]],[3,1]]],[178,cr.behaviors.Car.prototype.acts.SetMaxSpeed,"Car",0xa171e8a6dcb40,!1,[[0,[0,150]]]],[178,cr.behaviors.Car.prototype.acts.SetAcceleration,"Car",4797949381308746,!1,[[0,[0,25]]]],[178,cr.behaviors.Car.prototype.acts.SetSteerSpeed,
"Car",7261051283198283,!1,[[0,[0,40]]]],[178,cr.behaviors.Car.prototype.acts.SetDriftRecover,"Car",5693080394374912,!1,[[0,[0,15]]]],[178,cr.behaviors.Car.prototype.acts.SetFriction,"Car",7318993014087276,!1,[[0,[1,0.75]]]]]],[0,null,!1,null,0x99ecda88350bf,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7327330375374725,!1,[[11,"RV"],[8,0],[7,[0,1]]]]],[[178,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7758409483837536,!1,[[1,[2,"U1"]],[3,1]]],[178,cr.behaviors.Car.prototype.acts.SetMaxSpeed,
"Car",5400238532346427,!1,[[0,[0,160]]]],[178,cr.behaviors.Car.prototype.acts.SetAcceleration,"Car",6651211622869905,!1,[[0,[0,35]]]],[178,cr.behaviors.Car.prototype.acts.SetSteerSpeed,"Car",9991180696140856,!1,[[0,[0,60]]]],[178,cr.behaviors.Car.prototype.acts.SetDriftRecover,"Car",7471187723559785,!1,[[0,[0,30]]]],[178,cr.behaviors.Car.prototype.acts.SetFriction,"Car",8465476999887295,!1,[[0,[1,0.5]]]]]],[0,null,!1,null,0xb15e51e6b2ef4,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,
!1,5743680370245755,!1,[[11,"RV"],[8,0],[7,[0,2]]]]],[[178,cr.plugins_.Sprite.prototype.acts.SetAnim,null,428337577347464,!1,[[1,[2,"U2"]],[3,1]]],[178,cr.behaviors.Car.prototype.acts.SetMaxSpeed,"Car",9526620918193528,!1,[[0,[0,170]]]],[178,cr.behaviors.Car.prototype.acts.SetAcceleration,"Car",959517188405657,!1,[[0,[0,45]]]],[178,cr.behaviors.Car.prototype.acts.SetSteerSpeed,"Car",8712181571857577,!1,[[0,[0,70]]]],[178,cr.behaviors.Car.prototype.acts.SetDriftRecover,"Car",0x89c9b6e8f6636,!1,[[0,
[0,40]]]],[178,cr.behaviors.Car.prototype.acts.SetFriction,"Car",6135189051526049,!1,[[0,[1,0.4]]]]]],[0,null,!1,null,4650084107038953,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6517086230536638,!1,[[11,"RV"],[8,0],[7,[0,3]]]]],[[178,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x65e0c3d3d8e17,!1,[[1,[2,"U3"]],[3,1]]],[178,cr.behaviors.Car.prototype.acts.SetMaxSpeed,"Car",0x920c04cb1effe,!1,[[0,[0,175]]]],[178,cr.behaviors.Car.prototype.acts.SetAcceleration,"Car",0xfae4fb7a02aff,
!1,[[0,[0,50]]]],[178,cr.behaviors.Car.prototype.acts.SetSteerSpeed,"Car",366310838455419,!1,[[0,[0,80]]]],[178,cr.behaviors.Car.prototype.acts.SetDriftRecover,"Car",899380770807804,!1,[[0,[0,50]]]],[178,cr.behaviors.Car.prototype.acts.SetFriction,"Car",4822141103548799,!1,[[0,[1,0.3]]]]]],[0,null,!1,null,6103602730171608,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9309667035661072,!1,[[11,"RV"],[8,0],[7,[0,4]]]]],[[178,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8426815497988591,
!1,[[1,[2,"U4"]],[3,1]]],[178,cr.behaviors.Car.prototype.acts.SetMaxSpeed,"Car",0x948bab710b444,!1,[[0,[0,180]]]],[178,cr.behaviors.Car.prototype.acts.SetAcceleration,"Car",0xa17b84f0b76f8,!1,[[0,[0,60]]]],[178,cr.behaviors.Car.prototype.acts.SetSteerSpeed,"Car",6834482870698942,!1,[[0,[0,90]]]],[178,cr.behaviors.Car.prototype.acts.SetDriftRecover,"Car",7981466499854961,!1,[[0,[0,60]]]],[178,cr.behaviors.Car.prototype.acts.SetFriction,"Car",0x638e9404896a,!1,[[0,[1,0.2]]]]]]]],[0,null,!1,null,892725691255617,
[[178,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,6634497029485053,!1,[[4,191]]],[191,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,7201918413147289,!1,[[8,1],[0,[0,24]]]]],[[191,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x8e632fa40c399,!1],[-1,cr.system_object.prototype.acts.SubVar,null,574307195390759,!1,[[11,"RV"],[7,[0,1]]]],[178,cr.behaviors.scrollto.prototype.acts.Shake,"ScrollTo",0xc9dd7296e2e3e,!1,[[0,[0,20]],[0,[0,2]],[3,0]]],[191,cr.plugins_.Sprite.prototype.acts.Spawn,
null,0x8fc64808647b7,!1,[[4,150],[5,[0,3]],[7,[0,0]]]]],[[0,null,!1,null,7414137531802254,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xed579ddea898b,!1,[[11,"RV"],[8,3],[7,[0,-1]]]]],[[178,cr.plugins_.Sprite.prototype.acts.Destroy,null,7607485655806681,!1],[178,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x452c0fdb7d0e5,!1,[[4,119],[5,[0,6]],[7,[0,0]]]],[119,cr.plugins_.Sprite.prototype.acts.SetAngle,null,7182848134273859,!1,[[0,[0,0]]]],[119,cr.behaviors.EightDir.prototype.acts.SimulateControl,
"8Direction",0x7037d6fe21a80,!1,[[3,2]]],[43,cr.plugins_.Particles.prototype.acts.SetSpraying,null,4882044309395466,!1,[[3,0]]],[44,cr.plugins_.Particles.prototype.acts.SetSpraying,null,0x499679a6998c1,!1,[[3,0]]],[177,cr.plugins_.Sprite.prototype.acts.Destroy,null,8412139938237833,!1]]],[0,null,!1,null,7018092958242045,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xb585adb32defe,!1,[[11,"RV"],[8,0],[7,[0,0]]]]],[[178,cr.plugins_.Sprite.prototype.acts.SetAnim,null,8232619502977176,
!1,[[1,[2,"U0"]],[3,1]]],[178,cr.behaviors.Car.prototype.acts.SetMaxSpeed,"Car",0xb4188dcb42615,!1,[[0,[0,150]]]],[178,cr.behaviors.Car.prototype.acts.SetAcceleration,"Car",7094686727749295,!1,[[0,[0,25]]]],[178,cr.behaviors.Car.prototype.acts.SetSteerSpeed,"Car",5191877429123355,!1,[[0,[0,40]]]],[178,cr.behaviors.Car.prototype.acts.SetDriftRecover,"Car",0xded861ffa754,!1,[[0,[0,15]]]],[178,cr.behaviors.Car.prototype.acts.SetFriction,"Car",6106017695748227,!1,[[0,[1,0.75]]]]]],[0,null,!1,null,0xde32fcbcdfd42,
[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9569732240716340,!1,[[11,"RV"],[8,0],[7,[0,1]]]]],[[178,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x6f222137424c4,!1,[[1,[2,"U1"]],[3,1]]],[178,cr.behaviors.Car.prototype.acts.SetMaxSpeed,"Car",9854903069126672,!1,[[0,[0,160]]]],[178,cr.behaviors.Car.prototype.acts.SetAcceleration,"Car",7439318724807927,!1,[[0,[0,35]]]],[178,cr.behaviors.Car.prototype.acts.SetSteerSpeed,"Car",531864511102971,!1,[[0,[0,60]]]],[178,cr.behaviors.Car.prototype.acts.SetDriftRecover,
"Car",6542923814913991,!1,[[0,[0,30]]]],[178,cr.behaviors.Car.prototype.acts.SetFriction,"Car",0xef0c16f7ab32b,!1,[[0,[1,0.5]]]]]],[0,null,!1,null,7218885631289432,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5739858584723819,!1,[[11,"RV"],[8,0],[7,[0,2]]]]],[[178,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5335591879447303,!1,[[1,[2,"U2"]],[3,1]]],[178,cr.behaviors.Car.prototype.acts.SetMaxSpeed,"Car",6851028692307639,!1,[[0,[0,170]]]],[178,cr.behaviors.Car.prototype.acts.SetAcceleration,
"Car",7127770259887963,!1,[[0,[0,45]]]],[178,cr.behaviors.Car.prototype.acts.SetSteerSpeed,"Car",5645373194955589,!1,[[0,[0,70]]]],[178,cr.behaviors.Car.prototype.acts.SetDriftRecover,"Car",8412810389029302,!1,[[0,[0,40]]]],[178,cr.behaviors.Car.prototype.acts.SetFriction,"Car",0xebd0bb7ccf1c8,!1,[[0,[1,0.4]]]]]],[0,null,!1,null,0xe6638de1db8c7,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,832941452834938,!1,[[11,"RV"],[8,0],[7,[0,3]]]]],[[178,cr.plugins_.Sprite.prototype.acts.SetAnim,
null,0xb89e3b7e5535,!1,[[1,[2,"U3"]],[3,1]]],[178,cr.behaviors.Car.prototype.acts.SetMaxSpeed,"Car",0x49e1852ffcd5f,!1,[[0,[0,175]]]],[178,cr.behaviors.Car.prototype.acts.SetAcceleration,"Car",9892562886365388,!1,[[0,[0,50]]]],[178,cr.behaviors.Car.prototype.acts.SetSteerSpeed,"Car",755160786419979,!1,[[0,[0,80]]]],[178,cr.behaviors.Car.prototype.acts.SetDriftRecover,"Car",749980671569788,!1,[[0,[0,50]]]],[178,cr.behaviors.Car.prototype.acts.SetFriction,"Car",8234562154588165,!1,[[0,[1,0.3]]]]]],
[0,null,!1,null,5991238752187047,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7338498644537379,!1,[[11,"RV"],[8,0],[7,[0,4]]]]],[[178,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xcd6489d0a8dba,!1,[[1,[2,"U4"]],[3,1]]],[178,cr.behaviors.Car.prototype.acts.SetMaxSpeed,"Car",0x7822f85c63ec1,!1,[[0,[0,180]]]],[178,cr.behaviors.Car.prototype.acts.SetAcceleration,"Car",0x482c120c4a1c6,!1,[[0,[0,60]]]],[178,cr.behaviors.Car.prototype.acts.SetSteerSpeed,"Car",9893782627319966,!1,[[0,
[0,90]]]],[178,cr.behaviors.Car.prototype.acts.SetDriftRecover,"Car",0x67e4a86fac452,!1,[[0,[0,60]]]],[178,cr.behaviors.Car.prototype.acts.SetFriction,"Car",4756656458536808,!1,[[0,[1,0.2]]]]]]]],[0,null,!1,null,0xf9f51d21d035e,[[178,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,9894654343891206,!1,[[4,191]]],[191,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,0x5537d332559ec,!1,[[8,0],[0,[0,24]]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,0x5837bcb486fd5,!1,
[[11,"RV"],[7,[0,1]]]],[178,cr.behaviors.scrollto.prototype.acts.Shake,"ScrollTo",6290096947041345,!1,[[0,[0,20]],[0,[0,2]],[3,0]]]],[[0,null,!1,null,0xc1e1f66a194ad,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8710750603395311,!1,[[11,"RV"],[8,3],[7,[0,-1]]]]],[[178,cr.plugins_.Sprite.prototype.acts.Destroy,null,8865368011774029,!1],[178,cr.plugins_.Sprite.prototype.acts.Spawn,null,0xcbde723ada2d7,!1,[[4,119],[5,[0,6]],[7,[0,0]]]],[119,cr.plugins_.Sprite.prototype.acts.SetAngle,
null,7547008144969847,!1,[[0,[0,0]]]],[119,cr.behaviors.EightDir.prototype.acts.SimulateControl,"8Direction",8697285926209615,!1,[[3,2]]],[43,cr.plugins_.Particles.prototype.acts.SetSpraying,null,9842221375238602,!1,[[3,0]]],[44,cr.plugins_.Particles.prototype.acts.SetSpraying,null,8457473492954755,!1,[[3,0]]],[177,cr.plugins_.Sprite.prototype.acts.Destroy,null,8275879708685494,!1]]],[0,null,!1,null,7931996312155841,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9186510395306256,
!1,[[11,"RV"],[8,0],[7,[0,0]]]]],[[178,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xd7566536b008e,!1,[[1,[2,"U0"]],[3,1]]],[178,cr.behaviors.Car.prototype.acts.SetMaxSpeed,"Car",4821988778127489,!1,[[0,[0,150]]]],[178,cr.behaviors.Car.prototype.acts.SetAcceleration,"Car",6911883625683029,!1,[[0,[0,25]]]],[178,cr.behaviors.Car.prototype.acts.SetSteerSpeed,"Car",0x6543937667599,!1,[[0,[0,40]]]],[178,cr.behaviors.Car.prototype.acts.SetDriftRecover,"Car",0xbdc3b1092a368,!1,[[0,[0,15]]]],[178,cr.behaviors.Car.prototype.acts.SetFriction,
"Car",0x47f3dc3f61da5,!1,[[0,[1,0.75]]]]]],[0,null,!1,null,0xb5bc7f37e4f0d,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7600481772654026,!1,[[11,"RV"],[8,0],[7,[0,1]]]]],[[178,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x81d057a24d72d,!1,[[1,[2,"U1"]],[3,1]]],[178,cr.behaviors.Car.prototype.acts.SetMaxSpeed,"Car",5567249589727667,!1,[[0,[0,160]]]],[178,cr.behaviors.Car.prototype.acts.SetAcceleration,"Car",5773471280038164,!1,[[0,[0,35]]]],[178,cr.behaviors.Car.prototype.acts.SetSteerSpeed,
"Car",9263333481081632,!1,[[0,[0,60]]]],[178,cr.behaviors.Car.prototype.acts.SetDriftRecover,"Car",0xca878dc79fda8,!1,[[0,[0,30]]]],[178,cr.behaviors.Car.prototype.acts.SetFriction,"Car",0x9871e624edc84,!1,[[0,[1,0.5]]]]]],[0,null,!1,null,8066901156815111,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x7168f367cee6e,!1,[[11,"RV"],[8,0],[7,[0,2]]]]],[[178,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xad6e7a94bce41,!1,[[1,[2,"U2"]],[3,1]]],[178,cr.behaviors.Car.prototype.acts.SetMaxSpeed,
"Car",0x8a23c85dd04bc,!1,[[0,[0,170]]]],[178,cr.behaviors.Car.prototype.acts.SetAcceleration,"Car",0xd3167aabc4fef,!1,[[0,[0,45]]]],[178,cr.behaviors.Car.prototype.acts.SetSteerSpeed,"Car",0x39f7164fc49ff,!1,[[0,[0,70]]]],[178,cr.behaviors.Car.prototype.acts.SetDriftRecover,"Car",9367288705067260,!1,[[0,[0,40]]]],[178,cr.behaviors.Car.prototype.acts.SetFriction,"Car",0x711116f27cea6,!1,[[0,[1,0.4]]]]]],[0,null,!1,null,5424841921385184,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,
0x6317699a6f017,!1,[[11,"RV"],[8,0],[7,[0,3]]]]],[[178,cr.plugins_.Sprite.prototype.acts.SetAnim,null,997257847983902,!1,[[1,[2,"U3"]],[3,1]]],[178,cr.behaviors.Car.prototype.acts.SetMaxSpeed,"Car",9931202212221596,!1,[[0,[0,175]]]],[178,cr.behaviors.Car.prototype.acts.SetAcceleration,"Car",396891326306787,!1,[[0,[0,50]]]],[178,cr.behaviors.Car.prototype.acts.SetSteerSpeed,"Car",0xba51c807a387e,!1,[[0,[0,80]]]],[178,cr.behaviors.Car.prototype.acts.SetDriftRecover,"Car",0x587e0b0bc979a,!1,[[0,[0,50]]]],
[178,cr.behaviors.Car.prototype.acts.SetFriction,"Car",5383450955100868,!1,[[0,[1,0.3]]]]]],[0,null,!1,null,0x8223b2652c240,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x77e4f807a7756,!1,[[11,"RV"],[8,0],[7,[0,4]]]]],[[178,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7891888737027417,!1,[[1,[2,"U4"]],[3,1]]],[178,cr.behaviors.Car.prototype.acts.SetMaxSpeed,"Car",0x6ac2b6e936a18,!1,[[0,[0,180]]]],[178,cr.behaviors.Car.prototype.acts.SetAcceleration,"Car",0xb17bbf5f28994,!1,[[0,
[0,60]]]],[178,cr.behaviors.Car.prototype.acts.SetSteerSpeed,"Car",0xc46c7421d4d92,!1,[[0,[0,90]]]],[178,cr.behaviors.Car.prototype.acts.SetDriftRecover,"Car",7339135081932785,!1,[[0,[0,60]]]],[178,cr.behaviors.Car.prototype.acts.SetFriction,"Car",5784357199682319,!1,[[0,[1,0.2]]]]]]]],[0,null,!1,null,9059555951523606,[[178,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,6602158664776605,!1,[[4,96]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,0x40a189dccdb82,!1,[[11,"RV"],[7,
[0,1]]]],[178,cr.behaviors.scrollto.prototype.acts.Shake,"ScrollTo",0xc460046989bd6,!1,[[0,[0,20]],[0,[0,2]],[3,0]]]],[[0,null,!1,null,5142087158169881,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8801185944282456,!1,[[11,"RV"],[8,3],[7,[0,-1]]]]],[[178,cr.plugins_.Sprite.prototype.acts.Destroy,null,5114413672019639,!1],[178,cr.plugins_.Sprite.prototype.acts.Spawn,null,9870938275475012,!1,[[4,119],[5,[0,6]],[7,[0,0]]]],[119,cr.plugins_.Sprite.prototype.acts.SetAngle,null,6834193066236614,
!1,[[0,[0,0]]]],[119,cr.behaviors.EightDir.prototype.acts.SimulateControl,"8Direction",8853215369005362,!1,[[3,2]]],[43,cr.plugins_.Particles.prototype.acts.SetSpraying,null,7720813203599759,!1,[[3,0]]],[44,cr.plugins_.Particles.prototype.acts.SetSpraying,null,6082000313298266,!1,[[3,0]]],[177,cr.plugins_.Sprite.prototype.acts.Destroy,null,600496037547409,!1]]],[0,null,!1,null,0x3fc4d8f5c7f15,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5405601373871578,!1,[[11,"RV"],[8,0],[7,[0,
0]]]]],[[178,cr.plugins_.Sprite.prototype.acts.SetAnim,null,7136753941502572,!1,[[1,[2,"U0"]],[3,1]]],[178,cr.behaviors.Car.prototype.acts.SetMaxSpeed,"Car",0x95f3d0dbc870d,!1,[[0,[0,150]]]],[178,cr.behaviors.Car.prototype.acts.SetAcceleration,"Car",0x56be34c9dc1b6,!1,[[0,[0,25]]]],[178,cr.behaviors.Car.prototype.acts.SetSteerSpeed,"Car",9040629906797356,!1,[[0,[0,40]]]],[178,cr.behaviors.Car.prototype.acts.SetDriftRecover,"Car",8610332889051578,!1,[[0,[0,15]]]],[178,cr.behaviors.Car.prototype.acts.SetFriction,
"Car",572990081592643,!1,[[0,[1,0.75]]]]]],[0,null,!1,null,0xcf3e287949fc3,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9634171429935836,!1,[[11,"RV"],[8,0],[7,[0,1]]]]],[[178,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0x747db6291465,!1,[[1,[2,"U1"]],[3,1]]],[178,cr.behaviors.Car.prototype.acts.SetMaxSpeed,"Car",0x3f29642784fdf,!1,[[0,[0,160]]]],[178,cr.behaviors.Car.prototype.acts.SetAcceleration,"Car",0xea667b16f59a2,!1,[[0,[0,35]]]],[178,cr.behaviors.Car.prototype.acts.SetSteerSpeed,
"Car",9464361257721520,!1,[[0,[0,60]]]],[178,cr.behaviors.Car.prototype.acts.SetDriftRecover,"Car",6678273626361759,!1,[[0,[0,30]]]],[178,cr.behaviors.Car.prototype.acts.SetFriction,"Car",5334744642440306,!1,[[0,[1,0.5]]]]]],[0,null,!1,null,9907519106631668,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5124637582823234,!1,[[11,"RV"],[8,0],[7,[0,2]]]]],[[178,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9767004514631636,!1,[[1,[2,"U2"]],[3,1]]],[178,cr.behaviors.Car.prototype.acts.SetMaxSpeed,
"Car",8043991156657792,!1,[[0,[0,170]]]],[178,cr.behaviors.Car.prototype.acts.SetAcceleration,"Car",0xd650c22c348f1,!1,[[0,[0,45]]]],[178,cr.behaviors.Car.prototype.acts.SetSteerSpeed,"Car",5230115923189491,!1,[[0,[0,70]]]],[178,cr.behaviors.Car.prototype.acts.SetDriftRecover,"Car",6937267507893174,!1,[[0,[0,40]]]],[178,cr.behaviors.Car.prototype.acts.SetFriction,"Car",8009490606633951,!1,[[0,[1,0.4]]]]]],[0,null,!1,null,827151426696613,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,
!1,8077600241453114,!1,[[11,"RV"],[8,0],[7,[0,3]]]]],[[178,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6416899378293194,!1,[[1,[2,"U3"]],[3,1]]],[178,cr.behaviors.Car.prototype.acts.SetMaxSpeed,"Car",6587479049570525,!1,[[0,[0,175]]]],[178,cr.behaviors.Car.prototype.acts.SetAcceleration,"Car",0x53febb2587452,!1,[[0,[0,50]]]],[178,cr.behaviors.Car.prototype.acts.SetSteerSpeed,"Car",0x9182bece3df24,!1,[[0,[0,80]]]],[178,cr.behaviors.Car.prototype.acts.SetDriftRecover,"Car",5283733087399656,!1,[[0,
[0,50]]]],[178,cr.behaviors.Car.prototype.acts.SetFriction,"Car",0x3ffc62166dcd2,!1,[[0,[1,0.3]]]]]],[0,null,!1,null,9400445452475098,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8143729607796057,!1,[[11,"RV"],[8,0],[7,[0,4]]]]],[[178,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5697252869770312,!1,[[1,[2,"U4"]],[3,1]]],[178,cr.behaviors.Car.prototype.acts.SetMaxSpeed,"Car",6154199701490243,!1,[[0,[0,180]]]],[178,cr.behaviors.Car.prototype.acts.SetAcceleration,"Car",7319809801127639,
!1,[[0,[0,60]]]],[178,cr.behaviors.Car.prototype.acts.SetSteerSpeed,"Car",8946086118816081,!1,[[0,[0,90]]]],[178,cr.behaviors.Car.prototype.acts.SetDriftRecover,"Car",6342674871128927,!1,[[0,[0,60]]]],[178,cr.behaviors.Car.prototype.acts.SetFriction,"Car",6635801861987104,!1,[[0,[1,0.2]]]]]]]],[0,null,!1,null,7904924665742673,[[177,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,990624081511933,!1,[[4,183]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,4622236491753883,!1,[[11,
"RV"],[7,[0,-1]]]]],[[0,null,!1,null,4891618579897437,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6488283198757707,!1,[[11,"RV"],[8,3],[7,[0,-1]]]]],[[178,cr.plugins_.Sprite.prototype.acts.Destroy,null,9295515812815832,!1],[178,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x6d53e6dc57699,!1,[[4,119],[5,[0,6]],[7,[0,0]]]],[119,cr.plugins_.Sprite.prototype.acts.SetAngle,null,91153111149238,!1,[[0,[0,0]]]],[119,cr.behaviors.EightDir.prototype.acts.SimulateControl,"8Direction",9081021165933956,
!1,[[3,2]]],[43,cr.plugins_.Particles.prototype.acts.SetSpraying,null,9007256760442698,!1,[[3,0]]],[44,cr.plugins_.Particles.prototype.acts.SetSpraying,null,0x8faa7e4d27ed4,!1,[[3,0]]],[177,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xdf8635e09459a,!1]]],[0,null,!1,null,4627950054887125,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9525175080272432,!1,[[11,"RV"],[8,0],[7,[0,0]]]]],[[178,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xfbdbe79f0df7f,!1,[[1,[2,"U0"]],[3,1]]],[178,
cr.behaviors.Car.prototype.acts.SetMaxSpeed,"Car",6931182920951988,!1,[[0,[0,150]]]],[178,cr.behaviors.Car.prototype.acts.SetAcceleration,"Car",8313832132827955,!1,[[0,[0,25]]]],[178,cr.behaviors.Car.prototype.acts.SetSteerSpeed,"Car",0x9a3a1fddb20c5,!1,[[0,[0,40]]]],[178,cr.behaviors.Car.prototype.acts.SetDriftRecover,"Car",7825536129907784,!1,[[0,[0,15]]]],[178,cr.behaviors.Car.prototype.acts.SetFriction,"Car",9726064920790174,!1,[[0,[1,0.75]]]]]],[0,null,!1,null,5503372695036686,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,0x561038908dd30,!1,[[11,"RV"],[8,0],[7,[0,1]]]]],[[178,cr.plugins_.Sprite.prototype.acts.SetAnim,null,0xd2c039cdf9b5e,!1,[[1,[2,"U1"]],[3,1]]],[178,cr.behaviors.Car.prototype.acts.SetMaxSpeed,"Car",795850932994887,!1,[[0,[0,160]]]],[178,cr.behaviors.Car.prototype.acts.SetAcceleration,"Car",5921978580807627,!1,[[0,[0,35]]]],[178,cr.behaviors.Car.prototype.acts.SetSteerSpeed,"Car",7593627348886457,!1,[[0,[0,60]]]],[178,cr.behaviors.Car.prototype.acts.SetDriftRecover,"Car",874423428085142,
!1,[[0,[0,30]]]],[178,cr.behaviors.Car.prototype.acts.SetFriction,"Car",8205322131119736,!1,[[0,[1,0.5]]]]]],[0,null,!1,null,5419363127424582,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5263099754196553,!1,[[11,"RV"],[8,0],[7,[0,2]]]]],[[178,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9742861963484408,!1,[[1,[2,"U2"]],[3,1]]],[178,cr.behaviors.Car.prototype.acts.SetMaxSpeed,"Car",0xf89ad26360f16,!1,[[0,[0,170]]]],[178,cr.behaviors.Car.prototype.acts.SetAcceleration,"Car",5327281559684376,
!1,[[0,[0,45]]]],[178,cr.behaviors.Car.prototype.acts.SetSteerSpeed,"Car",0x5fc04609f684f,!1,[[0,[0,70]]]],[178,cr.behaviors.Car.prototype.acts.SetDriftRecover,"Car",4835178951715104,!1,[[0,[0,40]]]],[178,cr.behaviors.Car.prototype.acts.SetFriction,"Car",5824372181899802,!1,[[0,[1,0.4]]]]]],[0,null,!1,null,7524463026163469,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4682743749839226,!1,[[11,"RV"],[8,0],[7,[0,3]]]]],[[178,cr.plugins_.Sprite.prototype.acts.SetAnim,null,6793969201296911,
!1,[[1,[2,"U3"]],[3,1]]],[178,cr.behaviors.Car.prototype.acts.SetMaxSpeed,"Car",8883106745785509,!1,[[0,[0,175]]]],[178,cr.behaviors.Car.prototype.acts.SetAcceleration,"Car",9719614904155142,!1,[[0,[0,50]]]],[178,cr.behaviors.Car.prototype.acts.SetSteerSpeed,"Car",7624869868615471,!1,[[0,[0,80]]]],[178,cr.behaviors.Car.prototype.acts.SetDriftRecover,"Car",5792466588446911,!1,[[0,[0,50]]]],[178,cr.behaviors.Car.prototype.acts.SetFriction,"Car",7572731999283329,!1,[[0,[1,0.3]]]]]],[0,null,!1,null,7367179344724198,
[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8832046191728946,!1,[[11,"RV"],[8,0],[7,[0,4]]]]],[[178,cr.plugins_.Sprite.prototype.acts.SetAnim,null,898774484739462,!1,[[1,[2,"U4"]],[3,1]]],[178,cr.behaviors.Car.prototype.acts.SetMaxSpeed,"Car",8876146066888829,!1,[[0,[0,180]]]],[178,cr.behaviors.Car.prototype.acts.SetAcceleration,"Car",5753630641610653,!1,[[0,[0,60]]]],[178,cr.behaviors.Car.prototype.acts.SetSteerSpeed,"Car",7754996537924764,!1,[[0,[0,90]]]],[178,cr.behaviors.Car.prototype.acts.SetDriftRecover,
"Car",0xbf2de2331c9a1,!1,[[0,[0,60]]]],[178,cr.behaviors.Car.prototype.acts.SetFriction,"Car",9970271912870012,!1,[[0,[1,0.2]]]]]]]],[0,null,!1,null,0xe14edfb17f3d9,[[177,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,5632067904216434,!1,[[4,46]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,6903090505823152,!1,[[11,"RV"],[7,[0,-1]]]]],[[0,null,!1,null,8865864365059239,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6722459901394786,!1,[[11,"RV"],[8,3],[7,[0,-1]]]]],
[[178,cr.plugins_.Sprite.prototype.acts.Destroy,null,5444938193271177,!1],[178,cr.plugins_.Sprite.prototype.acts.Spawn,null,0x9ecf22358d51d,!1,[[4,119],[5,[0,6]],[7,[0,0]]]],[119,cr.plugins_.Sprite.prototype.acts.SetAngle,null,5310100475467285,!1,[[0,[0,0]]]],[119,cr.behaviors.EightDir.prototype.acts.SimulateControl,"8Direction",4925469992623021,!1,[[3,2]]],[43,cr.plugins_.Particles.prototype.acts.SetSpraying,null,4819511603125274,!1,[[3,0]]],[44,cr.plugins_.Particles.prototype.acts.SetSpraying,null,
0x986df5e7f847c,!1,[[3,0]]],[177,cr.plugins_.Sprite.prototype.acts.Destroy,null,6228285730465604,!1],[-1,cr.system_object.prototype.acts.SetGroupActive,null,4713763851917783,!1,[[1,[2,"water"]],[3,0]]]]],[0,null,!1,null,5652959728065938,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,456279399218913,!1,[[11,"RV"],[8,0],[7,[0,0]]]]],[[178,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9408506493104852,!1,[[1,[2,"U0"]],[3,1]]],[178,cr.behaviors.Car.prototype.acts.SetMaxSpeed,"Car",0xe7b7d5b8a26df,
!1,[[0,[0,150]]]],[178,cr.behaviors.Car.prototype.acts.SetAcceleration,"Car",6285765954713117,!1,[[0,[0,25]]]],[178,cr.behaviors.Car.prototype.acts.SetSteerSpeed,"Car",8502170660960225,!1,[[0,[0,40]]]],[178,cr.behaviors.Car.prototype.acts.SetDriftRecover,"Car",0xa99f4e2714e16,!1,[[0,[0,15]]]],[178,cr.behaviors.Car.prototype.acts.SetFriction,"Car",5111701082436966,!1,[[0,[1,0.75]]]]]],[0,null,!1,null,5800638186045489,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x3fa1c5c824a97,!1,
[[11,"RV"],[8,0],[7,[0,1]]]]],[[178,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5869498120516802,!1,[[1,[2,"U1"]],[3,1]]],[178,cr.behaviors.Car.prototype.acts.SetMaxSpeed,"Car",6353630112337331,!1,[[0,[0,160]]]],[178,cr.behaviors.Car.prototype.acts.SetAcceleration,"Car",5148990650943506,!1,[[0,[0,35]]]],[178,cr.behaviors.Car.prototype.acts.SetSteerSpeed,"Car",0x7eb4f994cd99c,!1,[[0,[0,60]]]],[178,cr.behaviors.Car.prototype.acts.SetDriftRecover,"Car",0x5f4bff5e35978,!1,[[0,[0,30]]]],[178,cr.behaviors.Car.prototype.acts.SetFriction,
"Car",0x97d6b1cf97919,!1,[[0,[1,0.5]]]]]],[0,null,!1,null,4534710527555704,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8968519116709043,!1,[[11,"RV"],[8,0],[7,[0,2]]]]],[[178,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9509579286718764,!1,[[1,[2,"U2"]],[3,1]]],[178,cr.behaviors.Car.prototype.acts.SetMaxSpeed,"Car",0xd926bdc9cfa90,!1,[[0,[0,170]]]],[178,cr.behaviors.Car.prototype.acts.SetAcceleration,"Car",0x8bc6d94de4f51,!1,[[0,[0,45]]]],[178,cr.behaviors.Car.prototype.acts.SetSteerSpeed,
"Car",7909131588414619,!1,[[0,[0,70]]]],[178,cr.behaviors.Car.prototype.acts.SetDriftRecover,"Car",0xbc2bc7d0b8d07,!1,[[0,[0,40]]]],[178,cr.behaviors.Car.prototype.acts.SetFriction,"Car",5382014399712163,!1,[[0,[1,0.4]]]]]],[0,null,!1,null,6338826395380799,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6099335605820986,!1,[[11,"RV"],[8,0],[7,[0,3]]]]],[[178,cr.plugins_.Sprite.prototype.acts.SetAnim,null,5611953534590924,!1,[[1,[2,"U3"]],[3,1]]],[178,cr.behaviors.Car.prototype.acts.SetMaxSpeed,
"Car",0x6044e45bce3a,!1,[[0,[0,175]]]],[178,cr.behaviors.Car.prototype.acts.SetAcceleration,"Car",6515651197631787,!1,[[0,[0,50]]]],[178,cr.behaviors.Car.prototype.acts.SetSteerSpeed,"Car",8933052929647191,!1,[[0,[0,80]]]],[178,cr.behaviors.Car.prototype.acts.SetDriftRecover,"Car",7399805605680223,!1,[[0,[0,50]]]],[178,cr.behaviors.Car.prototype.acts.SetFriction,"Car",9270922632355704,!1,[[0,[1,0.3]]]]]],[0,null,!1,null,0xeb876427b438c,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,
!1,0x5d33eb89f5575,!1,[[11,"RV"],[8,0],[7,[0,4]]]]],[[178,cr.plugins_.Sprite.prototype.acts.SetAnim,null,9201906134863646,!1,[[1,[2,"U4"]],[3,1]]],[178,cr.behaviors.Car.prototype.acts.SetMaxSpeed,"Car",0x95d47761566ea,!1,[[0,[0,180]]]],[178,cr.behaviors.Car.prototype.acts.SetAcceleration,"Car",5485259917931047,!1,[[0,[0,60]]]],[178,cr.behaviors.Car.prototype.acts.SetSteerSpeed,"Car",0x6c56181947ccb,!1,[[0,[0,90]]]],[178,cr.behaviors.Car.prototype.acts.SetDriftRecover,"Car",9453898306030032,!1,[[0,
[0,60]]]],[178,cr.behaviors.Car.prototype.acts.SetFriction,"Car",9655871367539636,!1,[[0,[1,0.2]]]]]]]],[0,[!0,"water"],!1,null,7601760525563721,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,7601760525563721,!1,[[1,[2,"water"]]]]],[],[[0,null,!1,null,0xc1445c499d0e0,[[48,cr.plugins_.TiledBg.prototype.cnds.CompareY,null,0,!1,!1,!1,4884639824044239,!1,[[8,5],[0,[4,[20,178,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,700]]]]]],[[48,cr.plugins_.TiledBg.prototype.acts.SetPos,null,
0xf9ab71146506c,!1,[[0,[0,-97]],[0,[4,[20,178,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,650]]]]],[47,cr.plugins_.TiledBg.prototype.acts.SetPos,null,0x698470ffe7648,!1,[[0,[0,-97]],[0,[4,[20,178,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,770]]]]],[46,cr.plugins_.TiledBg.prototype.acts.SetPos,null,68236574501773,!1,[[0,[0,-97]],[0,[4,[20,178,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,750]]]]]]]]],[0,null,!1,null,0xf097b62dbfd25,[[-1,cr.system_object.prototype.cnds.EveryTick,null,0,!1,
!1,!1,0x48248816732ea,!1]],[[178,cr.behaviors.Car.prototype.acts.SimulateControl,"Car",0xfdfbc88b8bbc4,!1,[[3,2]]]]],[0,null,!1,null,5003316469536102,[[1,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,null,0,!1,!1,!1,533583773966874,!1,[[4,179]]]],[[178,cr.behaviors.Car.prototype.acts.SimulateControl,"Car",9408169362800376,!1,[[3,0]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,0x52b151c091c39,!1,[[1,[2,"Speed"]],[3,1]]]]],[0,null,!1,null,7729827934524794,[[1,cr.plugins_.Touch.prototype.cnds.IsTouchingObject,
null,0,!1,!1,!1,0x50cb6b9fa3cf2,!1,[[4,180]]]],[[178,cr.behaviors.Car.prototype.acts.SimulateControl,"Car",0x5fcd5c3286f65,!1,[[3,1]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,0x76f4e8e3fbced,!1,[[1,[2,"Speed"]],[3,1]]]]],[0,null,!1,null,7479771398397265,[[-1,cr.system_object.prototype.cnds.EveryTick,null,0,!1,!1,!1,883781030938861,!1]],[[43,cr.plugins_.Particles.prototype.acts.SetPosToObject,null,7333359549590566,!1,[[4,178],[7,[0,1]]]]]],[0,null,!1,null,0x4da632eba2ced,[[-1,cr.system_object.prototype.cnds.EveryTick,
null,0,!1,!1,!1,8501311788478237,!1]],[[44,cr.plugins_.Particles.prototype.acts.SetPosToObject,null,8632906072172743,!1,[[4,178],[7,[0,1]]]]]],[0,null,!1,null,306445118659018,[[178,cr.plugins_.Sprite.prototype.cnds.CompareY,null,0,!1,!1,!1,6930045985431474,!1,[[8,3],[0,[0,700]]]]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0xbe2d0e0f03cf4,!1,[[4,45],[5,[0,6]],[0,[20,178,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,178,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.CreateObject,
null,0x4c14913058bbf,!1,[[4,42],[5,[0,6]],[0,[20,178,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[5,[20,178,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,12]]]]],[42,cr.behaviors.Pin.prototype.acts.Pin,"Pin",6330762716414152,!1,[[4,45],[3,0]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xfd22390e6b4ca,!1,[[4,41],[5,[0,6]],[0,[20,178,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[5,[20,178,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,40]]]]],[178,cr.plugins_.Sprite.prototype.acts.Destroy,
null,0x6a88373c7a89c,!1],[-1,cr.system_object.prototype.acts.SetGroupActive,null,5623773234967303,!1,[[1,[2,"Mouse control"]],[3,1]]],[-1,cr.system_object.prototype.acts.SetGroupActive,null,6700658227164781,!1,[[1,[2,"water"]],[3,0]]],[50,cr.plugins_.Sprite.prototype.acts.SetPosToObject,null,5199427793189593,!1,[[4,49],[7,[0,0]]]],[49,cr.plugins_.Sprite.prototype.acts.SetVisible,null,0x4f26e9528690f,!1,[[3,1]]],[50,cr.plugins_.Sprite.prototype.acts.SetVisible,null,0x57a23c824439e,!1,[[3,1]]],[50,
cr.behaviors.DragnDrop.prototype.acts.SetEnabled,"DragDrop",7887324447505545,!1,[[3,1]]],[43,cr.plugins_.Particles.prototype.acts.SetSpraying,null,9753700960387768,!1,[[3,0]]],[44,cr.plugins_.Particles.prototype.acts.SetSpraying,null,0xd345fb774f430,!1,[[3,0]]],[179,cr.plugins_.Sprite.prototype.acts.Destroy,null,288756087134009,!1],[180,cr.plugins_.Sprite.prototype.acts.Destroy,null,8592880225933845,!1],[177,cr.plugins_.Sprite.prototype.acts.Destroy,null,7605081027978664,!1]]]]]]],["Tutorial",[[2,
"Generalcode",!1],[0,null,!1,null,8213405685439607,[[-1,cr.system_object.prototype.cnds.OnLayoutEnd,null,1,!1,!1,!1,9882559976324864,!1]],[[-1,cr.system_object.prototype.acts.SetTimescale,null,7629164991263908,!1,[[0,[1,1]]]]]],[0,null,!1,null,7940476761993866,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7417318611115662,!1,[[11,"Localstars"],[8,5],[7,[0,3]]]],[230,cr.plugins_.Sprite.prototype.cnds.IsOnScreen,null,0,!1,!1,!1,5666864206674384,!1],[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,788049639796054,!1]],[[230,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,5788081464290441,!1,[[0,[0,0]]]],[229,cr.plugins_.Sprite.prototype.acts.SetPosToObject,null,0xf5c1f9164af46,!1,[[4,230],[7,[0,0]]]]]],[0,null,!1,null,39601565584447,[[45,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0xc18865d0b11f6,!1,[[4,230]]],[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8234215849692715,!1,[[11,"Localstars"],[8,2],[7,[0,3]]]]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,0xc967f3bc2fffa,!1,[[4,149],[5,[0,6]],[0,[20,230,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,230,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,60]]]]]]],[0,null,!1,null,9793813784947492,[[45,cr.plugins_.Sprite.prototype.cnds.OnCollision,null,0,!1,!1,!0,0x3f521822597c2,!1,[[4,229]]]],[[-1,cr.system_object.prototype.acts.SetGroupActive,null,0x43fc1fb8e705b,!1,[[1,[2,"Mouse control"]],[3,0]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x53a629c3123b5,!1,[[4,127],[5,[0,9]],
[0,[0,0]],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,8935329277735903,!1,[[4,123],[5,[0,9]],[0,[19,cr.system_object.prototype.exps.canvastolayerx,[[0,9],[7,[19,cr.system_object.prototype.exps.windowwidth],[0,2]],[7,[19,cr.system_object.prototype.exps.windowwidth],[0,2]]]]],[0,[19,cr.system_object.prototype.exps.canvastolayery,[[0,9],[7,[19,cr.system_object.prototype.exps.windowheight],[0,2]],[7,[19,cr.system_object.prototype.exps.windowheight],[0,3]]]]]]],[-1,cr.system_object.prototype.acts.CreateObject,
null,5582665690523687,!1,[[4,121],[5,[0,9]],[0,[19,cr.system_object.prototype.exps.canvastolayerx,[[0,9],[7,[19,cr.system_object.prototype.exps.windowwidth],[0,2]],[7,[19,cr.system_object.prototype.exps.windowwidth],[0,2]]]]],[0,[4,[20,123,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,65]]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,9826925330613062,!1,[[4,129],[5,[0,9]],[0,[4,[20,123,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,8]]],[0,[5,[20,123,cr.plugins_.Sprite.prototype.exps.Y,
!1,null],[0,160]]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,4554287953999374,!1,[[4,154],[5,[0,9]],[0,[4,[20,123,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,8]]],[0,[5,[20,123,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,70]]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,9204876457595464,!1,[[4,154],[5,[0,9]],[0,[4,[20,123,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,8]]],[0,[4,[20,123,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,135]]]]],[122,cr.plugins_.Sprite.prototype.acts.Destroy,
null,6437069832876173,!1],[56,cr.plugins_.Text.prototype.acts.SetFontColor,null,7766391905217162,!1,[[0,[19,cr.system_object.prototype.exps.rgb,[[0,44],[0,159],[0,205]]]]]],[56,cr.plugins_.Text.prototype.acts.MoveToLayer,null,0x923fd7b626339,!1,[[5,[0,10]]]],[56,cr.plugins_.Text.prototype.acts.SetPos,null,0xa59edb6686aef,!1,[[0,[5,[20,123,cr.plugins_.Sprite.prototype.exps.X,!1,null],[0,73]]],[0,[4,[20,123,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,143]]]]],[-1,cr.system_object.prototype.acts.CreateObject,
null,9510005845860412,!1,[[4,62],[5,[0,10]],[0,[20,123,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[4,[20,123,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,135]]]]],[-1,cr.system_object.prototype.acts.SetTimescale,null,4772645765836861,!1,[[0,[0,0]]]],[152,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,0x9920be529978d,!1,[[5,[0,10]]]],[152,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0xbd54a6cd8af7,!1,[[0,[0,0]]]],[153,cr.plugins_.Sprite.prototype.acts.MoveToLayer,null,0x8c67ce4613573,
!1,[[5,[0,10]]]],[153,cr.plugins_.Sprite.prototype.acts.SetY,null,0xd9c572c64057b,!1,[[0,[5,[20,123,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,110]]]]],[152,cr.plugins_.Sprite.prototype.acts.SetY,null,8572038024306688,!1,[[0,[5,[20,123,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,110]]]]]]],[0,null,!1,null,9051184677744816,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,8231644283990164,!1]],[[232,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0x74270430383a9,!1,[[4,45],[3,1]]]]],
[0,null,!1,null,9947536932798780,[[45,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,0x4818022fc0970,!1,[[8,2],[0,[0,600]]]],[45,cr.plugins_.Sprite.prototype.cnds.CompareY,null,0,!1,!1,!1,9753235534553472,!1,[[8,4],[0,[0,1100]]]]],[[232,cr.plugins_.Text.prototype.acts.SetText,null,5912631450009811,!1,[[7,[2,"Use the joystick to move"]]]]]],[0,null,!1,null,7282358902454466,[[45,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,44250923691152,!1,[[8,4],[0,[0,600]]]],[45,cr.plugins_.Sprite.prototype.cnds.CompareX,
null,0,!1,!1,!1,7563927021042596,!1,[[8,2],[0,[0,1500]]]],[45,cr.plugins_.Sprite.prototype.cnds.CompareY,null,0,!1,!1,!1,0xba52c2a2576e7,!1,[[8,4],[0,[0,1100]]]]],[[232,cr.plugins_.Text.prototype.acts.SetText,null,955196016414192,!1,[[7,[2,"Collect coins"]]]]]],[0,null,!1,null,49823010774284,[[45,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,0xdf387d8e69455,!1,[[8,4],[0,[0,1500]]]],[45,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,7809077126029789,!1,[[8,2],[0,[0,2E3]]]],
[45,cr.plugins_.Sprite.prototype.cnds.CompareY,null,0,!1,!1,!1,7888417885730121,!1,[[8,4],[0,[0,1100]]]]],[[232,cr.plugins_.Text.prototype.acts.SetText,null,0xdb1aeaf6863c,!1,[[7,[2,"Watch the fuel indicator"]]]]]],[0,null,!1,null,5495444167671964,[[45,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,5555910562046159,!1,[[8,4],[0,[0,2E3]]]],[45,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,0x452cdbdae3a48,!1,[[8,2],[0,[0,3E3]]]],[45,cr.plugins_.Sprite.prototype.cnds.CompareY,
null,0,!1,!1,!1,0x957321e34332d,!1,[[8,4],[0,[0,1100]]]]],[[232,cr.plugins_.Text.prototype.acts.SetText,null,0x4c97801cf6355,!1,[[7,[2,"Flying on the ground to spend less fuel"]]]]]],[0,null,!1,null,0x8fab24953fe35,[[45,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,9726914880169588,!1,[[8,4],[0,[0,3E3]]]],[45,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,5319247261677895,!1,[[8,2],[0,[0,3600]]]],[45,cr.plugins_.Sprite.prototype.cnds.CompareY,null,0,!1,!1,!1,0xfb47956dcfba8,
!1,[[8,4],[0,[0,1100]]]]],[[232,cr.plugins_.Text.prototype.acts.SetText,null,6048260006529425,!1,[[7,[2,"Beware of enemies"]]]]]],[0,null,!1,null,5310253972020194,[[45,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,0x4931d1ef35d11,!1,[[8,4],[0,[0,3E3]]]],[45,cr.plugins_.Sprite.prototype.cnds.CompareY,null,0,!1,!1,!1,6274967367524889,!1,[[8,2],[0,[0,1100]]]],[45,cr.plugins_.Sprite.prototype.cnds.CompareY,null,0,!1,!1,!1,6398380578344322,!1,[[8,4],[0,[0,726]]]]],[[232,cr.plugins_.Text.prototype.acts.SetText,
null,0xfa9afe3e7f16a,!1,[[7,[2,"Find hidden treasures"]]]]]],[0,null,!1,null,9484471466586538,[[45,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,4775456023608513,!1,[[8,2],[0,[0,3E3]]]],[45,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,8750393704737614,!1,[[8,4],[0,[0,2500]]]],[45,cr.plugins_.Sprite.prototype.cnds.CompareY,null,0,!1,!1,!1,6127436706054762,!1,[[8,2],[0,[0,1100]]]],[45,cr.plugins_.Sprite.prototype.cnds.CompareY,null,0,!1,!1,!1,0xf507580e47bbd,!1,[[8,4],[0,
[0,726]]]]],[[232,cr.plugins_.Text.prototype.acts.SetText,null,0xe2e49accbd95c,!1,[[7,[2,"Collect fuel"]]]]]],[0,null,!1,null,8437645158414486,[[45,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,8238750447377152,!1,[[8,2],[0,[0,3600]]]],[45,cr.plugins_.Sprite.prototype.cnds.CompareX,null,0,!1,!1,!1,774021337662406,!1,[[8,4],[0,[0,3E3]]]],[45,cr.plugins_.Sprite.prototype.cnds.CompareY,null,0,!1,!1,!1,4795299140377194,!1,[[8,2],[0,[0,726]]]]],[[232,cr.plugins_.Text.prototype.acts.SetText,
null,411243212982091,!1,[[7,[2,"Enemies can be killed by falling on them"]]]]]]]],["Store",[[1,"Unlockstore1",0,0,!1,!1,8497905195355824,!1],[1,"Unlockstore2",0,0,!1,!1,6455952848655638,!1],[1,"Unlockstore3",0,0,!1,!1,0x8d89ecfd71d36,!1],[1,"Unlockstore4",0,0,!1,!1,0x6dd601ba6918b,!1],[1,"Unlockstore5",0,0,!1,!1,599158388527012,!1],[1,"Unlockstore6",0,0,!1,!1,8843451855733857,!1],[1,"Unlockstore7",0,0,!1,!1,356330570867922,!1],[1,"Unlockstore8",0,0,!1,!1,8033611154087304,!1],[1,"Unlockstore9",0,0,
!1,!1,8431024511801478,!1],[1,"Unlockstore10",0,0,!1,!1,8874693205493744,!1],[1,"Unlockstore11",0,0,!1,!1,0xc0029f1db8884,!1],[1,"Unlockstore12",0,0,!1,!1,7239959690067694,!1],[1,"Unlockstore13",0,0,!1,!1,4990713540693026,!1],[1,"Unlockstore14",0,0,!1,!1,7058481448777319,!1],[1,"Unlockstore15",0,0,!1,!1,5387264088483587,!1],[1,"Storechooser",0,1,!1,!1,0x7925dec4b711a,!1],[1,"Store1",0,0,!1,!1,7829079510526843,!1],[1,"Store2",0,0,!1,!1,9076520898690452,!1],[1,"Store3",0,0,!1,!1,6370350938409427,!1],
[1,"Store4",0,0,!1,!1,7336423814428122,!1],[1,"Store5",0,0,!1,!1,9289581565381154,!1],[1,"Store6",0,0,!1,!1,7122838663748604,!1],[1,"Store7",0,0,!1,!1,4847076796919871,!1],[1,"Store8",0,0,!1,!1,6479698537446191,!1],[1,"Store9",0,0,!1,!1,0xd60243fda8b42,!1],[1,"Store10",0,0,!1,!1,0x884937fc74766,!1],[1,"Store11",0,0,!1,!1,4723089027358057,!1],[1,"Store12",0,0,!1,!1,7531975388261397,!1],[1,"Store13",0,0,!1,!1,6640753602584282,!1],[1,"Store14",0,0,!1,!1,8867729577695174,!1],[1,"Store15",0,0,!1,!1,0xe2034ad13ce61,
!1],[0,null,!1,null,5698238514702566,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,0x3f31fe867df0d,!1]],[[270,cr.behaviors.Pin.prototype.acts.Pin,"Pin",4866471802502349,!1,[[4,243],[3,1]]],[269,cr.behaviors.Pin.prototype.acts.Pin,"Pin",4900297635182954,!1,[[4,243],[3,1]]],[245,cr.behaviors.Pin.prototype.acts.Pin,"Pin",708842753528098,!1,[[4,243],[3,1]]],[247,cr.behaviors.Pin.prototype.acts.Pin,"Pin",409502590159956,!1,[[4,243],[3,1]]],[246,cr.behaviors.Pin.prototype.acts.Pin,
"Pin",6323990989191412,!1,[[4,243],[3,1]]],[244,cr.behaviors.Pin.prototype.acts.Pin,"Pin",9058661819014728,!1,[[4,243],[3,1]]],[264,cr.behaviors.Pin.prototype.acts.Pin,"Pin",5372661979711449,!1,[[4,243],[3,1]]],[271,cr.behaviors.Pin.prototype.acts.Pin,"Pin",7892068154009971,!1,[[4,243],[3,1]]],[263,cr.behaviors.Pin.prototype.acts.Pin,"Pin",5558016018003106,!1,[[4,245],[3,1]]]]],[0,null,!1,null,6112123644092049,[[2,cr.plugins_.Browser.prototype.cnds.IsPortraitLandscape,null,0,!1,!1,!1,5568104932109719,
!1,[[3,0]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,8537088142725366,!1,[[11,"orientation"],[7,[0,1]]]]]],[0,null,!1,null,8223700483026392,[[2,cr.plugins_.Browser.prototype.cnds.IsPortraitLandscape,null,0,!1,!1,!1,7113087382096838,!1,[[3,1]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,4725018804285724,!1,[[11,"orientation"],[7,[0,2]]]]]],[0,null,!1,null,407924700425694,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xe2062cc136f0a,!1,[[11,"orientation"],[8,0],[7,
[0,1]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0xd057015cfe614,!1]],[[-1,cr.system_object.prototype.acts.Wait,null,0xfdefe9a448b3d,!1,[[0,[1,1]]]],[243,cr.plugins_.Sprite.prototype.acts.SetPos,null,7347639274792389,!1,[[0,[7,[4,[19,cr.system_object.prototype.exps.viewportleft,[[0,1]]],[19,cr.system_object.prototype.exps.viewportright,[[0,1]]]],[0,2]]],[0,[4,[19,cr.system_object.prototype.exps.viewporttop,[[0,1]]],[0,77]]]]],[265,cr.plugins_.Sprite.prototype.acts.SetPos,null,
9382210422029784,!1,[[0,[7,[4,[19,cr.system_object.prototype.exps.viewportright,[[0,1]]],[19,cr.system_object.prototype.exps.viewportleft,[[0,1]]]],[0,2]]],[0,[4,[20,264,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,100]]]]],[4,cr.plugins_.CJSAds.prototype.acts.ShowBanner,null,0x748b286497f91,!1,[[3,1]]]]],[0,null,!1,null,9871550283283972,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xaaea14f300ef,!1,[[11,"orientation"],[8,0],[7,[0,2]]]],[-1,cr.system_object.prototype.cnds.TriggerOnce,
null,0,!1,!1,!1,901350946258677,!1]],[[-1,cr.system_object.prototype.acts.Wait,null,8810409003815723,!1,[[0,[1,1]]]],[243,cr.plugins_.Sprite.prototype.acts.SetPos,null,6153493893930843,!1,[[0,[7,[4,[19,cr.system_object.prototype.exps.viewportleft,[[0,1]]],[19,cr.system_object.prototype.exps.viewportright,[[0,1]]]],[0,2]]],[0,[4,[19,cr.system_object.prototype.exps.viewporttop,[[0,1]]],[0,77]]]]],[265,cr.plugins_.Sprite.prototype.acts.SetPos,null,8585029075065587,!1,[[0,[7,[4,[19,cr.system_object.prototype.exps.viewportright,
[[0,1]]],[19,cr.system_object.prototype.exps.viewportleft,[[0,1]]]],[0,2]]],[0,[4,[20,264,cr.plugins_.Sprite.prototype.exps.Y,!1,null],[0,100]]]]],[4,cr.plugins_.CJSAds.prototype.acts.ShowBanner,null,5456662644965295,!1,[[3,1]]]]],[0,null,!1,null,0x8825996439680,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,9576832012215944,!1]],[[263,cr.plugins_.Sprite.prototype.acts.SetPosToObject,null,560397742437227,!1,[[4,245],[7,[0,0]]]]]],[0,null,!1,null,7381157362505539,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,
null,1,!1,!1,!1,8604296292017507,!1]],[],[[0,null,!1,null,0xd53e3886a0b99,[[0,cr.plugins_.WebStorage.prototype.cnds.CompareKeyNumber,null,0,!1,!1,!1,7441889524322337,!1,[[1,[2,"saveUnlockstore1"]],[8,5],[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,769304298295609,!1,[[11,"Unlockstore1"],[7,[0,1]]]]]],[0,null,!1,null,8183119337437125,[[0,cr.plugins_.WebStorage.prototype.cnds.CompareKeyNumber,null,0,!1,!1,!1,9199925807866684,!1,[[1,[2,"saveUnlockstore2"]],[8,5],[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SetVar,
null,0x585f8efa7b960,!1,[[11,"Unlockstore2"],[7,[0,1]]]]]],[0,null,!1,null,0x9b9daa4231ab0,[[0,cr.plugins_.WebStorage.prototype.cnds.CompareKeyNumber,null,0,!1,!1,!1,9709312166941284,!1,[[1,[2,"saveUnlockstore3"]],[8,5],[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,4952036230918622,!1,[[11,"Unlockstore3"],[7,[0,1]]]]]],[0,null,!1,null,9426084352554466,[[0,cr.plugins_.WebStorage.prototype.cnds.CompareKeyNumber,null,0,!1,!1,!1,0xe398f002b5758,!1,[[1,[2,"saveUnlockstore4"]],[8,5],[0,
[0,1]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,9224135432119520,!1,[[11,"Unlockstore4"],[7,[0,1]]]]]],[0,null,!1,null,0x56772e7b748cc,[[0,cr.plugins_.WebStorage.prototype.cnds.CompareKeyNumber,null,0,!1,!1,!1,0xa0fa23c56beeb,!1,[[1,[2,"saveUnlockstore5"]],[8,5],[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,7459999114097333,!1,[[11,"Unlockstore5"],[7,[0,1]]]]]],[0,null,!1,null,9713810427795676,[[0,cr.plugins_.WebStorage.prototype.cnds.CompareKeyNumber,null,0,!1,!1,!1,5176740804054807,
!1,[[1,[2,"saveUnlockstore6"]],[8,5],[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,5620800056611077,!1,[[11,"Unlockstore6"],[7,[0,1]]]]]],[0,null,!1,null,0x7874e47b4cbb5,[[0,cr.plugins_.WebStorage.prototype.cnds.CompareKeyNumber,null,0,!1,!1,!1,9692159338521408,!1,[[1,[2,"saveUnlockstore7"]],[8,5],[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,7139392228363771,!1,[[11,"Unlockstore7"],[7,[0,1]]]]]],[0,null,!1,null,785361563300078,[[0,cr.plugins_.WebStorage.prototype.cnds.CompareKeyNumber,
null,0,!1,!1,!1,630462890334071,!1,[[1,[2,"saveUnlockstore8"]],[8,5],[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,6185212567469975,!1,[[11,"Unlockstore8"],[7,[0,1]]]]]],[0,null,!1,null,0xafea46156e8e,[[0,cr.plugins_.WebStorage.prototype.cnds.CompareKeyNumber,null,0,!1,!1,!1,5864643930768666,!1,[[1,[2,"saveUnlockstore9"]],[8,5],[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,87141013997258,!1,[[11,"Unlockstore9"],[7,[0,1]]]]]],[0,null,!1,null,8010584671798964,[[0,cr.plugins_.WebStorage.prototype.cnds.CompareKeyNumber,
null,0,!1,!1,!1,0x8c885b89f8d5e,!1,[[1,[2,"saveUnlockstore10"]],[8,5],[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0xb3defc8a8fc49,!1,[[11,"Unlockstore10"],[7,[0,1]]]]]],[0,null,!1,null,6605956872701867,[[0,cr.plugins_.WebStorage.prototype.cnds.CompareKeyNumber,null,0,!1,!1,!1,0xb69cda52ffd32,!1,[[1,[2,"saveUnlockstore11"]],[8,5],[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,7238842822186162,!1,[[11,"Unlockstore11"],[7,[0,1]]]]]],[0,null,!1,null,8183469833650821,[[0,
cr.plugins_.WebStorage.prototype.cnds.CompareKeyNumber,null,0,!1,!1,!1,0x8cc0c36b636ea,!1,[[1,[2,"saveUnlockstore12"]],[8,5],[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0xedadba6aeb215,!1,[[11,"Unlockstore12"],[7,[0,1]]]]]],[0,null,!1,null,5942335542419546,[[0,cr.plugins_.WebStorage.prototype.cnds.CompareKeyNumber,null,0,!1,!1,!1,0x7d42b571d4adf,!1,[[1,[2,"saveUnlockstore13"]],[8,5],[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0x4dd7793158a7c,!1,[[11,"Unlockstore13"],
[7,[0,1]]]]]],[0,null,!1,null,5249432951285971,[[0,cr.plugins_.WebStorage.prototype.cnds.CompareKeyNumber,null,0,!1,!1,!1,0xf21bfc327d788,!1,[[1,[2,"saveUnlockstore14"]],[8,5],[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0x93630d0c515fc,!1,[[11,"Unlockstore14"],[7,[0,1]]]]]],[0,null,!1,null,0x757ba7e836983,[[0,cr.plugins_.WebStorage.prototype.cnds.CompareKeyNumber,null,0,!1,!1,!1,0x5e4273018f91c,!1,[[1,[2,"saveUnlockstore15"]],[8,5],[0,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SetVar,
null,7288700972465836,!1,[[11,"Unlockstore15"],[7,[0,1]]]]]]]],[0,null,!1,null,472894482384526,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0xd2ca3b3e4d62a,!1,[[4,246]]]],[[-1,cr.system_object.prototype.acts.AddVar,null,0xde452f35bdde1,!1,[[11,"Storechooser"],[7,[0,1]]]]]],[0,null,!1,null,6736149102644936,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,9676986949095008,!1,[[4,247]]]],[[-1,cr.system_object.prototype.acts.SubVar,null,0xd1b824f70eb17,!1,[[11,
"Storechooser"],[7,[0,1]]]]]],[0,null,!1,null,504807651346373,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5598694454216941,!1,[[11,"Storechooser"],[8,5],[7,[0,16]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,9275901329485080,!1,[[11,"Storechooser"],[7,[0,1]]]]]],[0,null,!1,null,7852441540564395,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4853856749300522,!1,[[11,"Storechooser"],[8,3],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0xefdfafca96f0d,
!1,[[11,"Storechooser"],[7,[0,15]]]]]],[0,[!0,"ico"],!1,null,6819114664970586,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,6819114664970586,!1,[[1,[2,"ico"]]]]],[],[[0,null,!1,null,5153868992823252,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x8f7ef377909be,!1,[[11,"Unlockstore1"],[8,0],[7,[0,1]]]]],[[244,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,8622475934866434,!1,[[0,[0,1]]]]]],[0,null,!1,null,7776748163956074,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,5519129820176517,!1,[[11,"Unlockstore2"],[8,0],[7,[0,1]]]]],[[244,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,6579831581349732,!1,[[0,[0,1]]]]]],[0,null,!1,null,400440695963553,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,921730336912984,!1,[[11,"Unlockstore3"],[8,0],[7,[0,1]]]]],[[244,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,5017009776180734,!1,[[0,[0,1]]]]]],[0,null,!1,null,5883814815680289,[[-1,cr.system_object.prototype.cnds.CompareVar,null,
0,!1,!1,!1,4987153520137234,!1,[[11,"Unlockstore4"],[8,0],[7,[0,1]]]]],[[244,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,6681899884374942,!1,[[0,[0,1]]]]]],[0,null,!1,null,9438504391390076,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xa6024e21a4fc6,!1,[[11,"Unlockstore5"],[8,0],[7,[0,1]]]]],[[244,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,6271178682936935,!1,[[0,[0,1]]]]]],[0,null,!1,null,5453680792937073,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,
!1,!1,!1,0xb90677a90ebdf,!1,[[11,"Unlockstore6"],[8,0],[7,[0,1]]]]],[[244,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0xe6fc72295f3c7,!1,[[0,[0,1]]]]]],[0,null,!1,null,8942366581892406,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8434651138279024,!1,[[11,"Unlockstore7"],[8,0],[7,[0,1]]]]],[[244,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0xdefe26db05dfd,!1,[[0,[0,1]]]]]],[0,null,!1,null,6152737842199853,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,
!1,5088316569848304,!1,[[11,"Unlockstore8"],[8,0],[7,[0,1]]]]],[[244,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,7552300946813723,!1,[[0,[0,1]]]]]],[0,null,!1,null,0x41fe2eda07d53,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5357378371568222,!1,[[11,"Unlockstore9"],[8,0],[7,[0,1]]]]],[[244,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,5498468664478287,!1,[[0,[0,1]]]]]],[0,null,!1,null,8601078503158304,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,
0x651c02daaa5e5,!1,[[11,"Unlockstore10"],[8,0],[7,[0,1]]]]],[[244,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0x97db4509fee13,!1,[[0,[0,1]]]]]],[0,null,!1,null,0x47943019c3e48,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8995012646441423,!1,[[11,"Unlockstore11"],[8,0],[7,[0,1]]]]],[[244,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,8764808400382591,!1,[[0,[0,1]]]]]],[0,null,!1,null,6353436066914026,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,661663067997999,
!1,[[11,"Unlockstore12"],[8,0],[7,[0,1]]]]],[[244,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,4703149960491032,!1,[[0,[0,1]]]]]],[0,null,!1,null,7014991047037836,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xee41c8ddf34b2,!1,[[11,"Unlockstore13"],[8,0],[7,[0,1]]]]],[[244,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,4786630954369659,!1,[[0,[0,1]]]]]],[0,null,!1,null,5009639541006471,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7956291068116164,
!1,[[11,"Unlockstore14"],[8,0],[7,[0,1]]]]],[[244,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,960191433725493,!1,[[0,[0,1]]]]]],[0,null,!1,null,5324607015375464,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7586072918843296,!1,[[11,"Unlockstore15"],[8,0],[7,[0,1]]]]],[[244,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,6154815327804204,!1,[[0,[0,1]]]]]],[0,null,!1,null,5808987306639046,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9333856510003712,
!1,[[11,"Storechooser"],[8,0],[7,[0,1]]]]],[[263,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,9513861479640466,!1,[[0,[0,0]]]]],[[0,null,!1,null,6840665087410803,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5827699638598242,!1,[[11,"Unlockstore1"],[8,0],[7,[0,0]]]]],[[244,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,5216476991208367,!1,[[0,[0,0]]]]]],[0,null,!1,null,5644764263862329,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9125930554577996,!1,
[[11,"Unlockstore1"],[8,0],[7,[0,2]]]]],[[244,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,9356783323456400,!1,[[0,[0,2]]]]]]]],[0,null,!1,null,4833962645373763,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6830799035724509,!1,[[11,"Storechooser"],[8,0],[7,[0,2]]]]],[[263,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,9963113473723446,!1,[[0,[0,1]]]]],[[0,null,!1,null,6082765805893065,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8334570189701169,!1,
[[11,"Unlockstore2"],[8,0],[7,[0,0]]]]],[[244,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0xc2583630d017e,!1,[[0,[0,0]]]]]],[0,null,!1,null,0x4037e9fafda0b,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5681390610497775,!1,[[11,"Unlockstore2"],[8,0],[7,[0,2]]]]],[[244,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,4938623585555331,!1,[[0,[0,2]]]]]]]],[0,null,!1,null,6173564039106247,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x8bcf6e1727fdf,!1,[[11,
"Storechooser"],[8,0],[7,[0,3]]]]],[[263,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,5086022611666514,!1,[[0,[0,2]]]]],[[0,null,!1,null,8294902648930665,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xd5874f2215683,!1,[[11,"Unlockstore3"],[8,0],[7,[0,0]]]]],[[244,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0x3e072f8ee4d70,!1,[[0,[0,0]]]]]],[0,null,!1,null,9038392584210234,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6965797399315889,!1,[[11,"Unlockstore3"],
[8,0],[7,[0,2]]]]],[[244,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,6408825296846537,!1,[[0,[0,2]]]]]]]],[0,null,!1,null,8289169588156239,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xe8634d01a0759,!1,[[11,"Storechooser"],[8,0],[7,[0,4]]]]],[[263,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,8571665648779449,!1,[[0,[0,3]]]]],[[0,null,!1,null,395321863910645,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9823576172597208,!1,[[11,"Unlockstore4"],[8,
0],[7,[0,0]]]]],[[244,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,40054925408997,!1,[[0,[0,0]]]]]],[0,null,!1,null,6669778674197062,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9139978740723584,!1,[[11,"Unlockstore4"],[8,0],[7,[0,2]]]]],[[244,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0xae0a5e39db8b5,!1,[[0,[0,2]]]]]]]],[0,null,!1,null,9748678142200288,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9093347177959776,!1,[[11,"Storechooser"],[8,0],
[7,[0,5]]]]],[[263,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0x8cfea60a0c484,!1,[[0,[0,4]]]]],[[0,null,!1,null,9835432619319748,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6442846507594847,!1,[[11,"Unlockstore5"],[8,0],[7,[0,0]]]]],[[244,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0xe0fec1e8e5b2d,!1,[[0,[0,0]]]]]],[0,null,!1,null,0x8d2e55c55ba0e,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6323624901454954,!1,[[11,"Unlockstore5"],[8,0],[7,[0,
2]]]]],[[244,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,6285621802742027,!1,[[0,[0,2]]]]]]]],[0,null,!1,null,0x5b47c045954c1,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xc694ca193acf4,!1,[[11,"Storechooser"],[8,0],[7,[0,6]]]]],[[263,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0x6be4cd92bb11d,!1,[[0,[0,5]]]]],[[0,null,!1,null,964658461282493,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9931363691149506,!1,[[11,"Unlockstore6"],[8,0],[7,[0,0]]]]],
[[244,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0x7ecbacc0f8e77,!1,[[0,[0,0]]]]]],[0,null,!1,null,0x5d7a7d3b95fd7,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x4ad4a765f4d46,!1,[[11,"Unlockstore6"],[8,0],[7,[0,2]]]]],[[244,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0xf486c6c8495e5,!1,[[0,[0,2]]]]]]]],[0,null,!1,null,7225449014831195,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5045900670629611,!1,[[11,"Storechooser"],[8,0],[7,[0,7]]]]],[[263,
cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0x6049269fe1e6,!1,[[0,[0,6]]]]],[[0,null,!1,null,8816848786827474,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x8e182d15cdad4,!1,[[11,"Unlockstore7"],[8,0],[7,[0,0]]]]],[[244,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0xd2d8e1316a849,!1,[[0,[0,0]]]]]],[0,null,!1,null,9992845673316876,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8855452723313315,!1,[[11,"Unlockstore7"],[8,0],[7,[0,2]]]]],[[244,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,
null,7586804923102259,!1,[[0,[0,2]]]]]]]],[0,null,!1,null,8877809078811114,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,20777295891247,!1,[[11,"Storechooser"],[8,0],[7,[0,8]]]]],[[263,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0x6f1547b34c201,!1,[[0,[0,7]]]]],[[0,null,!1,null,7789751430129053,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x5dd4dc0a26d6d,!1,[[11,"Unlockstore8"],[8,0],[7,[0,0]]]]],[[244,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,
7223906164365716,!1,[[0,[0,0]]]]]],[0,null,!1,null,7204656764272985,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8789996441207713,!1,[[11,"Unlockstore8"],[8,0],[7,[0,2]]]]],[[244,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,9407750914063194,!1,[[0,[0,2]]]]]]]],[0,null,!1,null,5269731454984811,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,592026624424079,!1,[[11,"Storechooser"],[8,0],[7,[0,9]]]]],[[263,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,
5653284220504925,!1,[[0,[0,8]]]]],[[0,null,!1,null,8896403338605989,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7800655345098411,!1,[[11,"Unlockstore9"],[8,0],[7,[0,0]]]]],[[244,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,8035442707226219,!1,[[0,[0,0]]]]]],[0,null,!1,null,4519547517008485,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7362140435046115,!1,[[11,"Unlockstore9"],[8,0],[7,[0,2]]]]],[[244,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,61790168681403,
!1,[[0,[0,2]]]]]]]],[0,null,!1,null,4968665000858442,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xe84ffb373282b,!1,[[11,"Storechooser"],[8,0],[7,[0,10]]]]],[[263,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0x579ca1ce6dd38,!1,[[0,[0,9]]]]],[[0,null,!1,null,9284676545066644,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xfd469f5ccf3b2,!1,[[11,"Unlockstore10"],[8,0],[7,[0,0]]]]],[[244,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0x48d8db18cd5ac,!1,
[[0,[0,0]]]]]],[0,null,!1,null,9885448175341928,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5212428795987545,!1,[[11,"Unlockstore10"],[8,0],[7,[0,2]]]]],[[244,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,778440073406622,!1,[[0,[0,2]]]]]]]],[0,null,!1,null,0x44d3c2c670727,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xf778741497dca,!1,[[11,"Storechooser"],[8,0],[7,[0,11]]]]],[[263,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,6913196326479745,!1,
[[0,[0,10]]]]],[[0,null,!1,null,7858286631718076,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5607850889020587,!1,[[11,"Unlockstore11"],[8,0],[7,[0,0]]]]],[[244,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,6296372096160719,!1,[[0,[0,0]]]]]],[0,null,!1,null,6508350065738191,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9214382892400778,!1,[[11,"Unlockstore11"],[8,0],[7,[0,2]]]]],[[244,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,7205440853797231,!1,
[[0,[0,2]]]]]]]],[0,null,!1,null,0x9bf9f80367869,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9791420183084260,!1,[[11,"Storechooser"],[8,0],[7,[0,12]]]]],[[263,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0xa4238b650ef6b,!1,[[0,[0,11]]]]],[[0,null,!1,null,6712931737658399,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7003279593722101,!1,[[11,"Unlockstore12"],[8,0],[7,[0,0]]]]],[[244,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0x8e9dcbf3f1bc8,!1,
[[0,[0,0]]]]]],[0,null,!1,null,6137503399814131,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xf0cc4ac60392f,!1,[[11,"Unlockstore12"],[8,0],[7,[0,2]]]]],[[244,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,9849057374088318,!1,[[0,[0,2]]]]]]]],[0,null,!1,null,5430500298760502,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6420210922028002,!1,[[11,"Storechooser"],[8,0],[7,[0,13]]]]],[[263,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0xe45b8b2ac4393,!1,
[[0,[0,12]]]]],[[0,null,!1,null,8475797861668105,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5806880077462415,!1,[[11,"Unlockstore13"],[8,0],[7,[0,0]]]]],[[244,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,8409858637982644,!1,[[0,[0,0]]]]]],[0,null,!1,null,7582346422446862,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xb1a29bf362d82,!1,[[11,"Unlockstore13"],[8,0],[7,[0,2]]]]],[[244,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0x9b8e859696a6,!1,[[0,
[0,2]]]]]]]],[0,null,!1,null,694424754141919,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xa0e5672bb1cc3,!1,[[11,"Storechooser"],[8,0],[7,[0,14]]]]],[[263,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,7835181492255188,!1,[[0,[0,13]]]]],[[0,null,!1,null,0xeac04f7b3755e,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8355507598287459,!1,[[11,"Unlockstore14"],[8,0],[7,[0,0]]]]],[[244,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,4961101115053015,!1,[[0,
[0,0]]]]]],[0,null,!1,null,7739647444542926,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x9bd8862996f84,!1,[[11,"Unlockstore14"],[8,0],[7,[0,2]]]]],[[244,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,340505693139435,!1,[[0,[0,2]]]]]]]],[0,null,!1,null,0x53125a033fbfb,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x3d0ba24ae5f99,!1,[[11,"Storechooser"],[8,0],[7,[0,15]]]]],[[263,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0x65019fd6facd8,!1,[[0,[0,
14]]]]],[[0,null,!1,null,0xeb9071c0975c7,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x6a3c5bcd50e5,!1,[[11,"Unlockstore15"],[8,0],[7,[0,0]]]]],[[244,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,647610927354932,!1,[[0,[0,0]]]]]],[0,null,!1,null,0xbc70d040523a1,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,601910110073173,!1,[[11,"Unlockstore15"],[8,0],[7,[0,2]]]]],[[244,cr.plugins_.Sprite.prototype.acts.SetAnimFrame,null,0xec43ad7b00dc9,!1,[[0,[0,2]]]]]]]]]],
[0,[!0,"Select"],!1,null,7787523523139943,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,7787523523139943,!1,[[1,[2,"Select"]]]]],[],[[0,null,!1,null,0xf02924f7bc2f3,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x8dcade69bb94e,!1,[[4,244]]],[244,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,0x8596a55db22f1,!1,[[8,0],[0,[0,1]]]]],[],[[0,null,!1,null,8875733918933982,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6964610908444353,
!1,[[11,"Storechooser"],[8,0],[7,[0,1]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0x6e08151c78e03,!1,[[11,"Store1"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SetVar,null,717381680233568,!1,[[11,"Store2"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,5859337196940493,!1,[[11,"Store3"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,9358714400870972,!1,[[11,"Store4"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xff5856d8812da,!1,[[11,"Store5"],
[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x732765fe8427c,!1,[[11,"Unlockstore1"],[7,[0,2]]]]]],[0,null,!1,null,8493337949260018,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4815797458952526,!1,[[11,"Unlockstore1"],[8,0],[7,[0,2]]]]],[],[[0,null,!1,null,7770215807718445,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7747537988378965,!1,[[11,"Unlockstore2"],[8,1],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0xfe2759340ce80,!1,[[11,
"Unlockstore2"],[7,[0,1]]]]]],[0,null,!1,null,0xef16b1e76fc3d,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,585768989643913,!1,[[11,"Unlockstore3"],[8,1],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,4586652315509105,!1,[[11,"Unlockstore3"],[7,[0,1]]]]]],[0,null,!1,null,4917698016556185,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4508030875210358,!1,[[11,"Unlockstore4"],[8,1],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0x56a66e94e09ad,
!1,[[11,"Unlockstore4"],[7,[0,1]]]]]],[0,null,!1,null,0x583ee6170a9b7,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xb6b4d0f5c3141,!1,[[11,"Unlockstore5"],[8,1],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0xbff061b3013aa,!1,[[11,"Unlockstore5"],[7,[0,1]]]]]]]],[0,null,!1,null,6163535700029782,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,710924639785829,!1,[[11,"Storechooser"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,
0x56537a2aba08c,!1,[[11,"Store1"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,4638743138884889,!1,[[11,"Store2"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x6f78ad0dd6feb,!1,[[11,"Store3"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,5326515447430241,!1,[[11,"Store4"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,6601893690599049,!1,[[11,"Store5"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,8180506876145367,!1,[[11,"Unlockstore2"],
[7,[0,2]]]]]],[0,null,!1,null,9768406211620686,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xae30ab8bf81c7,!1,[[11,"Unlockstore2"],[8,0],[7,[0,2]]]]],[],[[0,null,!1,null,841006440751621,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8103595613856238,!1,[[11,"Unlockstore1"],[8,1],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0xb40178cbbd87,!1,[[11,"Unlockstore1"],[7,[0,1]]]]]],[0,null,!1,null,536356972762075,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,7977636035534968,!1,[[11,"Unlockstore3"],[8,1],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0x8a9b7e2d24d50,!1,[[11,"Unlockstore3"],[7,[0,1]]]]]],[0,null,!1,null,6488179065065073,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6454085022723669,!1,[[11,"Unlockstore4"],[8,1],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,360279331664345,!1,[[11,"Unlockstore4"],[7,[0,1]]]]]],[0,null,!1,null,9425236682524064,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,0xff8a8dad5995,!1,[[11,"Unlockstore5"],[8,1],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0x5619b02369898,!1,[[11,"Unlockstore5"],[7,[0,1]]]]]]]],[0,null,!1,null,5165970158358375,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9333290919670644,!1,[[11,"Storechooser"],[8,0],[7,[0,3]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,9053091442096968,!1,[[11,"Store1"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,773941545059767,!1,[[11,
"Store2"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,8209839030321765,!1,[[11,"Store3"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SetVar,null,7239673270189471,!1,[[11,"Store4"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x637957bca95ca,!1,[[11,"Store5"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xad3a158d101fc,!1,[[11,"Unlockstore3"],[7,[0,2]]]]]],[0,null,!1,null,8498687543012681,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,
!1,0x432a7d393156d,!1,[[11,"Unlockstore3"],[8,0],[7,[0,2]]]]],[],[[0,null,!1,null,0xf6717c4b43709,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4920977490887677,!1,[[11,"Unlockstore1"],[8,1],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,9351308748684922,!1,[[11,"Unlockstore1"],[7,[0,1]]]]]],[0,null,!1,null,7716726145210551,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xdccc762bedc84,!1,[[11,"Unlockstore2"],[8,1],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,
null,9939931928065064,!1,[[11,"Unlockstore2"],[7,[0,1]]]]]],[0,null,!1,null,0x971587e845527,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7443242950191213,!1,[[11,"Unlockstore4"],[8,1],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0x6d90a9b5d350a,!1,[[11,"Unlockstore4"],[7,[0,1]]]]]],[0,null,!1,null,8328848223905793,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,611465931791064,!1,[[11,"Unlockstore5"],[8,1],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,
null,6579040449792416,!1,[[11,"Unlockstore5"],[7,[0,1]]]]]]]],[0,null,!1,null,7226461511858356,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7567882860998784,!1,[[11,"Storechooser"],[8,0],[7,[0,4]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,9254365011010034,!1,[[11,"Store1"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,5907742031200565,!1,[[11,"Store2"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xf5d80e46b1da5,!1,[[11,"Store3"],[7,[0,0]]]],
[-1,cr.system_object.prototype.acts.SetVar,null,4955006590551827,!1,[[11,"Store4"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SetVar,null,9259702477163188,!1,[[11,"Store5"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x43aa919684fe1,!1,[[11,"Unlockstore4"],[7,[0,2]]]]]],[0,null,!1,null,5325388913120896,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xc7a50b6d010b7,!1,[[11,"Unlockstore4"],[8,0],[7,[0,2]]]]],[],[[0,null,!1,null,9350132849908252,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,0xb600b9c669189,!1,[[11,"Unlockstore1"],[8,1],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,609857082538747,!1,[[11,"Unlockstore1"],[7,[0,1]]]]]],[0,null,!1,null,6143913856810036,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,27332521118278,!1,[[11,"Unlockstore2"],[8,1],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0x4fe761a975a91,!1,[[11,"Unlockstore2"],[7,[0,1]]]]]],[0,null,!1,null,7123764265640396,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,7289355180128249,!1,[[11,"Unlockstore3"],[8,1],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0x62fbf040f9b7d,!1,[[11,"Unlockstore3"],[7,[0,1]]]]]],[0,null,!1,null,0x46698a8395513,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x6661cb705255f,!1,[[11,"Unlockstore5"],[8,1],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,5281864500507525,!1,[[11,"Unlockstore5"],[7,[0,1]]]]]]]],[0,null,!1,null,0x95ee8fc9cb7e3,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,8712157814506356,!1,[[11,"Storechooser"],[8,0],[7,[0,5]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,9986353406657876,!1,[[11,"Store1"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,700552973881498,!1,[[11,"Store2"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,6226365018032336,!1,[[11,"Store3"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x5253730430cfb,!1,[[11,"Store4"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,
9975004182725044,!1,[[11,"Store5"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SetVar,null,8540955950023298,!1,[[11,"Unlockstore5"],[7,[0,2]]]]]],[0,null,!1,null,0xaef36539f24a3,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5609626014785545,!1,[[11,"Unlockstore5"],[8,0],[7,[0,2]]]]],[],[[0,null,!1,null,0x831cca5c2638c,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xcaf6320e09d8c,!1,[[11,"Unlockstore1"],[8,1],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,
null,6211376705678013,!1,[[11,"Unlockstore1"],[7,[0,1]]]]]],[0,null,!1,null,0xf12b2f45d6a47,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xa1a9c5b33be0c,!1,[[11,"Unlockstore2"],[8,1],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0x5484530d37312,!1,[[11,"Unlockstore2"],[7,[0,1]]]]]],[0,null,!1,null,9418157868662156,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8343070334579766,!1,[[11,"Unlockstore3"],[8,1],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,
null,5076990877454004,!1,[[11,"Unlockstore3"],[7,[0,1]]]]]],[0,null,!1,null,6805869422341241,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8681575276315835,!1,[[11,"Unlockstore4"],[8,1],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,4541228026527952,!1,[[11,"Unlockstore4"],[7,[0,1]]]]]]]],[0,null,!1,null,0xe64d1c8c29aaf,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4782303084656826,!1,[[11,"Storechooser"],[8,0],[7,[0,6]]]]],[[-1,cr.system_object.prototype.acts.SetVar,
null,8599144395179518,!1,[[11,"Store6"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xbf945369c1daf,!1,[[11,"Store7"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xcf3bf7d266ef1,!1,[[11,"Store8"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,5186724621336543,!1,[[11,"Unlockstore6"],[7,[0,2]]]]]],[0,null,!1,null,0xf60b17d9bd0d,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x40083592e2fb8,!1,[[11,"Unlockstore6"],[8,0],[7,[0,2]]]]],[],[[0,
null,!1,null,7374377707244072,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xfb8d551d3aa49,!1,[[11,"Unlockstore7"],[8,1],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,8569397197431238,!1,[[11,"Unlockstore7"],[7,[0,1]]]]]],[0,null,!1,null,774724710105874,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xdde387e761d66,!1,[[11,"Unlockstore8"],[8,1],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0xf5ad3c57080b9,!1,[[11,"Unlockstore8"],
[7,[0,1]]]]]]]],[0,null,!1,null,9589695343089156,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x90ce4b476e0c5,!1,[[11,"Storechooser"],[8,0],[7,[0,7]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,9815634224684452,!1,[[11,"Store6"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,8197606870132733,!1,[[11,"Store7"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xb4b1922cfabc6,!1,[[11,"Store8"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,
6878634646950612,!1,[[11,"Unlockstore7"],[7,[0,2]]]]]],[0,null,!1,null,0x4a1962628e762,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4632098518191224,!1,[[11,"Unlockstore7"],[8,0],[7,[0,2]]]]],[],[[0,null,!1,null,8906168021817179,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9136876067206924,!1,[[11,"Unlockstore6"],[8,1],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,9076955015602918,!1,[[11,"Unlockstore6"],[7,[0,1]]]]]],[0,null,!1,null,7394129455182308,
[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9222148883803928,!1,[[11,"Unlockstore8"],[8,1],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,7714395136498837,!1,[[11,"Unlockstore8"],[7,[0,1]]]]]]]],[0,null,!1,null,5378234532272322,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x78b5a718756f1,!1,[[11,"Storechooser"],[8,0],[7,[0,8]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0x9e9f9af9f1b90,!1,[[11,"Store6"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,
null,5237489051152656,!1,[[11,"Store7"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x4f219c7c27d50,!1,[[11,"Store8"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SetVar,null,877199137918377,!1,[[11,"Unlockstore8"],[7,[0,2]]]]]],[0,null,!1,null,9288404774383274,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x59d3f3f307026,!1,[[11,"Unlockstore8"],[8,0],[7,[0,2]]]]],[],[[0,null,!1,null,0xc07facbe6f3f2,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,
!1,6684276265774535,!1,[[11,"Unlockstore6"],[8,1],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,6872436773953349,!1,[[11,"Unlockstore6"],[7,[0,1]]]]]],[0,null,!1,null,0x5f4192d215a47,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5514528303585063,!1,[[11,"Unlockstore7"],[8,1],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,9804835450843704,!1,[[11,"Unlockstore7"],[7,[0,1]]]]]]]],[0,null,!1,null,673565367397939,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,8818674580860474,!1,[[11,"Storechooser"],[8,0],[7,[0,9]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,77306248847444,!1,[[11,"Store9"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SetVar,null,9108002176413788,!1,[[11,"Store10"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x69058ad1d9e7c,!1,[[11,"Store11"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,461320108396728,!1,[[11,"Store12"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,
0x6a9b562f5bba6,!1,[[11,"Unlockstore9"],[7,[0,2]]]]]],[0,null,!1,null,7444136287623987,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,850716788131444,!1,[[11,"Unlockstore9"],[8,0],[7,[0,2]]]]],[],[[0,null,!1,null,5425568316934164,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xb09a87c91ad0d,!1,[[11,"Unlockstore10"],[8,1],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0xf825d33be99b5,!1,[[11,"Unlockstore10"],[7,[0,1]]]]]],[0,null,!1,null,6436214999191447,
[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x7464baa398379,!1,[[11,"Unlockstore11"],[8,1],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0x5c027cd7afc5d,!1,[[11,"Unlockstore11"],[7,[0,1]]]]]],[0,null,!1,null,9057192165671984,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xdcc59ea94066d,!1,[[11,"Unlockstore12"],[8,1],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0x6a524eefabfc8,!1,[[11,"Unlockstore12"],[7,[0,1]]]]]]]],[0,null,!1,
null,0x9c149d8d4578f,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6360372452425813,!1,[[11,"Storechooser"],[8,0],[7,[0,10]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0xd05abfdf8e1c,!1,[[11,"Store9"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,7117547595546979,!1,[[11,"Store10"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x66c11d341531b,!1,[[11,"Store11"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x4002da587d477,!1,[[11,
"Store12"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,5989770112478713,!1,[[11,"Unlockstore10"],[7,[0,2]]]]]],[0,null,!1,null,9391650071647768,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8639538706247197,!1,[[11,"Unlockstore10"],[8,0],[7,[0,2]]]]],[],[[0,null,!1,null,6077790727640582,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7212708659285539,!1,[[11,"Unlockstore9"],[8,1],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0x983562bc1f4e8,
!1,[[11,"Unlockstore9"],[7,[0,1]]]]]],[0,null,!1,null,4887560028892881,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,346493979565187,!1,[[11,"Unlockstore11"],[8,1],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0xeed14000217dd,!1,[[11,"Unlockstore11"],[7,[0,1]]]]]],[0,null,!1,null,8459188964090309,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9805330337671168,!1,[[11,"Unlockstore12"],[8,1],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,
null,7471621616555919,!1,[[11,"Unlockstore12"],[7,[0,1]]]]]]]],[0,null,!1,null,8228680915715338,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xb6454e9f1ce26,!1,[[11,"Storechooser"],[8,0],[7,[0,11]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,6511367843793322,!1,[[11,"Store9"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,4680252260959451,!1,[[11,"Store10"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,6308906752820094,!1,[[11,"Store11"],[7,[0,
1]]]],[-1,cr.system_object.prototype.acts.SetVar,null,6086753284884521,!1,[[11,"Store12"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,8887070657978448,!1,[[11,"Unlockstore11"],[7,[0,2]]]]]],[0,null,!1,null,540205451314773,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6359301736140739,!1,[[11,"Unlockstore11"],[8,0],[7,[0,2]]]]],[],[[0,null,!1,null,0xf27d0b80ab335,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x5f68a5cb7684e,!1,[[11,"Unlockstore9"],
[8,1],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,7889458557170671,!1,[[11,"Unlockstore9"],[7,[0,1]]]]]],[0,null,!1,null,8042365265518299,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,4790209838711373,!1,[[11,"Unlockstore10"],[8,1],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0xf2320eb5869ef,!1,[[11,"Unlockstore10"],[7,[0,1]]]]]],[0,null,!1,null,0x588158117f8f1,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xb65baf09b72ac,!1,[[11,
"Unlockstore12"],[8,1],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,7867239818016356,!1,[[11,"Unlockstore12"],[7,[0,1]]]]]]]],[0,null,!1,null,6431347659755613,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x485b0d27e2d67,!1,[[11,"Storechooser"],[8,0],[7,[0,12]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,5464224027324454,!1,[[11,"Store9"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,6903060868641311,!1,[[11,"Store10"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,
null,7104488726821272,!1,[[11,"Store11"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,7748297498704356,!1,[[11,"Store12"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x90297ca252e59,!1,[[11,"Unlockstore12"],[7,[0,2]]]]]],[0,null,!1,null,0xae349dbe82f56,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8889241363429707,!1,[[11,"Unlockstore12"],[8,0],[7,[0,2]]]]],[],[[0,null,!1,null,0x8d5d5142d85f9,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,
!1,!1,0x904059d922a0e,!1,[[11,"Unlockstore9"],[8,1],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,8356353154025709,!1,[[11,"Unlockstore9"],[7,[0,1]]]]]],[0,null,!1,null,0x649a0e758dadc,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,433121437346924,!1,[[11,"Unlockstore10"],[8,1],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0x6fe9e9a6373ca,!1,[[11,"Unlockstore10"],[7,[0,1]]]]]],[0,null,!1,null,78691029336029,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,7349281104700841,!1,[[11,"Unlockstore11"],[8,1],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,478051396161461,!1,[[11,"Unlockstore11"],[7,[0,1]]]]]]]],[0,null,!1,null,295701731987861,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7410776616906613,!1,[[11,"Storechooser"],[8,0],[7,[0,13]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,477791866188118,!1,[[11,"Store13"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SetVar,null,6777334078537125,
!1,[[11,"Store14"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x44eff5c3070a3,!1,[[11,"Unlockstore13"],[7,[0,2]]]]]],[0,null,!1,null,5564785002268637,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5255896088819757,!1,[[11,"Unlockstore13"],[8,0],[7,[0,2]]]]],[],[[0,null,!1,null,5022483247465015,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xe59fe4c3c4b4d,!1,[[11,"Unlockstore14"],[8,1],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,
9016267697870848,!1,[[11,"Unlockstore14"],[7,[0,1]]]]]]]],[0,null,!1,null,0xcdba6ee3093f9,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x411a83c9b060c,!1,[[11,"Storechooser"],[8,0],[7,[0,14]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,6549360921249847,!1,[[11,"Store13"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,5008346105054796,!1,[[11,"Store14"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SetVar,null,993701116299844,!1,[[11,"Unlockstore14"],[7,[0,
2]]]]]],[0,null,!1,null,0xc67f36ddb268e,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,423254390247117,!1,[[11,"Unlockstore14"],[8,0],[7,[0,2]]]]],[],[[0,null,!1,null,0x9b6208d05bae0,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6467769132909282,!1,[[11,"Unlockstore13"],[8,1],[7,[0,0]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,5235109727508474,!1,[[11,"Unlockstore13"],[7,[0,1]]]]]]]],[0,null,!1,null,7289173264575855,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,6453866080989844,!1,[[11,"Storechooser"],[8,0],[7,[0,15]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,5034181417200212,!1,[[11,"Store15"],[7,[0,1]]]],[-1,cr.system_object.prototype.acts.SetVar,null,7421107598771612,!1,[[11,"Unlockstore15"],[7,[0,2]]]]]]]]]],[0,[!0,"Attach"],!1,null,6968906956071331,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,6968906956071331,!1,[[1,[2,"Attach"]]]]],[],[[0,[!0,"Ochki"],!1,null,9246372271290376,[[-1,cr.system_object.prototype.cnds.IsGroupActive,
null,0,!1,!1,!1,9246372271290376,!1,[[1,[2,"Ochki"]]]]],[],[[0,null,!1,null,0xd55f4e622d96f,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8266085254359657,!1,[[11,"Store1"],[8,0],[7,[0,1]]]]],[[249,cr.plugins_.Sprite.prototype.acts.Destroy,null,7305953768595793,!1],[250,cr.plugins_.Sprite.prototype.acts.Destroy,null,5676573393036786,!1],[251,cr.plugins_.Sprite.prototype.acts.Destroy,null,9710724015801212,!1],[252,cr.plugins_.Sprite.prototype.acts.Destroy,null,5121821642639343,!1]],
[[0,null,!1,null,0xee0757eb0728f,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,4831881418168201,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0x8c1fb75238dba,!1,[[4,248],[5,[0,1]],[0,[20,243,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,4]]]],[0,[20,243,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,4]]]]]]]]]],[0,null,!1,null,9260515593364668,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,384938359535943,!1,[[11,"Store2"],[8,
0],[7,[0,1]]]]],[[248,cr.plugins_.Sprite.prototype.acts.Destroy,null,9371625424650104,!1],[250,cr.plugins_.Sprite.prototype.acts.Destroy,null,8306549486775572,!1],[251,cr.plugins_.Sprite.prototype.acts.Destroy,null,7509301827818533,!1],[252,cr.plugins_.Sprite.prototype.acts.Destroy,null,5077430088114009,!1]],[[0,null,!1,null,7172152455234097,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7948433431570503,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0xb637e7117b4c4,
!1,[[4,249],[5,[0,1]],[0,[20,243,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,4]]]],[0,[20,243,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,4]]]]]]]]]],[0,null,!1,null,4518174019578773,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6821795867348261,!1,[[11,"Store3"],[8,0],[7,[0,1]]]]],[[248,cr.plugins_.Sprite.prototype.acts.Destroy,null,5867466718579641,!1],[249,cr.plugins_.Sprite.prototype.acts.Destroy,null,7243434359078911,!1],[251,cr.plugins_.Sprite.prototype.acts.Destroy,
null,9022658708187876,!1],[252,cr.plugins_.Sprite.prototype.acts.Destroy,null,5021490652962618,!1]],[[0,null,!1,null,9322900120948936,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5029797117192783,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,7750662416565009,!1,[[4,250],[5,[0,1]],[0,[20,243,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,4]]]],[0,[20,243,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,4]]]]]]]]]],[0,null,!1,null,6200084813850157,
[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8489815674498797,!1,[[11,"Store4"],[8,0],[7,[0,1]]]]],[[248,cr.plugins_.Sprite.prototype.acts.Destroy,null,4509572053875031,!1],[249,cr.plugins_.Sprite.prototype.acts.Destroy,null,748395778152884,!1],[250,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x89edc8fc13d30,!1],[252,cr.plugins_.Sprite.prototype.acts.Destroy,null,4508748035695704,!1]],[[0,null,!1,null,5325990575031916,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,
!1,!1,7703182917899693,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,4998270797103845,!1,[[4,251],[5,[0,1]],[0,[20,243,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,4]]]],[0,[20,243,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,4]]]]]]]]]],[0,null,!1,null,5907769456494812,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xbf72d48242527,!1,[[11,"Store5"],[8,0],[7,[0,1]]]]],[[248,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xc431f065cdb2,!1],[249,
cr.plugins_.Sprite.prototype.acts.Destroy,null,0x3b47b60c9f29c,!1],[250,cr.plugins_.Sprite.prototype.acts.Destroy,null,8096376893402025,!1],[251,cr.plugins_.Sprite.prototype.acts.Destroy,null,5642828616214958,!1]],[[0,null,!1,null,6155317486221389,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7765541812900799,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,9427115822016392,!1,[[4,252],[5,[0,1]],[0,[20,243,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,4]]]],
[0,[20,243,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,4]]]]]]]]]]]],[0,[!0,"Kedy"],!1,null,5537583494388223,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,5537583494388223,!1,[[1,[2,"Kedy"]]]]],[],[[0,null,!1,null,0xea166495514c0,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7344117606159961,!1,[[11,"Store6"],[8,0],[7,[0,1]]]]],[[254,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xf5ccc97fdcf85,!1],[255,cr.plugins_.Sprite.prototype.acts.Destroy,
null,898041846427023,!1]],[[0,null,!1,null,0x8d4ec5c5f63f2,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,5849107937426123,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,9531614952273496,!1,[[4,253],[5,[0,1]],[0,[20,243,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,5]]]],[0,[20,243,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,5]]]]]]]]]],[0,null,!1,null,5710158285500601,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9561115401640124,
!1,[[11,"Store7"],[8,0],[7,[0,1]]]]],[[253,cr.plugins_.Sprite.prototype.acts.Destroy,null,4842390535410177,!1],[255,cr.plugins_.Sprite.prototype.acts.Destroy,null,8554889940419662,!1]],[[0,null,!1,null,9205063458230528,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9060329110808872,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,7409023553273944,!1,[[4,254],[5,[0,1]],[0,[20,243,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,5]]]],[0,[20,243,cr.plugins_.Sprite.prototype.exps.ImagePointY,
!1,null,[[0,5]]]]]]]]]],[0,null,!1,null,9574163889856800,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xa1b3e04f01337,!1,[[11,"Store8"],[8,0],[7,[0,1]]]]],[[253,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xdec50f4ed36d1,!1],[254,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x72b8ed7914a7d,!1]],[[0,null,!1,null,0x6c1e083d106f3,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x7a021e8a01761,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,5716207237191338,
!1,[[4,255],[5,[0,1]],[0,[20,243,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,5]]]],[0,[20,243,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,5]]]]]]]]]]]],[0,[!0,"Shapky"],!1,null,0x40346b3dc0a38,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,0x40346b3dc0a38,!1,[[1,[2,"Shapky"]]]]],[],[[0,null,!1,null,716951431575742,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xca46cbc7104dc,!1,[[11,"Store9"],[8,0],[7,[0,1]]]]],[[257,cr.plugins_.Sprite.prototype.acts.Destroy,
null,0xe42784103d8bc,!1],[258,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x5a3dc581a7756,!1],[259,cr.plugins_.Sprite.prototype.acts.Destroy,null,6098181668470558,!1]],[[0,null,!1,null,4764253914294708,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,0x470e9c0429f98,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0x635cc7bf55814,!1,[[4,256],[5,[0,1]],[0,[20,243,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,6]]]],[0,[20,243,cr.plugins_.Sprite.prototype.exps.ImagePointY,
!1,null,[[0,6]]]]]]]]]],[0,null,!1,null,9966856826401984,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9651236001644846,!1,[[11,"Store10"],[8,0],[7,[0,1]]]]],[[256,cr.plugins_.Sprite.prototype.acts.Destroy,null,649192881927152,!1],[258,cr.plugins_.Sprite.prototype.acts.Destroy,null,8424558765267755,!1],[259,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x9c9e26a04bc97,!1]],[[0,null,!1,null,0x57133be703220,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,4884128099145174,
!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,6520583058591746,!1,[[4,257],[5,[0,1]],[0,[20,243,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,6]]]],[0,[20,243,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,6]]]]]]]]]],[0,null,!1,null,0xe5a9d02d96926,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8049241441766776,!1,[[11,"Store11"],[8,0],[7,[0,1]]]]],[[256,cr.plugins_.Sprite.prototype.acts.Destroy,null,8923807991707392,!1],[257,cr.plugins_.Sprite.prototype.acts.Destroy,
null,0x5bd5b17b98b79,!1],[259,cr.plugins_.Sprite.prototype.acts.Destroy,null,611765602318883,!1]],[[0,null,!1,null,0xd77fa3656ecdc,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7426138293936568,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,4552132920026553,!1,[[4,258],[5,[0,1]],[0,[20,243,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,6]]]],[0,[20,243,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,6]]]]]]]]]],[0,null,!1,null,0xdf2bb688f13e5,[[-1,
cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x63e18d8ede4cb,!1,[[11,"Store12"],[8,0],[7,[0,1]]]]],[[256,cr.plugins_.Sprite.prototype.acts.Destroy,null,8465467401135734,!1],[257,cr.plugins_.Sprite.prototype.acts.Destroy,null,8519402312750793,!1],[258,cr.plugins_.Sprite.prototype.acts.Destroy,null,7017822546262119,!1]],[[0,null,!1,null,4699473055287417,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,9420055563916594,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,
null,6058281998376375,!1,[[4,259],[5,[0,1]],[0,[20,243,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,6]]]],[0,[20,243,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,6]]]]]]]]]]]],[0,[!0,"Babochky"],!1,null,0x905e89b7fb17c,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,0x905e89b7fb17c,!1,[[1,[2,"Babochky"]]]]],[],[[0,null,!1,null,9966856826401984,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9651236001644846,!1,[[11,"Store13"],[8,0],[7,[0,
1]]]]],[[261,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x9c9e26a04bc97,!1]],[[0,null,!1,null,0x57133be703220,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,4884128099145174,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,6520583058591746,!1,[[4,260],[5,[0,1]],[0,[20,243,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,7]]]],[0,[20,243,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,7]]]]]]]]]],[0,null,!1,null,0xe5a9d02d96926,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,8049241441766776,!1,[[11,"Store14"],[8,0],[7,[0,1]]]]],[[260,cr.plugins_.Sprite.prototype.acts.Destroy,null,611765602318883,!1]],[[0,null,!1,null,0xd77fa3656ecdc,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,7426138293936568,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,4552132920026553,!1,[[4,261],[5,[0,1]],[0,[20,243,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,7]]]],[0,[20,243,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,
7]]]]]]]]]]]],[0,[!0,"Nos"],!1,null,5284581066363531,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,5284581066363531,!1,[[1,[2,"Nos"]]]]],[],[[0,null,!1,null,9966856826401984,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9651236001644846,!1,[[11,"Store15"],[8,0],[7,[0,1]]]]],[],[[0,null,!1,null,0x57133be703220,[[-1,cr.system_object.prototype.cnds.TriggerOnce,null,0,!1,!1,!1,4884128099145174,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,6520583058591746,
!1,[[4,262],[5,[0,1]],[0,[20,243,cr.plugins_.Sprite.prototype.exps.ImagePointX,!1,null,[[0,8]]]],[0,[20,243,cr.plugins_.Sprite.prototype.exps.ImagePointY,!1,null,[[0,8]]]]]]]]]]]]]],[0,[!0,"clearall"],!1,null,0xa51b26f020c8a,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,0xa51b26f020c8a,!1,[[1,[2,"clearall"]]]]],[],[[0,null,!1,null,5071527852544204,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0x8397da5699a32,!1,[[4,264]]]],[[-1,cr.system_object.prototype.acts.SetVar,
null,0xcaea68efaeeab,!1,[[11,"Store1"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,7594861842370505,!1,[[11,"Store2"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,8928767110208272,!1,[[11,"Store3"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,6859322426363679,!1,[[11,"Store4"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,5366663208944382,!1,[[11,"Store5"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x74ede6f62a3a9,!1,[[11,
"Store6"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,6010069550550505,!1,[[11,"Store7"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,9211282026111952,!1,[[11,"Store8"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0x9afe9e175fd3d,!1,[[11,"Store9"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,5247177438307018,!1,[[11,"Store10"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xb086f0059fc08,!1,[[11,"Store11"],[7,[0,0]]]],[-1,
cr.system_object.prototype.acts.SetVar,null,7169834373203653,!1,[[11,"Store12"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xa32dfd8cd8488,!1,[[11,"Store13"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,0xf07a23ecd53af,!1,[[11,"Store14"],[7,[0,0]]]],[-1,cr.system_object.prototype.acts.SetVar,null,8740493838832394,!1,[[11,"Store15"],[7,[0,0]]]],[262,cr.plugins_.Sprite.prototype.acts.Destroy,null,6024322738155138,!1],[261,cr.plugins_.Sprite.prototype.acts.Destroy,null,
0x72cea19005b8f,!1],[260,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xce709ba228bdc,!1],[259,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x9e700705142be,!1],[258,cr.plugins_.Sprite.prototype.acts.Destroy,null,8023415009296308,!1],[257,cr.plugins_.Sprite.prototype.acts.Destroy,null,5755958741615024,!1],[256,cr.plugins_.Sprite.prototype.acts.Destroy,null,5696303556074468,!1],[255,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xd81afd5b99870,!1],[254,cr.plugins_.Sprite.prototype.acts.Destroy,
null,496773846139046,!1],[253,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x9859d67ade310,!1],[252,cr.plugins_.Sprite.prototype.acts.Destroy,null,6690653380102259,!1],[251,cr.plugins_.Sprite.prototype.acts.Destroy,null,9254206994425136,!1],[250,cr.plugins_.Sprite.prototype.acts.Destroy,null,5516697347800577,!1],[249,cr.plugins_.Sprite.prototype.acts.Destroy,null,5749231646017432,!1],[248,cr.plugins_.Sprite.prototype.acts.Destroy,null,5658261943387925,!1]]],[0,null,!1,null,7663525152661622,[[1,
cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,8311900866470162,!1,[[4,264]]]],[],[[0,null,!1,null,7401177905443978,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5350750097648661,!1,[[11,"Unlockstore1"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,5166057916147445,!1,[[11,"Unlockstore1"],[7,[0,1]]]]]],[0,null,!1,null,7565776771010142,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xe4ea1fa768bb8,!1,[[11,"Unlockstore2"],[8,0],
[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,8267252371090295,!1,[[11,"Unlockstore2"],[7,[0,1]]]]]],[0,null,!1,null,5460806691195537,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9322421529482384,!1,[[11,"Unlockstore3"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,7499659623400495,!1,[[11,"Unlockstore3"],[7,[0,1]]]]]],[0,null,!1,null,7233103101995347,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,6657573524531504,!1,[[11,"Unlockstore4"],
[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,5060749917467527,!1,[[11,"Unlockstore4"],[7,[0,1]]]]]],[0,null,!1,null,0xa558a5fe02ac6,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x9cee7609a3730,!1,[[11,"Unlockstore5"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,7692230445795509,!1,[[11,"Unlockstore5"],[7,[0,1]]]]]],[0,null,!1,null,0x7005eedee1138,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x7c0123037c7a8,!1,[[11,
"Unlockstore6"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,8356921031572721,!1,[[11,"Unlockstore6"],[7,[0,1]]]]]],[0,null,!1,null,0xaa308f8ae6fcf,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9389698222915204,!1,[[11,"Unlockstore7"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0x4fca6ef015ff0,!1,[[11,"Unlockstore7"],[7,[0,1]]]]]],[0,null,!1,null,6872116097815763,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xa4b1b8f5c1c7b,
!1,[[11,"Unlockstore8"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0xfc5ad8e33298e,!1,[[11,"Unlockstore8"],[7,[0,1]]]]]],[0,null,!1,null,9349668311852604,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,25147902332195,!1,[[11,"Unlockstore9"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,6754356858570162,!1,[[11,"Unlockstore9"],[7,[0,1]]]]]],[0,null,!1,null,0xca5fb59512922,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,
0x806847aad3f91,!1,[[11,"Unlockstore10"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0x7a0296adcc9a5,!1,[[11,"Unlockstore10"],[7,[0,1]]]]]],[0,null,!1,null,8487930809568254,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xc362944be6354,!1,[[11,"Unlockstore11"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,7879613984329862,!1,[[11,"Unlockstore11"],[7,[0,1]]]]]],[0,null,!1,null,5906154326115547,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,6028563553412433,!1,[[11,"Unlockstore12"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0xd8c3e10495357,!1,[[11,"Unlockstore12"],[7,[0,1]]]]]],[0,null,!1,null,0xc72bd36668b,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7917630463247922,!1,[[11,"Unlockstore13"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,9906142030223924,!1,[[11,"Unlockstore13"],[7,[0,1]]]]]],[0,null,!1,null,0xd4b77e6e57495,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,9069176727931104,!1,[[11,"Unlockstore14"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0xbe3a9fc5ab5b,!1,[[11,"Unlockstore14"],[7,[0,1]]]]]],[0,null,!1,null,0xb4ed24c003790,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9013517349649494,!1,[[11,"Unlockstore15"],[8,0],[7,[0,2]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,7839193395710107,!1,[[11,"Unlockstore15"],[7,[0,1]]]]]]]]]],[0,null,!1,null,0x84df7dd0d6719,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,
null,1,!1,!1,!1,5749713049349635,!1,[[4,265]]]],[[-1,cr.system_object.prototype.acts.CreateObject,null,9521572649182336,!1,[[4,127],[5,[0,9]],[0,[0,0]],[0,[0,0]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,5861244331872592,!1,[[4,126],[5,[0,9]],[0,[7,[4,[19,cr.system_object.prototype.exps.viewportright,[[0,1]]],[19,cr.system_object.prototype.exps.viewportleft,[[0,1]]]],[0,2]]],[0,[0,470]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xc1ee094944f85,!1,[[0,[1,0.2]]]],[-1,cr.system_object.prototype.acts.GoToLayout,
null,9520399666575,!1,[[6,"Chooselevel"]]]]],[0,[!0,"Purchase"],!1,null,8385871163863389,[[-1,cr.system_object.prototype.cnds.IsGroupActive,null,0,!1,!1,!1,8385871163863389,!1,[[1,[2,"Purchase"]]]]],[],[[0,null,!1,null,0x41c6eb61a750e,[[4,cr.plugins_.CJSAds.prototype.cnds.onProductsFetchCompleted,null,1,!1,!1,!1,0xae3c2cec3efdc,!1]],[[-1,cr.system_object.prototype.acts.CreateObject,null,0xeae60508bf693,!1,[[4,127],[5,[0,3]],[0,[0,0]],[0,[0,0]]]],[127,cr.plugins_.TiledBg.prototype.acts.ZMoveToObject,
null,0x960c42e52f2c3,!1,[[3,1],[4,126]]]]],[0,null,!1,null,0x3e8cf22861b5a,[[4,cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete,null,1,!1,!1,!1,5114739720342574,!1,[[1,[2,"jmstore1"]]]]],[[127,cr.plugins_.TiledBg.prototype.acts.Destroy,null,0x522e7df692fbd,!1],[126,cr.plugins_.Sprite.prototype.acts.Destroy,null,9909984772214140,!1]]],[0,null,!1,null,0x8355765b8ecf8,[[4,cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete,null,1,!1,!1,!1,5024355651201976,!1,[[1,[2,"jmstore2"]]]]],[[127,cr.plugins_.TiledBg.prototype.acts.Destroy,
null,5536210042170201,!1],[126,cr.plugins_.Sprite.prototype.acts.Destroy,null,7628139422531529,!1]]],[0,null,!1,null,56132166076207,[[4,cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete,null,1,!1,!1,!1,0x4d0e950bee7dc,!1,[[1,[2,"jmstore3"]]]]],[[127,cr.plugins_.TiledBg.prototype.acts.Destroy,null,7985352305245525,!1],[126,cr.plugins_.Sprite.prototype.acts.Destroy,null,6375133492287287,!1]]],[0,null,!1,null,5864983132863115,[[4,cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete,null,1,!1,!1,!1,
4659730234099932,!1,[[1,[2,"jmstore4"]]]]],[[127,cr.plugins_.TiledBg.prototype.acts.Destroy,null,4965455815460797,!1],[126,cr.plugins_.Sprite.prototype.acts.Destroy,null,7005993621973517,!1]]],[0,null,!1,null,5711742366056307,[[4,cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete,null,1,!1,!1,!1,6706940779093492,!1,[[1,[2,"jmstore5"]]]]],[[127,cr.plugins_.TiledBg.prototype.acts.Destroy,null,5988213938509576,!1],[126,cr.plugins_.Sprite.prototype.acts.Destroy,null,9882194412232292,!1]]],[0,null,!1,
null,7405061980890498,[[4,cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete,null,1,!1,!1,!1,459711919321438,!1,[[1,[2,"jmstore6"]]]]],[[127,cr.plugins_.TiledBg.prototype.acts.Destroy,null,0x7217eb778c2a4,!1],[126,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xf4d1e98696229,!1]]],[0,null,!1,null,505877611812095,[[4,cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete,null,1,!1,!1,!1,0xdb10569bbd3e5,!1,[[1,[2,"jmstore7"]]]]],[[127,cr.plugins_.TiledBg.prototype.acts.Destroy,null,0x3f0a31e8e1f00,
!1],[126,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xe8e1f0fce759e,!1]]],[0,null,!1,null,9832357129251792,[[4,cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete,null,1,!1,!1,!1,8690715286605679,!1,[[1,[2,"jmstore8"]]]]],[[127,cr.plugins_.TiledBg.prototype.acts.Destroy,null,5844030992676755,!1],[126,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xa8865138bd9d7,!1]]],[0,null,!1,null,9629652741174938,[[4,cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete,null,1,!1,!1,!1,0x4b08f25bceb03,!1,
[[1,[2,"jmstore9"]]]]],[[127,cr.plugins_.TiledBg.prototype.acts.Destroy,null,6230929994415204,!1],[126,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x986f379a3e706,!1]]],[0,null,!1,null,0x567af8e214fae,[[4,cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete,null,1,!1,!1,!1,0x51f66a9cd259a,!1,[[1,[2,"jmstore10"]]]]],[[127,cr.plugins_.TiledBg.prototype.acts.Destroy,null,5593618838040655,!1],[126,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xe76e59cbd2ff4,!1]]],[0,null,!1,null,7417193003510139,
[[4,cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete,null,1,!1,!1,!1,6940279551437716,!1,[[1,[2,"jmstore11"]]]]],[[127,cr.plugins_.TiledBg.prototype.acts.Destroy,null,282515100858493,!1],[126,cr.plugins_.Sprite.prototype.acts.Destroy,null,571865551999947,!1]]],[0,null,!1,null,0x3baa85d6696f4,[[4,cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete,null,1,!1,!1,!1,0x814f82167d84a,!1,[[1,[2,"jmstore12"]]]]],[[127,cr.plugins_.TiledBg.prototype.acts.Destroy,null,8775752280652861,!1],[126,cr.plugins_.Sprite.prototype.acts.Destroy,
null,0xa6b8e94e1d7c4,!1]]],[0,null,!1,null,0x9ccc2c31dc3fd,[[4,cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete,null,1,!1,!1,!1,4521550793821234,!1,[[1,[2,"jmstore13"]]]]],[[127,cr.plugins_.TiledBg.prototype.acts.Destroy,null,0xb2498a3d13d13,!1],[126,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x9643aa3dae917,!1]]],[0,null,!1,null,5881921862649874,[[4,cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete,null,1,!1,!1,!1,729905126286504,!1,[[1,[2,"jmstore14"]]]]],[[127,cr.plugins_.TiledBg.prototype.acts.Destroy,
null,5683139068773548,!1],[126,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xfdf96267efa70,!1]]],[0,null,!1,null,8021704596964963,[[4,cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete,null,1,!1,!1,!1,5509082329318825,!1,[[1,[2,"jmstore15"]]]]],[[127,cr.plugins_.TiledBg.prototype.acts.Destroy,null,0xec05eaa25466f,!1],[126,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xd4a737c24fc5c,!1]]],[0,null,!1,null,5919022659209682,[[4,cr.plugins_.CJSAds.prototype.cnds.OnPurchaseFail,null,1,!1,!1,!1,7845823340248448,
!1,[[1,[2,"jmstore1"]]]]],[[127,cr.plugins_.TiledBg.prototype.acts.Destroy,null,0x9f73c0286a575,!1],[126,cr.plugins_.Sprite.prototype.acts.Destroy,null,8501707050437521,!1]]],[0,null,!1,null,803954403074265,[[4,cr.plugins_.CJSAds.prototype.cnds.OnPurchaseFail,null,1,!1,!1,!1,5872861613257575,!1,[[1,[2,"jmstore2"]]]]],[[127,cr.plugins_.TiledBg.prototype.acts.Destroy,null,8700316473505805,!1],[126,cr.plugins_.Sprite.prototype.acts.Destroy,null,9029060992059986,!1]]],[0,null,!1,null,0xf630f828007eb,
[[4,cr.plugins_.CJSAds.prototype.cnds.OnPurchaseFail,null,1,!1,!1,!1,0x554271d725539,!1,[[1,[2,"jmstore3"]]]]],[[127,cr.plugins_.TiledBg.prototype.acts.Destroy,null,6483436639520193,!1],[126,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xf6f8300ea8a22,!1]]],[0,null,!1,null,5929082265549806,[[4,cr.plugins_.CJSAds.prototype.cnds.OnPurchaseFail,null,1,!1,!1,!1,7536516411085771,!1,[[1,[2,"jmstore4"]]]]],[[127,cr.plugins_.TiledBg.prototype.acts.Destroy,null,0xa078916f24a8c,!1],[126,cr.plugins_.Sprite.prototype.acts.Destroy,
null,5672165612119884,!1]]],[0,null,!1,null,9952914208952848,[[4,cr.plugins_.CJSAds.prototype.cnds.OnPurchaseFail,null,1,!1,!1,!1,8929328700343908,!1,[[1,[2,"jmstore5"]]]]],[[127,cr.plugins_.TiledBg.prototype.acts.Destroy,null,0x93583d3a01743,!1],[126,cr.plugins_.Sprite.prototype.acts.Destroy,null,8523624387465395,!1]]],[0,null,!1,null,4568935483946631,[[4,cr.plugins_.CJSAds.prototype.cnds.OnPurchaseFail,null,1,!1,!1,!1,669842811923196,!1,[[1,[2,"jmstore6"]]]]],[[127,cr.plugins_.TiledBg.prototype.acts.Destroy,
null,0xf156427a0e68d,!1],[126,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xa19c437395387,!1]]],[0,null,!1,null,9833009055106338,[[4,cr.plugins_.CJSAds.prototype.cnds.OnPurchaseFail,null,1,!1,!1,!1,8554914846555144,!1,[[1,[2,"jmstore7"]]]]],[[127,cr.plugins_.TiledBg.prototype.acts.Destroy,null,0xe7666db9ca2ad,!1],[126,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xdc0714a62c1f,!1]]],[0,null,!1,null,0xae2f27a152f0f,[[4,cr.plugins_.CJSAds.prototype.cnds.OnPurchaseFail,null,1,!1,!1,!1,0x9c63bd712f582,
!1,[[1,[2,"jmstore8"]]]]],[[127,cr.plugins_.TiledBg.prototype.acts.Destroy,null,9626769440392156,!1],[126,cr.plugins_.Sprite.prototype.acts.Destroy,null,6194180674330344,!1]]],[0,null,!1,null,0xff12a9d7b4f2c,[[4,cr.plugins_.CJSAds.prototype.cnds.OnPurchaseFail,null,1,!1,!1,!1,8999772962223738,!1,[[1,[2,"jmstore9"]]]]],[[127,cr.plugins_.TiledBg.prototype.acts.Destroy,null,6250622570196392,!1],[126,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xf703b59ccce70,!1]]],[0,null,!1,null,5253606195391718,
[[4,cr.plugins_.CJSAds.prototype.cnds.OnPurchaseFail,null,1,!1,!1,!1,0x6936372b9eb7f,!1,[[1,[2,"jmstore10"]]]]],[[127,cr.plugins_.TiledBg.prototype.acts.Destroy,null,9321805897533040,!1],[126,cr.plugins_.Sprite.prototype.acts.Destroy,null,5561785607690794,!1]]],[0,null,!1,null,5517735546457923,[[4,cr.plugins_.CJSAds.prototype.cnds.OnPurchaseFail,null,1,!1,!1,!1,9126512847183112,!1,[[1,[2,"jmstore11"]]]]],[[127,cr.plugins_.TiledBg.prototype.acts.Destroy,null,5458917315087187,!1],[126,cr.plugins_.Sprite.prototype.acts.Destroy,
null,6023056543226515,!1]]],[0,null,!1,null,0xb0d5e1dd14389,[[4,cr.plugins_.CJSAds.prototype.cnds.OnPurchaseFail,null,1,!1,!1,!1,0x8111e669ae98e,!1,[[1,[2,"jmstore12"]]]]],[[127,cr.plugins_.TiledBg.prototype.acts.Destroy,null,7735059523483271,!1],[126,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x763bcbc7f86a7,!1]]],[0,null,!1,null,6489451846149134,[[4,cr.plugins_.CJSAds.prototype.cnds.OnPurchaseFail,null,1,!1,!1,!1,0xbb0c1beedc985,!1,[[1,[2,"jmstore13"]]]]],[[127,cr.plugins_.TiledBg.prototype.acts.Destroy,
null,0x4c4fc00a11a7b,!1],[126,cr.plugins_.Sprite.prototype.acts.Destroy,null,0xdba3ba8ffddfa,!1]]],[0,null,!1,null,0x8a6c5070dd18a,[[4,cr.plugins_.CJSAds.prototype.cnds.OnPurchaseFail,null,1,!1,!1,!1,8092964402414682,!1,[[1,[2,"jmstore14"]]]]],[[127,cr.plugins_.TiledBg.prototype.acts.Destroy,null,5540732806855829,!1],[126,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x8a5e3678f0811,!1]]],[0,null,!1,null,6238594858552652,[[4,cr.plugins_.CJSAds.prototype.cnds.OnPurchaseFail,null,1,!1,!1,!1,0xf654b297094b6,
!1,[[1,[2,"jmstore15"]]]]],[[127,cr.plugins_.TiledBg.prototype.acts.Destroy,null,6269088835125216,!1],[126,cr.plugins_.Sprite.prototype.acts.Destroy,null,6631968387844496,!1]]],[0,null,!1,null,8518082575970459,[[1,cr.plugins_.Touch.prototype.cnds.OnTouchObject,null,1,!1,!1,!1,0xab81c234c0db9,!1,[[4,244]]],[244,cr.plugins_.Sprite.prototype.cnds.CompareFrame,null,0,!1,!1,!1,0xec76134c167c4,!1,[[8,0],[0,[0,0]]]]],[],[[0,null,!1,null,4550286902282616,[[-1,cr.system_object.prototype.cnds.CompareVar,null,
0,!1,!1,!1,0xea2189ceadfe2,!1,[[11,"Storechooser"],[8,0],[7,[0,1]]]]],[[4,cr.plugins_.CJSAds.prototype.acts.fetchProductsFromStore,null,8882575320164507,!1,[[1,[2,"jmstore1"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xf43c56b7c4da4,!1,[[4,126],[5,[0,3]],[0,[20,263,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,263,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.Wait,null,850762817055042,!1,[[0,[0,9]]]]],[[0,null,!1,null,0x79ae592fccd3d,[[4,
cr.plugins_.CJSAds.prototype.cnds.IsCocoonJS,null,0,!1,!1,!1,0xbb6ce1e8283ef,!1]],[],[[0,null,!1,null,8277756865522334,[[4,cr.plugins_.CJSAds.prototype.cnds.IsStoreAvailable,null,0,!1,!1,!1,7961882808186762,!1]],[[4,cr.plugins_.CJSAds.prototype.acts.Purchase,null,7618688537596974,!1,[[1,[2,"jmstore1"]]]]]]]]]],[0,null,!1,null,7063093353852805,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7993459986048865,!1,[[11,"Storechooser"],[8,0],[7,[0,2]]]]],[[4,cr.plugins_.CJSAds.prototype.acts.fetchProductsFromStore,
null,8715570263540464,!1,[[1,[2,"jmstore2"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xe1e58bbc90391,!1,[[4,126],[5,[0,3]],[0,[20,263,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,263,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.Wait,null,9797230114890692,!1,[[0,[0,9]]]]],[[0,null,!1,null,0x69627dfe02719,[[4,cr.plugins_.CJSAds.prototype.cnds.IsCocoonJS,null,0,!1,!1,!1,0x92d1030dc7511,!1]],[],[[0,null,!1,null,8164590449205786,[[4,cr.plugins_.CJSAds.prototype.cnds.IsStoreAvailable,
null,0,!1,!1,!1,9665995491896E3,!1]],[[4,cr.plugins_.CJSAds.prototype.acts.Purchase,null,0x3ec340e226c64,!1,[[1,[2,"jmstore2"]]]]]]]]]],[0,null,!1,null,5624367313469955,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8731744567987193,!1,[[11,"Storechooser"],[8,0],[7,[0,3]]]]],[[4,cr.plugins_.CJSAds.prototype.acts.fetchProductsFromStore,null,8768750830346184,!1,[[1,[2,"jmstore3"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,6341395424719787,!1,[[4,126],[5,[0,3]],[0,[20,
263,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,263,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.Wait,null,8732698194086685,!1,[[0,[0,9]]]]],[[0,null,!1,null,8873261482934118,[[4,cr.plugins_.CJSAds.prototype.cnds.IsCocoonJS,null,0,!1,!1,!1,6802170238170986,!1]],[],[[0,null,!1,null,7345405013403569,[[4,cr.plugins_.CJSAds.prototype.cnds.IsStoreAvailable,null,0,!1,!1,!1,0xb94be59d3470f,!1]],[[4,cr.plugins_.CJSAds.prototype.acts.Purchase,null,5059553781927982,
!1,[[1,[2,"jmstore3"]]]]]]]]]],[0,null,!1,null,0x44bdd7e8f90e6,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x5b90bff1a848,!1,[[11,"Storechooser"],[8,0],[7,[0,4]]]]],[[4,cr.plugins_.CJSAds.prototype.acts.fetchProductsFromStore,null,0x5fc91cc147b23,!1,[[1,[2,"jmstore4"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,7173623882297237,!1,[[4,126],[5,[0,3]],[0,[20,263,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,263,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],
[-1,cr.system_object.prototype.acts.Wait,null,9241103175781606,!1,[[0,[0,9]]]]],[[0,null,!1,null,6565335971595886,[[4,cr.plugins_.CJSAds.prototype.cnds.IsCocoonJS,null,0,!1,!1,!1,0x8578dd8d3ee6b,!1]],[],[[0,null,!1,null,0x5cf0b4a35e7d7,[[4,cr.plugins_.CJSAds.prototype.cnds.IsStoreAvailable,null,0,!1,!1,!1,4800074087018206,!1]],[[4,cr.plugins_.CJSAds.prototype.acts.Purchase,null,0x3b97d250c2f5c,!1,[[1,[2,"jmstore4"]]]]]]]]]],[0,null,!1,null,6465164432791125,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,0xebf9a06687999,!1,[[11,"Storechooser"],[8,0],[7,[0,5]]]]],[[4,cr.plugins_.CJSAds.prototype.acts.fetchProductsFromStore,null,5919846296974501,!1,[[1,[2,"jmstore5"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,979810225081456,!1,[[4,126],[5,[0,3]],[0,[20,263,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,263,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.Wait,null,9765981527821876,!1,[[0,[0,9]]]]],[[0,null,!1,null,468031820201338,
[[4,cr.plugins_.CJSAds.prototype.cnds.IsCocoonJS,null,0,!1,!1,!1,5830136343022346,!1]],[],[[0,null,!1,null,0x81fd7d60c773c,[[4,cr.plugins_.CJSAds.prototype.cnds.IsStoreAvailable,null,0,!1,!1,!1,0x5533007e97709,!1]],[[4,cr.plugins_.CJSAds.prototype.acts.Purchase,null,0x4e2c58e5d055c,!1,[[1,[2,"jmstore5"]]]]]]]]]],[0,null,!1,null,0x6963a092d6d16,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0xedf96a810972d,!1,[[11,"Storechooser"],[8,0],[7,[0,6]]]]],[[4,cr.plugins_.CJSAds.prototype.acts.fetchProductsFromStore,
null,0xf8d2d20029ef,!1,[[1,[2,"jmstore6"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,6526991130232492,!1,[[4,126],[5,[0,3]],[0,[20,263,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,263,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xb30c7bbf3483a,!1,[[0,[0,9]]]]],[[0,null,!1,null,0x8cbc3a7cdfaad,[[4,cr.plugins_.CJSAds.prototype.cnds.IsCocoonJS,null,0,!1,!1,!1,7751782630452288,!1]],[],[[0,null,!1,null,7264126740458002,[[4,cr.plugins_.CJSAds.prototype.cnds.IsStoreAvailable,
null,0,!1,!1,!1,903928910541486,!1]],[[4,cr.plugins_.CJSAds.prototype.acts.Purchase,null,398776851302409,!1,[[1,[2,"jmstore6"]]]]]]]]]],[0,null,!1,null,5386837213348233,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5209016813143237,!1,[[11,"Storechooser"],[8,0],[7,[0,7]]]]],[[4,cr.plugins_.CJSAds.prototype.acts.fetchProductsFromStore,null,6624144909199997,!1,[[1,[2,"jmstore7"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,8085723224758615,!1,[[4,126],[5,[0,3]],[0,[20,
263,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,263,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xb8e3c89dfd2b9,!1,[[0,[0,9]]]]],[[0,null,!1,null,0xc69009b2878f3,[[4,cr.plugins_.CJSAds.prototype.cnds.IsCocoonJS,null,0,!1,!1,!1,9394361439404178,!1]],[],[[0,null,!1,null,0xbf379862cfa23,[[4,cr.plugins_.CJSAds.prototype.cnds.IsStoreAvailable,null,0,!1,!1,!1,5074885986949771,!1]],[[4,cr.plugins_.CJSAds.prototype.acts.Purchase,null,7743455597957554,
!1,[[1,[2,"jmstore7"]]]]]]]]]],[0,null,!1,null,0x45c7acca5f023,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,8401364840618794,!1,[[11,"Storechooser"],[8,0],[7,[0,8]]]]],[[4,cr.plugins_.CJSAds.prototype.acts.fetchProductsFromStore,null,0xd3ec2ecc51f4b,!1,[[1,[2,"jmstore8"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,7920547861056874,!1,[[4,126],[5,[0,3]],[0,[20,263,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,263,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],
[-1,cr.system_object.prototype.acts.Wait,null,9750145731679752,!1,[[0,[0,9]]]]],[[0,null,!1,null,0xb003374cec295,[[4,cr.plugins_.CJSAds.prototype.cnds.IsCocoonJS,null,0,!1,!1,!1,8371291202370938,!1]],[],[[0,null,!1,null,8358347585400977,[[4,cr.plugins_.CJSAds.prototype.cnds.IsStoreAvailable,null,0,!1,!1,!1,957388073216163,!1]],[[4,cr.plugins_.CJSAds.prototype.acts.Purchase,null,5028167136767967,!1,[[1,[2,"jmstore8"]]]]]]]]]],[0,null,!1,null,7289910638043794,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,367711555292861,!1,[[11,"Storechooser"],[8,0],[7,[0,9]]]]],[[4,cr.plugins_.CJSAds.prototype.acts.fetchProductsFromStore,null,5113254832681629,!1,[[1,[2,"jmstore9"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xe281f11fbbaf4,!1,[[4,126],[5,[0,3]],[0,[20,263,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,263,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.Wait,null,5893572509340714,!1,[[0,[0,9]]]]],[[0,null,!1,null,0x69f744b881a73,
[[4,cr.plugins_.CJSAds.prototype.cnds.IsCocoonJS,null,0,!1,!1,!1,0xeb69f4fc01c4b,!1]],[],[[0,null,!1,null,4865142475815998,[[4,cr.plugins_.CJSAds.prototype.cnds.IsStoreAvailable,null,0,!1,!1,!1,8915342212625114,!1]],[[4,cr.plugins_.CJSAds.prototype.acts.Purchase,null,9445598463589092,!1,[[1,[2,"jmstore9"]]]]]]]]]],[0,null,!1,null,9616435379506076,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,0x76de55255343f,!1,[[11,"Storechooser"],[8,0],[7,[0,10]]]]],[[4,cr.plugins_.CJSAds.prototype.acts.fetchProductsFromStore,
null,5874068364841438,!1,[[1,[2,"jmstore10"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,9380777310110094,!1,[[4,126],[5,[0,3]],[0,[20,263,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,263,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.Wait,null,577904062966656,!1,[[0,[0,9]]]]],[[0,null,!1,null,0x3c21a42ef69fe,[[4,cr.plugins_.CJSAds.prototype.cnds.IsCocoonJS,null,0,!1,!1,!1,9565751994097948,!1]],[],[[0,null,!1,null,9240654921800996,[[4,cr.plugins_.CJSAds.prototype.cnds.IsStoreAvailable,
null,0,!1,!1,!1,0xcb16d44ed151f,!1]],[[4,cr.plugins_.CJSAds.prototype.acts.Purchase,null,0x73799db7c59fd,!1,[[1,[2,"jmstore10"]]]]]]]]]],[0,null,!1,null,0x9aded1c859a66,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5395509032592817,!1,[[11,"Storechooser"],[8,0],[7,[0,11]]]]],[[4,cr.plugins_.CJSAds.prototype.acts.fetchProductsFromStore,null,7073655179760788,!1,[[1,[2,"jmstore11"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,786999248030381,!1,[[4,126],[5,[0,3]],[0,[20,
263,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,263,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.Wait,null,690617559037307,!1,[[0,[0,9]]]]],[[0,null,!1,null,0xbbd1f08e4513b,[[4,cr.plugins_.CJSAds.prototype.cnds.IsCocoonJS,null,0,!1,!1,!1,0x5ac82ac0b8a4b,!1]],[],[[0,null,!1,null,5723786920926407,[[4,cr.plugins_.CJSAds.prototype.cnds.IsStoreAvailable,null,0,!1,!1,!1,0x6796327a74c90,!1]],[[4,cr.plugins_.CJSAds.prototype.acts.Purchase,null,8803974783608836,
!1,[[1,[2,"jmstore11"]]]]]]]]]],[0,null,!1,null,650125888418716,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,9702822571338212,!1,[[11,"Storechooser"],[8,0],[7,[0,12]]]]],[[4,cr.plugins_.CJSAds.prototype.acts.fetchProductsFromStore,null,0x928b9c497305a,!1,[[1,[2,"jmstore12"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,7587035320538376,!1,[[4,126],[5,[0,3]],[0,[20,263,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,263,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],
[-1,cr.system_object.prototype.acts.Wait,null,7384870243636516,!1,[[0,[0,9]]]]],[[0,null,!1,null,4751381958852874,[[4,cr.plugins_.CJSAds.prototype.cnds.IsCocoonJS,null,0,!1,!1,!1,0x98e0e5307f43d,!1]],[],[[0,null,!1,null,0x7459b3116ff64,[[4,cr.plugins_.CJSAds.prototype.cnds.IsStoreAvailable,null,0,!1,!1,!1,5592030464684997,!1]],[[4,cr.plugins_.CJSAds.prototype.acts.Purchase,null,9144312488744444,!1,[[1,[2,"jmstore12"]]]]]]]]]],[0,null,!1,null,8290008364093797,[[-1,cr.system_object.prototype.cnds.CompareVar,
null,0,!1,!1,!1,6079049313699046,!1,[[11,"Storechooser"],[8,0],[7,[0,13]]]]],[[4,cr.plugins_.CJSAds.prototype.acts.fetchProductsFromStore,null,9395987992615712,!1,[[1,[2,"jmstore13"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0x8eaad4e249f8f,!1,[[4,126],[5,[0,3]],[0,[20,263,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,263,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xd0f193a5ec3dd,!1,[[0,[0,9]]]]],[[0,null,!1,null,7982160941660478,
[[4,cr.plugins_.CJSAds.prototype.cnds.IsCocoonJS,null,0,!1,!1,!1,0x7b3d27bd0a2fa,!1]],[],[[0,null,!1,null,7709767849322036,[[4,cr.plugins_.CJSAds.prototype.cnds.IsStoreAvailable,null,0,!1,!1,!1,0x3c2e8bb07a6cf,!1]],[[4,cr.plugins_.CJSAds.prototype.acts.Purchase,null,0x6b25bf2876410,!1,[[1,[2,"jmstore13"]]]]]]]]]],[0,null,!1,null,0x3c3b7fff1ddbc,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,7586581547850578,!1,[[11,"Storechooser"],[8,0],[7,[0,14]]]]],[[4,cr.plugins_.CJSAds.prototype.acts.fetchProductsFromStore,
null,9233471298314774,!1,[[1,[2,"jmstore14"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,0xf5410eef36809,!1,[[4,126],[5,[0,3]],[0,[20,263,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,263,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xf4558f8d027,!1,[[0,[0,9]]]]],[[0,null,!1,null,8867985359553317,[[4,cr.plugins_.CJSAds.prototype.cnds.IsCocoonJS,null,0,!1,!1,!1,0xefe2bd9f88dbf,!1]],[],[[0,null,!1,null,582614867742031,[[4,cr.plugins_.CJSAds.prototype.cnds.IsStoreAvailable,
null,0,!1,!1,!1,0xca7ee58495158,!1]],[[4,cr.plugins_.CJSAds.prototype.acts.Purchase,null,8461825127245489,!1,[[1,[2,"jmstore14"]]]]]]]]]],[0,null,!1,null,5818681424687398,[[-1,cr.system_object.prototype.cnds.CompareVar,null,0,!1,!1,!1,5916695731257073,!1,[[11,"Storechooser"],[8,0],[7,[0,15]]]]],[[4,cr.plugins_.CJSAds.prototype.acts.fetchProductsFromStore,null,7569077379409787,!1,[[1,[2,"jmstore15"]]]],[-1,cr.system_object.prototype.acts.CreateObject,null,956935567619942,!1,[[4,126],[5,[0,3]],[0,[20,
263,cr.plugins_.Sprite.prototype.exps.X,!1,null]],[0,[20,263,cr.plugins_.Sprite.prototype.exps.Y,!1,null]]]],[-1,cr.system_object.prototype.acts.Wait,null,0xeddab4f5e25f5,!1,[[0,[0,9]]]]],[[0,null,!1,null,0xb45f47f7c36d6,[[4,cr.plugins_.CJSAds.prototype.cnds.IsCocoonJS,null,0,!1,!1,!1,7607369381418984,!1]],[],[[0,null,!1,null,0x4341cdc74fe59,[[4,cr.plugins_.CJSAds.prototype.cnds.IsStoreAvailable,null,0,!1,!1,!1,6879620275744974,!1]],[[4,cr.plugins_.CJSAds.prototype.acts.Purchase,null,0x5979c6a962b10,
!1,[[1,[2,"jmstore15"]]]]]]]]]]]]]],[0,null,!1,null,0x53ca1fbbc3d64,[[4,cr.plugins_.CJSAds.prototype.cnds.onProductsFetchFailed,null,1,!1,!1,!1,4914175936918953,!1]],[[126,cr.plugins_.Sprite.prototype.acts.Destroy,null,0x981d16ff6242d,!1]]],[0,null,!1,null,0xbd112fe1dad30,[[4,cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete,null,1,!1,!1,!1,0x4e3d3e7c4ea4e,!1,[[1,[2,"jmstore1"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,8927862788302776,!1,[[11,"Unlockstore1"],[7,[0,1]]]],[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,
null,7962932200787608,!1,[[1,[2,"saveUnlockstore1"]],[7,[23,"Unlockstore1"]]]]]],[0,null,!1,null,8039878122330652,[[4,cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete,null,1,!1,!1,!1,4882527474274294,!1,[[1,[2,"jmstore2"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0xd65a86adb2fe3,!1,[[11,"Unlockstore2"],[7,[0,1]]]],[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,6093693087767091,!1,[[1,[2,"saveUnlockstore2"]],[7,[23,"Unlockstore2"]]]]]],[0,null,!1,null,0xb4a8d72767a2c,[[4,cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete,
null,1,!1,!1,!1,0x9f0278335200d,!1,[[1,[2,"jmstore3"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0xef09e5adf31a9,!1,[[11,"Unlockstore3"],[7,[0,1]]]],[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0xdc0640a2a47e4,!1,[[1,[2,"saveUnlockstore3"]],[7,[23,"Unlockstore3"]]]]]],[0,null,!1,null,9340493411675636,[[4,cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete,null,1,!1,!1,!1,6503236036642384,!1,[[1,[2,"jmstore4"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,8706153803677282,
!1,[[11,"Unlockstore4"],[7,[0,1]]]],[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,9231020951842582,!1,[[1,[2,"saveUnlockstore4"]],[7,[23,"Unlockstore4"]]]]]],[0,null,!1,null,5709249827006615,[[4,cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete,null,1,!1,!1,!1,0x9c8e04036aa33,!1,[[1,[2,"jmstore5"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,5374919078018475,!1,[[11,"Unlockstore5"],[7,[0,1]]]],[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0x67fe09345afee,!1,[[1,[2,
"saveUnlockstore5"]],[7,[23,"Unlockstore5"]]]]]],[0,null,!1,null,9891223490696832,[[4,cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete,null,1,!1,!1,!1,6277197903524937,!1,[[1,[2,"jmstore6"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0x4520106af638b,!1,[[11,"Unlockstore6"],[7,[0,1]]]],[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,7356132886891276,!1,[[1,[2,"saveUnlockstore6"]],[7,[23,"Unlockstore6"]]]]]],[0,null,!1,null,816902070298675,[[4,cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete,
null,1,!1,!1,!1,0x8759c8dd291cc,!1,[[1,[2,"jmstore7"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0x74dda0d313ee4,!1,[[11,"Unlockstore7"],[7,[0,1]]]],[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0x64393c25ef512,!1,[[1,[2,"saveUnlockstore7"]],[7,[23,"Unlockstore7"]]]]]],[0,null,!1,null,5825306204649932,[[4,cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete,null,1,!1,!1,!1,0x606c03fa9c324,!1,[[1,[2,"jmstore8"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,5269583992119842,
!1,[[11,"Unlockstore8"],[7,[0,1]]]],[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0xf45d789293bb2,!1,[[1,[2,"saveUnlockstore8"]],[7,[23,"Unlockstore8"]]]]]],[0,null,!1,null,4903256294965518,[[4,cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete,null,1,!1,!1,!1,0x5b08b4db0b440,!1,[[1,[2,"jmstore9"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,8078715029701742,!1,[[11,"Unlockstore9"],[7,[0,1]]]],[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,7614711845467657,!1,[[1,[2,
"saveUnlockstore9"]],[7,[23,"Unlockstore9"]]]]]],[0,null,!1,null,0xe4dd4f89fb5d9,[[4,cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete,null,1,!1,!1,!1,0xe3852af23d134,!1,[[1,[2,"jmstore10"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0x488da139e10f3,!1,[[11,"Unlockstore10"],[7,[0,1]]]],[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,0xf8bfbedda46d7,!1,[[1,[2,"saveUnlockstore10"]],[7,[23,"Unlockstore10"]]]]]],[0,null,!1,null,318036285602438,[[4,cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete,
null,1,!1,!1,!1,0xd89597b1334e3,!1,[[1,[2,"jmstore11"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0x8df91e6fa9ae8,!1,[[11,"Unlockstore11"],[7,[0,1]]]],[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,8598560565249345,!1,[[1,[2,"saveUnlockstore11"]],[7,[23,"Unlockstore11"]]]]]],[0,null,!1,null,7235385053222325,[[4,cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete,null,1,!1,!1,!1,0x8af70054553ba,!1,[[1,[2,"jmstore12"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0xe71f84abc8e2b,
!1,[[11,"Unlockstore12"],[7,[0,1]]]],[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,5522608687426814,!1,[[1,[2,"saveUnlockstore12"]],[7,[23,"Unlockstore12"]]]]]],[0,null,!1,null,8680474294962001,[[4,cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete,null,1,!1,!1,!1,9047565486619432,!1,[[1,[2,"jmstore13"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0xc32c8343ee869,!1,[[11,"Unlockstore13"],[7,[0,1]]]],[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,6234294099635336,!1,
[[1,[2,"saveUnlockstore13"]],[7,[23,"Unlockstore13"]]]]]],[0,null,!1,null,796289665128446,[[4,cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete,null,1,!1,!1,!1,0xd3881c5e16f5f,!1,[[1,[2,"jmstore14"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0xc46cbd4db09d6,!1,[[11,"Unlockstore14"],[7,[0,1]]]],[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,6021898673523609,!1,[[1,[2,"saveUnlockstore14"]],[7,[23,"Unlockstore14"]]]]]],[0,null,!1,null,856558366038496,[[4,cr.plugins_.CJSAds.prototype.cnds.OnPurchaseComplete,
null,1,!1,!1,!1,8110910479758033,!1,[[1,[2,"jmstore15"]]]]],[[-1,cr.system_object.prototype.acts.SetVar,null,0xe93d5ee28b74,!1,[[11,"Unlockstore15"],[7,[0,1]]]],[0,cr.plugins_.WebStorage.prototype.acts.StoreLocal,null,6308988746239692,!1,[[1,[2,"saveUnlockstore15"]],[7,[23,"Unlockstore15"]]]]]]]],["lewel21",[[2,"Generalcode",!1],[0,null,!1,null,5171166064444669,[[-1,cr.system_object.prototype.cnds.OnLayoutStart,null,1,!1,!1,!1,7401797271299895,!1]],[[238,cr.behaviors.Pin.prototype.acts.Pin,"Pin",
0xa1e0950d4e1db,!1,[[4,121],[3,1]]],[240,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0xfc68323137e71,!1,[[4,121],[3,1]]],[239,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0x86caca37c315a,!1,[[4,121],[3,1]]],[241,cr.behaviors.Pin.prototype.acts.Pin,"Pin",0x70bf5e226558d,!1,[[4,121],[3,1]]],[-1,cr.system_object.prototype.acts.Wait,null,8931634283645799,!1,[[0,[1,0.4]]]],[121,cr.plugins_.Sprite.prototype.acts.SetX,null,5616737609962567,!1,[[0,[7,[4,[19,cr.system_object.prototype.exps.viewportright,[[0,3]]],
[19,cr.system_object.prototype.exps.viewportleft,[[0,3]]]],[0,2]]]]]]]]]],[["menu.m4a",77505],["menu.ogg",75057],["based.m4a",76343],["based.ogg",82316]],"",!1,600,850,4,!0,!0,!1,"1.0",!0,!1,2,0,6036,!1,!0,1,!0,[]]};

createCocoonJSRuntime();

})();
